/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2024, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "gramparse.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/parser.h"
#include "utils/datetime.h"
#include "utils/xml.h"


/*
 * Location tracking support.  Unlike bison's default, we only want
 * to track the start position not the end position of each nonterminal.
 * Nonterminals that reduce to empty receive position "-1".  Since a
 * production's leading RHS nonterminal(s) may have reduced to empty,
 * we have to scan to find the first one that's not -1.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		(Current) = (-1); \
		for (int _i = 1; _i <= (N); _i++) \
		{ \
			if ((Rhs)[_i] >= 0) \
			{ \
				(Current) = (Rhs)[_i]; \
				break; \
			} \
		} \
	} while (0)

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* Private struct for the result of select_limit & limit_clause productions */
typedef struct SelectLimit
{
	Node	   *limitOffset;
	Node	   *limitCount;
	LimitOption limitOption;	/* indicates presence of WITH TIES */
	ParseLoc	offsetLoc;		/* location of OFFSET token, if present */
	ParseLoc	countLoc;		/* location of LIMIT/FETCH token, if present */
	ParseLoc	optionLoc;		/* location of WITH TIES, if present */
} SelectLimit;

/* Private struct for the result of group_clause production */
typedef struct GroupClause
{
	bool		distinct;
	List	   *list;
} GroupClause;

/* Private structs for the result of key_actions and key_action productions */
typedef struct KeyAction
{
	char		action;
	List	   *cols;
} KeyAction;

typedef struct KeyActions
{
	KeyAction *updateAction;
	KeyAction *deleteAction;
} KeyActions;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static void updatePreparableStmtEnd(Node *n, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBoolAConst(bool state, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Node *v, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								SelectLimit *limitClause,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg, int location);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Float *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns, core_yyscan_t yyscanner);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static RangeVar *makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
											   core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static PartitionStrategy parsePartitionStrategy(char *strategy, int location,
												core_yyscan_t yyscanner);
static void preprocess_pubobj_list(List *pubobjspec_list,
								   core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 280 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    UIDENT = 259,
    FCONST = 260,
    SCONST = 261,
    USCONST = 262,
    BCONST = 263,
    XCONST = 264,
    Op = 265,
    ICONST = 266,
    PARAM = 267,
    TYPECAST = 268,
    DOT_DOT = 269,
    COLON_EQUALS = 270,
    EQUALS_GREATER = 271,
    LESS_EQUALS = 272,
    GREATER_EQUALS = 273,
    NOT_EQUALS = 274,
    ABORT_P = 275,
    ABSENT = 276,
    ABSOLUTE_P = 277,
    ACCESS = 278,
    ACTION = 279,
    ADD_P = 280,
    ADMIN = 281,
    AFTER = 282,
    AGGREGATE = 283,
    ALL = 284,
    ALSO = 285,
    ALTER = 286,
    ALWAYS = 287,
    ANALYSE = 288,
    ANALYZE = 289,
    AND = 290,
    ANY = 291,
    ARRAY = 292,
    AS = 293,
    ASC = 294,
    ASENSITIVE = 295,
    ASSERTION = 296,
    ASSIGNMENT = 297,
    ASYMMETRIC = 298,
    ATOMIC = 299,
    AT = 300,
    ATTACH = 301,
    ATTRIBUTE = 302,
    AUTHORIZATION = 303,
    BACKWARD = 304,
    BEFORE = 305,
    BEGIN_P = 306,
    BETWEEN = 307,
    BIGINT = 308,
    BINARY = 309,
    BIT = 310,
    BOOLEAN_P = 311,
    BOTH = 312,
    BREADTH = 313,
    BY = 314,
    CACHE = 315,
    CALL = 316,
    CALLED = 317,
    CASCADE = 318,
    CASCADED = 319,
    CASE = 320,
    CAST = 321,
    CATALOG_P = 322,
    CHAIN = 323,
    CHAR_P = 324,
    CHARACTER = 325,
    CHARACTERISTICS = 326,
    CHECK = 327,
    CHECKPOINT = 328,
    CLASS = 329,
    CLOSE = 330,
    CLUSTER = 331,
    COALESCE = 332,
    COLLATE = 333,
    COLLATION = 334,
    COLUMN = 335,
    COLUMNS = 336,
    COMMENT = 337,
    COMMENTS = 338,
    COMMIT = 339,
    COMMITTED = 340,
    COMPRESSION = 341,
    CONCURRENTLY = 342,
    CONDITIONAL = 343,
    CONFIGURATION = 344,
    CONFLICT = 345,
    CONNECTION = 346,
    CONSTRAINT = 347,
    CONSTRAINTS = 348,
    CONTENT_P = 349,
    CONTINUE_P = 350,
    CONVERSION_P = 351,
    COPY = 352,
    COST = 353,
    CREATE = 354,
    CROSS = 355,
    CSV = 356,
    CUBE = 357,
    CURRENT_P = 358,
    CURRENT_CATALOG = 359,
    CURRENT_DATE = 360,
    CURRENT_ROLE = 361,
    CURRENT_SCHEMA = 362,
    CURRENT_TIME = 363,
    CURRENT_TIMESTAMP = 364,
    CURRENT_USER = 365,
    CURSOR = 366,
    CYCLE = 367,
    DATA_P = 368,
    DATABASE = 369,
    DAY_P = 370,
    DEALLOCATE = 371,
    DEC = 372,
    DECIMAL_P = 373,
    DECLARE = 374,
    DEFAULT = 375,
    DEFAULTS = 376,
    DEFERRABLE = 377,
    DEFERRED = 378,
    DEFINER = 379,
    DELETE_P = 380,
    DELIMITER = 381,
    DELIMITERS = 382,
    DEPENDS = 383,
    DEPTH = 384,
    DESC = 385,
    DETACH = 386,
    DICTIONARY = 387,
    DISABLE_P = 388,
    DISCARD = 389,
    DISTINCT = 390,
    DO = 391,
    DOCUMENT_P = 392,
    DOMAIN_P = 393,
    DOUBLE_P = 394,
    DROP = 395,
    EACH = 396,
    ELSE = 397,
    EMPTY_P = 398,
    ENABLE_P = 399,
    ENCODING = 400,
    ENCRYPTED = 401,
    END_P = 402,
    ENUM_P = 403,
    ERROR_P = 404,
    ESCAPE = 405,
    EVENT = 406,
    EXCEPT = 407,
    EXCLUDE = 408,
    EXCLUDING = 409,
    EXCLUSIVE = 410,
    EXECUTE = 411,
    EXISTS = 412,
    EXPLAIN = 413,
    EXPRESSION = 414,
    EXTENSION = 415,
    EXTERNAL = 416,
    EXTRACT = 417,
    FALSE_P = 418,
    FAMILY = 419,
    FETCH = 420,
    FILTER = 421,
    FINALIZE = 422,
    FIRST_P = 423,
    FLOAT_P = 424,
    FOLLOWING = 425,
    FOR = 426,
    FORCE = 427,
    FOREIGN = 428,
    FORMAT = 429,
    FORWARD = 430,
    FREEZE = 431,
    FROM = 432,
    FULL = 433,
    FUNCTION = 434,
    FUNCTIONS = 435,
    GENERATED = 436,
    GLOBAL = 437,
    GRANT = 438,
    GRANTED = 439,
    GREATEST = 440,
    GROUP_P = 441,
    GROUPING = 442,
    GROUPS = 443,
    HANDLER = 444,
    HAVING = 445,
    HEADER_P = 446,
    HOLD = 447,
    HOUR_P = 448,
    IDENTITY_P = 449,
    IF_P = 450,
    ILIKE = 451,
    IMMEDIATE = 452,
    IMMUTABLE = 453,
    IMPLICIT_P = 454,
    IMPORT_P = 455,
    IN_P = 456,
    INCLUDE = 457,
    INCLUDING = 458,
    INCREMENT = 459,
    INDENT = 460,
    INDEX = 461,
    INDEXES = 462,
    INHERIT = 463,
    INHERITS = 464,
    INITIALLY = 465,
    INLINE_P = 466,
    INNER_P = 467,
    INOUT = 468,
    INPUT_P = 469,
    INSENSITIVE = 470,
    INSERT = 471,
    INSTEAD = 472,
    INT_P = 473,
    INTEGER = 474,
    INTERSECT = 475,
    INTERVAL = 476,
    INTO = 477,
    INVOKER = 478,
    IS = 479,
    ISNULL = 480,
    ISOLATION = 481,
    JOIN = 482,
    JSON = 483,
    JSON_ARRAY = 484,
    JSON_ARRAYAGG = 485,
    JSON_EXISTS = 486,
    JSON_OBJECT = 487,
    JSON_OBJECTAGG = 488,
    JSON_QUERY = 489,
    JSON_SCALAR = 490,
    JSON_SERIALIZE = 491,
    JSON_TABLE = 492,
    JSON_VALUE = 493,
    KEEP = 494,
    KEY = 495,
    KEYS = 496,
    LABEL = 497,
    LANGUAGE = 498,
    LARGE_P = 499,
    LAST_P = 500,
    LATERAL_P = 501,
    LEADING = 502,
    LEAKPROOF = 503,
    LEAST = 504,
    LEFT = 505,
    LEVEL = 506,
    LIKE = 507,
    LIMIT = 508,
    LISTEN = 509,
    LOAD = 510,
    LOCAL = 511,
    LOCALTIME = 512,
    LOCALTIMESTAMP = 513,
    LOCATION = 514,
    LOCK_P = 515,
    LOCKED = 516,
    LOGGED = 517,
    MAPPING = 518,
    MATCH = 519,
    MATCHED = 520,
    MATERIALIZED = 521,
    MAXVALUE = 522,
    MERGE = 523,
    MERGE_ACTION = 524,
    METHOD = 525,
    MINUTE_P = 526,
    MINVALUE = 527,
    MODE = 528,
    MONTH_P = 529,
    MOVE = 530,
    NAME_P = 531,
    NAMES = 532,
    NATIONAL = 533,
    NATURAL = 534,
    NCHAR = 535,
    NESTED = 536,
    NEW = 537,
    NEXT = 538,
    NFC = 539,
    NFD = 540,
    NFKC = 541,
    NFKD = 542,
    NO = 543,
    NONE = 544,
    NORMALIZE = 545,
    NORMALIZED = 546,
    NOT = 547,
    NOTHING = 548,
    NOTIFY = 549,
    NOTNULL = 550,
    NOWAIT = 551,
    NULL_P = 552,
    NULLIF = 553,
    NULLS_P = 554,
    NUMERIC = 555,
    OBJECT_P = 556,
    OF = 557,
    OFF = 558,
    OFFSET = 559,
    OIDS = 560,
    OLD = 561,
    OMIT = 562,
    ON = 563,
    ONLY = 564,
    OPERATOR = 565,
    OPTION = 566,
    OPTIONS = 567,
    OR = 568,
    ORDER = 569,
    ORDINALITY = 570,
    OTHERS = 571,
    OUT_P = 572,
    OUTER_P = 573,
    OVER = 574,
    OVERLAPS = 575,
    OVERLAY = 576,
    OVERRIDING = 577,
    OWNED = 578,
    OWNER = 579,
    PARALLEL = 580,
    PARAMETER = 581,
    PARSER = 582,
    PARTIAL = 583,
    PARTITION = 584,
    PASSING = 585,
    PASSWORD = 586,
    PATH = 587,
    PERIOD = 588,
    PLACING = 589,
    PLAN = 590,
    PLANS = 591,
    POLICY = 592,
    POSITION = 593,
    PRECEDING = 594,
    PRECISION = 595,
    PRESERVE = 596,
    PREPARE = 597,
    PREPARED = 598,
    PRIMARY = 599,
    PRIOR = 600,
    PRIVILEGES = 601,
    PROCEDURAL = 602,
    PROCEDURE = 603,
    PROCEDURES = 604,
    PROGRAM = 605,
    PUBLICATION = 606,
    QUOTE = 607,
    QUOTES = 608,
    RANGE = 609,
    READ = 610,
    REAL = 611,
    REASSIGN = 612,
    RECURSIVE = 613,
    REF_P = 614,
    REFERENCES = 615,
    REFERENCING = 616,
    REFRESH = 617,
    REINDEX = 618,
    RELATIVE_P = 619,
    RELEASE = 620,
    RENAME = 621,
    REPEATABLE = 622,
    REPLACE = 623,
    REPLICA = 624,
    RESET = 625,
    RESTART = 626,
    RESTRICT = 627,
    RETURN = 628,
    RETURNING = 629,
    RETURNS = 630,
    REVOKE = 631,
    RIGHT = 632,
    ROLE = 633,
    ROLLBACK = 634,
    ROLLUP = 635,
    ROUTINE = 636,
    ROUTINES = 637,
    ROW = 638,
    ROWS = 639,
    RULE = 640,
    SAVEPOINT = 641,
    SCALAR = 642,
    SCHEMA = 643,
    SCHEMAS = 644,
    SCROLL = 645,
    SEARCH = 646,
    SECOND_P = 647,
    SECURITY = 648,
    SELECT = 649,
    SEQUENCE = 650,
    SEQUENCES = 651,
    SERIALIZABLE = 652,
    SERVER = 653,
    SESSION = 654,
    SESSION_USER = 655,
    SET = 656,
    SETS = 657,
    SETOF = 658,
    SHARE = 659,
    SHOW = 660,
    SIMILAR = 661,
    SIMPLE = 662,
    SKIP = 663,
    SMALLINT = 664,
    SNAPSHOT = 665,
    SOME = 666,
    SOURCE = 667,
    SQL_P = 668,
    STABLE = 669,
    STANDALONE_P = 670,
    START = 671,
    STATEMENT = 672,
    STATISTICS = 673,
    STDIN = 674,
    STDOUT = 675,
    STORAGE = 676,
    STORED = 677,
    STRICT_P = 678,
    STRING_P = 679,
    STRIP_P = 680,
    SUBSCRIPTION = 681,
    SUBSTRING = 682,
    SUPPORT = 683,
    SYMMETRIC = 684,
    SYSID = 685,
    SYSTEM_P = 686,
    SYSTEM_USER = 687,
    TABLE = 688,
    TABLES = 689,
    TABLESAMPLE = 690,
    TABLESPACE = 691,
    TARGET = 692,
    TEMP = 693,
    TEMPLATE = 694,
    TEMPORARY = 695,
    TEXT_P = 696,
    THEN = 697,
    TIES = 698,
    TIME = 699,
    TIMESTAMP = 700,
    TO = 701,
    TRAILING = 702,
    TRANSACTION = 703,
    TRANSFORM = 704,
    TREAT = 705,
    TRIGGER = 706,
    TRIM = 707,
    TRUE_P = 708,
    TRUNCATE = 709,
    TRUSTED = 710,
    TYPE_P = 711,
    TYPES_P = 712,
    UESCAPE = 713,
    UNBOUNDED = 714,
    UNCONDITIONAL = 715,
    UNCOMMITTED = 716,
    UNENCRYPTED = 717,
    UNION = 718,
    UNIQUE = 719,
    UNKNOWN = 720,
    UNLISTEN = 721,
    UNLOGGED = 722,
    UNTIL = 723,
    UPDATE = 724,
    USER = 725,
    USING = 726,
    VACUUM = 727,
    VALID = 728,
    VALIDATE = 729,
    VALIDATOR = 730,
    VALUE_P = 731,
    VALUES = 732,
    VARCHAR = 733,
    VARIADIC = 734,
    VARYING = 735,
    VERBOSE = 736,
    VERSION_P = 737,
    VIEW = 738,
    VIEWS = 739,
    VOLATILE = 740,
    WHEN = 741,
    WHERE = 742,
    WHITESPACE_P = 743,
    WINDOW = 744,
    WITH = 745,
    WITHIN = 746,
    WITHOUT = 747,
    WORK = 748,
    WRAPPER = 749,
    WRITE = 750,
    XML_P = 751,
    XMLATTRIBUTES = 752,
    XMLCONCAT = 753,
    XMLELEMENT = 754,
    XMLEXISTS = 755,
    XMLFOREST = 756,
    XMLNAMESPACES = 757,
    XMLPARSE = 758,
    XMLPI = 759,
    XMLROOT = 760,
    XMLSERIALIZE = 761,
    XMLTABLE = 762,
    YEAR_P = 763,
    YES_P = 764,
    ZONE = 765,
    FORMAT_LA = 766,
    NOT_LA = 767,
    NULLS_LA = 768,
    WITH_LA = 769,
    WITHOUT_LA = 770,
    MODE_TYPE_NAME = 771,
    MODE_PLPGSQL_EXPR = 772,
    MODE_PLPGSQL_ASSIGN1 = 773,
    MODE_PLPGSQL_ASSIGN2 = 774,
    MODE_PLPGSQL_ASSIGN3 = 775,
    UMINUS = 776
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 218 "gram.y" /* yacc.c:355  */

	core_YYSTYPE core_yystype;
	/* these fields must match core_YYSTYPE: */
	int			ival;
	char	   *str;
	const char *keyword;

	char		chr;
	bool		boolean;
	JoinType	jtype;
	DropBehavior dbehavior;
	OnCommitAction oncommit;
	List	   *list;
	Node	   *node;
	ObjectType	objtype;
	TypeName   *typnam;
	FunctionParameter *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs *objwithargs;
	DefElem	   *defelt;
	SortBy	   *sortby;
	WindowDef  *windef;
	JoinExpr   *jexpr;
	IndexElem  *ielem;
	StatsElem  *selem;
	Alias	   *alias;
	RangeVar   *range;
	IntoClause *into;
	WithClause *with;
	InferClause	*infer;
	OnConflictClause *onconflict;
	A_Indices  *aind;
	ResTarget  *target;
	struct PrivTarget *privtarget;
	AccessPriv *accesspriv;
	struct ImportQual *importqual;
	InsertStmt *istmt;
	VariableSetStmt *vsetstmt;
	PartitionElem *partelem;
	PartitionSpec *partspec;
	PartitionBoundSpec *partboundspec;
	RoleSpec   *rolespec;
	PublicationObjSpec *publicationobjectspec;
	struct SelectLimit *selectlimit;
	SetQuantifier setquantifier;
	struct GroupClause *groupclause;
	MergeMatchKind mergematch;
	MergeWhenClause *mergewhen;
	struct KeyActions *keyactions;
	struct KeyAction *keyaction;

#line 894 "gram.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 924 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  928
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   122572

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  539
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  730
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3413
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  6472

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   776

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   528,     2,     2,
     533,   534,   526,   524,   537,   525,   535,   527,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   538,   536,
     521,   523,   522,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   531,     2,   532,   529,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   530
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   908,   908,   913,   917,   922,   930,   938,   954,   966,
     980,   981,   985,   986,   987,   988,   989,   990,   991,   992,
     993,   994,   995,   996,   997,   998,   999,  1000,  1001,  1002,
    1003,  1004,  1005,  1006,  1007,  1008,  1009,  1010,  1011,  1012,
    1013,  1014,  1015,  1016,  1017,  1018,  1019,  1020,  1021,  1022,
    1023,  1024,  1025,  1026,  1027,  1028,  1029,  1030,  1031,  1032,
    1033,  1034,  1035,  1036,  1037,  1038,  1039,  1040,  1041,  1042,
    1043,  1044,  1045,  1046,  1047,  1048,  1049,  1050,  1051,  1052,
    1053,  1054,  1055,  1056,  1057,  1058,  1059,  1060,  1061,  1062,
    1063,  1064,  1065,  1066,  1067,  1068,  1069,  1070,  1071,  1072,
    1073,  1074,  1075,  1076,  1077,  1078,  1079,  1080,  1081,  1082,
    1083,  1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,  1092,
    1093,  1094,  1095,  1096,  1097,  1098,  1099,  1100,  1101,  1102,
    1103,  1104,  1105,  1106,  1107,  1108,  1110,  1117,  1118,  1122,
    1123,  1127,  1128,  1132,  1133,  1134,  1143,  1159,  1171,  1172,
    1173,  1182,  1183,  1187,  1188,  1192,  1197,  1201,  1211,  1219,
    1223,  1227,  1232,  1236,  1284,  1286,  1290,  1294,  1298,  1302,
    1316,  1335,  1344,  1356,  1357,  1361,  1370,  1379,  1388,  1410,
    1418,  1426,  1434,  1442,  1450,  1468,  1487,  1499,  1500,  1511,
    1522,  1533,  1549,  1568,  1573,  1581,  1582,  1583,  1584,  1585,
    1586,  1600,  1607,  1614,  1624,  1635,  1646,  1650,  1660,  1670,
    1679,  1691,  1692,  1702,  1716,  1724,  1734,  1747,  1757,  1767,
    1776,  1788,  1800,  1801,  1805,  1806,  1809,  1811,  1815,  1816,
    1817,  1818,  1822,  1823,  1824,  1830,  1842,  1846,  1850,  1867,
    1875,  1876,  1877,  1881,  1882,  1883,  1887,  1888,  1892,  1896,
    1897,  1906,  1915,  1927,  1936,  1948,  1949,  1954,  1955,  1960,
    1967,  1974,  1981,  1988,  1999,  2010,  2011,  2015,  2016,  2024,
    2040,  2047,  2054,  2061,  2068,  2088,  2098,  2108,  2118,  2128,
    2140,  2152,  2162,  2172,  2182,  2194,  2206,  2216,  2226,  2236,
    2246,  2256,  2266,  2278,  2290,  2300,  2313,  2314,  2319,  2333,
    2346,  2362,  2379,  2389,  2399,  2409,  2419,  2429,  2438,  2447,
    2457,  2466,  2476,  2486,  2502,  2512,  2522,  2532,  2542,  2559,
    2569,  2579,  2589,  2600,  2614,  2630,  2640,  2649,  2665,  2674,
    2685,  2696,  2704,  2713,  2722,  2730,  2738,  2747,  2756,  2765,
    2773,  2781,  2790,  2798,  2806,  2815,  2824,  2833,  2842,  2851,
    2860,  2871,  2879,  2888,  2897,  2906,  2915,  2924,  2933,  2941,
    2949,  2957,  2964,  2975,  2976,  2980,  2989,  2993,  2994,  2998,
    3006,  3014,  3022,  3033,  3036,  3037,  3041,  3042,  3047,  3051,
    3055,  3060,  3067,  3069,  3074,  3078,  3082,  3093,  3100,  3101,
    3105,  3106,  3111,  3166,  3179,  3193,  3205,  3212,  3216,  3230,
    3243,  3244,  3249,  3259,  3270,  3281,  3308,  3315,  3349,  3385,
    3409,  3410,  3414,  3415,  3424,  3425,  3426,  3429,  3430,  3435,
    3436,  3440,  3444,  3448,  3452,  3456,  3460,  3464,  3468,  3472,
    3476,  3480,  3484,  3488,  3492,  3496,  3505,  3509,  3513,  3517,
    3521,  3522,  3527,  3531,  3538,  3545,  3546,  3547,  3548,  3549,
    3550,  3554,  3558,  3566,  3577,  3597,  3617,  3638,  3659,  3680,
    3714,  3715,  3716,  3717,  3718,  3725,  3732,  3733,  3737,  3738,
    3742,  3743,  3747,  3751,  3758,  3762,  3769,  3770,  3771,  3775,
    3776,  3779,  3803,  3822,  3844,  3845,  3849,  3850,  3854,  3855,
    3859,  3860,  3864,  3865,  3869,  3877,  3878,  3879,  3911,  3922,
    3930,  3943,  3955,  3968,  3978,  3988,  4012,  4032,  4033,  4034,
    4038,  4039,  4058,  4066,  4074,  4082,  4094,  4106,  4107,  4108,
    4112,  4113,  4114,  4115,  4116,  4117,  4118,  4119,  4120,  4121,
    4130,  4138,  4142,  4156,  4170,  4189,  4205,  4223,  4239,  4259,
    4304,  4312,  4316,  4330,  4346,  4347,  4351,  4352,  4356,  4357,
    4361,  4362,  4366,  4367,  4371,  4372,  4375,  4381,  4382,  4385,
    4389,  4397,  4402,  4408,  4409,  4413,  4418,  4425,  4426,  4430,
    4440,  4450,  4458,  4467,  4480,  4492,  4499,  4507,  4515,  4523,
    4531,  4541,  4542,  4546,  4547,  4550,  4562,  4563,  4566,  4577,
    4588,  4602,  4603,  4608,  4609,  4610,  4613,  4614,  4615,  4616,
    4619,  4620,  4623,  4624,  4627,  4647,  4660,  4682,  4683,  4686,
    4692,  4698,  4715,  4724,  4746,  4760,  4777,  4793,  4794,  4795,
    4807,  4821,  4838,  4852,  4853,  4865,  4886,  4897,  4911,  4920,
    4932,  4933,  4936,  4937,  4940,  4941,  4944,  4948,  4952,  4956,
    4960,  4964,  4968,  4972,  4976,  4980,  4984,  4988,  4992,  4996,
    5000,  5004,  5010,  5011,  5015,  5016,  5017,  5024,  5027,  5028,
    5040,  5056,  5072,  5073,  5081,  5082,  5086,  5087,  5091,  5092,
    5096,  5097,  5101,  5102,  5112,  5124,  5125,  5138,  5146,  5164,
    5173,  5185,  5188,  5192,  5196,  5200,  5207,  5219,  5230,  5233,
    5237,  5250,  5260,  5270,  5280,  5290,  5300,  5310,  5320,  5330,
    5340,  5350,  5360,  5370,  5389,  5401,  5402,  5403,  5404,  5408,
    5409,  5413,  5414,  5424,  5433,  5446,  5447,  5451,  5455,  5463,
    5467,  5471,  5478,  5482,  5487,  5492,  5499,  5506,  5511,  5521,
    5534,  5550,  5551,  5556,  5557,  5561,  5562,  5572,  5582,  5591,
    5609,  5630,  5651,  5673,  5707,  5723,  5724,  5728,  5737,  5752,
    5762,  5775,  5776,  5788,  5797,  5815,  5840,  5858,  5873,  5874,
    5878,  5879,  5883,  5884,  5888,  5889,  5893,  5907,  5911,  5912,
    5916,  5917,  5918,  5919,  5920,  5930,  5942,  5943,  5954,  5977,
    6010,  6011,  6012,  6016,  6018,  6040,  6042,  6044,  6046,  6048,
    6053,  6054,  6058,  6059,  6063,  6075,  6076,  6080,  6089,  6093,
    6097,  6102,  6112,  6113,  6117,  6118,  6122,  6123,  6127,  6128,
    6132,  6133,  6134,  6138,  6142,  6143,  6144,  6148,  6149,  6154,
    6155,  6182,  6183,  6184,  6185,  6186,  6187,  6200,  6211,  6226,
    6228,  6233,  6238,  6240,  6245,  6256,  6257,  6258,  6259,  6270,
    6290,  6302,  6315,  6326,  6337,  6349,  6358,  6366,  6374,  6384,
    6394,  6404,  6414,  6424,  6435,  6445,  6458,  6461,  6462,  6465,
    6469,  6476,  6477,  6478,  6479,  6480,  6481,  6484,  6487,  6488,
    6496,  6503,  6504,  6507,  6509,  6520,  6532,  6544,  6556,  6568,
    6597,  6598,  6614,  6630,  6631,  6635,  6648,  6658,  6667,  6677,
    6687,  6688,  6691,  6692,  6695,  6696,  6697,  6702,  6713,  6723,
    6736,  6737,  6741,  6750,  6763,  6774,  6788,  6799,  6822,  6833,
    6852,  6863,  6874,  6885,  6896,  6907,  6918,  6929,  6940,  6951,
    6962,  6973,  6988,  6989,  6990,  6991,  6992,  6993,  6994,  6995,
    6996,  6997,  6998,  6999,  7000,  7010,  7011,  7012,  7013,  7014,
    7018,  7019,  7020,  7021,  7022,  7023,  7024,  7025,  7030,  7031,
    7032,  7036,  7037,  7040,  7041,  7044,  7046,  7051,  7052,  7063,
    7075,  7076,  7077,  7087,  7096,  7105,  7114,  7123,  7132,  7141,
    7150,  7159,  7168,  7182,  7191,  7200,  7209,  7218,  7227,  7236,
    7245,  7257,  7258,  7272,  7283,  7294,  7305,  7316,  7327,  7338,
    7349,  7360,  7371,  7384,  7385,  7388,  7389,  7399,  7406,  7415,
    7424,  7433,  7442,  7451,  7460,  7469,  7478,  7487,  7496,  7505,
    7514,  7523,  7532,  7541,  7550,  7561,  7562,  7565,  7566,  7576,
    7594,  7610,  7638,  7640,  7642,  7644,  7652,  7662,  7663,  7666,
    7674,  7682,  7690,  7697,  7708,  7712,  7719,  7723,  7734,  7743,
    7752,  7761,  7770,  7779,  7788,  7797,  7806,  7815,  7824,  7833,
    7842,  7850,  7859,  7868,  7877,  7886,  7895,  7904,  7913,  7926,
    7927,  7931,  7932,  7937,  7938,  7948,  7959,  7973,  7985,  8003,
    8004,  8008,  8015,  8016,  8017,  8020,  8021,  8031,  8042,  8043,
    8047,  8051,  8055,  8066,  8080,  8095,  8113,  8114,  8115,  8116,
    8117,  8118,  8130,  8162,  8197,  8198,  8202,  8203,  8206,  8207,
    8212,  8224,  8243,  8248,  8253,  8260,  8261,  8264,  8265,  8268,
    8269,  8273,  8274,  8275,  8278,  8279,  8280,  8296,  8310,  8325,
    8339,  8356,  8357,  8360,  8361,  8365,  8366,  8370,  8371,  8376,
    8390,  8398,  8406,  8422,  8423,  8427,  8428,  8443,  8454,  8465,
    8476,  8487,  8501,  8502,  8503,  8504,  8505,  8511,  8515,  8530,
    8531,  8537,  8547,  8551,  8556,  8564,  8606,  8610,  8614,  8618,
    8626,  8627,  8631,  8643,  8644,  8649,  8650,  8655,  8656,  8663,
    8667,  8671,  8675,  8679,  8683,  8687,  8691,  8695,  8699,  8703,
    8707,  8711,  8715,  8719,  8723,  8728,  8735,  8739,  8743,  8747,
    8751,  8757,  8758,  8764,  8774,  8778,  8789,  8795,  8804,  8810,
    8811,  8815,  8816,  8820,  8821,  8824,  8838,  8842,  8857,  8866,
    8875,  8888,  8889,  8894,  8895,  8912,  8923,  8934,  8945,  8956,
    8967,  8981,  8992,  9006,  9017,  9031,  9039,  9041,  9043,  9048,
    9050,  9055,  9056,  9061,  9080,  9090,  9091,  9095,  9099,  9111,
    9123,  9135,  9149,  9150,  9151,  9155,  9168,  9169,  9179,  9192,
    9196,  9200,  9204,  9211,  9233,  9246,  9259,  9274,  9275,  9278,
    9279,  9282,  9283,  9293,  9303,  9321,  9331,  9341,  9351,  9361,
    9371,  9381,  9391,  9401,  9411,  9421,  9431,  9441,  9452,  9463,
    9473,  9483,  9493,  9503,  9513,  9523,  9534,  9545,  9556,  9567,
    9578,  9589,  9600,  9611,  9622,  9633,  9644,  9655,  9667,  9679,
    9691,  9703,  9715,  9727,  9738,  9749,  9761,  9773,  9784,  9795,
    9804,  9814,  9824,  9834,  9844,  9854,  9864,  9874,  9884,  9894,
    9909,  9910,  9913,  9914,  9924,  9934,  9944,  9954,  9965,  9975,
    9987,  9988,  9998, 10008, 10018, 10028, 10038, 10048, 10058, 10068,
   10078, 10088, 10098, 10108, 10118, 10128, 10138, 10148, 10158, 10168,
   10178, 10188, 10198, 10208, 10218, 10228, 10238, 10248, 10258, 10277,
   10287, 10288, 10291, 10293, 10295, 10301, 10302, 10303, 10304, 10305,
   10317, 10333, 10342, 10351, 10360, 10369, 10378, 10387, 10396, 10405,
   10414, 10423, 10432, 10441, 10450, 10459, 10468, 10477, 10486, 10495,
   10504, 10513, 10522, 10531, 10540, 10568, 10576, 10585, 10611, 10620,
   10627, 10633, 10660, 10671, 10680, 10688, 10690, 10712, 10720, 10730,
   10740, 10759, 10778, 10788, 10798, 10808, 10819, 10830, 10841, 10852,
   10863, 10881, 10890, 10907, 10925, 10926, 10927, 10932, 10938, 10947,
   10948, 10949, 10950, 10951, 10955, 10956, 10959, 10960, 10961, 10962,
   10966, 10967, 10968, 10980, 10991, 10992, 10995, 11005, 11012, 11032,
   11042, 11051, 11061, 11071, 11080, 11089, 11098, 11107, 11116, 11125,
   11134, 11146, 11155, 11167, 11168, 11169, 11173, 11176, 11179, 11182,
   11185, 11192, 11194, 11196, 11201, 11203, 11207, 11208, 11209, 11221,
   11235, 11249, 11268, 11290, 11291, 11292, 11293, 11303, 11320, 11331,
   11332, 11336, 11337, 11341, 11345, 11349, 11367, 11368, 11369, 11370,
   11371, 11372, 11373, 11380, 11381, 11392, 11400, 11408, 11417, 11427,
   11445, 11454, 11463, 11472, 11484, 11488, 11499, 11511, 11529, 11536,
   11553, 11567, 11577, 11586, 11595, 11605, 11617, 11629, 11640, 11641,
   11652, 11663, 11675, 11687, 11699, 11711, 11721, 11734, 11735, 11749,
   11773, 11782, 11792, 11804, 11816, 11830, 11831, 11843, 11864, 11875,
   11887, 11899, 11903, 11910, 11911, 11915, 11922, 11923, 11924, 11928,
   11929, 11930, 11934, 11935, 11939, 11940, 11943, 11944, 11947, 11948,
   11952, 11953, 11957, 11964, 11966, 11971, 11972, 11985, 11993, 12004,
   12012, 12023, 12024, 12025, 12026, 12027, 12028, 12029, 12030, 12031,
   12032, 12042, 12053, 12054, 12058, 12059, 12060, 12061, 12062, 12072,
   12080, 12098, 12118, 12119, 12129, 12138, 12147, 12156, 12175, 12194,
   12198, 12206, 12212, 12219, 12225, 12232, 12241, 12242, 12246, 12248,
   12253, 12264, 12274, 12284, 12290, 12299, 12308, 12314, 12315, 12326,
   12342, 12343, 12354, 12365, 12366, 12369, 12370, 12371, 12372, 12373,
   12374, 12375, 12376, 12379, 12380, 12384, 12385, 12386, 12397, 12417,
   12418, 12422, 12427, 12451, 12462, 12463, 12475, 12496, 12497, 12507,
   12514, 12521, 12528, 12538, 12551, 12552, 12556, 12557, 12561, 12562,
   12566, 12579, 12592, 12601, 12610, 12619, 12628, 12640, 12652, 12664,
   12667, 12668, 12669, 12670, 12671, 12672, 12675, 12676, 12677, 12725,
   12726, 12730, 12744, 12759, 12760, 12767, 12775, 12783, 12791, 12799,
   12807, 12818, 12819, 12851, 12868, 12886, 12887, 12907, 12911, 12915,
   12930, 12937, 12944, 12954, 12955, 12958, 12974, 12975, 12976, 12980,
   12990, 13001, 13007, 13019, 13032, 13038, 13039, 13043, 13055, 13063,
   13068, 13073, 13078, 13083, 13091, 13099, 13104, 13109, 13116, 13117,
   13121, 13122, 13123, 13130, 13131, 13135, 13136, 13140, 13141, 13145,
   13146, 13150, 13154, 13155, 13158, 13167, 13180, 13186, 13192, 13196,
   13211, 13212, 13216, 13228, 13244, 13256, 13268, 13280, 13295, 13298,
   13303, 13304, 13312, 13332, 13333, 13335, 13340, 13341, 13345, 13346,
   13349, 13350, 13375, 13384, 13394, 13395, 13399, 13400, 13401, 13402,
   13403, 13407, 13420, 13427, 13434, 13441, 13442, 13446, 13447, 13451,
   13452, 13456, 13457, 13461, 13473, 13474, 13475, 13476, 13480, 13481,
   13491, 13499, 13518, 13519, 13523, 13524, 13530, 13535, 13544, 13552,
   13561, 13568, 13576, 13585, 13594, 13598, 13603, 13610, 13639, 13643,
   13657, 13678, 13700, 13713, 13730, 13736, 13741, 13747, 13754, 13755,
   13765, 13771, 13779, 13783, 13787, 13794, 13802, 13807, 13808, 13809,
   13810, 13814, 13815, 13830, 13834, 13842, 13849, 13856, 13863, 13870,
   13881, 13882, 13895, 13899, 13907, 13921, 13935, 13936, 13951, 13962,
   13975, 13980, 13981, 13984, 13985, 13988, 13989, 13994, 13995, 14000,
   14001, 14010, 14015, 14016, 14020, 14024, 14030, 14055, 14066, 14080,
   14081, 14085, 14099, 14156, 14170, 14172, 14177, 14179, 14181, 14183,
   14185, 14190, 14192, 14197, 14205, 14216, 14244, 14245, 14249, 14251,
   14256, 14265, 14285, 14305, 14323, 14335, 14350, 14351, 14355, 14358,
   14371, 14376, 14383, 14388, 14394, 14399, 14408, 14410, 14413, 14417,
   14418, 14419, 14420, 14421, 14422, 14427, 14433, 14448, 14449, 14450,
   14451, 14452, 14463, 14469, 14477, 14478, 14484, 14489, 14494, 14499,
   14504, 14509, 14514, 14519, 14525, 14531, 14537, 14544, 14566, 14575,
   14579, 14587, 14591, 14599, 14611, 14632, 14636, 14642, 14646, 14659,
   14667, 14677, 14679, 14681, 14683, 14685, 14687, 14692, 14693, 14700,
   14709, 14717, 14726, 14737, 14745, 14746, 14747, 14751, 14753, 14755,
   14757, 14759, 14761, 14763, 14768, 14773, 14779, 14787, 14792, 14799,
   14806, 14810, 14814, 14822, 14857, 14858, 14860, 14869, 14876, 14892,
   14894, 14896, 14898, 14900, 14902, 14904, 14906, 14908, 14910, 14912,
   14914, 14916, 14918, 14921, 14923, 14926, 14928, 14930, 14932, 14935,
   14940, 14949, 14954, 14963, 14968, 14977, 14982, 14992, 15001, 15010,
   15019, 15038, 15047, 15056, 15065, 15074, 15091, 15100, 15109, 15118,
   15127, 15136, 15145, 15149, 15153, 15161, 15169, 15177, 15185, 15206,
   15229, 15241, 15248, 15264, 15269, 15275, 15282, 15289, 15297, 15305,
   15322, 15341, 15367, 15369, 15371, 15373, 15375, 15377, 15379, 15381,
   15383, 15385, 15387, 15389, 15391, 15393, 15395, 15397, 15399, 15401,
   15403, 15407, 15411, 15416, 15432, 15433, 15434, 15451, 15464, 15466,
   15468, 15480, 15505, 15517, 15529, 15537, 15548, 15559, 15569, 15575,
   15584, 15594, 15604, 15617, 15627, 15658, 15694, 15704, 15715, 15716,
   15717, 15724, 15731, 15735, 15739, 15743, 15747, 15751, 15755, 15759,
   15763, 15767, 15771, 15775, 15779, 15786, 15790, 15794, 15798, 15800,
   15807, 15814, 15821, 15828, 15839, 15853, 15863, 15874, 15890, 15900,
   15907, 15914, 15921, 15925, 15933, 15942, 15951, 15955, 15959, 15963,
   15967, 15971, 15980, 15984, 15994, 15998, 16002, 16007, 16018, 16024,
   16038, 16049, 16063, 16079, 16091, 16101, 16110, 16119, 16127, 16149,
   16165, 16189, 16191, 16195, 16197, 16199, 16202, 16205, 16208, 16209,
   16212, 16220, 16230, 16231, 16234, 16235, 16236, 16239, 16240, 16241,
   16246, 16250, 16254, 16258, 16265, 16266, 16274, 16275, 16279, 16280,
   16288, 16289, 16293, 16294, 16299, 16308, 16310, 16325, 16328, 16356,
   16357, 16360, 16361, 16369, 16377, 16385, 16394, 16404, 16422, 16468,
   16477, 16486, 16495, 16504, 16516, 16517, 16518, 16519, 16520, 16534,
   16535, 16536, 16539, 16540, 16543, 16546, 16547, 16548, 16551, 16552,
   16555, 16556, 16557, 16558, 16559, 16560, 16561, 16562, 16563, 16564,
   16565, 16566, 16569, 16571, 16576, 16578, 16583, 16585, 16587, 16589,
   16591, 16593, 16605, 16609, 16616, 16620, 16626, 16630, 16640, 16652,
   16653, 16656, 16657, 16660, 16664, 16668, 16674, 16675, 16680, 16690,
   16691, 16692, 16693, 16694, 16695, 16696, 16697, 16701, 16702, 16703,
   16704, 16709, 16714, 16723, 16744, 16748, 16753, 16764, 16781, 16787,
   16788, 16789, 16792, 16800, 16810, 16825, 16826, 16830, 16842, 16843,
   16846, 16847, 16850, 16854, 16861, 16865, 16869, 16878, 16890, 16891,
   16895, 16896, 16900, 16901, 16904, 16905, 16910, 16911, 16915, 16916,
   16920, 16932, 16933, 16934, 16935, 16936, 16937, 16938, 16939, 16940,
   16944, 16946, 16951, 16952, 16953, 16954, 16955, 16956, 16957, 16959,
   16963, 16965, 16967, 16970, 16974, 16977, 16981, 16990, 17008, 17015,
   17020, 17026, 17027, 17028, 17029, 17030, 17034, 17043, 17057, 17058,
   17059, 17060, 17061, 17070, 17071, 17072, 17073, 17074, 17078, 17080,
   17090, 17093, 17099, 17100, 17101, 17105, 17106, 17107, 17111, 17112,
   17116, 17134, 17154, 17155, 17164, 17165, 17169, 17170, 17173, 17181,
   17189, 17197, 17220, 17221, 17232, 17236, 17242, 17244, 17249, 17251,
   17253, 17263, 17265, 17276, 17280, 17284, 17288, 17292, 17301, 17309,
   17341, 17345, 17352, 17360, 17364, 17368, 17374, 17375, 17377, 17378,
   17379, 17383, 17424, 17452, 17456, 17460, 17466, 17468, 17482, 17519,
   17532, 17533, 17536, 17537, 17554, 17555, 17556, 17561, 17562, 17563,
   17568, 17569, 17570, 17571, 17577, 17578, 17579, 17580, 17581, 17587,
   17588, 17608, 17609, 17610, 17611, 17612, 17613, 17614, 17615, 17616,
   17617, 17618, 17619, 17620, 17621, 17622, 17623, 17624, 17625, 17626,
   17627, 17628, 17629, 17630, 17631, 17632, 17633, 17634, 17635, 17636,
   17637, 17638, 17639, 17640, 17641, 17642, 17643, 17644, 17645, 17646,
   17647, 17648, 17649, 17650, 17651, 17652, 17653, 17654, 17655, 17656,
   17657, 17658, 17659, 17660, 17661, 17662, 17663, 17664, 17665, 17666,
   17667, 17668, 17669, 17670, 17671, 17672, 17673, 17674, 17675, 17676,
   17677, 17678, 17679, 17680, 17681, 17682, 17683, 17684, 17685, 17686,
   17687, 17688, 17689, 17690, 17691, 17692, 17693, 17694, 17695, 17696,
   17697, 17698, 17699, 17700, 17701, 17702, 17703, 17704, 17705, 17706,
   17707, 17708, 17709, 17710, 17711, 17712, 17713, 17714, 17715, 17716,
   17717, 17718, 17719, 17720, 17721, 17722, 17723, 17724, 17725, 17726,
   17727, 17728, 17729, 17730, 17731, 17732, 17733, 17734, 17735, 17736,
   17737, 17738, 17739, 17740, 17741, 17742, 17743, 17744, 17745, 17746,
   17747, 17748, 17749, 17750, 17751, 17752, 17753, 17754, 17755, 17756,
   17757, 17758, 17759, 17760, 17761, 17762, 17763, 17764, 17765, 17766,
   17767, 17768, 17769, 17770, 17771, 17772, 17773, 17774, 17775, 17776,
   17777, 17778, 17779, 17780, 17781, 17782, 17783, 17784, 17785, 17786,
   17787, 17788, 17789, 17790, 17791, 17792, 17793, 17794, 17795, 17796,
   17797, 17798, 17799, 17800, 17801, 17802, 17803, 17804, 17805, 17806,
   17807, 17808, 17809, 17810, 17811, 17812, 17813, 17814, 17815, 17816,
   17817, 17818, 17819, 17820, 17821, 17822, 17823, 17824, 17825, 17826,
   17827, 17828, 17829, 17830, 17831, 17832, 17833, 17834, 17835, 17836,
   17837, 17838, 17839, 17840, 17841, 17842, 17843, 17844, 17845, 17846,
   17847, 17848, 17849, 17850, 17851, 17852, 17853, 17854, 17855, 17856,
   17857, 17858, 17859, 17860, 17861, 17862, 17863, 17864, 17865, 17866,
   17867, 17868, 17869, 17870, 17871, 17872, 17873, 17874, 17875, 17876,
   17877, 17878, 17879, 17880, 17881, 17882, 17883, 17884, 17885, 17886,
   17887, 17888, 17889, 17890, 17891, 17892, 17893, 17894, 17895, 17896,
   17897, 17898, 17899, 17900, 17901, 17902, 17903, 17904, 17905, 17906,
   17907, 17908, 17909, 17910, 17911, 17912, 17913, 17914, 17915, 17916,
   17917, 17918, 17919, 17920, 17921, 17922, 17923, 17924, 17925, 17926,
   17927, 17928, 17929, 17930, 17931, 17932, 17933, 17934, 17948, 17949,
   17950, 17951, 17952, 17953, 17954, 17955, 17956, 17957, 17958, 17959,
   17960, 17961, 17962, 17963, 17964, 17965, 17966, 17967, 17968, 17969,
   17970, 17971, 17972, 17973, 17974, 17975, 17976, 17977, 17978, 17979,
   17980, 17981, 17982, 17983, 17984, 17985, 17986, 17987, 17988, 17989,
   17990, 17991, 17992, 17993, 17994, 17995, 17996, 17997, 17998, 17999,
   18000, 18001, 18002, 18003, 18004, 18005, 18006, 18007, 18008, 18009,
   18010, 18024, 18025, 18026, 18027, 18028, 18029, 18030, 18031, 18032,
   18033, 18034, 18035, 18036, 18037, 18038, 18039, 18040, 18041, 18042,
   18043, 18044, 18045, 18046, 18056, 18057, 18058, 18059, 18060, 18061,
   18062, 18063, 18064, 18065, 18066, 18067, 18068, 18069, 18070, 18071,
   18072, 18073, 18074, 18075, 18076, 18077, 18078, 18079, 18080, 18081,
   18082, 18083, 18084, 18085, 18086, 18087, 18088, 18089, 18090, 18091,
   18092, 18093, 18094, 18095, 18096, 18097, 18098, 18099, 18100, 18101,
   18102, 18103, 18104, 18105, 18106, 18107, 18108, 18109, 18110, 18111,
   18112, 18113, 18114, 18115, 18116, 18117, 18118, 18119, 18120, 18121,
   18122, 18123, 18124, 18125, 18126, 18127, 18128, 18129, 18130, 18131,
   18132, 18133, 18146, 18147, 18148, 18149, 18150, 18151, 18152, 18153,
   18154, 18155, 18156, 18157, 18158, 18159, 18160, 18161, 18162, 18163,
   18164, 18165, 18166, 18167, 18168, 18169, 18170, 18171, 18172, 18173,
   18174, 18175, 18176, 18177, 18178, 18179, 18180, 18181, 18182, 18183,
   18184, 18185, 18186, 18187, 18188, 18189, 18190, 18191, 18192, 18193,
   18194, 18195, 18196, 18197, 18198, 18199, 18200, 18201, 18202, 18203,
   18204, 18205, 18206, 18207, 18208, 18209, 18210, 18211, 18212, 18213,
   18214, 18215, 18216, 18217, 18218, 18219, 18220, 18221, 18222, 18223,
   18224, 18225, 18226, 18227, 18228, 18229, 18230, 18231, 18232, 18233,
   18234, 18235, 18236, 18237, 18238, 18239, 18240, 18241, 18242, 18243,
   18244, 18245, 18246, 18247, 18248, 18249, 18250, 18251, 18252, 18253,
   18254, 18255, 18256, 18257, 18258, 18259, 18260, 18261, 18262, 18263,
   18264, 18265, 18266, 18267, 18268, 18269, 18270, 18271, 18272, 18273,
   18274, 18275, 18276, 18277, 18278, 18279, 18280, 18281, 18282, 18283,
   18284, 18285, 18286, 18287, 18288, 18289, 18290, 18291, 18292, 18293,
   18294, 18295, 18296, 18297, 18298, 18299, 18300, 18301, 18302, 18303,
   18304, 18305, 18306, 18307, 18308, 18309, 18310, 18311, 18312, 18313,
   18314, 18315, 18316, 18317, 18318, 18319, 18320, 18321, 18322, 18323,
   18324, 18325, 18326, 18327, 18328, 18329, 18330, 18331, 18332, 18333,
   18334, 18335, 18336, 18337, 18338, 18339, 18340, 18341, 18342, 18343,
   18344, 18345, 18346, 18347, 18348, 18349, 18350, 18351, 18352, 18353,
   18354, 18355, 18356, 18357, 18358, 18359, 18360, 18361, 18362, 18363,
   18364, 18365, 18366, 18367, 18368, 18369, 18370, 18371, 18372, 18373,
   18374, 18375, 18376, 18377, 18378, 18379, 18380, 18381, 18382, 18383,
   18384, 18385, 18386, 18387, 18388, 18389, 18390, 18391, 18392, 18393,
   18394, 18395, 18396, 18397, 18398, 18399, 18400, 18401, 18402, 18403,
   18404, 18405, 18406, 18407, 18408, 18409, 18410, 18411, 18412, 18413,
   18414, 18415, 18416, 18417, 18418, 18419, 18420, 18421, 18422, 18423,
   18424, 18425, 18426, 18427, 18428, 18429, 18430, 18431, 18432, 18433,
   18434, 18435, 18436, 18437, 18438, 18439, 18440, 18441, 18442, 18443,
   18444, 18445, 18446, 18447, 18448, 18449, 18450, 18451, 18452, 18453,
   18454, 18455, 18456, 18457, 18458, 18459, 18460, 18461, 18462, 18463,
   18464, 18465, 18466, 18467, 18468, 18469, 18470, 18471, 18472, 18473,
   18474, 18475, 18476, 18477, 18478, 18479, 18480, 18481, 18482, 18483,
   18484, 18485, 18486, 18487, 18488, 18489, 18490, 18491, 18492, 18493,
   18494, 18495, 18496, 18497, 18498, 18499, 18500, 18501, 18502, 18503,
   18504, 18505, 18506, 18507, 18508, 18509, 18510, 18511, 18512, 18513,
   18514, 18515, 18516, 18517, 18518, 18519, 18520, 18521, 18522, 18523,
   18524, 18525, 18526, 18527, 18528, 18529, 18530, 18531, 18532, 18533,
   18534, 18535, 18536, 18537, 18538, 18539, 18540, 18541, 18542, 18543,
   18544, 18545, 18546, 18547, 18548, 18549, 18550, 18551, 18552, 18553,
   18554, 18555, 18556, 18557, 18558, 18559, 18560, 18561, 18562, 18563,
   18564, 18565, 18566, 18567, 18568, 18569, 18570, 18571, 18572, 18573,
   18574, 18575, 18576, 18577, 18578, 18579, 18580, 18581, 18582, 18583,
   18584, 18585, 18586, 18587, 18588, 18589, 18590, 18591, 18592, 18593,
   18594, 18595, 18596, 18597
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "UIDENT", "FCONST", "SCONST",
  "USCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS",
  "GREATER_EQUALS", "NOT_EQUALS", "ABORT_P", "ABSENT", "ABSOLUTE_P",
  "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL",
  "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY",
  "AS", "ASC", "ASENSITIVE", "ASSERTION", "ASSIGNMENT", "ASYMMETRIC",
  "ATOMIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BREADTH", "BY", "CACHE", "CALL", "CALLED", "CASCADE",
  "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "COMPRESSION", "CONCURRENTLY",
  "CONDITIONAL", "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DEPENDS", "DEPTH", "DESC", "DETACH",
  "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P",
  "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "EMPTY_P", "ENABLE_P",
  "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ERROR_P", "ESCAPE", "EVENT",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXPRESSION", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FILTER", "FINALIZE", "FIRST_P", "FLOAT_P",
  "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORMAT", "FORWARD", "FREEZE",
  "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL", "GRANT",
  "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "GROUPS", "HANDLER",
  "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE",
  "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDE",
  "INCLUDING", "INCREMENT", "INDENT", "INDEX", "INDEXES", "INHERIT",
  "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT", "INPUT_P",
  "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER", "INTERSECT",
  "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN",
  "JSON", "JSON_ARRAY", "JSON_ARRAYAGG", "JSON_EXISTS", "JSON_OBJECT",
  "JSON_OBJECTAGG", "JSON_QUERY", "JSON_SCALAR", "JSON_SERIALIZE",
  "JSON_TABLE", "JSON_VALUE", "KEEP", "KEY", "KEYS", "LABEL", "LANGUAGE",
  "LARGE_P", "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST",
  "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATCHED", "MATERIALIZED", "MAXVALUE", "MERGE", "MERGE_ACTION",
  "METHOD", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P",
  "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NESTED", "NEW", "NEXT", "NFC",
  "NFD", "NFKC", "NFKD", "NO", "NONE", "NORMALIZE", "NORMALIZED", "NOT",
  "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P",
  "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "OLD", "OMIT",
  "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "ORDINALITY", "OTHERS", "OUT_P", "OUTER_P", "OVER", "OVERLAPS",
  "OVERLAY", "OVERRIDING", "OWNED", "OWNER", "PARALLEL", "PARAMETER",
  "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PATH",
  "PERIOD", "PLACING", "PLAN", "PLANS", "POLICY", "POSITION", "PRECEDING",
  "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR",
  "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROCEDURES", "PROGRAM",
  "PUBLICATION", "QUOTE", "QUOTES", "RANGE", "READ", "REAL", "REASSIGN",
  "RECURSIVE", "REF_P", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX",
  "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA",
  "RESET", "RESTART", "RESTRICT", "RETURN", "RETURNING", "RETURNS",
  "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROUTINE", "ROUTINES",
  "ROW", "ROWS", "RULE", "SAVEPOINT", "SCALAR", "SCHEMA", "SCHEMAS",
  "SCROLL", "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE",
  "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET",
  "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP",
  "SMALLINT", "SNAPSHOT", "SOME", "SOURCE", "SQL_P", "STABLE",
  "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT",
  "STORAGE", "STORED", "STRICT_P", "STRING_P", "STRIP_P", "SUBSCRIPTION",
  "SUBSTRING", "SUPPORT", "SYMMETRIC", "SYSID", "SYSTEM_P", "SYSTEM_USER",
  "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TARGET", "TEMP",
  "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIES", "TIME", "TIMESTAMP",
  "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM",
  "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UESCAPE",
  "UNBOUNDED", "UNCONDITIONAL", "UNCOMMITTED", "UNENCRYPTED", "UNION",
  "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER",
  "USING", "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLNAMESPACES", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "XMLTABLE", "YEAR_P", "YES_P", "ZONE", "FORMAT_LA", "NOT_LA", "NULLS_LA",
  "WITH_LA", "WITHOUT_LA", "MODE_TYPE_NAME", "MODE_PLPGSQL_EXPR",
  "MODE_PLPGSQL_ASSIGN1", "MODE_PLPGSQL_ASSIGN2", "MODE_PLPGSQL_ASSIGN3",
  "'<'", "'>'", "'='", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'", "$accept",
  "parse_toplevel", "stmtmulti", "toplevel_stmt", "stmt",
  "opt_single_name", "opt_qualified_name", "opt_concurrently",
  "opt_drop_behavior", "CallStmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "DropRoleStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "CreateSchemaStmt", "OptSchemaEltList",
  "schema_stmt", "VariableSetStmt", "set_rest", "generic_set",
  "set_rest_more", "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "alter_identity_column_option_list", "alter_identity_column_option",
  "set_statistics_value", "set_access_method_name", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "copy_delimiter",
  "opt_using", "copy_generic_opt_list", "copy_generic_opt_elem",
  "copy_generic_opt_arg", "copy_generic_opt_arg_list",
  "copy_generic_opt_arg_list_item", "CreateStmt", "OptTemp",
  "OptTableElementList", "OptTypedTableElementList", "TableElementList",
  "TypedTableElementList", "TableElement", "TypedTableElement",
  "columnDef", "columnOptions", "column_compression",
  "opt_column_compression", "column_storage", "opt_column_storage",
  "ColQualList", "ColConstraint", "ColConstraintElem",
  "opt_unique_null_treatment", "generated_when", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "DomainConstraint",
  "DomainConstraintElem", "opt_no_inherit", "opt_without_overlaps",
  "opt_column_list", "columnList", "optionalPeriodName",
  "opt_column_and_period_list", "columnElem", "opt_c_include", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem", "OptWhereClause",
  "key_actions", "key_update", "key_delete", "key_action", "OptInherit",
  "OptPartitionSpec", "PartitionSpec", "part_params", "part_elem",
  "table_access_method_clause", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "stats_params", "stats_param", "AlterStatsStmt", "CreateAsStmt",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "RowSecurityOptionalExpr", "RowSecurityOptionalWithCheck",
  "RowSecurityDefaultToRole", "RowSecurityOptionalToRole",
  "RowSecurityDefaultPermissive", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "am_type", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerReferencing", "TriggerTransitions", "TriggerTransition",
  "TransitionOldOrNew", "TransitionRowOrTable", "TransitionRelName",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "FUNCTION_or_PROCEDURE", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertionStmt", "DefineStmt", "definition", "def_list",
  "def_elem", "def_arg", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "CreateOpFamilyStmt", "AlterOpFamilyStmt", "opclass_drop_list",
  "opclass_drop", "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "object_type_any_name",
  "object_type_name", "drop_type_name", "object_type_name_on_any_name",
  "any_name_list", "any_name", "attrs", "type_name_list", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_text", "SecLabelStmt",
  "opt_provider", "security_label", "FetchStmt", "fetch_args", "from_in",
  "opt_from_in", "GrantStmt", "RevokeStmt", "privileges", "privilege_list",
  "privilege", "parameter_name_list", "parameter_name", "privilege_target",
  "grantee_list", "grantee", "opt_grant_grant_option", "GrantRoleStmt",
  "RevokeRoleStmt", "grant_role_opt_list", "grant_role_opt",
  "grant_role_opt_value", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique",
  "access_method_clause", "index_params", "index_elem_options",
  "index_elem", "opt_include", "index_including_params", "opt_collate",
  "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "opt_createfunc_opt_list", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "ReturnStmt", "opt_routine_body",
  "routine_body_stmt_list", "routine_body_stmt", "transform_type_list",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "operator_with_argtypes_list", "operator_with_argtypes",
  "DoStmt", "dostmt_opt_list", "dostmt_opt_item", "CreateCastStmt",
  "cast_context", "DropCastStmt", "opt_if_exists", "CreateTransformStmt",
  "transform_element_list", "DropTransformStmt", "ReindexStmt",
  "reindex_target_relation", "reindex_target_all",
  "opt_reindex_option_list", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "opt_no",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterTypeStmt",
  "AlterOwnerStmt", "CreatePublicationStmt", "PublicationObjSpec",
  "pub_obj_list", "AlterPublicationStmt", "CreateSubscriptionStmt",
  "AlterSubscriptionStmt", "DropSubscriptionStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "TransactionStmtLegacy", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty",
  "opt_transaction_chain", "ViewStmt", "opt_check_option", "LoadStmt",
  "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "utility_option_list", "analyze_keyword",
  "utility_option_elem", "utility_option_name", "utility_option_arg",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause",
  "DeallocateStmt", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "MergeStmt", "merge_when_list",
  "merge_when_clause", "merge_when_tgt_matched",
  "merge_when_tgt_not_matched", "opt_merge_when_condition", "merge_update",
  "merge_delete", "merge_insert", "merge_values_clause",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_materialized", "opt_search_clause", "opt_cycle_clause",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "set_quantifier", "distinct_clause", "opt_all_clause",
  "opt_distinct_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "select_fetch_first_value", "I_or_F_const", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "opt_alias_clause_for_join_using",
  "func_alias_clause", "join_type", "opt_outer", "join_qual",
  "relation_expr", "extended_relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "json_table",
  "json_table_path_name_opt", "json_table_column_definition_list",
  "json_table_column_definition", "path_opt",
  "json_table_column_path_clause_opt", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "JsonType", "a_expr", "b_expr", "c_expr", "func_application",
  "func_expr", "func_expr_windowless", "func_expr_common_subexpr",
  "xml_root_version", "opt_xml_root_standalone", "xml_attributes",
  "xml_attribute_list", "xml_attribute_el", "document_or_content",
  "xml_indent_option", "xml_whitespace_option", "xmlexists_argument",
  "xml_passing_mech", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "opt_window_exclusion_clause", "row", "explicit_row",
  "implicit_row", "sub_type", "all_Op", "MathOp", "qual_Op", "qual_all_Op",
  "subquery_Op", "expr_list", "func_arg_list", "func_arg_expr",
  "func_arg_list_opt", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "unicode_normal_form", "overlay_list",
  "position_list", "substr_list", "trim_list", "in_expr", "case_expr",
  "when_clause_list", "when_clause", "case_default", "case_arg",
  "columnref", "indirection_el", "opt_slice_bound", "indirection",
  "opt_indirection", "opt_asymmetric", "json_passing_clause_opt",
  "json_arguments", "json_argument", "json_wrapper_behavior",
  "json_behavior", "json_behavior_type", "json_behavior_clause_opt",
  "json_on_error_clause_opt", "json_value_expr", "json_format_clause",
  "json_format_clause_opt", "json_quotes_clause_opt",
  "json_returning_clause_opt", "json_predicate_type_constraint",
  "json_key_uniqueness_constraint_opt", "json_name_and_value_list",
  "json_name_and_value", "json_object_constructor_null_clause_opt",
  "json_array_constructor_null_clause_opt", "json_value_expr_list",
  "json_aggregate_func", "json_array_aggregate_order_by_clause_opt",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "attr_name", "file_name",
  "func_name", "AexprConst", "Iconst", "Sconst", "SignedIconst", "RoleId",
  "RoleSpec", "role_list", "PLpgSQL_Expr", "PLAssignStmt",
  "plassign_target", "plassign_equals", "ColId", "type_function_name",
  "NonReservedWord", "ColLabel", "BareColLabel", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "bare_label_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,    60,    62,    61,    43,    45,    42,    47,    37,    94,
     776,    91,    93,    40,    41,    46,    59,    44,    58
};
# endif

#define YYPACT_NINF -5914

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5914)))

#define YYTABLE_NINF -2993

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2993)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   12476,   770, 22030, -5914, -5914,   770, 71924, -5914, 81576,   721,
     883,   100,   228, 20981, 82084, 92752,   748,   431,  9241,   770,
   92752,  3093, 62271, 77512,  1032, 92752,  1506,  1155, 62271, 92752,
   93260,  1204,  1405,  1170, 93768, 82592, 76496,   788, 92752,  1518,
     444, 94276, 83100,  1349, 83608,  1155, 57202,   161,  1346, 94784,
   92752,119592,   444, 84116, 84116, 84116,  1968,  1994,  1484, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914,  1700, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914,  1572, -5914,   969,
    2129,  1889,   960,  1447, -5914, -5914,  2130, 71924, 92752, 92752,
   92752,  1844, 92752,  1785, 92752,   925, 71924, 68368, 84624,  1953,
    1809, 53022, 95292, -5914, 71924, 92752, 65828, 71924, 92752, 92752,
   95800, 92752, 96308, 92752,  1885, 80052, 92752,  1918, 92752, 92752,
   66336, 96816,  2145,   279,   265, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,  1902,
    1793, -5914,   268, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, 62779, 92752, 21354,  1506,  2130, -5914,  1968, 92752,
    2146, 92752,  1931, 97324, 92752, -5914, 92752,  2023, 97832,   958,
    2134, 68368,  2245, 53549,  2117, 92752, 92752, 68368, 98340, 98848,
   99356, 92752, 92752, -5914, -5914,  2090, 92752, -5914,  2223, 68876,
    1189,  2240,  2419,  2345,  1143, -5914, 85132, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, 71416,   431, -5914, -5914,  2292,
   72432,  2384, -5914, -5914, 99864,120086,  2151, -5914,   965, 72940,
   69384,  2509,  2125, 54076,  2566, -5914, 73448, -5914, 69892, 73956,
   -5914, -5914, -5914, -5914, -5914,100372, -5914,100880,  2264,  2384,
   -5914,120580, 70400, -5914,  2387,101388,101896,102404,  2130,  2111,
    1459,  1306, 47326, -5914, -5914, -5914,  2187, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914,   323,  1910,   264,   248,
     332, -5914, -5914,   254,   256,   257,   323,  2648,  2648, -5914,
   92752, -5914, -5914,  1910,   766,  2256,  2166,  2166,  2166,  2399,
      30, -5914,  2166,  2324, -5914, -5914, -5914, -5914, 83608, -5914,
    2184,  1506,  2193,  2719,  2299, 62779,  1568, 92752, -5914, -5914,
    2747,  2293,  2589,  2287, -5914, -5914, -5914,  2550,  2535,   384,
     853,  1506,   321, -5914,  2717, -5914,  2593, 32198, 32198,  1506,
   85640,102912,   247, 71416,  1506, 86148,  2402,  1098,  2610, -5914,
   -5914, -5914,   813, -5914,  2888,  2446,  2753,  2287,   279, 49382,
   -5914, -5914,  2463,  1793, 83608, -5914, -5914, -5914, 62779,  2814,
   35354, 92752,  2458, -5914,  2467,  2458, -5914, -5914,  2521, -5914,
    2521,  2521,  2482,  2482,  2676,  2489, -5914, -5914, -5914, -5914,
    2453,  2521,  2482, -5914,121568, -5914,  1932,  1983, -5914, -5914,
    2970, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,  2511,
   -5914,  1011, -5914,  2104, -5914, -5914, -5914, 32198, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914,  2503,  2518,  1889, -5914,  9794,
   62779, 83608,   448,   448,  2964,   448,  1815,  2007, -5914,  2231,
   -5914,  2876,  2840,  2846, 83608,  2551,  1087, -5914,  1767,  2562,
    1730,  2561,  1839,  2113, -5914,   937, 92752,   252,  2596, 86656,
    6348,  2591,  1793,  2614, -5914, -5914, -5914, -5914,  2769,  1474,
   -5914, -5914, -5914, -5914,  2882,  2998,  7861,   388, 87164, -5914,
   -5914, -5914, -5914, 92752, 92752, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914,  2634,   854, -5914, -5914,  2633,  3020,
    2889,  6754,   899,  2995,  2841,  1295,  7461,  2911,  1836,  3070,
    9739,  1615,  3074,  1879,  2322, 87672, 92752,  3034,  3081,  6914,
    2101,  1094,  2943,  1176,  2995,  3084,  2890,  1295,  3100,  8082,
   92752, -5914,  3007,  3138,  1019, -5914,   204, -5914, 24889, 35354,
   56694, -5914,  1793, -5914,  1926, -5914, -5914, 61763, -5914,  2790,
    2954,  1093, 71924,  2734, 92752, 92752, -5914,119592, 71924, -5914,
    2967, 54603, 71924, -5914, 71924, -5914, -5914,  3101,119592, 92752,
   92752, -5914, 92752, -5914, -5914,  2737, -5914, -5914, -5914, -5914,
   -5914,  2166, 92752,  3201,119592,  2982,   207,    31,  3237, 92752,
    2986,    31,  2785,103420, -5914, -5914,    31, -5914, -5914, -5914,
   92752, 92752,  2748,  1938,  2972,   191,    31,  2990,  3235,  3236,
    2993,  2830,  2996,  2467, -5914,  3200,  2969,  1375,   227,   352,
      31,  2811,103928,104436, 92752,  2812, 92752,  3212, 71924,  2850,
   71924, 71924, 92752,  3132, 92752, -5914,  2957, -5914, -5914,  1089,
   -5914, -5914, -5914, -5914, -5914,  3148, -5914,   210,  3149,  2774,
    3158,    23,  3159,   225, -5914, -5914,  2824, -5914,  3162,   235,
   -5914,  3163, -5914,  2789,104944, -5914,105452,105960,  3170,   300,
   -5914, 68368,  3172,   235,  3173,  2789,  3174,   235,  3175,  1028,
    3176, -5914,  1468,  3164,  3179,   225,  3184,  2179,  2789, -5914,
    3186,   326, -5914,  3188,   339, -5914,  3190,  3040, -5914, 35354,
   -5914,  2916, -5914,  1346,  1984,  1306,  1910, -5914, 92752,  1910,
   92752,  1910, 92752,  1910, 92752,  1910, 92752, 92752, 92752,  1910,
   -5914, -5914, -5914, 92752,  2817, 92752, -5914, 92752, -5914, -5914,
   -5914, 78528, 68368, 79036, -5914, 92752, -5914,   478,  1506, -5914,
   -5914,119592,  3313, 68368,  3212,  2010, -5914, -5914,  3212, -5914,
   -5914,  3212,  3212, -5914, -5914, -5914,  3102, 92752,  3181, 78528,
   68368,  3191, -5914,106468, -5914, 71416,  3053,  2834, -5914, -5914,
   -5914, -5914, -5914,  2088,  3357,   294,  3362, 35354,  2836,   294,
     294,  2837,  3207, -5914, -5914, -5914,   281,  2851,  2854, -5914,
     270,   270, -5914,  2855,  2858, -5914,   307,  2865,  2867,  3397,
    3398,   312,   318,  2874,  2875,  2877,  2879,  2880,  2881,  2883,
    2884,  2885,  2886,  2894,  2895,  2896,  2453,   294,  2898, 35354,
   -5914,  2899,   270,  2900,  2901,  2902,  3409,  2905, -5914,  3417,
    2906, -5914,   303,   345,  2907,  2908, -5914,  3143, -5914,   322,
    2910,  2917,  2919,  2921,  2923,  2924,  2928,  2929, 35354, 35354,
   35354, -5914, 29563,  1793,  1506, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914,   338, -5914, 51441, -5914,  2953, -5914, -5914,
    3127, -5914, -5914, 35354, -5914, -5914,  3300,   148, -5914,   340,
   -5914, -5914, -5914,  1793,  3245,  2936, -5914, -5914,  1831,  2938,
   -5914,  1727, -5914, -5914, -5914, -5914, -5914, -5914, 70908,  3441,
   -5914,   392,  1506,   204,  1867,  3380, 60239, 60747, -5914, -5914,
    3233, -5914, 92752, -5914, -5914,  1793,   175,  2064, -5914,  2187,
   20412,  2070,  2458, 92752, 92752,  3447, -5914,  2955, -5914, -5914,
   35354, -5914, -5914, -5914,  2648, -5914,  2521,  2521, -5914, -5914,
    3449,  3046,  3047,  2648, -5914,  2648, -5914,  2965,  2968,  2648,
    3049,  3055,  3056, -5914,  2974,  3059,  2648, -5914, -5914, 63796,
    2158, -5914,  3329,   240, -5914, -5914, -5914,  2086, -5914,  2975,
   -5914,  2467, -5914, -5914,  1889,  1889, 35354,  1889,  1406,  1439,
   32724, 35880,  3339,  3209,   963,  1768,  3343, -5914,  3214,  1815,
    2007, 83608, 92752, 83608,106976,  3116, 35354, -5914,  3454,  3077,
    3082,  3142, 59234, -5914,  3085,  3050,  3087,  3146,  3001,  3091,
    3092,  3152, -5914,  3288, -5914, -5914,  3096,  3470,  3104,107484,
   -5914, -5914,  1259, -5914, -5914, -5914,  1259, -5914,  3028,   239,
    1646,  1557,  3107,   546,   995,  3462, -5914,  1269, -5914, -5914,
    3168, -5914, 13046, 92752,  3400,  8303,  3252,   388,  3171, -5914,
   -5914, -5914,  3315,  3115, 92752,  3119,  3269,   388,  1709,107992,
   -5914, -5914, 92752, -5914, -5914, -5914, -5914,  6391,  3439, 28047,
   -5914,  2080,  3123,  3106,  3141, 92752, 74972,   446,  3249,  3271,
    1732,  2279,   684,  3197, 92752,  1810,  3282, 92752,  3052,  3144,
    3145,  3394,  3060,   705,  3502,  3061, -5914, -5914, -5914,  3473,
   -5914,   529,  2174,  3278, -5914,  3402,  3448,  9528,  3133,  3135,
  117616, -5914,  3165,    68, 55130, 92752, 92752,  3166,  3167,108500,
    6391,  3481, 79544, 79544,  3169,  3178, 48868,  3496,  1917,  3185,
   -5914, -5914, -5914,  1917,  3189,  3192,109008,  6391,  3488, 92752,
    3193,  3196, 92752,121568,   388, -5914,  3558, -5914,   388,   388,
    2159,  3559,  3199,   375,  3345,   723,    31, -5914,  3061,  3521,
   -5914,  3202,  3204,   354, -5914,  3320, 92752,  3205,  3206,   132,
    3283,  1506, -5914,  3285, -5914,  3210,  3286,  3217,    88,  2748,
   -5914, -5914,  1600,  3219, 83608,  3314,  3317,  1810,   250,   745,
    3061, -5914,  3218,  3221,  3060,  3060, 92752, 92752, 92752, 92752,
   92752,   243,  3611,   278,  3222,   242,  1360,  3128, -5914,  1917,
   66844,  3223, -5914,  1917, 92752,   214,  1069,  3061,  1872,  2039,
   -5914, -5914, -5914,   279, -5914, 35354, 35354, 35354,  3126, -5914,
    2383, 20412,    93, -5914,   341, 15973,  3134, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, 92752, 62779, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, 92752, -5914, 92752,  3446,119592,  3450,  3365,
    3451,  3458,   388, 92752, 92752,  3461,  3463,  3466,119592,  3467,
    3469,  3474,  3386,  3253,   840,  3244,  3177,  3663,  3546, 92752,
   63796, -5914,  1259, -5914,119592,  3401,  3549, -5914, 92752,  3419,
      85, -5914,  3593,  3246, -5914, -5914,   815, 92752, 78020,  2748,
   -5914, -5914,  3561, 68368,   385,  3564,  1506,  3234,  3565,  3407,
    1506, 68368,  3465, 92752, 92752, 92752, 92752,   432, -5914, 66844,
    3434, -5914, 92752,  3435,  3521,  3438,  3693,    94,  2166,109516,
    3562, -5914,110024,  3203, 92752,  3208,  3208,  3694,119592,   394,
    3491, -5914, -5914,  2205, -5914,  3348, -5914, 71924, -5914, -5914,
   71924, -5914, -5914,119592, 92752,  3216,119592,119592, -5914, -5914,
   71924, 71924, -5914, 68368, 68368,  3578,   326,  3582,  3272,  3583,
    3281, 55130, 55130, -5914,   350, 71924, -5914, 68368, 71924, -5914,
   92752, -5914, 92752, -5914, -5914, -5914, -5914,119592,119592, -5914,
   68368, 66844,  3585, 92752, 92752, -5914, 92752, 92752, -5914, 92752,
   92752,  2116,110532,  1306, -5914, 92752, -5914, 92752, -5914, 92752,
   -5914, 92752, -5914, 92752, -5914, -5914, -5914, 92752, -5914, 92752,
    2141, -5914, -5914,  2142,  1477, 92752, 92752,  1039, 71924, 92752,
    3453, 92752, 71924, 71924, 92752, 92752, 92752, 92752, 92752,  3304,
    2938,   898, -5914,  1352,   330, 83608,  3459, -5914, -5914,  2167,
    1968,    33, 92752, -5914, 92752, 92752, 92752, -5914, -5914, 77512,
    3581,   149, 79036, 92752, -5914, -5914, 21315, 35354,  1793, 31667,
   -5914, -5914, 20412,  3273, 35354, 35354,  3227,  2648,  2648, -5914,
     372, 35354, 35354, 35354, 29037, 35354, 35354, 33250, 35354, 35354,
   35354, 35354, 35354, 35354,  2648,  2648,  3228, 35354,  8487, 35354,
   55130, 35354, 41140, 25953, 35354, 35354, 30089,  1001,  2855, 35354,
    3485, 42186, 35354,  1867,  3489, 35354,  1867,  8487,  3751,  3751,
    2239,  7498,  3229,  1793, -5914,  2648,  1081, -5914,   482,119592,
   35354, 35354, 35354, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, 35354, -5914,
   63796, -5914, -5914, -5914, -5914, -5914, -5914,  1278, -5914, -5914,
   -5914, -5914, -5914, -5914,  6352, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, 92752, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, 30615, -5914, -5914, -5914, -5914,
    3238, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914,  3392, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, 31141,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914,  3239, -5914, -5914, 35354, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914,  3321, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,  1021, 35354,
   35354, 35354, 35354, 35354, 35354, 35354, 35354, 35354, -5914, 35354,
     540, -5914, -5914,  3584,  3300,  1134,   572,  3240,  3455, 88180,
   32198,  3329, 24889, -5914,   273,  3329, -5914, -5914, -5914, 92752,
    3441, -5914, -5914,  3327, -5914, -5914, -5914, -5914, -5914,   342,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914,  3231, -5914, -5914,
   -5914, -5914,  3231, -5914,  3242,  3575,  3587,  1028, 83608,  2496,
   35354,  1278,   258, 92752, 35354,  3238,  3392, 35354,  3239, 35354,
    3321, -5914, 35354, -5914,  2172,   921, 35354,  2180,  3243, -5914,
   -5914,  3247,  2968,  3275,  3276,  3248,  3255,  2648,   249,  3257,
    1548,  1544,  3387,  2648,  3513,  3260, -5914, 63796, -5914, 44242,
    3308, -5914, -5914, -5914,   444, 83608, 83608, -5914,  3576, -5914,
    3261, -5914, 16004,  3576, -5914, -5914, 41663,  3393,  3570,  3503,
   -5914, -5914, -5914,  3277, 20412, 36406, 36406, -5914,  2154, 20412,
    2207, -5914, -5914, -5914, -5914, -5914, -5914,  1397, -5914, 92752,
     179,  3339,  1768,  3344,  1483,  3778,  3349, 92752, -5914, 49896,
    2181, -5914, 68368, 92752, 92752,  3501, -5914,  3762, -5914,121568,
   -5914,  3290, -5914,121074,116628, -5914, -5914,  1106, -5914,  1031,
   68368, -5914, 92752, 92752, 68368, 92752, 92752, -5914, 68368,  3340,
   92752, 92752, -5914, -5914, -5914, -5914, -5914, 61255,   111, 77512,
    3437, 77004, -5914, -5914,  3293, 92752,  3531, -5914, -5914,111040,
   -5914,  3533, 68368, 92752, 92752, 35354,  3534, 92752, 92752, -5914,
     982,  3388,  3390, -5914, 92752,  3391, 71924,  3299,119592, 71924,
   55657, 71924, 71924,  3662,119592, 92752, 92752,  1287, 83608,   251,
    1079,  3061,  3541, -5914,  1754, -5914, 68368, -5914, 92752,  3535,
   -5914, -5914, -5914, 88688,  3793,  3432, -5914, -5914, -5914,111548,
   -5914, -5914,  3538, -5914,  2199, -5914, 68368, 68368, 92752,  9967,
    3316,112056, 92752,  1512,  3607,  3560,  3554,  3613,  1058, -5914,
   -5914, -5914,119592, -5914, 92752, 89196, 92752, 92752,  3604, 92752,
   80560,112564,113072,   103,  1630,  3609, 92752, 81068,  3610, -5914,
    3475, 92752, -5914, -5914, 64304, 68368, 92752,   959, 63796, -5914,
    3592, -5914, 92752, -5914,   335, -5914, 92752, 11537,  3555, -5914,
   -5914,  3420,  3444, 92752,   255,  1109,  3061,  3753, 92752, 92752,
    3350,  2200, 68368, 92752, 63796, -5914,  3574,   117, 68368, 92752,
   88688, -5914,  3588, -5914, 83608,  3683, -5914,  3352,  2166,  2463,
    2001,  3352, 68368, 92752, -5914,  3352, 92752,102912, -5914, 68368,
    1378, -5914, 68368, 92752, 88688, -5914,  3612,  3524, 68368, 92752,
   12267, -5914, -5914, -5914,   388, -5914, -5914, -5914, -5914, -5914,
   92752, 92752,   388, 92752, 92752,   388,   333, -5914, 68368, 92752,
   -5914, -5914, -5914,  3490, 68368, 92752, 92752,   288, 92752, -5914,
   92752, 68368,  3403, 92752, 92752, -5914, -5914, 92752,  7323, 92752,
   92752, 92752, 92752, 92752, 92752, 68368, 92752, -5914, -5914,  1214,
      96,  1129,  1833,   878, 92752,  3700, 92752,113580,  1506, 68368,
   92752, 92752,  1506, 92752, 63796,  1892, -5914, -5914,  3514, -5914,
   68368,  1378, -5914, 10696, 92752, 92752, 92752,  3471,  3472,   298,
    3566, -5914, -5914, -5914,    98,    98,  3601, -5914, 35354, 35354,
   33776,  3385, -5914, -5914, 35354,  2790, -5914, -5914, -5914,   365,
    3884,   365,114088,   365,   365,  3699,  3464,  3479,   365,   365,
     365,  3687,   365,   365,   365, 92752,  3586, -5914, -5914,  3586,
     198, 35354,119592, 92752, -5914,  2238, -5914,  3408, -5914, -5914,
   63796, 92752,   409,   183,  3776,  3632, 75480,  2295,  3767, 92752,
    3457, 92752,  3904,  3509,  1753, -5914,  2295, 92752, -5914,  2178,
   77512, -5914, -5914, -5914, -5914, -5914, -5914, -5914, 92752, -5914,
   -5914,  3791, 92752, 44756,  3600, -5914,  1506,  2748,  2748,  2748,
    2748,  3436,  2748, 92752,  3572,  3811,  2295,  3442,  3814, -5914,
    3521,  3815,  1193, 92752,  3674, 75480,  3506,  3499,  3686,  3952,
    2166,  1506,  3701,  3684, -5914, 59731, -5914,  2748,  3964, 28542,
    5970,  6726,  3689,  3752, -5914, -5914,  3696,  1014, 92752,  3810,
    3812,  3832, -5914,   210, -5914,  3967,    23,  3834,   225, -5914,
     235, -5914,  2789, -5914, 92752, -5914, 92752, 92752, 92752, 92752,
     300, -5914, -5914,   235,  2789,   235,  1028, -5914,  3766,   225,
    2789,  3615,  3847,   326, -5914,   339, -5914,  3711,  1028, -5914,
    3728,  2166, -5914, -5914, -5914, -5914, -5914, -5914, -5914,  2242,
   -5914, 92752, -5914,  3820,  3821,  3822,  3823,  3825,  3492,  3494,
    3539, 92752,  3495,  3492,   388,  3497,  3504, -5914,  3495,  3495,
    3492,  2938,  2938,  3492,  3494, 67352,  3977, 63796, -5914, -5914,
    3591,  3507,  3865,   262, -5914,  1008,    95,  3770, -5914, -5914,
   -5914, -5914,119592, -5914, 68368,  3556, -5914, -5914, -5914,  3736,
    3510, 67352,  1028,   411, -5914, 71924, 92752,119592, 71924,  3747,
   71924, 71924,119592, 92752, 92752,  2253, -5914,    -1, -5914,  1558,
   35354,   514, -5914, 17004,  2254, 35354,  3515,  3516, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914,  3517,  3875, -5914,  2260,  2265,
   17472,  2394,119592,  2973,  3544, -5914,  3525,   246,  3744,  3528,
    6543,  3594,  2273,  3527,   306, -5914,  6543,   336,  3530,  7760,
    3688,  3532,  2275,  3537,  3540, -5914,  6960,  7295,  3542, 17862,
    3536,  3545,  3548,  3550, 41140, 41140, 29563,  2507, -5914, 41140,
    3553,  3748,  2277, 16634,  3567,  3568, 17940, 34302, 35354, 34302,
   34302, 18199,  3552,  3573, -5914,  3943, -5914,  2282, 63796,  3763,
   18540,  2289, -5914, 35354, 63796,  7539, 35354, -5914, 35354,  3577,
   -5914, -5914,  3347,  3347,  3347,  8487, -5914, -5914,  3589, -5914,
   41140, 41140, -5914,  2604, 29563, -5914, -5914,  3915, -5914, -5914,
     348, -5914, -5914, -5914, -5914, -5914,  3460, -5914, -5914, -5914,
    3804,  2394,  2847, 55130, 16571, 35354,   263, 35354,  3238, 35354,
    3650,  3347,  3347,  3347,   497,   497,   309,   309,   309,  1197,
     572, -5914, -5914, -5914,  3571,  3579,  3455,  3597, 35354, -5914,
    3619, 50410, -5914,  2502,  2662, 92752,  3476,  4422,  6499, -5914,
   -5914, -5914,  3308,    93,  3308, -5914,   279,  2648,  1081, 61763,
   -5914, -5914, -5914, -5914, -5914, -5914, 83608, 20412, -5914, -5914,
    3843,  3598,  2290, -5914, -5914,  2648, -5914, -5914,  2226,  2226,
    3603, -5914,  3605, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
    3602, -5914, -5914, -5914,  3608,  3616, 45270,  3921,  3617, 43728,
   89704,  3563,  2261, -5914, 89704, 90212, 89704, 89704, -5914,  3596,
   -5914, -5914,  1793, 35354,  3931, -5914, -5914, -5914, 35354, -5914,
   -5914,  1817,  3625,  1073,  1216,  2445,  2445,  2154,  1310, -5914,
   -5914,  3649, -5914, 35354,  2363, -5914,  2368, -5914, -5914, -5914,
   -5914,  2938, -5914,  3879, -5914, -5914, -5914, 44242,  3657,  3668,
    1857, 48354,  3838, -5914, 92752, 44242, -5914, 92752,   437, -5914,
    3630, -5914, -5914, -5914, -5914, -5914, -5914,116628,  2104, -5914,
  121074, -5914,121074, -5914,  2104,  4095, -5914,116628,  2026, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, 68368, 68368,  3848, 92752,  3844,  3849, 35354,  1186,
   -5914,  4001,  1028, -5914, -5914,  3714, -5914, 20412, -5914, -5914,
   -5914, -5914, -5914, 68368, 92752, -5914, 71416, -5914, -5914,119592,
   -5914, -5914, 92752, 92752, -5914, -5914, -5914,119592, -5914, -5914,
   -5914, 92752,   177,  3715,  3717, 92752, -5914,   976,  3320, 10913,
   92752, 92752, 92752,  3953, -5914, -5914, -5914, -5914,  3869, -5914,
    4009, -5914,116628, -5914,  2789,  1441,  3724,  3061, 35354,  3883,
   -5914,   831, 92752,  3638,  3643,  4020, 92752,  1706,  3972,  3646,
   -5914,  3761, -5914,  3784,  1362, -5914, -5914,  3794, -5914, -5914,
   -5914, -5914,  4029,  1028,  4034,  1028, 92752, 92752, 92752, 92752,
    3801, -5914, -5914, -5914, -5914,  3805,  3946, -5914, 63796, 63796,
   63796,  2294, -5914, -5914,  1506, -5914, -5914, -5914, -5914, -5914,
   -5914,  3993, -5914,  2296, -5914,  1909, 90720, -5914, -5914, -5914,
   -5914, -5914,  4040, 68368, 92752, 10943, 92752, 92752, 92752,  3893,
    1935,  1255,119592, -5914,118110, -5914, -5914,  2310, -5914,  3679,
   92752,  3757, 68368,  3740, -5914, -5914, -5914,  4047,  2166,  3824,
   79544,  3726,  3726,  2015, -5914, -5914, -5914, -5914, -5914,  3961,
    3885, -5914,  1139,  3886, 68368,  3750, -5914, -5914, -5914, -5914,
    4061,  3777, -5914, -5914,  3783,  1171,  3061,  3521, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914,  3817, -5914, -5914,
   -5914, -5914, -5914, -5914,  1756,  1756, -5914, -5914, -5914,  1756,
    1529,   436,  1209,  3061, -5914,  1843,  1805,  3787, -5914,  3795,
   -5914, -5914, -5914,  3959,  3974,  3976,  3797,  3798,  3852,  3799,
    3800,  3861, -5914,  3806,  3862,  3807,  3863,  3808,  4127,  1028,
  119592,  3970,  1506,  3855,  4106,  1028, -5914, -5914,  3819, -5914,
    3827, -5914,  2311,  4220,  4221, -5914, 92752, -5914,   261,  1244,
    3061, -5914,  3828, -5914, 68368, 92752, -5914, -5914, -5914, 35354,
    3735,  3745,  3755, 20412, 20412, 35354, -5914, -5914, 20412,  3764,
   -5914, -5914, -5914, -5914,119592, -5914, 92752,  4046, -5914, -5914,
     365, 92752, 92752, -5914, -5914, -5914, 92752, -5914, -5914, -5914,
    4063, -5914,   289,   289, -5914, -5914,  4096,  7898,  3759,   449,
   -5914, 63796, 51968,  2297,   515,    31, -5914, 71416, 92752, 71416,
   -5914,   183,  3983, 92752, 92752, 92752,  3769,  3760, -5914, -5914,
   -5914, -5914, 68368,   232, 68368,  2648, -5914, -5914,  3845, -5914,
   92752,  2166,  4303,  4138,  3403, -5914,  4262,  3236,   385,  1749,
     253,  2830,  4198,  2467, 35354,   439, -5914, -5914,  1793, 92752,
    3499, -5914, -5914, -5914, -5914,  1506, -5914,  3779,  3775, -5914,
   92752,  4143, 92752, 92752, 92752, 92752,  3556,  3782, 92752,  3786,
  119592, 92752,  2438,  3060,  4278,  4160,  1968,  3506,  3872,  4164,
   83608,  3802,  2315, -5914, -5914,  1014, -5914,  2316,   172, -5914,
    1506, 71416,117122,  4151, -5914,  1023,  6726, -5914, -5914,  1023,
    1013, 92752, -5914, -5914, -5914, -5914,  4021,  2140, -5914,  4135,
   -5914, -5914,  1968, -5914,119592,  3796, -5914,  2317, -5914, -5914,
   -5914,   326,  3856,  1028,  3859,  1028, -5914, -5914, -5914, -5914,
   92752, -5914, 92752, 66844, -5914, -5914, 92752, -5914,  4174, -5914,
   -5914,  3944,  3945,  3947,  3949,  3954, 92752,  3492, -5914,  3803,
   92752, 92752, 68368,  1814, -5914, -5914, 68368,   420, -5914,  1078,
   -5914, 83608,  3936, -5914, -5914, -5914, -5914,  4181,  4189, -5914,
   -5914, -5914,  1376, -5914, 78528,   458, -5914, 68368,  4128,  4129,
    4133,  4134,   388,  4137,  4139,  4141,  4144,  4145, -5914, -5914,
   -5914,  3831, 18612, 35354, -5914,  4223,119592, -5914,  7996, -5914,
   -5914, -5914, 35354, -5914, -5914,  4147, -5914, -5914,  3903,  3907,
    3839,  3544,  3688, -5914,  4064,  4068, 35354,  3688,  4318,   358,
   35354, 35354, 35354, -5914, -5914,  4070,  4073, 35354,  2394,  2394,
   35354, -5914,  3850, 35354, -5914, -5914, -5914, -5914,  2380, 35354,
   -5914, 35354, -5914, -5914, 26485,  4369,  4369,  3846,119592, 41140,
   41140, 41140, 41140,  1719,  2900, 41140, 41140, 41140, 41140, 41140,
   41140, 41140, 41140, 41140, 41140,   581, -5914,  4065, 35354, 35354,
   34828, -5914, -5914,119592,  3853,  3552,  3854,  3857, 35354, -5914,
   -5914, -5914,  2329, 42700,  3858, 63796, -5914, 35354, 16949,  2333,
    3908, 18664,  1793,  8567,  1506, 35354,  3376,  4548, 35354,  2338,
   35354, -5914, -5914, -5914, -5914,  4209, -5914, -5914, -5914, -5914,
   -5914, -5914,  4098,  2394, -5914, -5914, 35354,  3860,  4448, 41140,
   41140,  4740, -5914,  4795, 35354, 29563, -5914,  3601, -5914, 27017,
    3864, 35354,116120, -5914, -5914,  1155,  1155,  1155,  1155, -5914,
   92752, 92752, 92752,  3931,  3866,  3931,   204,  3868, -5914, -5914,
   -5914, -5914,  1968, -5914,  3867, -5914, -5914, -5914, -5914, -5914,
   35354, 89704, 90212, 89704, 89704,  3870, 43214, 27532,  2261,  3871,
   92752, -5914, -5914,  3873, 44242,  4169,  4079, -5914, 44242,  4079,
    2052,  4079,  4171,  3969, 50924, -5914, -5914,  3874, -5914, -5914,
    4093, -5914,  2080, 20412,  4350,  4222, -5914,  3877, -5914,  3625,
    1782, -5914, -5914, -5914,  1318, -5914,  3968, -5914, -5914, -5914,
    3563, 36932,  4039, -5914, -5914, -5914,  3938,  2348, -5914, -5914,
    4326,  4039, -5914,  2431, -5914,  2356, 49896,  3657, 35354,  1793,
    2360,  2047, -5914, -5914,116628, -5914,  3962,  2789,  2789,  1981,
    3492,  4246,  1981,  8727, -5914,  1840, 92752, -5914, 92752, -5914,
   -5914, -5914,  4382,  3950,  3955,  4180, -5914,  2561, -5914, -5914,
   68368, 92752, -5914, -5914, -5914,   400,  1298,  3061, -5914,  3978,
   -5914, -5914,  4211, 92752, -5914,  4368,  3992, 92752,  8771,  4273,
    3960, -5914, -5914, 45784, 92752, 92752, -5914, 92752, -5914, 92752,
   92752,  1840, 91228, -5914,  4346,  1840,  4015,  4253,  1704,  3060,
     375,  6498, -5914,  1873, -5914, -5914,  3979, -5914, 92752, -5914,
   92752, -5914, -5914, -5914, -5914, -5914, -5914, -5914,  4044, -5914,
   -5914, -5914, -5914, 64304, -5914, -5914, 92752, -5914, 63796, 51968,
   63796, -5914, -5914, -5914, 92752, -5914,  1597,   509,  1311,  3061,
   -5914,  3994, -5914,  4279,  3995,  3996,  4050,   885,   280,  3997,
    3998,  4057,  3913,  3914,  3916, -5914, 63796, 52495,  4083, 92752,
    2789,  3918,  3966, 92752,  3726, 91736, -5914,  3924, -5914, -5914,
    3726,   323,  1506, -5914, -5914,  1506,  2789,  1506, 92752, 92752,
   92752, 92752,   288, -5914, -5914, -5914,  4395,  4023, 92752, 92752,
   92752, 92752, -5914,  3985, -5914, -5914, -5914, 92752, 92752,  4289,
    1075,  2186, 68368, 92752, 92752, 68368, 92752, 92752, 92752, 92752,
   92752, 92752, 92752,  4156, -5914,  4385,  4310,  2148,  4355,  4013,
   92752, -5914, 92752,  1506, -5914,  3320, 92752, 92752, 92752, 92752,
   -5914, -5914, -5914, -5914, -5914,  3601, -5914,  3937,  4248,   365,
   -5914,  4250,  4251,  4255,   365, -5914, -5914,    31, -5914,   537,
   92752, -5914,  2653, 92752, -5914, -5914, -5914,  3877,   529,  2174,
   -5914, -5914, -5914, -5914, -5914, -5914,  3956, 92752, 92752, 41140,
   -5914,  2321,  1901,  1469, -5914,  4237, 92752,  3143, -5914, -5914,
   -5914,  1425, 92752, -5914, -5914, -5914, -5914,  3957, -5914,    86,
    3782, -5914,  4271, 75480,  2789, 68368, 68368,  2789, -5914,119592,
    3958,  3499, -5914,   856,  4037, -5914, 68368,   385,114596,  3234,
    3991,  4178,  9089, 44242, 44756,  1756, -5914,  3963,  3951, -5914,
   -5914, 92752,  3983, 66844,  2366,  3521,  4449,  1256,  2111, -5914,
   75988,  4163,  3782,  4271, -5914,  3060,  4190,  4186, -5914,  1968,
   92752,  3556,  3499,  1506, 92752,  3960, 51968, -5914,  4493,  2164,
   -5914,116628, 35354, 35354, -5914,  3973, -5914,  3965,  6726, -5914,
    4045,  3975,  4459, 35354, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914,  4058,  3980, 92752, 92752,  1014, 92752, -5914,  3971,
    3834, -5914,  3834, -5914, 92752, -5914, 92752, -5914,  1028, -5914,
    4108,  1028, 92752, 92752, 92752, 92752, 92752, 92752,  3492,   388,
    3504, -5914, -5914,  4324, 67352,  4325, -5914, 63796, -5914, -5914,
   -5914, -5914, -5914,  2371, 92752, -5914, -5914, -5914,  4398,  4337,
    1028,   149,  1141,  1141,  1141,  1141,  4292,  1141,  1141,  1141,
    1141,  1141, -5914, 35354, 20412, -5914,  3984, -5914, 20412,  4374,
    4281,  4282, -5914, -5914,  3986,  4227,  4228, -5914,  4000, 35354,
    3688, 18777, -5914, -5914,  4230,  4231, -5914,  3688,  3688, 18777,
   -5914, 18777,  4002, 10293, 18972, -5914,  2372, 35354, -5914,  1230,
    1230,  1230,  3279,  4353, -5914,  3025,  1230,  1230,  1230,   516,
     516,   301,   301,   301,  4369,   581, 19194, 19391, 19611,  4003,
   -5914, -5914, -5914,  3552, -5914, 37458,   115,  4473, 42186, -5914,
   -5914, -5914,  4051,  4053,  4004, -5914, 35354, 37984,  4005,121568,
    4215, -5914,  1945, 35354, 35354,  5396, -5914,  8630, 35354, -5914,
   -5914,  5396,   548, 35354,  5517,  5793, 35354, 35354,  5450, 10546,
    4010, -5914,  2373, 35354, 11329,  4216, -5914, 92752, 92752, 92752,
   92752, -5914, -5914, -5914,  4222,  1506,  4222,  1506,  4017, -5914,
    4012, -5914, -5914, -5914, -5914, 64812,  4014,  3763, 89704,  4019,
   92752,  2261, 44242, -5914, -5914,  3346, -5914, 44242,  4328, -5914,
   44242, 71924, -5914, 92752,  4026, 92752, -5914,   448, 35354,  4067,
   55130, -5914, -5914, -5914, -5914,  4110, -5914,  4258, 20412, 32198,
   -5914,  1968,  1489, 92752,  1793,   890, -5914, 35354,  4048, 92752,
   -5914,  4039, 20412, -5914,  4107,  2385, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914,  4116, 77512,  4391, -5914, -5914,  1987,  4361,
     490, -5914,  1028, -5914,119592, 92752, 92752, 92752,  3001, -5914,
   -5914, 92752, 92752, 92752, 92752, -5914, -5914, 68368, 92752, -5914,
   -5914, 92752, 35354,  2386, -5914,  4085,  4495,   391,  4042, -5914,
    1840,  1656,  1840, -5914,  1656, -5914, -5914, 92244, -5914,  3983,
     288,  2321,  4381,  4386,  4283, -5914,   388, -5914,  4544,  2321,
    4287,   288, -5914, -5914, -5914, -5914,  3948, -5914,119592,  1028,
    1028, -5914, -5914, -5914, -5914, -5914,  4066, -5914,  4527,  4152,
   92752, 92752, 92752, 92752, 92752, 68368, 92752, 92752,  2648,  2648,
  119592,  4054, -5914,  2648,  2648,  4055, -5914, 68368, 92752, 92752,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914,  4154, -5914, 35354,  4518, -5914, -5914, -5914, -5914, -5914,
   35354, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, 68368, 92752,  4157, -5914,  4165, -5914,   199, -5914, -5914,
   92752, 92752, 92752, 92752,  4440, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914,  4441, 92752, -5914, -5914,
    1506,  1506,119592,  1028,  1028, -5914, -5914, -5914,  4167, -5914,
   -5914,  4072,  4378,   365, -5914,   365,   365,   365, -5914,  4076,
   -5914,    31,  4483, -5914,  1840,  2084,  4436, -5914, 35354, -5914,
    1524,  3279, -5914,  4499,  4582, -5914, -5914, -5914,  4333,  3403,
    2166,  3403, -5914, -5914, 71924,  1797, -5914,  4423,   409, 63796,
    4321, 75480,  1843,  1030,  4092,  4232, -5914,  2789,  2789,  4158,
   92752,  4588, -5914, -5914, -5914, -5914, -5914, -5914, 68368,  3740,
   -5914,  4336,  1280,  4458, 92752, 44756, -5914,  3563, -5914, -5914,
   -5914,  1506, -5914, -5914,  4234,  3499, -5914,  1290, 92752,  4331,
   75480,  3556,  2395, -5914, -5914, -5914,  4146,  4575,  3506, -5914,
    1843,  4163, -5914, -5914,  4553,  4204,  4153,  4603, -5914,  4204,
    4468,  4338,  4117, -5914,  3802, -5914, 92752, -5914, 20412, 20412,
    1506,122062,  1023,119592,  4480, -5914, 20412, 92752,   851,  4115,
    4293, -5914,  4442,  1028,  2401, -5914,  1028,  1028, -5914, 92752,
   -5914,  3492,  3492,  3492,  3492,  3492, -5914,  4348, -5914, -5914,
   -5914, -5914,  4435, -5914, 67352, -5914,  1028, -5914, -5914, -5914,
   -5914, -5914, -5914,  1141, -5914, -5914, -5914, -5914, -5914, 20412,
   -5914, 92752, -5914, -5914, -5914, -5914, -5914, -5914,  3261,  4126,
   35354,  1742, -5914, -5914,  4131,  4132,  3688,  3688, -5914, -5914,
   35354, -5914, 11350, 41140,  4484, -5914, 35354, 35354, 35354, -5914,
    4130,  2410,  2412, -5914, -5914,   115, -5914,  4473, -5914, -5914,
   -5914, 11731,  4191, 20412,  4247,  4140,   285,  5396,  5396,  8630,
    5396, 35354, 35354,  5396,  5396, 35354, -5914, -5914, -5914, 11900,
   -5914,  4609,  3601, -5914, -5914, -5914, -5914,  4067, -5914,  4067,
   -5914,  4280, 35354, -5914,  2416,  4631, 40088,  4591, -5914, 92752,
    2423, -5914, 35354,  4159, -5914, -5914, 44242,  3346,  4161,  2433,
   92752,  2439,119592, 38510, 20412, 92752,  3601,  4162, -5914, 92752,
    2936, -5914,  1857, -5914, -5914,  4581, 45784,  4551, 19735, 35354,
   -5914, -5914, -5914, -5914, 67352,  4380, 67352,  1840, -5914, -5914,
   -5914, -5914, -5914, -5914,  4168, -5914, -5914, -5914, -5914,  4243,
   -5914, -5914,    59,  3459,  1840, -5914, 12854,  4488, 45784, 56184,
   92752, -5914, 92752, -5914,115104,  4170,  4373,  4172,  4173, -5914,
   -5914, -5914, -5914,  4660,  4542,  4546, -5914, -5914,  4177, -5914,
   -5914, -5914,  4385, -5914, -5914, 51968, 68368, 92752, -5914,  4259,
   -5914, -5914, -5914, -5914, -5914, -5914, 47840, 55130, -5914,   885,
    4179,  4182,   280, -5914, -5914, -5914, 92752, 13113,  4183, 13934,
      65,  3459, 92752, 92752,  4184,  4185,  4187,  1728,  1411,  1883,
    3492,  4530, 92752, -5914, -5914, -5914,  4385, -5914, -5914, 92752,
   -5914,   365, -5914, -5914, -5914, -5914, 63796, -5914,  3738,  4076,
    1506, 71924,  4673,  4673, 14217,  4417, -5914, -5914,   453,  4511,
   -5914,  4252,  4457,  4252,  4192, 92752,  1425,  4195,  2448, -5914,
   92752,  4188,  4334,  2233,  2233, 92752, 92752, 92752,  2450,  1968,
    2789,  3966,   385,  4567, 75480,  4620,  3983,   443, -5914, 92752,
    4696, 92752,  3556,  3782, 92752,  4201, -5914, -5914, 75988,  4425,
    2297, 92752,  2438,  4163,  3506,  1533, 92752, -5914,  1113, -5914,
    1968, -5914, 92752, 83608, 45784,  4561, -5914,121074, -5914,  2454,
   -5914, -5914, -5914,  4284, 20717,  3308,  4329,  4332,  4205,  2118,
    4570, 92752,  1222, -5914, -5914, -5914, -5914, -5914, -5914, 92752,
     458, -5914, -5914, -5914, -5914,  4207, -5914,  4709, 35354,  1116,
   -5914, -5914, -5914, -5914, -5914,  4443, -5914,  4214, -5914, -5914,
    2691,  1742, 19975, -5914,  4155, 41140, 20412, 20412, 20412, 35354,
   -5914, 35354, -5914, -5914, -5914, -5914,   787, -5914, -5914,  4547,
    4226,  5396,  5396,  5396, -5914, 35354,   238, -5914, -5914,   428,
    4637, 20284,  3596, 64812,  4233, -5914, 41140,  2462, -5914,  5374,
   92752,  2468, -5914, 20412, 92752, -5914, -5914, 35354, -5914,  2472,
   -5914,  4235,    66,  4240, 25421,  4217, -5914, -5914, -5914, -5914,
   -5914, 20412,  4218, -5914,  4723,  1768, -5914, -5914,  4288, 92752,
    2474, -5914,   139,  2093,  1371, -5914,  4728,  4728, 20412,  1814,
    1981,   373, -5914, 92752,  4339, -5914,  4495,  4241,  3403, -5914,
    4256, -5914, -5914,  1140,  3060, 92752,  4405, -5914,  4488,  4488,
    2297,  4573, -5914, -5914, 35354,  4305, -5914,  1122,  3459, 92752,
  119592, -5914,   169,  4608, -5914,119592,119592, -5914, -5914, -5914,
   35354, -5914,  4344, -5914, -5914, -5914, 35354, 35354, 74464, -5914,
   -5914, 92752, 92752, 92752, 92752, 92752, -5914,  1028, -5914, -5914,
    2483, -5914, 46812, -5914, -5914,  3237,  1506,  3237,   914, -5914,
   -5914,  3237,  3237, -5914,  3308, -5914,  4673,   396, -5914, -5914,
    4333,  4260, 35354, -5914,  4577, -5914,   216,  4476, -5914,  4264,
   -5914, 71924,  4775, -5914, 63796,  3782,  4271, 92752, -5914, -5914,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
    2490,  3983,  4622,  3499,  4153, -5914, 92752,  4300, -5914, 44242,
    3983,  1968,  2111, -5914,  4163,  3782,  4271, -5914, -5914,  4266,
    4186,  3506,  2438,  4416, -5914,  4426, -5914,  4734,  4496,  4737,
    3556, -5914,  3960,  2504, 92752, -5914, -5914,  6726,122062,119592,
   -5914, -5914, -5914,  4275,  4676,  4323,  4327, -5914, -5914, -5914,
    2118, -5914,   119,  4679,  4335, -5914,  4349, 92752, -5914, -5914,
    3983,  1028, 35354, 63796, 20412, -5914, -5914,  4665, -5914,   467,
     424,  1746,  4515,  4294, 35354,  4155,  2512,  2520,  4351, -5914,
   -5914, -5914,  3552, 39036, 39036, 39036,  4295,  4664,  4668, 92752,
   -5914, 92752,  4503, -5914, -5914, 92752,  3279,  4301, 40088, 63796,
    2527, -5914,118604, -5914,  2532,  2533, -5914, 35354,  4308, 35354,
   -5914, 38510, 92752,  4312,  3339,  1968, -5914,  3308, 45784, -5914,
    4445, -5914,  4578, -5914, -5914, 35354,  4406,  4407, -5914,  4674,
   -5914, -5914, 92752, -5914, 92752,  4252, 55130,  3625,  1140, -5914,
   92752,  3403,  3403,  4260, 14301, 35354, -5914,  4414, -5914, -5914,
    2538,  1596, -5914, -5914,  2539,  2543, 14476, 92752,  2544,  2548,
   -5914,  2555,  2648,  3494,  1883,  3494, -5914,  3492, -5914, -5914,
   63796, -5914, -5914, 67860, -5914, -5914, -5914,  1506, -5914,  1506,
    4555, 57710, 58218,  1506,  1506, -5914, -5914, -5914, -5914, -5914,
    3521, -5914, 15041,  4420, -5914, -5914, -5914,   566, -5914,  4552,
    4554, -5914,  4341, -5914,  2557, -5914,  1843,  4461,  3983, -5914,
   -5914, 92752,  4827,  4828, -5914,  1337, 92752,  3563, -5914,  4153,
    3556,  3506,  1843,  4163,  2297, 46298,  4204,  2438,  4186, -5914,
   -5914,  4556, -5914,  4557, -5914,  4342,  4669, -5914,  1659,  1023,
   -5914, -5914, -5914,  1496,  4691,  4693, -5914, -5914, -5914,  3237,
   -5914,   134,  4347,  4721, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914,  4387,   426,   456, -5914,  4388, -5914,  4526,  4531,  1742,
    2327, -5914, 20412, -5914, -5914, -5914, 40614,  4500,  1448, 17228,
    4733, -5914,  4733,  4733, -5914,  4830,  4832,  1245, -5914,  4806,
    2567, 42186, -5914, -5914, -5914, 92752,  4579,  1549,  4854,  4528,
    2576, 38510,  2581, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   49896,  4834, 20412,   978,  1792, 67352,  3459,  2585,  3726,  4362,
   -5914,  3625,  4364,  4252,  4252, -5914, -5914, 20412, 92752, 71924,
    4839, -5914, -5914, -5914, -5914,  3459,  4453, -5914, -5914, 74464,
   -5914, 92752, -5914, -5914,  2586, -5914, -5914, -5914, 58726, -5914,
    4115, -5914,  4115, -5914, -5914,  3440,  4478, 92752,  1027,  1027,
    4776, -5914,  4434, -5914,  4370, -5914,  4901,  4510, 92752, -5914,
   -5914,   885,  1968, 75480,  3983, -5914, -5914,  2438,  4163,  3506,
   35354,  2602, -5914,  4495,   391, -5914,  4186,  4204, -5914, -5914,
   45784,  4377,  3143,  4772, -5914, -5914, -5914,  2565, 71924, 71924,
   92752, -5914, -5914, -5914, 35354,  1425, -5914,  4421, -5914,  4424,
   -5914, -5914,  4606,  4611,  4383,  1742, -5914,  4881, -5914, -5914,
   -5914, -5914, -5914,   894, -5914, -5914, -5914, 92752, 92752, 92752,
    4389, -5914,  3763, -5914, -5914, 41140, 41140,  4623, -5914, 41140,
    1549, -5914, 92752, -5914,  4392, -5914, -5914,  2603, -5914,    21,
    1900, -5914,  4633,  4523, -5914, -5914,  4635,   192, -5914,   373,
   -5914, -5914, -5914, -5914, -5914, 92752,  4457, -5914, -5914,  3459,
   -5914, 92752, -5914,  4397, -5914, -5914, -5914, 67860, -5914,  4115,
   -5914, -5914, -5914, -5914,  4908, -5914,  1391, -5914, -5914, -5914,
   -5914, 92752,  3983,  4054,  4153, -5914,  4186,  3506,  2438, 15144,
   -5914, 46298, 92752, 92752,  4204, -5914,  2617, 45784,  3499,  4563,
   -5914,  2441, -5914, -5914, -5914, -5914, -5914, -5914, -5914,  1015,
    4400,  4401, -5914, -5914, 15407, 71924, -5914, -5914,  4562,  4564,
   -5914,  4627, 39562,  4565, -5914,  4624, -5914,  1345,  1427,   753,
  115612,  4869,  3279,  3279, -5914,  3279, -5914, -5914, 35354, -5914,
   -5914, -5914, -5914, -5914, 49896, -5914,  4475,  1857,  4428, 92752,
   -5914, -5914,  1840,  4042,  4476,  1840,  1840, -5914, -5914, 35354,
   -5914, -5914,  2166,  2166,  3983, -5914, -5914,  4204,  2438,  4186,
    4495, -5914, -5914, -5914, -5914,  4669, -5914,  2619,  4204,  4335,
    2655, -5914, -5914,  2681,  2518,  4508,  4778, -5914,  4429,  4539,
    4540,  4817, -5914, -5914, -5914, 92752, 92752, 65320, 92752,   344,
    2627, -5914,119098, 92752, 15725,  4430, -5914,  4492, 35354,  2632,
    4437, -5914,  2638, -5914, -5914, -5914, -5914,  4186,  4204, 92752,
    3143, -5914, 45784,  3308,  4813, -5914,  2441,  4566,  4568, 63288,
   -5914, -5914, -5914, -5914, -5914,  4972,   346,  4860, -5914, -5914,
    1506,  1742,115612,  4667,   848,  2645, -5914,  4506,  2667,   791,
   -5914,  1840, -5914,  4204, -5914, -5914,  3499, -5914, -5914,  1425,
   -5914,  4494,  4498, -5914,  2672, -5914, -5914, -5914, -5914, 35354,
   65320,  1957,  4451, -5914, -5914,  4654,  1506,  2691,  4654, -5914,
   -5914, -5914,  1857, -5914, -5914,  4204, 71924,  4810,  4811, -5914,
   63288,    98,  4529, 92752,  4464, -5914,  1742, -5914,  1746,  2691,
    4522,  3308,  4466, 71924, 71924, -5914,  4467, 92752,  4924,115612,
   -5914,  1742,  1746,  4506, -5914, 63288, -5914, -5914,  1506, -5914,
    4474,  2677, -5914,  1742, -5914,  2679,115612, -5914, -5914, -5914,
    2687, -5914
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1726,  1465,   673,  1554,  1553,  1465,     0,   269,     0,  1565,
       0,  1465,   437,  1122,     0,     0,     0,     0,   673,  1465,
       0,  1726,     0,     0,     0,     0,     0,  1739,     0,     0,
       0,     0,     0,  1262,     0,     0,     0,  1465,     0,     0,
    1746,     0,     0,     0,     0,  1739,     0,  1567,     0,     0,
       0,     0,  1746,     0,     0,     0,     0,     0,     2,     9,
      10,    45,    80,    81,    38,    37,    98,    63,    24,    71,
     133,   132,   134,    50,    46,    88,    33,    35,    47,    51,
      73,    75,    40,    53,    64,   110,    72,    31,    70,    76,
      96,    58,    19,    20,    59,    21,    60,    22,    61,   106,
      82,    99,    43,    69,    30,    52,    78,    79,    12,    54,
      86,    18,    65,    66,    68,    91,    92,    93,   116,    94,
     128,    49,   125,   103,   104,   122,   105,   123,    16,   107,
      62,    23,   119,   118,   120,    89,    55,    90,    77,    97,
     117,    34,   121,    25,    26,    28,    29,    27,    67,    36,
      74,    39,    95,   124,   114,   109,   129,   127,    11,   135,
     111,    83,    14,    15,   100,    13,    32,    57,    17,    42,
      41,    56,    48,   131,    44,  1565,   102,   115,   101,    84,
     108,    87,   112,   130,   113,    85,   126,  1690,  1689,  1750,
    1693,  1725,     0,  1705,  1464,  1463,  1478,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   672,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1475,  2454,  2471,  2472,  2473,  2474,  2475,
    2476,  2477,  2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,
    2487,  2486,  2488,  2489,  2861,  2490,  2491,  2492,  2798,  2799,
    2862,  2800,  2801,  2493,  2494,  2495,  2496,  2497,  2498,  2499,
    2500,  2501,  2802,  2803,  2502,  2503,  2504,  2505,  2506,  2804,
    2863,  2507,  2508,  2509,  2510,  2511,  2512,  2864,  2513,  2514,
    2515,  2516,  2517,  2518,  2519,  2520,  2521,  2522,  2865,  2523,
    2524,  2525,  2866,  2526,  2527,  2528,  2529,  2530,  2531,  2805,
    2806,  2532,  2533,  2534,  2535,  2536,  2537,  2538,  2539,  2540,
    2541,  2542,  2543,  2544,  2545,  2546,  2547,  2548,  2549,  2550,
    2551,  2552,  2553,  2554,  2555,  2556,  2557,  2558,  2559,  2560,
    2561,  2807,  2562,  2563,  2564,  2565,  2808,  2566,  2567,  2568,
    2569,  2809,  2570,  2571,  2572,  2573,  2867,  2868,  2574,  2575,
    2576,  2577,  2578,  2810,  2811,  2579,  2580,  2581,  2582,  2583,
    2584,  2585,  2869,  2586,  2587,  2588,  2589,  2590,  2591,  2592,
    2593,  2594,  2595,  2596,  2597,  2598,  2870,  2812,  2599,  2600,
    2601,  2602,  2813,  2814,  2815,  2603,  2871,  2872,  2604,  2873,
    2816,  2817,  2818,  2819,  2820,  2821,  2822,  2823,  2824,  2825,
    2826,  2605,  2606,  2607,  2608,  2609,  2610,  2611,  2612,  2827,
    2874,  2613,  2875,  2614,  2615,  2616,  2617,  2618,  2619,  2620,
    2621,  2622,  2623,  2624,  2625,  2626,  2828,  2627,  2628,  2629,
    2630,  2631,  2632,  2633,  2634,  2829,  2876,  2830,  2635,  2636,
    2637,  2638,  2639,  2640,  2641,  2642,  2831,  2832,  2643,  2644,
    2645,  2877,  2646,  2833,  2647,  2834,  2648,  2649,  2650,  2651,
    2652,  2653,  2654,  2655,  2656,  2657,  2658,  2835,  2878,  2659,
    2879,  2836,  2660,  2661,  2662,  2663,  2664,  2665,  2666,  2667,
    2668,  2669,  2670,  2671,  2672,  2673,  2674,  2837,  2675,  2838,
    2678,  2676,  2677,  2679,  2680,  2681,  2682,  2683,  2684,  2685,
    2686,  2687,  2688,  2689,  2839,  2690,  2691,  2692,  2693,  2694,
    2695,  2696,  2697,  2698,  2699,  2700,  2701,  2702,  2703,  2704,
    2705,  2706,  2707,  2880,  2708,  2709,  2710,  2711,  2712,  2840,
    2713,  2714,  2715,  2716,  2717,  2718,  2719,  2720,  2721,  2722,
    2723,  2724,  2725,  2726,  2727,  2728,  2729,  2841,  2730,  2731,
    2881,  2732,  2733,  2842,  2734,  2735,  2736,  2737,  2738,  2739,
    2740,  2741,  2742,  2743,  2744,  2745,  2746,  2747,  2748,  2749,
    2843,  2750,  2751,  2752,  2753,  2882,  2754,  2755,  2756,  2757,
    2758,  2759,  2760,  2844,  2845,  2761,  2762,  2846,  2763,  2847,
    2764,  2765,  2766,  2767,  2768,  2769,  2771,  2770,  2772,  2773,
    2774,  2775,  2776,  2777,  2778,  2779,  2780,  2781,  2782,  2848,
    2849,  2783,  2883,  2784,  2785,  2786,  2787,  2788,  2789,  2790,
    2791,  2792,  2793,  2794,  2850,  2851,  2852,  2853,  2854,  2855,
    2856,  2857,  2858,  2859,  2860,  2795,  2796,  2797,   146,     0,
       0,  2421,  2455,  2456,  2459,  2454,   407,   406,  1679,  2418,
    2455,  1564,     0,  1543,   673,     0,  1478,   436,  1726,     0,
       0,     0,     0,     0,     0,   890,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   138,     0,
     140,     0,     0,   461,   460,     0,     0,  1094,   466,     0,
       0,     0,     0,     0,   663,  1606,  2676,  1604,  1680,   270,
     273,   274,   271,   272,  2437,     0,  1234,  1235,  1237,     0,
       0,  1247,   928,   929,     0,     0,     0,   942,     0,     0,
       0,   926,     0,     0,     0,   948,     0,   945,     0,     0,
     949,   946,   923,   947,   930,     0,   922,     0,     0,  1247,
     950,     0,     0,   924,     0,     0,     0,     0,  1478,  1603,
     467,  1726,     0,  1587,  1588,  1589,  1565,  1577,  1590,  1582,
    1584,  1583,  1585,  1586,  1581,  2436,  2473,  1018,  1018,  1018,
    1018,  1015,  1016,  1018,  1018,  1018,  2696,     0,     0,   997,
       0,   999,  2438,  1018,  1023,  2481,   549,   549,   549,     0,
    1022,  1027,   549,     0,  1446,  1487,  2420,  1738,     0,   998,
    1445,  2761,  1593,     0,     0,     0,     0,  2715,  1455,   254,
    2727,  2844,  2761,   253,   248,   249,   222,     0,     0,  1022,
     549,     0,  1478,  1453,   994,  1745,  1743,     0,  2405,  2500,
    2517,  2616,   245,  2708,  2717,  2727,  2844,  2761,  2794,   201,
     211,   206,     0,   263,  2727,  2844,  2761,   259,  1475,     0,
    1706,  1856,  1855,  2414,     0,  1448,  1447,  1566,     0,  1569,
       0,  2691,  1710,  1713,  1571,  1711,  2457,  1949,  1978,  1956,
    1978,  1978,  1945,  1945,  2547,  1958,  1946,  1947,  1983,  2003,
       0,  1978,  1945,  1950,     0,  1948,  1986,  1986,  1973,     3,
    1928,  1929,  1930,  1931,  1959,  1960,  1932,  1965,  1966,  1970,
    1933,  2000,  1936,  1945,  2458,  1747,  1748,  2405,     4,  2451,
       5,  2332,  2450,     6,     7,  1702,     0,     0,     1,  1726,
       0,  1576,  1742,  1742,     0,  1742,     0,  1694,  1702,  1697,
    1701,     0,     0,     0,     0,     0,     0,  1449,     0,     0,
       0,   953,     0,  1490,  1079,     0,     0,     0,     0,     0,
    1331,     0,  1131,  1130,  2460,  2443,  2444,  2445,     0,  2441,
    2442,  2461,  2462,  2463,     0,  2585,  1331,     0,     0,  2248,
    2259,  2260,  2261,  2504,  2566,  2256,  2257,  2258,  2250,  2251,
    2252,  2253,  2254,  2255,     0,     0,  1229,  2249,     0,  2585,
       0,  1331,     0,   173,     0,   150,  1331,     0,     0,  2585,
       0,     0,  2585,     0,     0,     0,     0,     0,  2585,     0,
       0,     0,     0,     0,   173,  2621,     0,   150,  2585,     0,
       0,  1469,     0,     0,     0,  1471,  1474,  1461,     0,  2329,
       0,  2330,  2422,  1558,     0,  1557,  1551,  1561,  1556,  1546,
       0,  2414,     0,     0,     0,     0,   936,     0,     0,   926,
       0,     0,     0,   937,     0,   938,   939,     0,     0,     0,
       0,   935,     0,  1459,  1451,     0,  1595,  1597,  1596,  1598,
    1594,   549,     0,     0,     0,  2585,     0,   150,  1529,     0,
    2585,   150,     0,     0,   465,   464,   150,  2441,   463,   462,
    2504,  2566,     0,  1121,     0,  1204,   150,  2585,     0,   194,
    2585,   732,  2585,  1571,   139,     0,   676,     0,   844,  2621,
     150,     0,     0,     0,     0,     0,     0,   142,     0,     0,
       0,     0,     0,     0,     0,   662,   673,  1607,  1605,     0,
    1238,   247,   246,  1236,   940,  2585,  1163,   145,     0,     0,
    2585,  1510,  2585,   145,   957,   941,     0,   927,  2585,   145,
    1127,  2585,  2446,   183,     0,   925,  2504,  2566,  2585,   145,
    1231,     0,  2585,   145,  2585,   179,  2585,   145,  2585,   145,
    2585,   677,     0,     0,  2585,   145,  2585,  2621,   181,   944,
    2585,   145,   951,  2585,   145,  2416,  2585,     0,  1462,     0,
    1599,     0,  1579,  2848,     0,  1726,  1018,  1017,     0,  1018,
       0,  1018,     0,  1018,     0,  1018,     0,     0,     0,  1018,
    2439,  2440,  1000,     0,  1024,     0,  1032,     0,  1031,  1030,
    1029,     0,     0,     0,  1033,     0,  1860,  1634,     0,  1443,
    1458,     0,     0,     0,   142,     0,  1260,  1257,   142,  1259,
    1258,   142,   142,  1454,   252,   250,     0,     0,     0,     0,
       0,     0,  1460,     0,  1452,     0,     0,     0,  2424,  2426,
    2427,  2262,  2332,     0,  2799,  2800,  2801,  2321,     0,  2802,
    2803,  2804,  2863,  2136,  2122,  2131,  2137,  2123,  2125,  2132,
    2805,  2806,  2071,  2807,  2808,  2434,  2809,  2810,  2811,  2813,
    2814,  2815,  2816,  2817,  2818,  2819,  2820,  2821,  2822,  2823,
    2824,  2826,  2827,  2127,  2129,  2828,  2829,  2830,  2832,     0,
    2435,  2833,  2834,  2654,  2836,  2837,  2839,  2840,  2133,  2842,
    2843,  2134,  2844,  2845,  2846,  2847,  2433,   509,  2135,  2849,
    2851,  2852,  2853,  2854,  2856,  2857,  2858,  2859,     0,     0,
       0,  2411,     0,  2100,     0,  1937,  1938,  1961,  1962,  1939,
    1967,  1968,  1940,     0,  1941,  2410,  2004,  2207,  2099,  2117,
       0,  2105,  2106,     0,  2098,  2094,  2209,  1728,  2406,     0,
    2095,  2423,  2425,  2322,  1728,  2404,   214,   265,     0,   266,
    2412,  2727,   202,   244,   216,   243,   217,   215,     0,  2502,
     203,     0,     0,   204,     0,     0,     0,     0,   262,   260,
       0,  1450,     0,  1858,  1857,  2415,   962,     0,  1568,  1565,
    2272,     0,  1712,     0,     0,     0,  1977,  1964,  1972,  1971,
       0,  1954,  1953,  1952,     0,  1951,  1978,  1978,  1976,  1955,
    1928,     0,     0,     0,  1982,     0,  1980,  1924,  1920,     0,
    1989,  1990,  1991,  1988,  2001,  1987,     0,  1934,  1992,     0,
    1945,  1942,  1813,     0,  1692,  1691,     8,     0,  1573,  1575,
    1549,  1571,  1740,  1741,     0,     0,     0,     0,     0,     0,
       0,     0,  1800,  1758,  1759,  1761,  1797,  1801,  1809,     0,
    1698,     0,     0,     0,  1862,     0,     0,  1476,     0,     0,
       0,     0,     0,  1162,     0,     0,     0,     0,   954,     0,
       0,     0,  1496,     0,  1498,  1499,  1500,     0,     0,     0,
    1501,  1502,  1490,   256,  1509,  1506,  1489,  1491,  1504,     0,
       0,     0,     0,     0,     0,     0,  1521,     0,   187,   188,
       0,   689,   673,     0,  2585,     0,     0,     0,     0,  1172,
    1179,  1330,     0,     0,     0,     0,     0,     0,     0,     0,
    1173,  1171,     0,  1174,   258,  1184,  1211,  1214,     0,     0,
    1129,  1132,     0,     0,     0,     0,     0,  1321,     0,     0,
       0,  1321,     0,     0,     0,  1330,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   281,   283,   296,   362,     0,
     654,     0,     0,     0,   657,     0,  2585,  1331,     0,     0,
       0,  1233,     0,     0,     0,     0,     0,     0,     0,     0,
    1214,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     148,   149,   154,     0,     0,     0,     0,  1214,     0,     0,
       0,     0,     0,     0,     0,   638,   653,   641,     0,     0,
       0,     0,     0,   649,     0,     0,   150,   651,   286,   628,
     634,     0,     0,     0,   739,   738,     0,     0,     0,     0,
       0,     0,  1419,     0,  1418,     0,     0,     0,     0,     0,
    1519,  1518,     0,     0,     0,     0,     0,     0,  1321,     0,
     275,   277,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   399,   400,     0,
       0,     0,   154,     0,     0,  1321,     0,   288,     0,     0,
    1470,  1467,  1468,     0,  1473,     0,     0,     0,     0,  2108,
       0,  2276,  1750,  2274,  1147,  2328,     0,  2464,  2884,  2885,
    2886,  2887,  2888,  2889,  2890,  2891,  2892,  2893,  2894,  2895,
    2896,  2897,  2898,  2899,  2900,  2901,  2902,  2903,  2904,  2905,
    2906,  2907,  2908,  2909,  2910,  2911,  2912,  2913,  2914,  2915,
    2916,  2917,  2918,  2919,  2920,  2921,  2922,  2923,  2924,  2925,
    2926,  2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,
    2936,  2937,  2938,  2939,  2940,  2941,  2942,  2943,  2944,  2945,
    2946,  2947,  2948,  2949,  2950,  2951,  2952,  2953,  2954,  2955,
    2956,  2957,  2958,  2959,  2960,  2961,  2325,  2324,  2419,  2465,
    2466,  2467,  2468,  2331,  1541,     0,   233,   234,   232,  1559,
     235,  1560,  1555,     0,  1542,     0,     0,     0,     0,     0,
       0,     0,     0,  2504,  2566,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   852,  1490,  1528,     0,     0,     0,   682,     0,  2585,
       0,   152,   891,     0,   842,   466,     0,     0,     0,     0,
    1395,   152,     0,     0,   190,     0,     0,   736,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   843,     0,
       0,   152,     0,  2585,   631,  2585,     0,   549,   549,     0,
       0,   141,   138,     0,     0,     0,     0,     0,     0,     0,
       0,  1684,  1683,  1686,  1685,     0,  1682,     0,   143,   144,
       0,  1221,  1246,     0,     0,     0,     0,     0,   918,   943,
       0,     0,  1215,     0,     0,  2585,   145,  2585,     0,  2585,
       0,     0,     0,  1223,   145,     0,  1217,     0,     0,  1219,
       0,  1421,     0,   934,   932,   931,   933,     0,     0,   916,
       0,     0,     0,     0,     0,   911,     0,     0,   913,     0,
       0,     0,     0,  1726,  1578,     0,  1008,     0,  1012,     0,
    1003,     0,  1009,     0,  1004,  1001,  1002,     0,  1007,     0,
       0,   550,   556,     0,     0,  2529,  2546,     0,  2574,  2609,
    2610,  2664,  2682,  2711,  2717,  2723,     0,  2754,  2766,     0,
    1038,  1076,  1028,   748,     0,     0,  1644,  1444,  2281,     0,
    1726,     0,     0,  1261,     0,     0,   138,   251,   223,     0,
       0,  1076,     0,  2715,  1457,   993,   673,     0,  2096,     0,
    2103,  2104,  2320,     0,     0,     0,     0,     0,     0,  2102,
       0,     0,     0,     0,  2377,     0,     0,  2377,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2027,     0,
       0,  2280,     0,     0,  2280,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2028,  2009,  2010,
    2100,  2272,     0,  2101,  2430,     0,  2000,  2469,  2262,     0,
    2259,  2260,  2261,  2962,  2963,  2964,  2965,  2966,  2967,  2968,
    2969,  2970,  2971,  2972,  2973,  2974,  2975,  2976,  2977,  2978,
       0,  2979,  2980,  2981,  2982,  2983,  2985,  2984,  2986,  2987,
    2988,  2989,  2990,  2991,  2335,  2993,  2994,  2995,  2996,  2997,
    2998,  2999,  3000,  3001,  3002,  3003,  3004,  3005,  3006,  3007,
    3008,  3009,  3010,  3011,  3012,  3013,  3014,  3015,  3016,  3017,
    3018,  3019,  3020,  3021,  3022,  3023,  3024,  3025,  3026,  3027,
    3028,  3029,  3030,  3031,  3032,  3033,  3034,  3035,  3036,  3037,
    3038,  3039,  3040,  3041,  3042,  3043,  3044,  3045,  3046,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,  3056,  3057,
    3058,  3059,  3060,  3061,  3062,  3063,  3064,  3065,  3066,  3067,
    3068,  3069,  3070,  3071,  3072,  3073,  3074,  3075,  3076,  3077,
    3078,  3079,  3080,  3081,  3082,  3083,  3084,  3085,  3086,  3087,
    3088,  3089,  3090,  3091,  3092,  3093,  3094,  3095,  3096,  3097,
    3098,  3099,  3100,  3101,  3102,  3103,  3104,  3105,  3106,  3107,
    3108,  3109,  3110,  3111,  3112,  3113,  3114,  3115,  3116,  3117,
    3118,  3119,  3120,  3121,  3122,  3123,  3124,  3125,  3126,  3127,
    3128,  3129,  3130,  3131,  3132,  3133,  3134,  3135,  3136,  3137,
    3138,  3139,  3140,  3141,  3142,  3143,  3144,  3145,  3146,  3147,
    3148,  3149,  2042,  3150,  3151,  3152,  3153,  3154,  3155,  3156,
    3157,  3158,  3159,  3160,  3161,  3162,  3163,  3164,  3165,  3166,
    3167,  3168,  3169,  3170,  3171,  3172,  3173,  3174,  3175,  3176,
    3177,  3178,  3179,  3180,  3181,  3182,  3183,  3184,  3185,  3186,
    3187,  3188,  3189,  3190,  3191,  3192,  3193,  3194,  3195,  3196,
    3197,  3198,  3199,  3200,  3201,  3202,  3203,  3204,  3205,  3206,
    3207,  3208,  3209,  3210,  3211,  3212,  3213,  3214,  3215,  2044,
    3216,  3217,  3218,  3219,  3220,  3221,  3222,  3223,  3224,  3225,
    3226,  3227,  3228,  3229,  3230,  3231,  3232,  3233,  3234,  3235,
    3236,  3237,  3238,  3239,  3240,  3241,  3242,  3243,  3244,  3245,
    3246,  3247,  3248,  3249,  3250,  3251,  3252,  3253,  3254,  3257,
    3255,  3256,  3258,  3259,  3260,  3261,  3262,  3263,  3264,  3265,
    3266,  3267,  3268,  3269,  3270,  3271,  3272,  3273,  3274,  3275,
    3276,  3277,  3278,  3279,  3280,  3281,  3282,  3283,  3284,  3285,
    3286,  3287,  3288,  3289,  3290,  3291,  3292,  3293,  3294,  3295,
    3296,  3297,  3298,  3299,  3300,  3301,  3302,  3303,  3304,  3305,
    3306,  3307,  3308,  3309,  3310,  3311,  3312,  3313,  3315,  3314,
    3316,  3317,  3318,  3319,  3320,  3321,  3322,  3323,  3324,  3325,
    3326,  3327,  3328,  3329,  3330,  3331,  3332,  3333,  3334,  3335,
    3336,  3337,  3338,  3339,  3340,  3341,  3342,  3343,  3344,  3345,
    3346,  3347,  3348,  3349,  3350,  3351,  3352,  3353,  3354,  3355,
    3356,  3357,  3358,  3359,  3360,  3361,  3362,  3363,  3364,  3365,
    3366,  3367,  3368,  3369,  3370,  3372,  3371,  3373,  3374,  3375,
    3376,  3377,  3378,  3379,  3380,  3381,  3382,  3383,  3384,  3385,
    3386,  3387,  3388,  3389,  3390,  3391,  3392,  3393,  3394,  3395,
    3396,  3397,  3398,  3399,  3400,  3401,  3402,  3403,  3404,  3405,
    3406,  3407,  3408,  3409,  3410,  3411,  3412,  3413,     0,  2256,
    2257,  2258,  2250,  2251,  2252,  2253,  2254,  2255,  2266,     0,
       0,  2409,  2470,     0,  2209,     0,  2024,     0,  2217,     0,
       0,  1813,     0,  2428,  2323,  1813,   267,   268,   264,     0,
       0,   219,   218,     0,   237,   241,   242,   213,   240,     0,
     236,   221,  2193,  2192,   220,   212,   209,   207,   224,   226,
     227,   210,   208,   261,     0,     0,     0,   145,  1576,  1563,
       0,     0,  2335,     0,  2270,     0,     0,  2268,     0,     0,
       0,  1810,     0,  1714,     0,  1718,     0,     0,     0,  1975,
    1974,  1925,  1921,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   955,     0,  1943,     0,
    1878,  2452,  2453,  2333,  1746,  1576,     0,  1572,  1709,  1708,
    1751,  1752,  1113,  1707,  1780,  1781,     0,     0,     0,     0,
    1806,  1804,  1771,  1762,  1770,     0,     0,  1768,     0,  1772,
    2004,  1799,  1696,  1756,  1757,  1760,  1695,     0,  1802,     0,
    1647,  1800,  1761,  1631,     0,  1609,     0,     0,  1863,     0,
       0,  1477,     0,     0,     0,  1142,  1144,     0,  1143,     0,
    1146,     0,  1155,     0,     0,  1141,  1160,     0,  1149,  1147,
       0,  1517,     0,     0,     0,     0,     0,  1497,     0,     0,
       0,  2754,   255,  1500,  1505,  1492,  1503,     0,     0,     0,
       0,     0,  1078,  1077,     0,     0,     0,  1524,   541,     0,
     364,     0,     0,     0,     0,     0,     0,     0,     0,   838,
     835,     0,     0,   834,     0,   687,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   712,     0,  1321,
       0,   294,     0,  1181,     0,  1180,     0,  1185,     0,     0,
    1182,  1177,  1178,  2717,  2727,  2761,   257,  1183,  1213,     0,
    1212,  1208,     0,  1124,     0,  1125,     0,     0,     0,     0,
       0,     0,     0,  2558,     0,  2585,     0,     0,   509,   302,
     326,   531,     0,  1320,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   348,
       0,     0,   351,   350,     0,     0,     0,     0,     0,   356,
       0,   334,     0,   335,     0,   355,     0,     0,     0,   655,
     656,     0,     0,     0,  1321,     0,   290,     0,     0,     0,
       0,     0,     0,     0,     0,  1230,     0,   765,     0,     0,
    2717,  1209,     0,  1404,     0,  2753,  1405,  1408,   549,     0,
     549,  1410,     0,     0,  1407,  1409,     0,     0,   176,     0,
     171,   175,     0,     0,  2717,  1210,     0,     0,     0,     0,
       0,   636,   637,   652,     0,   642,   643,   639,   644,   645,
       0,     0,     0,     0,     0,     0,     0,   635,     0,     0,
     734,   733,   737,     0,     0,     0,     0,     0,     0,  1413,
       0,     0,  1204,     0,     0,  1412,  1420,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1264,  1263,     0,
       0,     0,     0,  1331,     0,   881,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   178,   752,     0,   751,
       0,   172,   177,     0,     0,     0,     0,     0,     0,     0,
       0,   231,  1466,  1472,  1750,  1750,  1750,  2114,     0,     0,
       0,     0,  1749,  2326,  2329,  1546,  1552,  1545,  1544,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   413,   410,   411,   413,
       0,     0,     0,     0,   854,     0,   857,   860,  1488,   493,
       0,     0,   679,   712,     0,     0,   469,   185,     0,     0,
       0,     0,   767,     0,  1204,  1203,   147,   138,   194,   467,
       0,   193,   195,   197,   198,   199,   196,   200,     0,   731,
     735,     0,     0,     0,     0,   675,     0,     0,     0,     0,
       0,     0,     0,  1883,     0,     0,   170,     0,     0,   626,
     630,     0,     0,     0,     0,   469,   592,   375,  2585,     0,
     549,     0,  2585,     0,   137,     0,   841,     0,     0,     0,
    1166,  1166,     0,     0,   781,   780,     0,     0,     0,     0,
       0,     0,  1681,   145,  1164,     0,  1511,     0,   145,   958,
     145,  1128,   184,  2447,     0,   920,     0,     0,     0,     0,
     145,  1232,   908,   145,   180,   145,   145,   678,     0,   145,
     182,     0,     0,   145,   952,   145,  2417,     0,   145,  1602,
    2585,   549,  1580,  1005,  1014,  1013,  1011,  1010,  1006,     0,
    1025,     0,   548,     0,     0,     0,     0,     0,  1046,  1047,
       0,     0,  1043,  1048,     0,  1050,  1034,  1036,  1044,  1045,
    1051,  1040,  1039,  1052,  1053,     0,     0,     0,  1065,   746,
       0,     0,     0,     0,  1641,     0,  1639,     0,  1861,  1643,
    1632,  1592,     0,  1591,     0,   619,  1255,  1254,  1256,     0,
    1022,     0,   145,     0,  1456,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2285,     0,  2286,     0,
       0,  2319,  2315,     0,     0,     0,     0,     0,  2289,  2292,
    2293,  2294,  2291,  2295,  2290,     0,     0,  2296,     0,     0,
    2370,  2387,     0,  2100,  2370,  2398,     0,  2397,  2403,     0,
    2276,  2004,     0,     0,  2394,  2388,     0,  2394,     0,     0,
    2377,     0,     0,     0,     0,  2177,     0,     0,     0,  2276,
    2279,     0,     0,  2840,     0,     0,     0,     0,  2072,     0,
       0,  2243,     0,  2276,     0,     0,     0,     0,     0,     0,
       0,  2272,  2311,     0,   507,     0,  2062,     0,     0,     0,
    2191,     0,  2188,     0,     0,     0,     0,  2332,     0,     0,
    2431,  2005,  2020,  2021,  2022,  2025,  2408,  2008,     0,  2334,
       0,     0,  2006,  2033,     0,  2312,  2058,     0,  2063,  2048,
    2378,  2297,  2298,  2299,  2300,  2065,     0,  2041,  2046,  2050,
       0,  2387,  2029,     0,  2026,     0,  2335,  2271,     0,  2269,
       0,  2017,  2018,  2019,  2011,  2012,  2013,  2014,  2015,  2016,
    2023,  2247,  2245,  2246,     0,     0,  2217,     0,     0,  2045,
       0,     0,  2116,  2577,  2616,     0,  1739,  1739,  1739,  1727,
    1737,  2407,  1878,  1750,  1878,  2413,     0,     0,  2000,     0,
    1859,   960,   961,   959,  1548,  1562,  1576,  2273,  1570,  1716,
       0,     0,     0,  1944,  1957,     0,  1984,  1985,  1986,  1986,
       0,  1926,     0,  1969,  1994,  1995,  1996,  1997,  1998,  1999,
       0,  1993,  1935,   956,  2816,  2825,     0,  2713,  2860,     0,
    1839,  1812,  1814,  1824,  1839,  1846,  1839,  1839,  2118,  1876,
    2119,  2120,  2414,     0,  1783,  2449,  1550,  1574,     0,  1111,
    1112,     0,  1116,  2840,  2713,     0,     0,     0,     0,  1773,
    1807,     0,  1798,     0,  2424,  1774,  2423,  1775,  1778,  1779,
    1769,  1808,  1645,     0,  1803,  1700,  1699,     0,  1881,     0,
       0,     0,  1623,  1611,     0,     0,  1864,     0,  1813,  1649,
       0,  2332,  1811,  1371,  1265,  1332,  1145,     0,  1945,  1156,
       0,  1140,     0,  1139,  1945,     0,  1157,     0,  1945,  1372,
    1266,  1333,  1373,  1267,  1334,  1374,  1508,  1268,  1507,  1495,
    1494,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
     819,  2585,   145,  1522,  1375,     0,  1269,   363,  1523,  1335,
    1527,   837,   836,     0,     0,  1336,     0,   688,   693,     0,
     695,   696,  2504,  2566,   697,   700,   701,     0,   703,   692,
     691,     0,     0,     0,     0,     0,   709,   714,     0,     0,
       0,     0,     0,     0,  1175,  1176,  1376,  1272,     0,  1337,
       0,  1123,     0,  1273,   186,     0,     0,   282,     0,  2585,
     304,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     819,   491,   819,     0,  1323,   301,   332,     0,   347,   342,
     343,   341,  2585,   145,  2585,   145,     0,     0,     0,     0,
       0,   344,   339,   340,   336,     0,     0,   349,  2476,  2548,
    2728,     0,   720,   722,     0,   727,   352,  1293,   371,   370,
     369,     0,   357,     0,   376,   379,     0,   354,   333,   331,
     328,   297,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1225,     0,  1379,  1338,     0,  1360,  1364,
       0,     0,     0,   759,  1382,  1279,  1341,     0,   549,     0,
       0,   568,   568,   549,  1393,  1280,   174,  1310,   163,     0,
       0,   159,     0,     0,     0,     0,   153,  1383,  1281,  1342,
       0,     0,  1384,  1282,     0,     0,   287,   629,   640,   646,
    1287,   650,   647,  1350,   648,  1391,  1283,     0,  1387,  1313,
    1345,   389,   612,   388,  1204,  1204,  1394,  1414,  1284,  1204,
       0,  1321,     0,   276,   278,     0,   142,     0,  1285,     0,
    1343,  1386,  1312,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1530,     0,     0,     0,     0,     0,     0,   145,
       0,     0,     0,  1323,  2585,   145,   879,  1385,     0,  1318,
       0,  1358,     0,     0,     0,   401,     0,  1311,  1321,     0,
     289,  1289,     0,  1352,     0,     0,   229,   228,   230,     0,
       0,     0,     0,  2277,  2278,     0,  2275,  2109,  2328,     0,
    1540,   982,   968,   981,     0,   964,  2546,     0,   967,   969,
       0,     0,     0,   970,   974,   975,     0,   966,   963,   965,
       0,   412,     0,     0,   776,   777,     0,     0,     0,     0,
     856,     0,     0,  1520,     0,   150,   686,     0,     0,     0,
     681,   711,   716,     0,     0,     0,     0,   468,   472,   476,
     477,   478,     0,     0,     0,     0,   164,   151,     0,   897,
       0,   549,     0,   769,  1204,  1397,     0,   194,   189,     0,
       0,   732,     0,  1571,     0,     0,   607,   610,   609,     0,
     375,   851,   849,   848,   850,   872,   847,     0,  1882,  1884,
       0,     0,     0,     0,     0,     0,   619,   471,     0,     0,
     556,     0,   595,     0,     0,     0,     0,   592,     0,     0,
       0,  2457,     0,   868,   840,     0,  1134,     0,  1152,  1135,
       0,     0,     0,     0,  1189,  1196,  1165,  1190,  1167,  1196,
       0,     0,   782,   786,   785,   789,   787,     0,   783,   660,
    1687,  1688,     0,  1222,     0,     0,  1516,     0,  1514,   919,
    1216,   145,     0,   145,     0,   145,  1224,  1218,  1220,  1422,
       0,   917,     0,     0,   910,   912,     0,   914,     0,  1026,
     551,     0,     0,     0,     0,     0,     0,  1042,   658,  1049,
       0,     0,     0,  1064,  1059,  1061,     0,  1076,  1070,     0,
     745,     0,     0,  1642,  1635,  1637,  1636,     0,     0,  1633,
    2282,   909,     0,   625,     0,  1076,  1067,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1744,  2283,
    2284,     0,     0,     0,  2316,     0,     0,  2153,     0,  2124,
    2126,  2139,     0,  2154,  2107,     0,  2369,  2366,     0,     0,
       0,  2370,  2377,  2173,     0,     0,     0,  2377,     0,  2397,
       0,     0,     0,  2168,  2170,     0,     0,     0,  2387,  2387,
       0,  2175,     0,     0,  2155,  2128,  2130,  2140,     0,     0,
    2263,     0,  2143,  2142,     0,  2074,  2075,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2089,  2144,  2242,     0,     0,
       0,  2146,  2145,     0,     0,  2310,     0,     0,     0,  2151,
     508,  2156,     0,     0,     0,     0,  2162,     0,  2199,     0,
       0,     0,  2097,  2273,     0,     0,     0,     0,     0,     0,
       0,  2380,  2381,  2382,  2379,     0,  2064,  2049,  2067,  2043,
    2047,  2051,     0,  2387,  2066,  2069,     0,     0,  2037,     0,
       0,  2035,  2059,  2031,     0,     0,  2060,     0,  2115,     0,
       0,     0,  2220,  2215,  2216,  1739,  1739,  1739,  1739,  1736,
       0,     0,     0,  1783,     0,  1783,   205,     0,   238,   225,
    1547,  1717,  1726,  1963,     0,  1981,  1979,  1922,  1927,  2002,
       0,  1839,  1846,  1839,  1839,     0,     0,  1702,     0,  1824,
       0,  1838,  1822,  1837,     0,     0,  1852,  1850,     0,  1852,
       0,  1852,     0,  1816,     0,  1842,  1818,  1837,  1820,  1826,
       0,  1868,  2415,  1877,     0,  1796,  1753,     0,  2264,  1116,
       0,  1755,  1777,  1776,     0,  1766,     0,  1805,  1763,  1646,
    1630,     0,  1628,  1615,  1617,  1616,     0,     0,  1618,  2332,
       0,  1628,  1610,     0,  1654,     0,     0,  1881,     0,  1653,
       0,  1945,  1137,  1138,     0,  1161,     0,  1081,  1082,     0,
    1080,     0,     0,     0,   540,   543,     0,  1525,     0,  1392,
    1309,   690,     0,     0,     0,     0,   705,   664,   706,   708,
       0,     0,   707,   710,   713,  1321,     0,   295,  1295,     0,
    1356,  1169,     0,     0,  1126,     0,     0,     0,     0,     0,
    1097,   530,  1096,     0,     0,     0,   819,     0,   819,     0,
       0,   535,     0,   490,   487,   327,     0,     0,     0,     0,
     384,     0,   306,   319,   382,   325,     0,   359,     0,   330,
       0,   323,   345,   337,   346,   338,   358,   360,     0,   724,
     725,   723,   719,     0,   726,   728,     0,   373,     0,     0,
       0,   391,   353,   390,     0,  1378,     0,  1321,     0,   291,
    1291,     0,  1354,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1359,     0,     0,     0,     0,
     764,     0,   761,     0,   568,     0,  1406,     0,  1403,  1401,
     568,     0,     0,   156,   155,     0,   162,     0,     0,     0,
       0,     0,     0,  1415,  1416,  1417,     0,     0,     0,     0,
       0,     0,   395,     0,   298,   300,   299,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   402,   366,     0,   875,     0,     0,
       0,   404,     0,     0,  1370,     0,     0,     0,     0,     0,
    1377,  1274,  2112,  2113,  2110,  1750,  2327,     0,     0,     0,
     979,     0,     0,     0,     0,   415,   416,   150,   414,   439,
       0,   819,     0,     0,   853,   858,   866,  2654,  2250,  2251,
     864,   859,   861,   863,   865,   862,     0,     0,     0,     0,
     512,     0,     0,     0,   499,     0,     0,   509,   492,   495,
     496,     0,     0,   682,   685,   683,   684,     0,   704,     0,
     471,   519,   582,     0,   166,     0,     0,   167,   165,     0,
       0,   375,   766,     0,   763,  1396,     0,   192,     0,   736,
       0,     0,     0,     0,     0,  1204,   674,     0,   871,   873,
     845,     0,   716,     0,     0,   631,     0,   549,  1603,   614,
       0,   584,   471,   582,   591,     0,     0,   599,   374,     0,
       0,   619,   375,     0,     0,  1097,     0,   867,     0,     0,
    1133,     0,     0,     0,  1186,  1191,  1187,     0,  1166,  1148,
       0,  1188,     0,     0,  1194,  1119,  1168,  1120,  1438,  1439,
    1436,  1437,     0,     0,     0,     0,     0,     0,  1678,     0,
       0,  1512,     0,   921,     0,   904,     0,   906,   145,   753,
       0,   145,     0,     0,     0,     0,     0,     0,  1041,     0,
    1035,  1037,  1062,     0,     0,  1076,  1075,     0,  1066,  1074,
    1072,  1073,  1071,     0,     0,  1640,  1638,   617,     0,     0,
     145,  1076,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2287,     0,  2318,  2314,     0,  2121,  2288,  2368,
    2384,  2386,  2174,  2376,     0,     0,     0,  2399,     0,     0,
    2377,  2337,  2391,  2390,     0,     0,  2389,  2377,  2377,  2337,
    2176,  2337,     0,     0,     0,  2243,     0,     0,  2073,  2085,
    2086,  2087,  2303,     0,  2092,     0,  2082,  2083,  2084,  2076,
    2077,  2078,  2079,  2080,  2081,  2088,  2307,  2306,     0,     0,
    2148,  2149,  2150,  2309,  2157,     0,  2494,  2200,     0,  2161,
    2190,  2189,     0,     0,     0,  2164,     0,     0,  2186,     0,
    2244,  2432,  2007,     0,     0,  2034,  2313,  2052,     0,  2068,
    2070,  2030,  2263,     0,     0,     0,     0,     0,  2039,     0,
       0,  2240,     0,     0,     0,  2222,  2219,     0,     0,     0,
       0,  1730,  1729,  1735,  1796,  2109,  1796,     0,     0,  1923,
       0,  1823,  1819,  1821,  1827,     0,  2855,     0,  1828,  1835,
       0,  1815,     0,  1851,  1847,     0,  1848,     0,     0,  1849,
       0,     0,  1817,     0,  1835,     0,  1875,  1742,     0,  2211,
       0,  1754,  1114,  1115,  1764,     0,  1767,  2525,  1879,     0,
    1629,     0,     0,     0,  1620,  1626,  1608,     0,     0,     0,
    1650,  1628,  1651,  1158,     0,     0,  1150,  1087,  1088,  1091,
    1089,  1086,  1090,     0,     0,     0,   819,   822,     0,     0,
       0,   820,   145,  1270,     0,     0,     0,     0,   665,  1390,
    1271,     0,     0,     0,     0,  1170,  1324,     0,     0,  1294,
     819,     0,     0,     0,   563,     0,  1110,  1110,   553,   303,
     533,   547,   537,   604,   547,   489,   488,     0,   486,   716,
       0,     0,   310,   320,     0,   315,     0,  1322,     0,     0,
       0,     0,   314,   317,   316,   386,     0,   383,     0,   145,
     145,   361,   721,   372,   377,   378,   381,  1329,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   898,   883,     0,     0,   899,   900,     0,     0,     0,
    1227,  1228,  1226,  1361,  1362,  1368,  1365,  1363,  1367,  1369,
    1366,     0,  1277,     0,     0,   757,  1325,  1398,  1400,  1399,
       0,  1402,   160,   157,   158,   161,  1326,  1307,  1288,  1351,
     613,     0,     0,     0,  1286,     0,  1344,     0,  1303,  1297,
       0,     0,     0,     0,     0,  1389,  1317,  1349,  1388,  1315,
    1347,  1314,  1346,  1316,  1348,  1308,     0,     0,  1886,   880,
       0,     0,     0,   145,   145,   878,   755,  1290,     0,  1353,
    1299,     0,     0,     0,   971,     0,     0,     0,   973,   420,
     440,   150,     0,   775,   839,     0,     0,   855,     0,   497,
       0,   503,   510,     0,     0,   514,   515,   513,   545,  1204,
     549,  1204,   808,   809,     0,     0,   829,     0,   680,     0,
       0,   469,     0,   516,     0,     0,   473,   169,   168,     0,
       0,     0,   770,   774,   772,   771,   773,   768,     0,   759,
     194,  2585,     0,     0,     0,     0,   611,   605,   608,  1411,
     846,     0,  1885,   749,     0,   375,   627,     0,     0,     0,
     469,   619,     0,   474,   479,   480,   493,     0,   592,   583,
       0,   584,   593,   594,     0,   601,  1486,     0,   620,   601,
       0,     0,     0,   870,     0,   869,     0,  1136,  1153,  1154,
       0,     0,  1196,     0,     0,  1198,  1193,     0,     0,   788,
     791,   784,   667,   145,     0,  1515,   145,   145,  1253,     0,
     915,  1056,  1057,  1058,  1055,  1054,   659,     0,  1060,  1019,
    1069,   747,     0,   618,     0,  1020,   145,   996,   988,   995,
     984,   987,   989,     0,   991,   992,   986,   983,   985,  2317,
    2138,     0,  2383,  2385,  2172,  2396,  2395,  2171,  2402,     0,
       0,  2365,  2393,  2392,     0,     0,  2377,  2377,  2141,  2152,
       0,  2242,  2273,     0,     0,  2093,     0,     0,     0,  2147,
    2850,     0,     0,  2204,  2205,     0,  2201,  2202,  2197,  2198,
    2163,     0,  2642,  2181,     0,     0,  2196,  2056,  2054,  2053,
    2038,     0,     0,  2036,  2032,     0,  2061,  2206,  2239,  2273,
    2208,     0,  1750,  1734,  1733,  1732,  1731,  2211,  2429,  2211,
     239,  1721,     0,  1871,     0,  1874,     0,     0,  1825,     0,
       0,  1829,     0,     0,  1831,  1833,     0,     0,     0,     0,
       0,     0,  2418,     0,  1795,     0,  1750,     0,  1765,     0,
    1627,  1612,     0,  1613,  1619,     0,     0,     0,     0,     0,
    1655,  1648,  1151,  1159,     0,     0,     0,   542,   824,   823,
     826,   821,   825,  1526,     0,   698,   699,   702,  1296,     0,
    1357,  1305,     0,  1644,   532,   305,     0,   558,     0,     0,
       0,  1103,   140,  1102,     0,     0,     0,     0,     0,   485,
     484,   493,   313,     0,     0,     0,   307,   385,     0,   387,
     308,   312,   366,   329,   322,     0,     0,     0,  1292,     0,
    1355,  1301,  1328,  1380,  1275,  1339,     0,     0,   889,     0,
       0,     0,     0,  1381,  1276,  1340,     0,     0,     0,     0,
       0,  1644,     0,     0,     0,     0,     0,     0,     0,     0,
    1535,     0,     0,   365,   877,   876,   366,   403,  1319,     0,
    2111,     0,   972,   977,   978,   976,     0,   409,   417,   420,
       0,     0,  1244,  1244,     0,     0,   494,   511,     0,     0,
     498,   603,   562,   603,     0,     0,     0,     0,     0,   717,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     762,   761,   191,     0,   469,     0,   716,     0,   874,     0,
       0,     0,   619,   471,     0,     0,  1600,   470,     0,     0,
     482,     0,   595,   584,   592,     0,     0,   616,     0,  1479,
       0,   622,     0,     0,     0,   818,  1192,     0,  1206,     0,
    1147,  1117,  1201,     0,  1726,  1878,     0,     0,     0,     0,
     801,     0,   671,  1245,  1513,   905,   907,   754,  1063,     0,
    1076,  1068,   990,  2367,  2401,  2336,  2338,     0,     0,  2359,
    2352,  2355,  2353,  2354,  2356,     0,  2351,     0,  2169,  2400,
    2349,  2363,  2302,  2244,  2090,     0,  2305,  2304,  2308,     0,
    2158,     0,  2159,  2203,  2165,  2182,     0,  2166,  2194,     0,
       0,  2057,  2055,  2040,  2241,     0,  2226,  1704,  1703,     0,
    1724,  1907,  1876,     0,     0,  1870,     0,     0,  1901,     0,
       0,     0,  1836,  1854,     0,  1832,  1830,     0,  1843,     0,
    1845,  2524,  2811,  2710,     0,  1782,  1784,  1787,  1789,  1788,
    1790,  1786,  2210,  2212,     0,  1761,  2265,  1880,     0,     0,
       0,  1098,     0,     0,  1628,  1657,  1669,  1669,  1652,  1064,
       0,   145,   694,     0,     0,   284,  1110,     0,  1204,   564,
    2654,   565,  1109,  1113,   139,  2671,     0,   546,   558,   558,
     481,     0,   311,   321,     0,   368,   380,     0,  1644,     0,
       0,   887,   896,   896,   884,     0,     0,   901,  1278,   758,
       0,   567,     0,   279,  1304,  1298,     0,     0,     0,  1537,
    1538,     0,     0,     0,     0,     0,  1327,   145,  1300,   980,
       0,   442,   450,   421,   425,  1529,     0,  1529,     0,   422,
     426,  1529,  1529,   419,  1878,   438,  1244,     0,  1241,  1240,
     545,   633,     0,   544,     0,   501,     0,   573,   500,     0,
     830,     0,     0,   715,     0,   471,   582,     0,   529,   520,
     521,   522,   523,   525,   524,   526,   527,   528,   518,   517,
       0,   716,   893,   375,  1486,   756,     0,     0,   729,     0,
     716,     0,  1603,   615,   584,   471,   582,   475,   493,     0,
     599,   592,   595,     0,   596,     0,   600,     0,     0,     0,
     619,  1539,  1097,     0,     0,   819,  1205,  1166,     0,     0,
    1195,  1199,  1200,     0,     0,     0,     0,  1248,   795,   796,
     790,   792,     0,   803,   807,   666,     0,     0,   670,   661,
     716,   145,     0,     0,  2350,  2357,  2358,     0,  2179,     0,
       0,  2375,     0,     0,     0,  2091,     0,     0,  2184,  2183,
    2195,  2167,  2221,     0,     0,     0,     0,     0,     0,     0,
    1715,     0,  2337,  1869,  1872,     0,  1904,     0,     0,     0,
       0,  1889,     0,  1834,     0,     0,  1844,     0,     0,     0,
    1791,     0,     0,     0,  1800,     0,  1625,  1878,     0,  1622,
       0,  1664,     0,  1656,  1658,     0,     0,     0,  1083,     0,
    1084,  1306,     0,  1104,     0,   603,     0,  1116,  1113,   552,
       0,  1204,  1204,   633,     0,     0,   324,     0,   292,  1302,
       0,     0,   885,   886,     0,     0,     0,     0,     0,     0,
     397,     0,     0,  1531,     0,  1532,  1533,  1536,   405,   418,
       0,   448,   447,     0,   445,   444,   446,     0,   435,     0,
       0,     0,     0,     0,     0,   408,  1239,  1243,  1242,   502,
       0,   504,     0,     0,   559,   560,   561,     0,   506,   569,
     570,   827,     0,   832,     0,   718,     0,     0,   716,   581,
     740,     0,     0,     0,  1480,     0,     0,   606,   750,  1486,
     619,   592,     0,   584,   483,     0,   601,   595,   599,   597,
     598,     0,  1483,     0,   621,     0,  1106,   817,     0,  1196,
    1207,  1202,  1197,  1442,     0,     0,   793,   798,   797,  1529,
     802,     0,     0,     0,   669,   668,   744,  1021,  2339,  2340,
    2364,     0,     0,     0,  2343,     0,  2341,     0,     0,  2363,
       0,  2180,  2301,  2187,  2160,  2185,  2798,  2525,  2769,     0,
    2238,  2227,  2238,  2238,  2218,     0,     0,     0,  1906,     0,
       0,     0,  1902,  1903,  1887,     0,     0,  1891,  1841,  1867,
       0,     0,     0,  1785,  2213,  2214,  2448,  1614,  1624,  1099,
       0,  1666,  1668,     0,     0,     0,  1644,     0,   568,     0,
    1100,  1116,   555,   603,   603,   318,   309,   367,     0,     0,
       0,   894,   903,   902,   760,  1644,     0,   393,   392,     0,
     396,     0,   443,   453,     0,   451,   423,   428,     0,   434,
     433,   430,   429,   424,   427,     0,     0,     0,     0,     0,
       0,   571,     0,   572,     0,   831,     0,     0,     0,   742,
     892,     0,     0,   469,   716,  1481,  1601,   595,   584,   592,
       0,     0,   586,  1110,  1110,   456,   599,   601,  1484,  1485,
       0,     0,   509,     0,  1118,  1441,  1440,  1726,     0,     0,
       0,   804,   805,   800,     0,     0,  2344,     0,  2347,     0,
    2348,  2342,  2372,  2374,     0,  2360,  2361,     0,  2231,  2230,
    2229,  2233,  2232,     0,  2225,  2223,  2224,     0,     0,     0,
       0,  1873,     0,  1890,  1893,     0,     0,     0,  1899,     0,
    1892,  1894,     0,  1853,     0,  1865,  1793,     0,  1792,  1878,
       0,  1671,     0,     0,  1659,  1660,     0,     0,  1661,   145,
     285,   557,   819,   566,  1101,     0,   562,   819,   819,  1644,
     888,     0,   280,     0,   398,  1534,   449,     0,   432,   431,
     632,   505,   602,   578,     0,   577,     0,   575,   574,   828,
     833,     0,   716,   882,  1486,   730,   599,   592,   595,     0,
     585,     0,   140,   140,   601,   454,     0,     0,   375,     0,
    1424,  1726,  1423,  1425,  1433,  1430,  1432,  1431,  1429,     0,
    1251,  1252,   794,   799,     0,     0,  2345,  2346,     0,     0,
    2178,     0,     0,     0,  2235,     0,  2236,     0,     0,     0,
       0,     0,  1896,  1897,  1898,  1900,  1895,  1840,     0,  1794,
    1621,  1665,  1667,  1662,     0,  1663,     0,     0,     0,     0,
    1672,  1085,   538,   553,   573,   536,   534,   293,   895,     0,
     452,   576,   549,   549,   716,   741,  1482,   601,   595,   599,
    1110,   587,   589,   588,   458,  1106,  1107,     0,   601,   807,
       0,  1434,  1428,  1702,  1689,     0,     0,   806,     0,     0,
       0,     0,  2228,  2234,  2237,     0,     0,     0,     0,  2635,
       0,  1908,     0,     0,     0,  1670,  1676,     0,     0,     0,
       0,   819,     0,   580,   579,   743,   457,   599,   601,   140,
     509,  1105,     0,  1878,     0,  1426,  1726,     0,     0,   812,
    2371,  2373,  2362,  1720,  1719,  2816,     0,     0,  1723,  1916,
       0,  2365,     0,     0,  1919,     0,  1866,     0,     0,     0,
     554,   539,   394,   601,   455,   590,   375,  1108,  1092,     0,
    1427,     0,     0,   814,     0,   810,   813,   815,   816,     0,
       0,     0,     0,  1909,  1910,  1919,     0,  2349,  1919,  1888,
    1673,  1677,     0,  1674,   459,   601,     0,     0,     0,   778,
       0,  1750,     0,     0,     0,  1905,  2365,  1918,  2375,  2349,
       0,  1878,     0,     0,     0,   811,     0,     0,     0,     0,
    1913,  2363,  2375,     0,  1093,   812,  1249,  1250,     0,  1722,
       0,     0,  1911,  2363,  1675,     0,     0,  1914,  1912,   779,
       0,  1915
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5914, -5914, -5914,  4077,  -496, -1751, -5167, -1124,  3851, -5914,
   -5914,  -973,   -34,  3301, -1717, -5914, -5914, -5914,  1463, -5914,
   -5914, -5914, -5914,  4043, -5914, -2939, -5914, -5914,   186,  3999,
   -1404,   152,  3614,  1582, -5914, -1027, -5914, -5914,  -659,     1,
   -5914,  4007,   795, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914,  -655,  2046, -5914,  2149,  1373, -3628, -5914, -5914, -1491,
   -3818, -5914,   620, -5914,   650, -4161, -5914, -4882, -1044, -5914,
   -5914, -5914,  2034, -5914, -5914, -5914,  1985,  1169,  -396, -5914,
   -5914, -5914, -5914, -5914, -5914,  -863, -5914, -5914, -1169,     2,
    -661, -2991, -4385, -5914, -5914,   476,  -437, -1521, -5914,   672,
   -5914,   673, -5914, -4894, -5914,   -24, -2778, -4404, -5914, -5914,
   -5914,  -406, -1537,  1418, -5914,  1482,  -648,   129,  -752, -1155,
   -1238, -5914, -3093, -2876, -1140, -5914,  -291, -3618, -1236,  -871,
    -866, -1028, -4427, -4934, -5914, -5914, -1167, -3837, -5258, -5488,
   -4826, -5192,  1428, -5914,   -49,   483, -5914,     4, -3713, -3791,
       5,   470, -5914,     6,     7, -5914,   473,  -791,  -989, -1607,
   -5914,  -628, -5914, -5914, -5914, -3498, -5914, -5914, -5914,   178,
   -5914, -5914, -5914, -5914,   528, -5914, -5914, -5914, -5914, -5914,
   -5914, -2518,  2020,  2021, -5914, -4429, -5914,  -948, -5914,   693,
   -3534,  1420, -5914, -5914,  1179,  4081,   508, -5914, -5914, -5914,
   -5914, -5914, -5914, -1812, -5914, -5914, -5914, -5914,   -16,  -366,
   -5914, -5914, -5914, -5914, -5914, -5914, -5914,     8, -5914,  1147,
     452, -5914, -5914,  -679, -5914, -5914, -5914, -5914, -5914, -5914,
   -1215, -5251, -1349, -1323, -5914, -3470, -5914, -5914, -5914,  -337,
   -5914, -5914, -5914, -5914, -5914,  -850, -5914,  1239, -4225, -5914,
   -5914,   493, -5914, -5914, -5914, -5914, -5914,  -987,  -277,  3251,
   -5914,  -538, -5914, -5914, -5914,  -276, -5914, -5914, -5914, -5914,
   -5914,  -524, -1281,  5100,  4455, -1123,   293,  -846,  -583, -5914,
   -5914, -5914, -2723, -5914, -5914, -4247, -5914,  5092,  2471,  1965,
      11, -5914,    45,   108,  3888, -5914,  1105, -1179, -3169,   454,
    -493, -5914, -5914, -5914,   450, -5914, -1975, -5914, -5914, -5914,
   -5914, -4166,    12, -5914, -4453, -5253, -4679, -4186, -1186, -5914,
   -5686, -5243, -4132, -5914,  2051, -5914, -5914,  -492,  -192,  3215,
   -5914, -1504,  2398, -1413, -5914, -2582,   512,  1587,  3225, -3325,
    -124,  3213, -3038, -5914,  -624,  1173, -5914,  -369, -3844, -5914,
   -5914, -5914, -2868,  -632, -5914, -5914,  1499, -1096, -5914, -5914,
   -5914, -5914,  -641,  3194,  -184, -5914, -5914,  4431, -5914, -5060,
   -5914,  4393, -5914, -5914, -5914, -5914, -5914, -5914, -5914, -5914,
   -5914, -1466,  1338, -5914,  -841, -5914, -5914,  2150,   725, -5914,
   -5914, -5914, -5914,  1429, -1217, -5914, -5914, -5914, -5914, -5914,
   -5914, -5914,  -974, -1212, -5914, -5914, -5722, -5914, -5914, -5914,
   -5914, -5914,  2475,  -968,  -755,  4297,  1146,    13, -5468, -5914,
   -5914,  -868, -5914,  3631, -5914, -5914, -5914, -5914, -5914,   510,
     506, -5914, -5914, -5914, -5914, -4037, -5914, -5914, -5071, -5914,
   -5914,  2138, -5914, -5914,  1045,     3,  3334, -5914, -5914, -5914,
     -22, -5914, -5914, -1042,  2488, -5914, -2430, -5914,  -607, -5914,
   -5914, -1919,    15, -4425, -5914,    58, -5914, -5914, -5130, -1122,
     302, -5914, -5914, -4142,    69, -5914, -5914, -5914, -5914, -5142,
   -5914,    83, -5652,   870, -3389, -5914,    10, -5914,  -444, -5914,
   -5914,  -446, -5914, -5914, -5914, -4345,    16,   156, -5914, -5914,
      82,  1631,   -47,   -33,   -25,    64,   170,  3749, -5914, -5914,
   -5914, -5087,  3789, -5914,    76,  -874,  5134,  5135, -5914,  -913,
    -152,   457,  1689,  -693, -2633,  3695,  3698, -5914,  1675,  2497,
   -2497, -2463, -5914,  -990,  -849,  -657, -5914, -5914, -5914, -5914,
   -1586,  -690, -2658, -5914,  3702, -5914, -5914, -5914, -2382, -3414,
   -3339,  1716, -3334, -3172, -5914,   954,   939, -1017,  -110,    44,
   -1510,  -802,  1750, -5914, -5914,  1725,  -381, -5914, -5914,  -379,
   -3338,   900, -5914, -4655, -2862,  1733, -1147,  -827, -5914,  -970,
   -5914,  -626,  1739, -5914, -4158, -1176, -5914, -3741,  1025,  3768,
    -817, -5914, -5914,  -792,  9604, -5914, -5914, -5914, 10713, 11348,
   -5914, -5914, 12457, 12469, -5914,  -522, 12755,  9728,  -801, -1963,
    -105, 13191, 18001, -1905,  -173,   102, -5914, -2961, -2383, -5914,
   -5914, -5914,  -339,  1054,   736, -5914, -5914, -4685, -4504, -5914,
    2628, -2027, -5914,  -629,  1812,  -627, -5914, -5914, -5914, -2919,
   -5625, -3061,  2635, -5914, -5914, -5914,  -180, -5914, 18602, -3308,
   -5914,  -118, -1020, -1598,  3137, -3247, -1923, -5914, -5914, -5914,
   -3137, -5914, -5914, -5914,  -742,  1834, -5914, -5914,  1958, -5914,
   -5914, -5914,  -999,  2202,  -744, -1196,  1837, -4550, -5914,  -564,
   -4110, -5052, -5914, -5727, -5874, -1835, -1151, -3051, -5913, -1961,
    1853, -3192, -5914, -1951,  1937,  1148, -5914, -1667, -5914,  4319,
    -803,  2650,  -807, 16225,  -682, 10931, -1302, -5914,  4882, -5836,
     763,  7671,    29,  -121,  1554,  -512,  2564,  2914, -5914, -5914,
      -6,  8682,  -565,  -399, -5914,  5349, 16645, 15879, -3724, -5914
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    57,    58,    59,    60,  1108,  1113,  1912,  1931,    61,
      62,  1632,  3067,  2920,  3896,  3897,    63,    64,  1628,    65,
      66,    67,    68,  1542,    69,  1884,  3081,    70,  2752,   850,
     851,   852,  2617,  2618,  3012,  2619,  2607,  1394,  1830,  1564,
     824,   825,  1524,  1565,    72,    73,  1388,  2598,    74,    75,
      76,  1595,  1691,  1596,  1597,  1536,  5038,  5876,  3682,  2875,
    3944,  3683,  3684,  4373,  4374,  3762,  4402,  4464,  5890,  5891,
      77,  1707,  1708,    78,    79,  3049,  3862,  4517,  5427,  5428,
    5693,   669,  5061,  5062,  5680,  5681,  5905,  6074,  6075,  3082,
     700,  3939,  4601,  3887,  5132,  3888,  5133,  3889,  5134,  4928,
    4929,  4363,  4364,  3873,  4548,  4549,  2088,  5074,  4550,  3890,
    5093,  5728,  3891,  2841,  2767,  2768,  5440,  5357,  3116,  2003,
    5355,  6196,  2001,  5628,  5707,  4913,  4914,  4438,  5928,  5929,
    5930,  6217,  5095,  5138,  5139,  6111,  6112,  3942,  4607,  5145,
    5487,  5705,  3640,    81,  3915,  3916,    82,   763,  1906,  4043,
     764,  3119,   701,   765,  3083,    87,  3109,  5921,  3110,  1660,
    2934,  4530,  4019,    88,  1136,  4326,  5512,  5788,  5789,   754,
      89,  1892,    90,    91,  3062,  3880,    92,  2785,  3587,    93,
      94,  3606,  3607,  3608,    95,  4558,  5448,  1598,  3671,  3672,
    3673,  3674,  4394,    96,  1887,  3090,  3091,    97,    98,    99,
    3221,  3222,   100,  2998,   101,   102,   103,   104,  4432,  4995,
    5109,  3713,  3903,  4574,  5107,   105,  3866,  3084,  3137,  3977,
    3978,  5510,  5780,  5781,  5782,  5979,  6252,  5784,  5981,  6133,
    5983,  5084,  6404,  6405,  5765,  4315,  4891,   107,  5085,  5086,
    5934,   108,  2783,   109,   110,  1861,  3055,  3056,  4531,  3126,
    3952,  3953,  4587,  4588,   111,  3802,   112,  4971,  4972,   702,
    5942,  5882,   113,   114,  4975,  4976,   115,   116,   117,   118,
     119,   755,  1070,  1071,   757,  1191,  1192,  3548,  1153,   120,
    2627,   121,  3842,   122,  1266,  5198,   123,   789,  1207,  1208,
    3085,   125,   799,  3240,   801,  3205,  3206,  2019,  4023,  4024,
    4675,   126,   127,  4027,  4028,  4682,  3218,   128,  1529,  2762,
    2763,  4883,  3086,   703,  3633,  5610,  5351,  5611,  6122,  6317,
    5352,  3492,  4271,   130,   704,  1570,  2824,  1159,  1160,  3130,
    3957,  2732,  2733,  1730,  4628,  2735,  3959,  2736,  1503,  2737,
    1146,  1147,  3965,  3966,  3967,  3968,  4624,  4634,  4635,  5504,
    5773,  4631,  1880,  5498,  5499,   131,  1567,  2821,   132,   133,
     134,  1611,   994,  1169,  1170,   135,   716,   717,   136,  5698,
     137,  1149,   138,  5508,   139,   140,  1251,  1252,   816,   141,
     142,  2845,  4376,   143,  1568,   144,   145,  3707,  3708,  4987,
     146,   147,   148,  2906,  2907,   149,   150,   151,   152,   153,
    6242,  6320,  6321,  6322,  4642,  6127,   154,  1239,   155,   156,
     157,   158,   196,  1035,  1036,  1037,   947,  3087,  5489,   160,
     161,  1525,  1526,  1527,  1528,  2757,   162,   163,   164,  3987,
    3988,   165,   166,   167,   168,  1864,   169,   170,  5671,   171,
     172,  1834,   173,   174,  1044,  1045,  1046,  1047,  1832,  3436,
     663,   869,  1419,  1425,  1468,  1469,  1470,   176,   767,   177,
    1242,  1075,   768,  1200,   179,   769,  2714,  3522,  4286,  4287,
    4288,  4291,  5317,  4860,   770,  3518,   182,  2026,  3227,  3230,
    3514,   771,  3528,  3529,  3530,  4295,   772,  5614,  5615,  5616,
    5617,  5856,  6184,  6185,  6188,  6290,   773,   791,  1139,  3141,
     774,  1353,   188,   189,   190,   927,   872,   873,  3441,  5570,
    5820,   192,  2591,  3419,   808,  1474,   915,   916,   917,   936,
    3022,  2680,  2681,  2705,  2706,  1483,  1484,  2693,  2697,  2698,
    3505,  3498,  2686,  4265,  5595,  5596,  5597,  5598,  5599,  5600,
    4849,  2701,  2702,  1486,  1487,  1488,  2710,   193,  2670,  3471,
    3472,  3473,  4241,  4242,  6173,  4256,  4252,  4834,  5294,  3474,
     861,  1237,  1495,  4842,  6175,  3475,  5283,  5284,  5575,  4261,
    3484,  4282,  3927,  3928,  3929,  3476,  5830,  5831,  6170,  6171,
    5577,  5578,  3477,  5822,  6340,  6341,  6380,  6417,  2738,  1448,
     900,  1354,   901,  1461,  1355,  1435,   903,  1356,  1357,  1358,
     906,  1359,  1360,  1361,   909,  1427,  1362,  1363,  1444,  1457,
    1458,  1364,  1420,  5579,  1366,  1367,  1368,  3479,  1369,  4778,
    5255,  5241,  3341,  3342,  2614,  5560,  4774,  4154,  4768,  2584,
    2588,  5306,  5602,  5603,  3412,  4203,  4805,  5272,  5816,  6010,
    6011,  6154,  1370,  1371,  1372,  3404,  2578,   997,  1373,  4533,
    2580,  3332,  3310,  1733,  3311,  2029,  2051,  3259,  3275,  3276,
    3380,  3312,  3320,  3325,  3333,  3366,  1374,  3261,  3262,  4065,
    2053,  1375,  1041,  1736,  1042,  1463,  3361,  5221,  5525,  5526,
    5801,  5802,  5536,  5803,  5537,  5527,  4076,  4077,  5999,  3286,
    3381,  4080,  3294,  3295,  4098,  4087,  3287,  1376,  4089,  1384,
    1385,  1378,  2020,   862,  5290,  1195,  1817,   805,  1379,  1380,
    1381,  1382,  1604,   968,  1162,  1163,   918,   920,   921,  2674,
     659,   651,   970,  3675,  2581,   660,   653,   654,  1822,  2582
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     650,    71,    80,   175,    83,    84,    85,    86,   106,   926,
     184,   124,   129,   159,   960,   178,   185,   802,  1732,   804,
    1829,  1659,  1001,   810,   766,  1006,  1489,   995,   818,   826,
     830,   996,   833,  1389,  1377,   826,   826,   937,   863,  2840,
     866,  1946,  1102,  1823,  1228,  1229,  1230,   922,   922,   922,
    1234,   793,  2947,  3515,  1712,  2839,  1140,   793,   180,  1475,
    3639,  1477,  1416,  1664,   191,  2825,  3242,  1460,  1724,   181,
    2000,  1889,  4045,   948,  1194,  3886,  2048,  1440,  1234,  3516,
    2040,   828,   186,   183,  4213,   191,  4215,  3104,   860,  2734,
    1431,  1432,  1403,  3969,  3767,  1004,  1446,  1048,  4010,  1201,
    1439,  2869,  4586,  4280,  4439,  1508,  3293,  4332,   648,  1026,
    4612,  3233,  2908,  2908,  1862,  2852,  2908,  3297,  1867,  1415,
    2032,   864,  3799,  1871,  2034,  4637,  3258,  2035,  2036,  3016,
    4238,   800,  3917,  1881,  4389,  1599,  4391,  4851,  4294,  3908,
    1069,  4255,  5287,  3350,   829,  4599,  4885,  1901,  4535,  4866,
    1142,  3541,  3543,   931,  1202,  2816,  2734,  2666,   939,  3171,
    1621,  3123,  5152,  5123,   657,  1638,   940,  4915,  1185,  5535,
    4361,   708,  4365,  5131,  4955,  5092,  5141,  3317,  1935,  5226,
     232,  5227,  5608,  4269,  1396,  5633,  4293,   823,  5299,  4185,
    5301,   650,   951,   951,   857,  5711,   951,  1048,  3434,  3507,
     962,  5625,   863,  2977,  2978,   998,  3905,  5484,   962,  3422,
    5452,   962,  4300,  3424,   863,  2816,   951,  5140,  1571,   863,
     875,  4596,  2973,   951,  5750,   863,  1175,   849,  3281,  3285,
    3288,  3289,  2816,  4082,  3298,  3510,  3300,  3301,  5353,  4182,
    1188,  5763,  5480,  1482,  1173,  3486,  1485,  1177, -2569,  3005,
    1048,  5708,  1874,   714, -2611,  2671, -2637, -2679,  5483,  5663,
     775,  2796,  5956,  5246, -2490,  1897,  5944,  4084,  1898,  1019,
    2625, -2457,  6144,  1928, -2458,   775, -1945,  1538,  1142, -2422,
   -2457, -2457,   667, -2458, -2458,  3238,  3480, -2866,  1928,  2990,
    2984,  5010,  4622,  1209,  2843,   714, -2866, -2866,  1928,   775,
   -1978,  3359,  4253,  1048,  4258,  4259,  3359,  1415,  3845, -1986,
    3848,  3849,  6286, -1958,  4118,  3853,  3854,  3855, -1983,  3857,
    3858,  3859,  2109,  5491, -2003,  2987,  1031,  4095, -1973,  1854,
    2843,  2843, -2573,  3216,   775,  2843,  1566,  5673,  5674,   867,
    5881,  2843,  2971,   775,   714,  1129,   714, -2421,   714,  1603,
   -1917, -1986,   714,  3223,  2631,  1658,   946,  4095,  1428,  1429,
     714,  1213,  1878,  1928,  1690,  1048,  4328,  1393,  2908,  1438,
    2589,   714,  3601,  5699,  1717,  3268,  5404,  1566,   714,  4084,
    -150,  6147,  1566,  3826,  1859,  4171,  -150,  2633,  6179,  1928,
    5867,  5153,  1539,  1600,  5924,  2604,  3113,  1600,   714,   775,
    5405,  1031,  1928,   775,  3864,  6244,  2911,   934,  3761,  2915,
    2758,  3688,   934,  1928,  3065,  5090,  1823,  4033,  4565,  1831,
    3789,  3134,  2759,  3114, -2634,   781,  5813,  6232,  6233,  2677,
    1032,   781,  5849,   781,   781,  1724,  1928,   714,  5917,  2964,
    2760,   781,  1876,   665,  3135,  2937,  5200,  5201,  5202,   782,
    5204,  5205,  5206,  5207,  5208,   782,  2893,   782,   782,  4973,
    5624,  5995,  3790,  6137,  2673,   782,  5662,  5640,  5838,  5350,
    6117,  3602,  3876,   835,  5243,  3512,  1232,  1472,  4037,  3234,
    2843,  6105,  1142,  3711,  3079,  3224,  5817,  3269,  3656,  3562,
    5558,   950,   952,  6139,  5958,   955,  1033,  3791,  1431,  1432,
    5361,  6377,  5977,   996,  5991,  1032,  5878,  6412,  3483,   781,
    2109, -2248,  2605,  1630,  6287,  1013,  2843,  6131, -2248,  6244,
    2956,  1630,  1023,  1899,  2901,  6451,  2843,  5363,  4458,  4118,
    1439,  4059,  1446,   782,  2879,  5369,  2642,  1631,  2844,  6463,
     775,  2925,  2631,  4085,  5925,  1631,  2626,  1900,   194,  5751,
    2957,  6132,  5978,   996,  3657,  5992,  -150,  5818,  4296,  1034,
    1096,  1260,  6450,  3712,  4038,  3270,  1106,  1233,  3080,  3401,
    1944,  1033,  1823,  5559,  6432,  2633,  3402, -2267,  1120,   836,
    3101,  3563,  1929,  1473, -2267,  2109,  3877,  3513,  4047,  2843,
    4974,  5244,  5814,   195,  4118,  5918,  1944,  1929,  1984,  2062,
    2938,  2894,  1944,  4096,  3216,  2939,  2045,  1929,  5850,  2103,
    4566,  3136,  5331,   888,  2669,  2761,  4583,  2631,  3066,  5091,
    5739,  1860,  5815,  5926,  6359,  6051,  4523,  3115,  6234,  1860,
    3020,  3865,  6345,  4096,  1034,  3829,  5916,  6332,  2773,  2594,
    3689,  1818,  3216,  3271,  6244,  5589,  3272,  5701,  2606,  4172,
    2633,  2950,  4329,  1540,  2754,  4085,  4063,  1051,  3605,  1954,
    3004,  3074,  3841,   863,  -441,   951,  4034,   951,  2668,  6288,
     951,  4551,  1929,  6048,   715,  4535,  6379,   998,  1079,  2024,
    2942,  1879,  1109,  2945,   951,  2590,  1944,  3360,  2991,  5406,
     951,  6088,  4189, -2634,   868,  4623,  2972,  3610,  1929,  6116,
    1142,  3696,  1610,  4990,  1134,  3014,  3015,  4496,  4515,  4516,
    3480,  1929,  2025,  3225,   650,   926,  2853,  2952,  2992,  2985,
    2021,  1541,  1929,   962,  6462,  6289,  1076,   998,  2870,  5321,
     962,  2031,   191,   962,  3226,  4173,  6468,  1077,  6307,  2602,
    1860,  1723,  2644,  5553,  1205,  1929,  2870,  1930,  2041,   951,
    1080,  1078,  1421,  5101,  2988,  3013,  6306,  1428,  1429,  3827,
    1860,   668,  1937,  2672,  3273,  3254,  2887,  1263,  2870,  5362,
   -2634,  1039,  1941,  2608,  1426,  1040,  2914,   709,  2620,  2620,
    5371,  3451, -2634,  4086, -2569,   792,  3102,  1490,   787,   788,
   -2611,   792, -2637, -2679,  5149,  1438,  2711,  3878, -2457,  2712,
   -2490, -2458,   863,  1430,  1039,  1206, -2422,  1211,  1040,  1215,
    5951,  1253,   787,   788, -2866,  1219,  4997,  1441,  1442,  3021,
    5148,  6358,  5001,  6071,  4174,   191,  2931, -1978,  2965,  2966,
    4133,  1383,  1383,  1142,   863,   826,  1443,  1952,  2577,   826,
    1434,  1142,  1142,  4097,  3189, -1983,  4901,   787,   788,  6226,
    3173,  2063,  1236,   863,  5954, -1973,   787,   788,   863,  1441,
    1442,  6197,  6198,  1974,  1383,  1630,  1841,  6236, -2573,  6393,
    1846,  2105,  1847,  2592, -2421,  3427,  1977,  1845,  1445,  6409,
    3274,   996,  4459,  3199,  6255,  5102,  4920,  1944,  4922,  1631,
    2801,  3879,  4535, -2248,   939,  3214,  4453,  4454,  4255,  -150,
    -150,  4455,   940,  2830,  6190,  4831,  4727,  4728,  1236,  4835,
    4674,  1383,  1601,  1602,  2649,  2650,  1601,  1602,  5996,  2803,
    6138,  1233,  1039,  6202,  1622,   863,  1040,  5993,  1836,  2810,
      71,    80,   175,    83,    84,    85,    86,   106,   863,   184,
     124,   129,   159,  2820,   178,   185,  1222,  5863,  1233,  4596,
    6140,  3403,  2886,   863,  1523,  4960,  5522,  4677,  4302, -2267,
    4303,  5994,  1530,  5332,  1083,  3103,  1086,  2871,  4577,  1088,
    6309,  4732,   863,  2895,  4296,  1471,  4584,   951,   951,  4875,
    4584,  5103,  1860,  1114,  4350,  2871,  5702,   180,  1494,  1118,
    1405,  4790,  2774,   191,  3058,  4674,  2820,  6263,   181,  3507,
    3260,  4552,  3481,  1545,  2834,  6415,  4220,  2871,  5060,   826,
     826,   186,   183,  2820,  3581,  2025,  2932,  3047,  2795,  6109,
    2935,  2936,  5063,  2574,  2575,  2576,  2577,  1392,  5506,  3075,
    4713,  1400,  1383,  1383,  4274,  6089,  4575,  5738,   958,  1623,
    6249,  1422,  4130,  4131,  4132,  4133,   650,  3292,   951,  2673,
    6357,  5064,   962,  2854,  6097,   998,   962,  6297,   962,  4821,
    1818,  4823,  4824,   951,  4968,  6312,  6313,  2855, -1945,  2856,
    6108,  1092,  5104,  3386,  4632,  5808,   899,  1531,  1156,  3678,
    6264,  1981,  3216,  3480,   710,   941,  3480,   863,  5744,  4333,
    6213,  1928,  2870,  6261,   951,   951,  2572,  2573,  2574,  2575,
    2576,  2577,  2870,  6181,  1823,  4128,  4129,  4130,  4131,  4132,
    4133,  2944,  1224,  6422,  6182,  2775,   863,   863,   863,  4988,
     951,   932,   650,  2836,   650,   650,  1450,  4510,  1478,  1921,
    6115,   831,  2870,  2974,  3480,  2857,  3334,  3679,  4638,  3973,
     941,  2872,  3480,  1922,   711,   714,  4297,   714,  6426,  5172,
    5646, -1945,  3200,  5795,  6249,  1497,  3117,  6347,   951,  2872,
     951,   951,  4915,  4035,  1261,  3601,  1551,   823,  1682,  5117,
    6020,  1128,  2873,  3070,  6227,  2837,   942,  5757,  1612,  3489,
    6416,  2872,  6265,  1696,  5453,  5758,   712,  3439,   713,   933,
    2873,   664,  6395,  1383,  2870,  4969,  1450,  2874,  5315,  6337,
    1923,  1701,   661,  3736,  1451,   803,  5910,  1702,  3211,  3212,
    2109,  5911,  2873,  3440,  3035,  2874,  1480,  3387,   194,  2002,
    1031,  2002,  3388,  1624,  6338,   863,  1697,   802,   943,  4639,
    3974,   942,  2870,  5454,  2102,  1129,   194,  2874,  2868,  3783,
    1271,  4679,  2631,  4118,  3797,  3784,  5021, -2993, -2993, -2993,
    5105,  2038,  3680,   863,   662,  1613,  2868,  2044,  2764,  1406,
    1048,  1532,  1512,   195,  3602,  1625,  5912,  2870,  6288,   191,
    3490,  1383,  6019,  3389,  1451,  2633,  1608,  1609,  2868,  6249,
    4417,   195,  1452,   934,  3736,  1453,  3048,  2776,  -711,  5937,
    4532,  6235,  6440,  3335,  3175,  2838,  5809,  5507,  3071,  1225,
    1626,  5482,  5940,  1533,  1924,   926,  4970,  5470,  2700,  5965,
    3630,  5948,  2647,  1383,  1920,  6214,  1703,  5950,  5501,  5953,
    3540,  2870,  1130,  3198,  1032,  5106,  3906,  3203,  1721,  5535,
    5936,  2871,  3210,  3611,  2870,  3213,  1407,  6266,  1534,  4102,
    5476,  2871,  1383,  1383,  1383, -1945,  1383,  1838,  1257,  3935,
    1513,  3582,  1452,  3148,  3785,  1453,  2103,  2087,   959,  4075,
    5952,  5986,  1850,  4333,  1986,  3463,  1988,  1383,  1990,  5759,
    1992,  2871,  1994,  1995,  1996,  1498,  3182,  1925,  2720,  1998,
    4629,  3728, -1778,  2777,  5535,  3169,  1227,  4367,  3217,  4680,
    1033,  1093,  4916,  1872,  1873,  4418,  4633,  2629,  1157,  6215,
    1929, -2418,  2779,  1454,  1514,   760,   863,  4640,  6314,  4115,
    4116,  1535,  4036,  2780,  4135,  2816,  5327,  5796,  3697,  1910,
    3545,  1698,  3836,  5316,  1383,    15,  3481,  3390,  6216,   944,
    3681,  3152,   935,  2871,   996,  1944,  4443,  3201,  5197,  3308,
    5344,  2678,  2679,  5022,  2683,  3164,  5471,  6183,  3150,   940,
     940,  3605,   940,  1034,  5859,  4166,  4167,  3006,  3170,  1948,
    1950,  3057,    20,  3163,  1893,  4218,  3165,  3612,  3975,  3729,
    1383,  2871,  5853,  1454,  1383,  1383,  3601,  6271,  2766,  1926,
    5320,  6356,  4641,  3976,   944,   863,   863,   863,  2718,  4687,
    1383,  1131,  6363,  5291,  5288,  3793,  1627,  3698,  5295,  1538,
    1704,  5297,  4368,  2947,  3219,  2872,  2871,  1894,  1402,  6099,
    5786,  6302,   714,   826,  1722,  2872,  3202,  3407,  1515,  1455,
    3208,  3209,  3253,  5877,  3730, -1779,  6125,   813,  1132,  3638,
    3794,  4681,  6394,  1699,  3357,  1494,  2873,  1494,  3786,   792,
    4124,   792,  1705,   792,  1456,  2872,  2873,  1121,  2807,   792,
    1220,  1221,  6165,   826, -1945,  5449,   951,  1963,  5128,  4451,
    2871,  2874, -1945, -1778,  1430, -1945,  1459,  6424, -1945,   863,
    2842,  2874,  3423,  2871,  2684,  3602,  2873,  1706,   863,  4419,
    3787,   951,  3113,  2753,  1122,  5129,  3731,    40,   807,  1455,
    5162,  5077,  1133,  2781,  1134,  1823,  4536,  4461,  1135,  6441,
    1964,  2874,  2868,  3519,  5082,  3220,  4114,  2872,   998,  3114,
     863,  3603,  2868,   826,  1539,  3788,  2910,  2910,  6149,  4275,
    2910,  4420,  1123,  3917,  1039,  3958,    44,  4854,  1040,  1523,
     826,   187,  4498,   863,  1523,  2782,   863,  2687,  2873,  5128,
    3546,   680,  2868,  3547,  4539,  2872,  6159,  5752,  5907,  2769,
    5909,  4535,   187,  3604,  5913,  5914,  4421,  3193,  5753,  1944,
     951, -2441,  6039,  2874,  4688,  -173,  5129,  3408,    32,  6166,
      48,   814,  1124,  5754,  1588,  6225,  2873,  2770,   863,  2687,
    2872,  5743,  1246,    49,    40,  2688,  4903,   925,  6303,  2685,
     951,   951,   951,   951,   863,  1520,  -173,  5787,  1521,  4962,
      40,  2874,  1895,   815,  2868,  4541, -1779,    50,   863,  3732,
    1523,  2873,  2734,  6126,  1523,   682,  2734,  5119,  2764,  1383,
    1383,  1383,  3358,    44, -1702,  -624,    56,  2688,  2968,  5122,
    3560,  3356,  4369,  4370,  2872,  6050,  2874, -1702,  2765,    44,
     792,  3454,  2868, -1702,  5645,  4859,  6335,  2872,  2993,  3151,
    1154, -2993, -2993, -2993,  4128,  4129,  4130,  4131,  4132,  4133,
     834,   969,  3605,  4371,  4345,  2873,  5078,    48,  3161,  5081,
    1005,   996,   996,  5083,  1247,  1398,  1154,  2868,  2873,  5672,
      49,  4887,  3191,    48,  1027,  1630,  5054,  6150,  5677,  5130,
    2874,  5058, -1702,  6305,  2689,  1965,    49,   858,  2600,  3481,
    4276,  2690,  3481,  2874,    50,  3520,  3144,  1204,  4855,  1631,
     792,  5312,  1074,  5464,  1896,  3457,  5435,  4532,   863,  3455,
      50,  4544,   938,    56,  2770, -1702,  3194,   979,  6336,   863,
    6123,  2868,  5445,  2811,   980,   981,   982,   951,   951,    56,
    3733,  6167,  4346,  2690,  2868,  4986,  6168,  3076,  3734,  2771,
    3481,  3735,  4456,   951,  4743,  2817,  4744,  5613,  3481,  3195,
    1245,  3480,  5528,  4932,  5285,  3480,  2691,  3106,  4545,  4888,
    6103,   863,  2910,  3196,  5755,  6355, -1702,    40,  3614,   870,
    2863,  6169,  3191,    40,  4546,  5529, -1702,   951,   951,   951,
     951,  5530,  1911,  2994,  3291,  3291,   863,   693,  4933,   694,
     996,  5669,  3511,   863,  1198,  5531,  3124,  1966,  2691,  3318,
    6060,  3197,  1440,  1417,  5957,  5943,    44,  3813,  3339,  6194,
    4958,   650,    44,  1702,   650,  5670,   698,  1588,  6186,  3255,
    4457,  3257,  2812,  1478,   962,   962,  1454,  3264,  2766,  1661,
    1454,  3747,  6130,  3278,  3279,   998,   998,  4889,  1977,   962,
    4852,  4890,   962,  5446,  2596,  3302,  1248,  5585,  2109,  2953,
      48,  2612,  4887,  4462,  3191,  3322,    48,   951,   951,  5964,
    3480,  3337,  4465,    49,   951,  1467,   863,  3615,  1264,    49,
    1478,  1662,  2860,  3632,   945,  5997,  1479,  6061,  4547,  2979,
    2980,  2981,  2982,  2002,   928,  6433,  4934,    50,  4959,  1249,
     951,  1250,   962,    50,  2613,  3207,   962,   962,  6187,   863,
     863,  4745,   951,  5785,  4463,  3658,  3521,  3284,  2861,   863,
     929,  1480,    56,  2633,  5075,  5520,   863,  4853,  2597,   863,
    3124,  3991,  3814,   802,  4532, -1702,   802,  3244,  6434,  5532,
    1079,  1383,  6420,  1383,  6423, -1097,  1406,   191,  1383,  1383,
    4888,  6316,  4678,  5998,  1504,  1383,  1383,  1383,  1383,  1383,
    1383,  1383,  1383,  1383,  1383,  1383,  1383,  1383,  1480,  3228,
    4690,  1383,  1481,  1383,   998,  1383,  1383,  1383,  1383,  1383,
    1383,  3659,  1840,  1383,  3239,  1383,  1383,   781,  1076,  1383,
    4060,  1499,  1505,  1849,   191,  4061,  1506,  1663,  5076,  1077,
    5451,  3830,  3831,  3832,  1383,  1383,  1383,  1121,  6464,  1857,
    5328,   782,  1080,  1078,  6107,  2848,  1512,  2849,  4344,  1481,
     680,  4714,  1383,  1407,  2734,  6124,  4718,  4267,  4889,  3561,
    3792,  1507,  4890,  1500,  2734,  1257,  3036,  3037,  4702,  5475,
    2947,  3183,  3798,  3184,  1122,  3185,  4726,  3186,  5356,  3187,
    3243,  4162,  3054,  3188,  3917,  5619,  3721,  5621,  3722,  6106,
    1640,  4877,   951,  1509,   792,   946,  3723,  5774,  1501,   792,
     792,  5462, -1749,  3985,  3627,  5040,  6397,  3638, -1749,  2880,
    5935,   661,  4578,  2850,  5329,   775,  3097,  3098,  3099,  3100,
     954,  4660,  1142,  3191,   682,  5533,  3007,  2648,  5041,  3795,
    3480,  3480,  1641,  1667,  1513,  1510,  2655,  5534,  2656,  2734,
    2908,  5441,  2659,  5443,  4739,  4740,  4741,  4742,  5669,  2665,
    4746,  4747,  4748,  4749,  4750,  4751,  4752,  4753,  4754,  4755,
    4246,  3836,  1124,   930,  3796,  1097,   956,  4505,  3008,  4357,
    1511,  1097,  5670,  1879,  4370,  1668,  1879,  3921,  3922,  3923,
    3924,  4717,  3926,  1097,   977,  1015,  4722,  4723,  1514,  4414,
   -1749,  4010,  5718,  5431,  4247,  1977,  2028,  3174,  1818,  1383,
   -1122,  2937,  6228,  3178,  4946,  3746,  3764,  3954,  3765,  4837,
    1669, -1701,  3769,    40,  4794,  4795,  1016,    35,  4284,  5985,
    3720,  6461,   978,  1977, -1701,  5968,  -467,  5432,  3728,   187,
   -1701,  4415,  4249,  4818,  4673,  4460,  3748,  6438,  6470,  1021,
     792, -1749,  6281,  3773,  3751,  3624,  5719,  3754,  2917,  5720,
     792,  3892,    44,  1383,  1039,  5947,  5721,  4285,  1040,  6452,
    5422,  2860,  5423,  5424,  5425,  4299,  4416,  6282,   985,   986,
     987,   988,   989,   990,   991,   992,   993,  1670,  3820, -1701,
    1971,  4674,  4497,  5072,  5722,  4916,  5915,  5023,  5851,  2843,
     680,  4245,    40,  4878,  1220,  1221,    48,  2861,  3947,  4536,
    4879,  2851,  1515,  5669,  1972,  4537,   693,  4880,   694,  1383,
    5073,  5024, -1701,   932, -1095,  5852,  3729,  4916,  1030,  4538,
    6308, -1702,   187,   925,  3009,  4820, -1750,  5670,  3018,  3019,
    5778,    44, -1750,  5880, -1702,  1875,  3010,   792,  5884,  5885,
   -1702,   792,   792,  1671,  5723,  4881,  1082,  4539,  3909,  4540,
    6318,  -467,    56,  2918,  5779,  1692,  2938,  5724,  2921,  4251,
    6192,  2939,  4399, -1701,   682,  1038,  3011,  1516,  4882,  4246,
    5725,  3730,  3480, -1701,  4400,    48,  1441,  1442,  4645,  3480,
    4272,   933,  4608,  4646,  3480,  1672,   775,  3480,    49, -1702,
    1824,  3362,  1673,  1825,  1084,  1443,  1674,  1693,  1633,  3685,
    6145,  1694,  5156,  4247,  1089,  1517,  6146,  4646,  4541,  1518,
     233,  1117,    50,    35, -1750,  1103,   666,  1709,  4248,  -623,
    1713,   684, -1702,   790,   758,  3709,  3893,  1441,  1442,   790,
    1620,    56,  1695,  3731,  2996,  1637,  1125,  4542,  3002,  6038,
    4214,  4249,   832,  3499,  1519,  1126,  1445,  1271,  1983,  4017,
    4118,  1825,  1436,  1437,  4119,  4120,  4121, -2414,  3442,     3,
       4,  4245,  1039,  4916,  1227, -1750,  1040,  3508,  3509,  2103,
    4250, -2415,  5869, -1702,  2033,   934,  1039,  1825,  1227,  1520,
    1040,  1127,  1521, -1702,  4306,  3456,  3458,  3459,   938,  1430,
     187,  2667,  1144,  1383,  1383,  1383,  1383,  1383,  1383,  1383,
    1383,  1383,  1094,  1383,  1095,  4874,  4018,  3481,  6425,  1148,
    1430,  3481,  2667,   863,  1383,  4144,  1383,  4146,  4147,  4543,
   -1773, -1773, -1701,   863,  4544,  3709,  1164,  3591,  2628,  3595,
    3596,  1825,  1155,  1522,  2641,   792,  3594,  2642,  1165,  4246,
     996,  1039,  5285, -2422,  2108,  1040,   693,  2109,   694,  2049,
    2675,    56,   863,  1825,  1383,  1171,  3732,   951,  1383, -1122,
    1189,  1383,  3435,  1383,  5071,  2891,  1383,  1430,  4251,  1459,
    1383,  4545,   697,  4247,  1199,  1875,  1675,  4225,  4226,  2631,
    3179,  5726,  4466,  2642,  5727,  1182, -2993,  4546,  4248,   775,
    4334,  3874,  3588,  3482,  3371,  3372,  3373,  3374,   661,   863,
     863,  4216,  1471,  3894,  6436,  3190,  3192,  6439,  3191,  3191,
    1383,  4249,  2633,  1098,  1676,  1099,  3481,  1226,  1677,  1383,
    1383,  1430,  4301,  2667,   935,  3139,  4375,  3140,  5679,  1227,
    5189,  3231, -1702,   863,  3232,  3623,  3438,  1231,  4122,  1977,
    4250,  3526,  1235,  3531,  3443,  3532,  5196,  2642,  2642,  1471,
    1471,  1238,  6292,  1678,  1823,  3895,  1241,  6295,  6296,  5969,
    1679,  4123,  3480,  3621,  3703,    29,  3622,  3704,  4262,  4867,
    1441,  1442,  4187,  1210,  1212,  1214, -1777, -1777,  1216,  1217,
    1218, -1776, -1776,   802,  4168,   802,  2668,  3733,  1223,  5219,
    5865,  4547,  5871,  5872,  4945,  3734,  5224,  5225,  3735,  1383,
    1039,  3478,  3870,  1464,  1040,  3871,  4009,  4594,  1243,  3191,
     650,  5124,  1244,   962,   998,   962,   962,  4058,  4067,   951,
    2642,  2642,   863,  4532,  4073,  1254,  3523,  2642,  3727,  4074,
   -2993,  2620,  2642,  1255,  3564, -2993,  3567,  4093,  4251,  4104,
    3829,  4137,  2642,   826,  2642,  1256,  4151,  4124,  4029,  2642,
    3266,  3267,  1257,  4156,  4223,  2842,  4157,  2642,  4392,  3343,
    4397,  4393,  3346,  4398,  4919,    40,   187,  3303,  3304,  3644,
     863,  6280,  3609,  1259,  4425,  4494,  3655,  4426,  4426,  4617,
    4620,  4651,  4618,  4621,  4652,   863, -2993,  2108,  6240,    29,
    2109,  1258,  3030,  4764,  1142,  4689,  4765,  4775,  3349,  4902,
    4776,  4581,  4786,  3041,    44,  2642,  6189,   863,  4935,  3817,
    4942,  6391,  4862,  4310,  4078,  4863,  4079,  4916,  1265,  3059,
    4868,  2734,  2631,  4869,  4873,  6012,  6013,  3547,   863, -2993,
    5125,  1267,  4553,  3191,  2050,  5191,  5231,  5268,  2025,  2642,
    2642,   826,  1401,  3480,  2638,  5766,  3481,  3481,    48,  5323,
    5347,  1404,  3547,  5348,  2059,  2633,  3362,  4321,  4605,  5477,
    4606,    49,  5478,  3480,   951,  5514,  1408,   951,  4652,  4152,
    4205,  4961,  4206,  3133,  5550,  4159,  5552,  5551,  3718,  2642,
    5572,  6155,  6156,  5573,  4337,    50,  1409,  5582,  3145,    40,
    1977,  1154,  3149,   863,   863,  3480,  4434,  5588,   923,   924,
    4591,  4440,  5844,  5590,    56, -1435,  4591, -1435,  3800,  1410,
    3803,  3805,  5713,  2100,  5733,  5714,  3763,  3191,  5767,  1414,
    1418,  5768,  3168,  1154,  6113,  1423,  5827,  4186,    44,  5828,
    1424,  1426,  5833,  6053,  6054,  1977,  5836,  1447,  5847,  4591,
   -2993,  5848,  1383,  1383,  1383,  1430,  1433,  5899,  1383,  4524,
    5900,  1142,  1434,  1476,  5939,  6398,   951,  2599,  4125,  4126,
    4127,  4128,  4129,  4130,  4131,  4132,  4133,  1464,  5966,   951,
    4409,  5848,    48, -2993,  1449,  1383,  6003,   951, -2993,  4157,
    4307,  4308,  1465,  1491,  6004,    49,  4051,  2642,  4053,  4054,
    2842,  6024,  1492,  5135,  6025,   863,  6028,  6029,  1493,  1977,
    2642,  3907,  6059,  6062,   802,  3232,  3232,  6063,  6066,    50,
    3232,  2642,  6067,  1574,  1496,  2642,   951,  3918,  3599,  6068,
    1543,  6095,  6069,  4864,  6096,  1502,  1459,  3800,  6241, -2993,
    4207,  6161,  4208,  6454,  4591,   938,   938,   951,   938,  3940,
    6176,  3480,  5475,  2642,  5142,  6178, -2993,  3958,  2642,  6191,
    6206,  4048,  3191,  6207,  1569, -1702,     3,     4,  2572,  2573,
    2574,  2575,  2576,  2577,  3351,  1572,  6230,  6279, -1702,  6231,
    5841,  3318,  3318,  5065, -1702,  5066,  3318, -2459,   951,  4571,
     951,  6315,   951,  6361,  5848,  1575,  6362,  2638,  3481,  4916,
    5234,  6381,  5235,  2673,  6382,  3481,  6389,  1610,  1614,  4863,
    3481,  1985,  6392,  3481,  1987,  2642,  1989,  1615,  1991,  6419,
    1993,  5799,  6025,  5800,  1997,  2002,  6036,  3318,  3318,  6365,
    3480,  6366,   760, -1702,  3936,  3478,  1627,  1616,  4117,  4918,
    4430,  6421,  4921,   996,  2642,  4924,  6429,  1629,  2734,  6430,
    4145,  6467,    15,  6469,  6382,  1464,  6430, -1690,  4554,  1639,
    4556,  6471,  4446,  4814,  6382,  4816, -1702,  1642,  5277,  4683,
    5279,  1666,  4836,  3749,  4839,  1683,  3752,  4585,  1684,   650,
     951,  2713,   962,  2716,   962,   962,  4169,   951,  1724,    20,
    5567,  1700,  5568, -2993,  1383,  1710,  1711,  1714,  1719,  1383,
    1720,  1833,  1835,  1823,  2999,  5540,  5541,  1837,  1842,   926,
    6113,  1853,  1848,  1856,  1858,  1863,  4916, -1702,  1866,  1868,
    1877,  1860,  1882,  1883,  -137,  1885,  1886, -1702,  1888,  1271,
    4200,  1890,  4118,  1891,  1902,  1909,  4119,  4120,  4121,  1911,
    2673,  1914,  4626,  1918,   213,  1927,  1932,  1933,  1383,  1383,
    1383,  4268,  1142,  1383,  1142,  1934,  1936,   926,  1939,  1940,
    1943,  1383,  1383,  1383,  1383,  3847,  1944,  1951,  5544,  1955,
    1957,  1958,  1960,  1962,  4668,  1967,  1968,  1383,  3860,  4945,
    1383,  1970,  1383,  1973,  6238,  1976,  3869,  1979,  1980,  1982,
    1999,  2030,  2039,  2037,  1383,  1383,  3480,  2108,  1383, -2993,
    2109,  2046,  2042, -1949, -2993, -2993, -2993,  2047, -1956,  2054,
    2055,  2572,  2573,  2574,  2575,  2576,  2577,   998,  2056,  1383,
    4564,  1383,  4567,  1383,  2057,  3913,  1271,  2058,    56,  4118,
    5345,  2060,  2631,  4119,  4120,  4121,  1142,  4936,  2061,  2632,
    2062,  4916,  1383, -1946, -1947,  4204,  3937,  2064,  2065,   863,
    2066,  4783,  2067,  2068,  2069, -1950,  2070,  2071,  2072,  2073,
    3450,  3452,   926, -1948,  4696,  2633,  3460,  2074,  2075,  2076,
     863,  2077,  2079,  2080,  2081,  2082, -1702,  3078,  2083,  2084,
    2085,  2086,  2087,  2089,  2583,  3095,  4245,  2585,  3481,  3992,
    2090,  3994,  2091,  2999,  2092,    32,  2093,  2094,  3506,  3506,
     650,  2095,  2096,  3482,  4243,  3480,  2587,  2589,  4243,  4257,
    4243,  4243,  3057,  2590,   926,  2599, -2756,  1383,  1643,  2603,
    1471,  4898,  1383,  2615,  2623,  2645,  2651,    40,  2646,  5169,
    2653,  2654,  4210,  4211,  4212,  2660,  2657,  1383,  3153,  2658,
    1644,  2661,  2662,  4123,  1039,  2664,  2669,  2663,  1040,  2668,
    1479,  3482,  2676,  1481,  2707,  4289,  2709,  2719,  4292,  3482,
     792,  3531,  2721,  2722,  4246,  2999,    44,  3367,  2723,  3368,
    2724,  2740,  2741,  2742,  2743,  4691,  2667,  2744,  2745,  4049,
    2746,  2747,  2748,  2634,  5059,  5791,  4056,  5046,  2635,  2749,
    2750,  2756,  1645,  2772,  2778,  3369,  2784,  2798,  4247,  1643,
    2802,  2806,  1383,  2805,  2804,  2808,  2809,  2822,  3478,  2826,
      48,  3478,  3480,  4248,   761, -2756,  2827,  2828,  2846,  2847,
    2858,  1644,  6396,    49,  2862,  2864,   951,   951,  2867,  4124,
    2865,  2866,  5051,  2868,  2876,  4175,  4249,  4176,  2877,  2637,
    4123,  2878,  2881,  2882,  2888,  2883,  2889,    50,  3643,  2902,
    2916,  2892,  2898,  2899,   187,  2912,  2926,  2933,  2940,  3478,
    3370,  2943,  1383,  4177,  2913,  4250,   762,  3478, -2756,  3481,
    4356,  2919,  1588,  1645,  2958,  2922,  2960,  2962,  2923,  2928,
    5805, -2756,  2929,  2969,  1646,  2941,  2970, -2756,  2948,  3481,
    2949,  2954,  2955, -2756,  5292,  2967,  2961,  2638,  2986, -2756,
    3017,   187, -2756,  2963,  2975,  2995, -2756,  2976,  2989,  3000,
    3029,  5826,  3024,  3032,  3031,  3033,  3371,  3372,  3373,  3374,
    4403,  3481,  3034,  3375,  3376,  3038,  4124,  3039,  3370,  3377,
    3040,  3042,  4268,  3043,  3045,  3283, -2756,   792,  3044,  3046,
    3050,  3052,  1647,  3053,   863,   792,  3061,  1648,   792,  3060,
    3051,  3064,  1649,   675,  2910,  3093,  1663,  3069,  3077,  3336,
     792,  3088,  3092,  4251,  3096,  1646,  3105,  3108,  2946, -2756,
    3111,  3112,  3132,  3121,  3138,  3154,  3125,  3480,  3142,  3156,
    3158,  3129,  3172,  3157,  3371,  3372,  3373,  3374,  5497,  3147,
    3215,  4178,  3159,  2640,  3204,  3229,  4770,  4179,  3241,  3260,
    3265,  3338,  3305,  1651,  2109,  3344,  3348,  3385,  3429,  3431,
    3405,  3364,  3383,  3410,  3411,  3426,  3430,  3444,  3445,  1454,
   -2756,  3432,  3448,  1647, -2756,  3446,  3447,  3461,  1648,  3449,
   -2756,  3453,  5683,  1649,  3462,  3483,   933,  3500,  3488,  4985,
    4125,  4126,  4127,  4128,  4129,  4130,  4131,  4132,  4133,  2946,
    3501,  1653,  3502,  3590,  3503,  3517,  3524,  5293,  3536,  3598,
    3525,  3537,  3556,  1383,  3539,  3565,  3568,  3481,  3570,  1383,
    3573,  3578,  3589,  3597,  3583,  1654,  3584,  3586,  3613,  5684,
     951,  1398,  1402,  3618,  1651,  3378,  3620,  3634,  3480,  3628,
   -2756,  3636,  3635,  3637,  3480,  3647,  1656,  3379,  3666,  2568,
    3660,  3665,  3686,  3692,  5685,  2673,  3693,  3641, -2993, -2993,
   -2993,  2572,  2573,  2574,  2575,  2576,  2577,   863,   863,   863,
    3694,  3699,  3710,  5686,  3719,  4323,  4324,  3702,  5687,  3720,
    3741,  3757,  1653,  1879,   863,  3801,  3717,  4125,  4126,  4127,
    4128,  4129,  4130,  4131,  4132,  4133,  3481,  1657,  1383,   807,
    5688,  3365,  3816,  4180,  5689,   934,  1654,  3824,  3825,  3837,
    3740,  3828,  3844,  3850,  3291,  4181,  2002,   863,   863,  5690,
    3856,  3872,   863,  3883,  3884,  3851,  3861,  1656,  3898, -2756,
    3900,  5135,  3902,  3904,   863,  5458,  3318,  3318,  3318,  3318,
    3852,  3919,  3318,  3318,  3318,  3318,  3318,  3318,  3318,  3318,
    3318,  3318,  5256, -2756,  3912, -2756, -2756,   792,  3931,  3925,
    3930,  3933,  3934,  5303,  6210,  3932,  3938,  3941,  3945,  3480,
    4767,  5181,  5182,  5183,  5184,  5185,  1643, -2756,  1657,  3943,
    3946,  3955,  3950,  3949,  4615,  3971,  4736,  3970,  3972,  3685,
     951,  4956,  3980,  3982,  3981,  3984,  3986, -2756,  1644,  4000,
   -2756, -2756, -2756,  4002,  3207,  4671,  3318,  3318,  4003,  4006,
    4008,  4011,  4012,  4013,  4014,   863,  4015,  3709,  4611,  1977,
    4763,  1974,  1941,  4016,  4020,  5691,  4026,  4030,   863,  4021,
    4031,  5186,  4032,  4039,  4044,  4800,  4042,  1233,  4052,  4069,
    4070,  4071,  4072,  5097,  5098,  4075,  5310,  1383,  4088,  4083,
    1645,  4094,  3282,  4827,  4648,  4090,  1383,  4100, -2240,  4103,
    4092,  4105,  3481,  3829,  4106,  1236,  4110,  3868,  4150,  4112,
    1383,  4802,  4113,  4114,  1383,  1383,  1383,  4136,  5429,  2642,
    5692,  1383,  4170,  4153,  1383,  4184,  4194,  1383,  4235,  4165,
    4244,  4141,  4142,  1383,  4195,  1383,  4201,  4149,  1383,  4221,
    4260,  4164,  4197,  1383,  1383,  1383,  1383,  4264,  4277,  1383,
    1383,  1383,  1383,  1383,  1383,  1383,  1383,  1383,  1383,  4939,
    4199,  4222,  1383,  1383,  1383,  4227,  4229,  4228,  4270,  4508,
    4279,  2063,  1383,  5868,  4281,  4283,  4290,  1383,   926,  4230,
    4236,  1383,  1646,  4298,  4304,  4311,  4309,  4312,  4316,  1383,
    4318,  4330,  1383,  4331,  1383,  1271,  4342,  4341,  4118,  4343,
    4347,  4353,  4119,  4120,  4121,  4349,  4354,  4355,  4359,  4360,
    1383,  3481,  4362,  1383,  1383,  4366,  4378,  4377,  1383,  1383,
    4217,  4380,   792,  1383,  4386,  1383,  4806,  4388,  4387,  4396,
    4404,  4413,  4427,  4429,   863,   863,   863,  4433,  4224,  5307,
    1647,  4431,  4435,  4437,  4441,  1648,  4442,  4445,  4447,  4268,
    1649,  4448,  4469,  4449,  1383,  4243,  4257,  4243,  4243,  4450,
    1383,  4243,  1079,  4467,  4829,  4452,  2946,  4470,  3482,  4471,
    4474,  4468,  3482,  4472,  4473,  4475,  4476,  4268,  4844,  4477,
    4479,  4481,  4478,  4480,  4482,  4483,  4488,  4040,  4273,  4273,
    6272,  6273,  4486,  4490,  6275,  4492,  3365,  2984,  2987,  4502,
    4509,  1651,  4050,  4493,  4499,  1383,  3533,  4055,  4029,  4503,
    1076,  4807,  4808,  4809,  4810,  4520,   191,  4514,  3481,  4504,
    3531,  1077,  1383,  4522,  3549,  4557,  4506,  4563,  3552,  4661,
    3470,  4569,  3555,  4562,  1080,  1078,  4572,  4081,  5367,  4573,
    4576,  4580,  4591,  4590,  4593,  4600,  4609,  4610,  4613,  1653,
    4603,  4614,  4630,  4644,  4647,  4616,  3574,  4654,  5442,  4650,
    4656,  4662,  4663,  4664,  4684,  4665,  4685,  4666,  5407,  5408,
    4669,  5410,  4667,  1654,  4686,   187,  3478,  4917,  2002,  2842,
    3478,  2002,  4692,  4693,  2002,  5497,  4926,  4694,  4695,  5566,
    3616,  4697,  2049,  4698,  1656,  4699,  3318,  4710,  4700,  4701,
    4705,  4711,  4715,  4712,  4950,  4709,  4716,  4719,  4724, -2993,
    1097,  4725,  4118,  4737,  4730, -2239,  4788,  4760,  4761,  4789,
    4777,  4762,  4769,  5605,  4792,  5342,  4832,  4833,  4840,  4819,
    4815,  4803,  4817,  4825,  4841,  4828,  4830,  4845,  4846,  4847,
    4850,  4856,  4848,  4859,  4861,  1657,  4865,  4884,  4876,  3676,
    4894,  4895, -2758,  4897,  4904,  4905,  4896,  4907,  4908,  4999,
    4911,  3632,  4927,  4930,  4931,  4948,  4268,  4951,  4967,  4964,
    4963,  4965,  4966,  4977,  4978,  4979,  3705,  4980,  4981,  4991,
    4982,  4993,  3714,  3481,  5011,  3478,  4994,  5000,  2108,  5012,
    5020,  2109,  5017,  5037,  5036,  4124,  3724,  5039,  4937,  5042,
    5002,  5052,  5053,  1097,  5055,  5056,  3737,  5079,  2947,  5057,
    5094,  3763,  3742,  5108,  5043,  5114,  5115,  5127,  5121,  5068,
    5089,  5100,  5137,  2631,  5144,  5143,  5154,  5120,  5161,  5400,
   -2993,  5163,  3755,  5165,  5167,  5173,  5179,  5187,  3758,  3216,
    5160,  5193,  5164,  5168,  5194,  3766,  5203,   951,  5210,  5211,
    5214, -2758,  5212,  5213,  5215,  5216,  2633,  5222,  5223,  3781,
    5233,   951,  5245,  1383,  5217, -2241,  5228,  5239,  5250,  5248,
     863,  5249,  5254,  3807,  5267,  5271,  5087,  5286,  5893,  5282,
    5895,  5281,  5289,  5308,  1097,  5296,  5305,  2842,  1271,  5300,
    5309,  4118,  5324,  5322,  3481,  4119,  4120,  4121,  5326,  5330,
    3481,  5319,   863,  5350, -2758,  5349,  5364,  3482,  3918,  5354,
    5366,  5365,  5368,  4784,  5370,  3800,  5376, -2758,  5377,  5375,
    5398,  5389,  5392, -2758,  5136,  5247,  5460,  5411,  4793, -2758,
    5396,  5412,  5421,  5402,   863, -2758,  5420,  5581, -2758,  5426,
    5430,  5403, -2758,  5419,  4322,  5433,  1383,  1383,  5581,  5437,
    5438,  5439,  4325,  5450,  5447,  5455,  5459,  1383,  5463,  5457,
    5456,  5465,  5469,  5474,  5481,   792,  5479,  5485,  2002,   863,
    5486,  5490, -2758,  5488, -2993,  5492,  5493,  5242,  5730, -2993,
    5494,  5503,  3191,  5511,  5509,  5904,   863,  5519,  4568,  5518,
    5524,  5545,  5556,  5549,  6017,  5538,  5539,  5555,  5565,  5574,
     996,  5569,  5580,  5609,  5557, -2758,  4125,  4126,  4127,  4128,
    4129,  4130,  4131,  4132,  4133,  3478,  3478,  5612,  5620,  5623,
    5627,  5146,  5584,  5637,  5587,  3481,  5606,  1383,  5641,  5642,
   -2993,  5675,  5622,  5643,  5636,  5649,  5638,  5639,  5631,  6047,
    5644,  5697,  5655,  1383,  5078,  5656,  5660,  5666,  5667,  5703,
    5668,  5706,  5716,  5704,  5736,  5709, -2758,  4422,  5712,  4424,
   -2758,  1383,  5717,  5737,  5741,  5746, -2758,  5748,  5764,  5777,
    5769,  5783,  5775,   187,  5792,  5776,  5652,  5793,  5798,  5819,
    2108,  5797,  5810,  2109,  5841,  5842,  6080,  6082,  2638,  1383,
    5811,  5843,  1383,  5855,  5845,  5870,  5825,  5873,  5837,  4025,
    1383,  1383,  4123,  5839,  5864,  5862,  5875,  1383,  1383,  5881,
    5887,  5933,  1383,  5923,  5927,  2631,  5941,  1383,  4041,  5866,
    1383,  1383, -2993,  5920,  5946,  4025, -2758,  1383,  5931,  5955,
    5959,   863,   863,   863,   863,  2108,  5961,  5962,  2109,  5963,
    5960,  5972,  5973,  5974,  5990,   792,  5067,  5975,  2633,   650,
    5980,  5982,  4243,  6000,  5984,  4485,  3482,  6005,  6001,  6014,
    5069,  3482,  6015,  5220,  3482,   650,  6016,  3800,  6021,  5302,
    2631,  6031,  1383,  6041,   998,  4202,  6040, -2993,  6043,  6044,
    6058,  6045,  6078,  1383, -2993,   807,  6087,  4289,  4124,  6098,
    6090,  1383,  6092,  3531,  5647,  6101,  6102,  6118,  6119,  4507,
    6128,  6121,  6129,  2633,  6094,  6120,  6073,  6135,   802,  6142,
    6134,  6136,  6141,  6148,  6143, -2758,  6153,  6160,   649,  6157,
    4796,  6158,  6172,  6180,  6164,  6174,  6193,  6195,  6201,  6203,
    6211,  6088,  5834,  6089,  6219,  2842,  1383,  6220,  6221, -2758,
    6237, -2758, -2758,  6239,  6258,  6256,  6262,  6260,  6257,  6259,
    6274,  5360,  6270,  6209,  6284,  6278,  6283,  3478,  6285,  5325,
    6299,  6085,  6301, -2758,  3478,  6331, -2993,  6325,  6326,  3478,
    6334, -2993,  3478,  5311,  5313,  4797,  6319,  2100,  6333,  6329,
    6343,  6330,  6346, -2758,  6367,  6368, -2758, -2758, -2758,  3763,
   -2993,  6348,  6369,  6370,  6371,  3641,  6372,  4296,  6387,  6399,
    3763,  6390,  2572,  2573,  2574,  2575,  2576,  2577, -2003,  6401,
    6410,  6402,  6414,  6288,  6427,  6435,  6416,  1383,  6428,  6443,
    6444, -2993, -2993,  5897,  1383,  2100, -2993,  6449,  6453,  6455,
    6447,  6458,  6267,  6268,  1938,  6460,  1466,  6466,  5771,  4649,
    1942,  4219,  1573,  3001,  3774,  1681,   951,  4372,  4954,  3365,
    1953,  2622,  1680,  4947,  1956,  6204,  3691,  5682,  1959,  3815,
    1961,   951,  4519,  5694,  3863,  4196,  1969,  6072,  6300,  5096,
    6293,  5747,  1975,  4943,  4944,  1978,  5436, -2993,  5729,  4351,
    2638,  4314,  5919,  5358,  5906,  6350,  6294,  5629,  6351,  6093,
    3318,  6218,  1383,  6091,  6311,  4358,  5467,  5118,  5126,  4125,
    4126,  4127,  4128,  4129,  4130,  4131,  4132,  4133,   650,   949,
    5147,  5088,  6055,  3881,  3882,  2842,  4952,  5113,   961,  4390,
    4579,  4706,  1665,  5461,  2002,  5735,   961,  4231,  5171,   961,
    4237,  5976,  4619,  5892,  6364,  2638,  6465,  6445,  5710,  3918,
    4525,  5155,  5654,  3318,  6223,  5883,  5657,  1142,   756,  1072,
     809,  2022,   951,  3068,  3940,  4670,  5858,  5190,  5188,  6360,
    3910,  3131,  3542,  5157,  4305,  5772,  5970,  4319,  3127,  4636,
    3143,  4489,  1183,  4738,  3812,  3160, -2993,  1143,  3470,  4436,
     863,  4983,   925,  6243,  6400,  1411,  3470,  2755,  5175,  3026,
    5174,   863,   792,  3840,  3487,  5314,  4870,  6349,  4759,   996,
    5854,  5857,  2643,  2595,   837,   838,  5218,  4266,  4278,  2704,
    6073,  2703,  6177,  3497,  6033,  4239,  4822,  5586,  2708,  4838,
     792,  4232,  5824,  5823,  5651,  4268,  6385,  4871,  6163,  4233,
    6276, -2993,  6022,  5653,   792,  4234,  6413,   996,  2652,  5472,
    5806,  4771,  3406,  6034,  1383,   792,  6035,  3478,  4198,  4064,
    3409,  3324,  4192,  4190,  1383,  6049,  3839,  1383,  5988,  4183,
    1383,  1383,  1383,  6418,  4099,     0,  1462,  4720,  3485,  5696,
    3421,     0,     0,     0,     0,     0,     0,  4405,     0,     0,
       0,     0, -2993,     0,     0,  1383,  1383,     0,     0,  1383,
       0,     0,     0,     0,  2572,  2573,  2574,  2575,  2576,  2577,
       0,     0,     0,     0,     0,     0,  1383,     0,     0,     0,
    1383,     0,     0,     0,     0,     0,  1383,     0,     0,     0,
    3482,  1220,  1221,     0,  5302,     0,     0,  1383,     0,  5604,
       0,     0,     0,     0,     0,     0,     0, -2993,     0,     0,
    4917,     0,     0,  1383,     0,  5409,     0,     0,     0,  2572,
    2573,  2574,  2575,  2576,  2577,     0,     0,     0,     0,     0,
    5413,     0,     0,     0,     0,     0,     0,     0,  1142,     0,
       0,     0,  4917,   998,   951,     0,   951,     0,  2002,     0,
       0,     0,     0,     0,     0,   652,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3318,     0,     0,     0,     0,     0,  4500,   792,
     962,   998,     0,     0,  1271,     0,     0,  4118,     0,  6431,
       0,  4119,  4120,  4121,  5989,     0,     0,     0,  3478,     0,
     914,     0,     0,  3318,     0,     0,  2108,     0,     0,  2109,
       0,     0,  5829,     0,     0,     0,     0,     0,  3478,     0,
       0,  5473,     0,     0,     0,   962,     0,     0,     0,     0,
    6023,     0,   792,  5807,     0,     0,     0,     0,     0,  5087,
       0,  2631,     0,     0,   863,     0,     0,  5812, -2993,   863,
    3478,     0,     0,     0,     0,     0,     0,     0,  2842,     0,
    2108,     0,     0,  2109,     0,  5607,     0,     0,   863,  5835,
       0,     0,  5136,     0,  2633,  5749,  2102,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   951,   863,  4917,     0,
       0,     0,     0,     0,     0,  2631,     0,     0,     0,     0,
       0,  5682, -2993,     0,  5892,    71,    80,   175,    83,    84,
      85,    86,   106,     0,   184,   124,   129,   159,  6446,   178,
     185,     0,  1383,     0,     0,     0,     0,  1271,  2633,     0,
    4118,     0,     0,     0,  4119,  4120,  4121,  5762,     0,  1383,
       0,  5734,     0,  1383,     0,  1383,   652,   926,  5888,  5889,
    6353,  6354,  5261,     0,     0,   652,   971,  2999,     0,  1383,
       0,     0,   180,   652,     0,   971,   652,   650,   191,     0,
    1383,     0,  5760,   181,  5832,     0,  4672,   187,     0,   971,
    4676,  1383,     0,     0,     0,     0,   186,   183,  1383,     0,
       0,     0, -2993,     0,  5099,     0,  3478, -2993,  4123,     0,
    5265,     0,   949,     0,     0,     0,     0,     0,     0,     0,
       0,   961,     0,   187,     0,     0,     0,     0,   961,     0,
       0,   961,     0,     0,     0,     0,     0,     0,     0,  2002,
       0,     0,     0,     0,     0,     0,     0,     0,  1383,     0,
       0,     0,  1142,  5632,     0,  5634, -2993,     0, -2993,     0,
       0, -2993,     0,     0,  1383,  3318,     0,     0,     0,     0,
    1383,  1383,     0,     0,     0,   951,   951,   951,   951,     0,
       0,     0,     0,     0,     0,  3478,     0,     0,     0,     0,
       0,     0,     0,     0,  4124,     0,   996,     0,     0,     0,
       0,     0,     0,   792,     0,     0,  1383,     0,     0,   792,
       0,     0, -2993,     0,   792,   650,  2638,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6030,
       0,  6032,     0,     0,     0,     0,     0,     0,     0,     0,
     863,  5386,  5387,  3482,     0,     0,  5390,  5391,     0,     0,
       0,  4123,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   863,     0,
    2638,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5761,  1383,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3155,  1383,     0,
       0,     0, -2993,  1271,     0,  3162,  4118,  1383,  1383,  1383,
    4119,  4120,  4121,  2002,     0,     0,     0,     0,     0,  3800,
       0,     0,  1383,  5949,     0,     0,  2100,  4124,  5262,     0,
       0,  1383,     0,  1383,     0,  1383,  5604,     0,     0,     0,
       0,  3478,  4917,     0,     0,     0,     0,     0,  6162,  1383,
       0,     0,     0,   187,     0,     0, -2993,     0,  2002,     0,
     998,     0,     0,     0,   863,     0,     0,  6200,     0,  1383,
       0,     0,     0,     0,     0,  3470,     0,     0,     0,  3470,
       0,     0,     0,     0,  4899,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4125,  4126,  4127,  4128,  4129,
    4130,  4131,  4132,  4133,     0,  2002,  2002,     0, -2993,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5334,
    2572,  2573,  2574,  2575,  2576,  2577,     0,  6037,     0,     0,
       0,     0,     0,     0,   949,   951,  6250,  6251,     0,     0,
     961,     0,     0,     0,   961,     0,   961,     0,     0,  6114,
    3478,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2993,     0,     0,  5894,     0,  5896,     0,     0,
    6408,     0,     0,  5372,  2572,  2573,  2574,  2575,  2576,  2577,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3318,  3318,     0,  5388,  3318,     0,     0,     0,
    1383,     0,     0,     0,     0,     0,     0,     0,  3960,     0,
    1913,   971,  1915,  1916,     0,  1383,     0,  4123,     0,  5832,
       0,     0,     0,     0,     0,  1383,  5025,     0,     0,  5028,
     971,  6408,  1546,     0,  3531,     0,   971,     0,  4125,  4126,
    4127,  4128,  4129,  4130,  4131,  4132,  4133,     0,   971,     0,
       0,     0,     0,   962,     0,     0,  6408,  3478,     0,     0,
       0,     0,     0,     0,   971,   951,     0,  5416,  1547,   652,
       0,     0,  2002,     0,   914,     0,     0,     0,   652,   971,
       0,     0,     0,     0,     0,   652,     0,   971,   652,     0,
       0,     0,     0,     0,     0,     0,     0,  2842,     0,     0,
     914,   971,     0,  4124,  1383,     0,     0,     0,     0,     0,
       0,   971,     0,     0,  4917,     0,     0,     0,     0,     0,
       0,     0,   962,   962,  6253,     0,     0,     0,  1383,     0,
    5110,  1548,     0,     0,     0,     0,     0,     0,   792,     0,
       0,     0,     0,     0,     0,     0,     0,  2999,     0,     0,
       0,  2002,  2002,  6269,     0,     0,     0,     0,     0,  1383,
    1383,     0,     0,  1383,   971,     0,  6277,     0,  1549,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6352,     0,     0,  6224,  6245,   652,   652,  5502,  2002,
       0,   191,   971,     0,  6324,   951,  6246,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6248,
    6247,     0,     0,  3961,  3470,     0,     0,   971,  1550,   652,
       0,     0,  3478,     0,     0,  6114,   951,   951,  4025,     0,
    6388,  4917,     0,     0,  6100,     0,     0,     0,     0,     0,
     187,     0,     0,   914,     0,     0,     0,     0,     0,   650,
       0,  6456,  6457,     0,     0,     0,  1383,     0,     0,     0,
       0,     0,  1552,     0,  6342,     0,   652,     0,     0,     0,
       0,     0,  1383,     0,     0,     0,     0,     0,  3531,   971,
       0,     0,     0,  4289,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1383,     0,  1554,     0,     0,     0,  6245,
       0,     0,     0,     0,     0,   191,     0,     0,     0,     0,
    6246,     0,     0,     0,  4125,  4126,  4127,  4128,  4129,  4130,
    4131,  4132,  4133,  6248,  6247,     0,     0,  4485,     0,  6373,
    6374,   650,  6378,  3478,     0,     0,     0,  5832,     0,  3478,
      35,     0,  1383,     0,     0,  3962,     0,     0,     0,     0,
       0,     0, -2992,   951,  1557,     0,  4917,     0,     0,     0,
       0,     0,     0,  1558,  6205,     0,     0,     0,     0,     0,
       0,  2819,     0,     0,     0,     0,  6342,     0,     0,     0,
       0,     0,     0,     0,  1560,     0,     0,   652,   652,  1819,
       0,     0,     0,  1561,     0,  3359,   971,     0,  1562,     0,
       0,   652,     0,  1383,   650,     0,   914,   652,     0,     0,
    1546,   652,     0,   652,     0,     0,     0,   914,     0,  3963,
     650,     0,     0,     0,  6245,     0,     0,     0,     0,     0,
     191,     0,     0,   914,     0,  6246,     0,   962,   962,     0,
       0,  6459,     0,  6342,     0,   792,  1547,     0,  6248,  6247,
       0, -2992,     0,  1546,     0,  1563,     0,     0,     0,  3964,
    6342,     0,     0,  3470,  3478,     0,     0,     0,  3470,     0,
       0,  3470,     0,     0,     0,     0,     0,   652,  3433,   652,
     652,     0,     0,     0,     0,     0,     0,     0,     0,  1547,
       0,     0,   187,   187,  6298,     0,     0,     0,     0, -2775,
       0,     0,     0,     0, -2992,     0,     0,     0,     0,  1548,
       0,     0,     0,     0,     0,     0,     0, -2992,     0,  5383,
     971,     0,     0, -2992,     0,  1114,  1114,     0,     0, -2992,
       0,  5393,     0,     0,     0, -2992,  1643,     0, -2992,     0,
       0,     0, -2992,     0,     0,     0,  1549,     0,   652,     0,
       0,     0,  1548,  2108,     0,     0,  2109,     0,  1644,     0,
    2110,  2111,  2112,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2992,     0, -2992,     0,     0,     0,  2630,     0,
       0,   971,     0,     0,  4927,     0,     0,     0,  2631,  1549,
     914,     0,   971,     0,     0,  2632,  1550,     0, -2775,     0,
       0,     0,     0,     0,     0, -2992,     0,     0,     0,   971,
    1645,  4937,     0,     0,   971,     0,     0,     0,  2775,     0,
       0,  2633,     0,     0,     0,     0,   652,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1551,     0,     0,  1550,
    1552,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2775,  1114,     0,     0,  6070, -2992,  4938,     0,     0,
   -2992,     0,     0,     0, -2775,     0, -2992,     0,   652,     0,
   -2775,     0,  1553,  1554,     0,  2028, -2775,     0,     0,  4939,
    2028,  2028, -2775,  1552,     0, -2775,     0,     0,     0, -2775,
       0,     0,     0,     0,     0,     0,     0,   652,   652,   652,
       0,   652,  1646,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1555,     0,  1554,     0,    35, -2775,
       0,     0,   652,  1556,     0,     0, -2992,     0,     0,     0,
       0,     0,  1557,     0,     0,     0,     0,     0,     0,  2634,
       0,  1558,     0,     0,  2635,     0,     0,   971,  4025,  1559,
       0,     0, -2775,     0,     0,   971,   971,     0,   187,     0,
    1647,    35,  1560,  2818,  3960,  1648,  1556,  2636,  2302,     0,
    1649,  1561,     0,     0,     0,  1557,  1562,     0,     0,   652,
       0,  3360,     0,     0,  1558,     0,  2946,     0,  1546,     0,
    4940,     0,  2819,     0,  5971,  2637,     0,     0,     0,     0,
       0,     0,     0, -2775,     0,  1560,     0, -2775,  1819,   949,
       0,     0,   949, -2775,  1561, -2992,  1546,     0,     0,  1562,
       0,  1651,   961,   961,  1547,   652,     0,     0,     0,   652,
     652,     0,     0,  1563,     0,     0,     0,   961,  2369, -2992,
     961, -2992, -2992,     0,     0,   652,     0,     0,     0,     0,
       0,   914,  1547,  2638,     0,     0,  2639,  6027,     0,     0,
       0,     0,     0, -2992,     0,     0,     0,     0,     0,  1653,
       0,     0,     0, -2775,     0,     0,  1563,     0,  4025,     0,
    4025,     0,     0,     0,     0,     0, -2992,  1548, -2992, -2992,
     961,     0,     0,  1654,   961,   961,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1656,  1548,  4941,     0,   914,  4362,
       0,     0,     0,     0,  1549,     0,     0,  3470,     0,     0,
       0,     0,   807,     0,     0,     0,     0,     0,     0,  1576,
       0,     0,     0,     0,     0,  1577,     0,     0,     0,  2640,
       0,     0,  1549,     0,     0,     0,     0,     0,     0,   914,
    1685,     0, -2775,     0,     0,  1657,     0,     0,     0,  3961,
    2108,     0,     0,  2109,  1550,     0,     0,  2110,  2111,  2112,
       0,     0,     0,     0,     0,     0, -2775,     0, -2775, -2775,
    1579,     0,   914,     0,  3983,  2630,     0,     0,     0,  3989,
       0,  3990,  1550,     0,     0,  2631,     0,     0,     0,     0,
   -2775,  3996,  2632,     0,  3997,     0,  3998,  3999,  1552,     0,
    4001,     0,     0,     0,  4004,     0,  4005,     0,     0,  4007,
   -2775,  2868,     0, -2775, -2775, -2775,     0,     0,  2633,     0,
       0,     0,  1551,     0,     0,  1686,  1552,  1580,     0,     0,
       0,  1554,     0,     0,  1581,  2568,     0,     0,  1582,   971,
       0,     0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,  2576,  2577,     0,   652,   652,   652,     0,  1617,  1554,
       0,  4091,     0,     0,     0,     0,  1583,     0,     0,     0,
     187,     0,     0,  4046,     0,     0,    35,     0,     0,     0,
       0,  1556,     0,     0,     0,     0,     0,     0,     0,     0,
    1557,     0,     0,     0,     0,     0,     0,     0,     0,  1558,
    1618,   187,  1584,     0,    35,     0,     0,  2819,     0,  1556,
       0,     0,  6406,     0,     0,   187,     0,     0,  1557,     0,
    1560,     0,     0,     0,     0,     0,     0,  1558,     0,  1561,
       0,     0,     0,     0,  1562,  1619,  2634,     0,     0,     0,
       0,  2635,     0,     0,     0,     0,     0,     0,  1560,     0,
       0,     0,     0,     0,   971,  3963,     0,  1561,     0,     0,
       0,     0,  1562,     0,  2636,  2302,   914,     0,     0,     0,
       0,     0,     0,  6406,     0,     0,     0,   914,     0,     0,
       0,     0,  1687,     0,     0,     0,  1586,     0,     0,  1819,
       0,  1563,  2637,   914,     0,  3964,  1587,     0,  6406,     0,
       0,     0,     0,     0,     0,  2100,  1588,     0,     0,     0,
       0,     0,   971,     0,     0,     0,     0,     0,  1589,  1563,
     971,     0,     0,     0,     0,     0,     0,     0,   971,     0,
       0,     0,     0,     0,     0,  2369,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   914,     0,     0,
    2638,     0,     0,  2639,     0,     0,   652,     0,     0,   652,
    1688,     0,   914,  1591,  1592,   914,   914,     0,     0,   652,
     652,     0,   971,   971,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   652,  2108,   971,   652,  2109,     0,
       0,     0,  2110,  2111,  2112,  1689,   914,   914,     0,   971,
     971,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2630,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2631,     0,     0,     0,     0,     0,     0,  2632,  1576,     0,
       0,     0,     0,     0,  1577,     0,     0,   652,     0,     0,
       0,   652,   652,     0,     0,     0,  2640,  6384,     0,  1685,
    3470,     0,   187,  2633,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1594,     0,
       0,     0,     0,     0,     0,     0,   652,     0,   652,  1579,
       0,     0,     0,   652,   652,     0,     0,     0,     0,     0,
     652,   652,   652,   652,   652,   652,   652,   652,   652,   652,
     652,   652,   652,  4317,     0,     0,   652,     0,   652,     0,
     652,   652,   652,   652,   652,   652,     0,     0,   652,     0,
     652,   652,     0,     0,   652,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1686,     0,  1580,     0,   914,   652,
     652,   652,     0,  1581,     0,     0,     0,  1582,     0,     0,
       0,     0,  2568,     0,     0,     0,   187,   652,     0,  1819,
       0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,
       0,  2634,     0,     0,  4107,  1583,  2635,  4108,     0,     0,
       0,     0,     0,     0,  4379,     0,  4381,     0,  2108,     0,
       0,  2109,     0,     0,     0,  2110,  2111,  2112,     0,  2636,
    2302,     0,     0,  1546,     0,     0,     0,     0,     0,     0,
       0,  1584,     0,  2630,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2631,     0,     0,     0,  2637,     0,  2108,
    2632,   649,  2109,     0,     0,     0,  2110,  2111,  2112,  1547,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2630,     0,  2633,     0,     0,     0,
       0,     0,     0,     0,  2631,     0,     0,     0,     0,     0,
    2369,  2632,     0,     0,     0,     0,     0,     0,     0,  4025,
       0,     0,     0,     0,     0,  2638,     0,     0,  2639,     0,
       0,  1687,     0,     0,     0,  1586,     0,  2633,     0,     0,
       0,     0,  1548,     0,   652,  1587,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1588,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1589,     0,     0,
    4484,     0,     0,     0,     0,     0,  4491,     0,     0,  1549,
       0,     0,     0,     0,     0,     0,     0,     0,   949,     0,
       0,   961,     0,   961,   961,     0,     0,     0,   652,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   718,  3771,
       0,     0,  1591,  1592,  2634,     0,     0,   806,     0,  2635,
       0,  2640,     0,     0,     0,     0,     0,     0,     0,  1550,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2636,  2302,  3772,     0,     0,     0,     0,     0,
       0,     0,     0,   187,   652,  2634,     0,     0,     0,     0,
    2635,     0,     0,     0,     0,     0,     0,     0,     0,  1551,
    2637,     0,     0,  1552,     0,     0,     0,     0,   187,     0,
       0,     0,     0,  2636,  2302,     0,     0,     0,     0,     0,
    2108,     0,     0,  2109,     0,     0,     0,  2110,  2111,  2112,
       0,     0,     0,     0,     0,  1634,  1554,     0,     0,     0,
       0,  2637,     0,  2369,     0,  2630,     0,  1594,     0,     0,
       0,     0,     0,     0,     0,  2631,     0,  2568,  2638,     0,
       0,  2639,  2632,     0,     0,     0,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,  2576,  2577,     0,     0,  1635,     0,     0,
       0,    35,  4109,     0,  2369,     0,  1556,     0,  2633,     0,
       0,     0,  4653,     0,  4655,  1557,  4657,     0,     0,  2638,
       0,     0,  2639,     0,  1558,     0,     0,     0,     0,     0,
       0,     0,  1636,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6323,     0,     0,  1560,     0,     0,     0,     0,
       0,     0,     0,     0,  1561,     0,  1576,     0,     0,  1562,
       0,     0,  1577,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2640,     0,     0,  1578,  2108,     0,
       0,  2109,     0,     0,     0,  2110,  2111,  2112,   652,   652,
     652,   652,   652,   652,   652,   652,   652,     0,   652,     0,
       0,     0,     0,  2630,     0,     0,     0,  1579,     0,   652,
       0,   652,     0,  2631,     0,  2640,  1563,     0,     0,     0,
    2632,     0,     0,     0,     0,     0,  2634,     0,     0,     0,
       0,  2635,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   649,  2633,     0,     0,   652,
       0,     0,     0,   652,  2636,  2302,   652,     0,   652,     0,
       0,   652,     0,     0,  1580,   652,     0,   187,     0,     0,
       0,  1581,     0,     0,     0,  1582,  2108,     0,     0,  2109,
    2568,     0,  2637,  2110,  2111,  2112,  1819,     0,   652,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,     0,
       0,  2630,  3347,  1583,     0,   652,     0,     0,     0,     0,
       0,  2631,     0,     0,   652,   652,     0,     0,  2632,     0,
       0,  2568,     0,     0,     0,  2369,     0,     0,     0,     0,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,  1584,
    2638,   971,     0,  2639,  2633,     0,  4160,     0,   914,     0,
       0,     0,   914,   914,     0,     0,     0,     0,     0,   971,
       0,     0,     0,   971,  2634,     0,     0,   971,     0,  2635,
       0,     0,     0,     0,     0,     0,   971,  1576,     0,     0,
       0,     0,     0,  1577,     0,     0,     0,     0,     0,     0,
       0,   971,  2636,  2302,   652,     0,     0,   949,     0,     0,
     961,     0,   961,   961,     0,   652,     0,   914,   652,     0,
     652,   652,     0,   914,     0,     0,     0,     0,     0,  1585,
    2637,     0,     0,  1586,     0,   971,     0,     0,  1579,     0,
       0,     0,     0,  1587,     0,     0,  2640,     0,     0,     0,
       0,     0,     0,  1588,     0,   971,   971,     0,     0,     0,
       0,     0,     0,     0,     0,  1589,     0,     0,     0,     0,
       0,   914,  2634,  2369,     0,     0,     0,  2635,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2638,     0,
       0,  2639,     0,  1819,   971,  1580,     0,  1819,     0,     0,
    2636,  2302,  1581,     0,     0,     0,  1582,  1590,     0,     0,
    1591,  1592,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   971,     0,  1819,     0,     0,     0,   971,  2637,     0,
       0,     0,     0,     0,  1583,     0,     0,     0,     0,     0,
       0,   971,  1593,     0,     0,     0,     0,     0,   971,     0,
       0,   971,  2568,     0,     0,     0,     0,   971,     0,     0,
       0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,
    1584,  2369,     0,     0,  4101,     0,     0,   971,     0,     0,
       0,     0,     0,   971,  2640,     0,  2638,     0,     0,  2639,
     971,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   971,     0,     0,     0,  1576,     0,
       0,     0,     0,     0,  1577,  1594,  1073,     0,   971,     0,
       0,     0,     0,  1819,     0,     0,     0,     0,   649,   971,
       0,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   652,   652,   652,
    1687,     0,     0,   652,  1586,     0,     0,     0,     0,  1579,
       0,     0,     0,     0,  1587,     0,  1141,   718,     0,     0,
       0,     0,     0,     0,  1588,     0,     0,     0,     0,   649,
     652,   914,  2640,     0,     0,     0,  1589,   649,     0,  1819,
    2568,     0,     0,     0,     0,     0,     0,     0,     0,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,     0,
       0,     0,  4521,     0,     0,     0,  1580,     0,     0,     0,
       0,     0,   652,  1581,     0,     0,     0,  1582,  1715,     0,
       0,  1591,  1592,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   914,  1583,     0,     0,   914,     0,
       0,     0,  1240,  1716,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2108,     0,     0,
    2109,     0,  1262,     0,  2110,  2111,  2112,     0,  2568,  5178,
    1386,  1584,  5180,  1395,  1141,  1397,     0,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,  2576,  2577,     0,     0,     0,     0,
    4707,     0,  2631,     0,     0,     0,     0,     0,     0,  2632,
       0,  5195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1594,     0,     0,     0,
       0,     0,     0,     0,   971,  2633,  1819,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2108,     0,     0,
    2109,   914,     0,   971,  2110,  2111,  2112,     0,     0,     0,
     971,  1687,     0,     0,   652,  1586,   914,   652,     0,   652,
     652,   914,  2630,     0,     0,  1587,     0,     0,     0,   652,
       0,     0,  2631,     0,   652,  1588,     0,     0,     0,  2632,
       0,     0,     0,     0,     0,     0,     0,  1589,     0,     0,
       0,   914,     0,     0,     0,     0,     0,     0,     0,     0,
    2108,     0,     0,  2109,     0,  2633,     0,  2110,  2111,  2112,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   652,   652,   652,     0,     0,   652,  2799,
       0,     0,  1591,  1592,     0,  2631,   652,   652,   652,   652,
       0,     0,  2632,  2634,     0,     0,     0,  1819,  2635,     0,
       0,     0,   652,  1819,     0,   652,     0,   652,     0,     0,
       0,     0,     0,     0,  2800,     0,     0,     0,  2633,   652,
     652,  2636,  2302,   652,     0,     0,     0,     0,  1141,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   913,   652,     0,   652,  2108,   652,  2637,
    2109,     0,     0,  5333,  2110,  2111,  2112,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   652,     0,     0,
       0,     0,  2630,  2634,     0,     0,     0,     0,  2635,     0,
       0,     0,  2631,     0,     0,     0,     0,  1594,   971,  2632,
       0,  2108,  2369,     0,  2109,     0,     0,     0,  2110,  2111,
    2112,  2636,  2302,     0,     0,     0,     0,  2638,     0,     0,
    5373,  5374,     0,     0,     0,  2633,  2630,     0,     0,     0,
       0,     0,     0,     0,     0,   652,  2631,     0,   652,  2637,
       0,     0,     0,  2632,     0,     0,  2634,     0,     0,     0,
       0,  2635,   652,     0,     0,     0,     0,   652,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2633,
       0,     0,   652,     0, -2993, -2993,     0,     0,     0,     0,
       0,     0,  2369,     0,     0,     0,   652,     0,     0,     0,
       0,     0,     0,     0,   652,     0,     0,  2638,     0,     0,
    2639,     0,  2637,     0,     0,     0,   914,     0,     0,   914,
       0,   914,     0,  2640,  5417,  5418,   914,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2027,
       0,   971,   971,     0,     0,     0,     0,   652,     0,     0,
       0,     0,     0,  2634,     0, -2993,     0,     0,  2635,     0,
       0,     0,   971,     0,     0,   971,  1141,     0,   914,     0,
    2638,     0,     0,     0,     0,     0,   914,     0,     0,     0,
       0,  2636,  2302,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2634,     0,     0,
       0,   914,  2635,  2640,     0,     0,     0,   652,     0,  2637,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2636,  2302,     0,     0,  2568,
       0,     0,     0,     0,     0,     0,     0,     0,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,  2576,  2577,  1819,  1819,  1819,
       0,     0,  2369,  2637,  5513,  2104,     0,  5515,  5516,     0,
       0,     0,     0,     0,  2106,     0,  2640,  2638,     0,     0,
    2639,     0,   971,     0,     0,     0,     0,  5521,     0,     0,
    2593,   914,     0,   914,     0,     0,     0,     0,     0,     0,
       0,   971,     0,     0,     0,     0,  2369,     0,     0,  1141,
       0,     0,  2610,  2611,     0,     0,     0,  1141,  1141,  2568,
       0,  2638,     0,   971,  2639,     0,     0,     0,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,     0,  2108,
       0,  4780,  2109,     0,     0,     0,  2110,  2111,  2112,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2630,     0,   649,     0,     0,     0,
     649,     0,     0,  2640,  2631,     0,     0,     0,     0,     0,
       0,  2632,  2568,     0,     0,     0,     0,     0,     0,   914,
       0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,
       0,     0,     0,     0,     0,     0,     0,  2633,     0,     0,
       0,     0,     0,   971,     0,     0,     0,  2640,   652,     0,
       0,     0,     0,     0,   652,     0,     0,     0,     0,     0,
       0,     0,     0,   914,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1819,   914,     0,     0,     0,     0,   971,     0,   971,     0,
       0,     0,     0,     0,     0,   649,     0,     0,     0,  2568,
       0,   971,     0,   971,     0,     0,     0,     0,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,     0,     0,
       0,  4886,     0,   652,   719,     0,     0,     0,     0,   720,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2568,     0,  2634,     0,     0,     0,   914,
    2635,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,     0,     0,     0,     0,  4910,     0,   721,     0,     0,
     971,   914,     0,  2636,  2302,     0,     0,     0,     0,     0,
     722,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   914,  2951,     0,     0,   723,     0,     0,
       0,  2637,  2959,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   971,     0,     0,   724,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   971,     0,     0,     0,   971,     0,     0,     0,   725,
       0,     0,     0,     0,  2369,     0,     0,     0,     0,     0,
       0,     0,   726,     0,     0,     0,   971,     0,     0,  2638,
       0,   727,  2639,     0,     0,     0,     0,   913,     0,     0,
       0,     0,   652,     0,   728,   914,     0,     0,     0,     0,
     729,   652,     0,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,   913,     0,   652,     0,     0,     0,   652,
     652,   652,     0,     0,     0,     0,   652,   731,     0,   652,
       0,     0,   652,     0,     0,     0,     0,     0,   652,     0,
     652,     0,     0,   652,     0,   649,   649,   914,   652,   652,
     652,   652,  5860,     0,   652,   652,   652,   652,   652,   652,
     652,   652,   652,   652,     0,     0,     0,   652,   652,   652,
       0,     0,   914,     0,     0,  2640,     0,   652,     0,     0,
       0,     0,   652,     0,  1819,     0,   652,   732,     0,     0,
       0,     0,     0,     0,   652,     0,     0,   652,     0,   652,
       0,     0,     0,     0,     0,     0,     0,     0,  5898,     0,
       0,     0,     0,     0,     0,   652,     0,     0,   652,   652,
       0,     0,     0,   652,   652,     0,     0,     0,   652,     0,
     652,   733,     0,  1576,     0,     0,     0,  3089,     0,  1577,
       0,  3094,     0,     0,   734,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   913,     0,   735,   652,
       0,     0,     0,     0,     0,   652,     0,     0,   213,   736,
       0,     0,   737,   652,     0,     0,     0,   652,     0,     0,
       0,  2568,     0,     0,  1579,     0,     0,     0,     0,     0,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,   738,
       0,     0,   739,  5116,     0,     0,   740,     0,     0,   741,
     652,     0,     0,     0,     0,     0,   742,     0,     0,   743,
       0,     0,  5987,     0,     0,     0,     0,   652,     0,     0,
       0,     0,     0,   914,     0,   902,     0,     0,     0,   744,
       0,  1580,     0,     0,     0,     0,     0,   745,  1581,     0,
       0,     0,  1582,     0,   746,     0,     0,   747,     0,   971,
       0,     0,   748,     0,     0,     0,     0,     0,     0,     0,
     749,     0,   750,     0,     0,     0,     0,   751,     0,     0,
    1583,     0,   652,     0,     0,     0,     0,   649,     0,     0,
       0,   752,     0,     0,   649,     0,     0,     0,     0,   649,
    1734,     0,   649,  5298,   753,     0,     0,     0,     0,     0,
       0,  3277,     0,     0,     0,     0,  1584,     0,     0,   913,
       0,     0,  1819,     0,     0,     0,     0,  1819,   914,  1819,
     913,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1576,     0,   913,     0,     0,     0,
    1577,     0,     0,     0,     0,  1819,   914,  1643,     0,   911,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  -136,     0,     0,     0,     0,  1644,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     1,  1579,  1585,     0,     0,     0,
    1586,   971,     0,     0,   971,     2,     0,     3,     4,     0,
    1587,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1588,     0,     0,     0,     0,     5,     0,     0,     0,     0,
       0,  1645,  1589,     0,     0,     6,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     7,     0,     8,
       9,     0,  1580,     0,     0,     0,    10,     0,    11,  1581,
       0,     0,     0,  1582,     0,     0,     0,     0,   652,     0,
       0,    12,     0,    13,  2884,     0,     0,  1591,  1592,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      14,  1583,     0,    15,   971,   971,     0,     0,   914,     0,
       0,     0,     0,   913,     0,   971,     0,     0,    16,  2885,
      17,     0,   652,   652,    18,     0,     0,     0,     0,     0,
       0,    19,   971,  1646,     0,     0,     0,  1584,     0,     0,
      20,     0,    21,     0,     0,     0,     0,     0,     0,    22,
       0,     0,     0,     0,     0,   914,  5444,     0,     0,     0,
     914,   652,   652,     0,     0,     0,     0,    23,     0,     0,
       0,     0,   652,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1576,     0,    24,     0,     0,   649,  1577,     0,
       0,  1647,  1594,     0,     0,     0,  1648,     0,     0,     0,
       0,  1649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   971,     0,     0,  1819,  1650,     0,     0,
       0,  1586,     0,     0,     0,     0,     0,     0,     0,     0,
    6291,  1587,     0,  1579,     0,     0,     0,     0,    25,    26,
       0,  1588,   652,     0,    27,     0,     0,     0,     0,     0,
       0,     0,  1651,  1589,     0,     0,     0,     0,   652,    28,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   652,     0,    29,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1580,     0,     0,     0,     0,  1652,     0,  1581,  1591,  1592,
    1653,  1582,     0,     0,   652,     0,     0,   652,     0,     0,
       0,     0,     0,     0,     0,   652,   652,     0,   914,     0,
       0,     0,   652,   652,  1654,     0,    30,   652,     0,  1583,
    1655,     0,   652,     0,     0,   652,   652,     0,     0,     0,
       0,    31,   652,     0,     0,  1656,    32,    33,     0,    34,
       0,     0,     0,     0,    35,     0,     0,     0,     0,     0,
      36,     0,     0,    37,   652,  1584,     0,     0,   649,     0,
      38,   652,     0,     0,  2739,     0,   652,    39,    40,   652,
     652,     0,     0,     0,     0,    41,     0,   652,   649,    42,
       0,     0,     0,     0,     0,     0,  1657,     0,   652,     0,
      43,     0,     0,  1594,     0,     0,   652,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    44,     0,     0,
     649,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   914,     0,     0,     0,     0,    45,     0,
       0,  2739,     0,     0,     0,  1687,   971,     0,     0,  1586,
      46,   652,     0,     0,     0,     0,    47,     0,   961,  1587,
       0,    48,     0,     0,     0,     0,     0,     0,     0,  1588,
    3428,     0,     0,     0,    49,     0,     0,     0,     0,     0,
       0,  1589,   913,     0,     0,     0,     0,   914,     0,     0,
       0,     0,     0,  2108,     0,     0,  2109,     0,    50,     0,
    2110,  2111,  2112,   961,   971,     0,     0,     0,     0,   914,
       0,     0,     0,     0,     0,   913,   971,    56,  2630,   902,
    -136,     0,     0,  3626,     0,     0,  1591,  1592,  2631,     0,
       0,     0,   652,     0,     0,  2632,     0,     0,     0,   652,
       0,     0,     0,     0,     0,   902,     0,     0,     0,     0,
     971,     0,     0,     0,     0,     0,     0,     0,  1593,     0,
       0,  2633,     0,     0,     0,     0,   649,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   914,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1734,  1734,  1734,
       0,     0,     0,     0,     0,     0,     0,   652,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1141,     0,
       0,     0,     0,   652,     0,     0,     0,     0,  1819,     0,
       0,  1594,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   911,     0,   649,     0,   971,     0,     0,
       0,     0,     0,     0,   652,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   911,
       0,     0,     0,     0,  1397,     0,     0,     0,     0,  2634,
       0,     0,     0,     0,  2635,     0,     0,     0,   902,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     914,     0,   914,     0,     0,     0,     0,  2636,  2302,   913,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     913,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   971,     0,  2637,   913,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2108,     0,     0,  2109,
       0,     0,     0,  2110,  2111,  2112,     0,     0,     0,   652,
       0,  1397,     0,     0,     0,     0,     0,     0,     0,   652,
       0,  2630,   652,     0,     0,   652,   652,   652,  2369,     0,
       0,  2631,     0,  5932,     0,  1397,     0,     0,  2632,     0,
     913,     0,     0,  2638,     0,     0,  2639,     0,     0,     0,
     652,   652,     0,     0,   652,   913,     0,     0,   913,   913,
       0,   649,   911,     0,  2633,     0,     0,     0,     0,     0,
       0,   652,     0,     0,     0,   652,     0,     0,     0,     0,
       0,   652,     0,     0,     0,   652,     0,     0,     0,   913,
     913,   914,   652,     0,     0,     0,     0,     0,     0,  3806,
       0,   902,     0,  3810,     0,   652,     0,     0,   652,     0,
       0,     0,   902,   971,     0,   971,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   902,     0,
       0,     0,     0,     0,     0,     0,     0,   652,     0,  2640,
    3843,     0,  3843,     0,  3843,  3843,     0,     0,     0,  3843,
    3843,  3843,     0,  3843,  3843,  3843,     0,     0,     0,     0,
       0,  1576,     0,     0,   914,   971,     0,  1577,     0,     0,
     649,     0,     0,     0,     0,   652,     0,     0,     0,     0,
       0,     0,  2634,     0,     0,     0,     0,  2635,     0,  1734,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1734,   904,     0,  1734,  3920,     0,     0,
    2636,  2302,  1579,     0,     0,  1819,     0,     0,     0,     0,
     652,     0,     0,     0,     0,   911,     0,     0,     0,     0,
       0,   913,  3948,     0,     0,     0,   911,     0,  2637,     0,
       0,     0,     0,     0,     0,  2568,     0,     0,     0,     0,
       0,     0,   911,     0,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,  2576,  2577,     0,     0,     0,     0,  5229,     0,  1580,
       0,     0,     0,     0,     0,     0,  1581,   649,     0,     0,
    1582,  2369,     0,   652,     0,   902,   914,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2638,     0,     0,  2639,
       0,     0,     0,     0,     0,     0,     0,     0,  1583,     0,
       0,     0,     0,     0,     0,     0,     0,   652,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   652,     0,     0,     0,   652,     0,
     652,     0,     0,     0,  1584,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   652,     0,     0,     0,     0,     0,
       0,     0,   652,     0,     0,   652,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   652,     0,  1576,   658,
       0,   961,     0,   652,  1577,   707,   658,     0,     0,     0,
       0,   759,  2640,   658,     0,     0,     0,     0,     0,   658,
       0,   812,     0,     0,     0,     0,     0,     0,  1576,   911,
       0,     0,     0,     0,  1577,     0,     0,     0,     0,     0,
     874,   874,     0,     0,  1687,     0,     0,     0,  1586,  1579,
       0,     0,     0,   652,     0,     0,     0,     0,  1587,   914,
       0,     0,   649,     0,   914,   914,     0,     0,  1588,   652,
     961,   961,     0,     0,     0,   652,   652,   971,     0,  1579,
    1589,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   971,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1580,     0,     0,     0,
       0,   652,     0,  1581,     0,     0,     0,  1582,  2568,     0,
     652,     0,  3818,  1819,     0,  1591,  1592,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,  2576,  2577,  1580,     0,     0,     0,
    5266,     0,     0,  1581,     0,  1583,     0,  1582,   652,     0,
       0,     0,     0,     0,     0,     0,     0,  3819,     0,     0,
    1141,     0,     0,     0,     0,     0,   902,     0,     0,     0,
       0,     0,     0,   649,     0,  1583,     0,   914,   914,   649,
       0,  1584,     0,     0,     0,     0,     0,     0,     0,  2609,
       0,   953,     0,     0,     0,   957,     0,  6328,     0,     0,
       0,   652,  1819,  1000,     0,     0,  1002,     0,     0,  1007,
    1008,  1584,  1011,   652,  1014,     0,     0,  1020,     0,  1022,
       0,     0,   652,   652,   652,     0,     0,     0,     0,     0,
    1594,     0,     0,   902,     0,     0,     0,   652,  1819,     0,
       0,   914,     0,     0,     0,     0,   652,     0,   652,     0,
     652,     0,     0,     0,     0,     0,     0,   652,     0,     0,
       0,  1687,     0,     0,   652,  1586,     0,     0,     0,     0,
       0,     0,     0,     0,   902,  1587,     0,     0,     0,  6376,
       0,     0,     0,     0,   652,  1588,     0,     0,     0,     0,
     911,  1687,     0,     0,     0,  1586,     0,  1589,     0,     0,
       0,     0,     0,     0,   649,  1587,     0,   902,     0,  1819,
       0,     0,   971,     0,     0,  1588,     0,  1141,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1589,     0,     0,
       0,     0,     0,     0,  1734,     0,     0,     0,     0,  4335,
       0,     0,  1591,  1592,     0,     0,     0,     0,     0,     0,
       0,     0,  6376,     0,     0,     0,     0,   911,     0,     0,
       0,     0,     0,     0,   652,     0,     0,     0,  6442,  4407,
       0,     0,  1591,  1592,  4336,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   961,   961,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   911,  2108,
       0,     0,  2109,     0,  4408,  4395,  2110,  2111,  2112,     0,
       0,     0,     0,     0,     0,   652,     0,     0,     0,     0,
    2108,     0,     0,  2109,  2630,     0,     0,  2110,  2111,  2112,
     652,   911,     0,     0,  2631,     0,     0,     0,     0,     0,
     652,  2632,     0,     0,     0,  2630,     0,  1594,     0,     0,
       0,     0,     0,     0,   971,  2631,     0,     0,     0,   905,
       0,     0,  2632,  4444,     0,     0,     0,  2633,   652,     0,
       0,  3538,     0,     0,     0,  2739,  3544,  1594,   971,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2633,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   904,     0,
       0,   902,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   902,     0,     0,     0,     0,     0,     0,   652,
       0,     0,     0,     0,   904,     0,     0,     0,   902,   652,
     913,     0,     0,  4487,     0,     0,   913,   652,   652,     0,
       0,     0,     0,   652,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   652,   652,     0,     0,   652,     0,
       0,  3843,   902,     0,   913,  2634,     0,     0,     0,     0,
    2635,     0,     0,  4518,  4518,     0,     0,   902,     0,     0,
     902,   902,     0,  4534,     0,     0,  2634,     0,  1141,     0,
    1141,  2635,     0,  2636,  2302,     0,   971,     0,     0,     0,
       0,     0,  1576,     0,     0,   911,     0,     0,  1577,     0,
       0,   902,   902,     0,  2636,  2302,   911,     0,     0,     0,
     652,  2637,     0,     0,     0,     0,   652,     0,     0,     0,
       0,     0,   911,     0,  1050,     0,  4589,     0,     0,     0,
       0,     0,  2637,     0,   652,  1087,     0,   904,     0,  1091,
       0,   652,     0,  1579,     0,     0,  1104,  1105,     0,     0,
    1111,     0,  1115,  1116,  2369,     0,     0,   652,     0,     0,
       0,  4625,  1141,     0,     0,     0,     0,  1138,     0,  2638,
       0,     0,  2639,     0,     0,  2369,   911,     0,   652,     0,
       0,     0,     0,     0,     0,  1151,     0,     0,     0,     0,
    2638,   911,     0,  2639,   911,   911,     0,     0,     0,     0,
    1580,     0,     0,     0,     0,     0,  1179,  1581,  1181,     0,
       0,  1582,     0,     0,     0,     0,   652,     0,  1197,     0,
       0,   914,     0,     0,     0,   911,   911,   652,     0,     0,
       0,     0,  1734,     0,     0,     0,     0,     0,     0,  1583,
       0,   652,     0,   902,     0,     0,     0,     0,  1819,     0,
       0,   658,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   913,  2640,     0,     0,     0,     0,
       0,  2108,     0,     0,  2109,  1584,     0,     0,  2110,  2111,
    2112,     0,     0,     0,     0,     0,  2640,     0,   652,   652,
       0,     0,     0,     0,     0,     0,  2630,     0,     0,     0,
     904,     0,     0,     0,     0,   652,  2631,     0,     0,  1819,
       0,   904,     0,  2632,     0,     0,     0,     0,     0,     0,
       0,     0,   652,   652,     0,     0,     0,   904,     0,     0,
       0,     0,   874,     0,  1819,     0,     0,  2739,     0,  2633,
       0,  2739,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1687,     0,     0,     0,  1586,
       0,     0,     0,     0,     0,  4781,     0,   911,     0,  1587,
       0,  2568,     0,     0,     0,     0,     0,     0,     0,  1588,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,
       0,  1589,  2568,  5270,     0,     0,     0,     0,     0,     0,
       0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,
       0,     0,     0,     0,  5543,     0,     0,  1537,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1591,  1592,     0,     0,
    2108,     0,     0,  2109,   913,     0,     0,  2110,  2111,  2112,
       0,     0,     0,     0,     0,     0,     0,  2634,     0,   913,
       0,     0,  2635,     0,   913,  2630,     0,     0,  1593,     0,
       0,     0,     0,     0,     0,  2631,     0,     0,     0,     0,
       0,     0,  2632,     0,   904,  2636,  2302,     0,     0,     0,
       0,  1718,     0,     0,   913,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2633,     0,
       0,     0,     0,  2637,     0,     0,  1839,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1851,     0,  1852,     0,     0,     0,     0,     0,     0,
       0,  1594,     0,  1855,     0,     0,     0,     0,     0,     0,
    1865,     0,     0,     0,     0,     0,  2369,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2638,     0,     0,  2639,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1917,     0,  1919,     0,     0,     0,     0,
    4534,     0,     0,   905,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2634,     0,  4989,   905,
       0,  2635,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5003,     0,     0,  5004,     0,  5005,     0,
       0,     0,     0,     0,  2636,  2302,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2640,     0,   658,
       0,   658,     0,   658,     0,   658,     0,   658,   658,   658,
       0,     0,  2637,     0,   658,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5045,     0,  2023,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3843,     0,     0,     0,     0,  3843,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2369,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2638,     0,     0,  2639,     0,   904,     0,     0,     0,  2739,
       0,     0,  3544,     0,  3544,     0,     0,     0,     0,  2739,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   905,  2568,     0,     0,     0,     0,     0,     0,
       0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,     0,     0,     0,     0,  5554,     0,     0,     0,     0,
       0,   913,     0,     0,     0,     0,     0,     0,     0,   913,
       0,     0,   904,     0,  5150,     0,     0,  4534,     0,     0,
       0,     0,  1576,     0,     0,     0,     0,     0,  1577,     0,
       0,     0,     0,     0,  2739,  1643,  2640,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   904,     0,     0,     0,  1644,     0,     0,
       0,     0,     0,   902,     0,     0,     0,   902,   902,     0,
       0,     0,     0,  1579,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   874,     0,   904,     0,     0,     0,
       0,     0,     0,  5199,  5199,  5199,  5199,     0,  5199,  5199,
    5199,  5199,  5199,     0,     0,     0,     0,     0,     0,  1645,
       0,     0,     0,     0,   913,     0,   913,     0,     0,     0,
       0,     0,   902,     0,     0,     0,     0,     0,   902,     0,
    1580,     0,     0,     0,     0,   905,     0,  1581,     0,     0,
       0,  1582,  2568,     0,     0,     0,   905,     0,     0,     0,
       0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,
       0,     0,   905,     0,  5564,     0,     0,     0,     0,  1583,
       0,     0,     0,     0,     0,     0,   902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   911,     0,     0,
       0,   911,   911,     0,     0,     0,     0,     0,     0,     0,
       0,  1646,     0,     0,  2797,  1584,  -136,     0,     0,     0,
       0,     0,   913,     0,     0,     0,  5278,     0,  5280,     0,
       0,     0,     0,     0,     0,     0,     1,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     2,   907,     3,
       4,  1734,     0,     0,     0,     0,   911,  1734,     0,     0,
     908,     0,   911,     0,     0,     0,   913,     5,     0,  1647,
       0,     0,     0,     0,  1648,     0,     0,     6,     0,  1649,
       0,     0,     0,     0,     0,     0,  2896,     0,     0,     7,
     904,     8,     9,     0,  3544,  1650,     0,     0,    10,  1586,
      11,   904,     0,     0,     0,     0,     0,     0,     0,  1587,
     911,     0,     0,    12,     0,    13,     0,   904,     0,  1588,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   905,
    1651,  1589,    14,     0,     0,    15,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      16,     0,    17,     0,     0,     0,    18,     0,     0,     0,
       0,     0,   913,    19,     0,     0,     0,     0,     0,     0,
       0,   904,    20,  3744,    21,     0,  1591,  1592,  1653,     0,
       0,    22,     0,     0,  3544,     0,   904,     0,     0,   904,
     904,     0,     0,     0,     0,     0,   902,     0,     0,    23,
       0,     0,  1654,     0,     0,     0,   913,     0,  3745,     0,
       0,     0,     0,     0,     0,     0,    24,     0,     0,     0,
     904,   904,     0,  1656,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5414,  5415,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3843,     0,  3843,  3843,  3843,   902,
      25,    26,     0,   902,  1657,     0,    27,     0,     0,     0,
       0,  1594,     0,     0,     0,     0,     0,     0,   913,     0,
       0,    28,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3027,     0,     0,     0,     0,     0,
      29,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     911,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5468,     0,     0,     0,     0,     0,     0,  3063,
     913,     0,     0,     0,     0,     0,   910,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    30,     0,
       0,     0,   904,     0,     0,   913,     0,     0,     0,     0,
       0,  5496,     0,    31,     0,     0,   902,     0,    32,    33,
       0,    34,     0,     0,     0,  3128,    35,     0,     0,     0,
     905,   902,    36,   911,     0,    37,   902,   911,     0,     0,
       0,     0,    38,     0,  2108,  3146,     0,  2109,     0,    39,
      40,  2110,  2111,  2112,  5199,     0,     0,    41,     0,     0,
       0,    42,     0,     0,     0,     0,   902,     0,     0,  2630,
       0,  3166,    43,  3167,     0,     0,     0,     0,     0,  2631,
       0,     0,     0,     0,     0,     0,  2632,     0,  3176,    44,
    3177,     0,     0,     0,     0,     0,   658,   905,   658,     0,
     658,     0,   658,     0,   658,     0,     0,     0,   658,     0,
      45,     0,  2633,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    46,     0,     0,     0,     0,     0,    47,     0,
       0,     0,     0,    48,     0,     0,     0,     0,   905,     0,
     911,     0,     0,     0,     0,  3236,    49,     0,     0,     0,
       0,     0,     0,     0,     0,   911,     0,     0,     0,     0,
     911,     0,     0,     0,     0,     0,  2739,     0,     0,     0,
      50,   905,    51,    52,    53,    54,    55,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    56,
     911,     0,  -136,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4534,     0,     0,     0,
    2634,     0,     0,     0,     0,  2635,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   719,
       0,     0,     0,     0,  2786,     0,     0,     0,  2636,  2302,
       0,  3544,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3843,     0,     0,     0,     0,     0,     0,     0,
       0,  5695,     0,     0,     0,     0,  2637,     0,     0,  3544,
       0,     0,  2787,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2108,     0,   722,  2109,     0,     0,     0,
    2110,  2111,  2112,     0,     0,     0,     0,     0,     0,     0,
       0,   902,   723,     0,   902,     0,   902,     0,  2630,  2369,
       0,   902,     0,     0,     0,     0,     0,     0,  2631,     0,
    1056,     0,     0,     0,  2638,  2632,     0,  2639,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   907,     0,  2788,   905,     0,     0,     0,     0,
       0,  2633,     0,   902,   908,     0,   905,   726,     0,     0,
       0,   902,     0,     0,     0,     0,   727,     0,   907,     0,
       0,     0,   905,     0,     0,     0,     0,     0,     0,   728,
     908,     0,     0,     0,     0,  2789,   902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   912,     0,     0,     0,     0,     0,     0,     0,
       0,   913,  1059,     0,     0,     0,     0,     0,     0,     0,
    2640,     0,     0,     0,     0,   911,   905,     0,   911,     0,
     911,     0,     0,     0,     0,   911,     0,     0,     0,     0,
       0,   905,     0,     0,   905,   905,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3544,     0,
       0,     0,     0,  2739,     0,     0,   902,     0,   902,  2634,
       0,     0,   732,     0,  2635,   905,   905,   911,     0,     0,
       0,     0,     0,     0,     0,   911,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2636,  2302,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     911,   907,     0,  1141,     0,     0,  2790,  5908,     0,     0,
       0,     0,     0,   908,     0,  2637,  2568,     0,     0,     0,
       0,     0,     0,     0,     0,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,     0,     0,     0,     0,  5626,     0,
       0,     0,     0,   213,  2791,     0,     0,   737,     0,     0,
       0,     0,     0,     0,   902,     0,     0,     0,  2369,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2638,  1063,     0,  2639,  2792,     0,     0,
     911,     0,   911,     0,   741,     0,     0,     0,     0,     0,
       0,   742,   904,     0,   743,     0,   904,   904,   902,     0,
       0,     0,     0,     0,     0,     0,     0,   905,     0,     0,
       0,   913,     0,     0,   744,     0,     0,     0,     0,     0,
       0,     0,  1065,     0,     0,     0,   902,     0,     0,   746,
     910,     0,  1066,     0,     0,     0,     0,   748,     0,     0,
       0,     0,     0,     0,     0,  2793,     0,     0,     0,     0,
       0,   904,  2794,     0,     0,     0,   910,   904,     0,     0,
       0,     0,     0,     0,   907,     0,     0,     0,     0,  2640,
       0,     0,     0,     0,     0,   907,   908,     0,   911,   753,
       0,     0,     0,     0,     0,     0,     0,   908,     0,     0,
       0,   907,     0,     0,   902,     0,     0,     0,     0,     0,
       0,     0,     0,   908,     0,   904,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   902,     0,     0,     0,
       0,     0,   911,     0,  1141,     0,   913,     0,  6076,     0,
    6077,     0,     0,     0,  6083,  6084,     0,     0,   902,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     911,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2568,     0,     0,     0,     0,
     913,     0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,  2576,  2577,     0,     0,     0,     0,  5659,     0,   910,
       0,     0,   913,     0,  3534,  3535,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   911,     0,
     902,     0,     0,  3550,  3551,     0,  3553,  3554,     0,     0,
       0,  3557,  3558,     0,     0,     0,     0,     0,     0,     0,
     911,     0,     0,     0,     0,     0,  3569,     0,   907,     0,
    3572,     0,     0,     0,  3575,  3576,     0,     0,  3579,  3580,
     908,     0,   911,     0,     0,  3585,     0,     0,     0,     0,
       0,     0,   902,     0,   913,     0,     0,  3600,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3617,
       0,     0,     0,     0,  3619,     0,     0,   902,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3625,
       0,     0,     0,  3631,     0,   904,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3642,     0,     0,  3646,     0,
    3648,  3651,  3653,     0,     0,     0,     0,  3661,  3664,     0,
       0,     0,     0,     0,   911,     0,     0,  3677,     0,     0,
       0,     0,     0,  3687,     0,     0,     0,  3690,     0,     0,
       0,     0,   910,     0,     0,     0,     0,     0,     0,  3700,
    3701,     0,     0,   910,  3706,     0,     0,     0,     0,     0,
    3715,  3716,     0,     0,     0,     0,     0,     0,   904,   910,
       0,     0,   904,  5500,  3725,   913,   911,  3726,     0,     0,
       0,     0,     0,     0,  3738,  3739,     0,     0,     0,     0,
    3743,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   911,  3750,     0,     0,  3753,     0,     0,  1141,     0,
    3756,     0,     0,     0,     0,     0,  3759,  3760,     0,     0,
       0,     0,     0,     0,  3768,     0,     0,     0,  3770,     0,
       0,     0,  3777,  3778,  3779,  3780,     0,  3782,   902,     0,
       0,     0,     0,     0,     0,     0,   912,     0,     0,     0,
       0,  3808,  3809,     0,  3811,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3821,  3822,  3823,     0,     0,
       0,     0,   912,     0,  2108,   904,     0,  2109,     0,     0,
       0,  2110,  2111,  2112,     0,     0,     0,     0,     0,   907,
     904,     0,     0,     0,     0,   904,     0,     0,     0,  2630,
       0,   908,     0,     0,     0,     0,     0,     0,     0,  2631,
       0,     0,     0,     0,   913,     0,  2632,     0,     0,     0,
       0,     0,  3875,     0,     0,   904,   910,     0,     0,     0,
    3899,     0,     0,   902,     0,     0,     0,     0,     0,     0,
       0,     0,  2633,     0,     0,     0,     0,     0,     0,  3911,
       0,     0,     0,     0,     0,     0,   907,     0,     0,     0,
       0,   902,   911,     0,     0,     0,     0,     0,   908,     0,
    6407,     0,     0,     0,     0,     0,     0,  2593,     0,     0,
       0,  6411,     0,     0,     0,     0,     0,  3544,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   907,     0,  3979,
       0,     0,     0,     0,     0,     0,     0,   905,     0,   908,
       0,   905,   905,     0,     0,   912,     0,  6437,  3993,     0,
    3995,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     907,  6407,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   908,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6407,   911,     0,  5278,
    2634,     0,     0,     0,     0,  2635,   905,     0,     0,     0,
       0,     0,   905,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   911,     0,     0,  2636,  2302,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   902,     0,     0,     0,     0,     0,  3544,
       0,     0,     0,     0,     0,  4057,  2637,     0,     0,     0,
     905,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     902,     0,     0,     0,     0,   902,     0,  2108,     0,  2369,
    2109,     0,     0,     0,  2110,  2111,  2112,     0,     0,     0,
       0,     0,     0,     0,  2638,     0,     0,  2639,   912,     0,
     904,     0,  2630,   904,     0,   904,     0,   910,     0,   912,
     904,     0,  2631,     0,     0,     0,     0,     0,     0,  2632,
       0,     0,     0,     0,     0,   912,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   907,  2633,     0,   911,     0,     0,
       0,     0,   904,     0,     0,   907,   908,     0,     0,     0,
     904,  2108,     0,     0,  2109,     0,     0,   908,  2110,  2111,
    2112,   907,     0,     0,   910,     0,     0,     0,     0,     0,
       0,     0,   913,   908,     0,   904,  2630,   913,   913,     0,
    2640,     0,     0,     0,   911,     0,  2631,     0,     0,   911,
       0,     0,     0,  2632,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   910,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   907,     0,     0,     0,  2633,
       0,     0,     0,   902,     0,     0,     0,   908,     0,     0,
     907,     0,     0,   907,   907,     0,     0,     0,   910,     0,
     905,     0,   908,     0,     0,   908,   908,     0,     0,     0,
       0,     0,     0,  2634,     0,   904,     0,   904,  2635,     0,
       0,     0,     0,     0,   907,   907,     0,     0,     0,     0,
       0,     0,   912,     0,     0,     0,   908,   908,     0,     0,
       0,  2636,  2302,     0,     0,     0,  2568,     0,     0,     0,
    5500,   913,     0,     0,     0,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,     0,     0,     0,     0,  5661,  2637,
       0,     0,     0,   905,     0,     0,     0,   905,     0,     0,
       0,     0,     0,     0,     0,     0,  2108,     0,     0,  2109,
       0,     0,     0,  2110,  2111,  2112,     0,  2634,   902,     0,
       0,     0,  2635,     0,     0,     0,     0,   911,     0,     0,
       0,  2630,  2369,   904,   913,  4320,     0,     0,     0,     0,
       0,  2631,     0,     0,     0,  2636,  2302,  2638,  2632,     0,
    2639,     0,  4327,     0,     0,     0,  4327,     0,     0,     0,
       0,  4338,  4339,  4340,     0,     0,     0,     0,     0,     0,
       0,     0,   902,  2637,  2633,     0,     0,   904,     0,     0,
       0,     0,     0,  4352,     0,     0,   907,     0,     0,     0,
       0,     0,     0,     0,   902,     0,     0,     0,   908,     0,
     905,     0,     0,     0,     0,   904,     0,  4382,  4383,  4384,
    4385,     0,   910,     0,     0,   905,  2369,     0,     0,     0,
     905,     0,     0,   910,     0,     0,     0,     0,     0,     0,
       0,  2638,     0,     0,  2639,     0,     0,     0,     0,   910,
       0,     0,   911,  2640,     0,  4406,     0,  4410,  4411,  4412,
     905,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   902,     0,     0,     0,
       0,     0,     0,   904,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2634,   910,     0,   904,   911,  2635,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   910,     0,
       0,   910,   910,   912,     0,     0,     0,   904,   911,     0,
    2636,  2302,     0,     0,     0,     0,     0,  2640,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   910,   910,     0,     0,     0,     0,  2637,  2568,
       0,     0,     0,     0,     0,     0,     0,     0,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,  2576,  2577,  4495,     0,     0,
       0,  5700,     0,     0,     0,     0,  4501,     0,     0,     0,
     912,     0,     0,     0,     0,     0,     0,   902,     0,     0,
     911,  2369,     0,     0,     0,     0,     0,     0,     0,   904,
       0,     0,  4511,  4512,     0,     0,  2638,  4513,     0,  2639,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   912,     0,     0,     0,     0,     0,     0,     0,  4555,
       0,     0,     0,  2568,     0,     0,     0,     0,     0,     0,
       0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,   904,     0,     0,   912,  6056,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   904,     0,     0,     0,
       0,  4592,     0,     0,   910,     0,  4598,     0,     0,     0,
       0,     0,  4604,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2640,     0,     0,   905,     0,     0,   905,     0,
     905,   911,     0,     0,     0,   905,     0,     0,     0,     0,
       0,     0,  4643,     0,     0,     0,   902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4658,     0,  4659,     0,     0,     0,   905,     0,     0,
       0,     0,     0,     0,     0,   905,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     905,     0,     0,     0,     0,     0,     0,     0,     0,   902,
       0,     0,     0,     0,     0,     0,     0,     0,  2568,     0,
       0,     0,     0,     0,     0,     0,     0,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,  2576,  2577,     0,     0,     0,     0,
    6064,     0,     0,     0,     0,     0,     0,   904,     0,     0,
       0,     0,     0,     0,   913,     0,     0,     0,   912,     0,
     911,     0,     0,     0,     0,     0,     0,     0,     0,   912,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     905,  2108,   905,     0,  2109,   912,     0,     0,  2110,  2111,
    2112,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2630,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2631,     0,     0,     0,
       0,  1734,     0,  2632,     0,     0,     0,     0,     0,     0,
       0,   902,     0,   911,     0,     0,     0,     0,     0,   912,
       0,     0,   904,     0,     0,     0,     0,     0,     0,  2633,
       0,     0,     0,     0,   912,     0,     0,   912,   912,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     904,     0,     0,     0,     0,     0,     0,     0,   905,     0,
       0,     0,     0,     0,  2108,     0,     0,  2109,   912,   912,
       0,  2110,  2111,  2112,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2630,
       0,     0,     0,     0,     0,     0,   907,     0,     0,  2631,
     907,   907,   905,     0,     0,     0,  2632,     0,   908,     0,
       0,     0,   908,   908,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     905,     0,  2633,     0,     0,   911,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2634,     0,     0,
       0,     0,  2635,     0,     0,   907,     0,  4892,     0,  4893,
       0,   907,     0,     0,   902,     0,     0,   908,     0,   902,
     902,     0,  4900,   908,     0,  2636,  2302,     0,     0,     0,
       0,     0,     0,     0,  4906,     0,     0,     0,  4909,     0,
       0,     0,   904,     0,     0,     0,     0,     0,   905,     0,
    4923,     0,     0,  2637,     0,     0,     0,     0,     0,   907,
     912,     0,     0,     0,     0,     0,     0,     0,     0,  4949,
     905,   908,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4953,     0,   904,
       0,     0,   905,     0,   904,  4957,  2369,     0,     0,     0,
    2634,     0,     0,     0,     0,  2635,     0,     0,     0,     0,
       0,  2638,     0,     0,  2639,     0,     0,     0,     0,     0,
    4992,     0,     0,     0,  4996,     0,     0,     0,  2636,  2302,
       0,     0,     0,   902,     0,     0,     0,     0,   911,  5006,
    5007,  5008,  5009,   911,   911,     0,     0,     0,     0,  5013,
    5014,  5015,  5016,     0,     0,     0,  2637,     0,  5018,  5019,
       0,     0,     0,     0,  5026,  5027,     0,  5029,  5030,  5031,
    5032,  5033,  5034,  5035,   905,     0,     0,  2108,     0,     0,
    2109,     0,     0,  5044,  2110,  2111,  2112,  5047,  5048,  5049,
    5050,     0,     0,     0,     0,     0,   902,     0,     0,  2369,
       0,     0,  2630,     0,     0,     0,     0,  2640,     0,     0,
       0,  4327,  2631,     0,  2638,     0,     0,  2639,     0,  2632,
       0,     0,     0,     0,     0,     0,   905,     0,     0,  5070,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   910,  2633,     0,     0,   910,   910,
       0,   905,   904,     0,     0,     0,     0,   911,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   907,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   908,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   910,     0,  5151,     0,     0,     0,   910,
    2640,     0,     0,  2568,     0,     0,     0,     0,     0,     0,
     911,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,     0,     0,     0,     0,  6086,     0,     0,  4327,     0,
       0,     0,   907,     0,     0,  5176,   907,  5177,     0,     0,
       0,     0,     0,     0,   908,     0,     0,   910,   908,     0,
       0,     0,     0,  2634,     0,     0,     0,   904,  2635,     0,
       0,     0,     0,     0,     0,  5192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2636,  2302,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   905,     0,     0,     0,  2568,     0,     0,  2637,
       0,   904,     0,     0,     0,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,     0,     0,     0,     0,  6310,     0,
       0,     0,     0,   904,     0,     0,     0,     0,     0,   907,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   908,  2369,     0,   907,     0,     0,     0,     0,   907,
       0,     0,     0,     0,     0,     0,   908,  2638,     0,     0,
    2639,   908,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2108,     0,     0,  2109,   907,
       0,     0,  2110,  2111,  2112,     0,     0,   905,     0,     0,
       0,   908,     0,     0,     0,   904,     0,     0,     0,     0,
    2630,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2631,     0,     0,     0,     0,   905,     0,  2632,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2633,     0,     0,     0,   910,     0,     0,
       0,     0,     0,  2640,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5335,  5336,  5337,     0,
       0,     0,  5338,  5339,  5340,  5341,     0,     0,     0,  5343,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   904,     0,     0,     0,
     910,     0,     0,     0,   910,     0,     0,     0,     0,     0,
       0,  5378,  5379,  5380,  5381,  5382,     0,  5384,  5385,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5394,
    5395,     0,     0,     0,     0,     0,     0,   905,     0,  2568,
     912,  2634,     0,     0,   912,   912,  2635,     0,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,     0,     0,
       0,  6327,     0,  5401,     0,     0,   902,     0,     0,  2636,
    2302,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   905,     0,     0,     0,     0,   905,
       0,     0,     0,     0,     0,     0,     0,  2637,     0,   912,
       0,     0,     0,  2108,     0,   912,  2109,   910,     0,     0,
    2110,  2111,  2112,     0,   907,     0,     0,   907,     0,   907,
       0,     0,   910,     0,   907,     0,   908,   910,  2630,   908,
       0,   908,     0,     0,  2108,   904,   908,  2109,  2631,     0,
    2369,  2110,  2111,  2112,     0,  2632,     0,     0,     0,     0,
       0,     0,     0,   912,     0,  2638,     0,   910,  2639,  2630,
       0,     0,     0,  3489,     0,  5466,   907,     0,     0,  2631,
       0,  2633,     0,     0,   907,     0,  2632,     0,   908,     0,
       0,     0,     0,     0,     0,     0,   908,     0,     0,     0,
     911,     0,     0,     0,     0,     0,     0,     0,     0,   907,
       0,     0,  2633,     0,     0,   963,   973,     0,   904,     0,
       0,   908,     0,   963,     0,   973,   963,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   973,
    5517,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   905,     0,     0,
       0,  2640,     0,     0,  3490,     0,     0,     0,     0,     0,
       0,     0,  5523,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   907,
       0,   907,     0,     0,     0,     0,     0,     0,     0,  2634,
       0,   908,     0,   908,  2635,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2636,  2302,     0,
    2634,     0,     0,     0,     0,  2635,     0,     0,     0,     0,
     904,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2637,     0,     0,  2636,  2302,
       0,     0,     0,     0,     0,     0,     0,  2568,     0,     0,
     658,     0,   905,   912,     0,     0,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,  2576,  2577,     0,  2637,   907,     0,  6386,
       0,     0,     0,     0,     0,     0,     0,     0,  2369,   908,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2638,     0,     0,  2639,     0,     0,     0,
       0,     0,   910,     0,     0,   910,   905,   910,     0,  2369,
       0,   907,   910,     0,     0,     0,     0,     0,  5648,     0,
       0,     0,     0,   908,  2638,     0,   912,  2639,   905,     0,
     912,     0,     0,     0,     0,     0,     0,  5658,     0,   907,
       0,     0,     0,  5664,  5665,     0,     0,     0,     0,     0,
       0,   908,     0,  5676,   910,     0,     0,     0,     0,     0,
    5678,     0,   910,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   904,     0,     0,     0,     0,   904,   904,
       0,     0,     0,     0,     0,     0,     0,   910,     0,  2640,
       0,     0,     0,     0,     0,     0,     0,  5731,  5732,     0,
     905,     0,     0,     0,     0,     0,     0,   907,     0,     0,
    5740,     0,  5742,     0,     0,     0,     0,     0,     0,   908,
    2640,     0,     0,     0,     0,     0,     0,  5756,     0,   907,
       0,     0,     0,   912,     0,     0,     0,     0,     0,     0,
       0,   908,     0,   976,     0,     0,     0,     0,   912,     0,
       0,   907,  4327,   912,     0,  1010,     0,     0,     0,     0,
    5790,     0,     0,   908,     0,     0,  1029,   910,     0,   910,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   912,     0,  3491,     0,     0,     0,     0,
       0,     0,   904,     0,     0,  2568,     0,     0,     0,     0,
       0,     0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,  2576,  2577,     0,     0,  3023,     0,     0,     0,     0,
       0,   905,     0,     0,     0,     0,  2568,     0,     0,     0,
       0,     0,     0,   907,     0,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,     0,   908,     0,     0,     0,     0,
    5846,   973,     0,     0,     0,   904,     0,     0,     0,     0,
       0,     0,     0,     0,  5861,   910,     0,     0,     0,     0,
     973,     0,     0,     0,     0,     0,   973,     0,     0,     0,
       0,     0,     0,     0,     0,   907,     0,     0,   973,     0,
    5879,  2108,     0,     0,  2109,     0,     0,   908,  2110,  2111,
    2112,     0,     0,     0,   973,     0,     0,     0,     0,   910,
     907,     0,     0,     0,     0,     0,  2630,     0,   963,   973,
       0,     0,   908,     0,     0,   963,  2631,   973,   963,     0,
       0,     0,     0,  2632,     0,     0,     0,   910,     0,     0,
       0,   973,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   973,     0,     0,  2108,     0,     0,  2109,  5938,  2633,
     905,  2110,  2111,  2112,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2630,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2631,
       0,     0,     0,     0,     0,     0,  2632,     0,     0,     0,
       0,     0,     0,     0,   973,   910,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2633,     0,     0,     0,     0,   910,  4327,     0,
       0,     0,   973,   905,     0,     0,     0,     0,   912,     0,
       0,   912,     0,   912,     0,     0,     0,     0,   912,   910,
       0,     0,     0,     0,     0,     0,     0,   973,     0,     0,
       0,     0,  6018,     0,     0,     0,     0,     0,     0,     0,
       0,   907,     0,     0,     0,     0,     0,  2634,     0,     0,
       0,     0,  2635,   908,     0,     0,     0,     0,     0,     0,
     912,     0,     0,     0,     0,     0,     0,     0,   912,     0,
       0,     0,     0,  6046,     0,  2636,  2302,     0,     0,     0,
       0,     0,     0,     0,     0,  4138,     0,     0,     0,   973,
       0,  4139,     0,   912,     0,     0,     0,     0,  6065,     0,
       0,   910,     0,  2637,     0,     0,     0,     0,     0,     0,
    2634,     0,     0,     0,     0,  2635,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   905,     0,     0,     0,     0,
       0,     0,   972,     0,     0,     0,   907,     0,  2636,  2302,
       0,   972,     0,     0,     0,     0,  2369,     0,   908,     0,
       0,     0,     0,   910,     0,   972,     0,  6104,     0,     0,
       0,  2638,     0,     0,   907,     0,  2637,     0,  1049,     0,
       0,     0,     0,   912,  1081,   912,   908,     0,   910,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1821,
       0,     0,     0,     0,     0,     0,   973,     0,     0,  2369,
       0,     0,     0,     0,     0,     0,     0,   963,     0,     0,
       0,   963,     0,   963,  2638,     0,     0,  2639,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2108,
       0,     0,  2109,     0,     0,     0,  2110,  2111,  2112,     0,
       0,     0,     0,     0,     0,     0,     0,  2640,     0,     0,
       0,     0,     0,     0,  2630,     0,     0,     0,     0,  6199,
       0,   912,     0,     0,  2631,     0,     0,     0,   905,     0,
       0,  2632,     0,   905,   905,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2108,     0,     0,  2109,  6212,     0,
       0,  2110,  2111,  2112,     0,     0,   907,  2633,     0,  6222,
       0,     0,     0,     0,     0,   912,     0,     0,   908,  2630,
    4140,     0,  4066,     0,     0,     0,     0,     0,     0,  2631,
     973,     0,     0,     0,     0,   904,  2632,     0,     0,   910,
       0,     0,     0,   912,     0,  1390,     0,     0,     0,     0,
       0,     0,     0,   907,     0,     0,     0,     0,   907,     0,
       0,     0,  2633,  2568,  1413,   908,     0,     0,     0,     0,
     908,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   973,     0,     0,     0,     0,     0,   905,     0,     0,
       0,     0,   973,     0,     0,     0,     0,     0,     0,     0,
       0,   912,     0,     0,     0,     0,     0,     0,     0,   973,
       0,     0,     0,     0,   973,  2634,  2568,     0,     0,     0,
    2635,     0,  6304,   912,   910,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2636,  2302,   912,     0,     0,     0,     0,
     905,     0,   910,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2634,  2637,     0,  1607,     0,  2635,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2636,  2302,
       0,     0,     0,     0,     0,     0,   907,     0,  2108,     0,
       0,  2109,     0,     0,  2369,  2110,  2111,  2112,   908,     0,
       0,     0,     0,     0,     0,     0,  2637,   912,     0,  2638,
       0,     0,  2639,  2630,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2631,     0,     0,     0,   973,     0,     0,
    2632,     0,     0,     0,     0,   973,   973,     0,     0,     0,
    4772,     0,     0,     0,     0,     0,     0,     0,     0,  2369,
       0,     0,     0,     0,     0,     0,  2633,   972,     0,   912,
       0,     0,     0,     0,  2638,     0,     0,  2639,  1870,     0,
       0,     0,     0,     0,   910,     0,   972,     0,     0,     0,
       0,     0,   972,     0,   912,     0,     0,     0,  1821,     0,
       0,     0,     0,     0,   972,     0,     0,  1904,  1907,  1908,
       0,   907,     0,     0,     0,  2640,     0,     0,     0,     0,
     972,     0,     0,   908,  6448,     0,     0,     0,     0,     0,
       0,   910,     0,     0,  4773,   972,   910,     0,     0,     0,
       0,     0,     0,   972,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   972,  6151,     0,
       0,     0,     0,     0,     0,   907,     0,   972,     0,     0,
    2640,     0,     0,     0,     0,     0,     0,   908,     0,     0,
       0,     0,     0,     0,  2634,     0,     0,   907,     0,  2635,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   908,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2636,  2302,     0,     0,  1390,     0,     0,     0,
     972,  2568,     0,     0,     0,     0,     0,     0,     0,     0,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,
    2637,     0,  2108,     0,  1390,  2109,     0,     0,   972,  2110,
    2111,  2112,     0,     0,     0,   912,     0,     0,     0,   907,
       0,     0,     0,     0,     0,     0,     0,  2630,     0,     0,
       0,   908,     0,   972,     0,     0,  2568,  2631,     0,     0,
       0,     0,     0,  2369,  2632,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,   910,     0,     0,     0,  2638,     0,
       0,  2639,     0,     0,     0,     0,     0,     0,     0,     0,
    2633,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6152,     0,     0,
       0,     0,     0,     0,     0,   972,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   973,
     912,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   912,     0,
     907,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   908,     0,  2640,     0,     0,  2624,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   910,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2634,     0,
       0,     0,     0,  2635,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1820,     0,     0,     0,     0,
     905,     0,   972,     0,     0,     0,  2636,  2302,     0,     0,
       0,     0,     0,   910,   973,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2715,     0,     0,
       0,     0,     0,     0,  2637,   910,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1821,
    2568,     0,     0,     0,     0,     0,     0,     0,     0,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,   907,
     912,     0,   973,     0,     0,     0,     0,  2369,     0,     0,
     973,   908,     0,     0,     0,     0,     0,     0,   973,     0,
       0,     0,  2638,     0,     0,  2639,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   910,     0,     0,
    2829,     0,     0,     0,     0,     0,     0,   912,     0,  2859,
       0,     0,   912,     0,     0,     0,   972,     0,     0,   963,
     963,     0,   973,   973,     0,     0,     0,     0,     0,     0,
       0,     0,   907,     0,   963,     0,   973,   963,     0,     0,
       0,  2897,     0,     0,   908,     0,     0,  2909,  2909,   973,
     973,  2909,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2927,     0,     0,  2930,     0,     0,
       0,     0,  2108,     0,     0,  2109,     0,   972,  2640,  2110,
    2111,  2112,     0,     0,     0,     0,     0,   963,   972,     0,
       0,   963,   963,     0,     0,     0,     0,  2630,     0,     0,
       0,     0,     0,     0,     0,   972,     0,  2631,     0,     0,
     972,     0,     0,     0,  2632,     0,     0,     0,   910,     0,
       0,     0,     0,     0,     0,  2983,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3003,
    2633,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2108,     0,     0,  2109,   907,     0,     0,  2110,  2111,  2112,
       0,     0,     0,     0,     0,     0,   908,     0,     0,     0,
     912,     0,     0,     0,     0,  2630,     0,     0,  4143,     0,
       0,     0,     0,  4075,  2568,  2631,     0,     0,     0,     0,
       0,     0,  2632,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,     0,     0,     0,     0,     0,     0,     0,  1821,
       0,     0,     0,     0,     0,     0,     0,     0,  2633,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   972,     0,     0,     0,     0,     0,  3025,
       0,   972,   972,     0,     0,     0,     0,   910,  2634,     0,
    3028,     0,     0,  2635,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   912,  2636,  2302,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3072,  2909,  1820,     0,     0,   907,     0,     0,
       0,     0,   907,   907,  2637,     0,     0,     0,     0,   908,
       0,     0,     0,     0,   908,   908,     0,  3107,     0,     0,
     910,     0,     0,     0,  3120,     0,  2634,     0,     0,   912,
       0,  2635,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2369,     0,     0,
       0,   912,     0,     0,  2636,  2302,     0,     0,     0,     0,
       0,     0,  2638,     0,     0,  2639,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2637,     0,     0,     0,  4111,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3181,     0,  2108,
       0,     0,  2109,     0,     0,     0,  2110,  2111,  2112,     0,
       0,     0,     0,     0,     0,     0,   907,     0,     0,     0,
       0,     0,     0,   912,  2630,  2369,     0,     0,   908,     0,
    1390,  1390,     0,     0,  2631,     0,     0,     0,     0,     0,
    2638,  2632,   910,  2639,     0,     0,     0,  3235,     0,     0,
    3237,     0,     0,     0,     0,     0,     0,     0,  2640,     0,
       0,     0,     0,     0,     0,     0,     0,  2633,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   907,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   908,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2640,     0,     0,     0,
       0,     0,     0,     0,   912,   972,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2568,     0,  4148,     0,     0,     0,
       0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,     0,     0,     0,  2634,     0,     0,     0,     0,
    2635,     0,     0,     0,     0,   910,     0,     0,     0,     0,
     910,   910,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2636,  2302,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2637,  2568,     0,     0,     0,     0,     0,     0,     0,
       0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,
     972,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   912,  2369,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1820,     0,     0,     0,  2638,
       0,     0,  2639,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   910,     0,     0,     0,   972,     0,
       0,     0,     0,     0,     0,     0,   972,     0,     0,     0,
       0,     0,     0,     0,   972,     0,  1821,     0,     0,     0,
    2108,     0,     0,  2109,     0,     0,     0,  2110,  2111,  2112,
       0,     0,     0,     0,     0,     0,   912,     0,     0,     0,
       0,     0,     0,     0,     0,  2630,     0,     0,  4155,     0,
       0,     0,     0,     0,     0,  2631,     0,   910,   972,   972,
       0,     0,  2632,     0,     0,     0,     0,     0,     0,     0,
       0,   973,   972,     0,     0,  2640,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   972,   972,     0,  2633,   973,
       0,     0,  2108,   973,     0,  2109,     0,   973,     0,  2110,
    2111,  2112,     0,     0,     0,     0,   973,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2630,     0,     0,
       0,   973,     0,     0,     0,     0,     0,  2631,     0,     0,
       0,     0,     0,     0,  2632,     0,     0,     0,   963,     0,
     963,   963,     0,     0,  2108,     0,     0,  2109,     0,     0,
       0,  2110,  2111,  2112,     0,   973,     0,     0,   912,     0,
    2633,     0,     0,     0,     0,     0,     0,     0,     0,  2630,
       0,     0,  4779,     0,     0,   973,   973,     0,     0,  2631,
       0,  2568,     0,     0,     0,     0,  2632,     0,     0,     0,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,
       0,     0,     0,     0,     0,     0,  2634,     0,     0,     0,
       0,  2635,  2633,  1821,   973,     0,     0,  1821,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2636,  2302,     0,     0,     0,     0,
       0,   973,     0,  1821,     0,  1820,     0,   973,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2108,     0,     0,
    2109,   973,  2637,     0,  2110,  2111,  2112,     0,   973,   907,
       0,   973,     0,     0,     0,     0,     0,   973,  2634,     0,
       0,   908,  2630,  2635,  3420,     0,     0,     0,     0,     0,
       0,     0,  2631,     0,  3425,     0,     0,   973,     0,  2632,
       0,     0,     0,   973,     0,  2369,  2636,  2302,  1365,  1365,
     973,   912,     0,     0,     0,     0,   912,   912,     0,     0,
    2638,     0,     0,  2639,   973,  2633,     0,     0,     0,     0,
    2634,     0,     0,     0,  2637,  2635,     0,     0,   973,     0,
       0,     0,     0,  1821,     0,     0,     0,     0,     0,   973,
       0,     0,     0,     0,     0,     0,     0,     0,  2636,  2302,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2369,     0,     0,
       0,     0,     0,     0,     0,     0,  2637,     0,  1365,     0,
       0,     0,  2638,     0,     0,  2639,     0,     0,     0,     0,
       0,     0,     0,     0,  1390,     0,     0,     0,     0,  1821,
       0,     0,     0,     0,     0,     0,  2640,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2369,
     912,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2634,  2638,     0,     0,  2639,  2635,     0,
       0,     0,  2108,     0,     0,  2109,     0,     0,     0,  2110,
    2111,  2112,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2636,  2302,     0,     0,     0,     0,  2630,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2631,  2640,     0,
       0,     0,     0,   912,  2632,     0,     0,     0,     0,  2637,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1731,
    1735,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2633,     0,  2568,     0,  4703,     0,     0,     0,     0,     0,
       0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,
    2640,  3645,  2369,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3667,  2638,     0,     0,
    2639,     0,     0,     0,   973,     0,  1821,   910,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5220,  3695,     0,
       0,     0,     0,   973,     0,     0,     0,     0,     0,     0,
     973,     0,     0,     0,  2568,     0,     0,   963,     0,   963,
     963,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,     0,     0,     0,     0,     0,     0,     0,  5230,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2634,     0,
       0,     0,     0,  2635,     0,     0,  2568,     0,     0,     0,
       0,     0,     0,  2640,     0,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,  3775,  3776,  2636,  2302,     0,     0,
       0,     0,     0,     0,  2108,     0,     0,  2109,     0,     0,
       0,  2110,  2111,  2112,     0,     0,     0,  1821,     0,     0,
       0,     0,     0,  1821,  2637,     0,     0,     0,     0,  2630,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2631,
       0,     0,     0,     0,     0,     0,  2632,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2369,     0,     0,
       0,     0,  2633,     0,     0,     0,     0,     0,  2052,     0,
       0,     0,  2638,     0,     0,  2639,     0,     0,     0,  2568,
       0,     0,     0,     0,     0,     0,  3901,     0,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,   973,     0,
       0,     0,  1820,     0,     0,     0,     0,     0,     0,     0,
    2078,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2097,
    2098,  2099,     0,  2101,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   972,     0,     0,
       0,  5236,     0,     0,  2586,     0,     0,     0,  2640,     0,
       0,     0,     0,     0,     0,   972,     0,     0,     0,   972,
    2634,     0,     0,   972,     0,  2635,     0,     0,     0,     0,
       0,  2108,   972,     0,  2109,     0,     0,     0,  2110,  2111,
    2112,     0,     0,     0,     0,     0,     0,   972,  2636,  2302,
       0,     0,     0,     0,     0,     0,  2630,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2631,     0,     0,     0,
       0,   973,   973,  2632,     0,     0,  2637,     0,     0,     0,
       0,   972,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   973,     0,     0,   973,     0,     0,     0,  2633,
       0,   972,   972,     0,     0,     0,     0,  2682,     0,     0,
       0,  2694,  2699,     0,  2568,     0,     0,     0,     0,  2369,
       0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,     0,     0,  2638,     0,     0,  2639,     0,  1820,
     972,     0,     0,  1820,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   912,     0,     0,     0,   972,     0,  1820,
       0,     0,     0,   972,     0,     0,     0,  1821,  1821,  1821,
       0,     0,     0,     0,     0,     0,     0,   972,     0,     0,
       0,     0,  5237,     0,   972,     0,     0,   972,     0,     0,
       0,     0,   973,   972,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2634,     0,     0,
       0,   973,  2635,   972,     0,     0,     0,     0,     0,   972,
    2640,     0,     0,     0,     0,     0,   972,     0,     0,     0,
       0,     0,     0,   973,     0,  2636,  2302,     0,     0,     0,
     972,  2108,     0,     0,  2109,     0,     0,     0,  2110,  2111,
    2112,     0,     0,     0,   972,     0,     0,     0,     0,  1820,
    4209,     0,     0,  2637,     0,   972,  2630,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2631,     0,     0,     0,
       0,     0,     0,  2632,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2369,     0,     0,  2633,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2638,     0,   973,  2639,  1820,  2568,     0,     0,     0,
       0,     0,     0,     0,     0,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,     0,     0,  1731,  1731,  1731,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2108,     0,     0,  2109,     0,
    1821,     0,  2110,  2111,  2112,     0,   973,     0,   973,     0,
       0,  5238,     0,     0,     0,     0,     0,     0,     0,     0,
    2630,   973,     0,   973,     0,     0,     0,     0,     0,     0,
    2631,     0,     0,     0,     0,     0,     0,  2632,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2640,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2634,     0,     0,
       0,     0,  2635,  2633,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2636,  2302,     0,     0,     0,
     973,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     972,     0,  1820,  2637,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   972,
       0,     0,   973,     0,     0,     0,   972,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   973,     0,  2568,     0,   973,  2369,     0,     0,     0,
       0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,  2638,     0,     0,  2639,     0,   973,     0,     0,     0,
       0,  2634,     0,     0,     0,  4428,  2635,     0,     0,     0,
       0,     0,     0,     0,     0,  2909,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2636,
    2302,     0,     0,     0,     0,     0,     0,  2579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1820,     0,  2108,     0,  2637,  2109,  1820,
       0,     0,  2110,  2111,  2112,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2630,     0,     0,     0,     0,     0,     0,  2640,     0,     0,
    2631,     0,  2579,     0,     0,     0,     0,  2632,     0,     0,
    2369,     0,     0,     0,  1821,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2638,     0,     0,  2639,     0,
       0,     0,     0,  2633,     0,  3263,     0,     0,     0,     0,
       0,     0,     0,     0,  3280,  3280,  3280,  3280,  3290,  3296,
    3280,  3299,  3280,  3280,   972,     0,     0,     0,  3306,     0,
    3307,     0,  3309,     0,     0,  3323,  3326,  3331,     0,     0,
       0,     0,     0,  3340,     0,     0,  3345,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4559,  4560,
    4561,  3352,  3353,  3354,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2568,     0,  4570,     0,     0,     0,  3355,
       0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,  2640,     0,     0,     0,     0,  5804,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4595,  4597,
       0,     0,     0,  4602,     0,     0,     0,     0,     0,     0,
       0,  2634,     0,     0,     0,     0,  2635,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2636,
    2302,     0,     0,     0,     0,     0,     0,   972,   972,   973,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5613,     0,     0,     0,     0,     0,  2637,   972,     0,
       0,   972,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2568,     0,     0,
       0,     0,     0,     0,     0,     0,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,  2576,  2577,     0,     0,     0,     0,  1390,
    2369,     0,  1821,     0,     0,     0,  3363,  1821,     0,  1821,
       0,     0,     0,     0,     0,  2638,     0,     0,  2639,     0,
       0,     0,     0,     0,  2108,     0,     0,  2109,     0,     0,
       0,  2110,  2111,  2112,     0,  1821,     0,     0,     0,     0,
       0,     0,     0,  1820,  1820,  1820,     0,     0,     0,  2630,
       0,     0,  5821,     0,     0,     0,     0,     0,     0,  2631,
    3382,     0,     0,  2579,     0,     0,  2632,  2579,   972,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   973,     0,     0,   973,     0,     0,   972,     0,     0,
       0,     0,  2633,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   972,
       0,  2640,     0,     0,     0,     0,  3384,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2108,     0,     0,  2109,     0,     0,     0,  2110,
    2111,  2112,     0,     0,     0,  4811,  4812,  4813,     0,     0,
       0,     0,     0,     0,   973,   973,     0,  2630,     0,     0,
       0,     0,     0,     0,     0,   973,     0,  2631,     0,     0,
       0,     0,     0,     0,  2632,     0,     0,     0,     0,   972,
       0,     0,   973,     0,     0,     0,     0,     0,     0,     0,
    2634,     0,     0,     0,     0,  2635,     0,  2568,     0,     0,
    2633,     0,     0,     0,     0,     0,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,  2576,  2577,     0,     0,     0,  2636,  2302,
       0,     0,     0,     0,     0,     0,  1820,     0,     0,     0,
       0,     0,   972,     0,   972,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2637,   972,     0,   972,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   973,     0,     0,  1821,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3391,  3392,  3393,  3394,  3395,  3396,  3397,  3398,  3399,  2369,
    3400,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1365,     0,  1731,  2638,     0,     0,  2639,     0,     0,
       0,     0,     0,     0,     0,     0,   972,     0,  2634,     0,
       0,     0,     0,  2635,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3355,     0,     0,     0,  3363,  2636,  2302,  3382,     0,
    3384,     0,     0,  3437,     0,     0,     0,     0,   972,     0,
       0,     0,     0,     0,  2579,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2637,     0,     0,   972,     0,     0,
       0,   972,     0,     0,     0,     0,     0,     0,     0,     0,
    2579,     0,     0,     0,  3319,     0,     0,     0,     0,     0,
    2640,     0,   972,     0,     0,     0,  2098,  2099,     0,  2579,
    2579,  2579,     0,  2579,     0,     0,     0,  2369,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2638,     0,     0,  2639,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     1,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     2,     0,
       3,     4,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5080,     0,     0,     0,     0,  3577,     0,     6,     0,
       0,     0,     0,     0,     0,     0,   973,     0,     0,     0,
       7,     0,     8,     9,     0,     0,  2568,     0,     0,    10,
    1820,    11,     0,  5112,     0,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,    12,     0,    13,     0,  2640,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    14,     0,  3120,    15,     0,     0,     0,
       0,     0,     0,     0,   973,     0,     0,     0,     0,     0,
       0,    16,     0,    17,     0,     0,   973,    18,     0,     0,
       0,     0,     0,     0,  5770,     0,     0,     0,     0,     0,
    5170,     0,     0,    20,     0,    21,     0,     0,     0,     0,
       0,     0,    22,     0,     0,     0,     0,  3181,     0,     0,
     973,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      23,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    24,     0,     0,
       0,     0,     0,     0,  2568,     0,     0,     0,     0,     0,
       0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1821,     0,
       0,    25,    26,     0,     0,   972,     0,    27,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   973,     0,     0,
       0,     0,    28,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   670,     0,     0,     0,     0,     0,
       0,    29,     0,     0,     0,     0,     0,     0,     0,  3833,
    3834,  1731,   671,     0,     0,  3838,     0,     0,     0,     0,
       0,     0,  5273,  5274,  5275,  5276,     0,     0,  1820,     0,
       0,     0,     0,  1820,     0,  1820,     0,   672,     0,     0,
       0,     0,  3867,     0,     0,     0,     0,     0,     0,    30,
     673,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1820,     0,   973,    31,     0,     0,  -891,     0,    32,
      33,     0,    34,     0,     0,     0,     0,    35,     0,     0,
    4633,     0,     0,    36,     0,   674,    37,     0,     0,     0,
       0,   675,     0,    38,     0,     0,     0,     0,     0,     0,
      39,    40,     0,     0,     0,     0,     0,   972,    41,   676,
     972,     0,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   677,    43,     0,     0,     0,     0,     0,     0,
       0,   678,     0,     0,     0,     0,     0,     0,     0,     0,
      44,     0,     0,     0,   679,     0,     0,     0,     0,     0,
       0,     0,     0,   680,     0,     0,     0,   681,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    46,     0,     0,     0, -1095,  2579,    47,
       0,     0,     0,     0,    48,     0,     0,     0,     0,     0,
       0,     0,     0,   973,     0,   973,     0,    49,     0,     0,
     972,   972,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   972,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    50,     0,     0,     0,     0,     0,   682,   972,     0,
       0,     0,     0,     0,     0,     0,     0,  -624,     0,     0,
      56,     0,     0,  -136,     0,   973,     0,     0,     0,     0,
       0,  4062,     0,     0,     0,   963,  4068,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2579,     0,     0,     0,     0,     0,
       0,   683,     0,     0,   684,     0,  2579,     0,     0,     0,
       0,  2579,     0,     0,     0,  1821,     0,     0,     0,     0,
     963,     0,     0,     0,     0,     0,     0,  2101,   685,   972,
       0,     0,  1820,     0,     0,     0,     0,     0,  3331,     0,
    3331,  3331,   686,     0,     0,     0,     0,     0,   719,  -467,
       0,     0,     0,  3245,  4158,     0,     0,  4161,     0,  4163,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   688,
       0,     0,     0,     0,     0,     0,  -467,   719,     0,   689,
       0,  5495,  1052,     0,     0,     0,  4188,     0,  4191,     0,
    4193,     0,  5505,     0,   722,  3246,     0,     0,     0,   690,
       0,     0,     0,     0,     0,     0,     0,   691,     0,     0,
       0,   723,     0,     0,  -467,     0,     0,   692,     0,   693,
    1053,   694,   695,     0,     0,     0,     0,     0,     0,  1056,
       0,     0,     0,   722,  1054,     0,     0,   696,     0,     0,
       0,     0,     0,     0,     0,   697,  1055,     0,   698,     0,
     723,   699,     0,  3247,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  -467,     0,   726,     0,  1056,     0,
       0,     0,     0,     0,     0,   727,     0,     0,     0,     0,
       0,     0,     0,     0,  4263,     0,     0,     0,   728,  2682,
       0,     0,  1057,     0,  3248,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2699,   726,     0,     0,     0,     0,
       0,     0,     0,     0,   727,     0,     0,     0,     0,     0,
       0,  1059,     0,     0,     0,     0,     0,   728,     0,     0,
       0,     0,     0,  1058,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   973,     0,     0,
       0,     0,   972,     0,     0,     0,     0,     0,     0,  3249,
    1059,   973,     0,     0,     0,     0,     0,     0,     0,  4313,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   732,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1821,     0,     0,     0,     0,  1060,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     972,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     732,     0,   972,     0,     0,     0,     0,     0,     0,  4348,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   972,     0,     0,     0,
       0,     0,   213,  3250,  1061,     0,   737,     0,     0,     0,
       0,     0,  1821,     0,     0,  5715,     0,     0,     0,     0,
    1390,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,  1063,     0,     0,  3251,     0,     0,  5745,
       0,   213,  1062,   741,     0,   737,     0,     0,  1821,     0,
     742,     0,     0,   743,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1063,   744,  1820,  1064,     0,     0,     0,   740,
       0,  1065,   741,     0,     0,     0,     0,     0,   746,   742,
       0,  1066,   743,   972,     0,     0,   748,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3252,   744,     0,     0,     0,     0,     0,     0,  1821,
    1065,     0,   973,     0,     0,     0,     0,   746,     0,     0,
    1066,     0,     0,     0,     0,   748,     0,     0,   753,     0,
       0,     0,     0,  1067,     0,   750,     0,     0,     0,     0,
    1068,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1731,     0,     0,     0,     0,     0,  1731,   753,     0,   972,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2579,     0,     0,     0,     0,     0,  2579,     0,
       0,  2579,     0,     0,     0,     0,     0,     0,  2579,  2579,
       0,  2579,     0,     0,     0,  4582,  3319,  3319,     0,  4134,
       0,  3319,     0,     0,   973,  2579,     0,     0,  2579,     0,
       0,     0,     0,  2579,     0,     0,     0,     0,   963,     0,
       0,     0,  2579,     0,     0,     0,     0,  2579,   973,     0,
       0,     0,     0,     0,  2579,  2579,  2579,  2579,     0,     0,
       0,  5945,  3319,  3319,     0,  2579,     0,     0,     0,   972,
       0,   972,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2579,     0,  2579,     0,     0,  5967,
       0,     0,     0,  2579,  2579,  2579,  2579,  2579,  2579,  2579,
    2579,  2579,  2579,     0,     0,     0,     0,   963,   963,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   972,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2579,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,     0,
       0,     0,     0,     0,  4704,     0,     0,     0,     0,     0,
       0,  1820,     0,  4708,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   973,  3280,     0,     0,
       0,  4721,  3280,  3280,     0,  6052,     0,     0,  3296,     0,
       0,  4729,     0,     0,  4731,     0,     0,     0,     0,   198,
    4733,     0,  4734,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4756,
    4757,  4758,     0,     0,   200,     0,     0,     0,     0,     0,
     201,     0,     0,     0,     0,     0,     0,     0,  3340,     0,
       0,     0,     0,     0,     0,     0,  4782,     0,   202,  4785,
       0,  4787,     0,     0,     0,     0,     0,     0,     0,  2579,
       0,   203,     0,     0,     0,     0,     0,  4791,     0,     0,
     204,     0,     0,     0,     0,  4798,  4799,     0,     0,     0,
       0,     0,  4804,   205,     0,     0,     0,     0,     0,   206,
       0,     0,     0,     0,     0,     0,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3280,     0,     0,     0,     0,   208,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1821,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   209,     0,     0,     0,     0,     0,
       0,     0,  4858,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   210,     0,     0,  4872,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1821,
       0,     0,     0,   972,     0,     0,     0,     0,     0,     0,
       0,     0,   963,   963,     0,     0,     0,   972,     0,     0,
       0,     0,     0,     0,  1821,     0,     0,     0,     0,     0,
     211,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1820,
       0,     0,     0,     0,     0,     0,     0,   212,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   213,   214,     0,
       0,   215,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   216,     0,
       0,   217,     0,     0,     0,   218,     0,     0,   219,     0,
       0,     0,     0,     0,     0,   220,     0,     0,   221,     0,
       0,     0,     0,     0,     0,  2579,  2579,     0,  1820,     0,
    2579,     0,     0,     0,     0,     0,     0,     0,   222,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,   224,     0,   225,     0,     0,   226,     0,     0,  2579,
       0,   227,     0,     0,  1820,     0,     0,     0,     0,     0,
       0,   228,     0,     0,     0,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1820,     0,     0,   972,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5158,  5159,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5166,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2579,     0,     0,     0,     0,     0,
    2579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     972,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5209,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   972,     0,     0,  4134,  4134,     0,
    2682,  3319,  3319,  3319,  3319,     0,     0,  3319,  3319,  3319,
    3319,  3319,  3319,  3319,  3319,  3319,  3319,  4134,  5232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2579,     0,     0,  2579,     0,  2579,     0,     0,  4134,  4134,
       0,     0,     0,     0,     0,     0,     0,  5251,  5253,     0,
       0,     0,     0,     0,  5257,  5258,     0,     0,     0,  5259,
    2579,  3319,  3319,  2579,  5260,  2579,     0,  5263,  5264,     0,
       0,     0,     0,     0,  5269,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5304,
       0,     0,   972,     0,     0,     0,     0,     0,     0,     0,
    1365,     0,     0,     0,     0,  2579,     0,     0,  5318,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5346,     0,  2579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5397,     0,     0,     0,     0,     0,
       0,  5399,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1820,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5434,
       0,     0,     0,     0,     0,  1820,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1820,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3319,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2579,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3280,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5542,     0,     0,     0,     0,     0,  5546,  5547,  5548,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5561,  5562,     0,     0,  5563,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5571,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5583,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5601,     0,  2579,     0,     0,     0,
    2579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5618,     0,     0,  2579,     0,     0,     0,     0,     0,     0,
       0,  2579,     0,  2579,     0,  2579,  2579,     0,     0,     0,
       0,  4134,  4134,  4134,  4134,     0,     0,     0,  4134,  4134,
    4134,  4134,  4134,  4134,  4134,  4134,  4134,  4134,  2579,  2579,
    2579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2579,     0,     0,  2579,     0,  2579,
       0,     0,     0,  2579,     0,     0,  4134,  4134,     0,     0,
    2579,  2579,     0,     0,     0,     0,  2579,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2579,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5794,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3340,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2101,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5874,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5886,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4134,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5922,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2579,  2579,     0,     0,     0,     0,     0,     0,  2579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3280,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6002,     0,     0,     0,     0,
       0,  2579,     0,     0,  6009,  6009,  6009,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2579,  3319,     0,     0,     0,     0,
       0,     0,  5601,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2579,     0,  2579,  6042,     0,     0,  2579,
    2579,  2579,  2579,     0,     0,  2579,  2579,     0,     0,     0,
       0,  2579,     0,     0,     0,     0,  6057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3319,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2579,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2579,
       0,  2579,     0,     0,     0,     0,     0,  6009,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5601,     0,     0,     0,  2579,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6229,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6254,     0,     0,     0,     0,
       0,     0,     0,     0,  2579,     0,  4134,  3319,  2579,  2579,
    2579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2579,  2579,  2579,     0,     0,     0,     0,
       0,     0,     0,  2579,     0,     0,     0,     0,  3319,     0,
       0,  4134,     0,     0,     0,  2579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2579,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6009,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6344,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2579,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4134,     0,     0,
    1731,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4134,     0,
    3319,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2579,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2579,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2579,     0,     0,     0,     0,     0,
       0,  2579,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2579,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2579,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3319,  3319,     0,
       0,  3319,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2579,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2579,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4134,  4134,     0,  4134,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,     0,  1268,   714,     0,  1269,  1270,  1271,
     775,  1272,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,  1725,   244,
     245,   246,     0,     0,     0,     0,  1273,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1274,   260,  1275,  1276,  2579,   263,   264,   265,
     266,   267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,
     274,     0,   275,   276,   277,   278,  1281,     0,  1282,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,
     303,   304,   305,   306,   307,   308,  1290,  1291,   311,  1292,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,  1726,     0,   324,   325,   884,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,  1293,   342,   343,   344,
     345,  1294,  1295,   347,     0,   348,   349,   350,  1296,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1297,     0,  1298,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1299,  1300,     0,
    1301,     0,   395,   396,   397,   398,   399,  1302,  1303,  1304,
    1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,  1312,   420,
     421,   422,     0,   423,   424,   425,  1313,  1314,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1315,   437,
     438,   439,   440,   441,   442,   443,   444,  1316,   446,  1317,
     448,   449,   450,   451,   452,   453,   454,   455,   456,  1318,
     458,  1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,
     466,   467,   468,     0,   469,   470,   471,     0,     0,  1323,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
    1324,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   495,   496,  1325,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,  1326,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,  1327,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,  1328,
     555,   556,   557,   558,   559,   560,   561,   562,  1329,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,  1330,   581,     0,   582,
     583,  1331,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,  1332,  1333,     0,     0,   595,   596,  1334,
     598,  1335,  1336,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,  1337,   609,   610,   611,   612,   613,  1338,
       0,   614,   615,   616,   617,   618,   619,  1339,  1727,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,  1340,  1341,  1342,
    1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,
       0,  1348,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1349,  1350,  1728,     0,     0,     0,     0,
       0,     0,  1352,  1729,   234,     0,  1268,   714,     0,  1269,
    1270,  1271,   775,  1272,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1273,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1274,   260,  1275,  1276,     0,   263,
     264,   265,   266,   267,   268,   269,  1277,  1278,   270,   271,
    1279,  1280,   274,     0,   275,   276,   277,   278,  1281,     0,
    1282,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,
    1288,  1289,   303,   304,   305,   306,   307,   308,  1290,  1291,
     311,  1292,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     884,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,  1293,   342,
     343,   344,   345,  1294,  1295,   347,     0,   348,   349,   350,
    1296,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1297,     0,  1298,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1299,
    1300,     0,  1301,     0,   395,   396,   397,   398,   399,  1302,
    1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
    1312,   420,   421,   422,     0,   423,   424,   425,  1313,  1314,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1315,   437,   438,   439,   440,   441,   442,   443,   444,  1316,
     446,  1317,   448,   449,   450,   451,   452,   453,   454,   455,
     456,  1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,
     464,  1322,   466,   467,   468,     0,   469,   470,   471,     0,
       0,  1323,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,  1324,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   495,   496,  1325,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,  1326,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,  1327,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,    40,   550,   551,   552,   553,
     554,  1328,   555,   556,   557,   558,   559,   560,   561,   562,
    1329,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,  1330,   581,
       0,   582,   583,  1331,    44,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,  1332,  1333,     0,     0,   595,
     596,  1334,   598,  1335,  1336,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,  1337,   609,   610,   611,   612,
     613,  1338,     0,   614,   615,   616,   617,   618,  1203,  1339,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,    49,   628,   629,   630,   631,   632,   633,   634,  1340,
    1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,
     646,   647,     0,  1348,     0,    50,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1349,  1350,     0,     0,     0,
       0,     0,     0,     0,  1352,  5840,   234,     0,  1268,   714,
       0,  1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1273,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1274,   260,  1275,  1276,
       0,   263,   264,   265,   266,   267,   268,   269,  1277,  1278,
     270,   271,  1279,  1280,   274,     0,   275,   276,   277,   278,
    1281,     0,  1282,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1283,  1284,  1285,
    1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,   308,
    1290,  1291,   311,  1292,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1293,   342,   343,   344,   345,  1294,  1295,   347,     0,   348,
     349,   350,  1296,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1297,     0,
    1298,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1299,  1300,     0,  1301,     0,   395,   396,   397,   398,
     399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
     409,  1311,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,  1312,   420,   421,   422,     0,   423,   424,   425,
    1313,  1314,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1315,   437,   438,   439,   440,   441,   442,   443,
     444,  1316,   446,  1317,   448,   449,   450,   451,   452,   453,
     454,   455,   456,  1318,   458,  1319,   459,   460,   461,   462,
    1320,  1321,   464,  1322,   466,   467,   468,     0,   469,   470,
     471,     0,     0,  1323,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,  1324,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   495,
     496,  1325,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,  1326,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,  1327,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,  1328,   555,   556,   557,   558,   559,   560,
     561,   562,  1329,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
    1330,   581,     0,   582,   583,  1331,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,  1332,  1333,     0,
       0,   595,   596,  1334,   598,  1335,  1336,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,  1337,   609,   610,
     611,   612,   613,  1338,     0,   614,   615,   616,   617,   618,
     619,  1339,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,
     644,   645,   646,   647,     0,  1348,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1349,  1350,     0,
       0,     0,     0,     0,     0,     0,  1352,  3321,   234,     0,
    1268,   714,     0,  1269,  1270,  1271,   775,  1272,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1273,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1274,   260,
    1275,  1276,     0,   263,   264,   265,   266,   267,   268,   269,
    1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,   276,
     277,   278,  1281,     0,  1282,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,  1283,
    1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,
     307,   308,  1290,  1291,   311,  1292,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   884,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,  1293,   342,   343,   344,   345,  1294,  1295,   347,
       0,   348,   349,   350,  1296,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
    1297,     0,  1298,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1299,  1300,     0,  1301,     0,   395,   396,
     397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,
    1309,  1310,   409,  1311,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,  1312,   420,   421,   422,     0,   423,
     424,   425,  1313,  1314,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1315,   437,   438,   439,   440,   441,
     442,   443,   444,  1316,   446,  1317,   448,   449,   450,   451,
     452,   453,   454,   455,   456,  1318,   458,  1319,   459,   460,
     461,   462,  1320,  1321,   464,  1322,   466,   467,   468,     0,
     469,   470,   471,     0,     0,  1323,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,  1324,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   495,   496,  1325,   498,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,  1326,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,  1327,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,  1328,   555,   556,   557,   558,
     559,   560,   561,   562,  1329,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,  1330,   581,     0,   582,   583,  1331,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,  1332,
    1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,  1337,
     609,   610,   611,   612,   613,  1338,     0,   614,   615,   616,
     617,   618,   619,  1339,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,
    1346,  1347,   644,   645,   646,   647,     0,  1348,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1349,
    1350,     0,     0,     0,     0,     0,     0,     0,  1352,  4735,
     234,     0,  1268,   714,     0,  1269,  1270,  1271,   775,  1272,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1273,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1274,   260,  1275,  1276,     0,   263,   264,   265,   266,   267,
     268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,
     275,   276,   277,   278,  1281,     0,  1282,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,
     305,   306,   307,   308,  1290,  1291,   311,  1292,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1293,   342,   343,   344,   345,  1294,
    1295,   347,     0,   348,   349,   350,  1296,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1297,     0,  1298,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1299,  1300,     0,  1301,     0,
     395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,
    1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,  1312,   420,   421,   422,
       0,   423,   424,   425,  1313,  1314,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1315,   437,   438,   439,
     440,   441,   442,   443,   444,  1316,   446,  1317,   448,   449,
     450,   451,   452,   453,   454,   455,   456,  1318,   458,  1319,
     459,   460,   461,   462,  1320,  1321,   464,  1322,   466,   467,
     468,     0,   469,   470,   471,     0,     0,  1323,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,  1324,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   495,   496,  1325,   498,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,  1326,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
    1327,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,  1328,   555,   556,
     557,   558,   559,   560,   561,   562,  1329,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,  1330,   581,     0,   582,   583,  1331,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,  1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,
    1336,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,  1337,   609,   610,   611,   612,   613,  1338,     0,   614,
     615,   616,   617,   618,   619,  1339,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,
    1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,
       0,     0,     0,     0,     0,   655,     0,     0,     0,     0,
       0,  1349,  1350,     0,     0,     0,     0,     0,     0,     0,
    1352,  4801,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
    4240,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0, -1839,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
   -1839,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385, -1839,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398, -1839,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419, -1839,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445, -1839,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532, -1839,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,     0,     0,     0,     0,     0,     0,
     876,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1464,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
     877,   260,   878,   879,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   880,   881,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   882,   883,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,     0,   342,   343,   344,   345,     0,
       0,   347,     0,   348,   349,   350,   885,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,     0,     0,     0,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,  2725,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
    2726,   388,   389,   390,   391,   886,   887,     0,   888,     0,
     395,   396,   397,   398,   399,   889,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,     0,   420,   421,   422,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   890,   446,   891,   448,   449,
     450,   451,   452,   453,   454,   455,     0,     0,   458,     0,
     459,   460,   461,   462,     0,     0,   464,   892,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,  2728,   478,   479,   480,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   495,   496,     0,   498,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   893,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
       0,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
    2729,   558,   559,   560,   561,   562,   895,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,     0,   581,     0,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   896,   897,     0,     0,   595,   596,     0,   598,     0,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,     0,   898,  2730,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,     0,   876,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   645,   646,   647,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,  2823,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,     0,   877,   260,   878,   879,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   880,   881,   274,     0,   275,   276,   277,   278,     0,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   882,
     883,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   884,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,     0,
     342,   343,   344,   345,     0,     0,   347,     0,   348,   349,
     350,   885,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,     0,     0,     0,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,  2725,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,  2726,   388,   389,   390,   391,
     886,   887,     0,   888,     0,   395,   396,   397,   398,   399,
     889,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,     0,   420,   421,   422,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     890,   446,   891,   448,   449,   450,   451,   452,   453,   454,
     455,     0,     0,   458,     0,   459,   460,   461,   462,     0,
       0,   464,   892,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,  2728,
     478,   479,   480,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
       0,   498,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   893,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,  2729,   558,   559,   560,   561,
     562,   895,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,     0,
     581,     0,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   896,   897,     0,     0,
     595,   596,     0,   598,     0,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,     0,
     898,  2730,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,     0,
     234,     0,  1268,   714,     0,  1269,  1270,  1271,   775,  1272,
     645,   646,   647,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1273,     0,  3956,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1274,   260,  1275,  1276,     0,   263,   264,   265,   266,   267,
     268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,
     275,   276,   277,   278,  1281,     0,  1282,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,
     305,   306,   307,   308,  1290,  1291,   311,  1292,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1293,   342,   343,   344,   345,  1294,
    1295,   347,     0,   348,   349,   350,  1296,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1297,     0,  1298,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1299,  1300,     0,  1301,     0,
     395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,
    1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,  1312,   420,   421,   422,
       0,   423,   424,   425,  1313,  1314,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1315,   437,   438,   439,
     440,   441,   442,   443,   444,  1316,   446,  1317,   448,   449,
     450,   451,   452,   453,   454,   455,   456,  1318,   458,  1319,
     459,   460,   461,   462,  1320,  1321,   464,  1322,   466,   467,
     468,     0,   469,   470,   471,     0,     0,  1323,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,  1324,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   495,   496,  1325,   498,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,  1326,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,  3282,   531,   532,   533,   534,   535,   536,   537,   538,
    1327,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,    40,   550,   551,   552,   553,   554,  1328,   555,   556,
     557,   558,   559,   560,   561,   562,  1329,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,  1330,   581,     0,   582,   583,  1331,
      44,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,  1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,
    1336,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,  1337,   609,   610,   611,   612,   613,  1338,     0,   614,
     615,   616,   617,   618,  1203,  1339,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,    49,   628,   629,
     630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,
    1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1349,  1350,     0,     0,     0,   234,     0,  1268,   714,
    1352,  1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1273,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1274,   260,  1275,  1276,
       0,   263,   264,   265,   266,   267,   268,   269,  1277,  1278,
     270,   271,  1279,  1280,   274,     0,   275,   276,   277,   278,
    1281,     0,  1282,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1283,  1284,  1285,
    1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,   308,
    1290,  1291,   311,  1292,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1293,   342,   343,   344,   345,  1294,  1295,   347,     0,   348,
     349,   350,  1296,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1297,     0,
    1298,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1299,  1300,     0,  1301,     0,   395,   396,   397,   398,
     399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
     409,  1311,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,  1312,   420,   421,   422,     0,   423,   424,   425,
    1313,  1314,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1315,   437,   438,   439,   440,   441,   442,   443,
     444,  1316,   446,  1317,   448,   449,   450,   451,   452,   453,
     454,   455,   456,  1318,   458,  1319,   459,   460,   461,   462,
    1320,  1321,   464,  1322,   466,   467,   468,     0,   469,   470,
     471,     0,     0,  1323,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,  1324,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   495,
     496,  1325,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,  1326,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,  1327,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,    40,   550,   551,
     552,   553,   554,  1328,   555,   556,   557,   558,   559,   560,
     561,   562,  1329,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
    1330,   581,     0,   582,   583,  1331,    44,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,  1332,  1333,     0,
       0,   595,   596,  1334,   598,  1335,  1336,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,  1337,   609,   610,
     611,   612,   613,  1338,     0,   614,   615,   616,   617,   618,
    1203,  1339,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,    49,   628,   629,   630,   631,   632,   633,
     634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,
     644,   645,   646,   647,     0,  1348,     0,    50,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1349,  1350,     0,
       0,     0,   234,     0,  1268,   714,  1352,  1269,  1270,  1271,
     775,  1272,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1273,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1274,   260,  1275,  1276,  3327,   263,   264,   265,
     266,   267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,
     274,     0,   275,   276,   277,   278,  1281,     0,  1282,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,
     303,   304,   305,   306,   307,   308,  1290,  1291,   311,  1292,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   884,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,  1293,   342,   343,   344,
     345,  1294,  1295,   347,     0,   348,   349,   350,  1296,   352,
       0,   353,     0,   354,   355,   356,  3328,   357,   358,   359,
     360,   361,     0,   362,  1297,     0,  1298,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1299,  1300,     0,
    1301,     0,   395,   396,   397,   398,   399,  1302,  1303,  1304,
    1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,
     413,   414,   415,   416,   417,     0,  3329,   418,  1312,   420,
     421,   422,     0,   423,   424,   425,  1313,  1314,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1315,   437,
     438,   439,   440,   441,   442,   443,   444,  1316,   446,  1317,
     448,   449,   450,   451,   452,   453,   454,   455,   456,  1318,
     458,  1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,
     466,   467,   468,     0,   469,   470,   471,     0,     0,  1323,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
    1324,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   495,   496,  1325,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,  1326,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,  1327,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,  1328,
     555,   556,   557,   558,   559,   560,   561,   562,  1329,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,  1330,   581,     0,   582,
     583,  1331,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,  1332,  1333,     0,  3330,   595,   596,  1334,
     598,  1335,  1336,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,  1337,   609,   610,   611,   612,   613,  1338,
       0,   614,   615,   616,   617,   618,   619,  1339,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,  1340,  1341,  1342,
    1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,
       0,  1348,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1349,  1350,     0,     0,     0,   234,     0,
    1268,   714,  1352,  1269,  1270,  1271,   775,  1272,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243, -2270,   244,   245,   246,     0,     0,
       0, -2270,  1273,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1274,   260,
    1275,  1276,     0,   263,   264,   265,   266,   267,   268,   269,
    1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,   276,
     277,   278,  1281,     0,  1282,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,  1283,
    1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,
     307,   308,  1290,  1291,   311,  1292,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   884,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,  1293,   342,   343,   344,   345,  1294,  1295,   347,
       0,   348,   349,   350,  1296,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
    1297,     0,  1298,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1299,  1300,     0,  1301,     0,   395,   396,
     397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,
    1309,  1310,   409,  1311,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,  1312,   420,   421,   422,     0,   423,
     424,   425,  1313,  1314,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1315,   437,   438,   439,   440,   441,
     442,   443,   444,  1316,   446,  1317,   448,   449,   450,   451,
     452,   453,   454,   455,   456,  1318,   458,  1319,   459,   460,
     461,   462,  1320,  1321,   464,  1322,   466,   467,   468,     0,
     469,   470,   471,     0,     0,  1323,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,  1324,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   495,   496,  1325,   498,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,  1326,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,  1327,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,  1328,   555,   556,   557,   558,
     559,   560,   561,   562,  1329,   564, -2270,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,  1330,   581,     0,   582,   583,  1331,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,  1332,
    1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,  1337,
     609,   610,   611,   612,   613,  1338,     0,   614,   615,   616,
     617,   618,   619,  1339,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,
    1346,  1347,   644,   645,   646,   647,     0,  1348,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1349,
    1350,     0,     0,     0,   234,     0,  1268,   714,  1352,  1269,
    1270,  1271,   775,  1272,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
   -2268,   244,   245,   246,     0,     0,     0, -2268,  1273,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1274,   260,  1275,  1276,     0,   263,
     264,   265,   266,   267,   268,   269,  1277,  1278,   270,   271,
    1279,  1280,   274,     0,   275,   276,   277,   278,  1281,     0,
    1282,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,
    1288,  1289,   303,   304,   305,   306,   307,   308,  1290,  1291,
     311,  1292,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     884,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,  1293,   342,
     343,   344,   345,  1294,  1295,   347,     0,   348,   349,   350,
    1296,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1297,     0,  1298,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1299,
    1300,     0,  1301,     0,   395,   396,   397,   398,   399,  1302,
    1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
    1312,   420,   421,   422,     0,   423,   424,   425,  1313,  1314,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1315,   437,   438,   439,   440,   441,   442,   443,   444,  1316,
     446,  1317,   448,   449,   450,   451,   452,   453,   454,   455,
     456,  1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,
     464,  1322,   466,   467,   468,     0,   469,   470,   471,     0,
       0,  1323,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,  1324,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   495,   496,  1325,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,  1326,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,  1327,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,  1328,   555,   556,   557,   558,   559,   560,   561,   562,
    1329,   564, -2268,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,  1330,   581,
       0,   582,   583,  1331,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,  1332,  1333,     0,     0,   595,
     596,  1334,   598,  1335,  1336,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,  1337,   609,   610,   611,   612,
     613,  1338,     0,   614,   615,   616,   617,   618,   619,  1339,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,  1340,
    1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,
     646,   647,     0,  1348,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1349,  1350,     0,     0,     0,
     234,     0,  1268,   714,  1352,  1269,  1270,  1271,   775,  1272,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1273,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1274,   260,  1275,  1276,     0,   263,   264,   265,   266,   267,
     268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,
     275,   276,   277,   278,  1281,     0,  1282,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,
     305,   306,   307,   308,  1290,  1291,   311,  1292,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1293,   342,   343,   344,   345,  1294,
    1295,   347,     0,   348,   349,   350,  1296,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1297,     0,  1298,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1299,  1300,     0,  1301,     0,
     395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,
    1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,  1312,   420,   421,   422,
       0,   423,   424,   425,  1313,  1314,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1315,   437,   438,   439,
     440,   441,   442,   443,   444,  1316,   446,  1317,   448,   449,
     450,   451,   452,   453,   454,   455,   456,  1318,   458,  1319,
     459,   460,   461,   462,  1320,  1321,   464,  1322,   466,   467,
     468,     0,   469,   470,   471,     0,     0,  1323,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,  1324,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   495,   496,  1325,   498,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,  1326,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
    1327,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,  1328,   555,   556,
     557,   558,   559,   560,   561,   562,  1329,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,  1330,   581,     0,   582,   583,  1331,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,  1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,
    1336,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,  1337,   609,   610,   611,   612,   613,  1338,     0,   614,
     615,   616,   617,   618,   619,  1339,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,
    1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1349,  1350,     0,     0,     0,     0,     0,  2049,  3256,
    1352,   234,     0,  1268,   714,     0,  1269,  1270,  1271,   775,
    1272,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1273,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1274,   260,  1275,  1276,     0,   263,   264,   265,   266,
     267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,
       0,   275,   276,   277,   278,  1281,     0,  1282,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,
     304,   305,   306,   307,   308,  1290,  1291,   311,  1292,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   884,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1293,   342,   343,   344,   345,
    1294,  1295,   347,     0,   348,   349,   350,  1296,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1297,     0,  1298,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1299,  1300,     0,  1301,
       0,   395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,
    1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,  1312,   420,   421,
     422,     0,   423,   424,   425,  1313,  1314,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1315,   437,   438,
     439,   440,   441,   442,   443,   444,  1316,   446,  1317,   448,
     449,   450,   451,   452,   453,   454,   455,   456,  1318,   458,
    1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,   466,
     467,   468,     0,   469,   470,   471,     0,     0,  1323,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,  1324,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,  1325,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,  1326,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,  1327,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,  1328,   555,
     556,   557,   558,   559,   560,   561,   562,  1329,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,  1330,   581,     0,   582,   583,
    1331,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,  1332,  1333,     0,     0,   595,   596,  1334,   598,
    1335,  1336,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,  1337,   609,   610,   611,   612,   613,  1338,     0,
     614,   615,   616,   617,   618,   619,  1339,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,
     639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,
    1348,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1349,  1350,  1351,     0,     0,   234,     0,  1268,
     714,  1352,  1269,  1270,  1271,   775,  1272,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  2692,   244,   245,   246,     0,     0,     0,
       0,  1273,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1274,   260,  1275,
    1276,     0,   263,   264,   265,   266,   267,   268,   269,  1277,
    1278,   270,   271,  1279,  1280,   274,     0,   275,   276,   277,
     278,  1281,     0,  1282,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1283,  1284,
    1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,
     308,  1290,  1291,   311,  1292,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,  1293,   342,   343,   344,   345,  1294,  1295,   347,     0,
     348,   349,   350,  1296,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1297,
       0,  1298,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1299,  1300,     0,  1301,     0,   395,   396,   397,
     398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,
    1310,   409,  1311,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,  1312,   420,   421,   422,     0,   423,   424,
     425,  1313,  1314,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1315,   437,   438,   439,   440,   441,   442,
     443,   444,  1316,   446,  1317,   448,   449,   450,   451,   452,
     453,   454,   455,   456,  1318,   458,  1319,   459,   460,   461,
     462,  1320,  1321,   464,  1322,   466,   467,   468,     0,   469,
     470,   471,     0,     0,  1323,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,  1324,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,  1325,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
    1326,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,  1327,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,  1328,   555,   556,   557,   558,   559,
     560,   561,   562,  1329,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,  1330,   581,     0,   582,   583,  1331,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,  1332,  1333,
       0,     0,   595,   596,  1334,   598,  1335,  1336,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,  1337,   609,
     610,   611,   612,   613,  1338,     0,   614,   615,   616,   617,
     618,   619,  1339,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,
    1347,   644,   645,   646,   647,     0,  1348,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1349,  1350,
       0,     0,     0,   234,     0,  1268,   714,  1352,  1269,  1270,
    1271,   775,  1272,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1273,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1274,   260,  1275,  1276,     0,   263,   264,
     265,   266,   267,   268,   269,  1277,  1278,   270,   271,  1279,
    1280,   274,     0,   275,   276,   277,   278,  1281,     0,  1282,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,
    1289,   303,   304,   305,   306,   307,   308,  1290,  1291,   311,
    1292,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1293,   342,   343,
     344,   345,  1294,  1295,   347,     0,   348,   349,   350,  1296,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1297,     0,  1298,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1299,  1300,
       0,  1301,     0,   395,   396,   397,   398,   399,  1302,  1303,
    1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,  1312,
     420,   421,   422,     0,   423,   424,   425,  1313,  1314,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1315,
     437,   438,   439,   440,   441,   442,   443,   444,  1316,   446,
    1317,   448,   449,   450,   451,   452,   453,   454,   455,   456,
    1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,   464,
    1322,   466,   467,   468,     0,   469,   470,   471,     0,     0,
    1323,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,  1324,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,  1325,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,  1326,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,  3282,   531,   532,   533,   534,   535,
     536,   537,   538,  1327,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
    1328,   555,   556,   557,   558,   559,   560,   561,   562,  1329,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,  1330,   581,     0,
     582,   583,  1331,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,  1332,  1333,     0,     0,   595,   596,
    1334,   598,  1335,  1336,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,  1337,   609,   610,   611,   612,   613,
    1338,     0,   614,   615,   616,   617,   618,   619,  1339,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,  1340,  1341,
    1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,
     647,     0,  1348,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,     0,     0,     0,   234,
       0,  1268,   714,  1352,  1269,  1270,  1271,   775,  1272,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1273,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1274,
     260,  1275,  1276,     0,   263,   264,   265,   266,   267,   268,
     269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,
     276,   277,   278,  1281,     0,  1282,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,
     306,   307,   308,  1290,  1291,   311,  1292,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1293,   342,   343,   344,   345,  1294,  1295,
     347,     0,   348,   349,   350,  1296,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1297,     0,  1298,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1299,  1300,     0,  1301,     0,   395,
     396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,
    1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,  1312,   420,   421,   422,     0,
     423,   424,   425,  1313,  1314,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1315,   437,   438,   439,   440,
     441,   442,   443,   444,  1316,   446,  1317,   448,   449,   450,
     451,   452,   453,   454,   455,   456,  1318,   458,  1319,   459,
     460,   461,   462,  1320,  1321,   464,  1322,   466,   467,   468,
       0,   469,   470,   471,     0,     0,  1323,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,  1324,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,  1325,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,  1326,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,  1327,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,  1328,   555,   556,   557,
     558,   559,   560,   561,   562,  1329,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,  1330,   581,     0,   582,   583,  1331,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
    1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
    1337,   609,   610,   611,   612,   613,  1338,     0,   614,   615,
     616,   617,   618,   619,  1339,  3835,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,
    1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1349,  1350,     0,     0,     0,   234,     0,  1268,   714,  1352,
    1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1273,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1274,   260,  1275,  1276,     0,
     263,   264,   265,   266,   267,   268,   269,  1277,  1278,   270,
     271,  1279,  1280,   274,     0,   275,   276,   277,   278,  1281,
       0,  1282,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,
    1287,  1288,  1289,   303,   304,   305,   306,   307,   308,  1290,
    1291,   311,  1292,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   884,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,  1293,
     342,   343,   344,   345,  1294,  1295,   347,     0,   348,   349,
     350,  1296,   352,     0,   353,     0,   354,   355,   356,  3328,
     357,   358,   359,   360,   361,     0,   362,  1297,     0,  1298,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1299,  1300,     0,  1301,     0,   395,   396,   397,   398,   399,
    1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,
    1311,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,  1312,   420,   421,   422,     0,   423,   424,   425,  1313,
    1314,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1315,   437,   438,   439,   440,   441,   442,   443,   444,
    1316,   446,  1317,   448,   449,   450,   451,   452,   453,   454,
     455,   456,  1318,   458,  1319,   459,   460,   461,   462,  1320,
    1321,   464,  1322,   466,   467,   468,     0,   469,   470,   471,
       0,     0,  1323,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,  1324,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
    1325,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,  1326,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,  1327,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,  1328,   555,   556,   557,   558,   559,   560,   561,
     562,  1329,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,  1330,
     581,     0,   582,   583,  1331,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,  1332,  1333,     0,     0,
     595,   596,  1334,   598,  1335,  1336,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,  1337,   609,   610,   611,
     612,   613,  1338,     0,   614,   615,   616,   617,   618,   619,
    1339,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
    1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,
     645,   646,   647,     0,  1348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1349,  1350,     0,     0,
       0,   234,     0,  1268,   714,  1352,  1269,  1270,  1271,   775,
    1272,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1273,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1274,   260,  1275,  1276,     0,   263,   264,   265,   266,
     267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,
       0,   275,   276,   277,   278,  1281,     0,  1282,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,
     304,   305,   306,   307,   308,  1290,  1291,   311,  1292,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   884,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1293,   342,   343,   344,   345,
    1294,  1295,   347,     0,   348,   349,   350,  1296,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1297,     0,  1298,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1299,  1300,     0,  1301,
       0,   395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,
    1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,  1312,   420,   421,
     422,     0,   423,   424,   425,  1313,  1314,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1315,   437,   438,
     439,   440,   441,   442,   443,   444,  1316,   446,  1317,   448,
     449,   450,   451,   452,   453,   454,   455,   456,  1318,   458,
    1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,   466,
     467,   468,     0,   469,   470,   471,     0,     0,  1323,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,  1324,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,  1325,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,  1326,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,  1327,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,  1328,   555,
     556,   557,   558,   559,   560,   561,   562,  1329,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,  1330,   581,     0,   582,   583,
    1331,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,  1332,  1333,  3385,     0,   595,   596,  1334,   598,
    1335,  1336,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,  1337,   609,   610,   611,   612,   613,  1338,     0,
     614,   615,   616,   617,   618,   619,  1339,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,
     639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,
    1348,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1349,  1350,     0,     0,     0,   234,     0,  1268,
     714,  1352,  1269,  1270,  1271,   775,  1272,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1273,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1274,   260,  1275,
    1276,     0,   263,   264,   265,   266,   267,   268,   269,  1277,
    1278,   270,   271,  1279,  1280,   274,     0,   275,   276,   277,
     278,  1281,     0,  1282,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1283,  1284,
    1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,
     308,  1290,  1291,   311,  1292,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,  1293,   342,   343,   344,   345,  1294,  1295,   347,     0,
     348,   349,   350,  1296,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1297,
       0,  1298,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1299,  1300,     0,  1301,     0,   395,   396,   397,
     398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,
    1310,   409,  1311,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,  1312,   420,   421,   422,     0,   423,   424,
     425,  1313,  1314,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1315,   437,   438,   439,   440,   441,   442,
     443,   444,  1316,   446,  1317,   448,   449,   450,   451,   452,
     453,   454,   455,   456,  1318,   458,  1319,   459,   460,   461,
     462,  1320,  1321,   464,  1322,   466,   467,   468,     0,   469,
     470,   471,     0,     0,  1323,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,  1324,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,  1325,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
    1326,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,  1327,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,  1328,   555,   556,   557,   558,   559,
     560,   561,   562,  1329,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,  1330,   581,     0,   582,   583,  1331,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,  1332,  1333,
       0,     0,   595,   596,  1334,   598,  1335,  1336,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,  1337,   609,
     610,   611,   612,   613,  1338,     0,   614,   615,   616,   617,
     618,   619,  1339,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,
    1347,   644,   645,   646,   647,     0,  1348,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1349,  1350,
       0,     0,     0,   234,     0,  1268,   714,  1352,  1269,  1270,
    1271,   775,  1272,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1273,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1274,   260,  1275,  1276,     0,   263,   264,
     265,   266,   267,   268,   269,  1277,  1278,   270,   271,  1279,
    1280,   274,     0,   275,   276,   277,   278,  1281,     0,  1282,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,
    1289,   303,   304,   305,   306,   307,   308,  1290,  1291,   311,
    1292,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1293,   342,   343,
     344,   345,  1294,  1295,   347,     0,   348,   349,   350,  1296,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1297,     0,  1298,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1299,  1300,
       0,  1301,     0,   395,   396,   397,   398,   399,  1302,  1303,
    1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,  1312,
     420,   421,   422,     0,   423,   424,   425,  1313,  1314,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1315,
     437,   438,   439,   440,   441,   442,   443,   444,  1316,   446,
    1317,   448,   449,   450,   451,   452,   453,   454,   455,   456,
    1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,   464,
    1322,   466,   467,   468,     0,   469,   470,   471,     0,     0,
    1323,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,  1324,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,  1325,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,  1326,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,  1327,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
    1328,   555,   556,   557,   558,   559,   560,   561,   562,  1329,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,  1330,   581,     0,
     582,   583,  1331,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,  1332,  1333,     0,     0,   595,   596,
    1334,   598,  1335,  1336,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,  1337,   609,   610,   611,   612,   613,
    1338,     0,   614,   615,   616,   617,   618,   619,  1339,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,  1340,  1341,
    1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,
     647,     0,  1348,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2695,  2696,     0,     0,     0,   234,
       0,  3504,   714,  1352,  1269,  1270,  1271,   775,  1272,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1273,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1274,
     260,  1275,  1276,     0,   263,   264,   265,   266,   267,   268,
     269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,
     276,   277,   278,  1281,     0,  1282,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,
     306,   307,   308,  1290,  1291,   311,  1292,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1293,   342,   343,   344,   345,  1294,  1295,
     347,     0,   348,   349,   350,  1296,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1297,     0,  1298,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1299,  1300,     0,  1301,     0,   395,
     396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,
    1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,  1312,   420,   421,   422,     0,
     423,   424,   425,  1313,  1314,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1315,   437,   438,   439,   440,
     441,   442,   443,   444,  1316,   446,  1317,   448,   449,   450,
     451,   452,   453,   454,   455,   456,  1318,   458,  1319,   459,
     460,   461,   462,  1320,  1321,   464,  1322,   466,   467,   468,
       0,   469,   470,   471,     0,     0,  1323,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,  1324,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,  1325,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,  1326,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,  1327,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,  1328,   555,   556,   557,
     558,   559,   560,   561,   562,  1329,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,  1330,   581,     0,   582,   583,  1331,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
    1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
    1337,   609,   610,   611,   612,   613,  1338,     0,   614,   615,
     616,   617,   618,   619,  1339,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,
    1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1349,  1350,     0,     0,     0,   234,     0,  1268,   714,  1352,
    1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1273,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1274,   260,  1275,  1276,     0,
     263,   264,   265,   266,   267,   268,   269,  1277,  1278,   270,
     271,  1279,  1280,   274,     0,   275,   276,   277,   278,  1281,
       0,  1282,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,  4857,  1283,  1284,  1285,  1286,
    1287,  1288,  1289,   303,   304,   305,   306,   307,   308,  1290,
    1291,   311,  1292,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   884,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,  1293,
     342,   343,   344,   345,  1294,  1295,   347,     0,   348,   349,
     350,  1296,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,  1297,     0,  1298,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1299,  1300,     0,  1301,     0,   395,   396,   397,   398,   399,
    1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,
    1311,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,  1312,   420,   421,   422,     0,   423,   424,   425,  1313,
    1314,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1315,   437,   438,   439,   440,   441,   442,   443,   444,
    1316,   446,  1317,   448,   449,   450,   451,   452,   453,   454,
     455,   456,  1318,   458,  1319,   459,   460,   461,   462,  1320,
    1321,   464,  1322,   466,   467,   468,     0,   469,   470,   471,
       0,     0,  1323,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,  1324,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
    1325,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,  1326,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,  1327,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,  1328,   555,   556,   557,   558,   559,   560,   561,
     562,  1329,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,  1330,
     581,     0,   582,   583,  1331,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,  1332,  1333,     0,     0,
     595,   596,  1334,   598,  1335,  1336,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,  1337,   609,   610,   611,
     612,   613,  1338,     0,   614,   615,   616,   617,   618,   619,
    1339,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
    1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,
     645,   646,   647,     0,  1348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1349,  1350,     0,     0,
       0,   234,     0,  1268,   714,  1352,  1269,  1270,  1271,   775,
    1272,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1273,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1274,   260,  1275,  1276,     0,   263,   264,   265,   266,
     267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,
       0,   275,   276,   277,   278,  1281,     0,  1282,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,
     304,   305,   306,   307,   308,  1290,  1291,   311,  1292,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   884,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1293,   342,   343,   344,   345,
    1294,  1295,   347,     0,   348,   349,   350,  1296,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1297,     0,  1298,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1299,  1300,     0,  1301,
       0,   395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,
    1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,  1312,   420,   421,
     422,     0,   423,   424,   425,  1313,  1314,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1315,   437,   438,
     439,   440,   441,   442,   443,   444,  1316,   446,  1317,   448,
     449,   450,   451,   452,   453,   454,   455,   456,  1318,   458,
    1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,   466,
     467,   468,     0,   469,   470,   471,     0,     0,  1323,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,  1324,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,  1325,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,  1326,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,  1327,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,  1328,   555,
     556,   557,   558,   559,   560,   561,   562,  1329,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,  1330,   581,     0,   582,   583,
    1331,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,  1332,  1333,     0,     0,   595,   596,  1334,   598,
    1335,  1336,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,  1337,   609,   610,   611,   612,   613,  1338,     0,
     614,   615,   616,   617,   618,   619,  1339,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,  5240,  1340,  1341,  1342,  1343,
     639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,
    1348,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1349,  1350,     0,     0,     0,   234,     0,  1268,
     714,  1352,  1269,  1270,  1271,   775,  1272,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1273,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1274,   260,  1275,
    1276,     0,   263,   264,   265,   266,   267,   268,   269,  1277,
    1278,   270,   271,  1279,  1280,   274,     0,   275,   276,   277,
     278,  1281,     0,  1282,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1283,  1284,
    1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,
     308,  1290,  1291,   311,  1292,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,  1293,   342,   343,   344,   345,  1294,  1295,   347,     0,
     348,   349,   350,  1296,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1297,
       0,  1298,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1299,  1300,     0,  1301,     0,   395,   396,   397,
     398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,
    1310,   409,  1311,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,  1312,   420,   421,   422,     0,   423,   424,
     425,  1313,  1314,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1315,   437,   438,   439,   440,   441,   442,
     443,   444,  1316,   446,  1317,   448,   449,   450,   451,   452,
     453,   454,  5252,   456,  1318,   458,  1319,   459,   460,   461,
     462,  1320,  1321,   464,  1322,   466,   467,   468,     0,   469,
     470,   471,     0,     0,  1323,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,  1324,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,  1325,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
    1326,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,  1327,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,  1328,   555,   556,   557,   558,   559,
     560,   561,   562,  1329,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,  1330,   581,     0,   582,   583,  1331,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,  1332,  1333,
       0,     0,   595,   596,  1334,   598,  1335,  1336,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,  1337,   609,
     610,   611,   612,   613,  1338,     0,   614,   615,   616,   617,
     618,   619,  1339,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,
    1347,   644,   645,   646,   647,     0,  1348,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1349,  1350,
       0,     0,     0,   234,     0,  1268,   714,  1352,  1269,  1270,
    1271,   775,  1272,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1273,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1274,   260,  1275,  1276,     0,   263,   264,
     265,   266,   267,   268,   269,  1277,  1278,   270,   271,  1279,
    1280,   274,     0,   275,   276,   277,   278,  1281,     0,  1282,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,  5591,   301,  1283,  1284,  1285,  1286,  1287,  1288,
    1289,   303,   304,   305,   306,   307,   308,  1290,  1291,   311,
    1292,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1293,   342,   343,
     344,   345,  1294,  1295,   347,     0,   348,   349,   350,  1296,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1297,     0,  5592,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1299,  1300,
       0,  1301,     0,   395,   396,   397,   398,   399,  1302,  1303,
    1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,  1312,
     420,   421,   422,     0,   423,   424,   425,  1313,  1314,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1315,
     437,   438,   439,   440,   441,   442,   443,   444,  1316,   446,
    1317,   448,   449,   450,   451,   452,   453,   454,   455,   456,
    1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,   464,
    1322,   466,   467,   468,     0,   469,   470,   471,     0,     0,
    1323,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,  1324,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,  1325,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,  1326,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
    5593,   537,   538,  1327,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
    1328,   555,   556,   557,   558,   559,   560,   561,   562,  1329,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,  1330,   581,     0,
     582,   583,  1331,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,  1332,  1333,     0,     0,   595,   596,
    1334,   598,  1335,  1336,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,  1337,   609,   610,   611,   612,   613,
    1338,     0,   614,   615,   616,   617,   618,   619,  1339,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,  1340,  1341,
    1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,
     647,     0,  1348,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,     0,     0,     0,   234,
       0,  1268,   714,  5594,  1269,  1270,  1271,   775,  1272,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1273,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,  6006,  1274,
     260,  1275,  1276,     0,   263,   264,   265,   266,   267,   268,
     269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,
     276,   277,   278,  1281,     0,  1282,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,  6007,
    1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,
     306,   307,   308,  1290,  1291,   311,  1292,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1293,   342,   343,   344,   345,  1294,  1295,
     347,     0,   348,   349,   350,  1296,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1297,     0,  1298,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1299,  1300,     0,  1301,     0,   395,
     396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,
    1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,  1312,   420,   421,   422,     0,
     423,   424,   425,  1313,  1314,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1315,   437,   438,   439,   440,
     441,   442,   443,   444,  1316,   446,  1317,   448,   449,   450,
     451,   452,   453,   454,   455,   456,  1318,   458,  1319,   459,
     460,   461,   462,  1320,  1321,   464,  1322,   466,   467,   468,
       0,   469,   470,   471,     0,     0,  1323,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,  1324,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,  1325,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,  1326,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,  1327,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,  1328,   555,   556,   557,
     558,   559,   560,   561,   562,  1329,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,  1330,   581,     0,   582,   583,  1331,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
    1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,
     600,   601,   602,   603,   604,  6008,   606,   607,   608,     0,
    1337,   609,   610,   611,   612,   613,  1338,     0,   614,   615,
     616,   617,   618,   619,  1339,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,
    1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1349,  1350,     0,     0,     0,   234,     0,  1268,   714,  1352,
    1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1273,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1274,   260,  1275,  1276,     0,
     263,   264,   265,   266,   267,   268,   269,  1277,  1278,   270,
     271,  1279,  1280,   274,     0,   275,   276,   277,   278,  1281,
       0,  1282,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,  6007,  1283,  1284,  1285,  1286,
    1287,  1288,  1289,   303,   304,   305,   306,   307,   308,  1290,
    1291,   311,  1292,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   884,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,  1293,
     342,   343,   344,   345,  1294,  1295,   347,     0,   348,   349,
     350,  1296,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,  1297,     0,  1298,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1299,  1300,     0,  1301,     0,   395,   396,   397,   398,   399,
    1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,
    1311,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,  1312,   420,   421,   422,     0,   423,   424,   425,  1313,
    1314,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1315,   437,   438,   439,   440,   441,   442,   443,   444,
    1316,   446,  1317,   448,   449,   450,   451,   452,   453,   454,
     455,   456,  1318,   458,  1319,   459,   460,   461,   462,  1320,
    1321,   464,  1322,   466,   467,   468,     0,   469,   470,   471,
       0,     0,  1323,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,  1324,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
    1325,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,  1326,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,  1327,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,  1328,   555,   556,   557,   558,   559,   560,   561,
     562,  1329,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,  1330,
     581,     0,   582,   583,  1331,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,  1332,  1333,     0,     0,
     595,   596,  1334,   598,  1335,  1336,   600,   601,   602,   603,
     604,  6008,   606,   607,   608,     0,  1337,   609,   610,   611,
     612,   613,  1338,     0,   614,   615,   616,   617,   618,   619,
    1339,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
    1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,
     645,   646,   647,     0,  1348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1349,  1350,     0,     0,
       0,   234,     0,  1268,   714,  1352,  1269,  1270,  1271,   775,
    1272,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1273,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1274,   260,  1275,  1276,     0,   263,   264,   265,   266,
     267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,
       0,   275,   276,   277,   278,  1281,     0,  1282,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,
     304,   305,   306,   307,   308,  1290,  1291,   311,  5576,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   884,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1293,   342,   343,   344,   345,
    1294,  1295,   347,     0,   348,   349,   350,  1296,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1297,     0,  1298,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1299,  1300,     0,  1301,
       0,   395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,
    1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,  1312,   420,   421,
     422,     0,   423,   424,   425,  1313,  1314,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1315,   437,   438,
     439,   440,   441,   442,   443,   444,  1316,   446,  1317,   448,
     449,   450,   451,   452,   453,   454,   455,   456,  1318,   458,
       0,   459,   460,   461,   462,  1320,  1321,   464,  1322,   466,
     467,   468,     0,   469,   470,   471,     0,     0,  1323,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,  1324,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,  1325,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,  1326,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,  3313,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,  1328,   555,
     556,   557,   558,   559,   560,   561,   562,  1329,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,  1330,   581,     0,   582,   583,
    1331,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,  1332,  1333,     0,     0,   595,   596,  1334,   598,
    1335,  1336,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,  1338,     0,
     614,   615,   616,   617,   618,   619,  1339,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,
     639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3314,  3315,     0,     0,     0,   234,     0,  1268,
     714,  3316,  1269,  1270,  1271,   775,  1272,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1273,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257, -2993,  1274,   260,  1275,
    1276,     0,   263,   264,   265,   266,   267,   268,   269,  1277,
    1278,   270,   271,  1279,  1280,   274,     0,   275,   276,   277,
     278,  1281,     0,  1282,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,  6007,  1283,  1284,
    1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,
     308,  1290,  1291,   311,  1292,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,  1293,   342,   343,   344,   345,  1294,  1295,   347,     0,
     348,   349,   350,  1296,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1297,
       0,  1298,   365,   366,     0,   367,   368,   369,   370,   371,
   -2993,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1299,  1300,     0,  1301,     0,   395,     0,     0,
     398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,
    1310,   409,  1311,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,  1312,   420,   421, -2993,     0,   423,   424,
     425,  1313,  1314,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1315,   437,   438,   439,   440,   441,   442,
     443,   444,  1316,   446,  1317,   448,   449,   450,   451,   452,
     453,   454,   455,   456,  1318,   458,  1319,   459,   460,     0,
     462,  1320,  1321,   464,  1322,   466,   467,   468,     0,   469,
     470,   471,     0,     0,  1323,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,  1324,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,  1325,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
    1326,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,  1327,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,  1328,   555,   556,   557,   558,   559,
   -2993,   561,   562,  1329,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,  1330,   581,     0,   582,   583,  1331,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,  1332,  1333,
       0,     0,   595,   596,  1334,   598,  1335,  1336,   600,   601,
     602,   603,   604,  6008,   606,   607,   608,     0,  1337,   609,
     610,   611,   612,   613,  1338,     0,   614,   615,   616,   617,
     618,   619,  1339,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,
    1347,   644,   645,   646,   647,     0, -2993,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1349,  1350,
       0,     0,     0,   234,     0,  1268,   714,  1352,  1269,  1270,
    1271,   775,  1272,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1273,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1274,   260,  1275,  1276,     0,   263,   264,
     265,   266,   267,   268,   269,  1277,  1278,   270,   271,  1279,
    1280,   274,     0,   275,   276,   277,   278,  1281,     0,  1282,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,
    1289,   303,   304,   305,   306,   307,   308,  1290,  1291,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1293,   342,   343,
     344,   345,  1294,  1295,   347,     0,   348,   349,   350,  1296,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1297,     0,  1298,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1299,  1300,
       0,  1301,     0,   395,   396,   397,   398,   399,  1302,  1303,
    1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,  1312,
     420,   421,   422,     0,   423,   424,   425,  1313,  1314,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1315,
     437,   438,   439,   440,   441,   442,   443,   444,  1316,   446,
    1317,   448,   449,   450,   451,   452,   453,   454,   455,   456,
    1318,   458,     0,   459,   460,   461,   462,  1320,  1321,   464,
    1322,   466,   467,   468,     0,   469,   470,   471,     0,     0,
    1323,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,  1324,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,  1325,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,  1326,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,  3313,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
    1328,   555,   556,   557,   558,   559,   560,   561,   562,  1329,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,  1330,   581,     0,
     582,   583,  1331,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,  1332,  1333,     0,     0,   595,   596,
    1334,   598,  1335,  1336,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
    1338,     0,   614,   615,   616,   617,   618,   619,  1339,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,  1340,  1341,
    1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,
     647,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3314,  3315,   234,     0,  1268,   714,
       0,  1269,  1270,  3316,   775,  1272,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1273,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1274,   260,  1275,  1276,
       0,   263,   264,   265,   266,   267,   268,   269,  1277,  1278,
     270,   271,  1279,  1280,   274,     0,   275,   276,   277,   278,
    1281,     0,  1282,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1283,  1284,  1285,
    1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,   308,
    1290,  1291,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1293,   342,   343,   344,   345,  1294,  1295,   347,     0,   348,
     349,   350,  1296,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1297,     0,
    1298,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1299,  1300,     0,  1301,     0,   395,   396,   397,   398,
     399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
     409,  1311,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,  1312,   420,   421,   422,     0,   423,   424,   425,
    1313,  1314,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1315,   437,   438,   439,   440,   441,   442,   443,
     444,  1316,   446,  1317,   448,   449,   450,   451,   452,   453,
     454,   455,   456,  1318,   458,     0,   459,   460,   461,   462,
    1320,  1321,   464,  1322,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,  1324,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   495,
     496,  1325,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,  1326,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,  3493,  3494,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,  1328,   555,   556,   557,   558,   559,   560,
     561,   562,  1329,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
    1330,   581,     0,   582,   583,  1331,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,  1332,  1333,     0,
       0,   595,   596,  1334,   598,  1335,  1336,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,  1338,     0,   614,   615,   616,   617,   618,
     619,  1339,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,
     644,   645,   646,   647,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3495,  3496,   234,
       0,  1268,   714,     0,  1269,  1270,  3316,   775,  1272,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1273,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1274,
     260,  1275,  1276,     0,   263,   264,   265,   266,   267,   268,
     269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,
     276,   277,   278,  1281,     0,  1282,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,
     306,   307,   308,  1290,  1291,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1293,   342,   343,   344,   345,  1294,  1295,
     347,     0,   348,   349,   350,  1296,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1297,     0,  1298,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1299,  1300,     0,  1301,     0,   395,
     396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,
    1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,  1312,   420,   421,   422,     0,
     423,   424,   425,  1313,  1314,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1315,   437,   438,   439,   440,
     441,   442,   443,   444,  1316,   446,  1317,   448,   449,   450,
     451,   452,   453,   454,   455,   456,  1318,   458,     0,   459,
     460,   461,   462,  1320,  1321,   464,  1322,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,  1324,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,  1325,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,  1326,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,  3313,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,  1328,   555,   556,   557,
     558,   559,   560,   561,   562,  1329,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,  1330,   581,     0,   582,   583,  1331,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
    1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,  1338,     0,   614,   615,
     616,   617,   618,   619,  1339,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,
    1345,  1346,  1347,   644,   645,   646,   647,     0,     0,     0,
       0,     0,     0,   234,     0,  1268,   714,     0,  1269,  1270,
       0,   775,  1272,     0,     0,     0,     0,     0,     0,  3316,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1273,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1274,   260,  1275,  1276,     0,   263,  4766,
     265,   266,   267,   268,   269,  1277,  1278,   270,   271,  1279,
    1280,   274,     0,   275,   276,   277,   278,  1281,     0,  1282,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,
    1289,   303,   304,   305,   306,   307,   308,  1290,  1291,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1293,   342,   343,
     344,   345,  1294,  1295,   347,     0,   348,   349,   350,  1296,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1297,     0,  1298,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1299,  1300,
       0,  1301,     0,   395,   396,   397,   398,   399,  1302,  1303,
    1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,  1312,
     420,   421,   422,     0,   423,   424,   425,  1313,  1314,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1315,
     437,   438,   439,   440,   441,   442,   443,   444,  1316,   446,
    1317,   448,   449,   450,   451,   452,   453,   454,   455,   456,
    1318,   458,     0,   459,   460,   461,   462,  1320,  1321,   464,
    1322,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,  1324,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,  1325,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,  1326,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,  3313,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
    1328,   555,   556,   557,   558,   559,   560,   561,   562,  1329,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,  1330,   581,     0,
     582,   583,  1331,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,  1332,  1333,     0,     0,   595,   596,
    1334,   598,  1335,  1336,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
    1338,     0,   614,   615,   616,   617,   618,   619,  1339,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,  1340,  1341,
    1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,
     647,     0,     0,     0,     0,     0,     0,   234,     0,  1268,
     714,     0,  1269,  1270,     0,   775,  1272,     0,     0,     0,
       0,     0,     0,  3316,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1273,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1274,   260,  1275,
    1276,     0,   263,   264,   265,   266,   267,   268,   269,  1277,
    1278,   270,   271,  1279,  1280,   274,     0,   275,   276,   277,
     278,  1281,     0,  1282,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1283,  1284,
    1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,
     308,  1290,  1291,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,  1293,   342,   343,   344,   345,  1294,  1295,   347,     0,
     348,   349,   350,  1296,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1297,
       0,  1298,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1299,  1300,     0,  1301,     0,   395,   396,   397,
     398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,
    1310,   409,  1311,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,  1312,   420,   421,   422,     0,   423,   424,
     425,  1313,  1314,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1315,   437,   438,   439,   440,   441,   442,
     443,   444,  1316,   446,  1317,   448,   449,   450,   451,   452,
     453,   454,   455,   456,  1318,   458,     0,   459,   460,   461,
     462,  1320,  1321,   464,  1322,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,  1324,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,  1325,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
    1326,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,  3313,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,  1328,   555,   556,   557,   558,   559,
     560,   561,   562,  1329,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,  1330,   581,     0,   582,   583,  1331,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,  1332,  1333,
       0,     0,   595,   596,  1334,   598,  1335,  1336,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,  1338,     0,   614,   615,   616,   617,
     618,   619,  1339,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,  1340,  1341,  1342,  1343,  4826,  1344,  1345,  1346,
    1347,   644,   645,   646,   647,     0,     0,     0,     0,     0,
       0,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3316,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,  1278,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,  1281,     0,  1282,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
    1294,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1297,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,   396,   397,   398,   399,  3464,  1303,  1304,  1305,
    1306,  1307,  1308,  1309,  1310,  3465,  1311,   411,   412,   413,
     414,   415,   416,   417,  3466,     0,   418,  1312,   420,   421,
     422,     0,   423,   424,   425,  1313,  1314,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1315,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,  1318,   458,
       0,   459,   460,   461,   462,     0,  1321,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,   859,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,  1324,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,  1325,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,   539,  3467,   541,   542,   543,   544,   545,   546,   547,
     548,   549,    40,   550,   551,   552,   553,   554,  1328,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,  1330,   581,     0,   582,   583,
    1331,    44,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,  1334,   598,
    1335,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,  1338,     0,
     614,   615,   616,   617,   618,  1203,   620,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,    49,   628,
     629,   630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,
     639,  1344,  1345,  1346,  1347,  3468,   645,   646,   647,     0,
       0,     0,    50,     0,     0,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3469,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,  1278,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,  1281,
       0,  1282,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,
    1287,  1288,  1289,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,  1294,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,  1297,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
    3464,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,  3465,
    1311,   411,   412,   413,   414,   415,   416,   417,  3466,     0,
     418,  1312,   420,   421,   422,     0,   423,   424,   425,  1313,
    1314,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1315,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,  1318,   458,     0,   459,   460,   461,   462,     0,
    1321,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,   859,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,  1324,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
    1325,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,   539,  3467,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,  1328,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,  1330,
     581,     0,   582,   583,  1331,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,  1334,   598,  1335,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,  1338,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
    1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,  3468,
     645,   646,   647,     0,     0,     0,     0,     0,     0,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3469,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,  1278,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,  1281,     0,  1282,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,  1294,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1297,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
     396,   397,   398,   399,  3464,  1303,  1304,  1305,  1306,  1307,
    1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,  1312,   420,   421,   422,     0,
     423,   424,   425,  1313,  1314,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1315,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,  1318,   458,     0,   459,
     460,   461,   462,     0,  1321,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,  1324,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,  1325,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,  1328,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,  1330,   581,     0,   582,   583,  1331,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,  1334,   598,  1335,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,  1338,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,
    1345,  1346,  1347,   644,   645,   646,   647,     0,     0,     0,
       0,     0,     0,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3914,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,  1278,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,  1281,     0,  1282,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,
    1289,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,  1294,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1297,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,   396,   397,   398,   399,  3464,  1303,
    1304,  1305,  1306,  1307,  1308,  1309,  1310,  3465,  1311,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,  1312,
     420,   421,   422,     0,   423,   424,   425,  1313,  1314,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1315,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
    1318,   458,     0,   459,   460,   461,   462,     0,  1321,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,  1324,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,  1325,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,   539,  3467,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
    1328,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,  1330,   581,     0,
     582,   583,  1331,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
    1334,   598,  1335,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
    1338,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,  1340,  1341,
    1342,  1343,   639,  1344,  1345,  1346,  1347,  3468,   645,   646,
     647,     0,     0,     0,     0,     0,     0,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    56,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
    1278,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,  1281,     0,  1282,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1283,  1284,
    1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,  1294,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1297,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,   396,   397,
     398,   399,  3464,  1303,  1304,  1305,  1306,  1307,  1308,  1309,
    1310,   409,  1311,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,  1312,   420,   421,   422,     0,   423,   424,
     425,  1313,  1314,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1315,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,  1318,   458,     0,   459,   460,   461,
     462,     0,  1321,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,  1324,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,  1325,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,  1328,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,  1330,   581,     0,   582,   583,  1331,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,  1334,   598,  1335,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,  1338,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,
    1347,   644,   645,   646,   647,     0,     0,     0,     0,     0,
       0,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4912,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,  1278,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,  1281,     0,  1282,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
    1294,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1297,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,   396,   397,   398,   399,  3464,  1303,  1304,  1305,
    1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,  1312,   420,   421,
     422,     0,   423,   424,   425,  1313,  1314,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1315,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,  1318,   458,
       0,   459,   460,   461,   462,     0,  1321,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,  1324,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,  1325,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,  1328,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,  1330,   581,     0,   582,   583,
    1331,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,  1334,   598,
    1335,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,  1338,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,
     639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,
       0,     0,     0,     0,     0,   964,     0,  1600,   714,     0,
       0,     0,     0,   775,     0,     0,     0,     0,     0,     0,
       0,  6110,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,  5901,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,  1826,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
    1827,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,  1828,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,     0,     0,     0,     0,     0,   964,
       0,     0,     0,     0,     0,     0,  1601,  1602,  5902,     0,
       0,     0,     0,     0,     0,  5903,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     3,
       4,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
      40,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,    44,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,  1203,   620,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,    49,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,  1043,     0,     0,
      50,     0,     0,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    56,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,     0,     0,     0,     0,     0,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5650,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,    40,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,    44,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,  1203,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,    49,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,     0,     0,    50,     0,
       0,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    56,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,  2903,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,   859,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,  2904,  2905,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
       0,     0,     0,     0,     0,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1860,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,     0,     0,     0,     0,     0,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1412,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,     0,     0,
       0,     0,     0,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3527,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,     0,     0,     0,     0,     0,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4202,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2107,     0,     0,     0,     0,     0,
       0,  2108,     0,     0,  2109,     0,     0,  4843,  2110,  2111,
    2112,  2113,  2114,  2115,  2116,  2117,  2118,  2119,  2120,  2121,
    2122,  2123,  2124,  2125,  2126,  2127,  2128,  2129,     0,  2130,
    2131,  2132,  2133,  2134,  2135,  2136,  2137,  2138,  2139,  2140,
    2141,  2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,  2150,
    2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,  2160,
       0,     0,  2161,  2162,  2163,  2164,  2165,  2166,  2167,  2168,
    2169,  2170,  2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,
    2179,  2180,  2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,
       0,  2189,  2190,  2191,  2192,  2193,  2194,  2195,  2196,  2197,
    2198,  2199,  2200,  2201,  2202,  2203,     0,  2204,  2205,  2206,
    2207,  2208,  2209,  2210,  2211,  2212,  2213,  2214,  2215,  2216,
    2217,  2218,  2219,  2220,  2221,  2222,  2223,  2224,  2225,  2226,
    2227,  2228,  2229,  2230,  2231,  2232,  2233,  2234,  2235,  2236,
    2237,  2238,  2239,     0,  2240,  2241,  2242,  2243,  2244,  2245,
    2246,  2247,  2248,  2249,  2250,  2251,     0,     0,  2252,  2253,
    2254,  2255,     0,  2256,  2257,  2258,  2259,  2260,     0,  2261,
    2262,  2263,  2264,  2265,     0,  2266,  2267,     0,  2268,  2269,
    2270,     0,  2271,  2272,     0,  2273,  2274,  2275,  2276,  2277,
    2278,  2279,  2280,  2281,  2282,  2283,  2284,  2285,  2286,  2287,
    2288,  2289,  2290,  2291,  2292,  2293,  2294,  2295,  2296,  2297,
    2298,     0,  2299,     0,  2300,  2301,  2302,  2303,  2304,  2305,
    2306,  2307,  2308,  2309,  2310,  2311,  2312,  2313,  2314,  2315,
    2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,  2324,  2325,
    2326,  2327,  2328,  2329,     0,  2330,  2331,  2332,  2333,  2334,
    2335,  2336,  2337,  2338,  2339,  2340,  2341,  2342,  2343,  2344,
    2345,  2346,     0,  2347,  2348,     0,  2349,  2350,  2351,  2352,
    2353,  2354,  2355,  2356,  2357,  2358,  2359,  2360,  2361,  2362,
    2363,  2364,  2365,  2366,  2367,  2368,  2369,  2370,  2371,  2372,
    2373,  2374,  2375,  2376,  2377,     0,  2378,  2379,  2380,     0,
    2381,  2382,  2383,  2384,  2385,     0,  2386,  2387,  2388,  2389,
       0,     0,  2390,  2391,  2392,  2393,  2394,  2395,  2396,  2397,
    2398,  2399,  2400,  2401,  2402,  2403,  2404,  2405,  2406,  2407,
    2408,     0,  2409,  2410,  2411,  2412,  2413,  2414,  2415,  2416,
    2417,  2418,  2419,  2420,  2421,  2422,  2423,  2424,  2425,  2426,
    2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,  2435,  2436,
    2437,  2438,  2439,  2440,  2441,     0,  2442,  2443,  2444,  2445,
    2446,  2447,  2448,  2449,  2450,  2451,  2452,  2453,  2454,  2455,
    2456,  2457,  2458,     0,  2459,  2460,  2461,  2462,  2463,  2464,
    2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,  2473,  2474,
    2475,  2476,  2477,  2478,  2479,  2480,  2481,  2482,  2483,  2484,
    2485,  2486,  2487,  2488,  2489,  2490,  2491,  2492,  2493,  2494,
    2495,  2496,  2497,  2498,  2499,  2500,  2501,  2502,  2503,  2504,
    2505,  2506,  2507,  2508,  2509,  2510,  2511,     0,  2512,  2513,
    2514,  2515,  2516,  2517,  2518,  2519,  2520,  2521,  2522,  2523,
    2524,  2525,  2526,  2527,     0,  2528,  2529,  2530,  2531,  2532,
    2533,  2534,  2535,  2536,  2537,  2538,  2539,  2540,  2541,  2542,
    2543,     0,  2544,  2545,  2546,  2547,  2548,  2549,     0,  2550,
       0,     0,     0,     0,  2551,  2552,  2553,  2554,  2555,  2556,
    2557,  2558,  2559,  2560,  2561,  2562,  2563,  2564,  2565,     0,
    2566,  2567,     0,  2568,     0,     0,     0,     0,     0,     0,
       0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,   876,     0,  1600,   714,     0,     0,     0,   979,   775,
       0,     0,     0,     0,     0,   980,   981,   982,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  1738,   244,   245,
     246,  1739,  1740,  1741,  1742,  1743,  1744,  1745,   247,   248,
     249,  1746,   250,   251,   252,   253,   254,   255,   256,   257,
       0,   877,   260,   878,   879,  1747,   263,   264,   265,   266,
     267,   268,   269,  1748,  1749,   270,   271,   880,   881,   274,
    1750,   275,   276,   277,   278,     0,  1751,   280,  1752,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
    1753,   292,   293,   294,   295,   296,   297,  1754,   298,   299,
     300,   301,  1755,  1756,  1757,   302,  1758,  1759,  1760,   303,
     304,   305,   306,   307,   308,   882,   883,   311,  1761,   312,
    1762,   313,   314,   315,   316,   317,   318,   319,  1763,   320,
     321,   322,   323,  1764,  1765,   324,   325,   884,   327,   328,
    1766,   329,   330,   331,   332,  1767,   333,   334,   335,   336,
    1768,   337,   338,   339,   340,     0,   342,   343,   344,   345,
       0,  1769,   347,  1770,   348,   349,   350,   885,   352,  1771,
     353,  1772,   354,   355,   356,  1773,   357,   358,   359,   360,
     361,  1774,   362,     0,  1775,     0,   365,   366,  1776,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,  1777,
     377,   378,   379,   380,   381,   382,   383,   384,  1778,   385,
     386,     0,   388,   389,   390,   391,   886,   887,  1779,   888,
    1780,   395,   396,   397,   398,   399,   889,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   411,   412,   413,
     414,   415,   416,   417,  1781,  1782,   418,     0,   420,   421,
     422,  1783,   423,   424,   425,  1784,  1785,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   890,   446,   891,   448,
     449,   450,   451,   452,   453,   454,   455,  4526,     0,   458,
    1786,   459,   460,   461,   462,  1787,     0,   464,   892,   466,
     467,   468,  1788,   469,   470,   471,  1789,  1790,  4527,   473,
     474,  1791,  1792,   475,   476,     0,   478,   479,   480,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,  1793,   494,   495,   496,     0,   498,     0,   500,
     501,   502,  1794,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   893,   515,   516,   517,  1795,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,  1796,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,  1797,   550,   551,   552,   553,   554,  1798,   555,
     556,  2729,   558,   559,   560,   561,   562,   895,   564,  1799,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,     0,   581,  1800,   582,   583,
    1801,  1802,   584,   585,   586,   587,   588,   589,   590,   591,
    1803,   592,   896,   897,  1804,  1805,   595,   596,     0,   598,
       0,  1806,   600,   601,   602,   603,   604,   605,   606,   607,
     608,  1807,  1808,   609,   610,   611,   612,   613,  1809,  1810,
     614,   615,   616,   617,   618,     0,   898,  1811,   621,   622,
     623,   624,   625,   626,  1812,  1813,   627,  1814,  1815,   628,
     629,   630,   631,   632,   633,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   645,   646,   647,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   985,
     986,   987,  4528,  4529,   990,   991,   992,   993,   876,     0,
    1600,   714,     0,     0,     0,   979,   775,     0,     0,     0,
       0,     0,   980,   981,   982,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  1738,   244,   245,   246,  1739,  1740,
    1741,  1742,  1743,  1744,  1745,   247,   248,   249,  1746,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   877,   260,
     878,   879,  1747,   263,   264,   265,   266,   267,   268,   269,
    1748,  1749,   270,   271,   880,   881,   274,  1750,   275,   276,
     277,   278,     0,  1751,   280,  1752,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,  1753,   292,   293,
     294,   295,   296,   297,  1754,   298,   299,   300,   301,  1755,
    1756,  1757,   302,  1758,  1759,  1760,   303,   304,   305,   306,
     307,   308,   882,   883,   311,  1761,   312,  1762,   313,   314,
     315,   316,   317,   318,   319,  1763,   320,   321,   322,   323,
    1764,  1765,   324,   325,   884,   327,   328,  1766,   329,   330,
     331,   332,  1767,   333,   334,   335,   336,  1768,   337,   338,
     339,   340,     0,   342,   343,   344,   345,     0,  1769,   347,
    1770,   348,   349,   350,   885,   352,  1771,   353,  1772,   354,
     355,   356,  1773,   357,   358,   359,   360,   361,  1774,   362,
       0,  1775,     0,   365,   366,  1776,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,  1777,   377,   378,   379,
     380,   381,   382,   383,   384,  1778,   385,   386,     0,   388,
     389,   390,   391,   886,   887,  1779,   888,  1780,   395,   396,
     397,   398,   399,   889,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   411,   412,   413,   414,   415,   416,
     417,  1781,  1782,   418,     0,   420,   421,   422,  1783,   423,
     424,   425,  1784,  1785,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   890,   446,   891,   448,   449,   450,   451,
     452,   453,   454,   455,  4984,     0,   458,  1786,   459,   460,
     461,   462,  1787,     0,   464,   892,   466,   467,   468,  1788,
     469,   470,   471,  1789,  1790,  4527,   473,   474,  1791,  1792,
     475,   476,     0,   478,   479,   480,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,  1793,
     494,   495,   496,     0,   498,     0,   500,   501,   502,  1794,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   893,   515,   516,   517,  1795,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,  1796,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,  1797,
     550,   551,   552,   553,   554,  1798,   555,   556,  2729,   558,
     559,   560,   561,   562,   895,   564,  1799,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,     0,   581,  1800,   582,   583,  1801,  1802,   584,
     585,   586,   587,   588,   589,   590,   591,  1803,   592,   896,
     897,  1804,  1805,   595,   596,     0,   598,     0,  1806,   600,
     601,   602,   603,   604,   605,   606,   607,   608,  1807,  1808,
     609,   610,   611,   612,   613,  1809,  1810,   614,   615,   616,
     617,   618,     0,   898,  1811,   621,   622,   623,   624,   625,
     626,  1812,  1813,   627,  1814,  1815,   628,   629,   630,   631,
     632,   633,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   645,   646,   647,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   985,   986,   987,  4528,
    4529,   990,   991,   992,   993,   655,     0,     0,     0,     0,
       0,     0,   979,     0,     0,     0,     0,     0,     0,   980,
     981,   982,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   983,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   984,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   985,   986,   987,   988,   989,   990,   991,
     992,   993,   655,     0,     0,     0,     0,     0,     0,   979,
       0,     0,     0,     0,     0,     0,   980,   981,   982,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,  1100,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,  1101,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   495,   496,   497,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     985,   986,   987,   988,   989,   990,   991,   992,   993,   655,
       0,     0,     0,     0,     0,     0,   979,     0,     0,     0,
       0,     0,     0,   980,   981,   982,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
    1166,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
    1167,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1168,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   985,   986,   987,
     988,   989,   990,   991,   992,   993,   655,     0,     0,     0,
       0,     0,     0,   979,     0,     0,     0,     0,     0,     0,
     980,   981,   982,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,  1843,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,  1844,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   495,
     496,   497,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   985,   986,   987,   988,   989,   990,
     991,   992,   993,   655,     0,     0,     0,     0,     0,     0,
     979,     0,     0,     0,     0,     0,     0,   980,   981,   982,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   985,   986,   987,   988,   989,   990,   991,   992,   993,
     655,     0,     0,     0,     0,     0,     0,   979,     0,     0,
       0,     0,     0,     0,   980,   981,   982,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,  3592,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,  3593,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   495,   496,   497,   498,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   985,   986,
     987,   988,   989,   990,   991,   992,   993,   655,     0,     0,
       0,     0,     0,     0,   979,     0,     0,     0,     0,     0,
       0,   980,   981,   982,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,  5630,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,     0,  1737,     0,     0,
       0,     0,     0,     0,     0,   985,   986,   987,   988,   989,
     990,   991,   992,   993,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  1738,   244,   245,   246,  1739,  1740,  1741,
    1742,  1743,  1744,  1745,   247,   248,   249,  1746,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,  1747,   263,   264,   265,   266,   267,   268,   269,  1748,
    1749,   270,   271,   272,   273,   274,  1750,   275,   276,   277,
     278,   279,  1751,   280,  1752,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,  1753,   292,   293,   294,
     295,   296,   297,  1754,   298,   299,   300,   301,  1755,  1756,
    1757,   302,  1758,  1759,  1760,   303,   304,   305,   306,   307,
     308,   309,   310,   311,  1761,   312,  1762,   313,   314,   315,
     316,   317,   318,   319,  1763,   320,   321,   322,   323,  1764,
    1765,   324,   325,   326,   327,   328,  1766,   329,   330,   331,
     332,  1767,   333,   334,   335,   336,  1768,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,  1769,   347,  1770,
     348,   349,   350,   351,   352,  1771,   353,  1772,   354,   355,
     356,  1773,   357,   358,   359,   360,   361,  1774,   362,   363,
    1775,   364,   365,   366,  1776,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,  1777,   377,   378,   379,   380,
     381,   382,   383,   384,  1778,   385,   386,   387,   388,   389,
     390,   391,   392,   393,  1779,   394,  1780,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
    1781,  1782,   418,   419,   420,   421,   422,  1783,   423,   424,
     425,  1784,  1785,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,  1786,   459,   460,   461,
     462,  1787,   463,   464,   465,   466,   467,   468,  1788,   469,
     470,   471,  1789,  1790,   472,   473,   474,  1791,  1792,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,  1793,   494,
     495,   496,   497,   498,   499,   500,   501,   502,  1794,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,  1795,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,  1796,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,  1797,   550,
     551,   552,   553,   554,  1798,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,  1799,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,  1800,   582,   583,  1801,  1802,   584,   585,
     586,   587,   588,   589,   590,   591,  1803,   592,   593,   594,
    1804,  1805,   595,   596,   597,   598,   599,  1806,   600,   601,
     602,   603,   604,   605,   606,   607,   608,  1807,  1808,   609,
     610,   611,   612,   613,  1809,  1810,   614,   615,   616,   617,
     618,   619,   620,  1811,   621,   622,   623,   624,   625,   626,
    1812,  1813,   627,  1814,  1815,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1816,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   865,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6079,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6081,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   876,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6208,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   877,   260,   878,
     879,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   880,   881,   274,     0,   275,   276,   277,
     278,     0,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   882,   883,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,     0,   342,   343,   344,   345,     0,     0,   347,     0,
     348,   349,   350,   885,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,     0,
       0,     0,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,  2725,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,  2726,   388,   389,
     390,   391,   886,   887,     0,   888,     0,   395,   396,   397,
     398,   399,   889,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,     0,   420,   421,   422,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   890,   446,   891,   448,   449,   450,   451,   452,
     453,   454,   455,     0,     0,   458,     0,   459,   460,   461,
     462,     0,     0,   464,   892,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,  2727,   475,
     476,  2728,   478,   479,   480,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,     0,   498,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     893,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,  2729,   558,   559,
     560,   561,   562,   895,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,     0,   581,     0,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   896,   897,
       0,     0,   595,   596,     0,   598,     0,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,     0,   898,  2730,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,     0,     0,     0,  3951,     0,     0,     0,     0,     0,
       0,     0,   645,   646,   647,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
    2731,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,     0,   877,   260,   878,   879,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     880,   881,   274,     0,   275,   276,   277,   278,     0,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   882,   883,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     884,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,     0,   342,
     343,   344,   345,     0,     0,   347,     0,   348,   349,   350,
     885,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,     0,     0,     0,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,  2725,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,  2726,   388,   389,   390,   391,   886,
     887,     0,   888,     0,   395,   396,   397,   398,   399,   889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
       0,   420,   421,   422,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   890,
     446,   891,   448,   449,   450,   451,   452,   453,   454,   455,
       0,     0,   458,     0,   459,   460,   461,   462,     0,     0,
     464,   892,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,  2727,   475,   476,  2728,   478,
     479,   480,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   495,   496,     0,
     498,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   893,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,  2729,   558,   559,   560,   561,   562,
     895,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,     0,   581,
       0,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   896,   897,     0,     0,   595,
     596,     0,   598,     0,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,     0,   898,
    2730,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   645,
     646,   647,   964,     0,  1600,   714,     0,     0,     0,     0,
     775,     0,     0,     0,     0,     0,     0,  2731,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,  2616,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,  1826,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,  1827,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   495,   496,   497,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,  1828,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     964,     0,  1600,   714,     0,     0,     0,     0,   775,     0,
       0,     0,     0,  1601,  1602,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,  2621,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
    1826,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,  1827,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   495,   496,   497,   498,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
    1828,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   964,     0,
    1600,   714,     0,     0,     0,     0,   775,     0,     0,     0,
       0,  1601,  1602,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,  3559,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,  1826,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,  1827,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   495,   496,   497,   498,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,  1828,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   964,     0,  1600,   714,
       0,     0,     0,     0,   775,     0,     0,     0,     0,  1601,
    1602,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,  1826,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,  1827,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   495,
     496,   497,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,  1828,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,   775,     0,     0,     0,     0,  1601,  1602,     0,
       0,   235,   236,   776,   238,   239,   240,   241,   242,   243,
     777,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     778,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   779,
     351,   352,     0,   353,     0,   354,   780,     0,   781,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,   782,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   783,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   784,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   785,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   786,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   964,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   787,   788,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     3,     4,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   495,   496,   497,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
    1043,  1737,     0,  6403,   714,     0,     0,     0,     0,   775,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  1738,   244,   245,
     246,  1739,  1740,  1741,  1742,  1743,  1744,  1745,   247,   248,
     249,  1746,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,  1747,   263,   264,   265,   266,
     267,   268,   269,  1748,  1749,   270,   271,   272,   273,   274,
    1750,   275,   276,   277,   278,   279,  1751,   280,  1752,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
    1753,   292,   293,   294,   295,   296,   297,  1754,   298,   299,
     300,   301,  1755,  1756,  1757,   302,  1758,  1759,  1760,   303,
     304,   305,   306,   307,   308,   309,   310,   311,  1761,   312,
    1762,   313,   314,   315,   316,   317,   318,   319,  1763,   320,
     321,   322,   323,  1764,  1765,   324,   325,   326,   327,   328,
    1766,   329,   330,   331,   332,  1767,   333,   334,   335,   336,
    1768,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,  1769,   347,  1770,   348,   349,   350,   351,   352,  1771,
     353,  1772,   354,   355,   356,  1773,   357,   358,   359,   360,
     361,  1774,   362,   363,  1775,   364,   365,   366,  1776,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,  1777,
     377,   378,   379,   380,   381,   382,   383,   384,  1778,   385,
     386,   387,   388,   389,   390,   391,   392,   393,  1779,   394,
    1780,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,  1781,  1782,   418,   419,   420,   421,
     422,  1783,   423,   424,   425,  1784,  1785,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
    1786,   459,   460,   461,   462,  1787,   463,   464,   465,   466,
     467,   468,  1788,   469,   470,   471,  1789,  1790,   472,   473,
     474,  1791,  1792,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,  1793,   494,   495,   496,   497,   498,   499,   500,
     501,   502,  1794,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,  1795,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,  1796,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,  1797,   550,   551,   552,   553,   554,  1798,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,  1799,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,  1800,   582,   583,
    1801,  1802,   584,   585,   586,   587,   588,   589,   590,   591,
    1803,   592,   593,   594,  1804,  1805,   595,   596,   597,   598,
     599,  1806,   600,   601,   602,   603,   604,   605,   606,   607,
     608,  1807,  1808,   609,   610,   611,   612,   613,  1809,  1810,
     614,   615,   616,   617,   618,   619,   620,  1811,   621,   622,
     623,   624,   625,   626,  1812,  1813,   627,  1814,  1815,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,  1737,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,  1738,   244,   245,   246,  1739,
    1740,  1741,  1742,  1743,  1744,  1745,   247,   248,   249,  1746,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,  1747,   263,   264,   265,   266,   267,   268,
     269,  1748,  1749,   270,   271,   272,   273,   274,  1750,   275,
     276,   277,   278,   279,  1751,   280,  1752,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,  1753,   292,
     293,   294,   295,   296,   297,  1754,   298,   299,   300,   301,
    1755,  1756,  1757,   302,  1758,  1759,  1760,   303,   304,   305,
     306,   307,   308,   309,   310,   311,  1761,   312,  1762,   313,
     314,   315,   316,   317,   318,   319,  1763,   320,   321,   322,
     323,  1764,  1765,   324,   325,   326,   327,   328,  1766,   329,
     330,   331,   332,  1767,   333,   334,   335,   336,  1768,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,  1769,
     347,  1770,   348,   349,   350,   351,   352,  1771,   353,  1772,
     354,   355,   356,  1773,   357,   358,   359,   360,   361,  1774,
     362,   363,  1775,   364,   365,   366,  1776,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,  1777,   377,   378,
     379,   380,   381,   382,   383,   384,  1778,   385,   386,   387,
     388,   389,   390,   391,   392,   393,  1779,   394,  1780,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,  1781,  1782,   418,   419,   420,   421,   422,  1783,
     423,   424,   425,  1784,  1785,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,  1786,   459,
     460,   461,   462,  1787,   463,   464,   465,   466,   467,   468,
    1788,   469,   470,   471,  1789,  1790,   472,   473,   474,  1791,
    1792,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
    1793,   494,   495,   496,   497,   498,   499,   500,   501,   502,
    1794,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,  1795,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
    1796,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
    1797,   550,   551,   552,   553,   554,  1798,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,  1799,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,  1800,   582,   583,  1801,  1802,
     584,   585,   586,   587,   588,   589,   590,   591,  1803,   592,
     593,   594,  1804,  1805,   595,   596,   597,   598,   599,  1806,
     600,   601,   602,   603,   604,   605,   606,   607,   608,  1807,
    1808,   609,   610,   611,   612,   613,  1809,  1810,   614,   615,
     616,   617,   618,   619,   620,  1811,   621,   622,   623,   624,
     625,   626,  1812,  1813,   627,  1814,  1815,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,  1737,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,  3668,
     241,   242,   243,  1738,   244,   245,   246,  1739,  1740,  1741,
    1742,  1743,  1744,  1745,   247,   248,   249,  1746,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,  1747,   263,   264,   265,   266,   267,   268,   269,  1748,
    1749,   270,   271,   272,   273,   274,  1750,   275,   276,   277,
     278,   279,  1751,   280,  1752,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,  1753,   292,   293,   294,
     295,   296,   297,  1754,   298,   299,   300,   301,  1755,  1756,
    1757,   302,  1758,  1759,  1760,   303,   304,   305,   306,   307,
     308,   309,   310,   311,  1761,   312,  1762,   313,   314,   315,
     316,   317,   318,   319,  1763,   320,   321,   322,   323,  1764,
    1765,   324,   325,   326,  3669,   328,  1766,   329,   330,   331,
     332,  1767,   333,   334,   335,   336,  1768,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,  1769,   347,  1770,
     348,   349,   350,   351,   352,  1771,   353,  1772,   354,   355,
     356,  1773,   357,   358,   359,   360,   361,  1774,   362,   363,
    1775,   364,   365,   366,  1776,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,  1777,   377,   378,   379,   380,
     381,   382,   383,   384,  1778,   385,   386,   387,   388,   389,
     390,   391,   392,   393,  1779,   394,  1780,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
    1781,  1782,   418,   419,   420,   421,   422,  1783,   423,   424,
     425,  1784,  1785,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,  1786,   459,   460,   461,
     462,  1787,   463,   464,   465,   466,   467,   468,  1788,   469,
     470,   471,  1789,  1790,   472,   473,   474,  1791,  1792,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,  1793,   494,
     495,   496,   497,   498,   499,   500,   501,   502,  1794,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,  1795,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,  1796,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,  1797,   550,
     551,   552,   553,   554,  1798,  3670,   556,   557,   558,   559,
     560,   561,   562,   563,   564,  1799,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,  1800,   582,   583,  1801,  1802,   584,   585,
     586,   587,   588,   589,   590,   591,  1803,   592,   593,   594,
    1804,  1805,   595,   596,   597,   598,   599,  1806,   600,   601,
     602,   603,   604,   605,   606,   607,   608,  1807,  1808,   609,
     610,   611,   612,   613,  1809,  1810,   614,   615,   616,   617,
     618,   619,   620,  1811,   621,   622,   623,   624,   625,   626,
    1812,  1813,   627,  1814,  1815,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,  1278,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,  1281,
       0,  1282,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,
    1287,  1288,  1289,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,  1294,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,  1297,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
    3464,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,
    1311,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,  1312,   420,   421,   422,     0,   423,   424,   425,  1313,
    1314,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1315,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,  1318,   458,     0,   459,   460,   461,   462,     0,
    1321,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,  1324,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
    1325,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,  1328,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,  1330,
     581,     0,   582,   583,  1331,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,  1334,   598,  1335,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,  1338,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
    1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,
     645,   646,   647,   234,     0,  1268,   714,     0,  1269,  1270,
       0,   775,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1274,   260,  1275,  1276,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,  1279,
    1280,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,  1290,  1291,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,  1295,   347,     0,   348,   349,   350,  1296,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1299,  1300,
       0,  1301,     0,   395,   396,   397,   398,   399,  6375,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,  1316,   446,
    1317,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,  1320,   463,   464,
    1322,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,  1326,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,  1329,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,  1332,  1333,     0,     0,   595,   596,
     597,   598,   599,  1336,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,  1339,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   964,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  1003,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,   965,   302,     0,     0,   966,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,   967,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   964,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,  1024,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,   965,   302,     0,     0,   966,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,  1025,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,   967,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   964,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
     965,   302,     0,     0,   966,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,   967,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,  2997,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   964,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,   965,   302,
       0,     0,   966,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,  4022,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   967,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   964,     0,     0,   714,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,  1826,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,  1827,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,  1828,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   964,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,   965,   302,     0,     0,   966,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,   967,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   964,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,   965,   302,     0,     0,   966,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,  1119,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,   967,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   964,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
     965,   302,     0,     0,   966,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1161,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,   967,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   964,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,   965,   302,
       0,     0,   966,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1174,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   967,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   964,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,   965,   302,     0,     0,
     966,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1186,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,  1187,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
     967,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   964,     0,     0,   714,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,  2601,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   964,
       0,     0,   714,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1145,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1158,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  1172,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1176,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   964,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,  2830,   275,   276,   277,   278,   279,
       0,     0,  2831,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,  2832,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,  2833,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,  2834,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  2835,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,  2836,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,  2837,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,  2838,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,  2830,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,  2832,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,  2833,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,  2834,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,  3885,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,  2836,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,  2837,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,  2838,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
    2830,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
    2832,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,  2833,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,  2834,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
    2836,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,  2837,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,  2838,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   794,   244,   795,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   796,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,   827,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   797,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     798,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   794,   244,   795,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   796,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,  3566,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   797,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   798,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   794,   244,   795,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   796,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   797,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   798,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,  3073,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,  2903,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,   859,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,  2904,  2905,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  2004,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,  2005,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,  2006,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,  2007,   354,   355,     0,     0,     0,  2008,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,  2009,  2010,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,  2011,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,  2012,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,  2013,
     538,   539,   540,   541,   542,   543,  2014,   545,   546,   547,
     548,   549,     0,  2015,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,  2016,   584,     0,  2017,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,  2018,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   795,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   796,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   797,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     798,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,  2903,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,   859,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,  2904,  2905,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,  1017,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1018,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,   859,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,  3649,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
    3650,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  3662,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,  3663,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   656,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   705,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   706,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   819,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   820,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   821,   594,     0,     0,
     822,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   853,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   854,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   855,   594,     0,     0,   856,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,   859,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,   919,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   974,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   975,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,  1137,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,  1387,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,  1398,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   839,   271,   272,   273,  1399,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   842,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   843,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   844,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,  1391,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   846,   594,     0,     0,   847,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   848,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1544,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,   859,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  1605,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1606,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   819,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,  3413,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,  3414,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,  3415,   584,     0,   586,   587,  3416,   589,
    3417,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,  3418,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,   714,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,   775,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,  4240,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
    4254,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
    4401,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,  4925,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,  4998,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,  5359,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   811,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   817,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   839,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   840,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   841,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   842,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   843,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   844,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   845,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     846,   594,     0,     0,   847,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   848,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   871,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   999,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1009,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  1012,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1028,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1085,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1090,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1107,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  1110,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1112,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1150,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1178,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1180,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  1190,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1193,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1196,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   839,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   842,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     843,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     844,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,  1391,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   846,   594,     0,     0,
     847,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   848,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1869,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  1903,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1905,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1945,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1947,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1949,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,  2043,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,  2717,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,     0,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   839,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   842,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   843,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   844,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,  1391,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
    2751,   587,   588,   589,   590,   591,     0,   592,   846,   594,
       0,     0,   847,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     848,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   839,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   842,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     843,   535,   536,   537,   538,   539,   540,   541,   542,   543,
    2813,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,  2814,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   846,   594,     0,     0,
    2815,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   848,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   839,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   842,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   843,   535,
     536,   537,   538,   539,   540,   541,   542,   543,  2900,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,  2814,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   846,   594,     0,     0,  2815,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   848,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   839,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   842,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   843,   535,   536,   537,
     538,   539,   540,   541,   542,   543,  2924,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,  2814,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   846,   594,     0,     0,  2815,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   848,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  3118,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  3122,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  3180,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  3571,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   839,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   842,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   843,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   844,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,  2814,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   846,   594,     0,     0,  2815,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   848,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  3629,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  3652,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  3654,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  3804,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,  3846,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  5111,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,  5635,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,  6339,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,     0,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   876,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
       0,   877,   260,   878,   879,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   880,   881,   274,
       0,   275,   276,   277,   278,     0,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   882,   883,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   884,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,     0,   342,   343,   344,   345,
       0,     0,   347,     0,   348,   349,   350,   885,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,     0,     0,     0,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,  2725,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,  2726,   388,   389,   390,   391,   886,   887,     0,   888,
       0,   395,   396,   397,   398,   399,   889,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,     0,   420,   421,
     422,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   890,   446,   891,   448,
     449,   450,   451,   452,   453,   454,   455,     0,     0,   458,
       0,   459,   460,   461,   462,     0,     0,   464,   892,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,  2728,   478,   479,   480,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,     0,   498,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   893,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,  2729,   558,   559,   560,   561,   562,   895,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,     0,   581,     0,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   896,   897,     0,     0,   595,   596,     0,   598,
       0,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,     0,   898,  2730,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   876,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   645,   646,   647,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,     0,   877,   260,   878,   879,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   880,   881,   274,     0,   275,   276,   277,   278,     0,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   882,
     883,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   884,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,     0,
     342,   343,   344,   345,     0,     0,   347,     0,   348,   349,
     350,   885,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,     0,     0,     0,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,     0,   388,   389,   390,   391,
     886,   887,     0,   888,     0,   395,   396,   397,   398,   399,
     889,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,     0,   420,   421,   422,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     890,   446,   891,   448,   449,   450,   451,   452,   453,   454,
     455,     0,     0,   458,     0,   459,   460,   461,   462,  2809,
       0,   464,   892,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,     0,
     478,   479,   480,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
       0,   498,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   893,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,  2729,   558,   559,   560,   561,
     562,   895,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,     0,
     581,     0,   582,   583,     0,  4627,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   896,   897,     0,     0,
     595,   596,     0,   598,     0,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,     0,
     898,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   876,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     645,   646,   647,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,     0,   877,
     260,   878,   879,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   880,   881,   274,     0,   275,
     276,   277,   278,     0,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   882,   883,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,     0,   342,   343,   344,   345,     0,     0,
     347,     0,   348,   349,   350,   885,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,     0,     0,     0,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,     0,
     388,   389,   390,   391,   886,   887,     0,   888,     0,   395,
     396,   397,   398,   399,   889,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,     0,   420,   421,   422,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   890,   446,   891,   448,   449,   450,
     451,   452,   453,   454,   455,  2890,     0,   458,     0,   459,
     460,   461,   462,     0,     0,   464,   892,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,     0,   478,   479,   480,     0,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,     0,   498,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   893,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,     0,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   894,
     558,   559,   560,   561,   562,   895,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,     0,   581,     0,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     896,   897,     0,     0,   595,   596,     0,   598,     0,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,     0,   898,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   876,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   645,   646,   647,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,     0,   877,   260,   878,   879,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   880,
     881,   274,     0,   275,   276,   277,   278,     0,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   882,   883,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,     0,   342,   343,
     344,   345,     0,     0,   347,     0,   348,   349,   350,   885,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,     0,     0,     0,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,     0,   388,   389,   390,   391,   886,   887,
       0,   888,     0,   395,   396,   397,   398,   399,   889,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,     0,
     420,   421,   422,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   890,   446,
     891,   448,   449,   450,   451,   452,   453,   454,   455,  4423,
       0,   458,     0,   459,   460,   461,   462,     0,     0,   464,
     892,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,     0,   478,   479,
     480,     0,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,     0,   498,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   893,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   894,   558,   559,   560,   561,   562,   895,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,     0,   581,     0,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   896,   897,     0,     0,   595,   596,
       0,   598,     0,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,     0,   898,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   876,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   645,   646,
     647,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   877,   260,   878,
     879,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   880,   881,   274,     0,   275,   276,   277,
     278,     0,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   882,   883,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,     0,   342,   343,   344,   345,     0,     0,   347,     0,
     348,   349,   350,   885,   352,  6026,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,     0,
       0,     0,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,     0,   388,   389,
     390,   391,   886,   887,     0,   888,     0,   395,   396,   397,
     398,   399,   889,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,     0,   420,   421,   422,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   890,   446,   891,   448,   449,   450,   451,   452,
     453,   454,   455,     0,     0,   458,     0,   459,   460,   461,
     462,     0,     0,   464,   892,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,     0,   478,   479,   480,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,     0,   498,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     893,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   894,   558,   559,
     560,   561,   562,   895,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,     0,   581,     0,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   896,   897,
       0,     0,   595,   596,     0,   598,     0,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,     0,   898,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   876,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   645,   646,   647,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
       0,   877,   260,   878,   879,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   880,   881,   274,
       0,   275,   276,   277,   278,     0,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   882,   883,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   884,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,     0,   342,   343,   344,   345,
       0,     0,   347,     0,   348,   349,   350,   885,   352,  6383,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,     0,     0,     0,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,     0,   388,   389,   390,   391,   886,   887,     0,   888,
       0,   395,   396,   397,   398,   399,   889,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,     0,   420,   421,
     422,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   890,   446,   891,   448,
     449,   450,   451,   452,   453,   454,   455,     0,     0,   458,
       0,   459,   460,   461,   462,     0,     0,   464,   892,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,     0,   478,   479,   480,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,     0,   498,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   893,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   894,   558,   559,   560,   561,   562,   895,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,     0,   581,     0,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   896,   897,     0,     0,   595,   596,     0,   598,
       0,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,     0,   898,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   876,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   645,   646,   647,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,     0,   877,   260,   878,   879,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   880,   881,   274,     0,   275,   276,   277,   278,     0,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   882,
     883,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   884,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,     0,
     342,   343,   344,   345,     0,     0,   347,     0,   348,   349,
     350,   885,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,     0,     0,     0,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,     0,   388,   389,   390,   391,
     886,   887,     0,   888,     0,   395,   396,   397,   398,   399,
     889,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,     0,   420,   421,   422,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     890,   446,   891,   448,   449,   450,   451,   452,   453,   454,
     455,     0,     0,   458,     0,   459,   460,   461,   462,     0,
       0,   464,   892,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,     0,
     478,   479,   480,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
       0,   498,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   893,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   894,   558,   559,   560,   561,
     562,   895,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,     0,
     581,     0,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   896,   897,     0,     0,
     595,   596,     0,   598,     0,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,     0,
     898,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   876,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     645,   646,   647,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,     0,   877,
     260,   878,   879,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   880,   881,   274,     0,   275,
     276,   277,   278,     0,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   882,   883,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,     0,   342,   343,   344,   345,     0,     0,
     347,     0,   348,   349,   350,   885,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,     0,     0,     0,   365,   366,     0,   367,   368,   369,
     370,  1152,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,     0,
     388,   389,   390,   391,   886,   887,     0,   888,     0,   395,
     396,   397,   398,   399,   889,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,     0,   420,   421,   422,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   890,   446,   891,   448,   449,   450,
     451,   452,   453,   454,   455,     0,     0,   458,     0,   459,
     460,   461,   462,     0,     0,   464,   892,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,     0,   478,   479,   480,     0,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,     0,   498,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   893,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,     0,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   894,
     558,   559,   560,   561,   562,   895,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,     0,   581,     0,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     896,   897,     0,     0,   595,   596,     0,   598,     0,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,     0,   898,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   876,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   645,   646,   647,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,     0,   877,   260,   878,   879,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   880,
     881,   274,     0,   275,   276,   277,   278,     0,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   882,   883,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,     0,   342,   343,
     344,   345,     0,     0,   347,     0,   348,   349,   350,   885,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,     0,     0,     0,   365,   366,
       0,   367,   368,   369,   370,  1184,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,     0,   388,   389,   390,   391,   886,   887,
       0,   888,     0,   395,   396,   397,   398,   399,   889,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,     0,
     420,   421,   422,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   890,   446,
     891,   448,   449,   450,   451,   452,   453,   454,   455,     0,
       0,   458,     0,   459,   460,   461,   462,     0,     0,   464,
     892,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,     0,   478,   479,
     480,     0,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,     0,   498,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   893,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   894,   558,   559,   560,   561,   562,   895,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,     0,   581,     0,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   896,   897,     0,     0,   595,   596,
       0,   598,     0,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,     0,   898,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   876,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   645,   646,
     647,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   877,   260,   878,
     879,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   880,   881,   274,     0,   275,   276,   277,
     278,     0,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   882,   883,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,     0,   342,   343,   344,   345,     0,     0,   347,     0,
     348,   349,   350,   885,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,     0,
       0,     0,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,     0,   388,   389,
     390,   391,   886,   887,     0,   888,     0,   395,   396,   397,
     398,   399,   889,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,     0,   420,   421,   422,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   890,   446,   891,   448,   449,   450,   451,   452,
     453,   454,   455,     0,     0,   458,     0,   459,   460,   461,
     462,     0,     0,   464,   892,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,     0,   478,   479,   480,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,     0,   498,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     893,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,  2729,   558,   559,
     560,   561,   562,   895,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,     0,   581,     0,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   896,   897,
       0,     0,   595,   596,     0,   598,     0,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,     0,   898,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   876,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   645,   646,   647,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
       0,   877,   260,   878,   879,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   880,   881,   274,
       0,   275,   276,   277,   278,     0,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   882,   883,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   884,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,     0,   342,   343,   344,   345,
       0,     0,   347,     0,   348,   349,   350,   885,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,     0,     0,     0,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,     0,   388,   389,   390,   391,   886,   887,     0,   888,
       0,   395,   396,   397,   398,   399,   889,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,     0,   420,   421,
     422,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   890,   446,   891,   448,
     449,   450,   451,   452,   453,   454,   455,     0,     0,   458,
       0,   459,   460,   461,   462,     0,     0,   464,   892,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,     0,   478,   479,   480,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,     0,   498,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   893,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,     0,   558,   559,   560,   561,   562,   895,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,     0,   581,     0,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   896,   897,     0,     0,   595,   596,     0,   598,
       0,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,     0,   898,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   876,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   645,   646,   647,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,     0,     0,   260,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,     0,     0,   274,     0,   275,   276,   277,   278,     0,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,     0,
       0,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,     0,
     342,   343,   344,   345,     0,     0,   347,     0,   348,   349,
     350,     0,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,     0,     0,     0,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,     0,   388,   389,   390,   391,
       0,     0,     0,     0,     0,   395,   396,   397,   398,   399,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,     0,   420,   421,   422,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   446,     0,   448,   449,   450,   451,   452,   453,   454,
     455,     0,     0,   458,     0,   459,   460,   461,   462,     0,
       0,   464,     0,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,     0,
     478,   479,   480,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
       0,   498,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,     0,   558,   559,   560,   561,
     562,     0,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,     0,
     581,     0,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,     0,     0,     0,     0,
     595,   596,     0,   598,     0,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,     0,
       0,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     645,   646,   647
};

static const yytype_int16 yycheck[] =
{
       6,     0,     0,     0,     0,     0,     0,     0,     0,    56,
       0,     0,     0,     0,   206,     0,     0,    23,  1038,    25,
    1047,  1010,   214,    29,    21,   217,   939,   211,    34,    35,
      36,   211,    38,   840,   837,    41,    42,   189,    44,  1576,
      46,  1164,   683,  1042,   796,   797,   798,    53,    54,    55,
     802,    22,  1659,  2711,  1027,  1576,   715,    28,     0,   933,
    2838,   935,   864,  1011,     0,  1569,  2041,   913,  1036,     0,
    1225,  1113,  3241,   197,   756,  3066,  1272,   894,   830,  2712,
    1259,    36,     0,     0,  3422,    21,  3424,  1899,    44,  1502,
     882,   883,   847,  3131,  2962,   216,   897,   662,  3191,   760,
     892,  1592,  3920,  3517,  3722,   951,  2067,  3605,     6,   230,
    3947,  2030,  1622,  1623,  1087,  1581,  1626,  2068,  1091,   863,
    1244,    45,  2984,  1096,  1248,  3969,  2049,  1251,  1252,  1727,
    3469,    23,  3093,  1106,  3668,   976,  3670,  4269,  3527,  3078,
     664,  3475,  4827,  2106,    36,  3936,  4312,  1120,  3872,  4291,
     715,  2733,  2734,   175,   761,  1559,  1569,  1459,   191,  1971,
    1001,  1912,  4615,  4592,     8,  1006,   191,  4353,   751,  5221,
    3640,    15,  3642,  4598,  4399,  4560,  4603,  2082,  1151,  4729,
       2,  4731,  5312,  3491,   843,  5352,  3525,    35,  4843,  3381,
    4845,   197,   198,   199,    42,  5446,   202,   762,  2628,  2696,
     206,  5343,   208,  1694,  1695,   211,  3074,  5141,   214,  2591,
    5092,   217,  3537,  2595,   220,  1619,   222,  4602,   962,   225,
      50,  3934,  1688,   229,  5482,   231,   738,    41,  2063,  2064,
    2065,  2066,  1636,  3284,  2069,  2698,  2071,  2072,  4917,  3376,
     752,  5494,  5136,   936,   736,  2675,   936,   739,     0,  1715,
     815,  5443,  1102,     6,     0,    15,     0,     0,  5140,  5401,
      11,  1542,  5750,  4767,     0,    38,  5734,    21,  1118,   225,
      95,     6,  5999,    63,     6,    11,     6,    25,   843,     6,
      15,    16,    54,    15,    16,  2036,  2669,     6,    63,    47,
      47,  4452,   120,    29,    80,     6,    15,    16,    63,    11,
       6,    43,  3474,   868,  3476,  3477,    43,  1051,  3031,     6,
    3033,  3034,   120,     6,    13,  3038,  3039,  3040,     6,  3042,
    3043,  3044,    13,  5149,     6,    47,   122,    21,     6,  1081,
      80,    80,     0,   184,    11,    80,   960,  5408,  5409,   178,
     171,    80,    92,    11,     6,    92,     6,     6,     6,   977,
       6,     6,     6,    23,    45,  1010,    35,    21,   880,   881,
       6,    29,   171,    63,  1019,   930,   189,   120,  1878,   891,
     222,     6,   189,  5433,  1029,     3,   177,  1001,     6,    21,
       5,  6006,  1006,    85,   177,    37,    11,    78,  6040,    63,
    5633,  4616,   140,     5,   178,     3,   302,     5,     6,    11,
     201,   122,    63,    11,   206,  6127,  1623,   314,   120,  1626,
     171,    76,   314,    63,   329,   329,  1415,   155,   186,  1047,
     324,    27,   183,   329,   177,   177,   188,  6113,  6114,  1471,
     226,   177,   293,   177,   177,  1403,    63,     6,    42,   351,
     201,   177,  1103,   343,    50,   112,  4693,  4694,  4695,   201,
    4697,  4698,  4699,  4700,  4701,   201,   388,   201,   201,   179,
     401,    37,   366,    37,  1463,   201,   401,  5361,   402,    78,
    5958,   288,    63,    29,   359,   296,   446,    29,   383,   446,
      80,  5949,  1047,   366,    99,   155,    58,   115,   385,   378,
     205,   198,   199,    37,  5752,   202,   292,   401,  1290,  1291,
    4929,  6337,   383,   683,    37,   226,  5648,  6381,   487,   177,
      13,    29,   120,   490,   322,   222,    80,   383,    36,  6241,
     388,   490,   229,   171,  1620,  6438,    80,  4931,    92,    13,
    1322,   532,  1333,   201,     5,  4939,   537,   514,    92,  6452,
      11,  1637,    45,   297,   328,   514,   371,   195,   448,  5483,
     418,   417,   433,   733,   451,    88,   533,   129,   537,   355,
     681,   177,  6436,   446,   469,   193,   687,   537,   183,    29,
     537,   292,  1571,   288,  6410,    78,    36,    29,   699,   135,
     148,   470,   372,   135,    36,    13,   177,   408,   177,    80,
     310,   476,   354,   493,    13,   199,   537,   372,  1205,   533,
     267,   533,   537,   297,   184,   272,  1265,   372,   469,  1353,
     378,   217,   122,   221,   177,   376,   177,    45,   533,   533,
     177,   533,   384,   407,  6310,  5868,   177,   533,  6116,   533,
     537,   433,  6284,   297,   355,   537,  5696,  6262,    92,  1383,
     305,  1040,   184,   271,  6366,  5300,   274,   194,   256,   301,
      78,   297,   475,   401,  1522,   297,   142,   663,   475,  1171,
     446,  1878,   297,   669,   127,   671,   404,   673,  1460,   477,
     676,   156,   372,  5865,   243,  4399,   332,   683,   668,   201,
    1653,   490,   688,  1656,   690,   537,   537,   429,   446,   490,
     696,   125,   429,   446,   533,   523,   446,   446,   372,  5957,
    1265,   446,   533,  4427,   451,  1725,  1726,   446,   419,   420,
    3093,   372,   537,   383,   720,   762,    32,  1665,   476,   476,
    1232,   469,   372,   729,  6451,   533,   668,   733,    23,  4871,
     736,  1243,   668,   739,   404,   387,  6463,   668,  6226,  1398,
     533,   537,  1424,  5247,   766,   372,    23,   537,  1260,   755,
     668,   668,   870,  4571,   476,  1723,  6224,  1279,  1280,   461,
     533,   533,   537,   523,   392,  2046,  1607,   446,    23,  4930,
     523,   531,   537,  1401,   480,   535,  1626,    29,  1406,  1407,
    4941,   532,   535,   537,   536,    22,   354,   939,   524,   525,
     536,    28,   536,   536,  4612,  1317,  1489,   388,   533,  1489,
     536,   533,   808,   533,   531,   776,   533,   778,   535,   780,
    5744,   817,   524,   525,   533,   786,  4434,   514,   515,  1732,
    4611,  6309,  4440,  5894,   476,   761,  1643,   533,  1678,  1679,
     529,   837,   838,  1398,   840,   841,   533,   537,   529,   845,
     533,  1406,  1407,   537,  1999,   533,   446,   524,   525,  6107,
    1973,   533,   808,   859,  5748,   533,   524,   525,   864,   514,
     515,  6053,  6054,   537,   870,   490,  1058,  6120,   536,  6357,
    1062,   533,  1064,   533,   533,   533,   537,  1061,   533,   533,
     508,  1061,   446,  2006,  6135,    29,  4356,   537,  4358,   514,
    1545,   482,  4616,   411,   927,  2018,  3764,  3765,  4232,   524,
     525,  3769,   927,    72,  6046,  4244,  4098,  4099,   864,  4248,
     537,   917,   524,   525,  1436,  1437,   524,   525,   494,  1547,
     494,   537,   531,  6065,    25,   931,   535,   460,  1052,  1557,
     929,   929,   929,   929,   929,   929,   929,   929,   944,   929,
     929,   929,   929,  1567,   929,   929,   790,  5626,   537,  4662,
     494,   411,  1607,   959,   953,   446,  5203,   537,  3540,   411,
    3542,   494,    25,   473,   671,   533,   673,   262,  3907,   676,
    6228,  4108,   978,  1614,   537,   931,   537,   983,   984,  4304,
     537,   125,   533,   690,   153,   262,   533,   929,   944,   696,
     177,  4183,   446,   929,  1862,   537,  1620,   103,   929,  3496,
     486,   486,  2669,   959,   173,   157,  3436,   262,   471,  1015,
    1016,   929,   929,  1637,    32,   537,  1644,   177,  1542,  5953,
    1648,  1649,  4520,   526,   527,   528,   529,   841,   177,  1879,
    4081,   845,  1038,  1039,  3497,   469,  3904,  5466,   113,   140,
    6127,   871,   526,   527,   528,   529,  1052,  2067,  1054,  2048,
    6308,  4521,  1058,   369,  5936,  1061,  1062,  6199,  1064,  4231,
    1459,  4233,  4234,  1069,   179,  6232,  6233,   383,    37,   385,
    5952,   113,   216,    52,    51,   288,    51,   140,   113,   120,
     186,  1199,   184,  3466,   336,   125,  3469,  1093,  5473,  3607,
      63,    63,    23,  6145,  1100,  1101,   524,   525,   526,   527,
     528,   529,    23,   125,  2103,   524,   525,   526,   527,   528,
     529,   388,   346,   322,   136,   120,  1122,  1123,  1124,  4427,
    1126,   152,  1128,   292,  1130,  1131,   115,  3850,   165,    40,
    5956,   343,    23,   388,  3517,   451,   135,   178,   125,   125,
     125,   436,  3525,    54,   396,     6,  3528,     6,  6399,  4647,
    5375,   120,   113,    37,  6241,    68,  1908,  6287,  1164,   436,
    1166,  1167,  5348,   155,   311,   189,   288,  1015,  1016,  4583,
    5825,    28,   467,   358,  6108,   344,   216,    64,   324,    39,
     332,   436,   288,    89,   154,    72,   438,   266,   440,   220,
     467,   308,  6359,  1199,    23,   310,   115,   492,   308,   446,
     111,    25,   481,  2920,   193,   173,   292,    31,  2015,  2016,
      13,   297,   467,   292,  1842,   492,   253,   196,   448,  1225,
     122,  1227,   201,   324,   471,  1231,   132,  1233,   268,   216,
     216,   216,    23,   203,  1352,    92,   448,   492,   533,    25,
      10,   163,    45,    13,   366,    31,   171,    17,    18,    19,
     394,  1257,   293,  1259,   533,   401,   533,  1263,    72,   446,
    1825,   324,     3,   493,   288,   366,   352,    23,   477,  1205,
     130,  1277,  5822,   252,   193,    78,   983,   984,   533,  6366,
      25,   493,   271,   314,  3001,   274,   446,   292,   312,  5716,
    3872,  6117,  6422,   292,  1976,   464,   509,   446,   483,   533,
     401,  5138,  5731,   366,   215,  1352,   421,  5125,  1481,  5762,
    2831,  5740,  1430,  1319,  1136,   288,   140,  5742,  5162,  5746,
    2733,    23,   179,  2005,   226,   469,  3077,  2009,   309,  6381,
    5715,   262,  2014,  2799,    23,  2017,   523,   443,   401,  3300,
    5131,   262,  1348,  1349,  1350,   314,  1352,  1054,   535,   156,
      91,   369,   271,  1936,   140,   274,  2100,   299,   433,   511,
    5745,  5790,  1069,  3881,  1208,  2667,  1210,  1373,  1212,   256,
    1214,   262,  1216,  1217,  1218,   288,  1983,   288,  1496,  1223,
    3962,     3,   309,   388,  6436,  1968,   533,    25,   490,   311,
     292,   433,  4353,  1100,  1101,   140,   373,  1419,   433,   372,
     372,   308,   133,   392,   145,    99,  1412,   394,  6234,  3314,
    3315,   474,   404,   144,  3319,  2819,  4886,   301,  2884,  1126,
     314,   327,  3020,   533,  1430,   119,  3093,   406,   401,   469,
     471,  1943,   463,   262,  1614,   537,   297,   398,   297,  2080,
    4910,  1474,  1475,   368,  1477,  1957,   156,   469,  1940,  1474,
    1475,   475,  1477,   355,  5620,  3360,  3361,   388,  1970,  1166,
    1167,  1860,   156,  1955,    89,  3428,  1958,   388,   454,    91,
    1476,   262,  5614,   392,  1480,  1481,   189,  6162,   292,   390,
    4869,  6307,   469,   469,   469,  1491,  1492,  1493,  1494,   113,
    1496,   348,  6318,  4832,  4828,   366,   201,   388,  4837,    25,
     324,  4840,   140,  3110,   152,   436,   262,   132,   410,  5938,
     288,   120,     6,  1519,   495,   436,  2008,   383,   259,   508,
    2012,  2013,  2046,   401,   146,   309,    30,   323,   385,   471,
     401,   453,  6358,   439,   256,  1491,   467,  1493,   324,   776,
     310,   778,   366,   780,   533,   436,   467,   358,  1554,   786,
     787,   788,     3,  1559,   523,  5089,  1562,    89,   302,   388,
     262,   492,   531,   490,   533,   534,   535,  6393,   537,  1575,
    1576,   492,  2592,   262,   168,   288,   467,   401,  1584,   324,
     366,  1587,   302,   324,   395,   329,   208,   394,   433,   508,
    4628,   122,   449,   324,   451,  2594,    72,   388,   455,  6425,
     132,   492,   533,   120,   179,   253,   533,   436,  1614,   329,
    1616,   324,   533,  1619,   140,   401,  1622,  1623,   170,   309,
    1626,   366,   433,  4584,   531,  3129,   433,   309,   535,  1628,
    1636,     0,   388,  1639,  1633,   366,  1642,   240,   467,   302,
     534,   182,   533,   537,   120,   436,   401,  5484,  5685,    92,
    5687,  5375,    21,   366,  5691,  5692,   401,   180,   125,   537,
    1666,   366,  5848,   492,   288,   370,   329,   533,   362,   120,
     477,   266,   483,   140,   312,  6104,   467,   120,  1684,   240,
     436,  5472,   114,   490,   394,   288,   388,    56,   297,   283,
    1696,  1697,  1698,  1699,  1700,   436,   401,   475,   439,   388,
     394,   492,   327,   533,   533,   181,   490,   514,  1714,   331,
    1709,   467,  3125,   217,  1713,   256,  3129,  4585,    72,  1725,
    1726,  1727,   444,   433,   152,   266,   533,   288,  1684,  4591,
    2757,  2130,   370,   371,   436,  5867,   492,   165,    92,   433,
     977,   193,   533,   171,  5372,   374,   401,   436,   388,  1941,
     725,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     242,   207,   475,   401,   323,   467,   297,   477,  1952,  4547,
     216,  1951,  1952,   348,   206,    48,   751,   533,   467,   368,
     490,   122,   537,   477,   230,   490,  4509,   339,  5416,   533,
     492,  4514,   220,  6222,   355,   327,   490,   448,    71,  3466,
     490,   404,  3469,   492,   514,   322,  1930,   762,   490,   514,
    1047,   322,   666,   533,   439,   271,   292,  4399,  1824,   271,
     514,   297,   191,   533,   120,   253,   349,    10,   401,  1835,
     171,   533,    35,   124,    17,    18,    19,  1843,  1844,   533,
     462,   292,   401,   404,   533,  4427,   297,  1881,   470,   292,
    3517,   473,   323,  1859,   135,  1562,   137,   486,  3525,   382,
     815,  4244,   120,   159,  4825,  4248,   469,  1901,   344,   210,
     533,  1877,  1878,   396,   341,  6304,   304,   394,   124,   533,
    1587,   332,   537,   394,   360,   143,   314,  1893,  1894,  1895,
    1896,   149,    87,   533,  2067,  2068,  1902,   438,   194,   440,
    2080,   490,  2709,  1909,   758,   163,  1912,   439,   469,  2082,
     314,   434,  2729,   868,  5751,  5733,   433,    25,  2091,  6051,
     323,  1927,   433,    31,  1930,   514,   467,   312,   136,  2047,
     401,  2049,   223,   165,  1940,  1941,   392,  2055,   292,   324,
     392,  2930,  5979,  2061,  2062,  1951,  1952,   288,   537,  1955,
     168,   292,  1958,   156,   123,  2073,   388,  5296,    13,  1666,
     477,    94,   122,   120,   537,  2083,   477,  1973,  1974,  5760,
    4353,  2089,   167,   490,  1980,   930,  1982,   223,   832,   490,
     165,   366,   172,   471,   537,   239,   171,   391,   464,  1696,
    1697,  1698,  1699,  1999,     0,    38,   292,   514,   401,   431,
    2006,   433,  2008,   514,   137,  2011,  2012,  2013,   216,  2015,
    2016,   292,  2018,  5511,   171,   385,   533,  2064,   208,  2025,
     536,   253,   533,    78,   123,  5194,  2032,   245,   197,  2035,
    2036,  3154,   140,  2039,  4616,   463,  2042,  2043,    81,   297,
    2030,  2047,  6387,  2049,  6389,   533,   446,  1983,  2054,  2055,
     210,  6237,  4027,   307,   324,  2061,  2062,  2063,  2064,  2065,
    2066,  2067,  2068,  2069,  2070,  2071,  2072,  2073,   253,  2025,
    4045,  2077,   304,  2079,  2080,  2081,  2082,  2083,  2084,  2085,
    2086,   451,  1057,  2089,  2039,  2091,  2092,   177,  2030,  2095,
     532,   324,   362,  1068,  2030,   537,   366,   482,   197,  2030,
    5091,  3014,  3015,  3016,  2110,  2111,  2112,   358,  6453,  1084,
     123,   201,  2030,  2030,  5951,   383,     3,   385,  3622,   304,
     182,  4082,  2128,   523,  3537,  5969,  4087,   310,   288,  2757,
    2980,   401,   292,   366,  3547,   535,  1843,  1844,  4061,  5130,
    3747,  1985,  2983,  1987,   395,  1989,  4097,  1991,   492,  1993,
    2042,  3347,  1859,  1997,  5115,  5324,  2908,  5326,  2910,  5950,
     324,   180,  2168,   324,  1401,    35,  2910,  5505,   401,  1406,
    1407,  5110,   165,  3146,  2829,    27,  6362,   471,   171,     5,
    5714,   481,   433,   451,   197,    11,  1893,  1894,  1895,  1896,
     346,  4003,  2757,   537,   256,   453,   324,  1434,    50,   366,
    4583,  4584,   366,   324,    91,   366,  1443,   465,  1445,  3622,
    3720,  5079,  1449,  5081,  4119,  4120,  4121,  4122,   490,  1456,
    4125,  4126,  4127,  4128,  4129,  4130,  4131,  4132,  4133,  4134,
     178,  3829,   483,   533,   401,   681,   451,  3835,   366,   533,
     401,   687,   514,   490,   371,   366,   490,  3097,  3098,  3099,
    3100,  4086,  3102,   699,   301,   370,  4091,  4092,   145,   324,
     253,  5354,    29,   179,   212,   537,  1241,  1974,  2667,  2275,
      92,   112,  6109,  1980,   401,  2930,  2958,  3127,  2960,   227,
     401,   152,  2964,   394,  4189,  4190,   401,   370,   431,  5787,
     537,  6449,   483,   537,   165,  5765,   358,   213,     3,   668,
     171,   366,   250,  4222,   490,  3771,  2934,  6417,  6466,   391,
    1547,   304,   412,  2968,  2942,  2827,    83,  2945,   401,    86,
    1557,    26,   433,  2329,   531,  5739,    93,   470,   535,  6439,
    5053,   172,  5055,  5056,  5057,  3531,   401,   437,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    25,  3003,   220,
     171,   537,  3818,    32,   121,  5316,  5694,   171,   265,    80,
     182,   100,   394,   382,  1601,  1602,   477,   208,  3120,    72,
     389,    92,   259,   490,   195,    78,   438,   396,   440,  2385,
      59,   195,   253,   152,   206,   292,    91,  5348,   243,    92,
    6227,   152,   761,   762,   355,  4230,   165,   514,    15,    16,
     282,   433,   171,  5650,   165,   467,   367,  1644,  5655,  5656,
     171,  1648,  1649,    91,   181,   434,   270,   120,  3079,   122,
    6238,   483,   533,  1628,   306,   324,   267,   194,  1633,   377,
    6048,   272,   523,   304,   256,   533,   397,   324,   457,   178,
     207,   146,  4825,   314,   535,   477,   514,   515,   308,  4832,
       5,   220,  3943,   313,  4837,   133,    11,  4840,   490,   220,
     534,  2168,   140,   537,   533,   533,   144,   366,  1005,  2868,
     143,   370,   308,   212,   451,   362,   149,   313,   181,   366,
       5,   391,   514,   370,   253,   368,    11,  1024,   227,   266,
    1027,   313,   253,    22,    19,  2894,   201,   514,   515,    28,
    1001,   533,   401,   208,  1709,  1006,   266,   210,  1713,  5847,
    3423,   250,    37,  2686,   401,    96,   533,    10,   534,  3201,
      13,   537,    69,    70,    17,    18,    19,   526,  2646,    33,
      34,   100,   531,  5494,   533,   304,   535,   383,   384,  3283,
     279,   526,  5635,   304,   534,   314,   531,   537,   533,   436,
     535,   206,   439,   314,   528,  2660,  2661,  2662,   927,   533,
     929,   535,   270,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,   438,  2579,   440,   528,  3204,  4244,  6396,   195,
     533,  4248,   535,  2589,  2590,  3327,  2592,  3329,  3330,   292,
     383,   384,   463,  2599,   297,  2994,    87,  2789,   534,  2791,
    2792,   537,   451,   490,   534,  1842,  2790,   537,   483,   178,
    2790,   531,  5573,   533,    10,   535,   438,    13,   440,   531,
     534,   533,  2628,   537,  2630,    59,   331,  2633,  2634,   451,
     243,  2637,  2629,  2639,  4539,  1610,  2642,   533,   377,   535,
    2646,   344,   464,   212,   533,   467,   324,  3448,  3449,    45,
     534,   418,  3776,   537,   421,   391,    52,   360,   227,    11,
    3608,  3060,  2786,  2669,   284,   285,   286,   287,   481,  2675,
    2676,  3426,  2628,   378,  6415,   534,   534,  6418,   537,   537,
    2686,   250,    78,   438,   362,   440,  4353,   431,   366,  2695,
    2696,   533,  3538,   535,   463,   490,  3644,   492,  5421,   533,
    4675,   534,   463,  2709,   537,  2826,   534,   308,   201,   537,
     279,  2717,   388,  2719,   534,   534,  4691,   537,   537,  2675,
    2676,   537,  6192,   401,  3723,   430,   533,  6197,  6198,  5767,
     408,   224,  5115,   534,   534,   294,   537,   537,  3482,   308,
     514,   515,  3383,   778,   779,   780,   383,   384,   783,   784,
     785,   383,   384,  2759,   150,  2761,  3548,   462,   793,  4720,
    5628,   464,  5638,  5639,  4371,   470,  4727,  4728,   473,  2775,
     531,  2669,   534,   534,   535,   537,   534,  3932,    59,   537,
    2786,  4593,   483,  2789,  2790,  2791,  2792,   534,   534,  2795,
     537,   537,  2798,  5375,   534,    48,  2714,   537,  2919,   534,
     196,  3429,   537,   510,  2759,   201,  2761,   534,   377,   534,
     537,   534,   537,  2819,   537,   226,   534,   310,  3217,   537,
    2057,  2058,   535,   534,   534,  2831,   537,   537,   534,  2093,
     534,   537,  2096,   537,  4355,   394,  1205,  2074,  2075,  2845,
    2846,  6179,  2798,   308,   534,   534,  2852,   537,   537,   534,
     534,   534,   537,   537,   537,  2861,   252,    10,   293,   294,
      13,   311,  1837,   534,  3429,  4044,   537,   534,  2105,  4335,
     537,  3913,   534,  1848,   433,   537,  6045,  2883,  4369,  3000,
    4371,  6351,   534,  3565,   490,   537,   492,  5848,   171,  1864,
     534,  4304,    45,   537,   534,  5814,  5815,   537,  2904,    52,
     534,   308,  3875,   537,  1273,   534,   534,   534,   537,   537,
     537,  2917,   510,  5296,   310,  5497,  4583,  4584,   477,   534,
     534,   311,   537,   537,  1293,    78,  2633,  3586,   490,   534,
     492,   490,   537,  5316,  2940,   534,    48,  2943,   537,  3338,
     438,  4407,   440,  1918,   534,  3344,   534,   537,  2904,   537,
     534,  6012,  6013,   537,  3609,   514,   510,   534,  1933,   394,
     537,  1936,  1937,  2969,  2970,  5348,  3718,   534,    54,    55,
     537,  3723,  5605,   534,   533,   534,   537,   536,  2984,   226,
    2986,  2987,   534,  1352,   534,   537,  2957,   537,   534,   526,
     176,   537,  1967,  1968,  5955,   537,   534,   150,   433,   537,
     533,   480,   534,  5871,  5872,   537,   534,    37,   534,   537,
     406,   537,  3018,  3019,  3020,   533,   340,   534,  3024,  3869,
     537,  3586,   533,    59,   534,  6363,  3032,   537,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   534,   534,  3045,
    3695,   537,   477,   196,   533,  3051,   534,  3053,   201,   537,
    3562,  3563,   534,   177,   534,   490,  3248,   537,  3250,  3251,
    3066,   534,   222,  4600,   537,  3071,   534,   534,   222,   537,
     537,  3077,   534,   534,  3080,   537,   537,   534,   534,   514,
     537,   537,   534,   201,   533,   537,  3092,  3093,  2795,   534,
     494,   534,   537,  4289,   537,   533,   535,  3103,   533,   252,
     438,   534,   440,  6441,   537,  1474,  1475,  3113,  1477,  3115,
     534,  5494,  6103,   537,  4605,   534,   512,  4621,   537,   534,
     534,  3245,   537,   537,   533,   152,    33,    34,   524,   525,
     526,   527,   528,   529,  2109,   366,   534,   534,   165,   537,
     537,  3314,  3315,   490,   171,   492,  3319,   533,  3154,  3901,
    3156,   534,  3158,   534,   537,   157,   537,   310,  4825,  6120,
     135,   534,   137,  4162,   537,  4832,   534,   533,   535,   537,
    4837,  1206,   534,  4840,  1209,   537,  1211,   157,  1213,   534,
    1215,   490,   537,   492,  1219,  3191,  5844,  3360,  3361,   534,
    5573,   536,    99,   220,  3112,  3093,   201,   308,  3316,  4354,
    3712,   534,  4357,  3383,   537,  4360,   534,   366,  4621,   537,
    3328,   534,   119,   534,   537,   534,   537,   536,  3877,   308,
    3879,   534,  3734,  4213,   537,  4215,   253,   157,  4814,  4031,
    4816,   157,  4249,  2940,  4251,   201,  2943,  3919,   157,  3245,
    3246,  1491,  3248,  1493,  3250,  3251,  3364,  3253,  4216,   156,
    5277,   308,  5279,   406,  3260,   171,   366,   157,   251,  3265,
     122,   471,   308,  4262,  1710,  5226,  5227,   533,   301,  3316,
    6231,   534,   171,    72,   292,    38,  6237,   304,   292,   494,
     308,   533,   292,    48,    48,   292,   456,   314,   292,    10,
    3408,    91,    13,   324,   483,   483,    17,    18,    19,    87,
    4299,   451,  3961,   171,   347,   157,   157,   533,  3314,  3315,
    3316,  3491,  3877,  3319,  3879,   157,   157,  3364,   494,   157,
     157,  3327,  3328,  3329,  3330,  3032,   537,   157,  5233,   157,
     157,   157,   157,   157,  4016,   171,   157,  3343,  3045,  4946,
    3346,   157,  3348,   157,  6122,   157,  3053,   157,   308,   433,
     533,    38,   171,   251,  3360,  3361,  5739,    10,  3364,   512,
      13,   308,   171,     6,    17,    18,    19,   533,     6,   533,
     533,   524,   525,   526,   527,   528,   529,  3383,   171,  3385,
    3892,  3387,  3894,  3389,   533,  3092,    10,   533,   533,    13,
    4911,   533,    45,    17,    18,    19,  3961,  4370,   533,    52,
     533,  6362,  3408,     6,     6,  3411,  3113,   533,   533,  3415,
     533,    35,   533,   533,   533,     6,   533,   533,   533,   533,
    2657,  2658,  3469,     6,  4052,    78,  2663,   533,   533,   533,
    3436,   533,   533,   533,   533,   533,   463,  1883,   533,   533,
     533,   533,   299,   533,   491,  1891,   100,   320,  5115,  3156,
     533,  3158,   533,  1899,   533,   362,   533,   533,  2695,  2696,
    3466,   533,   533,  3469,  3470,  5848,   166,   222,  3474,  3475,
    3476,  3477,  3871,   537,  3521,   537,     0,  3483,    38,    38,
    3436,  4327,  3488,   103,   251,    38,    37,   394,   533,  4644,
     444,   444,  3416,  3417,  3418,   446,   531,  3503,  1944,   531,
      60,   446,   446,   224,   531,   446,   177,   533,   535,  4301,
     171,  3517,   537,   304,   171,  3521,   302,   401,  3524,  3525,
    2757,  3527,    68,   446,   178,  1971,   433,   135,   446,   137,
     388,   446,   482,   446,   388,  4047,   535,   446,   446,  3246,
     388,   253,   446,   196,  4517,  5520,  3253,  4495,   201,    79,
     446,   523,   112,   446,    92,   163,   388,   157,   212,    38,
     308,   446,  3568,   248,   393,   446,   297,   128,  3466,   446,
     477,  3469,  5955,   227,   481,    99,   470,   436,   329,   308,
     383,    60,  6360,   490,   302,   533,  3592,  3593,   194,   310,
     446,   446,  4505,   533,    92,   135,   250,   137,   537,   252,
     224,   128,   324,   201,   471,   157,   471,   514,  2845,   128,
     114,   446,   446,   446,  1983,   446,   128,    59,    59,  3517,
     228,   276,  3628,   163,   446,   279,   533,  3525,   152,  5296,
    3636,   446,   312,   112,   351,   446,   351,   351,   446,   446,
    5545,   165,   446,   329,   204,   446,   329,   171,   446,  5316,
     446,   446,   446,   177,   308,   436,   446,   310,    47,   183,
     534,  2030,   186,   446,   446,   537,   190,   446,   446,   446,
     224,  5576,   538,   308,   224,   224,   284,   285,   286,   287,
    3686,  5348,   224,   291,   292,   224,   310,   224,   228,   297,
     224,   224,  3872,   224,   308,  2064,   220,  2934,   224,   446,
     456,    38,   262,   157,  3710,  2942,   157,   267,  2945,   308,
     533,   292,   272,   120,  3720,   308,   482,   471,   157,  2088,
    2957,   157,   157,   377,   259,   204,   292,   292,   288,   253,
     292,    38,    38,   171,   243,   157,   533,  6120,   390,   157,
     157,   533,   157,   471,   284,   285,   286,   287,  5161,   533,
     446,   291,   471,   406,   301,   296,  4155,   297,   177,   486,
     533,   276,   534,   323,    13,   276,   537,   446,   537,   194,
     186,   533,   533,   533,   319,   448,   534,   534,   531,   392,
     304,   194,   534,   262,   308,   510,   510,   274,   267,   534,
     314,   534,    54,   272,   534,   487,   220,   404,   537,  4427,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   288,
     240,   371,   309,  2788,   537,   471,    38,   471,   317,  2794,
     471,    59,   482,  3829,   534,   388,   533,  5494,   297,  3835,
     297,   297,   533,   171,   446,   395,   446,   446,   297,   101,
    3846,    48,   410,   308,   323,   453,   308,   240,  6231,   533,
     374,   297,   292,   240,  6237,   251,   416,   465,   383,   512,
     251,   251,   270,   308,   126,  4864,   446,  2842,   521,   522,
     523,   524,   525,   526,   527,   528,   529,  3883,  3884,  3885,
     436,   128,   308,   145,   201,  3592,  3593,   537,   150,   537,
     366,   401,   371,   490,  3900,   195,   308,   521,   522,   523,
     524,   525,   526,   527,   528,   529,  5573,   467,  3914,   433,
     172,  2280,   398,   453,   176,   314,   395,   446,   446,   534,
     308,   355,    38,   224,  4097,   465,  3932,  3933,  3934,   191,
     243,   523,  3938,   157,   302,   471,   350,   416,   171,   463,
     483,  5478,    38,   434,  3950,  5100,  4119,  4120,  4121,  4122,
     471,   351,  4125,  4126,  4127,  4128,  4129,  4130,  4131,  4132,
    4133,  4134,  4779,   487,   173,   489,   490,  3204,   157,   533,
     398,   157,   157,  4847,   534,   533,   302,   471,   292,  6362,
    4153,  4663,  4664,  4665,  4666,  4667,    38,   511,   467,   490,
      38,    27,   308,   292,  3950,   243,  4114,   308,   302,  4398,
    4006,  4400,   192,   171,   192,    38,   172,   531,    60,   243,
     534,   535,   536,   398,  4020,  4021,  4189,  4190,   171,   308,
     292,   201,   201,   201,   201,  4031,   201,  4426,  3946,   537,
    4148,   537,   537,   494,   537,   297,    59,   446,  4044,   535,
     533,  4669,   177,   273,   308,  4197,   490,   537,   301,   534,
     534,   534,   177,  4565,  4566,   511,  4859,  4063,   314,   534,
     112,   534,   374,  4236,  3982,   537,  4072,   537,   320,   537,
     476,   534,  5739,   537,   534,  4031,   534,  3052,   135,   534,
    4086,  4199,   534,   533,  4090,  4091,  4092,   534,  5061,   537,
     352,  4097,   177,   330,  4100,   291,   446,  4103,   177,   510,
     537,   534,   534,  4109,   533,  4111,   487,   534,  4114,   266,
     514,   534,   533,  4119,  4120,  4121,  4122,   186,   469,  4125,
    4126,  4127,  4128,  4129,  4130,  4131,  4132,  4133,  4134,   181,
     533,   533,  4138,  4139,  4140,   532,   534,   532,   513,  3846,
     261,   533,  4148,  5634,   487,   477,   308,  4153,  4195,   533,
     533,  4157,   204,   523,    59,   311,   308,   308,   157,  4165,
     446,   446,  4168,   446,  4170,    10,   297,   214,    13,   160,
     446,   533,    17,    18,    19,   292,   533,   157,   206,   533,
    4186,  5848,   421,  4189,  4190,   401,   157,   393,  4194,  4195,
    3427,   157,  3429,  4199,   393,  4201,  4202,   251,   393,   206,
     160,   308,   523,   446,  4210,  4211,  4212,   160,  3445,  4850,
     262,   471,   388,   487,   253,   267,   331,   331,   468,  4399,
     272,   160,   263,   446,  4230,  4231,  4232,  4233,  4234,   446,
    4236,  4237,  4222,   446,  4240,   418,   288,   263,  4244,   263,
     388,   446,  4248,   446,   446,   446,   446,  4427,  4254,   388,
     388,   388,   446,   446,   446,   128,   401,  3232,  3495,  3496,
    6165,  6166,   292,   157,  6169,   446,  2635,    47,    47,   534,
     224,   323,  3247,   446,   446,  4281,  2722,  3252,  4677,   534,
    4222,  4205,  4206,  4207,  4208,   189,  4222,   224,  5955,   534,
    4296,  4222,  4298,   534,  2740,   312,   532,   537,  2744,  4006,
    2669,   456,  2748,   534,  4222,  4222,     3,  3282,  4936,   171,
      48,   113,   537,   534,   171,   533,    38,   157,   446,   371,
     534,   157,   171,   302,   189,   523,  2772,   471,  5080,   533,
     471,   157,   388,   388,   398,   388,   155,   388,  5020,  5021,
     537,  5023,   388,   395,   155,  2714,  4244,  4353,  4354,  4355,
    4248,  4357,   224,   224,  4360,  5768,  4362,   224,   224,  5272,
    2806,   224,   531,   224,   416,   224,  4539,   464,   224,   224,
     147,   464,   308,   534,  4380,   228,   308,    59,   308,   224,
    2826,   308,    13,   537,   534,   320,   177,   534,   534,   291,
     482,   534,   534,  5306,   534,  4907,   227,   318,   227,   532,
     534,   537,   534,   533,   435,   534,   533,   533,   315,    59,
     533,   443,   190,   374,   476,   467,    90,   171,   456,  2865,
      38,   471,     0,   243,   446,   214,   471,    59,   436,  4435,
     157,   471,    86,   418,   181,   456,  4616,   393,   388,   160,
     446,   446,   446,   446,   446,   388,  2892,   534,   534,   366,
     534,   533,  2898,  6120,    59,  4353,   490,   533,    10,   436,
     171,    13,   477,    78,   308,   310,  2912,   157,   113,   456,
    4441,   534,   224,  2919,   224,   224,  2922,   240,  6085,   224,
     209,  4452,  2928,   446,  4490,   494,   308,    38,   537,   533,
     533,   533,   329,    45,   308,   305,     3,   534,   533,  5011,
      52,   456,  2948,    44,   446,   534,   398,   183,  2954,   184,
     537,   113,   537,   533,   177,  2961,   224,  4523,   534,   145,
     534,    99,   241,   241,   297,   297,    78,   297,   297,  2975,
     177,  4537,    59,  4539,   534,   320,   534,   534,   534,   488,
    4546,   488,   537,  2989,   534,   329,  4552,   533,  5671,   537,
    5673,   534,   533,   443,  3000,   227,   489,  4563,    10,   533,
     302,    13,   446,   456,  6231,    17,    18,    19,   177,   208,
    6237,   523,  4578,    78,   152,   490,   195,  4583,  4584,   537,
     297,   195,    38,    35,   297,  4591,    59,   165,   436,   523,
      72,   537,   537,   171,  4600,  4768,  5108,   157,   150,   177,
     446,   160,   224,   446,  4610,   183,   534,  5289,   186,   533,
     127,   446,   190,   446,  3589,   179,  4622,  4623,  5300,   120,
      38,   288,  3597,   302,   201,   533,    38,  4633,   292,   471,
     398,   173,   398,   302,    59,  3872,   490,    84,  4644,  4645,
     436,    38,   220,   490,   196,   177,   308,  4765,  5455,   201,
     533,   171,   537,   211,   361,  5682,  4662,   222,  3895,   311,
     534,   177,   415,   533,  5819,   534,   534,   476,    59,    38,
    4850,   391,    81,    92,   534,   253,   521,   522,   523,   524,
     525,   526,   527,   528,   529,  4583,  4584,   136,   308,   446,
     202,  4609,   533,   320,   533,  6362,   534,  4703,    38,   157,
     252,   171,   534,   157,   534,   446,   534,   534,  5349,  5864,
     533,    38,   533,  4719,   297,   533,   533,   533,   533,   208,
     533,   264,   534,   471,   157,   533,   304,  3702,   533,  3704,
     308,  4737,   398,   113,    38,   534,   314,   312,   177,   534,
     456,   171,   413,  3112,   537,   413,  5387,    38,   534,   112,
      10,   308,   205,    13,   537,   537,  5911,  5912,   310,  4765,
     534,    38,  4768,    35,   476,   360,   533,   194,   533,  3215,
    4776,  4777,   224,   533,   533,   436,   471,  4783,  4784,   171,
     436,     6,  4788,   206,   308,    45,   164,  4793,  3234,   533,
    4796,  4797,    52,   533,   494,  3241,   374,  4803,   534,   533,
     384,  4807,  4808,  4809,  4810,    10,    72,   311,    13,    72,
     384,   536,   136,   490,   149,  4052,  4523,   490,    78,  4825,
     141,   486,  4828,   308,   475,  3800,  4832,   476,   534,   534,
    4537,  4837,   168,   330,  4840,  4841,   168,  4843,   537,  4845,
      45,   533,  4848,   265,  4850,   533,   401,    52,   442,   442,
     436,   177,   297,  4859,   406,   433,   436,  4863,   310,   398,
     308,  4867,   308,  4869,  5376,    38,    38,   311,   311,  3844,
     179,   202,   179,    78,   533,   533,  5903,   156,  4884,   353,
     533,   494,   494,   383,   353,   463,   153,    81,     6,    59,
     150,    59,    38,    59,   315,   367,   534,   533,    59,   446,
     422,   125,  5584,   469,   534,  4911,  4912,     6,   398,   487,
     533,   489,   490,   141,   308,   494,    35,   534,   494,   308,
     297,  4927,   533,  6078,   401,   533,   293,  4825,   293,  4884,
     533,  5920,    24,   511,  4832,   308,   196,   537,   537,  4837,
     316,   201,  4840,  4861,  4862,   150,   383,  3316,   383,   387,
      81,   387,   477,   531,   446,   177,   534,   535,   536,  4930,
     512,   533,   533,   424,   424,  3940,   149,   537,   476,   156,
    4941,   534,   524,   525,   526,   527,   528,   529,     6,   413,
     120,   413,   315,   477,   490,   534,   332,  4993,   490,   179,
     179,   196,   252,  5675,  5000,  3364,   201,   533,   476,   533,
     471,   534,  6157,  6158,  1153,    81,   929,   533,  5504,  3984,
    1159,  3429,   969,  1712,  2968,  1016,  5022,  3644,  4398,  3388,
    1169,  1407,  1015,  4373,  1173,  6069,  2877,  5426,  1177,  2995,
    1179,  5037,  3863,  5429,  3049,  3404,  1185,  5900,  6207,  4563,
    6195,  5478,  1191,  4371,  4371,  1194,  5070,   252,  5454,  3631,
     310,  3569,  5700,  4924,  5682,  6293,  6196,  5348,  6294,  5930,
    5233,  6089,  5068,  5929,  6231,  3637,  5115,  4584,  4595,   521,
     522,   523,   524,   525,   526,   527,   528,   529,  5084,   197,
    4610,  4553,  5873,  3063,  3063,  5091,  4393,  4579,   206,  3669,
    3911,  4066,  1011,  5109,  5100,  5461,   214,  3466,  4646,   217,
    3469,  5780,  3955,  5668,  6319,   310,  6455,  6430,  5445,  5115,
    3871,  4618,  5389,  5286,  6101,  5653,  5392,  5682,    18,   664,
      28,  1233,  5128,  1872,  5130,  4020,  5619,  4677,  4674,  6315,
    3079,  1916,  2734,  4621,  3547,  5504,  5768,  3583,  1913,  3966,
    1927,  3803,   749,  4118,  2994,  1951,   406,   716,  3517,  3720,
    5156,  4426,  3521,  6127,  6366,   858,  3525,  1526,  4652,  1825,
    4650,  5167,  4399,  3025,  2676,  4863,  4296,  6289,  4143,  5349,
    5614,  5617,  1423,  1384,    40,    40,  4719,  3488,  3503,  1484,
    6207,  1483,  6031,  2686,  5841,  3469,  4232,  5297,  1486,  4250,
    4427,  3466,  5573,  5572,  5386,  5375,  6343,  4297,  6025,  3466,
    6170,   406,  5828,  5387,  4441,  3466,  6382,  5387,  1440,  5127,
    5549,  4157,  2584,  5842,  5220,  4452,  5843,  5115,  3406,  3261,
    2585,  2084,  3388,  3386,  5230,  5866,  3024,  5233,  5792,  3376,
    5236,  5237,  5238,  6384,  3297,    -1,   917,  4089,  2674,  5431,
    2590,    -1,    -1,    -1,    -1,    -1,    -1,  3693,    -1,    -1,
      -1,    -1,   512,    -1,    -1,  5261,  5262,    -1,    -1,  5265,
      -1,    -1,    -1,    -1,   524,   525,   526,   527,   528,   529,
      -1,    -1,    -1,    -1,    -1,    -1,  5282,    -1,    -1,    -1,
    5286,    -1,    -1,    -1,    -1,    -1,  5292,    -1,    -1,    -1,
    5296,  4528,  4529,    -1,  5300,    -1,    -1,  5303,    -1,  5305,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,
    5316,    -1,    -1,  5319,    -1,  5022,    -1,    -1,    -1,   524,
     525,   526,   527,   528,   529,    -1,    -1,    -1,    -1,    -1,
    5037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5903,    -1,
      -1,    -1,  5348,  5349,  5350,    -1,  5352,    -1,  5354,    -1,
      -1,    -1,    -1,    -1,    -1,     6,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5545,    -1,    -1,    -1,    -1,    -1,  3824,  4616,
    5386,  5387,    -1,    -1,    10,    -1,    -1,    13,    -1,  6409,
      -1,    17,    18,    19,  5793,    -1,    -1,    -1,  5296,    -1,
      51,    -1,    -1,  5576,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    38,    -1,    -1,    -1,    -1,    -1,  5316,    -1,
      -1,  5128,    -1,    -1,    -1,  5431,    -1,    -1,    -1,    -1,
    5829,    -1,  4669,  5551,    -1,    -1,    -1,    -1,    -1,  5445,
      -1,    45,    -1,    -1,  5450,    -1,    -1,  5565,    52,  5455,
    5348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5464,    -1,
      10,    -1,    -1,    13,    -1,  5309,    -1,    -1,  5474,  5587,
      -1,    -1,  5478,    -1,    78,  5481,  5594,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5492,  5493,  5494,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,
      -1,  5900,    52,    -1,  6069,  5504,  5504,  5504,  5504,  5504,
    5504,  5504,  5504,    -1,  5504,  5504,  5504,  5504,  6431,  5504,
    5504,    -1,  5528,    -1,    -1,    -1,    -1,    10,    78,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,  5493,    -1,  5545,
      -1,  5459,    -1,  5549,    -1,  5551,   197,  5594,  5666,  5667,
    6302,  6303,    35,    -1,    -1,   206,   207,  4003,    -1,  5565,
      -1,    -1,  5504,   214,    -1,   216,   217,  5573,  5504,    -1,
    5576,    -1,  5490,  5504,  5580,    -1,  4022,  3946,    -1,   230,
    4026,  5587,    -1,    -1,    -1,    -1,  5504,  5504,  5594,    -1,
      -1,    -1,   196,    -1,  4569,    -1,  5494,   201,   224,    -1,
     150,    -1,   720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   729,    -1,  3982,    -1,    -1,    -1,    -1,   736,    -1,
      -1,   739,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5635,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5644,    -1,
      -1,    -1,  6207,  5350,    -1,  5352,   196,    -1,   252,    -1,
      -1,   201,    -1,    -1,  5660,  5828,    -1,    -1,    -1,    -1,
    5666,  5667,    -1,    -1,    -1,  5671,  5672,  5673,  5674,    -1,
      -1,    -1,    -1,    -1,    -1,  5573,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   310,    -1,  5866,    -1,    -1,    -1,
      -1,    -1,    -1,  4930,    -1,    -1,  5702,    -1,    -1,  4936,
      -1,    -1,   252,    -1,  4941,  5711,   310,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5837,
      -1,  5839,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5736,  4968,  4969,  5739,    -1,    -1,  4973,  4974,    -1,    -1,
      -1,   224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5764,    -1,
     310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5492,  5792,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1946,  5804,    -1,
      -1,    -1,   406,    10,    -1,  1954,    13,  5813,  5814,  5815,
      17,    18,    19,  5819,    -1,    -1,    -1,    -1,    -1,  5825,
      -1,    -1,  5828,  5741,    -1,    -1,  4195,   310,    35,    -1,
      -1,  5837,    -1,  5839,    -1,  5841,  5842,    -1,    -1,    -1,
      -1,  5739,  5848,    -1,    -1,    -1,    -1,    -1,  6021,  5855,
      -1,    -1,    -1,  4222,    -1,    -1,   406,    -1,  5864,    -1,
    5866,    -1,    -1,    -1,  5870,    -1,    -1,  6059,    -1,  5875,
      -1,    -1,    -1,    -1,    -1,  4244,    -1,    -1,    -1,  4248,
      -1,    -1,    -1,    -1,  4330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,  5911,  5912,    -1,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4894,
     524,   525,   526,   527,   528,   529,    -1,  5845,    -1,    -1,
      -1,    -1,    -1,    -1,  1052,  5941,  6128,  6129,    -1,    -1,
    1058,    -1,    -1,    -1,  1062,    -1,  1064,    -1,    -1,  5955,
    5848,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   512,    -1,    -1,  5672,    -1,  5674,    -1,    -1,
    6369,    -1,    -1,  4948,   524,   525,   526,   527,   528,   529,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6165,  6166,    -1,  4970,  6169,    -1,    -1,    -1,
    6006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    38,    -1,
    1128,   662,  1130,  1131,    -1,  6021,    -1,   224,    -1,  6025,
      -1,    -1,    -1,    -1,    -1,  6031,  4472,    -1,    -1,  4475,
     681,  6430,    62,    -1,  6040,    -1,   687,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    -1,   699,    -1,
      -1,    -1,    -1,  6059,    -1,    -1,  6455,  5955,    -1,    -1,
      -1,    -1,    -1,    -1,   715,  6071,    -1,  5042,    98,   720,
      -1,    -1,  6078,    -1,   725,    -1,    -1,    -1,   729,   730,
      -1,    -1,    -1,    -1,    -1,   736,    -1,   738,   739,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6103,    -1,    -1,
     751,   752,    -1,   310,  6110,    -1,    -1,    -1,    -1,    -1,
      -1,   762,    -1,    -1,  6120,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6128,  6129,  6130,    -1,    -1,    -1,  6134,    -1,
    4576,   161,    -1,    -1,    -1,    -1,    -1,    -1,  5375,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4593,    -1,    -1,
      -1,  6157,  6158,  6159,    -1,    -1,    -1,    -1,    -1,  6165,
    6166,    -1,    -1,  6169,   815,    -1,  6172,    -1,   198,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6299,    -1,    -1,  6102,  6127,   837,   838,  5163,  6195,
      -1,  6127,   843,    -1,  6241,  6201,  6127,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6127,
    6127,    -1,    -1,   243,  4583,    -1,    -1,   868,   248,   870,
      -1,    -1,  6120,    -1,    -1,  6231,  6232,  6233,  4674,    -1,
    6348,  6237,    -1,    -1,  5941,    -1,    -1,    -1,    -1,    -1,
    4609,    -1,    -1,   894,    -1,    -1,    -1,    -1,    -1,  6255,
      -1,  6443,  6444,    -1,    -1,    -1,  6262,    -1,    -1,    -1,
      -1,    -1,   292,    -1,  6270,    -1,   917,    -1,    -1,    -1,
      -1,    -1,  6278,    -1,    -1,    -1,    -1,    -1,  6284,   930,
      -1,    -1,    -1,  6289,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6299,    -1,   325,    -1,    -1,    -1,  6241,
      -1,    -1,    -1,    -1,    -1,  6241,    -1,    -1,    -1,    -1,
    6241,    -1,    -1,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,  6241,  6241,    -1,    -1,  5302,    -1,  6335,
    6336,  6337,  6338,  6231,    -1,    -1,    -1,  6343,    -1,  6237,
     370,    -1,  6348,    -1,    -1,   375,    -1,    -1,    -1,    -1,
      -1,    -1,     0,  6359,   384,    -1,  6362,    -1,    -1,    -1,
      -1,    -1,    -1,   393,  6071,    -1,    -1,    -1,    -1,    -1,
      -1,   401,    -1,    -1,    -1,    -1,  6382,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   414,    -1,    -1,  1038,  1039,  1040,
      -1,    -1,    -1,   423,    -1,    43,  1047,    -1,   428,    -1,
      -1,  1052,    -1,  6409,  6410,    -1,  1057,  1058,    -1,    -1,
      62,  1062,    -1,  1064,    -1,    -1,    -1,  1068,    -1,   449,
    6426,    -1,    -1,    -1,  6366,    -1,    -1,    -1,    -1,    -1,
    6366,    -1,    -1,  1084,    -1,  6366,    -1,  6443,  6444,    -1,
      -1,  6447,    -1,  6449,    -1,  5682,    98,    -1,  6366,  6366,
      -1,    99,    -1,    62,    -1,   485,    -1,    -1,    -1,   489,
    6466,    -1,    -1,  4832,  6362,    -1,    -1,    -1,  4837,    -1,
      -1,  4840,    -1,    -1,    -1,    -1,    -1,  1128,  2627,  1130,
    1131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,
      -1,    -1,  4861,  4862,  6201,    -1,    -1,    -1,    -1,     0,
      -1,    -1,    -1,    -1,   152,    -1,    -1,    -1,    -1,   161,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,  4965,
    1171,    -1,    -1,   171,    -1,  6232,  6233,    -1,    -1,   177,
      -1,  4977,    -1,    -1,    -1,   183,    38,    -1,   186,    -1,
      -1,    -1,   190,    -1,    -1,    -1,   198,    -1,  1199,    -1,
      -1,    -1,   161,    10,    -1,    -1,    13,    -1,    60,    -1,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   220,    -1,   222,    -1,    -1,    -1,    35,    -1,
      -1,  1232,    -1,    -1,    86,    -1,    -1,    -1,    45,   198,
    1241,    -1,  1243,    -1,    -1,    52,   248,    -1,    99,    -1,
      -1,    -1,    -1,    -1,    -1,   253,    -1,    -1,    -1,  1260,
     112,   113,    -1,    -1,  1265,    -1,    -1,    -1,   120,    -1,
      -1,    78,    -1,    -1,    -1,    -1,  1277,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,   248,
     292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   152,  6359,    -1,    -1,  5892,   304,   159,    -1,    -1,
     308,    -1,    -1,    -1,   165,    -1,   314,    -1,  1319,    -1,
     171,    -1,   324,   325,    -1,  5650,   177,    -1,    -1,   181,
    5655,  5656,   183,   292,    -1,   186,    -1,    -1,    -1,   190,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1348,  1349,  1350,
      -1,  1352,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   366,    -1,   325,    -1,   370,   220,
      -1,    -1,  1373,   375,    -1,    -1,   374,    -1,    -1,    -1,
      -1,    -1,   384,    -1,    -1,    -1,    -1,    -1,    -1,   196,
      -1,   393,    -1,    -1,   201,    -1,    -1,  1398,  5194,   401,
      -1,    -1,   253,    -1,    -1,  1406,  1407,    -1,  5127,    -1,
     262,   370,   414,   372,    38,   267,   375,   224,   225,    -1,
     272,   423,    -1,    -1,    -1,   384,   428,    -1,    -1,  1430,
      -1,   429,    -1,    -1,   393,    -1,   288,    -1,    62,    -1,
     292,    -1,   401,    -1,  5769,   252,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   304,    -1,   414,    -1,   308,  1459,  1927,
      -1,    -1,  1930,   314,   423,   463,    62,    -1,    -1,   428,
      -1,   323,  1940,  1941,    98,  1476,    -1,    -1,    -1,  1480,
    1481,    -1,    -1,   485,    -1,    -1,    -1,  1955,   295,   487,
    1958,   489,   490,    -1,    -1,  1496,    -1,    -1,    -1,    -1,
      -1,  1502,    98,   310,    -1,    -1,   313,  5832,    -1,    -1,
      -1,    -1,    -1,   511,    -1,    -1,    -1,    -1,    -1,   371,
      -1,    -1,    -1,   374,    -1,    -1,   485,    -1,  5324,    -1,
    5326,    -1,    -1,    -1,    -1,    -1,   534,   161,   536,   537,
    2008,    -1,    -1,   395,  2012,  2013,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   416,   161,   418,    -1,  1569,   421,
      -1,    -1,    -1,    -1,   198,    -1,    -1,  5296,    -1,    -1,
      -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,    -1,    25,
      -1,    -1,    -1,    -1,    -1,    31,    -1,    -1,    -1,   406,
      -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,  1610,
      46,    -1,   463,    -1,    -1,   467,    -1,    -1,    -1,   243,
      10,    -1,    -1,    13,   248,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,   487,    -1,   489,   490,
      76,    -1,  1643,    -1,  3143,    35,    -1,    -1,    -1,  3148,
      -1,  3150,   248,    -1,    -1,    45,    -1,    -1,    -1,    -1,
     511,  3160,    52,    -1,  3163,    -1,  3165,  3166,   292,    -1,
    3169,    -1,    -1,    -1,  3173,    -1,  3175,    -1,    -1,  3178,
     531,   533,    -1,   534,   535,   536,    -1,    -1,    78,    -1,
      -1,    -1,   288,    -1,    -1,   131,   292,   133,    -1,    -1,
      -1,   325,    -1,    -1,   140,   512,    -1,    -1,   144,  1710,
      -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    -1,  1725,  1726,  1727,    -1,   324,   325,
      -1,   538,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
    5459,    -1,    -1,  3242,    -1,    -1,   370,    -1,    -1,    -1,
      -1,   375,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   393,
     366,  5490,   208,    -1,   370,    -1,    -1,   401,    -1,   375,
      -1,    -1,  6369,    -1,    -1,  5504,    -1,    -1,   384,    -1,
     414,    -1,    -1,    -1,    -1,    -1,    -1,   393,    -1,   423,
      -1,    -1,    -1,    -1,   428,   401,   196,    -1,    -1,    -1,
      -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,   414,    -1,
      -1,    -1,    -1,    -1,  1825,   449,    -1,   423,    -1,    -1,
      -1,    -1,   428,    -1,   224,   225,  1837,    -1,    -1,    -1,
      -1,    -1,    -1,  6430,    -1,    -1,    -1,  1848,    -1,    -1,
      -1,    -1,   288,    -1,    -1,    -1,   292,    -1,    -1,  1860,
      -1,   485,   252,  1864,    -1,   489,   302,    -1,  6455,    -1,
      -1,    -1,    -1,    -1,    -1,  5594,   312,    -1,    -1,    -1,
      -1,    -1,  1883,    -1,    -1,    -1,    -1,    -1,   324,   485,
    1891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1899,    -1,
      -1,    -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1918,    -1,    -1,
     310,    -1,    -1,   313,    -1,    -1,  1927,    -1,    -1,  1930,
     366,    -1,  1933,   369,   370,  1936,  1937,    -1,    -1,  1940,
    1941,    -1,  1943,  1944,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1955,    10,  1957,  1958,    13,    -1,
      -1,    -1,    17,    18,    19,   401,  1967,  1968,    -1,  1970,
    1971,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    25,    -1,
      -1,    -1,    -1,    -1,    31,    -1,    -1,  2008,    -1,    -1,
      -1,  2012,  2013,    -1,    -1,    -1,   406,  6342,    -1,    46,
    5739,    -1,  5741,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2047,    -1,  2049,    76,
      -1,    -1,    -1,  2054,  2055,    -1,    -1,    -1,    -1,    -1,
    2061,  2062,  2063,  2064,  2065,  2066,  2067,  2068,  2069,  2070,
    2071,  2072,  2073,  3572,    -1,    -1,  2077,    -1,  2079,    -1,
    2081,  2082,  2083,  2084,  2085,  2086,    -1,    -1,  2089,    -1,
    2091,  2092,    -1,    -1,  2095,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   131,    -1,   133,    -1,  2109,  2110,
    2111,  2112,    -1,   140,    -1,    -1,    -1,   144,    -1,    -1,
      -1,    -1,   512,    -1,    -1,    -1,  5845,  2128,    -1,  2130,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      -1,   196,    -1,    -1,   534,   172,   201,   537,    -1,    -1,
      -1,    -1,    -1,    -1,  3653,    -1,  3655,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,   224,
     225,    -1,    -1,    62,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   208,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    -1,    -1,    -1,   252,    -1,    10,
      52,  2669,    13,    -1,    -1,    -1,    17,    18,    19,    98,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    -1,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,
     295,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6045,
      -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,   313,    -1,
      -1,   288,    -1,    -1,    -1,   292,    -1,    78,    -1,    -1,
      -1,    -1,   161,    -1,  2275,   302,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,
    3799,    -1,    -1,    -1,    -1,    -1,  3805,    -1,    -1,   198,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2786,    -1,
      -1,  2789,    -1,  2791,  2792,    -1,    -1,    -1,  2329,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    17,   366,
      -1,    -1,   369,   370,   196,    -1,    -1,    26,    -1,   201,
      -1,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   224,   225,   401,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6102,  2385,   196,    -1,    -1,    -1,    -1,
     201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,
     252,    -1,    -1,   292,    -1,    -1,    -1,    -1,  6127,    -1,
      -1,    -1,    -1,   224,   225,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,   324,   325,    -1,    -1,    -1,
      -1,   252,    -1,   295,    -1,    35,    -1,   474,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,   512,   310,    -1,
      -1,   313,    52,    -1,    -1,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    -1,    -1,   366,    -1,    -1,
      -1,   370,   537,    -1,   295,    -1,   375,    -1,    78,    -1,
      -1,    -1,  3991,    -1,  3993,   384,  3995,    -1,    -1,   310,
      -1,    -1,   313,    -1,   393,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6241,    -1,    -1,   414,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   423,    -1,    25,    -1,    -1,   428,
      -1,    -1,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   406,    -1,    -1,    46,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,  2576,  2577,    -1,  2579,    -1,
      -1,    -1,    -1,    35,    -1,    -1,    -1,    76,    -1,  2590,
      -1,  2592,    -1,    45,    -1,   406,   485,    -1,    -1,    -1,
      52,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,
      -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3093,    78,    -1,    -1,  2630,
      -1,    -1,    -1,  2634,   224,   225,  2637,    -1,  2639,    -1,
      -1,  2642,    -1,    -1,   133,  2646,    -1,  6366,    -1,    -1,
      -1,   140,    -1,    -1,    -1,   144,    10,    -1,    -1,    13,
     512,    -1,   252,    17,    18,    19,  2667,    -1,  2669,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,    -1,
      -1,    35,   534,   172,    -1,  2686,    -1,    -1,    -1,    -1,
      -1,    45,    -1,    -1,  2695,  2696,    -1,    -1,    52,    -1,
      -1,   512,    -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   208,
     310,  2722,    -1,   313,    78,    -1,   537,    -1,  2729,    -1,
      -1,    -1,  2733,  2734,    -1,    -1,    -1,    -1,    -1,  2740,
      -1,    -1,    -1,  2744,   196,    -1,    -1,  2748,    -1,   201,
      -1,    -1,    -1,    -1,    -1,    -1,  2757,    25,    -1,    -1,
      -1,    -1,    -1,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2772,   224,   225,  2775,    -1,    -1,  3245,    -1,    -1,
    3248,    -1,  3250,  3251,    -1,  2786,    -1,  2788,  2789,    -1,
    2791,  2792,    -1,  2794,    -1,    -1,    -1,    -1,    -1,   288,
     252,    -1,    -1,   292,    -1,  2806,    -1,    -1,    76,    -1,
      -1,    -1,    -1,   302,    -1,    -1,   406,    -1,    -1,    -1,
      -1,    -1,    -1,   312,    -1,  2826,  2827,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,    -1,    -1,
      -1,  2842,   196,   295,    -1,    -1,    -1,   201,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,
      -1,   313,    -1,  2864,  2865,   133,    -1,  2868,    -1,    -1,
     224,   225,   140,    -1,    -1,    -1,   144,   366,    -1,    -1,
     369,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2892,    -1,  2894,    -1,    -1,    -1,  2898,   252,    -1,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,
      -1,  2912,   401,    -1,    -1,    -1,    -1,    -1,  2919,    -1,
      -1,  2922,   512,    -1,    -1,    -1,    -1,  2928,    -1,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     208,   295,    -1,    -1,   534,    -1,    -1,  2948,    -1,    -1,
      -1,    -1,    -1,  2954,   406,    -1,   310,    -1,    -1,   313,
    2961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2975,    -1,    -1,    -1,    25,    -1,
      -1,    -1,    -1,    -1,    31,   474,   665,    -1,  2989,    -1,
      -1,    -1,    -1,  2994,    -1,    -1,    -1,    -1,  3466,  3000,
      -1,  3469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3018,  3019,  3020,
     288,    -1,    -1,  3024,   292,    -1,    -1,    -1,    -1,    76,
      -1,    -1,    -1,    -1,   302,    -1,   715,   716,    -1,    -1,
      -1,    -1,    -1,    -1,   312,    -1,    -1,    -1,    -1,  3517,
    3051,  3052,   406,    -1,    -1,    -1,   324,  3525,    -1,  3060,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,    -1,
      -1,    -1,   534,    -1,    -1,    -1,   133,    -1,    -1,    -1,
      -1,    -1,  3093,   140,    -1,    -1,    -1,   144,   366,    -1,
      -1,   369,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3125,   172,    -1,    -1,  3129,    -1,
      -1,    -1,   811,   401,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      13,    -1,   831,    -1,    17,    18,    19,    -1,   512,  4658,
     839,   208,  4661,   842,   843,   844,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    -1,    -1,    -1,    -1,
     534,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,
      -1,  4690,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   474,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3215,    78,  3217,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      13,  3232,    -1,  3234,    17,    18,    19,    -1,    -1,    -1,
    3241,   288,    -1,    -1,  3245,   292,  3247,  3248,    -1,  3250,
    3251,  3252,    35,    -1,    -1,   302,    -1,    -1,    -1,  3260,
      -1,    -1,    45,    -1,  3265,   312,    -1,    -1,    -1,    52,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,
      -1,  3282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    78,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3314,  3315,  3316,    -1,    -1,  3319,   366,
      -1,    -1,   369,   370,    -1,    45,  3327,  3328,  3329,  3330,
      -1,    -1,    52,   196,    -1,    -1,    -1,  3338,   201,    -1,
      -1,    -1,  3343,  3344,    -1,  3346,    -1,  3348,    -1,    -1,
      -1,    -1,    -1,    -1,   401,    -1,    -1,    -1,    78,  3360,
    3361,   224,   225,  3364,    -1,    -1,    -1,    -1,  1047,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    51,  3385,    -1,  3387,    10,  3389,   252,
      13,    -1,    -1,  4892,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3408,    -1,    -1,
      -1,    -1,    35,   196,    -1,    -1,    -1,    -1,   201,    -1,
      -1,    -1,    45,    -1,    -1,    -1,    -1,   474,  3429,    52,
      -1,    10,   295,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,   224,   225,    -1,    -1,    -1,    -1,   310,    -1,    -1,
    4949,  4950,    -1,    -1,    -1,    78,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3466,    45,    -1,  3469,   252,
      -1,    -1,    -1,    52,    -1,    -1,   196,    -1,    -1,    -1,
      -1,   201,  3483,    -1,    -1,    -1,    -1,  3488,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      -1,    -1,  3503,    -1,   224,   225,    -1,    -1,    -1,    -1,
      -1,    -1,   295,    -1,    -1,    -1,  3517,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3525,    -1,    -1,   310,    -1,    -1,
     313,    -1,   252,    -1,    -1,    -1,  3537,    -1,    -1,  3540,
      -1,  3542,    -1,   406,  5043,  5044,  3547,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1238,
      -1,  3562,  3563,    -1,    -1,    -1,    -1,  3568,    -1,    -1,
      -1,    -1,    -1,   196,    -1,   295,    -1,    -1,   201,    -1,
      -1,    -1,  3583,    -1,    -1,  3586,  1265,    -1,  3589,    -1,
     310,    -1,    -1,    -1,    -1,    -1,  3597,    -1,    -1,    -1,
      -1,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,
      -1,  3622,   201,   406,    -1,    -1,    -1,  3628,    -1,   252,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   224,   225,    -1,    -1,   512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,  3668,  3669,  3670,
      -1,    -1,   295,   252,  5173,  1354,    -1,  5176,  5177,    -1,
      -1,    -1,    -1,    -1,  1363,    -1,   406,   310,    -1,    -1,
     313,    -1,  3693,    -1,    -1,    -1,    -1,  5196,    -1,    -1,
    1379,  3702,    -1,  3704,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3712,    -1,    -1,    -1,    -1,   295,    -1,    -1,  1398,
      -1,    -1,  1401,  1402,    -1,    -1,    -1,  1406,  1407,   512,
      -1,   310,    -1,  3734,   313,    -1,    -1,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    -1,    -1,    10,
      -1,   534,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    -1,  4244,    -1,    -1,    -1,
    4248,    -1,    -1,   406,    45,    -1,    -1,    -1,    -1,    -1,
      -1,    52,   512,    -1,    -1,    -1,    -1,    -1,    -1,  3800,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,
      -1,    -1,    -1,  3824,    -1,    -1,    -1,   406,  3829,    -1,
      -1,    -1,    -1,    -1,  3835,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3844,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3871,  3872,    -1,    -1,    -1,    -1,  3877,    -1,  3879,    -1,
      -1,    -1,    -1,    -1,    -1,  4353,    -1,    -1,    -1,   512,
      -1,  3892,    -1,  3894,    -1,    -1,    -1,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    -1,    -1,    -1,
      -1,   534,    -1,  3914,    23,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,    -1,   196,    -1,    -1,    -1,  3940,
     201,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,    -1,    -1,    -1,   534,    -1,    66,    -1,    -1,
    3961,  3962,    -1,   224,   225,    -1,    -1,    -1,    -1,    -1,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3984,  1663,    -1,    -1,    96,    -1,    -1,
      -1,   252,  1671,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4003,    -1,    -1,   114,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4022,    -1,    -1,    -1,  4026,    -1,    -1,    -1,   138,
      -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   151,    -1,    -1,    -1,  4047,    -1,    -1,   310,
      -1,   160,   313,    -1,    -1,    -1,    -1,   725,    -1,    -1,
      -1,    -1,  4063,    -1,   173,  4066,    -1,    -1,    -1,    -1,
     179,  4072,    -1,    -1,    -1,    -1,    -1,   186,    -1,    -1,
      -1,    -1,    -1,   751,    -1,  4086,    -1,    -1,    -1,  4090,
    4091,  4092,    -1,    -1,    -1,    -1,  4097,   206,    -1,  4100,
      -1,    -1,  4103,    -1,    -1,    -1,    -1,    -1,  4109,    -1,
    4111,    -1,    -1,  4114,    -1,  4583,  4584,  4118,  4119,  4120,
    4121,  4122,  5621,    -1,  4125,  4126,  4127,  4128,  4129,  4130,
    4131,  4132,  4133,  4134,    -1,    -1,    -1,  4138,  4139,  4140,
      -1,    -1,  4143,    -1,    -1,   406,    -1,  4148,    -1,    -1,
      -1,    -1,  4153,    -1,  4155,    -1,  4157,   266,    -1,    -1,
      -1,    -1,    -1,    -1,  4165,    -1,    -1,  4168,    -1,  4170,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5677,    -1,
      -1,    -1,    -1,    -1,    -1,  4186,    -1,    -1,  4189,  4190,
      -1,    -1,    -1,  4194,  4195,    -1,    -1,    -1,  4199,    -1,
    4201,   310,    -1,    25,    -1,    -1,    -1,  1886,    -1,    31,
      -1,  1890,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   894,    -1,   337,  4230,
      -1,    -1,    -1,    -1,    -1,  4236,    -1,    -1,   347,   348,
      -1,    -1,   351,  4244,    -1,    -1,    -1,  4248,    -1,    -1,
      -1,   512,    -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   378,
      -1,    -1,   381,   534,    -1,    -1,   385,    -1,    -1,   388,
    4281,    -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,   398,
      -1,    -1,  5791,    -1,    -1,    -1,    -1,  4298,    -1,    -1,
      -1,    -1,    -1,  4304,    -1,    51,    -1,    -1,    -1,   418,
      -1,   133,    -1,    -1,    -1,    -1,    -1,   426,   140,    -1,
      -1,    -1,   144,    -1,   433,    -1,    -1,   436,    -1,  4330,
      -1,    -1,   441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     449,    -1,   451,    -1,    -1,    -1,    -1,   456,    -1,    -1,
     172,    -1,  4353,    -1,    -1,    -1,    -1,  4825,    -1,    -1,
      -1,   470,    -1,    -1,  4832,    -1,    -1,    -1,    -1,  4837,
    1038,    -1,  4840,  4841,   483,    -1,    -1,    -1,    -1,    -1,
      -1,  2060,    -1,    -1,    -1,    -1,   208,    -1,    -1,  1057,
      -1,    -1,  4393,    -1,    -1,    -1,    -1,  4398,  4399,  4400,
    1068,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    25,    -1,  1084,    -1,    -1,    -1,
      31,    -1,    -1,    -1,    -1,  4426,  4427,    38,    -1,    51,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     0,    -1,    -1,    -1,    -1,    60,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    76,   288,    -1,    -1,    -1,
     292,  4472,    -1,    -1,  4475,    31,    -1,    33,    34,    -1,
     302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     312,    -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,    -1,
      -1,   112,   324,    -1,    -1,    61,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    73,    -1,    75,
      76,    -1,   133,    -1,    -1,    -1,    82,    -1,    84,   140,
      -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,  4539,    -1,
      -1,    97,    -1,    99,   366,    -1,    -1,   369,   370,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     116,   172,    -1,   119,  4565,  4566,    -1,    -1,  4569,    -1,
      -1,    -1,    -1,  1241,    -1,  4576,    -1,    -1,   134,   401,
     136,    -1,  4583,  4584,   140,    -1,    -1,    -1,    -1,    -1,
      -1,   147,  4593,   204,    -1,    -1,    -1,   208,    -1,    -1,
     156,    -1,   158,    -1,    -1,    -1,    -1,    -1,    -1,   165,
      -1,    -1,    -1,    -1,    -1,  4616,  5084,    -1,    -1,    -1,
    4621,  4622,  4623,    -1,    -1,    -1,    -1,   183,    -1,    -1,
      -1,    -1,  4633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    25,    -1,   200,    -1,    -1,  5115,    31,    -1,
      -1,   262,   474,    -1,    -1,    -1,   267,    -1,    -1,    -1,
      -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4674,    -1,    -1,  4677,   288,    -1,    -1,
      -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6189,   302,    -1,    76,    -1,    -1,    -1,    -1,   254,   255,
      -1,   312,  4703,    -1,   260,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   323,   324,    -1,    -1,    -1,    -1,  4719,   275,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4737,    -1,   294,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     133,    -1,    -1,    -1,    -1,   366,    -1,   140,   369,   370,
     371,   144,    -1,    -1,  4765,    -1,    -1,  4768,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4776,  4777,    -1,  4779,    -1,
      -1,    -1,  4783,  4784,   395,    -1,   342,  4788,    -1,   172,
     401,    -1,  4793,    -1,    -1,  4796,  4797,    -1,    -1,    -1,
      -1,   357,  4803,    -1,    -1,   416,   362,   363,    -1,   365,
      -1,    -1,    -1,    -1,   370,    -1,    -1,    -1,    -1,    -1,
     376,    -1,    -1,   379,  4825,   208,    -1,    -1,  5296,    -1,
     386,  4832,    -1,    -1,  1502,    -1,  4837,   393,   394,  4840,
    4841,    -1,    -1,    -1,    -1,   401,    -1,  4848,  5316,   405,
      -1,    -1,    -1,    -1,    -1,    -1,   467,    -1,  4859,    -1,
     416,    -1,    -1,   474,    -1,    -1,  4867,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   433,    -1,    -1,
    5348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4894,    -1,    -1,    -1,    -1,   454,    -1,
      -1,  1569,    -1,    -1,    -1,   288,  4907,    -1,    -1,   292,
     466,  4912,    -1,    -1,    -1,    -1,   472,    -1,  5386,   302,
      -1,   477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,
    2609,    -1,    -1,    -1,   490,    -1,    -1,    -1,    -1,    -1,
      -1,   324,  1610,    -1,    -1,    -1,    -1,  4948,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    13,    -1,   514,    -1,
      17,    18,    19,  5431,  4965,    -1,    -1,    -1,    -1,  4970,
      -1,    -1,    -1,    -1,    -1,  1643,  4977,   533,    35,   725,
     536,    -1,    -1,   366,    -1,    -1,   369,   370,    45,    -1,
      -1,    -1,  4993,    -1,    -1,    52,    -1,    -1,    -1,  5000,
      -1,    -1,    -1,    -1,    -1,   751,    -1,    -1,    -1,    -1,
    5011,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   401,    -1,
      -1,    78,    -1,    -1,    -1,    -1,  5494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5042,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1725,  1726,  1727,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5068,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2757,    -1,
      -1,    -1,    -1,  5084,    -1,    -1,    -1,    -1,  5089,    -1,
      -1,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   725,    -1,  5573,    -1,  5108,    -1,    -1,
      -1,    -1,    -1,    -1,  5115,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   751,
      -1,    -1,    -1,    -1,  2813,    -1,    -1,    -1,    -1,   196,
      -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,   894,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5161,    -1,  5163,    -1,    -1,    -1,    -1,   224,   225,  1837,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1848,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5194,    -1,   252,  1864,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,  5220,
      -1,  2900,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5230,
      -1,    35,  5233,    -1,    -1,  5236,  5237,  5238,   295,    -1,
      -1,    45,    -1,  5711,    -1,  2924,    -1,    -1,    52,    -1,
    1918,    -1,    -1,   310,    -1,    -1,   313,    -1,    -1,    -1,
    5261,  5262,    -1,    -1,  5265,  1933,    -1,    -1,  1936,  1937,
      -1,  5739,   894,    -1,    78,    -1,    -1,    -1,    -1,    -1,
      -1,  5282,    -1,    -1,    -1,  5286,    -1,    -1,    -1,    -1,
      -1,  5292,    -1,    -1,    -1,  5296,    -1,    -1,    -1,  1967,
    1968,  5302,  5303,    -1,    -1,    -1,    -1,    -1,    -1,  2988,
      -1,  1057,    -1,  2992,    -1,  5316,    -1,    -1,  5319,    -1,
      -1,    -1,  1068,  5324,    -1,  5326,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1084,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5348,    -1,   406,
    3029,    -1,  3031,    -1,  3033,  3034,    -1,    -1,    -1,  3038,
    3039,  3040,    -1,  3042,  3043,  3044,    -1,    -1,    -1,    -1,
      -1,    25,    -1,    -1,  5375,  5376,    -1,    31,    -1,    -1,
    5848,    -1,    -1,    -1,    -1,  5386,    -1,    -1,    -1,    -1,
      -1,    -1,   196,    -1,    -1,    -1,    -1,   201,    -1,  2067,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2081,    51,    -1,  2084,  3096,    -1,    -1,
     224,   225,    76,    -1,    -1,  5426,    -1,    -1,    -1,    -1,
    5431,    -1,    -1,    -1,    -1,  1057,    -1,    -1,    -1,    -1,
      -1,  2109,  3121,    -1,    -1,    -1,  1068,    -1,   252,    -1,
      -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,
      -1,    -1,  1084,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    -1,    -1,    -1,    -1,   534,    -1,   133,
      -1,    -1,    -1,    -1,    -1,    -1,   140,  5955,    -1,    -1,
     144,   295,    -1,  5494,    -1,  1241,  5497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,   313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5528,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5545,    -1,    -1,    -1,  5549,    -1,
    5551,    -1,    -1,    -1,   208,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5565,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5573,    -1,    -1,  5576,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5587,    -1,    25,     8,
      -1,  6059,    -1,  5594,    31,    14,    15,    -1,    -1,    -1,
      -1,    20,   406,    22,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    30,    -1,    -1,    -1,    -1,    -1,    -1,    25,  1241,
      -1,    -1,    -1,    -1,    31,    -1,    -1,    -1,    -1,    -1,
      49,    50,    -1,    -1,   288,    -1,    -1,    -1,   292,    76,
      -1,    -1,    -1,  5644,    -1,    -1,    -1,    -1,   302,  5650,
      -1,    -1,  6120,    -1,  5655,  5656,    -1,    -1,   312,  5660,
    6128,  6129,    -1,    -1,    -1,  5666,  5667,  5668,    -1,    76,
     324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5682,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   133,    -1,    -1,    -1,
      -1,  5702,    -1,   140,    -1,    -1,    -1,   144,   512,    -1,
    5711,    -1,   366,  5714,    -1,   369,   370,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   133,    -1,    -1,    -1,
     534,    -1,    -1,   140,    -1,   172,    -1,   144,  5739,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   401,    -1,    -1,
    3429,    -1,    -1,    -1,    -1,    -1,  1502,    -1,    -1,    -1,
      -1,    -1,    -1,  6231,    -1,   172,    -1,  5768,  5769,  6237,
      -1,   208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1401,
      -1,   200,    -1,    -1,    -1,   204,    -1,  6255,    -1,    -1,
      -1,  5792,  5793,   212,    -1,    -1,   215,    -1,    -1,   218,
     219,   208,   221,  5804,   223,    -1,    -1,   226,    -1,   228,
      -1,    -1,  5813,  5814,  5815,    -1,    -1,    -1,    -1,    -1,
     474,    -1,    -1,  1569,    -1,    -1,    -1,  5828,  5829,    -1,
      -1,  5832,    -1,    -1,    -1,    -1,  5837,    -1,  5839,    -1,
    5841,    -1,    -1,    -1,    -1,    -1,    -1,  5848,    -1,    -1,
      -1,   288,    -1,    -1,  5855,   292,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1610,   302,    -1,    -1,    -1,  6337,
      -1,    -1,    -1,    -1,  5875,   312,    -1,    -1,    -1,    -1,
    1502,   288,    -1,    -1,    -1,   292,    -1,   324,    -1,    -1,
      -1,    -1,    -1,    -1,  6362,   302,    -1,  1643,    -1,  5900,
      -1,    -1,  5903,    -1,    -1,   312,    -1,  3586,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,
      -1,    -1,    -1,    -1,  2592,    -1,    -1,    -1,    -1,   366,
      -1,    -1,   369,   370,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6410,    -1,    -1,    -1,    -1,  1569,    -1,    -1,
      -1,    -1,    -1,    -1,  5955,    -1,    -1,    -1,  6426,   366,
      -1,    -1,   369,   370,   401,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6443,  6444,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1610,    10,
      -1,    -1,    13,    -1,   401,  3674,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,  6006,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    35,    -1,    -1,    17,    18,    19,
    6021,  1643,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,
    6031,    52,    -1,    -1,    -1,    35,    -1,   474,    -1,    -1,
      -1,    -1,    -1,    -1,  6045,    45,    -1,    -1,    -1,    51,
      -1,    -1,    52,  3732,    -1,    -1,    -1,    78,  6059,    -1,
      -1,  2729,    -1,    -1,    -1,  2733,  2734,   474,  6069,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   725,    -1,
      -1,  1837,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1848,    -1,    -1,    -1,    -1,    -1,    -1,  6110,
      -1,    -1,    -1,    -1,   751,    -1,    -1,    -1,  1864,  6120,
    2788,    -1,    -1,  3802,    -1,    -1,  2794,  6128,  6129,    -1,
      -1,    -1,    -1,  6134,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6165,  6166,    -1,    -1,  6169,    -1,
      -1,  3850,  1918,    -1,  2842,   196,    -1,    -1,    -1,    -1,
     201,    -1,    -1,  3862,  3863,    -1,    -1,  1933,    -1,    -1,
    1936,  1937,    -1,  3872,    -1,    -1,   196,    -1,  3877,    -1,
    3879,   201,    -1,   224,   225,    -1,  6207,    -1,    -1,    -1,
      -1,    -1,    25,    -1,    -1,  1837,    -1,    -1,    31,    -1,
      -1,  1967,  1968,    -1,   224,   225,  1848,    -1,    -1,    -1,
    6231,   252,    -1,    -1,    -1,    -1,  6237,    -1,    -1,    -1,
      -1,    -1,  1864,    -1,   663,    -1,  3925,    -1,    -1,    -1,
      -1,    -1,   252,    -1,  6255,   674,    -1,   894,    -1,   678,
      -1,  6262,    -1,    76,    -1,    -1,   685,   686,    -1,    -1,
     689,    -1,   691,   692,   295,    -1,    -1,  6278,    -1,    -1,
      -1,  3960,  3961,    -1,    -1,    -1,    -1,   706,    -1,   310,
      -1,    -1,   313,    -1,    -1,   295,  1918,    -1,  6299,    -1,
      -1,    -1,    -1,    -1,    -1,   724,    -1,    -1,    -1,    -1,
     310,  1933,    -1,   313,  1936,  1937,    -1,    -1,    -1,    -1,
     133,    -1,    -1,    -1,    -1,    -1,   745,   140,   747,    -1,
      -1,   144,    -1,    -1,    -1,    -1,  6337,    -1,   757,    -1,
      -1,  6342,    -1,    -1,    -1,  1967,  1968,  6348,    -1,    -1,
      -1,    -1,  3020,    -1,    -1,    -1,    -1,    -1,    -1,   172,
      -1,  6362,    -1,  2109,    -1,    -1,    -1,    -1,  6369,    -1,
      -1,   790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3052,   406,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,   208,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,   406,    -1,  6409,  6410,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,
    1057,    -1,    -1,    -1,    -1,  6426,    45,    -1,    -1,  6430,
      -1,  1068,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6443,  6444,    -1,    -1,    -1,  1084,    -1,    -1,
      -1,    -1,   871,    -1,  6455,    -1,    -1,  3125,    -1,    78,
      -1,  3129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,   292,
      -1,    -1,    -1,    -1,    -1,  4164,    -1,  2109,    -1,   302,
      -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
      -1,   324,   512,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      -1,    -1,    -1,    -1,   534,    -1,    -1,   956,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   369,   370,    -1,    -1,
      10,    -1,    -1,    13,  3232,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,  3247,
      -1,    -1,   201,    -1,  3252,    35,    -1,    -1,   401,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    52,    -1,  1241,   224,   225,    -1,    -1,    -1,
      -1,  1030,    -1,    -1,  3282,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,
      -1,    -1,    -1,   252,    -1,    -1,  1055,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1070,    -1,  1072,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   474,    -1,  1082,    -1,    -1,    -1,    -1,    -1,    -1,
    1089,    -1,    -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   310,    -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1132,    -1,  1134,    -1,    -1,    -1,    -1,
    4399,    -1,    -1,   725,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,  4427,   751,
      -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4442,    -1,    -1,  4445,    -1,  4447,    -1,
      -1,    -1,    -1,    -1,   224,   225,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,  1208,
      -1,  1210,    -1,  1212,    -1,  1214,    -1,  1216,  1217,  1218,
      -1,    -1,   252,    -1,  1223,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4493,    -1,  1235,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4509,    -1,    -1,    -1,    -1,  4514,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     310,    -1,    -1,   313,    -1,  1502,    -1,    -1,    -1,  3537,
      -1,    -1,  3540,    -1,  3542,    -1,    -1,    -1,    -1,  3547,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   894,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,    -1,    -1,    -1,   534,    -1,    -1,    -1,    -1,
      -1,  3589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3597,
      -1,    -1,  1569,    -1,  4613,    -1,    -1,  4616,    -1,    -1,
      -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    31,    -1,
      -1,    -1,    -1,    -1,  3622,    38,   406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1610,    -1,    -1,    -1,    60,    -1,    -1,
      -1,    -1,    -1,  2729,    -1,    -1,    -1,  2733,  2734,    -1,
      -1,    -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1423,    -1,  1643,    -1,    -1,    -1,
      -1,    -1,    -1,  4692,  4693,  4694,  4695,    -1,  4697,  4698,
    4699,  4700,  4701,    -1,    -1,    -1,    -1,    -1,    -1,   112,
      -1,    -1,    -1,    -1,  3702,    -1,  3704,    -1,    -1,    -1,
      -1,    -1,  2788,    -1,    -1,    -1,    -1,    -1,  2794,    -1,
     133,    -1,    -1,    -1,    -1,  1057,    -1,   140,    -1,    -1,
      -1,   144,   512,    -1,    -1,    -1,  1068,    -1,    -1,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      -1,    -1,  1084,    -1,   534,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,    -1,    -1,    -1,  2842,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2729,    -1,    -1,
      -1,  2733,  2734,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,  1543,   208,     0,    -1,    -1,    -1,
      -1,    -1,  3800,    -1,    -1,    -1,  4815,    -1,  4817,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    31,    51,    33,
      34,  3829,    -1,    -1,    -1,    -1,  2788,  3835,    -1,    -1,
      51,    -1,  2794,    -1,    -1,    -1,  3844,    51,    -1,   262,
      -1,    -1,    -1,    -1,   267,    -1,    -1,    61,    -1,   272,
      -1,    -1,    -1,    -1,    -1,    -1,  1615,    -1,    -1,    73,
    1837,    75,    76,    -1,  3872,   288,    -1,    -1,    82,   292,
      84,  1848,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,
    2842,    -1,    -1,    97,    -1,    99,    -1,  1864,    -1,   312,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1241,
     323,   324,   116,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     134,    -1,   136,    -1,    -1,    -1,   140,    -1,    -1,    -1,
      -1,    -1,  3940,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1918,   156,   366,   158,    -1,   369,   370,   371,    -1,
      -1,   165,    -1,    -1,  3962,    -1,  1933,    -1,    -1,  1936,
    1937,    -1,    -1,    -1,    -1,    -1,  3052,    -1,    -1,   183,
      -1,    -1,   395,    -1,    -1,    -1,  3984,    -1,   401,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   200,    -1,    -1,    -1,
    1967,  1968,    -1,   416,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5040,  5041,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5053,    -1,  5055,  5056,  5057,  3125,
     254,   255,    -1,  3129,   467,    -1,   260,    -1,    -1,    -1,
      -1,   474,    -1,    -1,    -1,    -1,    -1,    -1,  4066,    -1,
      -1,   275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1833,    -1,    -1,    -1,    -1,    -1,
     294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3052,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5121,    -1,    -1,    -1,    -1,    -1,    -1,  1868,
    4118,    -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   342,    -1,
      -1,    -1,  2109,    -1,    -1,  4143,    -1,    -1,    -1,    -1,
      -1,  5160,    -1,   357,    -1,    -1,  3232,    -1,   362,   363,
      -1,   365,    -1,    -1,    -1,  1914,   370,    -1,    -1,    -1,
    1502,  3247,   376,  3125,    -1,   379,  3252,  3129,    -1,    -1,
      -1,    -1,   386,    -1,    10,  1934,    -1,    13,    -1,   393,
     394,    17,    18,    19,  5203,    -1,    -1,   401,    -1,    -1,
      -1,   405,    -1,    -1,    -1,    -1,  3282,    -1,    -1,    35,
      -1,  1960,   416,  1962,    -1,    -1,    -1,    -1,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,  1977,   433,
    1979,    -1,    -1,    -1,    -1,    -1,  1985,  1569,  1987,    -1,
    1989,    -1,  1991,    -1,  1993,    -1,    -1,    -1,  1997,    -1,
     454,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,   472,    -1,
      -1,    -1,    -1,   477,    -1,    -1,    -1,    -1,  1610,    -1,
    3232,    -1,    -1,    -1,    -1,  2034,   490,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3247,    -1,    -1,    -1,    -1,
    3252,    -1,    -1,    -1,    -1,    -1,  4304,    -1,    -1,    -1,
     514,  1643,   516,   517,   518,   519,   520,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,
    3282,    -1,   536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5375,    -1,    -1,    -1,
     196,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,
      -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,   224,   225,
      -1,  4399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5430,    -1,    -1,    -1,    -1,   252,    -1,    -1,  4427,
      -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    79,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3537,    96,    -1,  3540,    -1,  3542,    -1,    35,   295,
      -1,  3547,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,
     114,    -1,    -1,    -1,   310,    52,    -1,   313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   725,    -1,   138,  1837,    -1,    -1,    -1,    -1,
      -1,    78,    -1,  3589,   725,    -1,  1848,   151,    -1,    -1,
      -1,  3597,    -1,    -1,    -1,    -1,   160,    -1,   751,    -1,
      -1,    -1,  1864,    -1,    -1,    -1,    -1,    -1,    -1,   173,
     751,    -1,    -1,    -1,    -1,   179,  3622,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4569,   206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     406,    -1,    -1,    -1,    -1,  3537,  1918,    -1,  3540,    -1,
    3542,    -1,    -1,    -1,    -1,  3547,    -1,    -1,    -1,    -1,
      -1,  1933,    -1,    -1,  1936,  1937,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4616,    -1,
      -1,    -1,    -1,  4621,    -1,    -1,  3702,    -1,  3704,   196,
      -1,    -1,   266,    -1,   201,  1967,  1968,  3589,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3597,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,   225,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3622,   894,    -1,  5682,    -1,    -1,   310,  5686,    -1,    -1,
      -1,    -1,    -1,   894,    -1,   252,   512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,    -1,    -1,    -1,   534,    -1,
      -1,    -1,    -1,   347,   348,    -1,    -1,   351,    -1,    -1,
      -1,    -1,    -1,    -1,  3800,    -1,    -1,    -1,   295,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   310,   378,    -1,   313,   381,    -1,    -1,
    3702,    -1,  3704,    -1,   388,    -1,    -1,    -1,    -1,    -1,
      -1,   395,  2729,    -1,   398,    -1,  2733,  2734,  3844,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2109,    -1,    -1,
      -1,  4779,    -1,    -1,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   426,    -1,    -1,    -1,  3872,    -1,    -1,   433,
     725,    -1,   436,    -1,    -1,    -1,    -1,   441,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   449,    -1,    -1,    -1,    -1,
      -1,  2788,   456,    -1,    -1,    -1,   751,  2794,    -1,    -1,
      -1,    -1,    -1,    -1,  1057,    -1,    -1,    -1,    -1,   406,
      -1,    -1,    -1,    -1,    -1,  1068,  1057,    -1,  3800,   483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1068,    -1,    -1,
      -1,  1084,    -1,    -1,  3940,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1084,    -1,  2842,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3962,    -1,    -1,    -1,
      -1,    -1,  3844,    -1,  5903,    -1,  4894,    -1,  5907,    -1,
    5909,    -1,    -1,    -1,  5913,  5914,    -1,    -1,  3984,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,
    4948,    -1,    -1,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    -1,    -1,    -1,    -1,   534,    -1,   894,
      -1,    -1,  4970,    -1,  2723,  2724,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3940,    -1,
    4066,    -1,    -1,  2742,  2743,    -1,  2745,  2746,    -1,    -1,
      -1,  2750,  2751,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3962,    -1,    -1,    -1,    -1,    -1,  2765,    -1,  1241,    -1,
    2769,    -1,    -1,    -1,  2773,  2774,    -1,    -1,  2777,  2778,
    1241,    -1,  3984,    -1,    -1,  2784,    -1,    -1,    -1,    -1,
      -1,    -1,  4118,    -1,  5042,    -1,    -1,  2796,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2808,
      -1,    -1,    -1,    -1,  2813,    -1,    -1,  4143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2828,
      -1,    -1,    -1,  2832,    -1,  3052,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2844,    -1,    -1,  2847,    -1,
    2849,  2850,  2851,    -1,    -1,    -1,    -1,  2856,  2857,    -1,
      -1,    -1,    -1,    -1,  4066,    -1,    -1,  2866,    -1,    -1,
      -1,    -1,    -1,  2872,    -1,    -1,    -1,  2876,    -1,    -1,
      -1,    -1,  1057,    -1,    -1,    -1,    -1,    -1,    -1,  2888,
    2889,    -1,    -1,  1068,  2893,    -1,    -1,    -1,    -1,    -1,
    2899,  2900,    -1,    -1,    -1,    -1,    -1,    -1,  3125,  1084,
      -1,    -1,  3129,  5161,  2913,  5163,  4118,  2916,    -1,    -1,
      -1,    -1,    -1,    -1,  2923,  2924,    -1,    -1,    -1,    -1,
    2929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4143,  2941,    -1,    -1,  2944,    -1,    -1,  6207,    -1,
    2949,    -1,    -1,    -1,    -1,    -1,  2955,  2956,    -1,    -1,
      -1,    -1,    -1,    -1,  2963,    -1,    -1,    -1,  2967,    -1,
      -1,    -1,  2971,  2972,  2973,  2974,    -1,  2976,  4304,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   725,    -1,    -1,    -1,
      -1,  2990,  2991,    -1,  2993,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3004,  3005,  3006,    -1,    -1,
      -1,    -1,   751,    -1,    10,  3232,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,  1502,
    3247,    -1,    -1,    -1,    -1,  3252,    -1,    -1,    -1,    35,
      -1,  1502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,
      -1,    -1,    -1,    -1,  5302,    -1,    52,    -1,    -1,    -1,
      -1,    -1,  3061,    -1,    -1,  3282,  1241,    -1,    -1,    -1,
    3069,    -1,    -1,  4399,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,  3088,
      -1,    -1,    -1,    -1,    -1,    -1,  1569,    -1,    -1,    -1,
      -1,  4427,  4304,    -1,    -1,    -1,    -1,    -1,  1569,    -1,
    6369,    -1,    -1,    -1,    -1,    -1,    -1,  6376,    -1,    -1,
      -1,  6380,    -1,    -1,    -1,    -1,    -1,  5375,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1610,    -1,  3138,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2729,    -1,  1610,
      -1,  2733,  2734,    -1,    -1,   894,    -1,  6416,  3157,    -1,
    3159,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1643,  6430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6455,  4399,    -1,  6458,
     196,    -1,    -1,    -1,    -1,   201,  2788,    -1,    -1,    -1,
      -1,    -1,  2794,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4427,    -1,    -1,   224,   225,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4569,    -1,    -1,    -1,    -1,    -1,  5497,
      -1,    -1,    -1,    -1,    -1,  3254,   252,    -1,    -1,    -1,
    2842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4616,    -1,    -1,    -1,    -1,  4621,    -1,    10,    -1,   295,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   310,    -1,    -1,   313,  1057,    -1,
    3537,    -1,    35,  3540,    -1,  3542,    -1,  1502,    -1,  1068,
    3547,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,
      -1,    -1,    -1,    -1,    -1,  1084,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1837,    78,    -1,  4569,    -1,    -1,
      -1,    -1,  3589,    -1,    -1,  1848,  1837,    -1,    -1,    -1,
    3597,    10,    -1,    -1,    13,    -1,    -1,  1848,    17,    18,
      19,  1864,    -1,    -1,  1569,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5650,  1864,    -1,  3622,    35,  5655,  5656,    -1,
     406,    -1,    -1,    -1,  4616,    -1,    45,    -1,    -1,  4621,
      -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1610,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1918,    -1,    -1,    -1,    78,
      -1,    -1,    -1,  4779,    -1,    -1,    -1,  1918,    -1,    -1,
    1933,    -1,    -1,  1936,  1937,    -1,    -1,    -1,  1643,    -1,
    3052,    -1,  1933,    -1,    -1,  1936,  1937,    -1,    -1,    -1,
      -1,    -1,    -1,   196,    -1,  3702,    -1,  3704,   201,    -1,
      -1,    -1,    -1,    -1,  1967,  1968,    -1,    -1,    -1,    -1,
      -1,    -1,  1241,    -1,    -1,    -1,  1967,  1968,    -1,    -1,
      -1,   224,   225,    -1,    -1,    -1,   512,    -1,    -1,    -1,
    5768,  5769,    -1,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,    -1,    -1,    -1,   534,   252,
      -1,    -1,    -1,  3125,    -1,    -1,    -1,  3129,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,   196,  4894,    -1,
      -1,    -1,   201,    -1,    -1,    -1,    -1,  4779,    -1,    -1,
      -1,    35,   295,  3800,  5832,  3584,    -1,    -1,    -1,    -1,
      -1,    45,    -1,    -1,    -1,   224,   225,   310,    52,    -1,
     313,    -1,  3601,    -1,    -1,    -1,  3605,    -1,    -1,    -1,
      -1,  3610,  3611,  3612,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4948,   252,    78,    -1,    -1,  3844,    -1,    -1,
      -1,    -1,    -1,  3632,    -1,    -1,  2109,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4970,    -1,    -1,    -1,  2109,    -1,
    3232,    -1,    -1,    -1,    -1,  3872,    -1,  3656,  3657,  3658,
    3659,    -1,  1837,    -1,    -1,  3247,   295,    -1,    -1,    -1,
    3252,    -1,    -1,  1848,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   310,    -1,    -1,   313,    -1,    -1,    -1,    -1,  1864,
      -1,    -1,  4894,   406,    -1,  3694,    -1,  3696,  3697,  3698,
    3282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5042,    -1,    -1,    -1,
      -1,    -1,    -1,  3940,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   196,  1918,    -1,  3962,  4948,   201,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1933,    -1,
      -1,  1936,  1937,  1502,    -1,    -1,    -1,  3984,  4970,    -1,
     224,   225,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1967,  1968,    -1,    -1,    -1,    -1,   252,   512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,  3816,    -1,    -1,
      -1,   534,    -1,    -1,    -1,    -1,  3825,    -1,    -1,    -1,
    1569,    -1,    -1,    -1,    -1,    -1,    -1,  5163,    -1,    -1,
    5042,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4066,
      -1,    -1,  3851,  3852,    -1,    -1,   310,  3856,    -1,   313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1610,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3878,
      -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,  4118,    -1,    -1,  1643,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4143,    -1,    -1,    -1,
      -1,  3930,    -1,    -1,  2109,    -1,  3935,    -1,    -1,    -1,
      -1,    -1,  3941,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   406,    -1,    -1,  3537,    -1,    -1,  3540,    -1,
    3542,  5163,    -1,    -1,    -1,  3547,    -1,    -1,    -1,    -1,
      -1,    -1,  3971,    -1,    -1,    -1,  5302,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4000,    -1,  4002,    -1,    -1,    -1,  3589,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3597,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3622,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5375,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    -1,    -1,    -1,    -1,
     534,    -1,    -1,    -1,    -1,    -1,    -1,  4304,    -1,    -1,
      -1,    -1,    -1,    -1,  6342,    -1,    -1,    -1,  1837,    -1,
    5302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1848,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3702,    10,  3704,    -1,    13,  1864,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,
      -1,  6409,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5497,    -1,  5375,    -1,    -1,    -1,    -1,    -1,  1918,
      -1,    -1,  4399,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      -1,    -1,    -1,    -1,  1933,    -1,    -1,  1936,  1937,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3800,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,  1967,  1968,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,    -1,  2729,    -1,    -1,    45,
    2733,  2734,  3844,    -1,    -1,    -1,    52,    -1,  2729,    -1,
      -1,    -1,  2733,  2734,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3872,    -1,    78,    -1,    -1,  5497,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,
      -1,    -1,   201,    -1,    -1,  2788,    -1,  4316,    -1,  4318,
      -1,  2794,    -1,    -1,  5650,    -1,    -1,  2788,    -1,  5655,
    5656,    -1,  4331,  2794,    -1,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4343,    -1,    -1,    -1,  4347,    -1,
      -1,    -1,  4569,    -1,    -1,    -1,    -1,    -1,  3940,    -1,
    4359,    -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,  2842,
    2109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4378,
    3962,  2842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4396,    -1,  4616,
      -1,    -1,  3984,    -1,  4621,  4404,   295,    -1,    -1,    -1,
     196,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,
      -1,   310,    -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,
    4429,    -1,    -1,    -1,  4433,    -1,    -1,    -1,   224,   225,
      -1,    -1,    -1,  5769,    -1,    -1,    -1,    -1,  5650,  4448,
    4449,  4450,  4451,  5655,  5656,    -1,    -1,    -1,    -1,  4458,
    4459,  4460,  4461,    -1,    -1,    -1,   252,    -1,  4467,  4468,
      -1,    -1,    -1,    -1,  4473,  4474,    -1,  4476,  4477,  4478,
    4479,  4480,  4481,  4482,  4066,    -1,    -1,    10,    -1,    -1,
      13,    -1,    -1,  4492,    17,    18,    19,  4496,  4497,  4498,
    4499,    -1,    -1,    -1,    -1,    -1,  5832,    -1,    -1,   295,
      -1,    -1,    35,    -1,    -1,    -1,    -1,   406,    -1,    -1,
      -1,  4520,    45,    -1,   310,    -1,    -1,   313,    -1,    52,
      -1,    -1,    -1,    -1,    -1,    -1,  4118,    -1,    -1,  4538,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2729,    78,    -1,    -1,  2733,  2734,
      -1,  4143,  4779,    -1,    -1,    -1,    -1,  5769,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3052,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3052,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2788,    -1,  4614,    -1,    -1,    -1,  2794,
     406,    -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,
    5832,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,    -1,    -1,    -1,   534,    -1,    -1,  4647,    -1,
      -1,    -1,  3125,    -1,    -1,  4654,  3129,  4656,    -1,    -1,
      -1,    -1,    -1,    -1,  3125,    -1,    -1,  2842,  3129,    -1,
      -1,    -1,    -1,   196,    -1,    -1,    -1,  4894,   201,    -1,
      -1,    -1,    -1,    -1,    -1,  4684,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4304,    -1,    -1,    -1,   512,    -1,    -1,   252,
      -1,  4948,    -1,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,    -1,    -1,    -1,   534,    -1,
      -1,    -1,    -1,  4970,    -1,    -1,    -1,    -1,    -1,  3232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3232,   295,    -1,  3247,    -1,    -1,    -1,    -1,  3252,
      -1,    -1,    -1,    -1,    -1,    -1,  3247,   310,    -1,    -1,
     313,  3252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,  3282,
      -1,    -1,    17,    18,    19,    -1,    -1,  4399,    -1,    -1,
      -1,  3282,    -1,    -1,    -1,  5042,    -1,    -1,    -1,    -1,
      35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      45,    -1,    -1,    -1,    -1,  4427,    -1,    52,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    -1,    -1,    -1,  3052,    -1,    -1,
      -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4895,  4896,  4897,    -1,
      -1,    -1,  4901,  4902,  4903,  4904,    -1,    -1,    -1,  4908,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5163,    -1,    -1,    -1,
    3125,    -1,    -1,    -1,  3129,    -1,    -1,    -1,    -1,    -1,
      -1,  4960,  4961,  4962,  4963,  4964,    -1,  4966,  4967,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4978,
    4979,    -1,    -1,    -1,    -1,    -1,    -1,  4569,    -1,   512,
    2729,   196,    -1,    -1,  2733,  2734,   201,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    -1,    -1,    -1,
      -1,   534,    -1,  5012,    -1,    -1,  6342,    -1,    -1,   224,
     225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4616,    -1,    -1,    -1,    -1,  4621,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,  2788,
      -1,    -1,    -1,    10,    -1,  2794,    13,  3232,    -1,    -1,
      17,    18,    19,    -1,  3537,    -1,    -1,  3540,    -1,  3542,
      -1,    -1,  3247,    -1,  3547,    -1,  3537,  3252,    35,  3540,
      -1,  3542,    -1,    -1,    10,  5302,  3547,    13,    45,    -1,
     295,    17,    18,    19,    -1,    52,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2842,    -1,   310,    -1,  3282,   313,    35,
      -1,    -1,    -1,    39,    -1,  5114,  3589,    -1,    -1,    45,
      -1,    78,    -1,    -1,  3597,    -1,    52,    -1,  3589,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3597,    -1,    -1,    -1,
    6342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3622,
      -1,    -1,    78,    -1,    -1,   206,   207,    -1,  5375,    -1,
      -1,  3622,    -1,   214,    -1,   216,   217,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   230,
    5179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4779,    -1,    -1,
      -1,   406,    -1,    -1,   130,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3702,
      -1,  3704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,
      -1,  3702,    -1,  3704,   201,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,   225,    -1,
     196,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,
    5497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,   224,   225,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,
    5309,    -1,  4894,  3052,    -1,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    -1,   252,  3800,    -1,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,  3800,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   310,    -1,    -1,   313,    -1,    -1,    -1,
      -1,    -1,  3537,    -1,    -1,  3540,  4948,  3542,    -1,   295,
      -1,  3844,  3547,    -1,    -1,    -1,    -1,    -1,  5377,    -1,
      -1,    -1,    -1,  3844,   310,    -1,  3125,   313,  4970,    -1,
    3129,    -1,    -1,    -1,    -1,    -1,    -1,  5396,    -1,  3872,
      -1,    -1,    -1,  5402,  5403,    -1,    -1,    -1,    -1,    -1,
      -1,  3872,    -1,  5412,  3589,    -1,    -1,    -1,    -1,    -1,
    5419,    -1,  3597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5650,    -1,    -1,    -1,    -1,  5655,  5656,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3622,    -1,   406,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5456,  5457,    -1,
    5042,    -1,    -1,    -1,    -1,    -1,    -1,  3940,    -1,    -1,
    5469,    -1,  5471,    -1,    -1,    -1,    -1,    -1,    -1,  3940,
     406,    -1,    -1,    -1,    -1,    -1,    -1,  5486,    -1,  3962,
      -1,    -1,    -1,  3232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3962,    -1,   208,    -1,    -1,    -1,    -1,  3247,    -1,
      -1,  3984,  5511,  3252,    -1,   220,    -1,    -1,    -1,    -1,
    5519,    -1,    -1,  3984,    -1,    -1,   231,  3702,    -1,  3704,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3282,    -1,   471,    -1,    -1,    -1,    -1,
      -1,    -1,  5769,    -1,    -1,   512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    -1,    -1,   532,    -1,    -1,    -1,    -1,
      -1,  5163,    -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,  4066,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,  4066,    -1,    -1,    -1,    -1,
    5609,   662,    -1,    -1,    -1,  5832,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5623,  3800,    -1,    -1,    -1,    -1,
     681,    -1,    -1,    -1,    -1,    -1,   687,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4118,    -1,    -1,   699,    -1,
    5649,    10,    -1,    -1,    13,    -1,    -1,  4118,    17,    18,
      19,    -1,    -1,    -1,   715,    -1,    -1,    -1,    -1,  3844,
    4143,    -1,    -1,    -1,    -1,    -1,    35,    -1,   729,   730,
      -1,    -1,  4143,    -1,    -1,   736,    45,   738,   739,    -1,
      -1,    -1,    -1,    52,    -1,    -1,    -1,  3872,    -1,    -1,
      -1,   752,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   762,    -1,    -1,    10,    -1,    -1,    13,  5717,    78,
    5302,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   815,  3940,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,  3962,  5787,    -1,
      -1,    -1,   843,  5375,    -1,    -1,    -1,    -1,  3537,    -1,
      -1,  3540,    -1,  3542,    -1,    -1,    -1,    -1,  3547,  3984,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   868,    -1,    -1,
      -1,    -1,  5821,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4304,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,
      -1,    -1,   201,  4304,    -1,    -1,    -1,    -1,    -1,    -1,
    3589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3597,    -1,
      -1,    -1,    -1,  5862,    -1,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,   930,
      -1,   177,    -1,  3622,    -1,    -1,    -1,    -1,  5887,    -1,
      -1,  4066,    -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,
     196,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5497,    -1,    -1,    -1,    -1,
      -1,    -1,   207,    -1,    -1,    -1,  4399,    -1,   224,   225,
      -1,   216,    -1,    -1,    -1,    -1,   295,    -1,  4399,    -1,
      -1,    -1,    -1,  4118,    -1,   230,    -1,  5946,    -1,    -1,
      -1,   310,    -1,    -1,  4427,    -1,   252,    -1,   663,    -1,
      -1,    -1,    -1,  3702,   669,  3704,  4427,    -1,  4143,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1040,
      -1,    -1,    -1,    -1,    -1,    -1,  1047,    -1,    -1,   295,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1058,    -1,    -1,
      -1,  1062,    -1,  1064,   310,    -1,    -1,   313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,  6058,
      -1,  3800,    -1,    -1,    45,    -1,    -1,    -1,  5650,    -1,
      -1,    52,    -1,  5655,  5656,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,  6087,    -1,
      -1,    17,    18,    19,    -1,    -1,  4569,    78,    -1,  6098,
      -1,    -1,    -1,    -1,    -1,  3844,    -1,    -1,  4569,    35,
     406,    -1,    38,    -1,    -1,    -1,    -1,    -1,    -1,    45,
    1171,    -1,    -1,    -1,    -1,  6342,    52,    -1,    -1,  4304,
      -1,    -1,    -1,  3872,    -1,   840,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4616,    -1,    -1,    -1,    -1,  4621,    -1,
      -1,    -1,    78,   512,   859,  4616,    -1,    -1,    -1,    -1,
    4621,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1232,    -1,    -1,    -1,    -1,    -1,  5769,    -1,    -1,
      -1,    -1,  1243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3940,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1260,
      -1,    -1,    -1,    -1,  1265,   196,   512,    -1,    -1,    -1,
     201,    -1,  6221,  3962,  4399,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   224,   225,  3984,    -1,    -1,    -1,    -1,
    5832,    -1,  4427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     196,   252,    -1,   978,    -1,   201,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,   225,
      -1,    -1,    -1,    -1,    -1,    -1,  4779,    -1,    10,    -1,
      -1,    13,    -1,    -1,   295,    17,    18,    19,  4779,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   252,  4066,    -1,   310,
      -1,    -1,   313,    35,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    -1,    -1,    -1,  1398,    -1,    -1,
      52,    -1,    -1,    -1,    -1,  1406,  1407,    -1,    -1,    -1,
     341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,
      -1,    -1,    -1,    -1,    -1,    -1,    78,   662,    -1,  4118,
      -1,    -1,    -1,    -1,   310,    -1,    -1,   313,  1093,    -1,
      -1,    -1,    -1,    -1,  4569,    -1,   681,    -1,    -1,    -1,
      -1,    -1,   687,    -1,  4143,    -1,    -1,    -1,  1459,    -1,
      -1,    -1,    -1,    -1,   699,    -1,    -1,  1122,  1123,  1124,
      -1,  4894,    -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,
     715,    -1,    -1,  4894,  6433,    -1,    -1,    -1,    -1,    -1,
      -1,  4616,    -1,    -1,   425,   730,  4621,    -1,    -1,    -1,
      -1,    -1,    -1,   738,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   752,   170,    -1,
      -1,    -1,    -1,    -1,    -1,  4948,    -1,   762,    -1,    -1,
     406,    -1,    -1,    -1,    -1,    -1,    -1,  4948,    -1,    -1,
      -1,    -1,    -1,    -1,   196,    -1,    -1,  4970,    -1,   201,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4970,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   224,   225,    -1,    -1,  1231,    -1,    -1,    -1,
     815,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
     252,    -1,    10,    -1,  1259,    13,    -1,    -1,   843,    17,
      18,    19,    -1,    -1,    -1,  4304,    -1,    -1,    -1,  5042,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,  5042,    -1,   868,    -1,    -1,   512,    45,    -1,    -1,
      -1,    -1,    -1,   295,    52,   521,   522,   523,   524,   525,
     526,   527,   528,   529,  4779,    -1,    -1,    -1,   310,    -1,
      -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   930,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1710,
    4399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4427,    -1,
    5163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5163,    -1,   406,    -1,    -1,  1412,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4894,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,
      -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1040,    -1,    -1,    -1,    -1,
    6342,    -1,  1047,    -1,    -1,    -1,   224,   225,    -1,    -1,
      -1,    -1,    -1,  4948,  1825,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1492,    -1,    -1,
      -1,    -1,    -1,    -1,   252,  4970,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1860,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,  5302,
    4569,    -1,  1883,    -1,    -1,    -1,    -1,   295,    -1,    -1,
    1891,  5302,    -1,    -1,    -1,    -1,    -1,    -1,  1899,    -1,
      -1,    -1,   310,    -1,    -1,   313,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5042,    -1,    -1,
    1575,    -1,    -1,    -1,    -1,    -1,    -1,  4616,    -1,  1584,
      -1,    -1,  4621,    -1,    -1,    -1,  1171,    -1,    -1,  1940,
    1941,    -1,  1943,  1944,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5375,    -1,  1955,    -1,  1957,  1958,    -1,    -1,
      -1,  1616,    -1,    -1,  5375,    -1,    -1,  1622,  1623,  1970,
    1971,  1626,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1639,    -1,    -1,  1642,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,  1232,   406,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,  2008,  1243,    -1,
      -1,  2012,  2013,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1260,    -1,    45,    -1,    -1,
    1265,    -1,    -1,    -1,    52,    -1,    -1,    -1,  5163,    -1,
      -1,    -1,    -1,    -1,    -1,  1700,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1714,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,  5497,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,  5497,    -1,    -1,    -1,
    4779,    -1,    -1,    -1,    -1,    35,    -1,    -1,    38,    -1,
      -1,    -1,    -1,   511,   512,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    52,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2130,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1398,    -1,    -1,    -1,    -1,    -1,  1824,
      -1,  1406,  1407,    -1,    -1,    -1,    -1,  5302,   196,    -1,
    1835,    -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4894,   224,   225,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1877,  1878,  1459,    -1,    -1,  5650,    -1,    -1,
      -1,    -1,  5655,  5656,   252,    -1,    -1,    -1,    -1,  5650,
      -1,    -1,    -1,    -1,  5655,  5656,    -1,  1902,    -1,    -1,
    5375,    -1,    -1,    -1,  1909,    -1,   196,    -1,    -1,  4948,
      -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,    -1,    -1,
      -1,  4970,    -1,    -1,   224,   225,    -1,    -1,    -1,    -1,
      -1,    -1,   310,    -1,    -1,   313,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   252,    -1,    -1,    -1,   334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1982,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5769,    -1,    -1,    -1,
      -1,    -1,    -1,  5042,    35,   295,    -1,    -1,  5769,    -1,
    2015,  2016,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,
     310,    52,  5497,   313,    -1,    -1,    -1,  2032,    -1,    -1,
    2035,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5832,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5163,  1710,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   512,    -1,   177,    -1,    -1,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,
     201,    -1,    -1,    -1,    -1,  5650,    -1,    -1,    -1,    -1,
    5655,  5656,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   224,   225,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   252,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
    1825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5302,   295,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1860,    -1,    -1,    -1,   310,
      -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5769,    -1,    -1,    -1,  1883,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1891,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1899,    -1,  2667,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,  5375,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    38,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,  5832,  1943,  1944,
      -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2722,  1957,    -1,    -1,   406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1970,  1971,    -1,    78,  2740,
      -1,    -1,    10,  2744,    -1,    13,    -1,  2748,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,  2757,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,  2772,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,  2789,    -1,
    2791,  2792,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,  2806,    -1,    -1,  5497,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    -1,    38,    -1,    -1,  2826,  2827,    -1,    -1,    45,
      -1,   512,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,
      -1,   201,    78,  2864,  2865,    -1,    -1,  2868,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   224,   225,    -1,    -1,    -1,    -1,
      -1,  2892,    -1,  2894,    -1,  2130,    -1,  2898,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      13,  2912,   252,    -1,    17,    18,    19,    -1,  2919,  6342,
      -1,  2922,    -1,    -1,    -1,    -1,    -1,  2928,   196,    -1,
      -1,  6342,    35,   201,  2589,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    45,    -1,  2599,    -1,    -1,  2948,    -1,    52,
      -1,    -1,    -1,  2954,    -1,   295,   224,   225,   837,   838,
    2961,  5650,    -1,    -1,    -1,    -1,  5655,  5656,    -1,    -1,
     310,    -1,    -1,   313,  2975,    78,    -1,    -1,    -1,    -1,
     196,    -1,    -1,    -1,   252,   201,    -1,    -1,  2989,    -1,
      -1,    -1,    -1,  2994,    -1,    -1,    -1,    -1,    -1,  3000,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,   225,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,   917,    -1,
      -1,    -1,   310,    -1,    -1,   313,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2709,    -1,    -1,    -1,    -1,  3060,
      -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,
    5769,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   196,   310,    -1,    -1,   313,   201,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   224,   225,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,   406,    -1,
      -1,    -1,    -1,  5832,    52,    -1,    -1,    -1,    -1,   252,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1038,
    1039,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    -1,   512,    -1,   442,    -1,    -1,    -1,    -1,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     406,  2846,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2861,   310,    -1,    -1,
     313,    -1,    -1,    -1,  3215,    -1,  3217,  6342,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,  2883,    -1,
      -1,    -1,    -1,  3234,    -1,    -1,    -1,    -1,    -1,    -1,
    3241,    -1,    -1,    -1,   512,    -1,    -1,  3248,    -1,  3250,
    3251,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,
      -1,    -1,    -1,   201,    -1,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,   406,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,  2969,  2970,   224,   225,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,  3338,    -1,    -1,
      -1,    -1,    -1,  3344,   252,    -1,    -1,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,    -1,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,  1277,    -1,
      -1,    -1,   310,    -1,    -1,   313,    -1,    -1,    -1,   512,
      -1,    -1,    -1,    -1,    -1,    -1,  3071,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    -1,  3429,    -1,
      -1,    -1,  2667,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1348,
    1349,  1350,    -1,  1352,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2722,    -1,    -1,
      -1,   177,    -1,    -1,  1373,    -1,    -1,    -1,   406,    -1,
      -1,    -1,    -1,    -1,    -1,  2740,    -1,    -1,    -1,  2744,
     196,    -1,    -1,  2748,    -1,   201,    -1,    -1,    -1,    -1,
      -1,    10,  2757,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,  2772,   224,   225,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,
      -1,  3562,  3563,    52,    -1,    -1,   252,    -1,    -1,    -1,
      -1,  2806,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3583,    -1,    -1,  3586,    -1,    -1,    -1,    78,
      -1,  2826,  2827,    -1,    -1,    -1,    -1,  1476,    -1,    -1,
      -1,  1480,  1481,    -1,   512,    -1,    -1,    -1,    -1,   295,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,    -1,   310,    -1,    -1,   313,    -1,  2864,
    2865,    -1,    -1,  2868,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6342,    -1,    -1,    -1,  2892,    -1,  2894,
      -1,    -1,    -1,  2898,    -1,    -1,    -1,  3668,  3669,  3670,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2912,    -1,    -1,
      -1,    -1,   171,    -1,  2919,    -1,    -1,  2922,    -1,    -1,
      -1,    -1,  3693,  2928,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,
      -1,  3712,   201,  2948,    -1,    -1,    -1,    -1,    -1,  2954,
     406,    -1,    -1,    -1,    -1,    -1,  2961,    -1,    -1,    -1,
      -1,    -1,    -1,  3734,    -1,   224,   225,    -1,    -1,    -1,
    2975,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,  2989,    -1,    -1,    -1,    -1,  2994,
    3415,    -1,    -1,   252,    -1,  3000,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   295,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   310,    -1,  3824,   313,  3060,   512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,    -1,  1725,  1726,  1727,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,
    3871,    -1,    17,    18,    19,    -1,  3877,    -1,  3879,    -1,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,  3892,    -1,  3894,    -1,    -1,    -1,    -1,    -1,    -1,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,
      -1,    -1,   201,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   224,   225,    -1,    -1,    -1,
    3961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3215,    -1,  3217,   252,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3234,
      -1,    -1,  4003,    -1,    -1,    -1,  3241,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4022,    -1,   512,    -1,  4026,   295,    -1,    -1,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   310,    -1,    -1,   313,    -1,  4047,    -1,    -1,    -1,
      -1,   196,    -1,    -1,    -1,  3710,   201,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3720,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,
     225,    -1,    -1,    -1,    -1,    -1,    -1,  1365,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3338,    -1,    10,    -1,   252,    13,  3344,
      -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,
      45,    -1,  1420,    -1,    -1,    -1,    -1,    52,    -1,    -1,
     295,    -1,    -1,    -1,  4155,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,   313,    -1,
      -1,    -1,    -1,    78,    -1,  2054,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2063,  2064,  2065,  2066,  2067,  2068,
    2069,  2070,  2071,  2072,  3429,    -1,    -1,    -1,  2077,    -1,
    2079,    -1,  2081,    -1,    -1,  2084,  2085,  2086,    -1,    -1,
      -1,    -1,    -1,  2092,    -1,    -1,  2095,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3883,  3884,
    3885,  2110,  2111,  2112,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,    -1,  3900,    -1,    -1,    -1,  2128,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   406,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3933,  3934,
      -1,    -1,    -1,  3938,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,
     225,    -1,    -1,    -1,    -1,    -1,    -1,  3562,  3563,  4330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   486,    -1,    -1,    -1,    -1,    -1,   252,  3583,    -1,
      -1,  3586,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    -1,    -1,    -1,    -1,  4044,
     295,    -1,  4393,    -1,    -1,    -1,  2275,  4398,    -1,  4400,
      -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,   313,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,  4426,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3668,  3669,  3670,    -1,    -1,    -1,    35,
      -1,    -1,    38,    -1,    -1,    -1,    -1,    -1,    -1,    45,
    2329,    -1,    -1,  1731,    -1,    -1,    52,  1735,  3693,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4472,    -1,    -1,  4475,    -1,    -1,  3712,    -1,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3734,
      -1,   406,    -1,    -1,    -1,    -1,  2385,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,  4210,  4211,  4212,    -1,    -1,
      -1,    -1,    -1,    -1,  4565,  4566,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4576,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,  3824,
      -1,    -1,  4593,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     196,    -1,    -1,    -1,    -1,   201,    -1,   512,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    -1,    -1,    -1,   224,   225,
      -1,    -1,    -1,    -1,    -1,    -1,  3871,    -1,    -1,    -1,
      -1,    -1,  3877,    -1,  3879,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   252,  3892,    -1,  3894,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4674,    -1,    -1,  4677,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,   295,
    2579,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2590,    -1,  2592,   310,    -1,    -1,   313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3961,    -1,   196,    -1,
      -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2630,    -1,    -1,    -1,  2634,   224,   225,  2637,    -1,
    2639,    -1,    -1,  2642,    -1,    -1,    -1,    -1,  4003,    -1,
      -1,    -1,    -1,    -1,  2052,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,  4022,    -1,    -1,
      -1,  4026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2078,    -1,    -1,    -1,  2082,    -1,    -1,    -1,    -1,    -1,
     406,    -1,  4047,    -1,    -1,    -1,  2695,  2696,    -1,  2097,
    2098,  2099,    -1,  2101,    -1,    -1,    -1,   295,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   310,    -1,    -1,   313,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    31,    -1,
      33,    34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4546,    -1,    -1,    -1,    -1,  2775,    -1,    61,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4907,    -1,    -1,    -1,
      73,    -1,    75,    76,    -1,    -1,   512,    -1,    -1,    82,
    4155,    84,    -1,  4578,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    97,    -1,    99,    -1,   406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   116,    -1,  4610,   119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4965,    -1,    -1,    -1,    -1,    -1,
      -1,   134,    -1,   136,    -1,    -1,  4977,   140,    -1,    -1,
      -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,
    4645,    -1,    -1,   156,    -1,   158,    -1,    -1,    -1,    -1,
      -1,    -1,   165,    -1,    -1,    -1,    -1,  4662,    -1,    -1,
    5011,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   200,    -1,    -1,
      -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5089,    -1,
      -1,   254,   255,    -1,    -1,  4330,    -1,   260,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5108,    -1,    -1,
      -1,    -1,   275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    23,    -1,    -1,    -1,    -1,    -1,
      -1,   294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3018,
    3019,  3020,    41,    -1,    -1,  3024,    -1,    -1,    -1,    -1,
      -1,    -1,  4807,  4808,  4809,  4810,    -1,    -1,  4393,    -1,
      -1,    -1,    -1,  4398,    -1,  4400,    -1,    66,    -1,    -1,
      -1,    -1,  3051,    -1,    -1,    -1,    -1,    -1,    -1,   342,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4426,    -1,  5194,   357,    -1,    -1,    96,    -1,   362,
     363,    -1,   365,    -1,    -1,    -1,    -1,   370,    -1,    -1,
     373,    -1,    -1,   376,    -1,   114,   379,    -1,    -1,    -1,
      -1,   120,    -1,   386,    -1,    -1,    -1,    -1,    -1,    -1,
     393,   394,    -1,    -1,    -1,    -1,    -1,  4472,   401,   138,
    4475,    -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   151,   416,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     433,    -1,    -1,    -1,   173,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   182,    -1,    -1,    -1,   186,    -1,    -1,
      -1,   454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   466,    -1,    -1,    -1,   206,  2586,   472,
      -1,    -1,    -1,    -1,   477,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5324,    -1,  5326,    -1,   490,    -1,    -1,
    4565,  4566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4576,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   514,    -1,    -1,    -1,    -1,    -1,   256,  4593,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,    -1,
     533,    -1,    -1,   536,    -1,  5376,    -1,    -1,    -1,    -1,
      -1,  3260,    -1,    -1,    -1,  5386,  3265,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2682,    -1,    -1,    -1,    -1,    -1,
      -1,   310,    -1,    -1,   313,    -1,  2694,    -1,    -1,    -1,
      -1,  2699,    -1,    -1,    -1,  5426,    -1,    -1,    -1,    -1,
    5431,    -1,    -1,    -1,    -1,    -1,    -1,  3316,   337,  4674,
      -1,    -1,  4677,    -1,    -1,    -1,    -1,    -1,  3327,    -1,
    3329,  3330,   351,    -1,    -1,    -1,    -1,    -1,    23,   358,
      -1,    -1,    -1,    28,  3343,    -1,    -1,  3346,    -1,  3348,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   378,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   388,
      -1,    -1,    -1,    -1,    -1,    -1,   395,    23,    -1,   398,
      -1,  5156,    28,    -1,    -1,    -1,  3385,    -1,  3387,    -1,
    3389,    -1,  5167,    -1,    79,    80,    -1,    -1,    -1,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,    -1,    -1,
      -1,    96,    -1,    -1,   433,    -1,    -1,   436,    -1,   438,
      66,   440,   441,    -1,    -1,    -1,    -1,    -1,    -1,   114,
      -1,    -1,    -1,    79,    80,    -1,    -1,   456,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   464,    92,    -1,   467,    -1,
      96,   470,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   483,    -1,   151,    -1,   114,    -1,
      -1,    -1,    -1,    -1,    -1,   160,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3483,    -1,    -1,    -1,   173,  3488,
      -1,    -1,   138,    -1,   179,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3503,   151,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   160,    -1,    -1,    -1,    -1,    -1,
      -1,   206,    -1,    -1,    -1,    -1,    -1,   173,    -1,    -1,
      -1,    -1,    -1,   179,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5668,    -1,    -1,
      -1,    -1,  4907,    -1,    -1,    -1,    -1,    -1,    -1,   244,
     206,  5682,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3568,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5714,    -1,    -1,    -1,    -1,   244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4965,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     266,    -1,  4977,    -1,    -1,    -1,    -1,    -1,    -1,  3628,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5011,    -1,    -1,    -1,
      -1,    -1,   347,   348,   310,    -1,   351,    -1,    -1,    -1,
      -1,    -1,  5793,    -1,    -1,  5450,    -1,    -1,    -1,    -1,
    5455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   337,    -1,   378,    -1,    -1,   381,    -1,    -1,  5474,
      -1,   347,   348,   388,    -1,   351,    -1,    -1,  5829,    -1,
     395,    -1,    -1,   398,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   378,   418,  5089,   381,    -1,    -1,    -1,   385,
      -1,   426,   388,    -1,    -1,    -1,    -1,    -1,   433,   395,
      -1,   436,   398,  5108,    -1,    -1,   441,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   456,   418,    -1,    -1,    -1,    -1,    -1,    -1,  5900,
     426,    -1,  5903,    -1,    -1,    -1,    -1,   433,    -1,    -1,
     436,    -1,    -1,    -1,    -1,   441,    -1,    -1,   483,    -1,
      -1,    -1,    -1,   449,    -1,   451,    -1,    -1,    -1,    -1,
     456,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3829,    -1,    -1,    -1,    -1,    -1,  3835,   483,    -1,  5194,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3263,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3290,    -1,    -1,    -1,    -1,    -1,  3296,    -1,
      -1,  3299,    -1,    -1,    -1,    -1,    -1,    -1,  3306,  3307,
      -1,  3309,    -1,    -1,    -1,  3914,  3314,  3315,    -1,  3317,
      -1,  3319,    -1,    -1,  6045,  3323,    -1,    -1,  3326,    -1,
      -1,    -1,    -1,  3331,    -1,    -1,    -1,    -1,  6059,    -1,
      -1,    -1,  3340,    -1,    -1,    -1,    -1,  3345,  6069,    -1,
      -1,    -1,    -1,    -1,  3352,  3353,  3354,  3355,    -1,    -1,
      -1,  5736,  3360,  3361,    -1,  3363,    -1,    -1,    -1,  5324,
      -1,  5326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3382,    -1,  3384,    -1,    -1,  5764,
      -1,    -1,    -1,  3391,  3392,  3393,  3394,  3395,  3396,  3397,
    3398,  3399,  3400,    -1,    -1,    -1,    -1,  6128,  6129,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3437,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,
      -1,    -1,    -1,    -1,  4063,    -1,    -1,    -1,    -1,    -1,
      -1,  5426,    -1,  4072,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6207,  4086,    -1,    -1,
      -1,  4090,  4091,  4092,    -1,  5870,    -1,    -1,  4097,    -1,
      -1,  4100,    -1,    -1,  4103,    -1,    -1,    -1,    -1,    79,
    4109,    -1,  4111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    96,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4138,
    4139,  4140,    -1,    -1,   114,    -1,    -1,    -1,    -1,    -1,
     120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4157,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4165,    -1,   138,  4168,
      -1,  4170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3577,
      -1,   151,    -1,    -1,    -1,    -1,    -1,  4186,    -1,    -1,
     160,    -1,    -1,    -1,    -1,  4194,  4195,    -1,    -1,    -1,
      -1,    -1,  4201,   173,    -1,    -1,    -1,    -1,    -1,   179,
      -1,    -1,    -1,    -1,    -1,    -1,   186,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4230,    -1,    -1,    -1,    -1,   206,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6369,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,    -1,  4298,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6430,
      -1,    -1,    -1,  5668,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6443,  6444,    -1,    -1,    -1,  5682,    -1,    -1,
      -1,    -1,    -1,    -1,  6455,    -1,    -1,    -1,    -1,    -1,
     310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5714,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   347,   348,    -1,
      -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   378,    -1,
      -1,   381,    -1,    -1,    -1,   385,    -1,    -1,   388,    -1,
      -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,   398,    -1,
      -1,    -1,    -1,    -1,    -1,  3833,  3834,    -1,  5793,    -1,
    3838,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   426,    -1,    -1,    -1,
      -1,   431,    -1,   433,    -1,    -1,   436,    -1,    -1,  3867,
      -1,   441,    -1,    -1,  5829,    -1,    -1,    -1,    -1,    -1,
      -1,   451,    -1,    -1,    -1,    -1,   456,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5900,    -1,    -1,  5903,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4622,  4623,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4633,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4062,    -1,    -1,    -1,    -1,    -1,
    4068,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6045,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4703,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6069,    -1,    -1,  4115,  4116,    -1,
    4719,  4119,  4120,  4121,  4122,    -1,    -1,  4125,  4126,  4127,
    4128,  4129,  4130,  4131,  4132,  4133,  4134,  4135,  4737,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4158,    -1,    -1,  4161,    -1,  4163,    -1,    -1,  4166,  4167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4776,  4777,    -1,
      -1,    -1,    -1,    -1,  4783,  4784,    -1,    -1,    -1,  4788,
    4188,  4189,  4190,  4191,  4793,  4193,    -1,  4796,  4797,    -1,
      -1,    -1,    -1,    -1,  4803,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4848,
      -1,    -1,  6207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4859,    -1,    -1,    -1,    -1,  4263,    -1,    -1,  4867,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4912,    -1,  4313,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4993,    -1,    -1,    -1,    -1,    -1,
      -1,  5000,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6369,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5068,
      -1,    -1,    -1,    -1,    -1,  6430,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4539,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4582,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5230,    -1,    -1,    -1,    -1,    -1,  5236,  5237,  5238,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5261,  5262,    -1,    -1,  5265,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5282,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5292,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5303,    -1,  4704,    -1,    -1,    -1,
    4708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5319,    -1,    -1,  4721,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4729,    -1,  4731,    -1,  4733,  4734,    -1,    -1,    -1,
      -1,  4739,  4740,  4741,  4742,    -1,    -1,    -1,  4746,  4747,
    4748,  4749,  4750,  4751,  4752,  4753,  4754,  4755,  4756,  4757,
    4758,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4782,    -1,    -1,  4785,    -1,  4787,
      -1,    -1,    -1,  4791,    -1,    -1,  4794,  4795,    -1,    -1,
    4798,  4799,    -1,    -1,    -1,    -1,  4804,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4858,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4872,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5528,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5594,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5644,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5660,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5071,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5702,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5158,  5159,    -1,    -1,    -1,    -1,    -1,    -1,  5166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5792,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5804,    -1,    -1,    -1,    -1,
      -1,  5209,    -1,    -1,  5813,  5814,  5815,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5232,  5233,    -1,    -1,    -1,    -1,
      -1,    -1,  5841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5251,    -1,  5253,  5855,    -1,    -1,  5257,
    5258,  5259,  5260,    -1,    -1,  5263,  5264,    -1,    -1,    -1,
      -1,  5269,    -1,    -1,    -1,    -1,  5875,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5286,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5304,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5397,
      -1,  5399,    -1,    -1,    -1,    -1,    -1,  6006,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6031,    -1,    -1,    -1,  5434,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6134,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5542,    -1,  5544,  5545,  5546,  5547,
    5548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5561,  5562,  5563,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5571,    -1,    -1,    -1,    -1,  5576,    -1,
      -1,  5579,    -1,    -1,    -1,  5583,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5601,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5618,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6262,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6278,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5794,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5805,    -1,    -1,
    6409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5826,    -1,
    5828,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5874,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5886,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5922,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6002,    -1,    -1,    -1,    -1,    -1,
      -1,  6009,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6042,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6057,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6165,  6166,    -1,
      -1,  6169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6254,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6272,  6273,    -1,  6275,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,     5,     6,    -1,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,  6344,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,   464,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   524,   525,   526,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,     3,    -1,     5,     6,    -1,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,   512,    -1,   514,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,     3,    -1,     5,     6,
      -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,   464,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,     3,    -1,
       5,     6,    -1,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,   512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
       3,    -1,     5,     6,    -1,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,   512,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   534,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,    -1,   250,   251,   252,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,    -1,   291,    -1,
     293,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,    -1,   339,    -1,   341,   342,
     343,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,    -1,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,    -1,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,   509,   510,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,   534,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,    -1,    -1,    -1,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,    -1,   250,   251,   252,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,    -1,    -1,   291,    -1,   293,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
      -1,   339,    -1,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,    -1,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,    -1,   451,    -1,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,    -1,
       3,    -1,     5,     6,    -1,     8,     9,    10,    11,    12,
     508,   509,   510,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,   534,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,   512,
      -1,   514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   524,   525,    -1,    -1,    -1,     3,    -1,     5,     6,
     533,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,   464,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,   512,    -1,   514,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,    -1,
      -1,    -1,     3,    -1,     5,     6,   533,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,   247,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,   464,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   524,   525,    -1,    -1,    -1,     3,    -1,
       5,     6,   533,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    36,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,   512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,
     525,    -1,    -1,    -1,     3,    -1,     5,     6,   533,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    -1,    36,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,
       3,    -1,     5,     6,   533,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,   512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   524,   525,    -1,    -1,    -1,    -1,    -1,   531,   532,
     533,     3,    -1,     5,     6,    -1,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   524,   525,   526,    -1,    -1,     3,    -1,     5,
       6,   533,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,
      -1,    -1,    -1,     3,    -1,     5,     6,   533,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,     3,
      -1,     5,     6,   533,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     524,   525,    -1,    -1,    -1,     3,    -1,     5,     6,   533,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,
      -1,     3,    -1,     5,     6,   533,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   524,   525,    -1,    -1,    -1,     3,    -1,     5,
       6,   533,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,
      -1,    -1,    -1,     3,    -1,     5,     6,   533,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,     3,
      -1,     5,     6,   533,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     524,   525,    -1,    -1,    -1,     3,    -1,     5,     6,   533,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,
      -1,     3,    -1,     5,     6,   533,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   524,   525,    -1,    -1,    -1,     3,    -1,     5,
       6,   533,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,
      -1,    -1,    -1,     3,    -1,     5,     6,   533,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,     3,
      -1,     5,     6,   533,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     524,   525,    -1,    -1,    -1,     3,    -1,     5,     6,   533,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,
      -1,     3,    -1,     5,     6,   533,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   524,   525,    -1,    -1,    -1,     3,    -1,     5,
       6,   533,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,    -1,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,
      -1,    -1,    -1,     3,    -1,     5,     6,   533,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   524,   525,     3,    -1,     5,     6,
      -1,     8,     9,   533,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,     3,
      -1,     5,     6,    -1,     8,     9,   533,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,     5,     6,    -1,     8,     9,
      -1,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,   533,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,     5,
       6,    -1,     8,     9,    -1,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,   533,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,   514,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   533,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   533,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   533,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,     5,     6,    -1,
      -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   533,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,   524,   525,   526,    -1,
      -1,    -1,    -1,    -1,    -1,   533,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,   433,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,    -1,
     514,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   533,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,   514,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   533,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   533,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   533,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,   533,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    -1,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      -1,    -1,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,    -1,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,    -1,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,    -1,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
     309,   310,   311,   312,   313,    -1,   315,   316,   317,   318,
      -1,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,   488,
      -1,    -1,    -1,    -1,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,    -1,
     509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,     3,    -1,     5,     6,    -1,    -1,    -1,    10,    11,
      -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    -1,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,    -1,   339,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,    -1,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     3,    -1,
       5,     6,    -1,    -1,    -1,    10,    11,    -1,    -1,    -1,
      -1,    -1,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    -1,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,    -1,   339,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,    -1,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    -1,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,    -1,
      -1,    -1,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,    -1,   250,   251,   252,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,    -1,    -1,   291,    -1,   293,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,    -1,   339,    -1,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,    -1,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,    -1,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
     526,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    -1,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,    -1,    -1,    -1,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
      -1,   250,   251,   252,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,    -1,   291,    -1,   293,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,    -1,
     339,    -1,   341,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,    -1,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,    -1,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
     509,   510,     3,    -1,     5,     6,    -1,    -1,    -1,    -1,
      11,    -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,
      -1,    -1,    -1,   524,   525,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
       5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,
      -1,   524,   525,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,     5,     6,
      -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,   524,
     525,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    11,    -1,    -1,    -1,    -1,   524,   525,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,   177,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,     3,    -1,     5,     6,    -1,    -1,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,     5,     6,    -1,     8,     9,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,   106,   107,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,   106,   107,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
     106,   107,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,   106,   107,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,     6,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,   106,   107,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,   106,   107,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
     106,   107,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,   106,   107,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,   106,   107,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      -1,    -1,    80,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,   464,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,   252,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,   464,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,   464,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    99,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    99,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,    -1,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,    -1,    -1,   291,
      -1,   293,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,    -1,   339,    -1,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,    -1,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,    -1,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,   509,   510,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,    -1,    -1,    -1,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,    -1,   250,   251,   252,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,    -1,    -1,   291,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,    -1,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
      -1,   339,    -1,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,    -1,
     428,    -1,   430,   431,    -1,   433,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,    -1,   451,    -1,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     508,   509,   510,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    -1,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,    -1,    -1,    -1,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,    -1,   250,   251,   252,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,    -1,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,    -1,   339,    -1,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,    -1,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,    -1,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   508,   509,   510,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    -1,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,    -1,    -1,    -1,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,    -1,
     250,   251,   252,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,    -1,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,    -1,   339,
      -1,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,    -1,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
      -1,   451,    -1,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,   509,
     510,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    -1,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,
     166,   167,   168,   169,   170,   171,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,    -1,
      -1,    -1,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,    -1,   250,   251,   252,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,    -1,    -1,   291,    -1,   293,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,    -1,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,    -1,   339,    -1,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,    -1,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,    -1,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   508,   509,   510,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,    -1,   164,    -1,   166,   167,   168,   169,   170,   171,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,    -1,    -1,   291,
      -1,   293,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,    -1,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,    -1,   339,    -1,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,    -1,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,    -1,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,   509,   510,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,    -1,    -1,    -1,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,    -1,   250,   251,   252,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,    -1,    -1,   291,    -1,   293,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,    -1,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
      -1,   339,    -1,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,    -1,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,    -1,   451,    -1,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     508,   509,   510,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    -1,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,    -1,    -1,    -1,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,    -1,   250,   251,   252,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,    -1,    -1,   291,    -1,   293,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,    -1,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,    -1,   339,    -1,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,    -1,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,    -1,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   508,   509,   510,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    -1,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,    -1,    -1,    -1,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,    -1,
     250,   251,   252,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,    -1,
      -1,   291,    -1,   293,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,    -1,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,    -1,   339,
      -1,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,    -1,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
      -1,   451,    -1,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,   509,
     510,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    -1,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,    -1,
      -1,    -1,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,    -1,   250,   251,   252,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,    -1,    -1,   291,    -1,   293,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,    -1,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,    -1,   339,    -1,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,    -1,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,    -1,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   508,   509,   510,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,    -1,    -1,   291,
      -1,   293,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,    -1,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,    -1,   339,    -1,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,    -1,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,    -1,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,   509,   510,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    -1,    54,    -1,    -1,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    -1,    -1,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,    -1,
      -1,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,    -1,   164,    -1,   166,   167,
     168,    -1,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,    -1,    -1,    -1,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,    -1,   214,   215,   216,   217,
      -1,    -1,    -1,    -1,    -1,   223,   224,   225,   226,   227,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,    -1,   250,   251,   252,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,    -1,    -1,   291,    -1,   293,   294,   295,   296,    -1,
      -1,   299,    -1,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,    -1,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
      -1,   339,    -1,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,    -1,   404,   405,   406,   407,
     408,    -1,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,    -1,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,    -1,    -1,    -1,    -1,
     448,   449,    -1,   451,    -1,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
      -1,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     508,   509,   510
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    20,    31,    33,    34,    51,    61,    73,    75,    76,
      82,    84,    97,    99,   116,   119,   134,   136,   140,   147,
     156,   158,   165,   183,   200,   254,   255,   260,   275,   294,
     342,   357,   362,   363,   365,   370,   376,   379,   386,   393,
     394,   401,   405,   416,   433,   454,   466,   472,   477,   490,
     514,   516,   517,   518,   519,   520,   533,   540,   541,   542,
     543,   548,   549,   555,   556,   558,   559,   560,   561,   563,
     566,   578,   583,   584,   587,   588,   589,   609,   612,   613,
     628,   682,   685,   686,   689,   692,   693,   694,   702,   709,
     711,   712,   715,   718,   719,   723,   732,   736,   737,   738,
     741,   743,   744,   745,   746,   754,   756,   776,   780,   782,
     783,   793,   795,   801,   802,   805,   806,   807,   808,   809,
     818,   820,   822,   825,   829,   830,   840,   841,   846,   851,
     862,   894,   897,   898,   899,   904,   907,   909,   911,   913,
     914,   918,   919,   922,   924,   925,   929,   930,   931,   934,
     935,   936,   937,   938,   945,   947,   948,   949,   950,   956,
     958,   959,   965,   966,   967,   970,   971,   972,   973,   975,
     976,   978,   979,   981,   982,   984,   996,   998,  1001,  1003,
    1004,  1013,  1015,  1020,  1025,  1035,  1039,  1040,  1041,  1042,
    1043,  1044,  1050,  1086,   448,   493,   951,    28,    79,    96,
     114,   120,   138,   151,   160,   173,   179,   186,   206,   244,
     266,   310,   337,   347,   348,   351,   378,   381,   385,   388,
     395,   398,   418,   426,   431,   433,   436,   441,   451,   456,
     470,   483,   708,   951,     3,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    30,    31,    32,    40,    41,    42,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    58,    59,    60,    61,    62,    63,    64,
      67,    68,    69,    70,    71,    73,    74,    75,    76,    77,
      79,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    93,    94,    95,    96,    97,    98,   100,   101,
     102,   103,   107,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   121,   123,   124,   125,   126,   127,   128,   129,
     131,   132,   133,   134,   137,   138,   139,   140,   141,   143,
     144,   145,   146,   148,   149,   150,   151,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   164,   166,   167,
     168,   169,   170,   172,   174,   175,   176,   178,   179,   180,
     181,   182,   184,   185,   187,   188,   189,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   202,   203,   204,
     205,   206,   207,   208,   209,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   221,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   248,   249,
     250,   251,   252,   254,   255,   256,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   293,
     294,   295,   296,   298,   299,   300,   301,   302,   303,   305,
     306,   307,   310,   311,   312,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     395,   396,   397,   398,   399,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   430,   431,   434,   435,   436,   437,   438,   439,
     440,   441,   443,   444,   445,   448,   449,   450,   451,   452,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   465,
     466,   467,   468,   469,   472,   473,   474,   475,   476,   477,
     478,   480,   481,   482,   483,   484,   485,   488,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,  1154,  1247,
    1259,  1260,  1264,  1265,  1266,     3,    29,  1036,  1244,  1259,
    1264,   481,   533,   989,   308,   343,   951,    54,   533,   620,
      23,    41,    66,    79,   114,   120,   138,   151,   160,   173,
     182,   186,   256,   310,   313,   337,   351,   378,   388,   398,
     418,   426,   436,   438,   440,   441,   456,   464,   467,   470,
     629,   691,   798,   852,   863,    29,   342,  1244,  1036,    29,
     336,   396,   438,   440,     6,   243,   905,   906,  1250,    23,
      28,    66,    79,    96,   114,   138,   151,   160,   173,   179,
     186,   206,   266,   310,   323,   337,   348,   351,   378,   381,
     385,   388,   395,   398,   418,   426,   433,   436,   441,   449,
     451,   456,   470,   483,   708,   810,   812,   813,   951,  1244,
      99,   481,   533,   686,   689,   692,   984,   997,  1001,  1004,
    1013,  1020,  1025,  1035,  1039,    11,    22,    29,    49,   168,
     175,   177,   201,   245,   283,   345,   364,   524,   525,   826,
     827,  1036,  1249,  1251,    29,    31,    99,   360,   394,   831,
     832,   833,  1259,   173,  1259,  1246,  1250,   433,  1053,   826,
    1259,   448,  1244,   323,   266,   533,   917,   386,  1259,    29,
     399,   444,   448,   570,   579,   580,  1259,   183,   831,   832,
    1259,   343,   951,  1259,   242,    29,   135,  1055,  1056,    67,
      93,   256,   277,   378,   388,   399,   444,   448,   496,   567,
     568,   569,   570,    29,   399,   444,   448,   570,   448,   309,
    1098,  1099,  1242,  1259,  1053,   526,  1259,   178,   533,   990,
     533,   358,  1045,  1046,  1244,  1045,     3,    53,    55,    56,
      69,    70,   117,   118,   139,   169,   218,   219,   221,   228,
     278,   280,   300,   356,   403,   409,   444,   445,   478,  1127,
    1129,  1131,  1133,  1135,  1137,  1138,  1139,  1141,  1142,  1143,
    1145,  1146,  1150,  1260,  1264,  1055,  1056,  1057,  1255,    12,
    1256,  1257,  1259,  1256,  1256,  1040,  1041,  1044,     0,   536,
     533,   989,   152,   220,   314,   463,  1058,  1059,  1040,  1042,
    1043,   125,   216,   268,   469,   537,    35,   955,   879,  1247,
     815,  1259,   815,  1244,   346,   815,   451,  1244,   113,   433,
     867,  1247,  1259,  1266,     3,   106,   110,   400,  1252,  1253,
    1261,  1264,  1265,  1266,    29,   195,  1242,   301,   483,    10,
      17,    18,    19,    74,   164,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   901,   903,  1185,  1186,  1259,   195,
    1244,   867,  1244,    29,  1252,  1253,   867,  1244,  1244,   195,
    1242,  1244,   195,   815,  1244,   370,   401,    29,   195,  1098,
    1244,   391,  1244,   815,    29,   263,  1252,  1253,   195,  1242,
     243,   122,   226,   292,   355,   952,   953,   954,   533,   531,
     535,  1211,  1213,   511,   983,   984,   985,   986,  1261,  1242,
    1244,  1259,    28,    66,    80,    92,   114,   138,   179,   206,
     244,   310,   348,   378,   381,   426,   436,   449,   456,   810,
     811,   812,   813,  1250,   955,  1000,  1004,  1013,  1020,  1025,
    1039,  1242,   270,   815,   533,   195,   815,  1244,   815,   451,
     195,  1244,   113,   433,   438,   440,  1252,  1253,   438,   440,
      74,   164,   901,   368,  1244,  1244,  1252,   195,   544,  1259,
     195,  1244,   195,   545,   815,  1244,  1244,   391,   815,   263,
    1252,   358,   395,   433,   483,   266,    96,   206,    28,    92,
     179,   348,   385,   449,   451,   455,   703,    29,  1244,  1037,
     577,  1250,  1261,   906,   270,   195,   879,   880,   195,   910,
     195,  1244,   195,   817,  1127,   451,   113,   433,   195,   866,
     867,   195,  1253,  1254,    87,   483,    74,   164,   195,   902,
     903,    59,   195,   866,   195,  1254,   195,   866,   195,  1244,
     195,  1244,   391,   910,   195,   817,   195,   263,  1254,   243,
     195,   814,   815,   195,  1243,  1244,   195,  1244,   955,   533,
    1002,   629,   997,   477,   983,   989,  1251,   827,   828,    29,
     828,  1251,   828,    29,   828,  1251,   828,   828,   828,  1251,
    1249,  1249,  1036,   828,   346,   533,   431,   533,   657,   657,
     657,   308,   446,   537,   657,   388,  1098,  1100,   537,   946,
    1250,   533,   999,    59,   483,   983,   114,   206,   388,   431,
     433,   915,   916,  1259,    48,   510,   226,   535,   311,   308,
     177,   311,  1250,   446,   955,   171,   823,   308,     5,     8,
       9,    10,    12,    37,    53,    55,    56,    65,    66,    69,
      70,    77,    79,   104,   105,   106,   107,   108,   109,   110,
     117,   118,   120,   157,   162,   163,   169,   185,   187,   218,
     219,   221,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   238,   249,   257,   258,   269,   278,   280,   290,   292,
     297,   298,   300,   310,   321,   338,   356,   383,   400,   409,
     427,   432,   444,   445,   450,   452,   453,   464,   470,   478,
     498,   499,   500,   501,   503,   504,   505,   506,   512,   524,
     525,   526,   533,  1040,  1130,  1133,  1136,  1137,  1138,  1140,
    1141,  1142,  1145,  1146,  1150,  1151,  1153,  1154,  1155,  1157,
    1181,  1182,  1183,  1187,  1205,  1210,  1236,  1239,  1240,  1247,
    1248,  1249,  1250,  1259,  1238,  1239,  1250,    29,   585,  1241,
    1242,   399,   567,   120,   576,  1250,   577,  1250,    48,    71,
     567,   510,   410,   953,   311,   177,   446,   523,    48,   510,
     226,   954,   533,  1242,   526,  1213,  1100,   983,   176,   991,
    1151,  1190,  1045,   537,   533,   992,   480,  1144,  1144,  1144,
     533,  1132,  1132,   340,   533,  1134,    69,    70,  1144,  1132,
    1129,   514,   515,   533,  1147,   533,  1147,    37,  1128,   533,
     115,   193,   271,   274,   392,   508,   533,  1148,  1149,   535,
     816,  1132,  1238,  1214,   534,   534,   542,   983,   993,   994,
     995,  1098,    29,   135,  1054,  1054,    59,  1054,   165,   171,
     253,   304,  1062,  1064,  1065,  1080,  1082,  1083,  1084,  1058,
    1059,   177,   222,   222,  1098,  1101,   533,    68,   288,   324,
     366,   401,   533,   877,   324,   362,   366,   401,   816,   324,
     366,   401,     3,    91,   145,   259,   324,   362,   366,   401,
     436,   439,   490,   578,   581,   960,   961,   962,   963,   847,
      25,   140,   324,   366,   401,   474,   594,  1244,    25,   140,
     401,   469,   562,   494,   195,  1098,    62,    98,   161,   198,
     248,   288,   292,   324,   325,   366,   375,   384,   393,   401,
     414,   423,   428,   485,   578,   582,   883,   895,   923,   533,
     864,  1213,   366,   562,   201,   157,    25,    31,    46,    76,
     133,   140,   144,   172,   208,   288,   292,   302,   312,   324,
     366,   369,   370,   401,   474,   590,   592,   593,   726,   923,
       5,   524,   525,   700,  1251,    29,   195,  1242,   815,   815,
     533,   900,   324,   401,   535,   157,   308,   324,   366,   401,
     895,   923,    25,   140,   324,   366,   401,   201,   557,   366,
     490,   514,   550,   557,   324,   366,   401,   895,   923,   308,
     324,   366,   157,    38,    60,   112,   204,   262,   267,   272,
     288,   323,   366,   371,   395,   401,   416,   467,   590,   697,
     698,   324,   366,   482,   726,   734,   157,   324,   366,   401,
      25,    91,   133,   140,   144,   324,   362,   366,   401,   408,
     580,   568,   570,   201,   157,    46,   131,   288,   366,   401,
     590,   591,   324,   366,   370,   401,    89,   132,   327,   439,
     308,    25,    31,   140,   324,   366,   401,   610,   611,   557,
     171,   366,   550,   557,   157,   366,   401,   590,  1244,   251,
     122,   309,   495,   537,   952,    29,   135,   479,   526,   534,
     872,  1151,  1191,  1192,  1260,  1151,  1212,     3,    29,    33,
      34,    35,    36,    37,    38,    39,    43,    57,    65,    66,
      72,    78,    80,    92,    99,   104,   105,   106,   108,   109,
     110,   120,   122,   130,   135,   136,   142,   147,   152,   163,
     165,   171,   173,   177,   183,   186,   190,   201,   210,   220,
     222,   246,   247,   253,   257,   258,   292,   297,   304,   308,
     309,   313,   314,   334,   344,   360,   374,   394,   400,   411,
     429,   432,   433,   442,   446,   447,   453,   463,   464,   470,
     471,   479,   486,   487,   489,   490,   526,  1245,  1262,  1264,
    1265,  1266,  1267,  1211,   534,   537,   163,   308,   453,   574,
     577,   700,   987,   471,   980,   308,   879,   533,   815,  1244,
    1127,   867,   301,    74,   164,   903,   867,   867,   171,  1127,
     815,  1244,  1244,   534,   657,  1244,    72,  1127,   292,   177,
     533,   784,   550,    38,   974,  1244,   292,   550,   494,   195,
    1242,   550,   815,   815,   784,   467,   629,   308,   171,   490,
     891,   550,   292,    48,   564,   292,   456,   733,   292,   992,
      91,   324,   710,    89,   132,   327,   439,    38,   784,   171,
     195,   550,   483,   195,  1242,   195,   687,  1242,  1242,   483,
     815,    87,   546,  1247,   451,  1247,  1247,  1244,   171,  1244,
     708,    40,    54,   111,   215,   288,   390,   157,    63,   372,
     537,   547,   157,   533,   157,   550,   157,   537,   547,   494,
     157,   537,   547,   157,   537,   195,   814,   195,   815,   195,
     815,   157,   537,   547,  1254,   157,   547,   157,   157,   547,
     157,   547,   157,    89,   132,   327,   439,   171,   157,   547,
     157,   171,   195,   157,   537,   547,   157,   537,   547,   157,
     308,  1190,   433,   534,   997,   828,  1036,   828,  1036,   828,
    1036,   828,  1036,   828,  1036,  1036,  1036,   828,  1036,   533,
     658,   661,  1259,   658,    29,   114,   138,   173,   179,   243,
     244,   326,   348,   381,   388,   395,   433,   436,   456,   836,
    1241,  1254,   833,  1244,   201,   537,  1016,  1250,  1127,  1194,
      38,  1254,   546,   534,   546,   546,   546,   251,  1259,   171,
     836,  1254,   171,   386,  1259,   577,   308,   533,  1214,   531,
    1040,  1195,  1151,  1209,   533,   533,   171,   533,   533,  1040,
     533,   533,   533,   533,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   533,   533,   533,   533,  1151,   533,
     533,   533,   533,   533,   533,   533,   533,   299,   645,   533,
     533,   533,   533,   533,   533,   533,   533,  1151,  1151,  1151,
    1040,  1151,  1190,  1213,  1250,   533,  1250,     3,    10,    13,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   167,   168,   169,   170,   172,   173,   174,   175,
     176,   178,   179,   180,   181,   182,   184,   185,   187,   188,
     189,   191,   192,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   221,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   272,   273,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   305,   306,
     307,   309,   310,   311,   312,   313,   315,   316,   317,   318,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   481,   482,   483,   484,   485,   486,
     488,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   509,   510,   512,   521,
     522,   523,   524,   525,   526,   527,   528,   529,  1185,  1187,
    1189,  1263,  1268,   491,  1168,   320,  1151,   166,  1169,   222,
     537,  1051,   533,  1250,  1213,  1051,   123,   197,   586,   537,
      71,   120,   577,    38,     3,   120,   256,   575,   700,  1146,
    1250,  1250,    94,   137,  1163,   103,   120,   571,   572,   574,
     700,   120,   571,   251,  1242,    95,   371,   819,   534,   989,
      35,    45,    52,    78,   196,   201,   224,   252,   310,   313,
     406,   534,   537,  1046,  1243,    38,   533,  1190,  1249,  1144,
    1144,    37,  1128,   444,   444,  1249,  1249,   531,   531,  1249,
     446,   446,   446,   533,   446,  1249,  1245,   535,  1132,   177,
    1087,    15,   523,  1211,  1258,   534,   537,   992,  1042,  1042,
    1060,  1061,  1151,  1042,   168,   283,  1071,   240,   288,   355,
     404,   469,    29,  1066,  1151,   524,   525,  1067,  1068,  1151,
    1153,  1080,  1081,  1065,  1064,  1062,  1063,   171,  1083,   302,
    1085,  1062,  1080,  1101,  1005,  1242,  1101,    38,  1259,   401,
    1190,    68,   446,   446,   388,   201,   213,   314,   317,   403,
     479,   526,   870,   871,   872,   874,   876,   878,  1127,  1260,
     446,   482,   446,   388,   446,   446,   388,   253,   446,    79,
     446,   436,   567,   324,   960,   962,   523,   964,   171,   183,
     201,   376,   848,   849,    72,    92,   292,   653,   654,    92,
     120,   292,   446,    92,   446,   120,   292,   388,    92,   133,
     144,   324,   366,   781,   388,   716,    28,    66,   138,   179,
     310,   348,   381,   449,   456,   810,   811,  1244,   157,   366,
     401,   590,   308,   700,   393,   248,   446,  1259,   446,   297,
     700,   124,   223,   388,   399,   448,   569,   815,   372,   401,
     883,   896,   128,   534,   865,   870,   446,   470,   436,  1242,
      72,    80,    92,   153,   173,   195,   292,   344,   464,   636,
     651,   652,  1259,    80,    92,   920,   329,   308,   383,   385,
     451,    92,   920,    32,   369,   383,   385,   451,   383,  1242,
     172,   208,   302,   815,   533,   446,   446,   194,   533,   598,
      23,   262,   436,   467,   492,   598,    92,   537,   128,     5,
       5,   324,   201,   157,   366,   401,   590,   923,   471,   471,
     289,  1127,   446,   388,   533,   901,  1244,  1242,   446,   446,
     388,   896,   128,   107,   433,   434,   932,   933,  1099,  1242,
    1259,   933,   446,   446,   784,   933,   114,   401,   581,   446,
     552,   581,   446,   446,   388,   896,   128,  1242,   446,   446,
    1242,  1129,   700,    59,   699,   700,   700,   112,   267,   272,
      59,   446,   550,   276,   388,   550,   288,   698,   446,   446,
     297,  1250,   726,   815,   446,   446,   388,   418,   351,  1250,
     351,   446,   351,   446,   351,   784,   784,   436,  1098,   329,
     329,    92,   446,   920,   388,   446,   446,   598,   598,   815,
     815,   815,   815,  1242,    47,   476,    47,    47,   476,   446,
      47,   446,   476,   388,   533,   537,   581,   470,   742,  1253,
     446,   552,   581,  1242,   446,   920,   388,   324,   366,   355,
     367,   397,   573,   952,  1191,  1191,  1192,   534,    15,    16,
     537,  1058,  1059,   532,   538,  1242,   985,  1244,  1242,   224,
    1127,   224,   308,   224,   224,   700,   815,   815,   224,   224,
     224,  1127,   224,   224,   224,   308,   446,   177,   446,   614,
     456,   533,    38,   157,   815,   785,   786,  1262,   960,  1127,
     308,   157,   713,  1244,   292,   329,   533,   551,   798,   471,
     358,   483,  1242,    29,   933,   784,   551,   157,  1253,    99,
     183,   565,   628,   693,   756,   829,   851,   956,   157,  1250,
     734,   735,   157,   308,  1250,  1253,   259,   815,   815,   815,
     815,   148,   354,   533,   742,   292,   551,  1242,   292,   695,
     697,   292,    38,   302,   329,   533,   657,   657,   195,   690,
    1242,   171,   195,   544,  1259,   533,   788,   877,  1244,   533,
     868,   868,    38,  1127,    27,    50,   217,   757,   243,   490,
     492,  1038,   390,   880,   879,  1127,  1244,   533,   817,  1127,
     866,   867,  1254,  1253,   157,   547,   157,   471,   157,   471,
     902,   903,   547,   866,  1254,   866,  1244,  1244,  1127,   817,
    1254,   742,   157,   814,   815,  1243,  1244,  1244,   815,   534,
     195,  1242,   997,  1036,  1036,  1036,  1036,  1036,  1036,   658,
     534,   537,   534,   180,   349,   382,   396,   434,  1243,   814,
     113,   398,   866,  1243,   301,   834,   835,  1259,   866,   866,
    1243,  1241,  1241,  1243,   814,   446,   184,   490,   845,   152,
     253,   739,   740,    23,   155,   383,   404,  1017,  1098,   296,
    1018,   534,   537,  1000,   446,  1242,  1244,  1242,   544,   831,
     832,   177,   845,   832,  1259,    28,    80,   138,   179,   244,
     348,   381,   456,   810,   811,  1190,   532,  1190,  1195,  1196,
     486,  1206,  1207,  1151,  1190,   533,  1249,  1249,     3,   115,
     193,   271,   274,   392,   508,  1197,  1198,  1250,  1190,  1190,
    1151,  1224,   374,  1040,  1041,  1224,  1228,  1235,  1224,  1224,
    1151,  1153,  1191,  1228,  1231,  1232,  1151,  1232,  1224,  1151,
    1224,  1224,  1190,  1249,  1249,   534,  1151,  1151,   901,  1151,
    1191,  1193,  1200,   383,   524,   525,   533,  1152,  1153,  1187,
    1201,   534,  1190,  1151,  1193,  1202,  1151,    57,   177,   247,
     447,  1151,  1190,  1203,   135,   292,  1040,  1190,   276,  1153,
    1151,  1161,  1162,  1163,   276,  1151,  1163,   534,   537,  1249,
    1148,  1127,  1151,  1151,  1151,  1151,  1262,   256,   444,    43,
     429,  1215,   815,  1151,   533,  1040,  1204,   135,   137,   163,
     228,   284,   285,   286,   287,   291,   292,   297,   453,   465,
    1199,  1229,  1151,   533,  1151,   446,    52,   196,   201,   252,
     406,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,    29,    36,   411,  1184,   186,  1169,   383,   533,  1181,
     533,   319,  1173,   182,   256,   433,   438,   440,   467,  1052,
    1242,  1240,  1087,  1191,  1087,  1242,   448,   533,  1250,   537,
     534,   194,   194,   547,   995,   984,   988,  1151,   534,   266,
     292,  1047,  1190,   534,   534,   531,   510,   510,   534,   534,
    1249,   532,  1249,   534,   193,   271,  1149,   271,  1149,  1149,
    1249,   274,   534,  1245,   228,   237,   246,   384,   507,   533,
    1040,  1088,  1089,  1090,  1098,  1104,  1114,  1121,  1154,  1156,
    1157,  1236,  1259,   487,  1109,  1255,   995,   993,   537,    39,
     130,   471,   860,   383,   384,   524,   525,  1068,  1070,  1153,
     404,   240,   309,   537,     5,  1069,  1249,  1069,   383,   384,
    1070,  1241,   296,   408,  1019,  1081,  1063,   471,  1014,   120,
     322,   533,  1006,  1039,    38,   471,  1259,   533,  1021,  1022,
    1023,  1259,   534,  1253,  1244,  1244,   317,    59,  1260,   534,
     872,   874,   871,   874,  1260,   314,   534,   537,   816,  1253,
    1244,  1244,  1253,  1244,  1244,  1253,   482,  1244,  1244,   120,
     574,   700,   378,   470,   831,   388,   183,   831,   533,  1244,
     297,   195,  1244,   297,  1253,  1244,  1244,  1151,   297,  1244,
    1244,    32,   369,   446,   446,  1244,   446,   717,   879,   533,
    1127,   867,    74,   164,   903,   867,   867,   171,  1127,   815,
    1244,   189,   288,   324,   366,   475,   720,   721,   722,  1098,
     446,   920,   388,   297,   124,   223,  1253,  1244,   308,  1244,
     308,   534,   537,  1252,  1254,  1244,   366,   590,   533,   195,
     636,  1244,   471,   853,   240,   292,   297,   240,   471,   645,
     681,  1127,  1244,  1249,  1259,  1242,  1244,   251,  1244,    29,
     470,  1244,   195,  1244,   195,  1259,   385,   451,   385,   451,
     251,  1244,    29,   470,  1244,   251,   383,  1242,    25,   140,
     401,   727,   728,   729,   730,  1262,  1253,  1244,   120,   178,
     293,   471,   597,   600,   601,  1262,   270,  1244,    76,   305,
    1244,   593,   308,   446,   436,  1242,   446,   920,   388,   128,
    1244,  1244,   537,   534,   537,  1253,  1244,   926,   927,  1262,
     308,   366,   446,   750,  1253,  1244,  1244,   308,  1098,   201,
     537,   657,   657,  1213,  1253,  1244,  1244,  1252,     3,    91,
     146,   208,   331,   462,   470,   473,   553,  1253,  1244,  1244,
     308,   366,  1253,  1244,   366,   401,   590,   697,   700,   815,
    1244,   700,   815,  1244,   700,  1253,  1244,   401,  1253,  1244,
    1244,   120,   604,  1251,  1243,  1243,  1253,   891,  1244,  1243,
    1244,   366,   401,   590,   591,  1242,  1242,  1244,  1244,  1244,
    1244,  1253,  1244,    25,    31,   140,   324,   366,   401,   324,
     366,   401,   784,   366,   401,   366,   401,   366,   923,  1113,
    1259,   195,   794,  1259,   195,  1259,  1250,  1253,  1244,  1244,
    1250,  1244,   926,    25,   140,   611,   398,  1252,   366,   401,
     590,  1244,  1244,  1244,   446,   446,    85,   461,   355,   537,
    1058,  1058,  1058,  1151,  1151,   479,  1192,   534,  1151,  1212,
     980,   297,   821,  1250,    38,   821,   138,   815,   821,   821,
     224,   471,   471,   821,   821,   821,   243,   821,   821,   821,
     815,   350,   615,   615,   206,   433,   755,  1151,  1127,   815,
     534,   537,   523,   642,  1262,  1244,    63,   177,   388,   482,
     714,   721,   722,   157,   302,   252,   630,   632,   634,   636,
     648,   651,    26,   201,   378,   430,   553,   554,   171,  1244,
     483,  1242,    38,   751,   434,   891,   544,  1259,   564,   629,
     863,  1244,   173,   815,   533,   683,   684,  1156,  1259,   351,
    1250,   784,   784,   784,   784,   533,   784,  1111,  1112,  1113,
     398,   157,   533,   157,   157,   156,  1039,   815,   302,   630,
    1259,   471,   676,   490,   599,   292,    38,   657,  1250,   292,
     308,     3,   789,   790,   784,    27,   534,   869,   870,   875,
      38,   243,   375,   449,   489,   881,   882,   883,   884,   881,
     308,   243,   302,   125,   216,   454,   469,   758,   759,  1244,
     192,   192,   171,   547,    38,   550,   172,   968,   969,   547,
     547,   814,   815,  1244,   815,  1244,   547,   547,   547,   547,
     243,   547,   398,   171,   547,   547,   308,   547,   292,   534,
     661,   201,   201,   201,   201,   201,   494,  1243,   700,   701,
     537,   535,   186,   837,   838,  1253,    59,   842,   843,  1262,
     446,   533,   177,   155,   404,   155,   404,   383,   469,   273,
    1127,  1253,   490,   688,   308,   837,   547,   177,   879,   815,
    1127,   867,   301,   867,   867,  1127,   815,  1244,   534,   532,
     532,   537,  1151,   142,  1207,  1208,    38,   534,  1151,   534,
     534,   534,   177,   534,   534,   511,  1225,  1226,   490,   492,
    1230,  1127,  1226,   534,    21,   297,   537,  1234,   314,  1237,
     537,   538,   476,   534,   534,    21,   297,   537,  1233,  1233,
     537,   534,  1228,   537,   534,   534,   534,   534,   537,   537,
     534,   334,   534,   534,   533,  1152,  1152,  1190,    13,    17,
      18,    19,   201,   224,   310,   521,   522,   523,   524,   525,
     526,   527,   528,   529,  1187,  1152,   534,   534,   171,   177,
     406,   534,   534,    38,  1203,  1190,  1203,  1203,   177,   534,
     135,   534,  1262,   330,  1166,    38,   534,   537,  1151,  1262,
     537,  1151,  1214,  1151,   534,   510,  1152,  1152,   150,  1190,
     177,    37,   301,   387,   476,   135,   137,   163,   291,   297,
     453,   465,  1199,  1229,   291,  1230,   150,   901,  1151,   429,
    1215,  1151,  1204,  1151,   446,   533,  1040,   533,  1173,   533,
    1190,   487,   533,  1174,  1259,   438,   440,   438,   440,  1242,
    1053,  1053,  1053,  1109,  1058,  1109,   953,  1249,  1148,   572,
     995,   266,   533,   534,  1249,  1147,  1147,   532,   532,   534,
     533,  1040,  1104,  1114,  1121,   177,   533,  1040,  1089,  1090,
      38,  1091,  1092,  1259,   537,   100,   178,   212,   227,   250,
     279,   377,  1095,  1092,    38,  1091,  1094,  1259,  1092,  1092,
     514,  1108,  1213,  1151,   186,  1072,  1061,   310,  1185,  1188,
     513,   861,     5,  1249,  1070,   309,   490,   469,  1067,   261,
    1088,   487,  1110,   477,   431,   470,  1007,  1008,  1009,  1259,
     308,  1010,  1259,  1089,  1023,  1024,   537,  1087,   523,  1214,
     878,   816,   874,   874,    59,   876,   528,  1254,  1254,   308,
    1243,   311,   308,  1151,   654,   774,   157,   547,   446,  1253,
    1244,   577,  1127,   815,   815,  1127,   704,  1244,   189,   475,
     446,   446,   704,   720,   726,   366,   401,   590,  1244,  1244,
    1244,   214,   297,   160,   870,   323,   401,   446,  1151,   292,
     153,   652,  1244,   533,   533,   157,  1259,   533,   681,   206,
     533,   774,   421,   640,   641,   774,   401,    25,   140,   370,
     371,   401,   594,   602,   603,   726,   921,   393,   157,   547,
     157,   547,  1244,  1244,  1244,  1244,   393,   393,   251,   729,
     730,   729,   534,   537,   731,  1250,   206,   534,   537,   523,
     535,   120,   605,  1259,   160,  1253,  1244,   366,   401,   590,
    1244,  1244,  1244,   308,   324,   366,   401,    25,   140,   324,
     366,   401,  1127,   289,  1127,   534,   537,   523,  1242,   446,
    1254,   471,   747,   160,   657,   388,   932,   487,   666,   666,
     657,   253,   331,   297,  1250,   331,  1254,   468,   160,   446,
     446,   388,   418,   891,   891,   891,   323,   401,    92,   446,
     920,   388,   120,   171,   606,   167,   546,   446,   446,   263,
     263,   263,   446,   446,   388,   446,   446,   388,   446,   388,
     446,   388,   446,   128,   547,  1127,   292,  1250,   401,   921,
     157,   547,   446,   446,   534,  1244,   446,   920,   388,   446,
    1253,  1244,   534,   534,   534,  1192,   532,  1127,   815,   224,
     821,  1244,  1244,  1244,   224,   419,   420,   616,  1250,   616,
     189,   534,   534,   177,   784,   786,   289,   310,   524,   525,
     700,   787,   874,  1188,  1250,  1267,    72,    78,    92,   120,
     122,   181,   210,   292,   297,   344,   360,   464,   643,   644,
     647,   156,   486,   550,   577,  1244,   577,   312,   724,  1242,
    1242,  1242,   534,   537,  1254,   186,   378,  1254,  1249,   456,
    1242,   657,     3,   171,   752,   891,    48,   564,   433,   733,
     113,   992,  1151,   177,   537,  1243,   599,   791,   792,  1250,
     534,   537,  1244,   171,   658,  1242,   687,  1242,  1244,   688,
     533,   631,  1242,   534,  1244,   490,   492,   677,   598,    38,
     157,  1039,   676,   446,   157,  1098,   523,   534,   537,   758,
     534,   537,   120,   523,   885,  1250,   577,   433,   873,   874,
     171,   890,    51,   373,   886,   887,   884,   887,   125,   216,
     394,   469,   943,  1244,   302,   308,   313,   189,  1039,  1127,
     533,   534,   537,   547,   471,   547,   471,   547,  1244,  1244,
     742,   815,   157,   388,   388,   388,   388,   388,  1243,   537,
     835,  1259,  1253,   490,   537,   839,  1253,   537,   845,   163,
     311,   453,   844,  1100,   398,   155,   155,   113,   288,   836,
     845,  1254,   224,   224,   224,   224,   700,   224,   224,   224,
     224,   224,  1195,   442,  1151,   147,  1127,   534,  1151,   228,
     464,   464,   534,  1226,  1228,   308,   308,  1224,  1228,    59,
    1234,  1151,  1224,  1224,   308,   308,  1232,  1230,  1230,  1151,
     534,  1151,  1199,  1151,  1151,   534,  1190,   537,  1127,  1152,
    1152,  1152,  1152,   135,   137,   292,  1152,  1152,  1152,  1152,
    1152,  1152,  1152,  1152,  1152,  1152,  1151,  1151,  1151,  1127,
     534,   534,   534,  1190,   534,   537,    59,  1153,  1167,   534,
    1262,  1162,   341,   425,  1165,   534,   537,   482,  1158,    38,
     534,  1250,  1151,    35,    35,  1151,   534,  1151,   177,   291,
    1230,  1151,   534,   150,  1152,  1152,   150,   150,  1151,  1151,
    1059,   534,  1190,   537,  1151,  1175,  1259,  1053,  1053,  1053,
    1053,  1242,  1242,  1242,  1072,   534,  1072,   534,  1000,   532,
    1224,  1092,  1094,  1092,  1092,   533,   502,  1153,   534,  1259,
     533,  1089,   227,   318,  1096,  1089,  1096,   227,  1095,  1096,
     227,   435,  1102,   533,  1259,   533,   315,    59,   190,  1079,
     533,   861,   168,   245,   309,   490,   443,   103,  1151,   374,
    1012,   476,   534,   537,  1214,    90,  1012,   308,   534,   537,
    1022,  1110,  1151,   534,   528,   878,   456,   180,   382,   389,
     396,   434,   457,   850,   171,   850,   534,   122,   210,   288,
     292,   775,  1244,  1244,    38,   471,   471,   243,   816,  1253,
    1244,   446,   920,   388,   446,   214,  1244,    59,   436,  1244,
     534,   157,   533,   664,   665,   856,  1156,  1259,   658,   636,
     774,   658,   774,  1244,   658,   120,  1259,    86,   638,   639,
     418,   181,   159,   194,   292,   598,   550,   113,   159,   181,
     292,   418,   598,   638,   640,   698,   401,   603,   456,  1244,
    1259,   393,   728,  1244,   601,   787,  1262,  1244,   323,   401,
     446,   920,   388,   446,   160,   446,   446,   388,   179,   310,
     421,   796,   797,   179,   310,   803,   804,   446,   446,   388,
     534,   534,   534,   927,   289,   700,   874,   928,  1188,  1250,
    1267,   366,  1244,   533,   490,   748,  1244,   666,   107,  1259,
     533,   666,  1251,  1250,  1250,  1250,  1244,  1244,  1244,  1244,
     604,    59,   436,  1244,  1244,  1244,  1244,   477,  1244,  1244,
     171,   171,   368,   171,   195,  1253,  1244,  1244,  1253,  1244,
    1244,  1244,  1244,  1244,  1244,  1244,   308,    78,   595,   157,
      27,    50,   456,  1259,  1244,  1250,   726,  1244,  1244,  1244,
    1244,  1058,   534,   224,   821,   224,   224,   224,   821,   550,
     471,   621,   622,   704,   774,   490,   492,   815,   533,   815,
    1244,  1152,    32,    59,   646,   123,   197,   122,   297,   240,
    1242,   645,   179,   348,   770,   777,   778,  1259,   713,   533,
     329,   533,   631,   649,   209,   671,   634,  1254,  1254,  1127,
     533,   599,    29,   125,   216,   394,   469,   753,   446,   749,
    1253,   195,  1242,   735,   494,   308,   534,  1088,   684,   891,
     534,   537,  1113,   724,   742,   534,   695,    38,   302,   329,
     533,  1002,   633,   635,   637,   651,  1259,   329,   672,   673,
     631,   671,   598,   305,   308,   678,  1039,   690,   688,   599,
    1250,  1244,   853,   787,     3,   790,   308,   875,  1151,  1151,
     537,   533,   881,   456,   537,    44,  1151,   446,   533,   658,
    1242,   759,   704,   534,   968,   969,  1244,  1244,   547,   398,
     547,  1243,  1243,  1243,  1243,  1243,   700,   183,   838,   845,
     843,   534,  1244,   113,   177,   547,   845,   297,   824,  1250,
     824,   824,   824,   224,   824,   824,   824,   824,   824,  1151,
     534,   145,   241,   241,   534,   297,   297,   534,  1060,  1228,
     330,  1216,   297,   297,  1228,  1228,  1216,  1216,   534,   534,
     177,   534,  1151,   177,   135,   137,   177,   171,   150,   534,
     497,  1160,  1190,   359,   476,    59,  1167,  1153,   488,   488,
     534,  1151,   288,  1151,   537,  1159,  1129,  1151,  1151,  1151,
    1151,    35,    35,  1151,  1151,   150,   534,   534,   534,  1151,
     534,   329,  1176,  1242,  1242,  1242,  1242,  1079,  1250,  1079,
    1250,   534,   537,  1105,  1106,  1156,   533,  1166,  1091,   533,
    1243,  1089,   308,   471,  1097,  1089,   227,  1089,  1247,  1112,
     533,  1112,  1259,  1054,  1151,   489,  1170,   901,   443,   302,
    1239,  1039,   322,  1039,  1009,   308,   533,  1011,  1151,   523,
    1023,  1012,   456,   534,   446,   831,   177,   774,   123,   197,
     208,   122,   473,   547,  1127,  1244,  1244,  1244,  1244,  1244,
    1244,  1244,  1254,  1244,   774,   636,  1151,   534,   537,   490,
      78,   855,   859,   855,   537,   659,   492,   656,   656,   120,
    1259,   724,   604,   646,   195,   195,   297,   700,    38,   646,
     297,   604,  1127,   547,   547,   523,    59,   436,  1244,  1244,
    1244,  1244,  1244,  1253,  1244,  1244,  1249,  1249,  1127,   537,
    1249,  1249,   537,  1253,  1244,  1244,   446,  1151,    72,  1151,
    1254,  1244,   446,   446,   177,   201,   490,  1243,  1243,   815,
    1243,   157,   160,   815,  1250,  1250,  1127,   547,   547,   446,
     534,   224,   821,   821,   821,   821,   533,   617,   618,   550,
     127,   179,   213,   179,  1151,   292,   644,   120,    38,   288,
     655,   891,   657,   891,  1247,    35,   156,   201,   725,   729,
     302,   630,   606,   154,   203,   533,   398,   471,   658,    38,
    1254,   747,   564,   292,   533,   173,  1244,   683,  1250,   398,
     599,   156,  1039,   815,   302,   630,   688,   534,   537,   490,
     642,    59,   676,   606,   672,    84,   436,   679,   490,   957,
      38,   679,   177,   308,   533,  1242,  1250,   872,   892,   893,
    1260,   887,  1127,   171,   888,  1242,   177,   446,   912,   361,
     760,   211,   705,   547,   534,   547,   547,  1244,   311,   222,
     837,   547,   824,  1244,   534,  1217,  1218,  1224,   120,   143,
     149,   163,   297,   453,   465,  1220,  1221,  1223,   534,   534,
    1228,  1228,  1151,   534,  1152,   177,  1151,  1151,  1151,   533,
     534,   537,   534,  1167,   534,   476,   415,   534,   205,   288,
    1164,  1151,  1151,  1151,   534,    59,  1058,  1170,  1170,   391,
    1048,  1151,   534,   537,    38,  1107,   120,  1119,  1120,  1152,
      81,  1243,   534,  1151,   533,  1089,  1097,   533,   534,  1112,
     534,   102,   187,   380,   533,  1073,  1074,  1075,  1076,  1077,
    1078,  1151,  1171,  1172,  1259,  1058,   534,  1036,  1007,    92,
     854,   856,   136,   486,  1026,  1027,  1028,  1029,  1151,   837,
     308,   837,   534,   446,   401,  1018,   534,   202,   662,   665,
     310,   901,   815,   545,   815,   333,   534,   320,   534,   534,
     642,    38,   157,   157,   533,   595,   787,  1254,  1244,   446,
     533,   867,   901,   903,   797,   533,   533,   804,  1244,   534,
     533,   534,   401,  1018,  1244,  1244,   533,   533,   533,   490,
     514,   977,   368,   977,   977,   171,  1244,   595,  1244,   821,
     623,   624,  1262,    54,   101,   126,   145,   150,   172,   176,
     191,   297,   352,   619,   617,  1250,   867,    38,   908,   908,
     534,   194,   533,   208,   471,   680,   264,   663,   680,   533,
     778,   770,   533,   534,   537,  1242,   534,   398,    29,    83,
      86,    93,   121,   181,   194,   207,   418,   421,   650,   650,
    1241,  1244,  1244,   534,  1039,   748,   157,   113,   724,   177,
    1244,    38,  1244,   688,   631,  1242,   534,   635,   312,  1259,
     677,   672,   676,   125,   140,   341,  1244,    64,    72,   256,
    1039,   815,  1098,   854,   177,   773,   874,   534,   537,   456,
     147,   543,   886,   889,  1109,   413,   413,   534,   282,   306,
     761,   762,   763,   171,   766,   704,   288,   475,   706,   707,
    1244,   845,   537,    38,  1151,    37,   301,   308,   534,   490,
     492,  1219,  1220,  1222,   171,  1152,  1161,  1190,   288,   509,
     205,   534,  1190,   188,   354,   384,  1177,    58,   129,   112,
    1049,    38,  1122,  1108,  1105,   533,  1152,   534,   537,    38,
    1115,  1116,  1259,   534,  1243,  1190,   534,   533,   402,   533,
     534,   537,   537,    38,  1063,   476,  1244,   534,   537,   293,
     469,   265,   292,  1012,  1027,    35,  1030,  1030,   839,   850,
     547,  1244,   436,   855,   533,   891,   533,   860,   598,   661,
     360,   662,   662,   194,  1151,   471,   596,   401,  1018,  1244,
    1194,   171,   800,   800,  1194,  1194,  1151,   436,  1190,  1190,
     607,   608,  1261,   814,   815,   814,   815,  1243,   547,   534,
     537,   120,   526,   533,   574,   625,   700,   974,  1250,   974,
     292,   297,   352,   974,   974,  1109,   908,    42,   199,   655,
     533,   696,  1151,   206,   178,   328,   407,   308,   667,   668,
     669,   534,  1247,     6,   779,   729,   631,   671,  1244,   534,
     724,   164,   799,   599,   957,  1242,   494,  1088,   724,  1039,
    1002,   672,   631,   671,   642,   533,   678,   676,   677,   384,
     384,    72,   311,    72,   688,   853,   534,  1242,   774,   881,
     892,  1127,   536,   136,   490,   490,   762,   383,   433,   764,
     141,   767,   486,   769,   475,   704,   724,   547,  1218,  1262,
     149,    37,    88,   460,   494,    37,   494,   239,   307,  1227,
     308,   534,  1151,   534,   534,   476,    52,   103,   459,  1151,
    1178,  1179,  1178,  1178,   534,   168,   168,   658,  1244,  1216,
    1112,   537,  1120,  1262,   534,   537,   171,  1127,   534,   534,
    1190,   533,  1190,  1074,  1172,  1174,  1081,  1039,  1109,   856,
     401,   265,  1151,   442,   442,   177,  1244,   658,   680,   901,
     861,   860,  1242,   891,   891,   696,   534,  1151,   436,   534,
     314,   391,   534,   534,   534,  1244,   534,   534,   534,   537,
    1249,   977,   624,   574,   626,   627,  1250,  1250,   297,   526,
     658,   526,   658,  1250,  1250,   697,   534,   436,   125,   469,
     308,   669,   308,   668,   533,   534,   537,   606,   398,   724,
     815,    38,    38,   533,  1244,   957,   688,   676,   606,   672,
     533,   674,   675,  1156,  1259,   679,   677,   678,   311,   311,
     533,   202,   857,   171,   887,    30,   217,   944,   179,   179,
     974,   383,   417,   768,   533,   156,   494,    37,   494,    37,
     494,   494,   353,   353,  1222,   143,   149,  1179,   383,   170,
     339,   170,   339,   153,  1180,  1180,  1180,    59,    59,   401,
      81,   534,  1153,  1116,   315,     3,   120,   292,   297,   332,
    1117,  1118,    38,  1093,   367,  1103,   534,  1073,   534,  1021,
      59,   125,   136,   469,  1031,  1032,   136,   216,  1033,   837,
    1018,   534,   666,   534,   861,   533,   660,   680,   680,  1244,
     867,    59,  1018,   446,   607,   815,   534,   537,   526,   658,
     534,   422,  1244,    63,   288,   372,   401,   670,   670,   534,
       6,   398,  1244,   796,  1039,   724,   677,   672,   676,  1151,
     534,   537,   859,   859,   678,   679,   854,   533,   645,   141,
     293,   533,   939,   941,   945,  1004,  1013,  1020,  1039,  1050,
     867,   867,   765,  1259,  1151,   770,   494,   494,   308,   308,
     534,  1220,    35,   103,   186,   288,   443,   658,   658,  1259,
     533,  1166,  1152,  1152,   297,  1152,  1118,  1259,   533,   534,
    1109,   412,   437,   293,   401,   293,   120,   322,   477,   533,
    1034,   547,   774,   658,   663,   774,   774,  1018,   815,   533,
     627,    24,   120,   297,  1244,   724,   957,   678,   676,   677,
     534,   675,   545,   545,   679,   534,   856,   858,   599,   383,
     940,   941,   942,  1040,  1041,   537,   537,   534,  1247,   387,
     387,   308,  1179,   383,   316,   401,   401,   446,   471,   281,
    1123,  1124,  1259,    81,  1151,  1021,   477,  1007,   533,  1008,
     659,   667,  1190,   657,   657,   724,   679,   677,   678,   859,
     857,   534,   537,   679,   769,   534,   536,   446,   177,   533,
     424,   424,   149,  1259,  1259,   228,  1247,  1248,  1259,   332,
    1125,   534,   537,   171,  1127,  1115,   534,   476,  1190,   534,
     534,   774,   534,   678,   679,   545,   645,   856,  1109,   156,
     942,   413,   413,     5,   771,   772,  1249,  1250,  1262,   533,
     120,  1250,  1223,  1124,   315,   157,   332,  1126,  1225,   534,
    1034,   534,   322,  1034,   679,   599,   770,   490,   490,   534,
     537,  1191,  1248,    38,    81,   534,  1126,  1250,  1219,  1126,
    1007,   679,  1247,   179,   179,   772,  1058,   471,  1244,   533,
    1223,  1227,  1219,   476,  1109,   533,   867,   867,   534,  1259,
      81,  1123,  1222,  1227,  1034,   771,   533,   534,  1222,   534,
    1123,   534
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   539,   540,   540,   540,   540,   540,   540,   541,   541,
     542,   542,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   544,   544,   545,
     545,   546,   546,   547,   547,   547,   548,   549,   550,   550,
     550,   551,   551,   552,   552,   553,   553,   553,   553,   553,
     553,   553,   553,   553,   554,   554,   554,   554,   554,   554,
     555,   556,   556,   557,   557,   558,   558,   558,   558,   559,
     559,   559,   559,   559,   559,   560,   561,   562,   562,   563,
     563,   563,   563,   564,   564,   565,   565,   565,   565,   565,
     565,   566,   566,   566,   567,   567,   567,   568,   568,   568,
     568,   569,   569,   569,   569,   569,   569,   569,   569,   569,
     569,   569,   570,   570,   571,   571,   572,   572,   573,   573,
     573,   573,   574,   574,   574,   574,   575,   575,   575,   575,
     575,   575,   575,   576,   576,   576,   577,   577,   578,   579,
     579,   579,   579,   580,   580,   581,   581,   582,   582,   583,
     583,   583,   583,   583,   584,   585,   585,   586,   586,   587,
     588,   588,   588,   588,   588,   589,   589,   589,   589,   589,
     589,   589,   589,   589,   589,   589,   589,   589,   589,   589,
     589,   589,   589,   589,   589,   589,   590,   590,   591,   591,
     591,   592,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   594,   594,   595,   595,   596,   596,   597,
     597,   597,   597,   598,   599,   599,   600,   600,   601,   601,
     601,   601,   602,   602,   603,   603,   603,   603,   604,   604,
     605,   605,   606,   606,   606,   606,   607,   608,   608,   609,
     610,   610,   611,   611,   611,   611,   612,   612,   613,   613,
     614,   614,   615,   615,   616,   616,   616,   617,   617,   618,
     618,   619,   619,   619,   619,   619,   619,   619,   619,   619,
     619,   619,   619,   619,   619,   619,   620,   620,   621,   621,
     622,   622,   623,   623,   624,   625,   625,   625,   625,   625,
     625,   626,   626,   627,   628,   628,   628,   628,   628,   628,
     629,   629,   629,   629,   629,   629,   629,   629,   630,   630,
     631,   631,   632,   632,   633,   633,   634,   634,   634,   635,
     635,   636,   637,   637,   638,   638,   639,   639,   640,   640,
     641,   641,   642,   642,   643,   643,   643,   643,   644,   644,
     644,   644,   644,   644,   644,   644,   644,   645,   645,   645,
     646,   646,   647,   647,   647,   647,   648,   649,   649,   649,
     650,   650,   650,   650,   650,   650,   650,   650,   650,   650,
     651,   651,   652,   652,   652,   652,   652,   652,   652,   652,
     653,   653,   654,   654,   655,   655,   656,   656,   657,   657,
     658,   658,   659,   659,   660,   660,   661,   662,   662,   663,
     663,   663,   663,   664,   664,   665,   665,   666,   666,   667,
     667,   667,   667,   667,   668,   669,   670,   670,   670,   670,
     670,   671,   671,   672,   672,   673,   674,   674,   675,   675,
     675,   676,   676,   677,   677,   677,   678,   678,   678,   678,
     679,   679,   680,   680,   681,   682,   682,   683,   683,   684,
     684,   684,   685,   685,   686,   686,   687,   688,   688,   688,
     689,   689,   690,   691,   691,   692,   693,   693,   694,   694,
     695,   695,   696,   696,   697,   697,   698,   698,   698,   698,
     698,   698,   698,   698,   698,   698,   698,   698,   698,   698,
     698,   698,   699,   699,   700,   700,   700,   700,   701,   701,
     702,   702,   703,   703,   704,   704,   705,   705,   706,   706,
     707,   707,   708,   708,   709,   710,   710,   711,   711,   712,
     712,   713,   713,   714,   714,   714,   714,   715,   716,   716,
     717,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   719,   720,   720,   720,   720,   721,
     721,   722,   722,   723,   723,   724,   724,   725,   725,   726,
     727,   727,   728,   728,   728,   728,   729,   730,   731,   732,
     732,   733,   733,   734,   734,   735,   735,   736,   736,   736,
     737,   737,   737,   737,   738,   739,   739,   740,   740,   741,
     741,   742,   742,   743,   743,   744,   745,   746,   747,   747,
     748,   748,   749,   749,   750,   750,   751,   751,   752,   752,
     753,   753,   753,   753,   753,   754,   755,   755,   756,   756,
     757,   757,   757,   758,   758,   759,   759,   759,   759,   759,
     760,   760,   761,   761,   762,   763,   763,   764,   764,   765,
     766,   766,   767,   767,   768,   768,   769,   769,   770,   770,
     771,   771,   771,   772,   772,   772,   772,   773,   773,   774,
     774,   775,   775,   775,   775,   775,   775,   776,   776,   777,
     777,   778,   779,   779,   780,   781,   781,   781,   781,   782,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   784,   785,   785,   786,
     786,   787,   787,   787,   787,   787,   787,   788,   789,   789,
     790,   791,   791,   792,   792,   793,   793,   793,   793,   793,
     794,   794,   795,   796,   796,   797,   797,   797,   797,   797,
     798,   798,   799,   799,   800,   800,   800,   801,   802,   802,
     803,   803,   804,   804,   805,   805,   806,   806,   807,   808,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   810,   810,   810,   810,   810,   810,   810,   810,
     810,   810,   810,   810,   810,   811,   811,   811,   811,   811,
     812,   812,   812,   812,   812,   812,   812,   812,   813,   813,
     813,   814,   814,   815,   815,   816,   816,   817,   817,   818,
     819,   819,   819,   820,   820,   820,   820,   820,   820,   820,
     820,   820,   820,   820,   820,   820,   820,   820,   820,   820,
     820,   821,   821,   822,   822,   822,   822,   822,   822,   822,
     822,   822,   822,   823,   823,   824,   824,   825,   825,   826,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   826,   826,   826,   826,   827,   827,   828,   828,   829,
     830,   830,   831,   831,   831,   831,   831,   832,   832,   833,
     833,   833,   833,   833,   834,   834,   835,   835,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   836,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   836,   836,   837,
     837,   838,   838,   839,   839,   840,   840,   841,   841,   842,
     842,   843,   844,   844,   844,   845,   845,   846,   847,   847,
     848,   848,   848,   849,   849,   849,   850,   850,   850,   850,
     850,   850,   851,   851,   852,   852,   853,   853,   854,   854,
     855,   855,   856,   856,   856,   857,   857,   858,   858,   859,
     859,   860,   860,   860,   861,   861,   861,   862,   862,   862,
     862,   863,   863,   864,   864,   865,   865,   866,   866,   867,
     867,   867,   867,   868,   868,   869,   869,   870,   870,   870,
     870,   870,   871,   871,   871,   871,   871,   872,   873,   874,
     874,   874,   875,   875,   875,   876,   877,   877,   877,   877,
     878,   878,   879,   880,   880,   881,   881,   882,   882,   883,
     883,   883,   883,   883,   883,   883,   883,   883,   883,   883,
     883,   883,   883,   883,   883,   883,   884,   884,   884,   884,
     884,   885,   885,   886,   887,   887,   887,   888,   888,   889,
     889,   890,   890,   891,   891,   892,   893,   893,   894,   894,
     894,   895,   895,   896,   896,   897,   897,   897,   897,   897,
     897,   898,   898,   899,   899,   900,   900,   900,   900,   901,
     901,   902,   902,   903,   904,   905,   905,   906,   906,   907,
     907,   907,   908,   908,   908,   909,   910,   910,   911,   912,
     912,   912,   912,   913,   914,   914,   914,   915,   915,   916,
     916,   917,   917,   918,   918,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     920,   920,   921,   921,   922,   922,   922,   922,   922,   922,
     923,   923,   924,   924,   924,   924,   924,   924,   924,   924,
     924,   924,   924,   924,   924,   924,   924,   924,   924,   924,
     924,   924,   924,   924,   924,   924,   924,   924,   924,   925,
     926,   926,   927,   927,   927,   928,   928,   928,   928,   928,
     929,   930,   930,   930,   930,   930,   930,   930,   930,   930,
     930,   930,   930,   930,   930,   930,   930,   930,   930,   930,
     930,   930,   930,   930,   930,   931,   931,   931,   932,   932,
     932,   932,   932,   932,   932,   933,   933,   934,   934,   934,
     934,   935,   936,   936,   936,   936,   936,   936,   936,   936,
     936,   937,   937,   938,   939,   939,   939,   940,   940,   941,
     941,   941,   941,   941,   942,   942,   943,   943,   943,   943,
     944,   944,   944,   945,   946,   946,   947,   948,   948,   949,
     949,   949,   949,   949,   949,   949,   949,   949,   949,   949,
     949,   950,   950,   951,   951,   951,   952,   952,   952,   952,
     952,   953,   953,   953,   954,   954,   955,   955,   955,   956,
     956,   956,   956,   957,   957,   957,   957,   958,   959,   960,
     960,   961,   961,   962,   962,   962,   963,   963,   963,   963,
     963,   963,   963,   964,   964,   965,   965,   965,   965,   966,
     967,   967,   967,   967,   968,   968,   969,   970,   971,   971,
     972,   973,   973,   973,   973,   973,   973,   973,   974,   974,
     975,   976,   976,   976,   976,   976,   976,   977,   977,   978,
     979,   979,   979,   979,   979,   980,   980,   981,   981,   982,
     982,   983,   983,   984,   984,   985,   986,   986,   986,   987,
     987,   987,   988,   988,   989,   989,   990,   990,   991,   991,
     992,   992,   993,   994,   994,   995,   995,   996,   996,   996,
     996,   997,   997,   997,   997,   997,   997,   997,   997,   997,
     997,   998,   999,   999,  1000,  1000,  1000,  1000,  1000,  1001,
    1001,  1001,  1002,  1002,  1003,  1003,  1003,  1003,  1004,  1005,
    1005,  1006,  1006,  1006,  1006,  1006,  1007,  1007,  1008,  1008,
    1009,  1010,  1010,  1010,  1011,  1011,  1011,  1012,  1012,  1013,
    1014,  1014,  1015,  1016,  1016,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1018,  1018,  1019,  1019,  1019,  1020,  1021,
    1021,  1022,  1022,  1023,  1024,  1024,  1025,  1026,  1026,  1027,
    1027,  1027,  1027,  1027,  1028,  1028,  1029,  1029,  1030,  1030,
    1031,  1032,  1033,  1033,  1033,  1033,  1033,  1034,  1035,  1036,
    1037,  1037,  1037,  1037,  1037,  1037,  1038,  1038,  1038,  1039,
    1039,  1040,  1040,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1042,  1042,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1044,  1044,  1044,  1045,  1045,  1046,  1047,  1047,  1047,  1048,
    1048,  1048,  1049,  1049,  1049,  1050,  1050,  1051,  1051,  1052,
    1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1053,  1053,
    1054,  1054,  1054,  1055,  1055,  1056,  1056,  1057,  1057,  1058,
    1058,  1059,  1060,  1060,  1061,  1061,  1062,  1062,  1062,  1062,
    1063,  1063,  1064,  1064,  1064,  1064,  1064,  1064,  1065,  1065,
    1066,  1066,  1067,  1068,  1068,  1068,  1069,  1069,  1070,  1070,
    1071,  1071,  1072,  1072,  1073,  1073,  1074,  1074,  1074,  1074,
    1074,  1075,  1076,  1077,  1078,  1079,  1079,  1080,  1080,  1081,
    1081,  1082,  1082,  1083,  1084,  1084,  1084,  1084,  1085,  1085,
    1086,  1086,  1087,  1087,  1088,  1088,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1090,  1090,
    1090,  1090,  1090,  1090,  1091,  1091,  1091,  1091,  1092,  1092,
    1093,  1093,  1094,  1094,  1094,  1094,  1094,  1095,  1095,  1095,
    1095,  1096,  1096,  1097,  1097,  1098,  1098,  1099,  1099,  1099,
    1100,  1100,  1101,  1101,  1101,  1102,  1103,  1103,  1104,  1104,
    1105,  1106,  1106,  1107,  1107,  1108,  1108,  1109,  1109,  1110,
    1110,  1110,  1111,  1111,  1112,  1112,  1113,  1114,  1114,  1115,
    1115,  1116,  1116,  1116,  1117,  1117,  1118,  1118,  1118,  1118,
    1118,  1119,  1119,  1120,  1120,  1121,  1122,  1122,  1123,  1123,
    1124,  1124,  1124,  1124,  1124,  1124,  1125,  1125,  1126,  1126,
    1127,  1127,  1127,  1127,  1127,  1127,  1128,  1128,  1128,  1129,
    1129,  1129,  1129,  1129,  1129,  1129,  1129,  1130,  1130,  1130,
    1130,  1130,  1131,  1131,  1132,  1132,  1133,  1133,  1133,  1133,
    1133,  1133,  1133,  1133,  1133,  1133,  1133,  1134,  1134,  1135,
    1135,  1136,  1136,  1137,  1138,  1139,  1139,  1140,  1140,  1141,
    1142,  1143,  1143,  1143,  1143,  1143,  1143,  1144,  1144,  1145,
    1145,  1145,  1145,  1146,  1147,  1147,  1147,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1148,  1149,  1149,  1150,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1152,  1152,  1152,  1152,  1152,  1152,  1152,  1152,
    1152,  1152,  1152,  1152,  1152,  1152,  1152,  1152,  1152,  1152,
    1152,  1152,  1152,  1152,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1154,  1154,
    1154,  1154,  1154,  1154,  1154,  1155,  1155,  1155,  1156,  1156,
    1156,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1158,  1158,  1159,  1159,  1159,  1159,  1160,  1161,  1161,
    1162,  1162,  1163,  1163,  1164,  1164,  1164,  1165,  1165,  1165,
    1166,  1166,  1166,  1166,  1167,  1167,  1168,  1168,  1169,  1169,
    1170,  1170,  1171,  1171,  1172,  1173,  1173,  1173,  1174,  1175,
    1175,  1176,  1176,  1177,  1177,  1177,  1177,  1178,  1178,  1179,
    1179,  1179,  1179,  1179,  1180,  1180,  1180,  1180,  1180,  1181,
    1181,  1181,  1182,  1182,  1183,  1184,  1184,  1184,  1185,  1185,
    1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,
    1186,  1186,  1187,  1187,  1188,  1188,  1189,  1189,  1189,  1189,
    1189,  1189,  1190,  1190,  1191,  1191,  1192,  1192,  1192,  1193,
    1193,  1194,  1194,  1195,  1195,  1195,  1196,  1196,  1197,  1198,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  1199,  1199,  1199,
    1199,  1200,  1200,  1201,  1202,  1202,  1202,  1202,  1202,  1203,
    1203,  1203,  1204,  1204,  1205,  1206,  1206,  1207,  1208,  1208,
    1209,  1209,  1210,  1210,  1211,  1211,  1211,  1211,  1212,  1212,
    1213,  1213,  1214,  1214,  1215,  1215,  1216,  1216,  1217,  1217,
    1218,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,
    1220,  1220,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,
    1222,  1222,  1222,  1222,  1223,  1223,  1224,  1225,  1225,  1226,
    1226,  1227,  1227,  1227,  1227,  1227,  1228,  1228,  1229,  1229,
    1229,  1229,  1229,  1230,  1230,  1230,  1230,  1230,  1231,  1231,
    1232,  1232,  1233,  1233,  1233,  1234,  1234,  1234,  1235,  1235,
    1236,  1236,  1237,  1237,  1238,  1238,  1239,  1239,  1240,  1240,
    1240,  1240,  1241,  1241,  1242,  1242,  1243,  1243,  1244,  1245,
    1246,  1247,  1247,  1248,  1248,  1248,  1248,  1248,  1248,  1248,
    1248,  1248,  1248,  1248,  1248,  1248,  1249,  1250,  1251,  1251,
    1251,  1252,  1253,  1253,  1253,  1253,  1254,  1254,  1255,  1256,
    1257,  1257,  1258,  1258,  1259,  1259,  1259,  1260,  1260,  1260,
    1261,  1261,  1261,  1261,  1262,  1262,  1262,  1262,  1262,  1263,
    1263,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1267,  1267,  1267,  1267,  1267,  1267,
    1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,
    1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,
    1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,
    1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,
    1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,
    1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,
    1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,
    1267,  1267,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     2,     2,     2,     2,     2,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     0,     1,
       0,     1,     0,     1,     1,     0,     2,     5,     1,     1,
       0,     2,     0,     2,     0,     2,     2,     3,     3,     1,
       3,     3,     2,     1,     1,     2,     2,     2,     3,     3,
       5,     5,     5,     0,     3,     5,     5,     5,     5,     3,
       5,     3,     5,     3,     5,     5,     6,     1,     1,     6,
       4,     9,     7,     2,     0,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     2,     5,     1,     3,     3,     3,
       3,     1,     3,     3,     2,     2,     2,     2,     3,     3,
       3,     3,     1,     3,     1,     3,     1,     1,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     5,
       1,     1,     1,     1,     1,     0,     1,     1,     2,     1,
       2,     3,     2,     1,     1,     2,     1,     2,     1,     2,
       3,     4,     3,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     4,     6,     4,     6,    10,
      13,     4,     6,     4,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     5,     7,     1,     3,     4,     4,
       4,     3,     2,     5,     3,     6,     4,     6,     6,     9,
       5,     7,     6,     6,     5,     5,     5,     5,     9,     4,
       5,     7,     6,     4,     8,     4,     2,     4,     3,     6,
       4,     3,     3,     3,     2,     2,     3,     4,     4,     3,
       3,     3,     3,     3,     3,     4,     4,     3,     2,     3,
       2,     2,     3,     4,     3,     2,     2,     3,     4,     4,
       4,     5,     1,     3,     2,     2,     0,     2,     0,     1,
       1,     1,     3,     3,     2,     0,     1,     3,     3,     1,
       5,     3,     1,     2,     1,     3,     2,     3,     1,     1,
       1,     1,     6,     6,    10,     1,     2,     1,     3,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     3,     3,     1,     1,     3,     3,     3,
       3,     4,     4,     3,     3,     2,     1,     0,     3,     0,
       1,     0,     1,     3,     2,     1,     1,     1,     1,     3,
       0,     1,     3,     1,    13,    16,    12,    15,    14,    17,
       1,     1,     2,     2,     2,     2,     1,     0,     1,     0,
       3,     0,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     6,     2,     4,     2,     2,     1,     0,     2,     2,
       1,     0,     2,     0,     3,     1,     1,     2,     3,     1,
       4,     4,     5,     2,     5,     7,     5,     2,     3,     0,
       1,     2,     1,     2,     2,     2,     3,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     5,     4,    10,     3,    10,     4,    10,    12,
       3,     1,     5,     3,     2,     0,     2,     0,     3,     0,
       1,     3,     3,     0,     4,     0,     1,     4,     0,     2,
       2,     2,     0,     1,     3,     3,     6,     4,     0,     1,
       1,     2,     2,     0,     3,     3,     2,     1,     1,     3,
       3,     4,     0,     1,     0,     6,     1,     3,     3,     3,
       5,     2,     0,     2,     2,     0,     3,     4,     4,     0,
       2,     0,     4,     0,     3,     8,    11,     1,     3,     1,
       1,     3,     6,     8,     7,    10,     6,     2,     3,     0,
       8,    11,     5,     1,     0,     6,     5,     8,     4,     6,
       1,     0,     3,     0,     1,     2,     2,     2,     1,     2,
       3,     1,     2,     2,     2,     2,     3,     3,     3,     1,
       3,     1,     1,     0,     1,     2,     2,     1,     1,     3,
       6,    10,     1,     0,     1,     2,     2,     0,     2,     2,
       1,     0,     1,     0,     7,     2,     0,     3,     5,     5,
       8,     2,     0,     2,     2,     2,     1,     5,     2,     0,
       2,     6,     6,     6,    10,     6,     6,     6,     9,     9,
       6,     6,     9,     6,     7,     2,     2,     2,     2,     1,
       2,     1,     0,     7,     6,     4,     0,     1,     3,     4,
       1,     3,     1,     2,     2,     2,     2,     1,     1,    10,
      13,     2,     0,     2,     2,     1,     0,     5,     4,     4,
      11,    14,    12,    15,    11,     2,     1,     4,     0,     8,
      11,     1,     1,     7,     9,     8,    10,     8,     4,     0,
       5,     0,     2,     0,     2,     0,     2,     0,     2,     0,
       1,     1,     1,     1,     1,     8,     1,     1,    17,    21,
       1,     1,     2,     1,     3,     1,     1,     1,     3,     1,
       2,     0,     1,     2,     4,     1,     1,     1,     1,     1,
       3,     0,     1,     0,     1,     1,     4,     0,     1,     1,
       1,     3,     0,     1,     1,     1,     1,     2,     0,     0,
       2,     2,     1,     2,     2,     2,     2,    11,    13,     1,
       3,     5,     1,     3,     5,     1,     2,     2,     1,     8,
       6,     5,     4,     4,     3,     7,     8,     6,     6,     6,
       6,     6,     4,     7,     5,     8,     3,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     3,
       3,     1,     0,     1,     3,     7,     9,     9,     8,     6,
       3,     0,    13,     1,     3,     4,     4,     3,     6,     2,
       1,     0,     2,     0,     2,     4,     0,     6,     8,     8,
       1,     3,     5,     5,     7,     9,     7,     9,     5,     6,
       6,     4,     6,     4,     6,     8,     4,     6,     4,     6,
       5,     7,     1,     1,     1,     2,     1,     2,     1,     1,
       1,     3,     3,     3,     3,     1,     1,     1,     1,     1,
       2,     2,     1,     3,     2,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     2,     2,     3,     1,     3,     5,
       2,     2,     0,     6,     6,     6,     6,     6,     6,     6,
       6,     8,     9,     8,     6,     6,     9,     9,     9,     7,
      10,     1,     1,     8,     8,     8,     8,     8,     8,     8,
       9,     8,     8,     2,     0,     1,     1,     2,     2,     1,
       2,     3,     3,     3,     3,     4,     4,     3,     3,     3,
       4,     4,     3,     4,     4,     1,     1,     1,     0,     8,
       8,    11,     1,     1,     2,     4,     5,     1,     3,     2,
       2,     2,     2,     2,     1,     3,     1,     3,     1,     2,
       2,     4,     3,     2,     2,     2,     2,     2,     2,     3,
       2,     2,     2,     2,     5,     5,     5,     5,     5,     1,
       3,     1,     2,     3,     0,     5,     7,     6,     9,     3,
       1,     2,     1,     1,     1,     3,     0,     5,     2,     0,
       3,     3,     3,     7,     7,    10,     1,     1,     1,     1,
       1,     1,    16,    19,     1,     0,     2,     0,     1,     3,
       4,     5,     2,     2,     4,     4,     0,     1,     3,     2,
       0,     1,     1,     0,     2,     2,     0,     9,    12,     7,
       7,     2,     0,     3,     2,     1,     3,     1,     3,     2,
       1,     1,     2,     3,     2,     1,     3,     3,     3,     2,
       2,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       4,     5,     1,     3,     3,     1,     3,     3,     5,     6,
       1,     3,     2,     1,     3,     1,     0,     1,     2,     4,
       5,     1,     1,     1,     1,     3,     3,     2,     2,     1,
       2,     2,     2,     2,     1,     2,     2,     2,     2,     1,
       1,     1,     3,     2,     1,     4,     0,     3,     0,     1,
       1,     3,     5,     2,     0,     2,     1,     3,     5,     5,
       5,     1,     2,     1,     0,     4,     6,     4,     6,     4,
       6,     4,     6,     4,     6,     3,     5,     5,     5,     1,
       3,     1,     3,     2,     2,     1,     2,     1,     2,    11,
      10,    10,     2,     2,     0,     9,     2,     0,    10,    11,
      11,     5,     5,     8,     5,     5,     5,     1,     1,     1,
       1,     3,     0,     5,     5,     6,     6,     6,     6,     6,
       8,     8,     6,     6,     7,     9,     9,     8,    10,     6,
       6,     6,     6,     6,     6,     6,     8,     6,     8,     6,
       8,     7,     9,     6,     8,     7,     9,     8,    10,     8,
      10,     9,    11,     8,    10,     9,    11,     8,     8,     7,
       6,     6,     6,     6,     8,     8,     8,     8,     6,     9,
       1,     0,     2,     0,     8,     8,     8,    10,     9,     8,
       1,     0,     6,     6,     6,     6,     6,     6,     6,     9,
       9,     6,     6,     6,     8,     6,     8,     8,     8,     8,
       6,     8,     6,     8,     7,     9,     7,     9,     6,     7,
       1,     3,     3,     3,     1,     1,     1,     1,     1,     1,
       7,     6,     6,     6,     6,     6,     6,     7,     7,     6,
       9,     9,     6,     6,     6,     6,     6,     6,     8,     8,
       8,     6,     7,     6,     6,     4,     7,     6,     4,     4,
       4,     3,     4,     3,     1,     1,     3,     5,     5,     5,
       5,     8,     5,     5,     6,     7,     7,     7,     4,     4,
       5,     4,     6,    13,     1,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     0,     3,     2,     0,     2,     2,     2,     3,
       3,     3,     3,     2,     3,     2,     5,     4,     3,     3,
       3,     3,     3,     1,     1,     0,     3,     2,     2,     1,
       2,     1,     3,     2,     1,     0,     2,     3,     0,     9,
      11,    12,    14,     3,     4,     4,     0,     2,     5,     1,
       0,     1,     2,     3,     3,     3,     1,     2,     1,     1,
       1,     1,     1,     1,     0,     5,     4,     6,     6,     4,
       3,     5,     7,     9,     1,     3,     1,     5,     4,     4,
       6,     4,     6,     6,     5,     7,     9,     6,     1,     0,
       6,    11,    11,    11,    13,     9,    11,     1,     1,    10,
       6,     4,     4,     2,     5,     2,     0,     6,     5,     3,
       5,     1,     3,     1,     1,     2,     1,     1,     1,     1,
       1,     0,     1,     0,     1,     0,     1,     0,     1,     0,
       3,     0,     2,     1,     3,     1,     0,     2,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     5,     3,     0,     1,     1,     1,     1,     1,     3,
       9,    12,     3,     0,     2,     3,     2,     3,     7,     1,
       3,     1,     4,     4,     7,     2,     1,     1,     1,     3,
       2,     8,     5,     0,     4,     3,     0,     2,     0,     7,
       2,     0,     5,     3,     0,     2,     2,     2,     3,     1,
       3,     1,     2,     1,     0,     1,     2,     0,     8,     1,
       3,     3,     5,     2,     1,     3,    10,     1,     2,     4,
       4,     4,     5,     5,     2,     5,     3,     5,     2,     0,
       3,     1,     2,     5,     5,     8,     3,     4,     7,     1,
       0,     3,     2,     2,     2,     2,     0,     2,     2,     1,
       1,     3,     3,     1,     2,     4,     4,     2,     3,     5,
       5,     1,     1,     9,     9,     1,     2,     4,     4,     4,
       2,     2,     3,     1,     3,     9,     1,     2,     0,     7,
       7,     0,    10,     6,     0,     1,     0,     2,     0,     3,
       3,     4,     4,     4,     4,     3,     2,     1,     1,     0,
       1,     1,     0,     1,     5,     1,     0,     1,     1,     1,
       0,     3,     1,     3,     4,     3,     2,     2,     1,     1,
       1,     0,     2,     4,     5,     6,     4,     5,     2,     3,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     4,     0,     1,     3,     1,     1,     1,     1,
       1,     2,     4,     4,     5,     2,     0,     1,     3,     1,
       0,     1,     2,     3,     2,     4,     2,     3,     2,     0,
       4,     5,     2,     0,     1,     3,     2,     3,     2,     3,
       2,     3,     2,     3,     1,     4,     2,     3,     3,     4,
       5,     4,     5,     4,     5,     2,     4,     1,     1,     0,
       2,     0,     1,     4,     5,     4,     0,     2,     2,     2,
       1,     1,     0,     5,     2,     1,     1,     2,     2,     4,
       1,     3,     1,     2,     3,     6,     4,     0,     2,     6,
       2,     1,     3,     4,     0,     2,     0,     2,     0,     2,
       4,     0,     1,     0,     1,     3,     3,     7,    12,     1,
       3,     2,     3,     3,     1,     2,     2,     2,     2,     1,
       2,     1,     3,     3,     2,    13,     2,     0,     1,     3,
       3,     6,     7,     5,     7,     9,     1,     0,     2,     0,
       2,     3,     5,     6,     2,     3,     3,     4,     0,     1,
       1,     1,     1,     1,     2,     4,     1,     1,     1,     1,
       1,     1,     2,     3,     3,     0,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     2,     1,     3,     0,     1,
       1,     1,     1,     5,     2,     1,     1,     1,     1,     4,
       1,     2,     2,     1,     3,     3,     2,     1,     0,     5,
       2,     5,     2,     1,     3,     3,     0,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     3,     3,     3,
       0,     1,     4,     1,     1,     3,     3,     5,     3,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     3,     3,     2,     2,     3,
       5,     4,     6,     3,     5,     4,     6,     4,     6,     5,
       7,     3,     2,     4,     2,     3,     3,     4,     3,     4,
       3,     4,     5,     6,     6,     7,     6,     7,     3,     4,
       4,     6,     3,     3,     4,     3,     4,     4,     5,     4,
       5,     1,     1,     3,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       5,     6,     3,     4,     1,     1,     2,     4,     1,     1,
       1,     2,     2,     2,     2,     1,     1,     4,     3,     5,
       6,     8,     6,     6,     4,     4,     3,     1,     1,     1,
       1,     5,     1,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     1,     1,     1,     1,     1,     1,     6,     4,
       4,     6,     4,     4,     4,     4,     4,     6,     5,     5,
       5,     4,     6,     4,     4,     4,     4,     5,     7,     7,
       9,     5,     4,     6,     5,     7,     7,     8,     4,     7,
       4,     6,     6,     4,     5,     4,     5,     3,    11,     8,
       9,     2,     3,     3,     3,     4,     0,     4,     1,     3,
       3,     1,     1,     1,     1,     2,     0,     2,     2,     0,
       2,     3,     3,     4,     2,     2,     5,     0,     5,     0,
       2,     0,     1,     3,     3,     2,     2,     0,     6,     1,
       0,     3,     0,     3,     3,     3,     0,     1,     4,     2,
       2,     2,     2,     2,     3,     2,     2,     3,     0,     4,
       3,     5,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     1,     4,     1,     4,     1,     2,
       1,     2,     1,     3,     1,     3,     1,     3,     3,     1,
       0,     1,     3,     3,     3,     2,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     7,     5,     3,     5,     5,     3,     3,     5,     3,
       2,     1,     1,     3,     5,     1,     2,     4,     2,     0,
       1,     0,     1,     2,     2,     2,     3,     5,     1,     0,
       1,     2,     0,     2,     1,     0,     2,     0,     1,     3,
       3,     2,     3,     2,     3,     4,     4,     3,     3,     0,
       2,     1,     1,     1,     1,     1,     1,     2,     2,     1,
       3,     3,     6,     0,     3,     0,     2,     4,     2,     1,
       0,     5,     2,     5,     2,     0,     3,     0,     1,     2,
       2,     2,     2,     3,     2,     3,     2,     0,     1,     3,
       3,     3,     3,     3,     0,     3,     3,     0,     1,     3,
       7,     7,     3,     0,     1,     0,     1,     3,     3,     2,
       1,     1,     1,     3,     1,     2,     1,     3,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     2,     6,
       2,     3,     5,     1,     1,     1,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     3,    10,     4,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 909 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
				(void) yynerrs;		/* suppress compiler warning */
			}
#line 30127 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 914 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = list_make1((yyvsp[0].typnam));
			}
#line 30135 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 918 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((yyvsp[0].node), (yylsp[0])));
			}
#line 30144 "gram.c" /* yacc.c:1646  */
    break;

  case 5:
#line 923 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 1;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, (yylsp[0])));
			}
#line 30156 "gram.c" /* yacc.c:1646  */
    break;

  case 6:
#line 931 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 2;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, (yylsp[0])));
			}
#line 30168 "gram.c" /* yacc.c:1646  */
    break;

  case 7:
#line 939 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 3;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, (yylsp[0])));
			}
#line 30180 "gram.c" /* yacc.c:1646  */
    break;

  case 8:
#line 955 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[0])));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 30196 "gram.c" /* yacc.c:1646  */
    break;

  case 9:
#line 967 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), (yylsp[0])));
					else
						(yyval.list) = NIL;
				}
#line 30207 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1110 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30213 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1117 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30219 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1118 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30225 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1122 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30231 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1123 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30237 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1127 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30243 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1128 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 30249 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1132 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 30255 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1133 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 30261 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1134 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 30267 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1144 "gram.y" /* yacc.c:1646  */
    {
					CallStmt   *n = makeNode(CallStmt);

					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *) n;
				}
#line 30278 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1160 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30291 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1182 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30297 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1183 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30303 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1187 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30309 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1188 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30315 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1193 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30324 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1198 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 30332 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1202 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 30346 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1212 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 30358 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1220 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 30366 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1224 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 30374 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1228 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 30382 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1233 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 30390 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1237 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 30439 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1284 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 30445 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1287 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 30453 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1291 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 30461 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1295 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 30469 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1299 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 30477 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1303 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 30485 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1317 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30498 "gram.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1336 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 30511 "gram.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1345 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 30524 "gram.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1356 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30530 "gram.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1357 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30536 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1362 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30549 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1371 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30562 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1380 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30575 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1389 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30588 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1411 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30600 "gram.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1419 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30612 "gram.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1427 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30624 "gram.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1435 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30636 "gram.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1443 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30648 "gram.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1451 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30660 "gram.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1469 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30673 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1488 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 30687 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1499 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 30693 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1500 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 30699 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1512 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 30714 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1523 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 30729 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1534 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 30749 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1550 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 30769 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1569 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 30777 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1573 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30783 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1601 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 30794 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1608 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 30805 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1615 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 30816 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1625 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					n->jumble_args = true;
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 30831 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1636 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					n->jumble_args = true;
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 30846 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1651 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					n->location = (yylsp[0]);
					(yyval.vsetstmt) = n;
				}
#line 30860 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1661 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					n->location = (yylsp[0]);
					(yyval.vsetstmt) = n;
				}
#line 30874 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1671 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 30887 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1680 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 30900 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1691 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 30906 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1693 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 30919 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1703 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					n->location = -1;
					n->jumble_args = true;
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 30937 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1717 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 30949 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1725 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					n->location = (yylsp[0]);
					(yyval.vsetstmt) = n;
				}
#line 30963 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1735 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					n->location = (yylsp[0]);
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 30980 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1748 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					n->location = (yylsp[0]);
					(yyval.vsetstmt) = n;
				}
#line 30994 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1758 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					n->location = (yylsp[0]);
					(yyval.vsetstmt) = n;
				}
#line 31008 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1768 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 31021 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1777 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					n->jumble_args = true;
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 31036 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1789 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					n->location = (yylsp[0]);
					(yyval.vsetstmt) = n;
				}
#line 31050 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1800 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31056 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1802 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 31062 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1805 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31068 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1806 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31074 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1810 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 31080 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1812 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 31086 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1815 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 31092 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1816 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 31098 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1817 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 31104 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1818 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 31110 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1822 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 31116 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1823 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 31122 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1824 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 31128 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1830 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31134 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1843 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 31142 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1847 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 31150 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1851 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-2].typnam);

					if ((yyvsp[0].list) != NIL)
					{
						A_Const	   *n = (A_Const *) linitial((yyvsp[0].list));

						if ((n->val.ival.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 31171 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1868 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 31183 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1875 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 31189 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1876 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31195 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1877 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31201 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1881 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31207 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1882 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31213 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1883 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31219 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1887 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31225 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1888 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31231 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1892 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 31237 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1896 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 31243 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1898 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "timezone";
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 31256 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1907 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 31269 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1916 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "session_authorization";
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 31282 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1928 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 31295 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1937 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET_ALL;
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 31307 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1948 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 31313 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1949 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 31319 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1954 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 31325 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1955 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 31331 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1961 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31342 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1968 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 31353 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1975 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 31364 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1982 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 31375 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1989 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 31386 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2000 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);

					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31398 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2010 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31404 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2011 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31410 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2015 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31416 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2016 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31422 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2025 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);

					(yyval.node) = (Node *) n;
				}
#line 31432 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2041 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 31443 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2048 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 31454 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2055 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 31465 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2062 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 31476 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2069 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 31487 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2089 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31501 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2099 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31515 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2109 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31529 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2119 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31543 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2129 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31559 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2141 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31575 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2153 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31589 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2163 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31603 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2173 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31617 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2183 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31633 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2195 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31649 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2207 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31663 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2217 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31677 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2227 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31691 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2237 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31705 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2247 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31719 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2257 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31733 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2267 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31749 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2279 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31765 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2291 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31779 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2301 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31793 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2313 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31799 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2314 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31805 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2320 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 31822 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2334 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = (yyvsp[0].boolean);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 31839 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2347 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartitionFinalize;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;
					(yyval.node) = (Node *) n;
				}
#line 31855 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2363 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 31872 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2380 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31885 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2390 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31898 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2400 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31911 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2410 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31924 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2420 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31937 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2430 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 31949 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2439 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 31961 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2448 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetExpression;
					n->name = (yyvsp[-6].str);
					n->def = (yyvsp[-1].node);
					(yyval.node) = (Node *) n;
				}
#line 31974 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2458 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-2].str);
					(yyval.node) = (Node *) n;
				}
#line 31986 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2467 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31999 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2477 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32012 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2487 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32031 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2503 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32044 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2513 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32057 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2523 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 32070 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2533 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetCompression;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 32083 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2543 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *) n;
				}
#line 32103 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2560 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32116 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2570 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32129 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2580 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32142 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2590 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32156 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2601 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32170 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2615 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 32189 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2631 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32202 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2641 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32214 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2650 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 32233 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2666 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32245 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2675 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32259 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2686 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32273 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2697 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOids;
					(yyval.node) = (Node *) n;
				}
#line 32284 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2705 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32296 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2714 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32308 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2723 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *) n;
				}
#line 32319 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2731 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *) n;
				}
#line 32330 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2739 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32342 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2748 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32354 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2757 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32366 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2766 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 32377 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2774 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 32388 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2782 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32400 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2791 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 32411 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2799 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 32422 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2807 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32434 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2816 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32446 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2825 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32458 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2834 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32470 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2843 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 32482 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2852 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 32494 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2861 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName   *def = makeTypeNameFromNameList((yyvsp[0].list));

					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *) n;
				}
#line 32508 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2872 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOf;
					(yyval.node) = (Node *) n;
				}
#line 32519 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2880 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 32531 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2889 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetAccessMethod;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32543 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2898 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32555 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2907 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32567 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2916 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32579 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2925 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32591 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2934 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32602 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2942 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32613 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2950 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32624 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2958 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32635 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2965 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_GenericOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32647 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2975 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32653 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2976 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32659 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2981 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32672 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2989 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32678 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2993 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32684 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2994 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32690 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2999 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32702 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3007 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32714 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3015 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32726 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3023 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32738 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3033 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32744 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3036 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32750 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3037 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32756 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3041 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32762 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3042 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32768 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3048 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 32776 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3052 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 32784 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3056 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 32793 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3061 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 32801 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3068 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32807 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3070 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32813 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3075 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 32821 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3079 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 32829 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3083 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 32844 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3094 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 32852 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3100 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 32858 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3101 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32864 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3105 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32870 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3106 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32876 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3112 "gram.y" /* yacc.c:1646  */
    {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified"),
								 parser_errposition((yylsp[-3]))));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified"),
								 parser_errposition((yylsp[-3]))));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 32933 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3167 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 32948 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3180 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 32964 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3194 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 32977 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3206 "gram.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 32985 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3213 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 32993 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3217 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 33001 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3231 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TYPE;
					(yyval.node) = (Node *) n;
				}
#line 33015 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3243 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33021 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3244 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 33027 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3250 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 33040 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3260 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 33054 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3271 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 33068 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3282 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 33088 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3309 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33099 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3316 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 33110 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3352 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-6].boolean);
					n->is_program = (yyvsp[-5].boolean);
					n->filename = (yyvsp[-4].str);
					n->whereClause = (yyvsp[0].node);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					if (!n->is_from && n->whereClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("WHERE clause not allowed with COPY TO"),
								 parser_errposition((yylsp[0]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-3].defelt))
						n->options = lappend(n->options, (yyvsp[-3].defelt));
					if ((yyvsp[-1].list))
						n->options = list_concat(n->options, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 33148 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3386 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);

					updatePreparableStmtEnd((yyvsp[-6].node), (yylsp[-5]));
					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *) n;
				}
#line 33173 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3409 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33179 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3410 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33185 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3414 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33191 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3415 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33197 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3424 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33203 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3425 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33209 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3426 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33215 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3429 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33221 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3430 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33227 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3435 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33233 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3436 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33239 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3441 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 33247 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3445 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 33255 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3449 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33263 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3453 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33271 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3457 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("csv"), (yylsp[0]));
				}
#line 33279 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3461 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 33287 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3465 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33295 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3469 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33303 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3473 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 33311 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 33319 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3481 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) (yyvsp[0].list), (yylsp[-3]));
				}
#line 33327 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3485 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) makeNode(A_Star), (yylsp[-3]));
				}
#line 33335 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3489 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 33343 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3493 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 33351 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3497 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33359 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3506 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 33367 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3509 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 33373 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3514 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33381 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3517 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 33387 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3528 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 33395 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3532 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 33403 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3539 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 33411 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3545 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 33417 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3546 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 33423 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3547 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 33429 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3548 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString("default"); }
#line 33435 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3549 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 33441 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3550 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33447 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3555 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33455 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3559 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33463 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3566 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 33469 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3580 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33491 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3600 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33513 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3620 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33536 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3641 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33559 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3662 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33582 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3683 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-15].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33605 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3714 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33611 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3715 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33617 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3716 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33623 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3717 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33629 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3719 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 33640 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3726 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 33651 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3732 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 33657 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3733 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 33663 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3737 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33669 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3738 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33675 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3742 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33681 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3743 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33687 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3748 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33695 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3752 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33703 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3759 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33711 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3763 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33719 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3769 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33725 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3770 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33731 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3771 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33737 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3775 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33743 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3776 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33749 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3780 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-5].str);
					n->typeName = (yyvsp[-4].typnam);
					n->storage_name = (yyvsp[-3].str);
					n->compression = (yyvsp[-2].str);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 33775 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3804 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33798 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3823 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 33821 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3844 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33827 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3845 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("default"); }
#line 33833 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3849 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33839 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3850 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33845 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3854 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33851 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3855 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("default"); }
#line 33857 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3859 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33863 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3860 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33869 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3864 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 33875 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3865 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33881 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3870 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 33893 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3877 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33899 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3878 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33905 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3880 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33923 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3912 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-2]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 33938 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3923 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 33950 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3931 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-3]);
					n->nulls_not_distinct = !(yyvsp[-2].boolean);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33967 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3944 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33983 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3956 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 34000 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3969 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *) n;
				}
#line 34014 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3979 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 34028 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3989 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_GENERATED;
					n->generated_when = (yyvsp[-5].ival);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->location = (yylsp[-6]);

					/*
					 * Can't do this in the grammar because of shift/reduce
					 * conflicts.  (IDENTITY allows both ALWAYS and BY
					 * DEFAULT, but generated columns only allow ALWAYS.)  We
					 * can also give a more useful error message and location.
					 */
					if ((yyvsp[-5].ival) != ATTRIBUTE_IDENTITY_ALWAYS)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("for a generated column, GENERATED ALWAYS must be specified"),
								 parser_errposition((yylsp[-5]))));

					(yyval.node) = (Node *) n;
				}
#line 34056 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 4013 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable = (yyvsp[-3].range);
					n->fk_attrs = NIL;
					n->pk_attrs = (yyvsp[-2].list);
					n->fk_matchtype = (yyvsp[-1].ival);
					n->fk_upd_action = ((yyvsp[0].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[0].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[0].keyactions))->deleteAction->cols;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 34077 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 4032 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34083 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 4033 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34089 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 4034 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34095 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 4038 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 34101 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 4039 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 34107 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 4059 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 34119 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 4067 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34131 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 4075 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34143 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 4083 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34155 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 4095 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);

					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					n->relationOid = InvalidOid;
					(yyval.node) = (Node *) n;
				}
#line 34168 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 4106 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 34174 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 4107 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 34180 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 4108 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 34186 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 4112 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 34192 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 4113 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMPRESSION; }
#line 34198 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 4114 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 34204 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 4115 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 34210 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 4116 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 34216 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 4117 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_GENERATED; }
#line 34222 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 4118 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 34228 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 4119 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 34234 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 4120 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 34240 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 4121 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 34246 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 4131 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 34258 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 4138 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34264 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 4143 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 34282 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 4157 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-3]);
					n->keys = list_make1(makeString((yyvsp[-1].str)));
					/* no NOT VALID support yet */
					processCASbits((yyvsp[0].ival), (yylsp[0]), "NOT NULL",
								   NULL, NULL, NULL,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 34300 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 4172 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-9]);
					n->nulls_not_distinct = !(yyvsp[-8].boolean);
					n->keys = (yyvsp[-6].list);
					n->without_overlaps = (yyvsp[-5].boolean);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34322 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 4190 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34342 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 4207 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-9]);
					n->keys = (yyvsp[-6].list);
					n->without_overlaps = (yyvsp[-5].boolean);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34363 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 4224 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34383 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4242 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method = (yyvsp[-8].str);
					n->exclusions = (yyvsp[-6].list);
					n->including = (yyvsp[-4].list);
					n->options = (yyvsp[-3].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-2].str);
					n->where_clause = (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34405 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4261 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-11]);
					n->pktable = (yyvsp[-4].range);
					n->fk_attrs = (yyvsp[-8].list);
					if ((yyvsp[-7].node))
					{
						n->fk_attrs = lappend(n->fk_attrs, (yyvsp[-7].node));
						n->fk_with_period = true;
					}
					n->pk_attrs = linitial((yyvsp[-3].list));
					if (lsecond((yyvsp[-3].list)))
					{
						n->pk_attrs = lappend(n->pk_attrs, lsecond((yyvsp[-3].list)));
						n->pk_with_period = true;
					}
					n->fk_matchtype = (yyvsp[-2].ival);
					n->fk_upd_action = ((yyvsp[-1].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[-1].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[-1].keyactions))->deleteAction->cols;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 34439 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4305 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 34451 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4312 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34457 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4317 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 34475 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4331 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-2]);
					n->keys = list_make1(makeString("value"));
					/* no NOT VALID, NO INHERIT support */
					processCASbits((yyvsp[0].ival), (yylsp[0]), "NOT NULL",
								   NULL, NULL, NULL,
								   NULL, yyscanner);
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 34493 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4346 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = true; }
#line 34499 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4347 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = false; }
#line 34505 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4351 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34511 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4352 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34517 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4356 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34523 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4357 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34529 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4361 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 34535 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4362 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 34541 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4366 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34547 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4367 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 34553 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4371 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-2].list), (yyvsp[-1].node)); }
#line 34559 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4372 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NIL, NULL); }
#line 34565 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4376 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 34573 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4381 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34579 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4382 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34585 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4386 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 34593 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4390 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 34605 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4398 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 34613 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4402 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 34621 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4408 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 34627 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4410 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 34633 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4414 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 34641 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4419 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 34649 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4425 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 34655 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4426 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 34661 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4431 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 34675 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4441 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 34689 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4451 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[-1].keyaction);
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 34701 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4459 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = (yyvsp[-1].keyaction);
					(yyval.keyactions) = n;
				}
#line 34713 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4467 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 34729 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4481 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].keyaction))->cols)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("a column list with %s is only supported for ON DELETE actions",
										((yyvsp[0].keyaction))->action == FKCONSTR_ACTION_SETNULL ? "SET NULL" : "SET DEFAULT"),
								 parser_errposition((yylsp[-2]))));
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 34743 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4493 "gram.y" /* yacc.c:1646  */
    {
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 34751 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4500 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_NOACTION;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34763 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4508 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_RESTRICT;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34775 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4516 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_CASCADE;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34787 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4524 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETNULL;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 34799 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4532 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETDEFAULT;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 34811 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4541 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34817 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4542 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34823 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4546 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 34829 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4547 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = NULL; }
#line 34835 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4551 "gram.y" /* yacc.c:1646  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = parsePartitionStrategy((yyvsp[-3].str), (yylsp[-3]), yyscanner);
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 34849 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4562 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 34855 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4563 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 34861 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4567 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 34876 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4578 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 34891 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4589 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 34906 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4602 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34912 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4603 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34918 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4608 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34924 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4609 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34930 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4610 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34936 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4613 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 34942 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4614 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 34948 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4615 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 34954 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4616 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 34960 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4619 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34966 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4620 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34972 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4623 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34978 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4624 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34984 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4627 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34990 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4649 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 35006 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4662 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35022 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4682 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].selem)); }
#line 35028 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4683 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].selem)); }
#line 35034 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4687 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = (yyvsp[0].str);
					(yyval.selem)->expr = NULL;
				}
#line 35044 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4693 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[0].node);
				}
#line 35054 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4699 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[-1].node);
				}
#line 35064 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4716 "gram.y" /* yacc.c:1646  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = false;
					n->stxstattarget = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 35077 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4725 "gram.y" /* yacc.c:1646  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = true;
					n->stxstattarget = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 35090 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4747 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35108 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4761 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35126 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4779 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-5].range);
					(yyval.into)->colNames = (yyvsp[-4].list);
					(yyval.into)->accessMethod = (yyvsp[-3].str);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 35142 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4793 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35148 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4794 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35154 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4795 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35160 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4808 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35178 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4822 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35196 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4839 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->accessMethod = (yyvsp[-2].str);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 35212 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4852 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 35218 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4853 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 35224 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4866 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);

					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 35237 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4887 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 35252 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4898 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35267 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4912 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 35280 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4921 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 35293 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4932 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35299 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4933 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35305 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4936 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35311 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4937 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35317 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4940 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35323 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4941 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35329 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4945 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].typnam), (yylsp[-1]));
				}
#line 35337 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4949 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 35345 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4953 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 35353 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4957 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 35361 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4961 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 35369 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4965 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("logged", NULL, (yylsp[0]));
				}
#line 35377 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4969 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 35385 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4973 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 35393 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4977 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 35401 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4981 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 35409 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4985 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 35417 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4989 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sequence_name", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 35425 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4993 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 35433 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4997 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 35441 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 5001 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 35449 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 5005 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("unlogged", NULL, (yylsp[0]));
				}
#line 35457 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 5015 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 35463 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 5016 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 35469 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 5018 "gram.y" /* yacc.c:1646  */
    {
					Float	   *f = makeFloat((yyvsp[0].str));

					doNegateFloat(f);
					(yyval.node) = (Node *) f;
				}
#line 35480 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 5024 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 35486 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 5027 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35492 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 5028 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 35498 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 5041 "gram.y" /* yacc.c:1646  */
    {
				/*
				 * We now interpret parameterless CREATE LANGUAGE as
				 * CREATE EXTENSION.  "OR REPLACE" is silently translated
				 * to "IF NOT EXISTS", which isn't quite the same, but
				 * seems more useful than throwing an error.  We just
				 * ignore TRUSTED, as the previous code would have too.
				 */
				CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

				n->if_not_exists = (yyvsp[-4].boolean);
				n->extname = (yyvsp[0].str);
				n->options = NIL;
				(yyval.node) = (Node *) n;
			}
#line 35518 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 5058 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);

				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *) n;
			}
#line 35534 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 5072 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35540 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 5073 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35546 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 5081 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35552 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 5082 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 35558 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 5086 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35564 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 5087 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35570 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 5091 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35576 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 5092 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35582 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 5096 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35588 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 5097 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35594 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 5113 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);

					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35608 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 5124 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 35614 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 5125 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 35620 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 5139 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 35632 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 5147 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 35644 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 5165 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35657 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 5174 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35670 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 5186 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35676 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 5188 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35682 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 5193 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35690 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 5197 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35698 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 5201 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE EXTENSION ... FROM is no longer supported"),
							 parser_errposition((yylsp[-1]))));
				}
#line 35709 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 5208 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 35717 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 5220 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35729 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 5231 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35735 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 5233 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35741 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 5238 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35749 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 5251 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 35763 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 5261 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35777 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 5271 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35791 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 5281 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 35805 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 5291 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 35819 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 5301 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35833 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 5311 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35847 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 5321 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 35861 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 5331 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 35875 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 5341 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35889 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 5351 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35903 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 5361 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *) n;
				}
#line 35917 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 5371 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 35931 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 5390 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35944 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 5401 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 35950 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 5402 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 35956 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 5403 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 35962 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 5404 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 35968 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 5408 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35974 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 5409 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35980 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 5413 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35986 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 5414 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35992 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 5425 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36005 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 5434 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 36018 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5446 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36024 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5447 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36030 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5452 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 36038 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5456 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 36046 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5463 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36052 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5468 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 36060 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5472 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 36068 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5479 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 36076 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5483 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 36085 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5488 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 36094 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5493 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 36102 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5500 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 36110 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5506 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36116 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5511 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36122 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5523 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 36138 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5536 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 36154 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5550 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36160 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5551 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36166 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5556 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36172 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5557 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36178 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5561 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36184 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5562 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36190 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5573 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 36204 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5583 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 36217 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5592 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36229 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5612 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36252 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5633 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36275 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5654 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36299 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5676 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36323 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5709 "gram.y" /* yacc.c:1646  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);

				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 36339 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5723 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 36345 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5724 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 36351 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5729 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));

				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 36363 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5737 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 36374 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5753 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 36388 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5763 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 36402 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5775 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 36408 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5776 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 36414 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5789 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 36427 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5798 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 36440 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5816 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36453 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5843 "gram.y" /* yacc.c:1646  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);

					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 36470 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5860 "gram.y" /* yacc.c:1646  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);

					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 36485 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5873 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36491 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5874 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36497 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5878 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36503 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5879 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36509 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5883 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36515 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5884 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 36521 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5888 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36527 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5889 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 36533 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5894 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
								 parser_errposition((yylsp[0]))));

				}
#line 36551 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5907 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36557 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5911 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36563 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5912 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 36569 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5916 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 36575 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5917 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "select"; }
#line 36581 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5918 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "insert"; }
#line 36587 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5919 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "update"; }
#line 36593 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5920 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "delete"; }
#line 36599 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5931 "gram.y" /* yacc.c:1646  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);

					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = (yyvsp[-2].chr);
					(yyval.node) = (Node *) n;
				}
#line 36612 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5942 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_INDEX; }
#line 36618 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5943 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_TABLE; }
#line 36624 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5957 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-15].boolean);
					n->isconstraint = false;
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->deferrable = false;
					n->initdeferred = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *) n;
				}
#line 36649 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5981 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-19].boolean);
					if (n->replace) /* not supported, see CreateTrigger */
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE OR REPLACE CONSTRAINT TRIGGER is not supported"),
								 parser_errposition((yylsp[-20]))));
					n->isconstraint = true;
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *) n;
				}
#line 36680 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 6010 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 36686 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 6011 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 36692 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 6012 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 36698 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 6017 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36704 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 6019 "gram.y" /* yacc.c:1646  */
    {
					int			events1 = intVal(linitial((yyvsp[-2].list)));
					int			events2 = intVal(linitial((yyvsp[0].list)));
					List	   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List	   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 36727 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 6041 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 36733 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 6043 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 36739 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 6045 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 36745 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 6047 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 36751 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 6049 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 36757 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 6053 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36763 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 6054 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36769 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 6058 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36775 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 6059 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36781 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 6064 "gram.y" /* yacc.c:1646  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);

					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *) n;
				}
#line 36794 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 6075 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36800 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 6076 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36806 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 6080 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36812 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 6089 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36818 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 6093 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36824 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 6098 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 36832 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 6102 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 36844 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 6117 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36850 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 6118 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36856 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 6122 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36862 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 6123 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36868 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 6132 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36874 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 6133 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36880 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 6134 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36886 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 6139 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 36894 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 6142 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36900 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 6143 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36906 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 6144 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36912 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 6148 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 36918 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 6149 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 36924 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 6154 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 36930 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 6156 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 36958 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 6182 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 36964 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 6183 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 36970 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 6184 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 36976 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 6185 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 36982 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 6186 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 36988 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 6187 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 36994 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 6202 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 37008 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 6214 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 37022 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 6227 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37028 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 6229 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 37034 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 6234 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 37040 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 6239 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37046 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 6241 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37052 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 6246 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);

					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 37064 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 6256 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 37070 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 6257 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 37076 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 6258 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 37082 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 6259 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 37088 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 6271 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented"),
							 parser_errposition((yylsp[-7]))));

					(yyval.node) = NULL;
				}
#line 37101 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 6291 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->replace = (yyvsp[-4].boolean);
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37117 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 6303 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->replace = (yyvsp[-3].boolean);
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37134 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 6316 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37149 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 6327 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37164 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 6338 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *) n;
				}
#line 37180 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 6350 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37193 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 6359 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);

					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37205 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 6367 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);

					n->typeName = (yyvsp[-3].list);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37217 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 6375 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37231 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 6385 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37245 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 6395 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37259 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 6405 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37273 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 6415 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37287 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 6425 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 37302 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 6436 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 37316 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 6446 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 37331 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 6458 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37337 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 6461 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37343 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 6462 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 37349 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 6466 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 37357 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 6470 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 37365 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 6476 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 37371 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 6477 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 37377 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 6478 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 37383 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 6479 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 37389 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 6480 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 37395 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 6481 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 37401 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 6484 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37407 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 6487 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37413 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6488 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 37419 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6497 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 37427 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6503 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37433 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6504 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37439 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6508 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37445 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6510 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37451 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6521 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 37467 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6533 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 37483 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6545 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 37499 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6557 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 37515 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6569 "gram.y" /* yacc.c:1646  */
    {
				/*
				 * The following problems must be solved before this can be
				 * implemented:
				 *
				 * - There must be no instance of the target value in
				 *   any table.
				 *
				 * - The value must not appear in any catalog metadata,
				 *   such as stored view expressions or column defaults.
				 *
				 * - The value must not appear in any non-leaf page of a
				 *   btree (and similar issues with other index types).
				 *   This is problematic because a value could persist
				 *   there long after it's gone from user-visible data.
				 *
				 * - Concurrent sessions must not be able to insert the
				 *   value while the preceding conditions are being checked.
				 *
				 * - Possibly more...
				 */
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("dropping an enum value is not implemented"),
						 parser_errposition((yylsp[-2]))));
			}
#line 37546 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6597 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 37552 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6598 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37558 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6616 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);

					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37574 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6630 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37580 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6631 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 37586 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6636 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);

					owa->objname = (yyvsp[-1].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-2].ival);
					n->order_family = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37603 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6649 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-1].objwithargs);
					n->number = (yyvsp[-2].ival);
					n->order_family = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37617 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6659 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 37630 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6668 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 37644 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6678 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 37656 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6687 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 37662 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6688 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37668 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6691 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37674 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6692 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37680 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6695 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37686 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6696 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37692 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6697 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37698 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6703 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);

					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37710 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6714 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37724 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6724 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37738 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6736 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37744 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6737 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 37750 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6742 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37763 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6751 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37776 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6764 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37791 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6775 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37806 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6789 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37821 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6800 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37836 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6823 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);

					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37848 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6834 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);

					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 37860 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6853 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37875 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6864 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37890 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6875 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37905 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6886 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37920 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6897 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37935 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6908 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37950 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6919 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37965 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6930 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37980 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6941 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37995 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6952 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38010 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6963 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 38025 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6974 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 38040 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6988 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 38046 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6989 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 38052 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6990 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 38058 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6991 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 38064 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6992 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 38070 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6993 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 38076 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6994 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 38082 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6995 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 38088 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6996 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 38094 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6997 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 38100 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6998 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 38106 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6999 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 38112 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 7000 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 38118 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 7010 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = (yyvsp[0].objtype); }
#line 38124 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 7011 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 38130 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 7012 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 38136 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 7013 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 38142 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 7014 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 38148 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 7018 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 38154 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 7019 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 38160 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 7020 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 38166 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 7021 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 38172 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 7022 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 38178 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 7023 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 38184 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 7024 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 38190 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 7025 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 38196 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 7030 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 38202 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 7031 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 38208 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 7032 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 38214 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 7036 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 38220 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 7037 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 38226 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 7040 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 38232 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 7041 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 38238 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 7045 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 38244 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 7047 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 38250 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 7051 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 38256 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 7052 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 38262 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 7064 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);

					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38275 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 7075 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38281 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 7076 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38287 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 7077 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38293 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 7088 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38306 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 7097 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38319 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 7106 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38332 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 7115 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38345 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 7124 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38358 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 7133 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38371 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 7142 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38384 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 7151 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38397 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 7160 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38410 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 7169 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38428 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 7183 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-5].objtype);
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38441 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 7192 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38454 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 7201 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38467 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 7210 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38480 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 7219 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38493 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 7228 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38506 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 7237 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38519 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 7246 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38532 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 7257 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38538 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 7258 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 38544 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 7274 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38558 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 7285 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38572 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 7296 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38586 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 7307 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38600 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 7318 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38614 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 7329 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38628 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 7340 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38642 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 7351 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38656 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 7362 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38670 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 7373 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38684 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 7384 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38690 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 7385 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 38696 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 7388 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38702 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 7389 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 38708 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 7400 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = false;
					(yyval.node) = (Node *) n;
				}
#line 38719 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 7407 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = true;
					(yyval.node) = (Node *) n;
				}
#line 38730 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 7416 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38743 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 7425 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38756 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 7434 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38769 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 7443 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38782 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 7452 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38795 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 7461 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *) n;
				}
#line 38808 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 7470 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38821 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 7479 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38834 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 7488 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38847 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 7497 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 38860 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 7506 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38873 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 7515 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38886 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 7524 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 38899 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 7533 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38912 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 7542 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38925 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 7551 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 38938 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 7578 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grant_option = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 38956 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 7596 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38975 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 7612 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38994 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 7639 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39000 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 7641 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39006 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 7643 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39012 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 7645 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 39024 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 7653 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 39036 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 7662 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 39042 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 7663 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 39048 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 7667 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 39060 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 7675 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 39072 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 7683 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 39084 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 7691 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup("alter system");
				n->cols = NIL;
				(yyval.accesspriv) = n;
			}
#line 39095 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 7698 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 39107 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 7709 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1(makeString((yyvsp[0].str)));
			}
#line 39115 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 7713 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str)));
			}
#line 39123 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 7720 "gram.y" /* yacc.c:1646  */
    {
				(yyval.str) = (yyvsp[0].str);
			}
#line 39131 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 7724 "gram.y" /* yacc.c:1646  */
    {
				(yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str));
			}
#line 39139 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 7735 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39152 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 7744 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39165 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 7753 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39178 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 7762 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39191 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 7771 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39204 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 7780 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39217 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7789 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39230 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7798 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39243 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7807 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39256 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7816 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39269 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7825 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39282 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7834 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39295 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7843 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PARAMETER_ACL;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39307 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7851 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39320 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7860 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39333 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7869 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39346 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7878 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39359 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7887 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39372 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7896 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39385 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7905 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39398 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7914 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39411 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7926 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 39417 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7927 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 39423 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7931 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 39429 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7932 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 39435 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7937 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39441 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7938 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39447 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7949 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-3].list);
					n->grantee_roles = (yyvsp[-1].list);
					n->opt = NIL;
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 39462 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7960 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-5].list);
					n->grantee_roles = (yyvsp[-3].list);
					n->opt = (yyvsp[-1].list);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 39477 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7974 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = false;
					n->opt = NIL;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39493 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7986 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					DefElem *opt;

					opt = makeDefElem(pstrdup((yyvsp[-7].str)),
									  (Node *) makeBoolean(false), (yylsp[-7]));
					n->is_grant = false;
					n->opt = list_make1(opt);
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39512 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 8003 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 39518 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 8004 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39524 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 8009 "gram.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem(pstrdup((yyvsp[-1].str)), (yyvsp[0].node), (yylsp[-1]));
			}
#line 39532 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 8015 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(true); }
#line 39538 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 8016 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(true); }
#line 39544 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 8017 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(false); }
#line 39550 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 8020 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 39556 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 8021 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 39562 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 8032 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);

					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39574 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 8042 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39580 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 8043 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39586 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 8048 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 39594 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 8052 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 39602 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 8056 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 39610 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 8068 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 39627 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 8082 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39645 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 8097 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39663 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 8113 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TABLE; }
#line 39669 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 8114 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 39675 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 8115 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 39681 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 8116 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SEQUENCE; }
#line 39687 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 8117 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TYPE; }
#line 39693 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 8118 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SCHEMA; }
#line 39699 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 8133 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-14].boolean);
					n->concurrent = (yyvsp[-12].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 39733 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 8165 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-17].boolean);
					n->concurrent = (yyvsp[-15].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 39767 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 8197 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39773 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 8198 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39779 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 8202 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39785 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 8203 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 39791 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 8206 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 39797 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 8207 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 39803 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 8213 "gram.y" /* yacc.c:1646  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-3].list);
			(yyval.ielem)->opclass = (yyvsp[-2].list);
			(yyval.ielem)->opclassopts = NIL;
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 39819 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 8225 "gram.y" /* yacc.c:1646  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-4].list);
			(yyval.ielem)->opclass = (yyvsp[-3].list);
			(yyval.ielem)->opclassopts = (yyvsp[-2].list);
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 39835 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 8244 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->name = (yyvsp[-1].str);
				}
#line 39844 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 8249 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-1].node);
				}
#line 39853 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 8254 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-2].node);
				}
#line 39862 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 8260 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39868 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 8261 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39874 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 8264 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 39880 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 8265 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 39886 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 8268 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39892 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 8269 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39898 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 8273 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 39904 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 8274 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 39910 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 8275 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 39916 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 8278 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 39922 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 8279 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 39928 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 8280 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 39934 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 8298 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39951 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 8312 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list), yyscanner);
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39969 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 8327 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39986 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 8341 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = true;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 40003 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 8356 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 40009 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 8357 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 40015 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 8360 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40021 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 8361 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40027 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 8365 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 40033 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 8366 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 40039 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 8370 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 40045 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 8372 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 40051 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 8377 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					n->objfuncargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 40064 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 8391 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 40076 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 8399 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 40088 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 8407 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 40101 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 8422 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40107 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 8423 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40113 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 8427 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 40119 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 8429 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 40125 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 8444 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					n->location = (yylsp[-2]);
					(yyval.fun_param) = n;
				}
#line 40140 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 8455 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					n->location = (yylsp[-2]);
					(yyval.fun_param) = n;
				}
#line 40155 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 8466 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					n->location = (yylsp[-1]);
					(yyval.fun_param) = n;
				}
#line 40170 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 8477 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					n->location = (yylsp[-1]);
					(yyval.fun_param) = n;
				}
#line 40185 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 8488 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					n->location = (yylsp[0]);
					(yyval.fun_param) = n;
				}
#line 40200 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 8501 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 40206 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 8502 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 40212 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 8503 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 40218 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 8504 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 40224 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 8505 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 40230 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 8516 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 40242 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 8530 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 40248 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 8532 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 40258 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 8538 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 40269 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 8548 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 40277 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 8552 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 40286 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 8557 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 40295 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 8565 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_DEFAULT ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 40310 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 8607 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 40318 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 8611 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 40326 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 8615 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 40334 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 8619 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 40343 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 8626 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 40349 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 8627 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 40355 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 8632 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					n->objfuncargs = (List *) linitial((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 40368 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 8643 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 40374 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 8645 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 40380 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 8650 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40386 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 8655 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 40392 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 8656 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 40398 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 8664 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(false), (yylsp[-3]));
				}
#line 40406 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 8668 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[-4]));
				}
#line 40414 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 8672 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 40422 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 8676 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("immutable"), (yylsp[0]));
				}
#line 40430 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 8680 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("stable"), (yylsp[0]));
				}
#line 40438 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 8684 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("volatile"), (yylsp[0]));
				}
#line 40446 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 8688 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-2]));
				}
#line 40454 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 8692 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-2]));
				}
#line 40462 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 8696 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-1]));
				}
#line 40470 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 8700 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 40478 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 8704 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 40486 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 8708 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 40494 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 8712 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 40502 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 8716 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 40510 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 8720 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("support", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 40518 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 8724 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *) (yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 40527 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 8729 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 40535 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 8736 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 40543 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 8740 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 40551 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8744 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 40559 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8748 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 40567 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 8752 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 40575 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 8757 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40581 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8759 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 40589 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8765 "gram.y" /* yacc.c:1646  */
    {
					ReturnStmt *r = makeNode(ReturnStmt);

					r->returnval = (Node *) (yyvsp[0].node);
					(yyval.node) = (Node *) r;
				}
#line 40600 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8775 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 40608 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8779 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * A compound statement is stored as a single-item list
					 * containing the list of statements as its member.  That
					 * way, the parse analysis code can tell apart an empty
					 * body from no body at all.
					 */
					(yyval.node) = (Node *) list_make1((yyvsp[-1].list));
				}
#line 40622 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8789 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = NULL;
				}
#line 40630 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 8796 "gram.y" /* yacc.c:1646  */
    {
					/* As in stmtmulti, discard empty statements */
					if ((yyvsp[-1].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[-1].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 40642 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 8804 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = NIL;
				}
#line 40650 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8815 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 40656 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8816 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 40662 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8820 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40668 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8821 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40674 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8825 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					n->location = (yylsp[-1]);
					(yyval.fun_param) = n;
				}
#line 40689 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8839 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 40697 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8843 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 40705 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8858 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40718 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8867 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40731 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8876 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40744 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8888 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 40750 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8889 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 40756 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8913 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40771 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8924 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40786 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8935 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40801 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8946 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40816 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8957 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40831 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8968 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40846 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8982 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40861 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8993 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40876 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 9007 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40891 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 9018 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40906 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 9032 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 40918 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 9040 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 40924 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 9042 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 40930 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 9044 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 40936 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 9049 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40942 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 9051 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 40948 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 9055 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 40954 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 9057 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 40960 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 9062 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 40972 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 9081 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);

					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 40983 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 9090 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 40989 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 9091 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 40995 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 9096 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 41003 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 9100 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 41011 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 9113 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 41026 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 9125 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 41041 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 9137 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *) n;
				}
#line 41056 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 9149 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 41062 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 9150 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 41068 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 9151 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 41074 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 9156 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 41089 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 9168 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 41095 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 9169 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 41101 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 9180 "gram.y" /* yacc.c:1646  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);

					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 41116 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 9193 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 41124 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 9197 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 41132 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 9201 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 41140 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 9205 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 41148 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 9212 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41162 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 9234 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 41179 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 9247 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = REINDEX_OBJECT_SCHEMA;
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 41196 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 9260 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 41213 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 9274 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 41219 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 9275 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 41225 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 9278 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 41231 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 9279 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 41237 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 9282 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41243 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 9283 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 41249 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 9294 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *) n;
				}
#line 41263 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 9304 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *) n;
				}
#line 41277 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 9322 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41291 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 9332 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41305 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 9342 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41319 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 9352 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41333 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 9362 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41347 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 9372 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41361 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 9382 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41375 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 9392 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41389 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 9402 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41403 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 9412 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41417 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 9422 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41431 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 9432 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41445 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 9442 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41460 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 9453 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41475 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 9464 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41489 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 9474 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41503 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 9484 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41517 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 9494 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41531 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 9504 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41545 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 9514 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41559 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 9524 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41574 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 9535 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41589 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 9546 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41604 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 9557 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41619 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 9568 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41634 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 9579 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41649 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 9590 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41664 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 9601 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41679 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 9612 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41694 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 9623 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41709 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 9634 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41724 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 9645 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41739 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 9656 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41755 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 9668 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41771 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 9680 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41787 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 9692 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41803 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 9704 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41819 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 9716 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41835 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 9728 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41850 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 9739 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41865 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 9750 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41881 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 9762 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41897 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 9774 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41912 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 9785 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41927 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 9796 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41940 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 9805 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41954 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 9815 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41968 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 9825 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41982 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 9835 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41996 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 9845 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42010 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 9855 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42024 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 9865 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42038 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 9875 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42052 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 9885 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42066 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 9895 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42083 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9913 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 42089 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9914 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 42095 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9925 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42109 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9935 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42123 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9945 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42137 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9955 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-5].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-7].str)));
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42152 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9966 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42166 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9976 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42180 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9987 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 42186 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 9988 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false;	}
#line 42192 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 9999 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42206 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 10009 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42220 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 10019 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42234 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 10029 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42248 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 10039 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42262 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 10049 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42276 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 10059 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42290 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 10069 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42304 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 10079 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42318 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 10089 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42332 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 10099 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42346 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 10109 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42360 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 10119 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42374 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 10129 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42388 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 10139 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42402 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 10149 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42416 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 10159 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42430 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 10169 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42444 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 10179 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42458 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 10189 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42472 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 10199 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42486 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 10209 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42500 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 10219 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42514 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 10229 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42528 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 10239 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42542 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 10249 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42556 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 10259 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42570 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 10278 "gram.y" /* yacc.c:1646  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);

					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42582 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 10287 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 42588 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 10288 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 42594 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 10292 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 42600 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 10294 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 42606 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 10296 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0])); }
#line 42612 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 10301 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 42618 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 10302 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 42624 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 10303 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 42630 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 10304 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 42636 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 10305 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 42642 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 10318 "gram.y" /* yacc.c:1646  */
    {
					AlterTypeStmt *n = makeNode(AlterTypeStmt);

					n->typeName = (yyvsp[-4].list);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42654 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 10334 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42667 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 10343 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42680 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 10352 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42693 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 10361 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42706 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 10370 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42719 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 10379 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42732 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 10388 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42745 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 10397 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].node);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42758 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 10406 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42771 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 10415 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42784 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 10424 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42797 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 10433 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42810 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 10442 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42823 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 10451 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42836 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 10460 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42849 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 10469 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42862 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 10478 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42875 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 10487 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42888 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 10496 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42901 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 10505 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42914 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 10514 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42927 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 10523 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42940 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 10532 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42953 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 10541 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42966 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 10569 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42978 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 10577 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-4].str);
					n->options = (yyvsp[0].list);
					n->for_all_tables = true;
					(yyval.node) = (Node *) n;
				}
#line 42991 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 10586 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					n->pubobjects = (List *) (yyvsp[-1].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 43005 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 10612 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLE;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 43018 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 10621 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
					(yyval.publicationobjectspec)->name = (yyvsp[0].str);
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 43029 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 10628 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 43039 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 10634 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					/*
					 * If either a row filter or column list is specified, create
					 * a PublicationTable object.
					 */
					if ((yyvsp[-1].list) || (yyvsp[0].node))
					{
						/*
						 * The OptWhereClause must be stored here but it is
						 * valid only for tables. For non-table objects, an
						 * error will be thrown later via
						 * preprocess_pubobj_list().
						 */
						(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
						(yyval.publicationobjectspec)->pubtable->relation = makeRangeVar(NULL, (yyvsp[-2].str), (yylsp[-2]));
						(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
						(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					}
					else
					{
						(yyval.publicationobjectspec)->name = (yyvsp[-2].str);
					}
					(yyval.publicationobjectspec)->location = (yylsp[-2]);
				}
#line 43070 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 10661 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = makeRangeVarFromQualifiedName((yyvsp[-3].str), (yyvsp[-2].list), (yylsp[-3]), yyscanner);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					(yyval.publicationobjectspec)->location = (yylsp[-3]);
				}
#line 43084 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 10672 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 43097 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 10681 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 43107 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 10689 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].publicationobjectspec)); }
#line 43113 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 10691 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].publicationobjectspec)); }
#line 43119 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 10713 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43131 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 10721 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_AddObjects;
					(yyval.node) = (Node *) n;
				}
#line 43145 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 10731 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_SetObjects;
					(yyval.node) = (Node *) n;
				}
#line 43159 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 10741 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_DropObjects;
					(yyval.node) = (Node *) n;
				}
#line 43173 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 10760 "gram.y" /* yacc.c:1646  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43187 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 10779 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43201 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 10789 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43215 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 10799 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43229 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 10809 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ADD_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43244 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 10820 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_DROP_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43259 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 10831 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SET_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43274 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 10842 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(true), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 43289 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 10853 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(false), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 43304 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 10864 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SKIP;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43318 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 10882 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 43331 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 10891 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 43344 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 10910 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt   *n = makeNode(RuleStmt);

					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43361 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 10925 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43367 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 10926 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 43373 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 10927 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43379 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 10933 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 43389 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 10939 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 43399 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 10955 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43405 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 10956 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 43411 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 10959 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 43417 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 10960 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 43423 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 10961 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 43429 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 10962 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 43435 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 10966 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43441 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 10967 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43447 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 10968 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43453 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 10981 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);

					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43465 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 10991 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43471 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 10992 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 43477 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 10996 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43488 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 11006 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43499 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 11013 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 43510 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 11033 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43524 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 11043 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43537 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 11052 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43551 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 11062 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43565 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 11072 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43578 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 11081 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43591 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 11090 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43604 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 11099 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43617 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 11108 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43630 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 11117 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43643 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 11126 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43656 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 11135 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43669 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 11147 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43682 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 11156 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43696 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 11174 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 43703 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 11177 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 43710 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 11180 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 43717 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 11183 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 43724 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 11186 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 43731 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 11193 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 43737 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 11195 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 43743 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 11197 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 43749 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 11203 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43755 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 11207 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43761 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 11208 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43767 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 11209 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43773 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 11223 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 43790 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 11237 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 43807 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 11251 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 43829 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 11270 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 43851 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 11290 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 43857 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 11291 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 43863 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 11292 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 43869 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 11293 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 43875 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 11304 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt   *n = makeNode(LoadStmt);

					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43886 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 11321 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43898 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 11331 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43904 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 11332 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43910 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 11336 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 43916 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 11337 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 43922 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 11342 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (yyvsp[0].node), (yylsp[-2]));
				}
#line 43930 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 11346 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 43938 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 11350 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 43946 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 11367 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43952 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 11368 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 43958 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 11369 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43964 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 11370 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43970 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 11371 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43976 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 11372 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43982 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 11373 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43988 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 11393 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 44000 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 11401 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 44012 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 11409 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *) makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *) n;
				 }
#line 44025 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 11418 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseRefreshCollStmt *n = makeNode(AlterDatabaseRefreshCollStmt);

					n->dbname = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				 }
#line 44036 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 11428 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);

					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 44048 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 11446 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 44061 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 11455 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 44074 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 11464 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = false;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 44087 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 11473 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = true;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 44100 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 11485 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((Node *) (yyvsp[0].defelt));
				}
#line 44108 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 11489 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (Node *) (yyvsp[0].defelt));
				}
#line 44116 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 11500 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force", NULL, (yylsp[0]));
				}
#line 44124 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 11512 "gram.y" /* yacc.c:1646  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);

					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 44135 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 11530 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 44146 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 11537 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 44157 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 11554 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);

					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 44171 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 11568 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44184 "gram.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 11578 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 44196 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 11587 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 44208 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 11596 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44221 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 11606 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 44236 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 11618 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 44251 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 11630 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 44264 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 11653 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);

					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44276 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 11664 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 44292 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 11676 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 44308 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 11688 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 44324 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 11700 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 44340 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 11712 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 44354 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 11722 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 44368 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 11751 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);

				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *) n;
			}
#line 44383 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 11774 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 44396 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 11783 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 44409 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 11793 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = NIL;
					if ((yyvsp[-2].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-2])));
					(yyval.node) = (Node *) n;
				}
#line 44424 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 11805 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = NIL;
					if ((yyvsp[0].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 44439 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 11817 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->params = NIL;
					if ((yyvsp[-3].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 44454 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 11830 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44460 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 11831 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 44466 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 11844 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-4].boolean))
						n->options = lappend(n->options,
											 makeDefElem("full", NULL, (yylsp[-4])));
					if ((yyvsp[-3].boolean))
						n->options = lappend(n->options,
											 makeDefElem("freeze", NULL, (yylsp[-3])));
					if ((yyvsp[-2].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("analyze", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 44491 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 11865 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 44504 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 11876 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 44520 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 11888 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 44533 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 11900 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 44541 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 11904 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 44549 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 11916 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 44557 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 11922 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44563 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 11923 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 44569 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 11924 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "format"; }
#line 44575 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 11928 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 44581 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 11929 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 44587 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 11930 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 44593 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 11934 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44599 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 11935 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44605 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 11939 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44611 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 11940 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44617 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 11943 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44623 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 11944 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44629 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 11947 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44635 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 11948 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44641 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 11952 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44647 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 11953 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44653 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 11958 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 44661 "gram.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 11965 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44667 "gram.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 11967 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 44673 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 11971 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44679 "gram.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 11972 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44685 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 11986 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 44697 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 11994 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 44712 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 12005 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 44724 "gram.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 12013 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 44736 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 12043 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);

					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44749 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 12053 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44755 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 12054 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44761 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 12073 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44773 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 12082 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 44794 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 12100 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 44815 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 12118 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44821 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 12119 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44827 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 12130 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						n->isall = false;
						n->location = (yylsp[0]);
						(yyval.node) = (Node *) n;
					}
#line 44840 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 12139 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						n->isall = false;
						n->location = (yylsp[0]);
						(yyval.node) = (Node *) n;
					}
#line 44853 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 12148 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						n->isall = true;
						n->location = -1;
						(yyval.node) = (Node *) n;
					}
#line 44866 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 12157 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						n->isall = true;
						n->location = -1;
						(yyval.node) = (Node *) n;
					}
#line 44879 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 12177 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyvsp[-2].istmt)->stmt_location = (yyloc);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 44892 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 12195 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 44900 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 12199 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 44909 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 12207 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44919 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 12213 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44930 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 12220 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44940 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 12226 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44951 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 12233 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 44961 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 12241 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 44967 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 12242 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 44973 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 12247 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 44979 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 12249 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 44985 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 12254 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 44997 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 12265 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 45010 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 12275 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 45023 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 12284 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = NULL;
				}
#line 45031 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 12291 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 45043 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 12300 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 45055 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 12308 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = NULL;
				}
#line 45063 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 12314 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45069 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 12315 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45075 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 12328 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);

					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					n->stmt_location = (yyloc);
					(yyval.node) = (Node *) n;
				}
#line 45091 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 12342 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45097 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 12343 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45103 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 12355 "gram.y" /* yacc.c:1646  */
    {
					LockStmt   *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 45116 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 12365 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 45122 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 12366 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 45128 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 12369 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 45134 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 12370 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 45140 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 12371 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 45146 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 12372 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 45152 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 12373 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 45158 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 12374 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 45164 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 12375 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 45170 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 12376 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 45176 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 12379 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 45182 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 12380 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 45188 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 12384 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitError; }
#line 45194 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 12385 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitSkip; }
#line 45200 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 12386 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitBlock; }
#line 45206 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 12402 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);

					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					n->stmt_location = (yyloc);
					(yyval.node) = (Node *) n;
				}
#line 45223 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 12417 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45229 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 12418 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 45235 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 12423 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 45244 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 12428 "gram.y" /* yacc.c:1646  */
    {
					int			ncolumns = list_length((yyvsp[-3].list));
					int			i = 1;
					ListCell   *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget  *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 45269 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 12452 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 45281 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 12462 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 45287 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 12463 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 45293 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 12480 "gram.y" /* yacc.c:1646  */
    {
					MergeStmt  *m = makeNode(MergeStmt);

					m->withClause = (yyvsp[-9].with);
					m->relation = (yyvsp[-6].range);
					m->sourceRelation = (yyvsp[-4].node);
					m->joinCondition = (yyvsp[-2].node);
					m->mergeWhenClauses = (yyvsp[-1].list);
					m->returningList = (yyvsp[0].list);
					m->stmt_location = (yyloc);

					(yyval.node) = (Node *) m;
				}
#line 45311 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 12496 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45317 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 12497 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list),(yyvsp[0].node)); }
#line 45323 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 12508 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matchKind = (yyvsp[-3].mergematch);
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 45334 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 12515 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matchKind = (yyvsp[-3].mergematch);
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 45345 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 12522 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matchKind = (yyvsp[-3].mergematch);
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 45356 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 12529 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matchKind = (yyvsp[-4].mergematch);
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 45370 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 12539 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matchKind = (yyvsp[-4].mergematch);
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 45384 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 12551 "gram.y" /* yacc.c:1646  */
    { (yyval.mergematch) = MERGE_WHEN_MATCHED; }
#line 45390 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 12552 "gram.y" /* yacc.c:1646  */
    { (yyval.mergematch) = MERGE_WHEN_NOT_MATCHED_BY_SOURCE; }
#line 45396 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 12556 "gram.y" /* yacc.c:1646  */
    { (yyval.mergematch) = MERGE_WHEN_NOT_MATCHED_BY_TARGET; }
#line 45402 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 12557 "gram.y" /* yacc.c:1646  */
    { (yyval.mergematch) = MERGE_WHEN_NOT_MATCHED_BY_TARGET; }
#line 45408 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 12561 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45414 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 12562 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45420 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 12567 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_UPDATE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[0].list);
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 45434 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 12580 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_DELETE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 45448 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 12593 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45461 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 12602 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45474 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 12611 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[-2].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45487 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 12620 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = (yyvsp[-5].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45500 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 12629 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;
					(yyval.mergewhen) = n;
				}
#line 45513 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 12641 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[-1].list);
				}
#line 45521 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 12653 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);

					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 45535 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 12664 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45541 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 12667 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45547 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 12668 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 45553 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 12669 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 45559 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 12670 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 45565 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 12671 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_ASENSITIVE; }
#line 45571 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 12672 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 45577 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 12675 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45583 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 12676 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 45589 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 12677 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45595 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 12731 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-1].node);

					/*
					 * As SelectStmt's location starts at the SELECT keyword,
					 * we need to track the length of the SelectStmt within
					 * parentheses to be able to extract the relevant part
					 * of the query.  Without this, the RawStmt's length would
					 * be used and would include the closing parenthesis.
					 */
					n->stmt_len = (yylsp[0]) - (yylsp[-1]);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 45613 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 12744 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 45619 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 12759 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45625 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 12761 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 45636 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 12768 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45648 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 12776 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45660 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 12784 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 45672 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 12792 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 45684 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 12800 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45696 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 12808 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45708 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 12818 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45714 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 12819 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45720 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 12854 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					n->stmt_location = (yylsp[-8]);
					(yyval.node) = (Node *) n;
				}
#line 45739 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 12871 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					n->stmt_location = (yylsp[-8]);
					(yyval.node) = (Node *) n;
				}
#line 45759 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 12886 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45765 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 12888 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef  *cr = makeNode(ColumnRef);
					ResTarget  *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *) cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					n->stmt_location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 45789 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 12908 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 45797 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 12912 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 45805 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 12916 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 45813 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 12931 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 45824 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 12938 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 45835 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 12945 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 45846 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 12954 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45852 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 12955 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 45858 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 12959 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);

				n->ctename = (yyvsp[-8].str);
				n->aliascolnames = (yyvsp[-7].list);
				n->ctematerialized = (yyvsp[-5].ival);
				n->ctequery = (yyvsp[-3].node);
				n->search_clause = castNode(CTESearchClause, (yyvsp[-1].node));
				n->cycle_clause = castNode(CTECycleClause, (yyvsp[0].node));
				n->location = (yylsp[-8]);
				(yyval.node) = (Node *) n;
			}
#line 45875 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 12974 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeAlways; }
#line 45881 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 12975 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeNever; }
#line 45887 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 12976 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeDefault; }
#line 45893 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 12981 "gram.y" /* yacc.c:1646  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = false;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 45907 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 12991 "gram.y" /* yacc.c:1646  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = true;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 45921 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 13001 "gram.y" /* yacc.c:1646  */
    {
				(yyval.node) = NULL;
			}
#line 45929 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 13008 "gram.y" /* yacc.c:1646  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-8].list);
				n->cycle_mark_column = (yyvsp[-6].str);
				n->cycle_mark_value = (yyvsp[-4].node);
				n->cycle_mark_default = (yyvsp[-2].node);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-9]);
				(yyval.node) = (Node *) n;
			}
#line 45945 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 13020 "gram.y" /* yacc.c:1646  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-4].list);
				n->cycle_mark_column = (yyvsp[-2].str);
				n->cycle_mark_value = makeBoolAConst(true, -1);
				n->cycle_mark_default = makeBoolAConst(false, -1);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 45961 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 13032 "gram.y" /* yacc.c:1646  */
    {
				(yyval.node) = NULL;
			}
#line 45969 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 13038 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 45975 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 13039 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 45981 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 13044 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 45996 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 13055 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 46002 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 13064 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 46011 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 13069 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 46020 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 13074 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 46029 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 13079 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 46038 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 13084 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 46050 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 13092 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 46062 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 13100 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 46071 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 13105 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 46080 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 13110 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 46089 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 13121 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_ALL; }
#line 46095 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 13122 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DISTINCT; }
#line 46101 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 13123 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DEFAULT; }
#line 46107 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 13130 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 46113 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 13131 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 46119 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 13140 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46125 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 13141 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46131 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 13145 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46137 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 13146 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46143 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 13150 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46149 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 13154 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 46155 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 13155 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 46161 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 13159 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 46174 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 13168 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 46187 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 13181 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[-1].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[0].node);
					((yyval.selectlimit))->offsetLoc = (yylsp[0]);
				}
#line 46197 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 13187 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[-1].node);
					((yyval.selectlimit))->offsetLoc = (yylsp[-1]);
				}
#line 46207 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 13193 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
				}
#line 46215 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 13197 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = (yyvsp[0].node);
					n->limitCount = NULL;
					n->limitOption = LIMIT_OPTION_COUNT;
					n->offsetLoc = (yylsp[0]);
					n->countLoc = -1;
					n->optionLoc = -1;
					(yyval.selectlimit) = n;
				}
#line 46231 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 13211 "gram.y" /* yacc.c:1646  */
    { (yyval.selectlimit) = (yyvsp[0].selectlimit); }
#line 46237 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 13212 "gram.y" /* yacc.c:1646  */
    { (yyval.selectlimit) = NULL; }
#line 46243 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 13217 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[0].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					n->offsetLoc = -1;
					n->countLoc = (yylsp[-1]);
					n->optionLoc = -1;
					(yyval.selectlimit) = n;
				}
#line 46259 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 13229 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 46272 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 13245 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-2].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					n->offsetLoc = -1;
					n->countLoc = (yylsp[-4]);
					n->optionLoc = -1;
					(yyval.selectlimit) = n;
				}
#line 46288 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 13257 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-3].node);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					n->offsetLoc = -1;
					n->countLoc = (yylsp[-5]);
					n->optionLoc = (yylsp[-1]);
					(yyval.selectlimit) = n;
				}
#line 46304 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 13269 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_COUNT;
					n->offsetLoc = -1;
					n->countLoc = (yylsp[-3]);
					n->optionLoc = -1;
					(yyval.selectlimit) = n;
				}
#line 46320 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 13281 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					n->offsetLoc = -1;
					n->countLoc = (yylsp[-4]);
					n->optionLoc = (yylsp[-1]);
					(yyval.selectlimit) = n;
				}
#line 46336 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 13296 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46342 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 13299 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 46348 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 13303 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46354 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 13305 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 46363 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 13312 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46369 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 13332 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46375 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 13334 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 46381 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 13336 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 46387 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 13340 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 46393 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 13341 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 46399 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 13345 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 46405 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 13346 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 46411 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 13349 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 46417 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 13350 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 46423 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 13376 "gram.y" /* yacc.c:1646  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = (yyvsp[-1].setquantifier) == SET_QUANTIFIER_DISTINCT;
					n->list = (yyvsp[0].list);
					(yyval.groupclause) = n;
				}
#line 46435 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 13384 "gram.y" /* yacc.c:1646  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = false;
					n->list = NIL;
					(yyval.groupclause) = n;
				}
#line 46447 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 13394 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46453 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 13395 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 46459 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 13399 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46465 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 13400 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46471 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 13401 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46477 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 13402 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46483 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 13403 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46489 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 13408 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 46497 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 13421 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 46505 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 13428 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 46513 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 13435 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 46521 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 13441 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46527 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 13442 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 46533 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 13446 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46539 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 13447 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46545 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 13451 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46551 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 13452 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46557 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 13456 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46563 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 13457 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 46569 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 13462 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);

					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 46582 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 13473 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 46588 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 13474 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 46594 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 13475 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 46600 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 13476 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 46606 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 13480 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46612 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 13481 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46618 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 13492 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->stmt_location = (yylsp[-3]);
					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 46630 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 13500 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);

					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 46641 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 13518 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46647 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 13519 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46653 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 13523 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46659 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 13524 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 46665 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 13531 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 46674 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 13536 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);

					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 46687 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 13545 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 46699 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 13553 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 46712 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 13562 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46723 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 13569 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46735 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 13577 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46748 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 13586 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46761 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 13595 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 46769 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 13599 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 46778 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 13604 "gram.y" /* yacc.c:1646  */
    {
					JsonTable  *jt = castNode(JsonTable, (yyvsp[-1].node));

					jt->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) jt;
				}
#line 46789 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 13611 "gram.y" /* yacc.c:1646  */
    {
					JsonTable  *jt = castNode(JsonTable, (yyvsp[-1].node));

					jt->alias = (yyvsp[0].alias);
					jt->lateral = true;
					(yyval.node) = (Node *) jt;
				}
#line 46801 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 13640 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 46809 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 13644 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->join_using_alias = NULL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 46827 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 13658 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						 /* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 46852 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 13679 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						/* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 46878 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 13701 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 46895 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 13714 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 46913 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 13731 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 46923 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 13737 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 46932 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 13742 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 46942 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 13748 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 46951 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 13754 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 46957 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 13755 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 46963 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 13766 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
					/* the column name list will be inserted later */
				}
#line 46973 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 13771 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 46979 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 13780 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 46987 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 13784 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 46995 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 13788 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 47006 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 13795 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 47017 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 13802 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 47025 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 13807 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 47031 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 13808 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 47037 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 13809 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 47043 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 13810 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 47049 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 13831 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) list_make2((yyvsp[-2].list), (yyvsp[0].alias));
				}
#line 47057 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 13835 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 47065 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 13843 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 47076 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 13850 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 47084 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 13857 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 47095 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 13864 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 47106 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 13871 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 47117 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 13881 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 47123 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 13882 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 47129 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 13896 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 47137 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 13900 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 47149 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 13908 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 47161 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 13922 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);

					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 47176 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 13935 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 47182 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 13936 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 47188 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 13952 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 47203 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 13963 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 47218 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 13976 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 47224 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 13980 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 47230 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 13981 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 47236 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 13984 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 47242 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 13985 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 47248 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 13988 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 47254 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 13989 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 47260 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 13994 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47266 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 13995 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 47272 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 14000 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47278 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 14002 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);

					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 47291 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 14010 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 47297 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 14015 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 47303 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 14016 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 47309 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 14021 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 47317 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 14025 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 47325 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 14031 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 47348 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 14056 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 47363 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 14068 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *) n;
				}
#line 47378 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 14080 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 47384 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 14081 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 47390 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 14086 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 47408 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 14100 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);
					ListCell   *option;
					bool		nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = boolVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 47469 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 14157 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 47484 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 14171 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 47490 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 14173 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 47496 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 14178 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 47502 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 14180 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 47508 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 14182 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(true), (yylsp[-1])); }
#line 47514 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 14184 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(false), (yylsp[0])); }
#line 47520 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 14186 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("path", (yyvsp[0].node), (yylsp[-1])); }
#line 47526 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 14191 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 47532 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 14193 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 47538 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 14198 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 47550 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 14206 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 47562 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 14222 "gram.y" /* yacc.c:1646  */
    {
					JsonTable *n = makeNode(JsonTable);
					char	  *pathstring;

					n->context_item = (JsonValueExpr *) (yyvsp[-10].node);
					if (!IsA((yyvsp[-8].node), A_Const) ||
						castNode(A_Const, (yyvsp[-8].node))->val.node.type != T_String)
						ereport(ERROR,
								errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								errmsg("only string constants are supported in JSON_TABLE path specification"),
								parser_errposition((yylsp[-8])));
					pathstring = castNode(A_Const, (yyvsp[-8].node))->val.sval.sval;
					n->pathspec = makeJsonTablePathSpec(pathstring, (yyvsp[-7].str), (yylsp[-8]), (yylsp[-7]));
					n->passing = (yyvsp[-6].list);
					n->columns = (yyvsp[-3].list);
					n->on_error = (JsonBehavior *) (yyvsp[-1].node);
					n->location = (yylsp[-12]);
					(yyval.node) = (Node *) n;
				}
#line 47586 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 14244 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47592 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 14245 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 47598 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 14250 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 47604 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 14252 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 47610 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 14257 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_FOR_ORDINALITY;
					n->name = (yyvsp[-2].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 47623 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 14270 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_REGULAR;
					n->name = (yyvsp[-5].str);
					n->typeName = (yyvsp[-4].typnam);
					n->format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
					n->pathspec = (JsonTablePathSpec *) (yyvsp[-3].node);
					n->wrapper = (yyvsp[-2].ival);
					n->quotes = (yyvsp[-1].ival);
					n->on_empty = (JsonBehavior *) linitial((yyvsp[0].list));
					n->on_error = (JsonBehavior *) lsecond((yyvsp[0].list));
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 47643 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 14290 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_FORMATTED;
					n->name = (yyvsp[-6].str);
					n->typeName = (yyvsp[-5].typnam);
					n->format = (JsonFormat *) (yyvsp[-4].node);
					n->pathspec = (JsonTablePathSpec *) (yyvsp[-3].node);
					n->wrapper = (yyvsp[-2].ival);
					n->quotes = (yyvsp[-1].ival);
					n->on_empty = (JsonBehavior *) linitial((yyvsp[0].list));
					n->on_error = (JsonBehavior *) lsecond((yyvsp[0].list));
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 47663 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 14308 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_EXISTS;
					n->name = (yyvsp[-4].str);
					n->typeName = (yyvsp[-3].typnam);
					n->format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
					n->wrapper = JSW_NONE;
					n->quotes = JS_QUOTES_UNSPEC;
					n->pathspec = (JsonTablePathSpec *) (yyvsp[-1].node);
					n->on_empty = NULL;
					n->on_error = (JsonBehavior *) (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 47683 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 14325 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_NESTED;
					n->pathspec = (JsonTablePathSpec *)
						makeJsonTablePathSpec((yyvsp[-4].str), NULL, (yylsp[-4]), -1);
					n->columns = (yyvsp[-1].list);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 47698 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 14337 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_NESTED;
					n->pathspec = (JsonTablePathSpec *)
						makeJsonTablePathSpec((yyvsp[-6].str), (yyvsp[-4].str), (yylsp[-6]), (yylsp[-4]));
					n->columns = (yyvsp[-1].list);
					n->location = (yylsp[-8]);
					(yyval.node) = (Node *) n;
				}
#line 47713 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 14356 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeJsonTablePathSpec((yyvsp[0].str), NULL, (yylsp[0]), -1); }
#line 47719 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 14358 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 47725 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 14372 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 47734 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 14377 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 47744 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 14384 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 47753 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 14389 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 47763 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 14395 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 47772 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 14400 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 47782 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 14409 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 47788 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 14411 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 47794 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 14413 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 47800 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 14417 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47806 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 14418 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47812 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 14419 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47818 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 14420 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47824 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 14421 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47830 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 14423 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 47839 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 14428 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 47849 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 14433 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47855 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 14448 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47861 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 14449 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47867 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 14450 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47873 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 14451 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47879 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 14452 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47885 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 14464 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47895 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 14470 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 47905 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 14477 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 47911 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 14478 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 47917 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 14485 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47926 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 14490 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47935 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 14495 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47944 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 14500 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47953 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 14505 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47962 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 14510 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47971 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 14515 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47980 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 14520 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47990 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 14526 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48000 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 14532 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48010 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 14538 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48019 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 14545 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 48044 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 14566 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 48052 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 14576 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 48060 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 14580 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 48068 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 14588 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 48076 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 14592 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 48085 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 14600 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 48098 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 14612 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48116 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 14633 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 48124 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 14637 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 48132 "gram.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 14643 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 48140 "gram.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 14647 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 48155 "gram.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 14660 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 48165 "gram.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 14668 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48177 "gram.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 14678 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48183 "gram.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 14680 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48189 "gram.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 14682 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 48195 "gram.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 14684 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48201 "gram.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 14686 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48207 "gram.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 14688 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48213 "gram.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 14692 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 48219 "gram.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 14693 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48225 "gram.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 14701 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 48238 "gram.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 14710 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48250 "gram.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 14718 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 48263 "gram.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 14727 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48275 "gram.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 14738 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48284 "gram.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 14745 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 48290 "gram.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 14746 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48296 "gram.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 14747 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48302 "gram.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 14752 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 48308 "gram.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 14754 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 48314 "gram.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 14756 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 48320 "gram.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 14758 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 48326 "gram.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 14760 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 48332 "gram.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 14762 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 48338 "gram.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 14764 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 48347 "gram.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 14769 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 48356 "gram.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 14774 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 48366 "gram.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 14780 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 48378 "gram.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 14788 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 48387 "gram.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 14793 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 48398 "gram.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 14800 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 48408 "gram.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 14806 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 48414 "gram.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 14811 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 48422 "gram.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 14815 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 48431 "gram.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 14823 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("json");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48440 "gram.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 14857 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48446 "gram.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 14859 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 48452 "gram.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 14861 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);

					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48465 "gram.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 14870 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48476 "gram.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 14877 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   -1);
				}
#line 48487 "gram.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 14893 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 48493 "gram.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 14895 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 48499 "gram.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 14897 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48505 "gram.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 14899 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48511 "gram.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 14901 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48517 "gram.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 14903 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48523 "gram.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 14905 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48529 "gram.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 14907 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48535 "gram.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 14909 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48541 "gram.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 14911 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48547 "gram.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 14913 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48553 "gram.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 14915 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48559 "gram.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 14917 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48565 "gram.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 14919 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48571 "gram.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 14922 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48577 "gram.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 14924 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 48583 "gram.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 14927 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48589 "gram.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 14929 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48595 "gram.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 14931 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 48601 "gram.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 14933 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 48607 "gram.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 14936 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 48616 "gram.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 14941 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 48629 "gram.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 14950 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 48638 "gram.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 14955 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 48651 "gram.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 14964 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 48660 "gram.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 14969 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 48673 "gram.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 14978 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 48682 "gram.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 14983 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 48695 "gram.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 14993 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 48708 "gram.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 15002 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 48721 "gram.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 15011 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 48734 "gram.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 15020 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 48747 "gram.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 15039 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48760 "gram.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 15048 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 48773 "gram.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 15057 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 48786 "gram.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 15066 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 48799 "gram.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 15075 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 48820 "gram.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 15092 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 48833 "gram.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 15101 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 48846 "gram.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 15110 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 48859 "gram.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 15119 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 48872 "gram.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 15128 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 48885 "gram.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 15137 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 48898 "gram.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 15146 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 48906 "gram.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 15150 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 48914 "gram.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 15154 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 48926 "gram.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 15162 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 48938 "gram.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 15170 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 48950 "gram.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 15178 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 48962 "gram.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 15186 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *) n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 48987 "gram.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 15207 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 49014 "gram.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 15230 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 49030 "gram.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 15242 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 49041 "gram.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 15249 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-2]))));
				}
#line 49061 "gram.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 15265 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 49070 "gram.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 15270 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 49080 "gram.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 15276 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 49091 "gram.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 15283 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-2]));
				}
#line 49102 "gram.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 15290 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make1((yyvsp[-3].node)),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 49114 "gram.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 15298 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make2((yyvsp[-4].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-3])),
									 (yylsp[-3]));
				}
#line 49126 "gram.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 15307 "gram.y" /* yacc.c:1646  */
    {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeJsonIsPredicate((yyvsp[-3].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-3]));
				}
#line 49136 "gram.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 15325 "gram.y" /* yacc.c:1646  */
    {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeNotExpr(makeJsonIsPredicate((yyvsp[-4].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-4])), (yylsp[-4]));
				}
#line 49146 "gram.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 15342 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);

					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 49165 "gram.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 15368 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49171 "gram.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 15370 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 49177 "gram.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 15372 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 49183 "gram.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 15374 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 49189 "gram.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 15376 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49195 "gram.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 15378 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49201 "gram.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 15380 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49207 "gram.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 15382 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49213 "gram.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 15384 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49219 "gram.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 15386 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49225 "gram.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 15388 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49231 "gram.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 15390 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49237 "gram.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 15392 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49243 "gram.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 15394 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49249 "gram.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 15396 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49255 "gram.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 15398 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49261 "gram.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 15400 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49267 "gram.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 15402 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 49273 "gram.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 15404 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 49281 "gram.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 15408 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 49289 "gram.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 15412 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 49298 "gram.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 15417 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 49308 "gram.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 15432 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49314 "gram.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 15433 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49320 "gram.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 15435 "gram.y" /* yacc.c:1646  */
    {
					ParamRef   *p = makeNode(ParamRef);

					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 49341 "gram.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 15452 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 49358 "gram.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 15465 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49364 "gram.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 15467 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49370 "gram.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 15469 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 49386 "gram.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 15481 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink	   *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *) n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *) a;
				}
#line 49415 "gram.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 15506 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 49431 "gram.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 15518 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 49447 "gram.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 15530 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));

					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 49459 "gram.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 15538 "gram.y" /* yacc.c:1646  */
    {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 49474 "gram.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 15549 "gram.y" /* yacc.c:1646  */
    {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 49489 "gram.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 15560 "gram.y" /* yacc.c:1646  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);

				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *) g;
			  }
#line 49501 "gram.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 15570 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL,
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-2]));
				}
#line 49511 "gram.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 15576 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));

					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 49524 "gram.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 15585 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 49538 "gram.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 15595 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-7]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 49552 "gram.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 15605 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *) n;
				}
#line 49569 "gram.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 15618 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *) n;
				}
#line 49583 "gram.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 15628 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall   *n = makeFuncCall((yyvsp[-3].list), NIL,
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));

					n->agg_star = true;
					(yyval.node) = (Node *) n;
				}
#line 49606 "gram.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 15659 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = (FuncCall *) (yyvsp[-3].node);

					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 49646 "gram.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 15695 "gram.y" /* yacc.c:1646  */
    {
					JsonAggConstructor *n = IsA((yyvsp[-2].node), JsonObjectAgg) ?
						((JsonObjectAgg *) (yyvsp[-2].node))->constructor :
						((JsonArrayAgg *) (yyvsp[-2].node))->constructor;

					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) (yyvsp[-2].node);
				}
#line 49660 "gram.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 15705 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49666 "gram.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 15715 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49672 "gram.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 15716 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49678 "gram.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 15717 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49684 "gram.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 15725 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49695 "gram.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 15732 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 49703 "gram.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 15736 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 49711 "gram.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 15740 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49719 "gram.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 15744 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 49727 "gram.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 15748 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49735 "gram.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 15752 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 49743 "gram.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 15756 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49751 "gram.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 15760 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 49759 "gram.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 15764 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49767 "gram.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 15768 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 49775 "gram.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 15772 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 49783 "gram.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 15776 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 49791 "gram.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 15780 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("system_user"),
											   NIL,
											   COERCE_SQL_SYNTAX,
											   (yylsp[0]));
				}
#line 49802 "gram.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 15787 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 49810 "gram.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 15791 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 49818 "gram.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 15795 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 49826 "gram.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 15799 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 49832 "gram.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 15801 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("extract"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49843 "gram.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 15808 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49854 "gram.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 15815 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-5]));
				}
#line 49865 "gram.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 15822 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49876 "gram.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 15829 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * allow functions named overlay() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("overlay")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 49891 "gram.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 15840 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * position(A in B) is converted to position(B, A)
					 *
					 * We deliberately don't offer a "plain syntax" option
					 * for position(), because the reversal of the arguments
					 * creates too much risk of confusion.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49909 "gram.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 15854 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49923 "gram.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 15864 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * allow functions named substring() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("substring")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 49938 "gram.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 15875 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(strVal(llast((yyvsp[-1].typnam)->names))),
											   list_make1((yyvsp[-3].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-5]));
				}
#line 49958 "gram.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 15891 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49972 "gram.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 15901 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49983 "gram.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 15908 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49994 "gram.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 15915 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 50005 "gram.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 15922 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 50013 "gram.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 15926 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);

					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *) c;
				}
#line 50025 "gram.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 15934 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 50038 "gram.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 15943 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 50051 "gram.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 15952 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 50059 "gram.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 15956 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 50067 "gram.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 15960 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 50075 "gram.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 15964 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 50083 "gram.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 15968 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 50091 "gram.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 15972 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"),
											   list_make2((yyvsp[-2].node), (yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 50104 "gram.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 15981 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 50112 "gram.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 15985 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));

					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *) x;
				}
#line 50126 "gram.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 15995 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 50134 "gram.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 15999 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 50142 "gram.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 16003 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 50151 "gram.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 16008 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);

					n->xmloption = (yyvsp[-5].ival);
					n->expr = (yyvsp[-4].node);
					n->typeName = (yyvsp[-2].typnam);
					n->indent = (yyvsp[-1].boolean);
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *) n;
				}
#line 50166 "gram.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 16019 "gram.y" /* yacc.c:1646  */
    {
					/* Support for legacy (non-standard) json_object() */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("json_object"),
											   (yyvsp[-1].list), COERCE_EXPLICIT_CALL, (yylsp[-3]));
				}
#line 50176 "gram.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 16028 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = (yyvsp[-4].list);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 50191 "gram.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 16039 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = NULL;
					n->absent_on_null = false;
					n->unique = false;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 50206 "gram.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 16054 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = (yyvsp[-3].list);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 50220 "gram.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 16069 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayQueryConstructor *n = makeNode(JsonArrayQueryConstructor);

					n->query = (yyvsp[-3].node);
					n->format = (JsonFormat *) (yyvsp[-2].node);
					n->absent_on_null = true;	/* XXX */
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 50235 "gram.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 16082 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = NIL;
					n->absent_on_null = true;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 50249 "gram.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 16092 "gram.y" /* yacc.c:1646  */
    {
					JsonParseExpr *n = makeNode(JsonParseExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-2].node);
					n->unique_keys = (yyvsp[-1].boolean);
					n->output = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 50263 "gram.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 16102 "gram.y" /* yacc.c:1646  */
    {
					JsonScalarExpr *n = makeNode(JsonScalarExpr);

					n->expr = (Expr *) (yyvsp[-1].node);
					n->output = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 50276 "gram.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 16111 "gram.y" /* yacc.c:1646  */
    {
					JsonSerializeExpr *n = makeNode(JsonSerializeExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-2].node);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 50289 "gram.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 16120 "gram.y" /* yacc.c:1646  */
    {
					MergeSupportFunc *m = makeNode(MergeSupportFunc);

					m->msftype = TEXTOID;
					m->location = (yylsp[-2]);
					(yyval.node) = (Node *) m;
				}
#line 50301 "gram.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 16134 "gram.y" /* yacc.c:1646  */
    {
					JsonFuncExpr *n = makeNode(JsonFuncExpr);

					n->op = JSON_QUERY_OP;
					n->context_item = (JsonValueExpr *) (yyvsp[-8].node);
					n->pathspec = (yyvsp[-6].node);
					n->passing = (yyvsp[-5].list);
					n->output = (JsonOutput *) (yyvsp[-4].node);
					n->wrapper = (yyvsp[-3].ival);
					n->quotes = (yyvsp[-2].ival);
					n->on_empty = (JsonBehavior *) linitial((yyvsp[-1].list));
					n->on_error = (JsonBehavior *) lsecond((yyvsp[-1].list));
					n->location = (yylsp[-10]);
					(yyval.node) = (Node *) n;
				}
#line 50321 "gram.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 16153 "gram.y" /* yacc.c:1646  */
    {
					JsonFuncExpr *n = makeNode(JsonFuncExpr);

					n->op = JSON_EXISTS_OP;
					n->context_item = (JsonValueExpr *) (yyvsp[-5].node);
					n->pathspec = (yyvsp[-3].node);
					n->passing = (yyvsp[-2].list);
					n->output = NULL;
					n->on_error = (JsonBehavior *) (yyvsp[-1].node);
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *) n;
				}
#line 50338 "gram.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 16170 "gram.y" /* yacc.c:1646  */
    {
					JsonFuncExpr *n = makeNode(JsonFuncExpr);

					n->op = JSON_VALUE_OP;
					n->context_item = (JsonValueExpr *) (yyvsp[-6].node);
					n->pathspec = (yyvsp[-4].node);
					n->passing = (yyvsp[-3].list);
					n->output = (JsonOutput *) (yyvsp[-2].node);
					n->on_empty = (JsonBehavior *) linitial((yyvsp[-1].list));
					n->on_error = (JsonBehavior *) lsecond((yyvsp[-1].list));
					n->location = (yylsp[-8]);
					(yyval.node) = (Node *) n;
				}
#line 50356 "gram.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 16190 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 50362 "gram.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 16192 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 50368 "gram.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 16196 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 50374 "gram.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 16198 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 50380 "gram.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 16200 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 50386 "gram.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 16202 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 50392 "gram.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 16205 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50398 "gram.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 16208 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 50404 "gram.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 16209 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 50410 "gram.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 16213 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 50422 "gram.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 16221 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 50434 "gram.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 16230 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 50440 "gram.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 16231 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 50446 "gram.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 16234 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50452 "gram.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 16235 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50458 "gram.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 16236 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50464 "gram.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 16239 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50470 "gram.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 16240 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50476 "gram.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 16241 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50482 "gram.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 16247 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 50490 "gram.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 16251 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 50498 "gram.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 16255 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 50506 "gram.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 16259 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 50514 "gram.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 16274 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50520 "gram.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 16275 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50526 "gram.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 16279 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 50532 "gram.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 16280 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 50538 "gram.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 16288 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 50544 "gram.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 16289 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50550 "gram.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 16293 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 50556 "gram.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 16295 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 50562 "gram.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 16300 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[0].windef);

					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 50573 "gram.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 16309 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 50579 "gram.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 16311 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 50597 "gram.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 16325 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 50603 "gram.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 16330 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 50622 "gram.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 16356 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50628 "gram.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 16357 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 50634 "gram.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 16360 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 50640 "gram.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 16361 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50646 "gram.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 16370 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 50658 "gram.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 16378 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 50670 "gram.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 16386 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 50682 "gram.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 16394 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50695 "gram.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 16405 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[0].windef);

					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 50717 "gram.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 16423 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n1 = (yyvsp[-2].windef);
					WindowDef  *n2 = (yyvsp[0].windef);

					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 50759 "gram.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 16469 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50772 "gram.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 16478 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50785 "gram.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 16487 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50798 "gram.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 16496 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50811 "gram.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 16505 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50824 "gram.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 16516 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 50830 "gram.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 16517 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 50836 "gram.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 16518 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 50842 "gram.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 16519 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 50848 "gram.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 16520 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 50854 "gram.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 16534 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50860 "gram.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 16535 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50866 "gram.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 16536 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 50872 "gram.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 16539 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50878 "gram.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 16540 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50884 "gram.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 16543 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 50890 "gram.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 16546 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 50896 "gram.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 16547 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 50902 "gram.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 16548 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 50908 "gram.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 16551 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50914 "gram.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 16552 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50920 "gram.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 16555 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 50926 "gram.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 16556 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 50932 "gram.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 16557 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 50938 "gram.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 16558 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 50944 "gram.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 16559 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 50950 "gram.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 16560 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 50956 "gram.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 16561 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 50962 "gram.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 16562 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 50968 "gram.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 16563 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 50974 "gram.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 16564 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<="; }
#line 50980 "gram.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 16565 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">="; }
#line 50986 "gram.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 16566 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<>"; }
#line 50992 "gram.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 16570 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50998 "gram.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 16572 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 51004 "gram.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 16577 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 51010 "gram.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 16579 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 51016 "gram.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 16584 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 51022 "gram.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 16586 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 51028 "gram.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 16588 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 51034 "gram.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 16590 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 51040 "gram.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 16592 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 51046 "gram.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 16594 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 51052 "gram.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 16606 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 51060 "gram.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 16610 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 51068 "gram.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 16617 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 51076 "gram.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 16621 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 51084 "gram.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 16627 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 51092 "gram.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 16631 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 51106 "gram.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 16641 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 51120 "gram.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 16652 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 51126 "gram.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 16653 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 51132 "gram.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 16656 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 51138 "gram.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 16657 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 51144 "gram.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 16661 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 51152 "gram.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 16665 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 51160 "gram.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 16669 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 51168 "gram.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 16674 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51174 "gram.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 16675 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 51180 "gram.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 16681 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 51188 "gram.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 16690 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51194 "gram.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 16691 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 51200 "gram.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 16692 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 51206 "gram.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 16693 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 51212 "gram.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 16694 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 51218 "gram.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 16695 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 51224 "gram.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 16696 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 51230 "gram.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 16697 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51236 "gram.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 16701 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFC"; }
#line 51242 "gram.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 16702 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFD"; }
#line 51248 "gram.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 16703 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFKC"; }
#line 51254 "gram.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 16704 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFKD"; }
#line 51260 "gram.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 16710 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to overlay(A, B, C, D) */
					(yyval.list) = list_make4((yyvsp[-6].node), (yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51269 "gram.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 16715 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C) is converted to overlay(A, B, C) */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51278 "gram.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 16723 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 51284 "gram.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 16745 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51292 "gram.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 16749 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[0].node), (yyvsp[-2].node));
				}
#line 51301 "gram.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 16754 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because we aren't restricting data types here, this
					 * syntax can end up resolving to textregexsubstr().
					 * We've historically allowed that to happen, so continue
					 * to accept it.  However, ruleutils.c will reverse-list
					 * such a call in regular function call syntax.
					 */
					(yyval.list) = list_make2((yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51316 "gram.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 16765 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL */

					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-2].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 51337 "gram.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 16782 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51345 "gram.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 16787 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 51351 "gram.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 16788 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 51357 "gram.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 16789 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 51363 "gram.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 16793 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *) n;
				}
#line 51375 "gram.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 16800 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 51381 "gram.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 16811 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr   *c = makeNode(CaseExpr);

					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *) c;
				}
#line 51396 "gram.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 16825 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51402 "gram.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 16826 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 51408 "gram.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 16831 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen   *w = makeNode(CaseWhen);

					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *) w;
				}
#line 51421 "gram.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 16842 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 51427 "gram.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 16843 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51433 "gram.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 16846 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 51439 "gram.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 16847 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51445 "gram.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 16851 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 51453 "gram.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 16855 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 51461 "gram.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 16862 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 51469 "gram.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 16866 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 51477 "gram.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 16870 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 51490 "gram.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 16879 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 51503 "gram.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 16890 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 51509 "gram.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 16891 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51515 "gram.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 16895 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51521 "gram.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 16896 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 51527 "gram.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 16900 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 51533 "gram.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 16901 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 51539 "gram.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 16910 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 51545 "gram.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 16911 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 51551 "gram.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 16915 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51557 "gram.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 16916 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 51563 "gram.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 16921 "gram.y" /* yacc.c:1646  */
    {
				JsonArgument *n = makeNode(JsonArgument);

				n->val = (JsonValueExpr *) (yyvsp[-2].node);
				n->name = (yyvsp[0].str);
				(yyval.node) = (Node *) n;
			}
#line 51575 "gram.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 16932 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_NONE; }
#line 51581 "gram.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 16933 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_NONE; }
#line 51587 "gram.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 16934 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 51593 "gram.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 16935 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 51599 "gram.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 16936 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_CONDITIONAL; }
#line 51605 "gram.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 16937 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 51611 "gram.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 16938 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_CONDITIONAL; }
#line 51617 "gram.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 16939 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 51623 "gram.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 16940 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNSPEC; }
#line 51629 "gram.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 16945 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeJsonBehavior(JSON_BEHAVIOR_DEFAULT, (yyvsp[0].node), (yylsp[-1])); }
#line 51635 "gram.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 16947 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeJsonBehavior((yyvsp[0].ival), NULL, (yylsp[0])); }
#line 51641 "gram.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 16951 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_ERROR; }
#line 51647 "gram.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 16952 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_NULL; }
#line 51653 "gram.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 16953 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_TRUE; }
#line 51659 "gram.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 16954 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_FALSE; }
#line 51665 "gram.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 16955 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_UNKNOWN; }
#line 51671 "gram.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 16956 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_EMPTY_ARRAY; }
#line 51677 "gram.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 16957 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_EMPTY_OBJECT; }
#line 51683 "gram.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 16959 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_EMPTY_ARRAY; }
#line 51689 "gram.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 16964 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-2].node), NULL); }
#line 51695 "gram.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 16966 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-2].node)); }
#line 51701 "gram.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 16968 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-5].node), (yyvsp[-2].node)); }
#line 51707 "gram.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 16970 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, NULL); }
#line 51713 "gram.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 16975 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 51719 "gram.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 16977 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51725 "gram.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 16982 "gram.y" /* yacc.c:1646  */
    {
				/* formatted_expr will be set during parse-analysis. */
				(yyval.node) = (Node *) makeJsonValueExpr((Expr *) (yyvsp[-1].node), NULL,
												castNode(JsonFormat, (yyvsp[0].node)));
			}
#line 51735 "gram.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 16991 "gram.y" /* yacc.c:1646  */
    {
					int		encoding;

					if (!pg_strcasecmp((yyvsp[0].str), "utf8"))
						encoding = JS_ENC_UTF8;
					else if (!pg_strcasecmp((yyvsp[0].str), "utf16"))
						encoding = JS_ENC_UTF16;
					else if (!pg_strcasecmp((yyvsp[0].str), "utf32"))
						encoding = JS_ENC_UTF32;
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("unrecognized JSON encoding: %s", (yyvsp[0].str)),
								 parser_errposition((yylsp[0]))));

					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, encoding, (yylsp[-3]));
				}
#line 51757 "gram.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 17009 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, JS_ENC_DEFAULT, (yylsp[-1]));
				}
#line 51765 "gram.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 17016 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 51773 "gram.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 17020 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
				}
#line 51781 "gram.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 17026 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_KEEP; }
#line 51787 "gram.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 17027 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_KEEP; }
#line 51793 "gram.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 17028 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_OMIT; }
#line 51799 "gram.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 17029 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_OMIT; }
#line 51805 "gram.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 17030 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_UNSPEC; }
#line 51811 "gram.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 17035 "gram.y" /* yacc.c:1646  */
    {
					JsonOutput *n = makeNode(JsonOutput);

					n->typeName = (yyvsp[-1].typnam);
					n->returning = makeNode(JsonReturning);
					n->returning->format = (JsonFormat *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 51824 "gram.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 17043 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51830 "gram.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 17057 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ANY; }
#line 51836 "gram.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 17058 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ANY; }
#line 51842 "gram.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 17059 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ARRAY; }
#line 51848 "gram.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 17060 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_OBJECT; }
#line 51854 "gram.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 17061 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_SCALAR; }
#line 51860 "gram.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 17070 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51866 "gram.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 17071 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51872 "gram.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 17072 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51878 "gram.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 17073 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51884 "gram.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 17074 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51890 "gram.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 17079 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51896 "gram.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 17081 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 51902 "gram.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 17091 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 51908 "gram.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 17094 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 51914 "gram.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 17099 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51920 "gram.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 17100 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51926 "gram.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 17101 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51932 "gram.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 17105 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51938 "gram.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 17106 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51944 "gram.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 17107 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51950 "gram.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 17111 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51956 "gram.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 17112 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));}
#line 51962 "gram.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 17122 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectAgg *n = makeNode(JsonObjectAgg);

					n->arg = (JsonKeyValue *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->agg_order = NULL;
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 51979 "gram.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 17140 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayAgg *n = makeNode(JsonArrayAgg);

					n->arg = (JsonValueExpr *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->agg_order = (yyvsp[-3].list);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 51995 "gram.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 17154 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 52001 "gram.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 17155 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 52007 "gram.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 17164 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 52013 "gram.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 17165 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 52019 "gram.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 17169 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 52025 "gram.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 17170 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 52031 "gram.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 17174 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 52043 "gram.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 17182 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 52055 "gram.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 17190 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 52067 "gram.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 17198 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef  *n = makeNode(ColumnRef);

					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 52084 "gram.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 17220 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 52090 "gram.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 17221 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 52096 "gram.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 17233 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 52104 "gram.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 17237 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVarFromQualifiedName((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 52112 "gram.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 17243 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 52118 "gram.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 17245 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 52124 "gram.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 17249 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52130 "gram.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 17251 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52136 "gram.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 17253 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52142 "gram.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 17264 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 52148 "gram.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 17266 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 52157 "gram.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 17277 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 52165 "gram.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 17281 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 52173 "gram.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 17285 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 52181 "gram.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 17289 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 52189 "gram.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 17293 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 52202 "gram.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 17302 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-1].list));

					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 52214 "gram.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 17310 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell   *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 52250 "gram.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 17342 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 52258 "gram.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 17346 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-2].typnam);

					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 52269 "gram.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 17353 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 52281 "gram.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 17361 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 52289 "gram.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 17365 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 52297 "gram.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 17369 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 52305 "gram.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 17374 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 52311 "gram.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 17375 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52317 "gram.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 17377 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 52323 "gram.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 17378 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 52329 "gram.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 17379 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 52335 "gram.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 17384 "gram.y" /* yacc.c:1646  */
    {
					RoleSpec   *spc = (RoleSpec *) (yyvsp[0].rolespec);

					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_ROLE:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_ROLE"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 52378 "gram.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 17425 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * "public" and "none" are not keywords, but they must
					 * be treated specially here.
					 */
					RoleSpec   *n;

					if (strcmp((yyvsp[0].str), "public") == 0)
					{
						n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
						n->roletype = ROLESPEC_PUBLIC;
					}
					else if (strcmp((yyvsp[0].str), "none") == 0)
					{
						ereport(ERROR,
								(errcode(ERRCODE_RESERVED_NAME),
								 errmsg("role name \"%s\" is reserved",
										"none"),
								 parser_errposition((yylsp[0]))));
					}
					else
					{
						n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
						n->rolename = pstrdup((yyvsp[0].str));
					}
					(yyval.rolespec) = n;
				}
#line 52410 "gram.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 17453 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_ROLE, (yylsp[0]));
				}
#line 52418 "gram.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 17457 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
				}
#line 52426 "gram.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 17461 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
				}
#line 52434 "gram.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 17467 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 52440 "gram.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 17469 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 52446 "gram.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 17486 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-9].list);
					n->targetList = (yyvsp[-8].list);
					n->fromClause = (yyvsp[-7].list);
					n->whereClause = (yyvsp[-6].node);
					n->groupClause = ((yyvsp[-5].groupclause))->list;
					n->groupDistinct = ((yyvsp[-5].groupclause))->distinct;
					n->havingClause = (yyvsp[-4].node);
					n->windowClause = (yyvsp[-3].list);
					n->sortClause = (yyvsp[-2].list);
					if ((yyvsp[-1].selectlimit))
					{
						n->limitOffset = (yyvsp[-1].selectlimit)->limitOffset;
						n->limitCount = (yyvsp[-1].selectlimit)->limitCount;
						if (!n->sortClause &&
							(yyvsp[-1].selectlimit)->limitOption == LIMIT_OPTION_WITH_TIES)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("WITH TIES cannot be specified without ORDER BY clause"),
									 parser_errposition((yyvsp[-1].selectlimit)->optionLoc)));
						n->limitOption = (yyvsp[-1].selectlimit)->limitOption;
					}
					n->lockingClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 52478 "gram.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 17520 "gram.y" /* yacc.c:1646  */
    {
					PLAssignStmt *n = makeNode(PLAssignStmt);

					n->name = (yyvsp[-3].str);
					n->indirection = check_indirection((yyvsp[-2].list), yyscanner);
					/* nnames will be filled by calling production */
					n->val = (SelectStmt *) (yyvsp[0].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 52493 "gram.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 17532 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52499 "gram.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 17533 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("$%d", (yyvsp[0].ival)); }
#line 52505 "gram.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 17554 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52511 "gram.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 17555 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52517 "gram.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 17556 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52523 "gram.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 17561 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52529 "gram.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 17562 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52535 "gram.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 17563 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52541 "gram.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 17568 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52547 "gram.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 17569 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52553 "gram.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 17570 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52559 "gram.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 17571 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52565 "gram.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 17577 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52571 "gram.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 17578 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52577 "gram.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 17579 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52583 "gram.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 17580 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52589 "gram.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 17581 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52595 "gram.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 17587 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52601 "gram.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 17588 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52607 "gram.c" /* yacc.c:1646  */
    break;


#line 52611 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 18600 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

/*
 * Adjust a PreparableStmt to reflect that it doesn't run to the end of the
 * string.
 */
static void
updatePreparableStmtEnd(Node *n, int end_location)
{
	if (IsA(n, SelectStmt))
	{
		SelectStmt *stmt = (SelectStmt *)n;

		stmt->stmt_len = end_location - stmt->stmt_location;
	}
	else if (IsA(n, InsertStmt))
	{
		InsertStmt *stmt = (InsertStmt *)n;

		stmt->stmt_len = end_location - stmt->stmt_location;
	}
	else if (IsA(n, UpdateStmt))
	{
		UpdateStmt *stmt = (UpdateStmt *)n;

		stmt->stmt_len = end_location - stmt->stmt_location;
	}
	else if (IsA(n, DeleteStmt))
	{
		DeleteStmt *stmt = (DeleteStmt *)n;

		stmt->stmt_len = end_location - stmt->stmt_location;
	}
	else if (IsA(n, MergeStmt))
	{
		MergeStmt *stmt = (MergeStmt *)n;

		stmt->stmt_len = end_location - stmt->stmt_location;
	}
	else
		elog(ERROR, "unexpected node type %d", (int) n->type);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int			nfields = 0;
	ListCell   *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast   *n = makeNode(TypeCast);

	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node	   *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.ival.type = T_Integer;
	n->val.ival.ival = val;
	n->location = location;

   return (Node *) n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.fval.type = T_Float;
	n->val.fval.fval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBoolAConst(bool state, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.boolval.type = T_Boolean;
	n->val.boolval.boolval = state;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.bsval.type = T_BitString;
	n->val.bsval.bsval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeNullAConst(int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->isnull = true;
	n->location = location;

	return (Node *) n;
}

static Node *
makeAConst(Node *v, int location)
{
	Node	   *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(castNode(Float, v)->fval, location);
			break;

		case T_Integer:
			n = makeIntConst(castNode(Integer, v)->ival, location);
			break;

		default:
			/* currently not used */
			Assert(false);
			n = NULL;
	}

	return n;
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec   *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	Integer	   *ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(firsto->location)));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = makeInteger(list_length(directargs));

	return list_make2(list_concat(directargs, orderedargs),
					  ndirectargs);
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					SelectLimit *limitClause,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitClause && limitClause->limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(limitClause->offsetLoc)));
		stmt->limitOffset = limitClause->limitOffset;
	}
	if (limitClause && limitClause->limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(limitClause->countLoc)));
		stmt->limitCount = limitClause->limitCount;
	}
	if (limitClause)
	{
		/* If there was a conflict, we must have detected it above */
		Assert(!stmt->limitOption);
		if (!stmt->sortClause && limitClause->limitOption == LIMIT_OPTION_WITH_TIES)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("WITH TIES cannot be specified without ORDER BY clause"),
					 parser_errposition(limitClause->optionLoc)));
		if (limitClause->limitOption == LIMIT_OPTION_WITH_TIES && stmt->lockingClause)
		{
			ListCell   *lc;

			foreach(lc, stmt->lockingClause)
			{
				LockingClause *lock = lfirst_node(LockingClause, lc);

				if (lock->waitPolicy == LockWaitSkip)
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("%s and %s options cannot be used together",
									"SKIP LOCKED", "WITH TIES"),
							 parser_errposition(limitClause->optionLoc)));
			}
		}
		stmt->limitOption = limitClause->limitOption;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;

		/* Update SelectStmt's location to the start of the WITH clause */
		stmt->stmt_location = withClause->location;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg, int location)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	n->stmt_location = location;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const	   *con = (A_Const *) n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (IsA(&con->val, Integer))
		{
			con->val.ival.ival = -con->val.ival.ival;
			return n;
		}
		if (IsA(&con->val, Float))
		{
			doNegateFloat(&con->val.fval);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Float *v)
{
	char	   *oldval = v->fval;

	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->fval = oldval+1;	/* just strip the '-' */
	else
		v->fval = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns, core_yyscan_t yyscanner)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_DEFAULT &&
			p->mode != FUNC_PARAM_IN &&
			p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions"),
					 parser_errposition(p->location)));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName   *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar   *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/*
 * Convert a relation_name with name and namelist to a RangeVar using
 * makeRangeVar.
 */
static RangeVar *
makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
							  core_yyscan_t yyscanner)
{
	RangeVar   *r;

	check_qualified_name(namelist, yyscanner);
	r = makeRangeVar(NULL, NULL, location);

	switch (list_length(namelist))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = name;
			r->relname = strVal(linitial(namelist));
			break;
		case 2:
			r->catalogname = name;
			r->schemaname = strVal(linitial(namelist));
			r->relname = strVal(lsecond(namelist));
			break;
		default:
			ereport(ERROR,
					errcode(ERRCODE_SYNTAX_ERROR),
					errmsg("improper qualified name (too many dotted names): %s",
						   NameListToString(lcons(makeString(name), namelist))),
						   parser_errposition(location));
			break;
	}

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;

	*collClause = NULL;
	foreach(cell, qualList)
	{
		Node	   *n = (Node *) lfirst(cell);

		if (IsA(n, Constraint))
		{
			/* keep it in list */
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = foreach_delete_current(qualList, cell);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*
 * Parse a user-supplied partition strategy string into parse node
 * PartitionStrategy representation, or die trying.
 */
static PartitionStrategy
parsePartitionStrategy(char *strategy, int location, core_yyscan_t yyscanner)
{
	if (pg_strcasecmp(strategy, "list") == 0)
		return PARTITION_STRATEGY_LIST;
	else if (pg_strcasecmp(strategy, "range") == 0)
		return PARTITION_STRATEGY_RANGE;
	else if (pg_strcasecmp(strategy, "hash") == 0)
		return PARTITION_STRATEGY_HASH;

	ereport(ERROR,
			(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
			 errmsg("unrecognized partitioning strategy \"%s\"", strategy),
			 parser_errposition(location)));
	return PARTITION_STRATEGY_LIST;		/* keep compiler quiet */

}

/*
 * Process pubobjspec_list to check for errors in any of the objects and
 * convert PUBLICATIONOBJ_CONTINUATION into appropriate PublicationObjSpecType.
 */
static void
preprocess_pubobj_list(List *pubobjspec_list, core_yyscan_t yyscanner)
{
	ListCell   *cell;
	PublicationObjSpec *pubobj;
	PublicationObjSpecType prevobjtype = PUBLICATIONOBJ_CONTINUATION;

	if (!pubobjspec_list)
		return;

	pubobj = (PublicationObjSpec *) linitial(pubobjspec_list);
	if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
		ereport(ERROR,
				errcode(ERRCODE_SYNTAX_ERROR),
				errmsg("invalid publication object list"),
				errdetail("One of TABLE or TABLES IN SCHEMA must be specified before a standalone table or schema name."),
				parser_errposition(pubobj->location));

	foreach(cell, pubobjspec_list)
	{
		pubobj = (PublicationObjSpec *) lfirst(cell);

		if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
			pubobj->pubobjtype = prevobjtype;

		if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLE)
		{
			/* relation name or pubtable must be set for this type of object */
			if (!pubobj->name && !pubobj->pubtable)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid table name"),
						parser_errposition(pubobj->location));

			if (pubobj->name)
			{
				/* convert it to PublicationTable */
				PublicationTable *pubtable = makeNode(PublicationTable);

				pubtable->relation =
					makeRangeVar(NULL, pubobj->name, pubobj->location);
				pubobj->pubtable = pubtable;
				pubobj->name = NULL;
			}
		}
		else if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_SCHEMA ||
				 pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA)
		{
			/* WHERE clause is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->whereClause)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("WHERE clause not allowed for schema"),
						parser_errposition(pubobj->location));

			/* Column list is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->columns)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("column specification not allowed for schema"),
						parser_errposition(pubobj->location));

			/*
			 * We can distinguish between the different type of schema
			 * objects based on whether name and pubtable is set.
			 */
			if (pubobj->name)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
			else if (!pubobj->name && !pubobj->pubtable)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
			else
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid schema name"),
						parser_errposition(pubobj->location));
		}

		prevobjtype = pubobj->pubobjtype;
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctematerialized = CTEMaterializeDefault;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
