/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "preproc_extern.h"
#include "preproc.h"
#include "ecpg_config.h"
#include <unistd.h>

/* silence -Wmissing-variable-declarations */
extern int base_yychar;
extern int base_yynerrs;


/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int			struct_level = 0;
int			braces_open;		/* brace level counter */
char	   *current_function;
int			ecpg_internal_var = 0;
char	   *connection = NULL;
char	   *input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;
static int	bytea_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = {NULL};

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static bool check_declared_list(const char *name);


/*
 * "Location tracking" support.  We commandeer Bison's location tracking
 * mechanism to manage the output string for productions that ordinarily would
 * return a <str> result.  This allows the majority of those productions to
 * have default semantic actions, reducing the size of the parser, and also
 * greatly reducing its compilation time on some versions of clang.
 *
 * To do this, we make YYLTYPE be a pointer to a malloc'd string, and then
 * merge the location strings of the input tokens in the default YYLLOC
 * computation.  Productions that are okay with the standard merge need not
 * do anything more; otherwise, they can override it by assigning to @$.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) yylloc_default(&(Current), Rhs, N)

static void
yylloc_default(YYLTYPE *target, YYLTYPE *rhs, int N)
{
	if (N > 1)
	{
		/* Concatenate non-empty inputs with one space between them */
		char	   *result,
				   *ptr;
		size_t		needed = 0;

		for (int i = 1; i <= N; i++)
		{
			size_t		thislen = strlen(rhs[i]);

			if (needed > 0 && thislen > 0)
				needed++;
			needed += thislen;
		}
		result = (char *) loc_alloc(needed + 1);
		ptr = result;
		for (int i = 1; i <= N; i++)
		{
			size_t		thislen = strlen(rhs[i]);

			if (ptr > result && thislen > 0)
				*ptr++ = ' ';
			memcpy(ptr, rhs[i], thislen);
			ptr += thislen;
		}
		*ptr = '\0';
		*target = result;
	}
	else if (N == 1)
	{
		/* Just re-use the single input */
		*target = rhs[1];
	}
	else
	{
		/* No need to allocate any space */
		*target = "";
	}
}

/* and the rest */
static char *
create_questionmarks(const char *name, bool array)
{
	struct variable *p = find_variable(name);
	int			count;
	char	   *result = "";

	/*
	 * In case we have a struct, we have to print as many "?" as there are
	 * attributes in the struct
	 *
	 * An array is only allowed together with an element argument
	 *
	 * This is essentially only used for inserts, but using a struct as input
	 * parameter is an error anywhere else so we don't have to worry here.
	 */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m = m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count--)
	{
		char	buf[32];

		snprintf(buf, sizeof(buf), "$%d", pacounter++);
		result = cat_str(3, result, buf, " , ");
	}

	/* remove the trailing " ," */
	result[strlen(result) - 3] = '\0';
	return result;
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/*
	 * Informix accepts DECLARE with variables that are out of scope when OPEN
	 * is called. For instance you can DECLARE a cursor in one function, and
	 * OPEN/FETCH/CLOSE it in another functions. This is very useful for e.g.
	 * event-driver programming, but may also lead to dangerous programming.
	 * The limitation when this is allowed and doesn't cause problems have to
	 * be documented, like the allocated variables must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the
	 * pointer instead of the variable. Do it only for local variables, not
	 * for globals.
	 */
	char	   *result = "";
	int			insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar,
				   *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char		var_text[20];
			char	   *original_var;
			bool		skip_set_var = false;
			bool		var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			snprintf(var_text, sizeof(var_text), "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string
					  && ptr->variable->type->type != ECPGt_bytea)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, "(",
											  ecpg_type_name(ptr->variable->type->u.element->type),
											  " *)(ECPGget_var(",
											  var_text),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   "1",
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string
					  || ptr->variable->type->type == ECPGt_bytea)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, "(",
											  ecpg_type_name(ptr->variable->type->type),
											  " *)(ECPGget_var(",
											  var_text),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar ||
					ptr->variable->type->type == ECPGt_bytea)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, "(*(",
											  ptr->variable->type->type_name,
											  " *)(ECPGget_var(",
											  var_text,
											  ")"),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, "(*(",
												  ptr->variable->type->u.element->type_name,
												  " *)(ECPGget_var(",
												  var_text,
												  ")"),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, "(",
												  ecpg_type_name(ptr->variable->type->u.element->type),
												  " *)(ECPGget_var(",
												  var_text),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, "*(",
											  ecpg_type_name(ptr->variable->type->type),
											  " *)(ECPGget_var(",
											  var_text),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/*
			 * create call to "ECPGset_var(<counter>, <connection>, <pointer>.
			 * <line number>)"
			 */
			if (!skip_set_var)
			{
				snprintf(var_text, sizeof(var_text), "%d, %s",
						 ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, "ECPGset_var(",
								 var_text, original_var,
								 "), __LINE__);\n");
			}

			/*
			 * now the indicator if there is one and it's not a global
			 * variable
			 */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				snprintf(var_text, sizeof(var_text), "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, "(*(",
												  ptr->indicator->type->type_name,
												  " *)(ECPGget_var(",
												  var_text,
												  ")"),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, "(*(",
													  ptr->indicator->type->u.element->type_name,
													  " *)(ECPGget_var(",
													  var_text,
													  ")"),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, "(",
													  ecpg_type_name(ptr->indicator->type->u.element->type),
													  " *)(ECPGget_var(",
													  var_text),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, "(",
												  ecpg_type_name(ptr->indicator->type->type),
												  " *)(ECPGget_var(",
												  var_text),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, "*(",
												  ecpg_type_name(ptr->indicator->type->type),
												  " *)(ECPGget_var(",
												  var_text),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/*
				 * create call to "ECPGset_var(<counter>, <pointer>. <line
				 * number>)"
				 */
				snprintf(var_text, sizeof(var_text), "%d, %s",
						 ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, "ECPGset_var(",
								 var_text, original_var,
								 "), __LINE__);\n");
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && current_function != NULL && \
	  strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(const char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int			(*strcmp_fn) (const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr = ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/*
		 * add all those input variables that were given earlier
		 *
		 * note that we have to append here but have to keep the existing
		 * order
		 */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(const char *name, const char *dimension, const char *length,
			enum ECPGttype type_enum,
			const char *type_dimension, const char *type_index,
			int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr,
			   *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length,
					 type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = mm_strdup(name);
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = mm_strdup(dimension); /* dimension of array */
		this->type->type_index = mm_strdup(length);	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
			ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_bytea &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

/*
 * check an SQL identifier is declared or not.
 * If it is already declared, the global variable
 * connection will be changed to the related connection.
 */
static bool
check_declared_list(const char *name)
{
	struct declared_list *ptr = NULL;

	for (ptr = g_declared_list; ptr != NULL; ptr = ptr->next)
	{
		if (!ptr->connection)
			continue;
		if (strcmp(name, ptr->name) == 0)
		{
			if (connection && strcmp(ptr->connection, connection) != 0)
				mmerror(PARSE_ERROR, ET_WARNING, "connection %s is overwritten with %s by DECLARE statement %s", connection, ptr->connection, name);
			connection = mm_strdup(ptr->connection);
			return true;
		}
	}
	return false;
}

#line 627 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CARDINALITY = 262,
    SQL_CONNECT = 263,
    SQL_COUNT = 264,
    SQL_DATETIME_INTERVAL_CODE = 265,
    SQL_DATETIME_INTERVAL_PRECISION = 266,
    SQL_DESCRIBE = 267,
    SQL_DESCRIPTOR = 268,
    SQL_DISCONNECT = 269,
    SQL_FOUND = 270,
    SQL_FREE = 271,
    SQL_GET = 272,
    SQL_GO = 273,
    SQL_GOTO = 274,
    SQL_IDENTIFIED = 275,
    SQL_INDICATOR = 276,
    SQL_KEY_MEMBER = 277,
    SQL_LENGTH = 278,
    SQL_LONG = 279,
    SQL_NULLABLE = 280,
    SQL_OCTET_LENGTH = 281,
    SQL_OPEN = 282,
    SQL_OUTPUT = 283,
    SQL_REFERENCE = 284,
    SQL_RETURNED_LENGTH = 285,
    SQL_RETURNED_OCTET_LENGTH = 286,
    SQL_SCALE = 287,
    SQL_SECTION = 288,
    SQL_SHORT = 289,
    SQL_SIGNED = 290,
    SQL_SQLERROR = 291,
    SQL_SQLPRINT = 292,
    SQL_SQLWARNING = 293,
    SQL_START = 294,
    SQL_STOP = 295,
    SQL_STRUCT = 296,
    SQL_UNSIGNED = 297,
    SQL_VAR = 298,
    SQL_WHENEVER = 299,
    S_ADD = 300,
    S_AND = 301,
    S_ANYTHING = 302,
    S_AUTO = 303,
    S_CONST = 304,
    S_DEC = 305,
    S_DIV = 306,
    S_DOTPOINT = 307,
    S_EQUAL = 308,
    S_EXTERN = 309,
    S_INC = 310,
    S_LSHIFT = 311,
    S_MEMPOINT = 312,
    S_MEMBER = 313,
    S_MOD = 314,
    S_MUL = 315,
    S_NEQUAL = 316,
    S_OR = 317,
    S_REGISTER = 318,
    S_RSHIFT = 319,
    S_STATIC = 320,
    S_SUB = 321,
    S_VOLATILE = 322,
    S_TYPEDEF = 323,
    CSTRING = 324,
    CVARIABLE = 325,
    CPP_LINE = 326,
    IP = 327,
    IDENT = 328,
    UIDENT = 329,
    FCONST = 330,
    SCONST = 331,
    USCONST = 332,
    BCONST = 333,
    XCONST = 334,
    Op = 335,
    ICONST = 336,
    PARAM = 337,
    TYPECAST = 338,
    DOT_DOT = 339,
    COLON_EQUALS = 340,
    EQUALS_GREATER = 341,
    LESS_EQUALS = 342,
    GREATER_EQUALS = 343,
    NOT_EQUALS = 344,
    ABORT_P = 345,
    ABSENT = 346,
    ABSOLUTE_P = 347,
    ACCESS = 348,
    ACTION = 349,
    ADD_P = 350,
    ADMIN = 351,
    AFTER = 352,
    AGGREGATE = 353,
    ALL = 354,
    ALSO = 355,
    ALTER = 356,
    ALWAYS = 357,
    ANALYSE = 358,
    ANALYZE = 359,
    AND = 360,
    ANY = 361,
    ARRAY = 362,
    AS = 363,
    ASC = 364,
    ASENSITIVE = 365,
    ASSERTION = 366,
    ASSIGNMENT = 367,
    ASYMMETRIC = 368,
    ATOMIC = 369,
    AT = 370,
    ATTACH = 371,
    ATTRIBUTE = 372,
    AUTHORIZATION = 373,
    BACKWARD = 374,
    BEFORE = 375,
    BEGIN_P = 376,
    BETWEEN = 377,
    BIGINT = 378,
    BINARY = 379,
    BIT = 380,
    BOOLEAN_P = 381,
    BOTH = 382,
    BREADTH = 383,
    BY = 384,
    CACHE = 385,
    CALL = 386,
    CALLED = 387,
    CASCADE = 388,
    CASCADED = 389,
    CASE = 390,
    CAST = 391,
    CATALOG_P = 392,
    CHAIN = 393,
    CHAR_P = 394,
    CHARACTER = 395,
    CHARACTERISTICS = 396,
    CHECK = 397,
    CHECKPOINT = 398,
    CLASS = 399,
    CLOSE = 400,
    CLUSTER = 401,
    COALESCE = 402,
    COLLATE = 403,
    COLLATION = 404,
    COLUMN = 405,
    COLUMNS = 406,
    COMMENT = 407,
    COMMENTS = 408,
    COMMIT = 409,
    COMMITTED = 410,
    COMPRESSION = 411,
    CONCURRENTLY = 412,
    CONDITIONAL = 413,
    CONFIGURATION = 414,
    CONFLICT = 415,
    CONNECTION = 416,
    CONSTRAINT = 417,
    CONSTRAINTS = 418,
    CONTENT_P = 419,
    CONTINUE_P = 420,
    CONVERSION_P = 421,
    COPY = 422,
    COST = 423,
    CREATE = 424,
    CROSS = 425,
    CSV = 426,
    CUBE = 427,
    CURRENT_P = 428,
    CURRENT_CATALOG = 429,
    CURRENT_DATE = 430,
    CURRENT_ROLE = 431,
    CURRENT_SCHEMA = 432,
    CURRENT_TIME = 433,
    CURRENT_TIMESTAMP = 434,
    CURRENT_USER = 435,
    CURSOR = 436,
    CYCLE = 437,
    DATA_P = 438,
    DATABASE = 439,
    DAY_P = 440,
    DEALLOCATE = 441,
    DEC = 442,
    DECIMAL_P = 443,
    DECLARE = 444,
    DEFAULT = 445,
    DEFAULTS = 446,
    DEFERRABLE = 447,
    DEFERRED = 448,
    DEFINER = 449,
    DELETE_P = 450,
    DELIMITER = 451,
    DELIMITERS = 452,
    DEPENDS = 453,
    DEPTH = 454,
    DESC = 455,
    DETACH = 456,
    DICTIONARY = 457,
    DISABLE_P = 458,
    DISCARD = 459,
    DISTINCT = 460,
    DO = 461,
    DOCUMENT_P = 462,
    DOMAIN_P = 463,
    DOUBLE_P = 464,
    DROP = 465,
    EACH = 466,
    ELSE = 467,
    EMPTY_P = 468,
    ENABLE_P = 469,
    ENCODING = 470,
    ENCRYPTED = 471,
    END_P = 472,
    ENUM_P = 473,
    ERROR_P = 474,
    ESCAPE = 475,
    EVENT = 476,
    EXCEPT = 477,
    EXCLUDE = 478,
    EXCLUDING = 479,
    EXCLUSIVE = 480,
    EXECUTE = 481,
    EXISTS = 482,
    EXPLAIN = 483,
    EXPRESSION = 484,
    EXTENSION = 485,
    EXTERNAL = 486,
    EXTRACT = 487,
    FALSE_P = 488,
    FAMILY = 489,
    FETCH = 490,
    FILTER = 491,
    FINALIZE = 492,
    FIRST_P = 493,
    FLOAT_P = 494,
    FOLLOWING = 495,
    FOR = 496,
    FORCE = 497,
    FOREIGN = 498,
    FORMAT = 499,
    FORWARD = 500,
    FREEZE = 501,
    FROM = 502,
    FULL = 503,
    FUNCTION = 504,
    FUNCTIONS = 505,
    GENERATED = 506,
    GLOBAL = 507,
    GRANT = 508,
    GRANTED = 509,
    GREATEST = 510,
    GROUP_P = 511,
    GROUPING = 512,
    GROUPS = 513,
    HANDLER = 514,
    HAVING = 515,
    HEADER_P = 516,
    HOLD = 517,
    HOUR_P = 518,
    IDENTITY_P = 519,
    IF_P = 520,
    ILIKE = 521,
    IMMEDIATE = 522,
    IMMUTABLE = 523,
    IMPLICIT_P = 524,
    IMPORT_P = 525,
    IN_P = 526,
    INCLUDE = 527,
    INCLUDING = 528,
    INCREMENT = 529,
    INDENT = 530,
    INDEX = 531,
    INDEXES = 532,
    INHERIT = 533,
    INHERITS = 534,
    INITIALLY = 535,
    INLINE_P = 536,
    INNER_P = 537,
    INOUT = 538,
    INPUT_P = 539,
    INSENSITIVE = 540,
    INSERT = 541,
    INSTEAD = 542,
    INT_P = 543,
    INTEGER = 544,
    INTERSECT = 545,
    INTERVAL = 546,
    INTO = 547,
    INVOKER = 548,
    IS = 549,
    ISNULL = 550,
    ISOLATION = 551,
    JOIN = 552,
    JSON = 553,
    JSON_ARRAY = 554,
    JSON_ARRAYAGG = 555,
    JSON_EXISTS = 556,
    JSON_OBJECT = 557,
    JSON_OBJECTAGG = 558,
    JSON_QUERY = 559,
    JSON_SCALAR = 560,
    JSON_SERIALIZE = 561,
    JSON_TABLE = 562,
    JSON_VALUE = 563,
    KEEP = 564,
    KEY = 565,
    KEYS = 566,
    LABEL = 567,
    LANGUAGE = 568,
    LARGE_P = 569,
    LAST_P = 570,
    LATERAL_P = 571,
    LEADING = 572,
    LEAKPROOF = 573,
    LEAST = 574,
    LEFT = 575,
    LEVEL = 576,
    LIKE = 577,
    LIMIT = 578,
    LISTEN = 579,
    LOAD = 580,
    LOCAL = 581,
    LOCALTIME = 582,
    LOCALTIMESTAMP = 583,
    LOCATION = 584,
    LOCK_P = 585,
    LOCKED = 586,
    LOGGED = 587,
    MAPPING = 588,
    MATCH = 589,
    MATCHED = 590,
    MATERIALIZED = 591,
    MAXVALUE = 592,
    MERGE = 593,
    MERGE_ACTION = 594,
    METHOD = 595,
    MINUTE_P = 596,
    MINVALUE = 597,
    MODE = 598,
    MONTH_P = 599,
    MOVE = 600,
    NAME_P = 601,
    NAMES = 602,
    NATIONAL = 603,
    NATURAL = 604,
    NCHAR = 605,
    NESTED = 606,
    NEW = 607,
    NEXT = 608,
    NFC = 609,
    NFD = 610,
    NFKC = 611,
    NFKD = 612,
    NO = 613,
    NONE = 614,
    NORMALIZE = 615,
    NORMALIZED = 616,
    NOT = 617,
    NOTHING = 618,
    NOTIFY = 619,
    NOTNULL = 620,
    NOWAIT = 621,
    NULL_P = 622,
    NULLIF = 623,
    NULLS_P = 624,
    NUMERIC = 625,
    OBJECT_P = 626,
    OF = 627,
    OFF = 628,
    OFFSET = 629,
    OIDS = 630,
    OLD = 631,
    OMIT = 632,
    ON = 633,
    ONLY = 634,
    OPERATOR = 635,
    OPTION = 636,
    OPTIONS = 637,
    OR = 638,
    ORDER = 639,
    ORDINALITY = 640,
    OTHERS = 641,
    OUT_P = 642,
    OUTER_P = 643,
    OVER = 644,
    OVERLAPS = 645,
    OVERLAY = 646,
    OVERRIDING = 647,
    OWNED = 648,
    OWNER = 649,
    PARALLEL = 650,
    PARAMETER = 651,
    PARSER = 652,
    PARTIAL = 653,
    PARTITION = 654,
    PASSING = 655,
    PASSWORD = 656,
    PATH = 657,
    PERIOD = 658,
    PLACING = 659,
    PLAN = 660,
    PLANS = 661,
    POLICY = 662,
    POSITION = 663,
    PRECEDING = 664,
    PRECISION = 665,
    PRESERVE = 666,
    PREPARE = 667,
    PREPARED = 668,
    PRIMARY = 669,
    PRIOR = 670,
    PRIVILEGES = 671,
    PROCEDURAL = 672,
    PROCEDURE = 673,
    PROCEDURES = 674,
    PROGRAM = 675,
    PUBLICATION = 676,
    QUOTE = 677,
    QUOTES = 678,
    RANGE = 679,
    READ = 680,
    REAL = 681,
    REASSIGN = 682,
    RECURSIVE = 683,
    REF_P = 684,
    REFERENCES = 685,
    REFERENCING = 686,
    REFRESH = 687,
    REINDEX = 688,
    RELATIVE_P = 689,
    RELEASE = 690,
    RENAME = 691,
    REPEATABLE = 692,
    REPLACE = 693,
    REPLICA = 694,
    RESET = 695,
    RESTART = 696,
    RESTRICT = 697,
    RETURN = 698,
    RETURNING = 699,
    RETURNS = 700,
    REVOKE = 701,
    RIGHT = 702,
    ROLE = 703,
    ROLLBACK = 704,
    ROLLUP = 705,
    ROUTINE = 706,
    ROUTINES = 707,
    ROW = 708,
    ROWS = 709,
    RULE = 710,
    SAVEPOINT = 711,
    SCALAR = 712,
    SCHEMA = 713,
    SCHEMAS = 714,
    SCROLL = 715,
    SEARCH = 716,
    SECOND_P = 717,
    SECURITY = 718,
    SELECT = 719,
    SEQUENCE = 720,
    SEQUENCES = 721,
    SERIALIZABLE = 722,
    SERVER = 723,
    SESSION = 724,
    SESSION_USER = 725,
    SET = 726,
    SETS = 727,
    SETOF = 728,
    SHARE = 729,
    SHOW = 730,
    SIMILAR = 731,
    SIMPLE = 732,
    SKIP = 733,
    SMALLINT = 734,
    SNAPSHOT = 735,
    SOME = 736,
    SOURCE = 737,
    SQL_P = 738,
    STABLE = 739,
    STANDALONE_P = 740,
    START = 741,
    STATEMENT = 742,
    STATISTICS = 743,
    STDIN = 744,
    STDOUT = 745,
    STORAGE = 746,
    STORED = 747,
    STRICT_P = 748,
    STRING_P = 749,
    STRIP_P = 750,
    SUBSCRIPTION = 751,
    SUBSTRING = 752,
    SUPPORT = 753,
    SYMMETRIC = 754,
    SYSID = 755,
    SYSTEM_P = 756,
    SYSTEM_USER = 757,
    TABLE = 758,
    TABLES = 759,
    TABLESAMPLE = 760,
    TABLESPACE = 761,
    TARGET = 762,
    TEMP = 763,
    TEMPLATE = 764,
    TEMPORARY = 765,
    TEXT_P = 766,
    THEN = 767,
    TIES = 768,
    TIME = 769,
    TIMESTAMP = 770,
    TO = 771,
    TRAILING = 772,
    TRANSACTION = 773,
    TRANSFORM = 774,
    TREAT = 775,
    TRIGGER = 776,
    TRIM = 777,
    TRUE_P = 778,
    TRUNCATE = 779,
    TRUSTED = 780,
    TYPE_P = 781,
    TYPES_P = 782,
    UESCAPE = 783,
    UNBOUNDED = 784,
    UNCONDITIONAL = 785,
    UNCOMMITTED = 786,
    UNENCRYPTED = 787,
    UNION = 788,
    UNIQUE = 789,
    UNKNOWN = 790,
    UNLISTEN = 791,
    UNLOGGED = 792,
    UNTIL = 793,
    UPDATE = 794,
    USER = 795,
    USING = 796,
    VACUUM = 797,
    VALID = 798,
    VALIDATE = 799,
    VALIDATOR = 800,
    VALUE_P = 801,
    VALUES = 802,
    VARCHAR = 803,
    VARIADIC = 804,
    VARYING = 805,
    VERBOSE = 806,
    VERSION_P = 807,
    VIEW = 808,
    VIEWS = 809,
    VOLATILE = 810,
    WHEN = 811,
    WHERE = 812,
    WHITESPACE_P = 813,
    WINDOW = 814,
    WITH = 815,
    WITHIN = 816,
    WITHOUT = 817,
    WORK = 818,
    WRAPPER = 819,
    WRITE = 820,
    XML_P = 821,
    XMLATTRIBUTES = 822,
    XMLCONCAT = 823,
    XMLELEMENT = 824,
    XMLEXISTS = 825,
    XMLFOREST = 826,
    XMLNAMESPACES = 827,
    XMLPARSE = 828,
    XMLPI = 829,
    XMLROOT = 830,
    XMLSERIALIZE = 831,
    XMLTABLE = 832,
    YEAR_P = 833,
    YES_P = 834,
    ZONE = 835,
    FORMAT_LA = 836,
    NOT_LA = 837,
    NULLS_LA = 838,
    WITH_LA = 839,
    WITHOUT_LA = 840,
    MODE_TYPE_NAME = 841,
    MODE_PLPGSQL_EXPR = 842,
    MODE_PLPGSQL_ASSIGN1 = 843,
    MODE_PLPGSQL_ASSIGN2 = 844,
    MODE_PLPGSQL_ASSIGN3 = 845,
    UMINUS = 846
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 561 "preproc.y" /* yacc.c:355  */

	double		dval;
	char	   *str;
	int			ival;
	struct when action;
	struct index index;
	int			tagname;
	struct this_type type;
	enum ECPGttype type_enum;
	enum ECPGdtype dtype_enum;
	struct fetch_desc descriptor;
	struct su_symbol struct_union;
	struct prep prep;
	struct exec exec;
	struct describe describe;

#line 1276 "preproc.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1307 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   163283

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  611
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  869
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3882
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  7116

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   846

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   598,     2,     2,
     603,   604,   596,   594,   606,   595,   605,   597,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   608,   607,
     591,   593,   592,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   601,     2,   602,   599,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   609,     2,   610,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   600
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   814,   814,   817,   818,   827,   829,   831,   833,   835,
     837,   839,   841,   843,   845,   847,   849,   851,   853,   855,
     857,   859,   861,   863,   865,   867,   869,   871,   873,   875,
     877,   879,   881,   883,   885,   887,   889,   891,   893,   895,
     897,   914,   916,   918,   920,   922,   924,   926,   928,   930,
     932,   934,   936,   938,   940,   942,   944,   946,   948,   950,
     952,   954,   956,   958,   960,   962,   964,   966,   968,   970,
     972,   974,   976,   978,   980,   982,   984,   986,   990,   994,
     996,   998,  1000,  1002,  1004,  1006,  1008,  1010,  1012,  1014,
    1016,  1018,  1020,  1022,  1024,  1049,  1051,  1053,  1055,  1057,
    1059,  1061,  1063,  1065,  1067,  1069,  1071,  1073,  1075,  1105,
    1107,  1109,  1111,  1113,  1115,  1117,  1119,  1121,  1123,  1125,
    1127,  1132,  1134,  1136,  1138,  1140,  1142,  1144,  1146,  1148,
    1153,  1162,  1166,  1170,  1175,  1179,  1189,  1198,  1202,  1215,
    1220,  1225,  1236,  1241,  1249,  1254,  1259,  1267,  1274,  1281,
    1286,  1287,  1292,  1293,  1298,  1299,  1304,  1305,  1306,  1311,
    1316,  1321,  1322,  1323,  1328,  1329,  1334,  1335,  1340,  1341,
    1342,  1343,  1347,  1348,  1349,  1350,  1351,  1356,  1357,  1358,
    1359,  1360,  1361,  1366,  1371,  1372,  1376,  1378,  1383,  1384,
    1385,  1386,  1391,  1392,  1393,  1394,  1395,  1396,  1401,  1406,
    1411,  1412,  1417,  1418,  1419,  1420,  1425,  1426,  1431,  1432,
    1433,  1434,  1435,  1436,  1441,  1442,  1443,  1448,  1449,  1450,
    1455,  1456,  1457,  1458,  1463,  1464,  1465,  1466,  1470,  1471,
    1472,  1473,  1474,  1475,  1476,  1481,  1482,  1487,  1488,  1493,
    1494,  1503,  1504,  1505,  1506,  1511,  1512,  1513,  1514,  1519,
    1520,  1521,  1522,  1523,  1524,  1525,  1530,  1531,  1532,  1537,
    1538,  1543,  1548,  1549,  1550,  1551,  1556,  1557,  1562,  1563,
    1568,  1569,  1574,  1575,  1576,  1577,  1578,  1586,  1591,  1592,
    1597,  1598,  1603,  1608,  1609,  1610,  1611,  1612,  1617,  1618,
    1619,  1620,  1621,  1622,  1623,  1624,  1625,  1626,  1627,  1628,
    1629,  1630,  1631,  1632,  1633,  1634,  1635,  1636,  1637,  1642,
    1643,  1648,  1649,  1650,  1655,  1660,  1661,  1662,  1663,  1664,
    1665,  1666,  1667,  1668,  1669,  1670,  1671,  1672,  1673,  1674,
    1675,  1676,  1677,  1678,  1679,  1680,  1681,  1682,  1683,  1684,
    1685,  1686,  1687,  1688,  1689,  1690,  1691,  1692,  1693,  1694,
    1695,  1696,  1697,  1698,  1699,  1700,  1701,  1702,  1703,  1704,
    1705,  1706,  1707,  1708,  1709,  1710,  1711,  1712,  1713,  1714,
    1715,  1716,  1717,  1718,  1719,  1720,  1725,  1726,  1731,  1732,
    1737,  1738,  1743,  1744,  1745,  1746,  1751,  1756,  1757,  1762,
    1763,  1768,  1769,  1770,  1771,  1776,  1777,  1782,  1783,  1784,
    1785,  1790,  1791,  1796,  1797,  1802,  1803,  1804,  1805,  1810,
    1815,  1816,  1821,  1826,  1827,  1832,  1833,  1834,  1835,  1840,
    1856,  1861,  1867,  1872,  1873,  1878,  1879,  1884,  1885,  1886,
    1891,  1892,  1897,  1898,  1903,  1904,  1905,  1906,  1907,  1908,
    1909,  1910,  1911,  1912,  1913,  1914,  1915,  1916,  1917,  1922,
    1923,  1928,  1929,  1934,  1935,  1940,  1941,  1946,  1951,  1952,
    1953,  1954,  1955,  1956,  1961,  1962,  1967,  1972,  1973,  1974,
    1975,  1976,  1977,  1982,  1983,  1984,  1985,  1986,  1987,  1988,
    1989,  1994,  1995,  2000,  2001,  2006,  2007,  2012,  2013,  2018,
    2019,  2020,  2025,  2026,  2031,  2036,  2037,  2042,  2043,  2048,
    2049,  2054,  2055,  2060,  2061,  2066,  2067,  2072,  2073,  2074,
    2075,  2080,  2081,  2082,  2083,  2084,  2085,  2086,  2087,  2088,
    2093,  2094,  2095,  2100,  2101,  2106,  2107,  2108,  2109,  2114,
    2119,  2120,  2121,  2126,  2127,  2128,  2129,  2130,  2131,  2132,
    2133,  2134,  2135,  2140,  2141,  2146,  2147,  2148,  2149,  2150,
    2151,  2152,  2153,  2158,  2159,  2164,  2165,  2170,  2171,  2176,
    2177,  2182,  2183,  2188,  2189,  2194,  2195,  2200,  2201,  2206,
    2211,  2212,  2217,  2218,  2222,  2223,  2228,  2229,  2234,  2235,
    2240,  2241,  2246,  2247,  2248,  2249,  2250,  2255,  2260,  2265,
    2266,  2267,  2268,  2269,  2274,  2275,  2280,  2281,  2286,  2291,
    2292,  2297,  2298,  2299,  2304,  2305,  2310,  2311,  2312,  2317,
    2318,  2319,  2320,  2325,  2326,  2331,  2332,  2337,  2342,  2343,
    2348,  2349,  2354,  2355,  2356,  2361,  2362,  2367,  2372,  2373,
    2374,  2379,  2380,  2385,  2390,  2391,  2396,  2401,  2402,  2407,
    2408,  2413,  2414,  2419,  2420,  2425,  2426,  2431,  2432,  2433,
    2434,  2435,  2436,  2437,  2438,  2439,  2440,  2441,  2442,  2443,
    2444,  2445,  2446,  2451,  2452,  2457,  2458,  2459,  2460,  2465,
    2466,  2471,  2472,  2477,  2478,  2483,  2484,  2489,  2490,  2495,
    2496,  2501,  2502,  2507,  2508,  2513,  2518,  2519,  2524,  2525,
    2530,  2531,  2536,  2537,  2542,  2543,  2544,  2548,  2553,  2558,
    2559,  2564,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,  2578,  2579,  2580,  2581,  2586,  2591,  2592,  2593,  2594,
    2599,  2600,  2605,  2606,  2611,  2612,  2617,  2618,  2623,  2624,
    2629,  2634,  2635,  2640,  2641,  2642,  2643,  2648,  2653,  2658,
    2663,  2664,  2669,  2670,  2675,  2676,  2681,  2682,  2687,  2688,
    2689,  2694,  2695,  2696,  2697,  2702,  2707,  2708,  2713,  2714,
    2719,  2720,  2725,  2726,  2731,  2732,  2737,  2742,  2747,  2752,
    2753,  2758,  2759,  2764,  2765,  2770,  2771,  2776,  2777,  2782,
    2783,  2788,  2789,  2790,  2791,  2792,  2797,  2802,  2803,  2808,
    2809,  2814,  2815,  2816,  2821,  2822,  2827,  2828,  2829,  2830,
    2831,  2836,  2837,  2842,  2843,  2848,  2853,  2854,  2859,  2860,
    2865,  2870,  2871,  2876,  2877,  2882,  2883,  2888,  2889,  2894,
    2895,  2900,  2901,  2902,  2907,  2908,  2909,  2910,  2915,  2916,
    2920,  2922,  2927,  2928,  2929,  2930,  2931,  2932,  2937,  2938,
    2943,  2944,  2949,  2954,  2955,  2960,  2965,  2966,  2967,  2968,
    2973,  2981,  2982,  2983,  2984,  2985,  2986,  2987,  2988,  2989,
    2990,  2991,  2992,  2993,  2994,  2995,  2996,  3001,  3006,  3007,
    3012,  3013,  3018,  3019,  3020,  3021,  3022,  3023,  3028,  3033,
    3034,  3039,  3044,  3045,  3050,  3051,  3056,  3057,  3058,  3059,
    3060,  3068,  3069,  3074,  3079,  3080,  3085,  3086,  3087,  3088,
    3089,  3094,  3095,  3100,  3101,  3106,  3107,  3108,  3113,  3118,
    3119,  3124,  3125,  3130,  3131,  3136,  3137,  3142,  3143,  3148,
    3153,  3158,  3159,  3160,  3161,  3162,  3163,  3164,  3165,  3166,
    3167,  3168,  3169,  3174,  3175,  3176,  3177,  3178,  3179,  3180,
    3181,  3182,  3183,  3184,  3185,  3186,  3191,  3192,  3193,  3194,
    3195,  3200,  3201,  3202,  3203,  3204,  3205,  3206,  3207,  3212,
    3213,  3214,  3219,  3220,  3225,  3226,  3231,  3232,  3237,  3238,
    3243,  3248,  3249,  3250,  3255,  3256,  3257,  3258,  3259,  3260,
    3261,  3262,  3263,  3264,  3265,  3266,  3267,  3268,  3269,  3270,
    3271,  3272,  3277,  3278,  3283,  3284,  3285,  3286,  3287,  3288,
    3289,  3290,  3291,  3292,  3297,  3298,  3303,  3304,  3309,  3310,
    3311,  3312,  3322,  3332,  3342,  3352,  3362,  3372,  3382,  3396,
    3405,  3414,  3423,  3432,  3441,  3450,  3470,  3490,  3510,  3519,
    3539,  3548,  3568,  3581,  3582,  3587,  3588,  3593,  3598,  3599,
    3604,  3605,  3606,  3607,  3608,  3613,  3614,  3619,  3620,  3621,
    3622,  3623,  3628,  3629,  3634,  3635,  3640,  3641,  3642,  3643,
    3644,  3645,  3646,  3647,  3648,  3649,  3650,  3651,  3652,  3653,
    3654,  3655,  3656,  3657,  3658,  3659,  3660,  3665,  3666,  3671,
    3672,  3677,  3678,  3683,  3684,  3689,  3690,  3695,  3696,  3701,
    3706,  3707,  3708,  3713,  3714,  3719,  3724,  3725,  3730,  3731,
    3732,  3737,  3738,  3739,  3744,  3745,  3746,  3747,  3748,  3749,
    3754,  3755,  3760,  3761,  3766,  3767,  3772,  3773,  3778,  3779,
    3784,  3785,  3786,  3791,  3792,  3797,  3798,  3803,  3804,  3809,
    3810,  3811,  3816,  3817,  3818,  3823,  3824,  3825,  3826,  3831,
    3832,  3837,  3838,  3843,  3844,  3849,  3850,  3855,  3856,  3857,
    3858,  3863,  3864,  3869,  3870,  3875,  3876,  3877,  3878,  3879,
    3884,  3885,  3886,  3887,  3888,  3893,  3898,  3903,  3904,  3905,
    3910,  3911,  3912,  3917,  3922,  3923,  3924,  3925,  3930,  3931,
    3936,  3941,  3942,  3947,  3948,  3953,  3954,  3959,  3960,  3961,
    3962,  3963,  3964,  3965,  3966,  3967,  3968,  3969,  3970,  3971,
    3972,  3973,  3974,  3975,  3980,  3981,  3982,  3983,  3984,  3989,
    3990,  3995,  4000,  4001,  4002,  4007,  4008,  4013,  4014,  4019,
    4020,  4025,  4026,  4031,  4036,  4037,  4042,  4043,  4044,  4049,
    4050,  4055,  4056,  4061,  4062,  4063,  4064,  4065,  4066,  4071,
    4072,  4077,  4078,  4083,  4084,  4085,  4086,  4091,  4092,  4097,
    4098,  4103,  4108,  4113,  4114,  4119,  4120,  4125,  4126,  4127,
    4132,  4133,  4134,  4139,  4144,  4145,  4150,  4155,  4156,  4157,
    4158,  4163,  4168,  4169,  4170,  4175,  4176,  4181,  4182,  4187,
    4188,  4193,  4194,  4199,  4200,  4201,  4202,  4203,  4204,  4205,
    4206,  4207,  4208,  4209,  4210,  4211,  4212,  4213,  4214,  4215,
    4216,  4217,  4218,  4219,  4220,  4221,  4222,  4223,  4224,  4225,
    4226,  4227,  4228,  4229,  4230,  4231,  4232,  4233,  4234,  4235,
    4236,  4237,  4238,  4239,  4240,  4241,  4242,  4243,  4244,  4245,
    4246,  4247,  4248,  4249,  4250,  4251,  4252,  4253,  4258,  4259,
    4264,  4265,  4270,  4271,  4272,  4273,  4274,  4275,  4280,  4281,
    4286,  4287,  4288,  4289,  4290,  4291,  4292,  4293,  4294,  4295,
    4296,  4297,  4298,  4299,  4300,  4301,  4302,  4303,  4304,  4305,
    4306,  4307,  4308,  4309,  4310,  4311,  4312,  4317,  4322,  4323,
    4328,  4329,  4330,  4335,  4336,  4337,  4338,  4339,  4344,  4349,
    4350,  4351,  4352,  4353,  4354,  4355,  4356,  4357,  4358,  4359,
    4360,  4361,  4362,  4363,  4364,  4365,  4366,  4367,  4368,  4369,
    4370,  4371,  4372,  4377,  4378,  4379,  4384,  4385,  4386,  4387,
    4388,  4389,  4390,  4395,  4396,  4401,  4402,  4403,  4404,  4409,
    4414,  4415,  4416,  4417,  4418,  4419,  4420,  4421,  4422,  4427,
    4428,  4433,  4438,  4439,  4440,  4445,  4446,  4451,  4452,  4453,
    4454,  4455,  4460,  4461,  4466,  4467,  4468,  4469,  4474,  4475,
    4476,  4481,  4486,  4487,  4492,  4497,  4498,  4503,  4504,  4505,
    4506,  4507,  4508,  4509,  4510,  4511,  4512,  4513,  4514,  4519,
    4520,  4525,  4526,  4527,  4532,  4533,  4534,  4535,  4536,  4541,
    4542,  4543,  4548,  4549,  4554,  4555,  4556,  4561,  4562,  4563,
    4564,  4569,  4570,  4571,  4572,  4577,  4582,  4587,  4588,  4593,
    4594,  4599,  4600,  4601,  4606,  4607,  4608,  4609,  4610,  4611,
    4612,  4617,  4618,  4623,  4624,  4625,  4626,  4631,  4636,  4637,
    4638,  4639,  4644,  4645,  4650,  4655,  4660,  4661,  4666,  4671,
    4672,  4673,  4674,  4675,  4676,  4677,  4682,  4683,  4688,  4693,
    4694,  4695,  4696,  4697,  4698,  4703,  4704,  4709,  4714,  4715,
    4716,  4717,  4718,  4723,  4724,  4729,  4730,  4735,  4736,  4741,
    4742,  4747,  4748,  4753,  4758,  4759,  4760,  4765,  4766,  4767,
    4772,  4773,  4778,  4779,  4784,  4785,  4790,  4791,  4796,  4797,
    4802,  4807,  4808,  4813,  4814,  4819,  4820,  4821,  4822,  4827,
    4828,  4829,  4830,  4831,  4832,  4833,  4834,  4835,  4836,  4844,
    4850,  4860,  4861,  4866,  4867,  4868,  4869,  4870,  4875,  4880,
    4884,  4892,  4893,  4898,  4903,  4904,  4909,  4910,  4911,  4912,
    4913,  4918,  4919,  4924,  4925,  4930,  4935,  4936,  4937,  4942,
    4943,  4944,  4949,  4950,  4955,  4960,  4961,  4966,  4971,  4972,
    4977,  4978,  4979,  4980,  4981,  4982,  4983,  4984,  4989,  4990,
    4995,  4996,  4997,  5002,  5007,  5008,  5013,  5014,  5019,  5024,
    5025,  5030,  5035,  5036,  5041,  5042,  5043,  5044,  5045,  5050,
    5051,  5056,  5057,  5062,  5063,  5068,  5073,  5078,  5079,  5080,
    5081,  5082,  5087,  5092,  5146,  5147,  5157,  5159,  5160,  5161,
    5162,  5163,  5169,  5175,  5176,  5181,  5182,  5187,  5188,  5193,
    5194,  5195,  5196,  5197,  5198,  5199,  5200,  5205,  5206,  5211,
    5212,  5213,  5214,  5215,  5216,  5217,  5222,  5223,  5224,  5229,
    5230,  5235,  5240,  5241,  5242,  5247,  5248,  5249,  5254,  5255,
    5256,  5261,  5262,  5267,  5272,  5276,  5281,  5282,  5283,  5284,
    5285,  5286,  5287,  5288,  5289,  5294,  5295,  5300,  5301,  5302,
    5307,  5308,  5313,  5314,  5319,  5320,  5325,  5330,  5331,  5336,
    5337,  5342,  5343,  5344,  5345,  5350,  5351,  5356,  5357,  5361,
    5362,  5363,  5364,  5369,  5370,  5375,  5376,  5381,  5386,  5387,
    5388,  5393,  5394,  5399,  5400,  5405,  5406,  5411,  5412,  5417,
    5418,  5423,  5424,  5425,  5426,  5427,  5432,  5437,  5442,  5447,
    5452,  5453,  5458,  5459,  5464,  5465,  5470,  5471,  5476,  5481,
    5482,  5483,  5484,  5489,  5490,  5495,  5496,  5501,  5502,  5507,
    5508,  5513,  5514,  5515,  5516,  5517,  5518,  5519,  5520,  5521,
    5522,  5523,  5524,  5529,  5530,  5531,  5532,  5533,  5534,  5539,
    5540,  5541,  5542,  5547,  5548,  5553,  5554,  5559,  5560,  5561,
    5562,  5563,  5568,  5569,  5570,  5571,  5576,  5577,  5582,  5583,
    5588,  5589,  5594,  5595,  5596,  5601,  5602,  5607,  5608,  5609,
    5614,  5619,  5620,  5625,  5626,  5631,  5636,  5637,  5642,  5643,
    5648,  5649,  5654,  5655,  5660,  5661,  5667,  5672,  5673,  5678,
    5679,  5684,  5689,  5690,  5695,  5696,  5701,  5702,  5703,  5708,
    5709,  5714,  5715,  5716,  5717,  5718,  5723,  5724,  5729,  5730,
    5735,  5740,  5741,  5746,  5747,  5752,  5753,  5754,  5755,  5756,
    5757,  5762,  5763,  5768,  5769,  5774,  5778,  5782,  5783,  5784,
    5785,  5790,  5800,  5811,  5820,  5821,  5822,  5823,  5824,  5825,
    5826,  5827,  5832,  5833,  5834,  5835,  5836,  5841,  5842,  5847,
    5848,  5853,  5854,  5855,  5856,  5857,  5858,  5859,  5860,  5861,
    5862,  5863,  5868,  5869,  5874,  5875,  5880,  5881,  5886,  5891,
    5896,  5897,  5902,  5903,  5908,  5913,  5918,  5919,  5920,  5921,
    5922,  5923,  5928,  5929,  5934,  5935,  5936,  5937,  5942,  5947,
    5948,  5949,  5954,  5955,  5956,  5957,  5958,  5959,  5960,  5961,
    5962,  5963,  5964,  5965,  5966,  5967,  5972,  5973,  5978,  5983,
    5984,  5985,  5986,  5987,  5988,  5989,  5990,  5991,  5992,  5993,
    5994,  5995,  5996,  5997,  5998,  5999,  6000,  6001,  6002,  6003,
    6004,  6005,  6006,  6007,  6008,  6009,  6010,  6011,  6012,  6013,
    6014,  6015,  6016,  6017,  6018,  6019,  6020,  6021,  6022,  6023,
    6024,  6025,  6026,  6027,  6028,  6029,  6030,  6031,  6032,  6033,
    6034,  6035,  6036,  6037,  6038,  6039,  6040,  6041,  6045,  6046,
    6047,  6048,  6049,  6050,  6051,  6052,  6053,  6058,  6059,  6060,
    6061,  6062,  6063,  6064,  6065,  6066,  6067,  6068,  6069,  6070,
    6071,  6072,  6073,  6074,  6075,  6076,  6077,  6078,  6079,  6084,
    6085,  6086,  6087,  6088,  6089,  6090,  6091,  6092,  6093,  6094,
    6095,  6096,  6097,  6102,  6103,  6104,  6105,  6106,  6107,  6108,
    6113,  6114,  6115,  6120,  6121,  6122,  6127,  6128,  6129,  6130,
    6131,  6132,  6133,  6134,  6135,  6136,  6137,  6138,  6139,  6140,
    6141,  6142,  6143,  6144,  6145,  6146,  6147,  6148,  6149,  6150,
    6151,  6152,  6153,  6154,  6155,  6156,  6157,  6158,  6159,  6160,
    6161,  6162,  6163,  6164,  6165,  6166,  6167,  6168,  6169,  6170,
    6171,  6172,  6173,  6174,  6175,  6176,  6177,  6178,  6179,  6180,
    6181,  6182,  6183,  6184,  6185,  6186,  6191,  6192,  6197,  6198,
    6199,  6200,  6205,  6210,  6211,  6216,  6217,  6222,  6223,  6228,
    6229,  6230,  6235,  6236,  6237,  6242,  6243,  6244,  6245,  6250,
    6251,  6256,  6257,  6262,  6263,  6268,  6269,  6274,  6275,  6280,
    6285,  6286,  6287,  6292,  6297,  6298,  6303,  6304,  6309,  6310,
    6311,  6312,  6317,  6318,  6323,  6324,  6325,  6326,  6327,  6332,
    6333,  6334,  6335,  6336,  6341,  6342,  6343,  6348,  6349,  6354,
    6359,  6360,  6361,  6366,  6367,  6372,  6373,  6374,  6375,  6376,
    6377,  6378,  6379,  6380,  6381,  6382,  6383,  6388,  6389,  6394,
    6395,  6400,  6401,  6402,  6403,  6404,  6405,  6410,  6411,  6416,
    6417,  6422,  6423,  6424,  6429,  6430,  6435,  6436,  6441,  6442,
    6443,  6448,  6449,  6454,  6459,  6460,  6461,  6462,  6463,  6464,
    6465,  6466,  6471,  6472,  6473,  6474,  6479,  6480,  6485,  6490,
    6491,  6492,  6493,  6494,  6499,  6500,  6501,  6506,  6507,  6512,
    6517,  6518,  6523,  6528,  6529,  6534,  6535,  6540,  6541,  6546,
    6547,  6548,  6549,  6554,  6555,  6560,  6561,  6565,  6567,  6572,
    6573,  6578,  6579,  6584,  6585,  6590,  6595,  6596,  6597,  6598,
    6599,  6600,  6601,  6602,  6603,  6608,  6609,  6614,  6615,  6616,
    6617,  6618,  6619,  6620,  6621,  6626,  6627,  6628,  6629,  6634,
    6635,  6640,  6645,  6646,  6651,  6652,  6657,  6658,  6659,  6660,
    6661,  6666,  6667,  6672,  6673,  6674,  6675,  6676,  6681,  6682,
    6683,  6684,  6685,  6690,  6691,  6696,  6697,  6702,  6703,  6704,
    6709,  6710,  6711,  6716,  6717,  6722,  6723,  6728,  6729,  6734,
    6735,  6740,  6741,  6746,  6747,  6748,  6749,  6754,  6755,  6760,
    6761,  6766,  6767,  6772,  6777,  6782,  6787,  6788,  6793,  6794,
    6795,  6796,  6797,  6798,  6799,  6800,  6801,  6802,  6803,  6804,
    6805,  6806,  6807,  6812,  6817,  6818,  6819,  6820,  6825,  6830,
    6831,  6832,  6833,  6838,  6839,  6844,  6845,  6846,  6847,  6852,
    6853,  6858,  6859,  6860,  6861,  6862,  6863,  6864,  6865,  6866,
    6867,  6868,  6869,  6870,  6871,  6872,  6873,  6874,  6875,  6876,
    6877,  6878,  6879,  6880,  6881,  6882,  6883,  6884,  6885,  6886,
    6887,  6888,  6889,  6890,  6891,  6892,  6893,  6894,  6895,  6896,
    6897,  6898,  6899,  6900,  6901,  6902,  6903,  6904,  6905,  6906,
    6907,  6908,  6909,  6910,  6911,  6912,  6913,  6914,  6915,  6916,
    6917,  6918,  6919,  6920,  6921,  6922,  6923,  6924,  6925,  6926,
    6927,  6928,  6929,  6930,  6931,  6932,  6933,  6934,  6935,  6936,
    6937,  6938,  6939,  6940,  6941,  6942,  6943,  6944,  6945,  6946,
    6947,  6948,  6949,  6950,  6951,  6952,  6953,  6954,  6955,  6956,
    6957,  6958,  6959,  6960,  6961,  6962,  6963,  6964,  6965,  6966,
    6967,  6968,  6969,  6970,  6971,  6972,  6973,  6974,  6975,  6976,
    6977,  6978,  6979,  6980,  6981,  6982,  6983,  6984,  6985,  6986,
    6987,  6988,  6989,  6990,  6991,  6992,  6993,  6994,  6995,  6996,
    6997,  6998,  6999,  7000,  7001,  7002,  7003,  7004,  7005,  7006,
    7007,  7008,  7009,  7010,  7011,  7012,  7013,  7014,  7015,  7016,
    7017,  7018,  7019,  7020,  7021,  7022,  7023,  7024,  7025,  7026,
    7027,  7028,  7029,  7030,  7031,  7032,  7033,  7034,  7035,  7036,
    7037,  7038,  7039,  7040,  7041,  7042,  7043,  7044,  7045,  7046,
    7047,  7048,  7049,  7050,  7051,  7052,  7053,  7054,  7055,  7056,
    7057,  7058,  7059,  7060,  7061,  7062,  7063,  7064,  7065,  7066,
    7067,  7068,  7069,  7070,  7071,  7072,  7073,  7074,  7075,  7076,
    7077,  7078,  7079,  7080,  7081,  7082,  7083,  7084,  7085,  7086,
    7087,  7088,  7089,  7090,  7091,  7092,  7093,  7094,  7095,  7096,
    7097,  7098,  7099,  7100,  7101,  7102,  7103,  7104,  7105,  7106,
    7107,  7108,  7109,  7110,  7111,  7112,  7113,  7114,  7115,  7116,
    7117,  7118,  7119,  7120,  7121,  7122,  7123,  7124,  7125,  7126,
    7127,  7128,  7129,  7130,  7131,  7132,  7133,  7134,  7135,  7136,
    7137,  7138,  7139,  7140,  7141,  7142,  7143,  7144,  7145,  7146,
    7147,  7148,  7149,  7150,  7151,  7152,  7153,  7154,  7155,  7156,
    7157,  7158,  7159,  7160,  7161,  7162,  7163,  7164,  7165,  7166,
    7167,  7168,  7169,  7170,  7171,  7172,  7173,  7174,  7175,  7180,
    7181,  7182,  7183,  7184,  7185,  7186,  7187,  7188,  7189,  7190,
    7191,  7192,  7193,  7194,  7195,  7196,  7197,  7198,  7199,  7200,
    7201,  7202,  7203,  7204,  7205,  7206,  7207,  7208,  7209,  7210,
    7211,  7212,  7213,  7214,  7215,  7216,  7217,  7218,  7219,  7220,
    7221,  7222,  7223,  7224,  7225,  7226,  7227,  7228,  7229,  7230,
    7231,  7232,  7233,  7234,  7235,  7236,  7237,  7238,  7239,  7244,
    7245,  7246,  7247,  7248,  7249,  7250,  7251,  7252,  7253,  7254,
    7255,  7256,  7257,  7258,  7259,  7260,  7261,  7262,  7263,  7264,
    7265,  7266,  7271,  7272,  7273,  7274,  7275,  7276,  7277,  7278,
    7279,  7280,  7281,  7282,  7283,  7284,  7285,  7286,  7287,  7288,
    7289,  7290,  7291,  7292,  7293,  7294,  7295,  7296,  7297,  7298,
    7299,  7300,  7301,  7302,  7303,  7304,  7305,  7306,  7307,  7308,
    7309,  7310,  7311,  7312,  7313,  7314,  7315,  7316,  7317,  7318,
    7319,  7320,  7321,  7322,  7323,  7324,  7325,  7326,  7327,  7328,
    7329,  7330,  7331,  7332,  7333,  7334,  7335,  7336,  7337,  7338,
    7339,  7340,  7341,  7342,  7343,  7344,  7345,  7346,  7351,  7352,
    7353,  7354,  7355,  7356,  7357,  7358,  7359,  7360,  7361,  7362,
    7363,  7364,  7365,  7366,  7367,  7368,  7369,  7370,  7371,  7372,
    7373,  7374,  7375,  7376,  7377,  7378,  7379,  7380,  7381,  7382,
    7383,  7384,  7385,  7386,  7387,  7388,  7389,  7390,  7391,  7392,
    7393,  7394,  7395,  7396,  7397,  7398,  7399,  7400,  7401,  7402,
    7403,  7404,  7405,  7406,  7407,  7408,  7409,  7410,  7411,  7412,
    7413,  7414,  7415,  7416,  7417,  7418,  7419,  7420,  7421,  7422,
    7423,  7424,  7425,  7426,  7427,  7428,  7429,  7430,  7431,  7432,
    7433,  7434,  7435,  7436,  7437,  7438,  7439,  7440,  7441,  7442,
    7443,  7444,  7445,  7446,  7447,  7448,  7449,  7450,  7451,  7452,
    7453,  7454,  7455,  7456,  7457,  7458,  7459,  7460,  7461,  7462,
    7463,  7464,  7465,  7466,  7467,  7468,  7469,  7470,  7471,  7472,
    7473,  7474,  7475,  7476,  7477,  7478,  7479,  7480,  7481,  7482,
    7483,  7484,  7485,  7486,  7487,  7488,  7489,  7490,  7491,  7492,
    7493,  7494,  7495,  7496,  7497,  7498,  7499,  7500,  7501,  7502,
    7503,  7504,  7505,  7506,  7507,  7508,  7509,  7510,  7511,  7512,
    7513,  7514,  7515,  7516,  7517,  7518,  7519,  7520,  7521,  7522,
    7523,  7524,  7525,  7526,  7527,  7528,  7529,  7530,  7531,  7532,
    7533,  7534,  7535,  7536,  7537,  7538,  7539,  7540,  7541,  7542,
    7543,  7544,  7545,  7546,  7547,  7548,  7549,  7550,  7551,  7552,
    7553,  7554,  7555,  7556,  7557,  7558,  7559,  7560,  7561,  7562,
    7563,  7564,  7565,  7566,  7567,  7568,  7569,  7570,  7571,  7572,
    7573,  7574,  7575,  7576,  7577,  7578,  7579,  7580,  7581,  7582,
    7583,  7584,  7585,  7586,  7587,  7588,  7589,  7590,  7591,  7592,
    7593,  7594,  7595,  7596,  7597,  7598,  7599,  7600,  7601,  7602,
    7603,  7604,  7605,  7606,  7607,  7608,  7609,  7610,  7611,  7612,
    7613,  7614,  7615,  7616,  7617,  7618,  7619,  7620,  7621,  7622,
    7623,  7624,  7625,  7626,  7627,  7628,  7629,  7630,  7631,  7632,
    7633,  7634,  7635,  7636,  7637,  7638,  7639,  7640,  7641,  7642,
    7643,  7644,  7645,  7646,  7647,  7648,  7649,  7650,  7651,  7652,
    7653,  7654,  7655,  7656,  7657,  7658,  7659,  7660,  7661,  7662,
    7663,  7664,  7665,  7666,  7667,  7668,  7669,  7670,  7671,  7672,
    7673,  7674,  7675,  7676,  7677,  7678,  7679,  7680,  7681,  7682,
    7683,  7684,  7685,  7686,  7687,  7688,  7689,  7690,  7691,  7692,
    7693,  7694,  7695,  7696,  7697,  7698,  7699,  7700,  7701,  7702,
    7703,  7704,  7705,  7706,  7707,  7708,  7709,  7710,  7711,  7712,
    7713,  7714,  7715,  7716,  7717,  7718,  7719,  7720,  7721,  7722,
    7723,  7724,  7725,  7726,  7727,  7728,  7729,  7730,  7731,  7732,
    7733,  7734,  7735,  7736,  7737,  7738,  7739,  7740,  7741,  7742,
    7743,  7744,  7745,  7746,  7747,  7748,  7749,  7750,  7751,  7752,
    7753,  7754,  7755,  7756,  7757,  7758,  7759,  7760,  7761,  7762,
    7763,  7764,  7765,  7766,  7767,  7768,  7769,  7770,  7771,  7772,
    7773,  7774,  7775,  7776,  7777,  7778,  7779,  7780,  7781,  7782,
    7783,  7784,  7785,  7786,  7787,  7788,  7789,  7790,  7791,  7792,
    7793,  7794,  7795,  7796,  7797,  7798,  7799,  7800,  7801,  7802,
    7809,  7810,  7819,  7825,  7831,  7836,  7837,  7841,  7845,  7850,
    7867,  7866,  7875,  7874,  7884,  7900,  7904,  7909,  7913,  7919,
    7931,  7947,  7948,  7963,  7964,  7967,  7979,  7988,  7989,  7992,
    7993,  7994,  7997,  8001,  8004,  8009,  8014,  8019,  8024,  8028,
    8032,  8036,  8042,  8049,  8056,  8072,  8106,  8116,  8119,  8123,
    8135,  8136,  8140,  8144,  8150,  8168,  8174,  8211,  8276,  8289,
    8291,  8292,  8295,  8298,  8302,  8305,  8306,  8307,  8308,  8309,
    8316,  8315,  8326,  8331,  8336,  8337,  8340,  8341,  8342,  8343,
    8346,  8347,  8351,  8350,  8368,  8367,  8384,  8383,  8399,  8402,
    8403,  8406,  8407,  8408,  8411,  8412,  8413,  8414,  8417,  8418,
    8421,  8429,  8446,  8454,  8462,  8470,  8498,  8506,  8515,  8523,
    8531,  8539,  8567,  8575,  8694,  8727,  8728,  8729,  8732,  8736,
    8735,  8790,  8792,  8791,  8806,  8814,  8821,  8827,  8833,  8834,
    8837,  8838,  8839,  8840,  8841,  8842,  8843,  8844,  8845,  8848,
    8849,  8850,  8851,  8852,  8853,  8854,  8855,  8856,  8857,  8860,
    8861,  8864,  8865,  8874,  8986,  8987,  8993,  8994,  8995,  9004,
    9013,  9019,  9020,  9024,  9029,  9034,  9038,  9042,  9045,  9046,
    9056,  9060,  9069,  9077,  9078,  9081,  9085,  9088,  9093,  9100,
    9105,  9112,  9119,  9119,  9122,  9129,  9133,  9139,  9140,  9141,
    9142,  9143,  9144,  9145,  9146,  9147,  9153,  9158,  9169,  9174,
    9179,  9186,  9187,  9199,  9210,  9221,  9227,  9228,  9231,  9237,
    9243,  9244,  9247,  9253,  9260,  9263,  9273,  9280,  9281,  9284,
    9290,  9297,  9298,  9301,  9307,  9314,  9315,  9324,  9333,  9347,
    9348,  9349,  9350,  9351,  9352,  9353,  9354,  9355,  9356,  9357,
    9358,  9359,  9360,  9361,  9368,  9372,  9378,  9379,  9386,  9390,
    9394,  9404,  9403,  9420,  9421,  9428,  9427,  9499,  9505,  9511,
    9519,  9525,  9531,  9537,  9543,  9549,  9555,  9561,  9567,  9573,
    9584,  9585,  9588,  9589,  9590,  9591,  9592,  9593,  9594,  9595,
    9596,  9597,  9598,  9599,  9600,  9601,  9602,  9603,  9604,  9605,
    9606,  9607,  9608,  9609,  9612,  9613,  9614,  9615,  9616,  9617,
    9621,  9622,  9623,  9624,  9625,  9626,  9627,  9630,  9633,  9634,
    9635,  9636,  9637,  9638,  9639,  9640,  9653,  9654,  9655,  9656,
    9657,  9658,  9659,  9664,  9665,  9666,  9667,  9668,  9669,  9675,
    9676,  9677,  9678,  9679,  9680,  9681,  9682,  9683,  9684,  9685,
    9688,  9689,  9690,  9691,  9692,  9693,  9694,  9695,  9698,  9699,
    9700,  9701,  9702,  9703,  9704,  9721,  9722,  9723,  9726,  9727,
    9728,  9729,  9730,  9731,  9734,  9734,  9737,  9745,  9746,  9749,
    9753,  9760,  9770,  9781,  9788,  9792,  9797,  9804,  9840,  9843,
    9846,  9849,  9852,  9855,  9856,  9862,  9866,  9876,  9877,  9881,
    9884,  9885,  9888,  9889,  9892,  9893,  9896,  9897,  9898,  9899,
    9900,  9907,  9908,  9909,  9910,  9911,  9912,  9913,  9914,  9915,
    9916,  9917,  9918,  9919,  9920,  9921,  9922,  9923,  9924,  9925,
    9926,  9927,  9928,  9929,  9930,  9931,  9932,  9933,  9934,  9935,
    9936,  9937,  9938,  9939,  9940,  9941,  9942,  9943,  9944,  9945,
    9946,  9947,  9948,  9949,  9950,  9951,  9952,  9953,  9954,  9955,
    9956,  9957,  9958,  9959,  9960,  9961,  9962,  9965,  9970,  9975,
    9979,  9985,  9986,  9987,  9988,  9989,  9990,  9991,  9992,  9993,
    9994, 10003, 10004, 10005, 10006, 10009, 10014, 10017, 10018, 10021,
   10022, 10032, 10033
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CARDINALITY", "SQL_CONNECT", "SQL_COUNT",
  "SQL_DATETIME_INTERVAL_CODE", "SQL_DATETIME_INTERVAL_PRECISION",
  "SQL_DESCRIBE", "SQL_DESCRIPTOR", "SQL_DISCONNECT", "SQL_FOUND",
  "SQL_FREE", "SQL_GET", "SQL_GO", "SQL_GOTO", "SQL_IDENTIFIED",
  "SQL_INDICATOR", "SQL_KEY_MEMBER", "SQL_LENGTH", "SQL_LONG",
  "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN", "SQL_OUTPUT",
  "SQL_REFERENCE", "SQL_RETURNED_LENGTH", "SQL_RETURNED_OCTET_LENGTH",
  "SQL_SCALE", "SQL_SECTION", "SQL_SHORT", "SQL_SIGNED", "SQL_SQLERROR",
  "SQL_SQLPRINT", "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT",
  "SQL_UNSIGNED", "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND",
  "S_ANYTHING", "S_AUTO", "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT",
  "S_EQUAL", "S_EXTERN", "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER",
  "S_MOD", "S_MUL", "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT",
  "S_STATIC", "S_SUB", "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE",
  "CPP_LINE", "IP", "IDENT", "UIDENT", "FCONST", "SCONST", "USCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSENT", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASENSITIVE",
  "ASSERTION", "ASSIGNMENT", "ASYMMETRIC", "ATOMIC", "AT", "ATTACH",
  "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN",
  "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH", "BREADTH", "BY", "CACHE",
  "CALL", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST", "CATALOG_P",
  "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK", "CHECKPOINT",
  "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE", "COLLATION",
  "COLUMN", "COLUMNS", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "COMPRESSION", "CONCURRENTLY", "CONDITIONAL", "CONFIGURATION",
  "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P",
  "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV",
  "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DEPTH",
  "DESC", "DETACH", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO",
  "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "EMPTY_P",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ERROR_P",
  "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE",
  "EXECUTE", "EXISTS", "EXPLAIN", "EXPRESSION", "EXTENSION", "EXTERNAL",
  "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FINALIZE", "FIRST_P",
  "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORMAT", "FORWARD",
  "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "GROUPS",
  "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P",
  "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P",
  "INCLUDE", "INCLUDING", "INCREMENT", "INDENT", "INDEX", "INDEXES",
  "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT",
  "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER",
  "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION",
  "JOIN", "JSON", "JSON_ARRAY", "JSON_ARRAYAGG", "JSON_EXISTS",
  "JSON_OBJECT", "JSON_OBJECTAGG", "JSON_QUERY", "JSON_SCALAR",
  "JSON_SERIALIZE", "JSON_TABLE", "JSON_VALUE", "KEEP", "KEY", "KEYS",
  "LABEL", "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LEADING",
  "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD",
  "LOCAL", "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED",
  "LOGGED", "MAPPING", "MATCH", "MATCHED", "MATERIALIZED", "MAXVALUE",
  "MERGE", "MERGE_ACTION", "METHOD", "MINUTE_P", "MINVALUE", "MODE",
  "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR",
  "NESTED", "NEW", "NEXT", "NFC", "NFD", "NFKC", "NFKD", "NO", "NONE",
  "NORMALIZE", "NORMALIZED", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "OLD", "OMIT", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OTHERS", "OUT_P",
  "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED", "OWNER",
  "PARALLEL", "PARAMETER", "PARSER", "PARTIAL", "PARTITION", "PASSING",
  "PASSWORD", "PATH", "PERIOD", "PLACING", "PLAN", "PLANS", "POLICY",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE",
  "PROCEDURES", "PROGRAM", "PUBLICATION", "QUOTE", "QUOTES", "RANGE",
  "READ", "REAL", "REASSIGN", "RECURSIVE", "REF_P", "REFERENCES",
  "REFERENCING", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURN", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK",
  "ROLLUP", "ROUTINE", "ROUTINES", "ROW", "ROWS", "RULE", "SAVEPOINT",
  "SCALAR", "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW",
  "SIMILAR", "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SOURCE",
  "SQL_P", "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS",
  "STDIN", "STDOUT", "STORAGE", "STORED", "STRICT_P", "STRING_P",
  "STRIP_P", "SUBSCRIPTION", "SUBSTRING", "SUPPORT", "SYMMETRIC", "SYSID",
  "SYSTEM_P", "SYSTEM_USER", "TABLE", "TABLES", "TABLESAMPLE",
  "TABLESPACE", "TARGET", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P",
  "THEN", "TIES", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION",
  "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED",
  "TYPE_P", "TYPES_P", "UESCAPE", "UNBOUNDED", "UNCONDITIONAL",
  "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN",
  "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC",
  "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN",
  "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES", "XMLPARSE", "XMLPI",
  "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P", "YES_P", "ZONE",
  "FORMAT_LA", "NOT_LA", "NULLS_LA", "WITH_LA", "WITHOUT_LA",
  "MODE_TYPE_NAME", "MODE_PLPGSQL_EXPR", "MODE_PLPGSQL_ASSIGN1",
  "MODE_PLPGSQL_ASSIGN2", "MODE_PLPGSQL_ASSIGN3", "'<'", "'>'", "'='",
  "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('",
  "')'", "'.'", "','", "';'", "':'", "'{'", "'}'", "$accept", "prog",
  "toplevel_stmt", "stmt", "opt_single_name", "opt_qualified_name",
  "opt_concurrently", "opt_drop_behavior", "CallStmt", "CreateRoleStmt",
  "opt_with", "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "DropRoleStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "CreateSchemaStmt", "OptSchemaEltList",
  "schema_stmt", "VariableSetStmt", "set_rest", "generic_set",
  "set_rest_more", "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "alter_identity_column_option_list", "alter_identity_column_option",
  "set_statistics_value", "set_access_method_name", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "copy_delimiter",
  "opt_using", "copy_generic_opt_list", "copy_generic_opt_elem",
  "copy_generic_opt_arg", "copy_generic_opt_arg_list",
  "copy_generic_opt_arg_list_item", "CreateStmt", "OptTemp",
  "OptTableElementList", "OptTypedTableElementList", "TableElementList",
  "TypedTableElementList", "TableElement", "TypedTableElement",
  "columnDef", "columnOptions", "column_compression",
  "opt_column_compression", "column_storage", "opt_column_storage",
  "ColQualList", "ColConstraint", "ColConstraintElem",
  "opt_unique_null_treatment", "generated_when", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "DomainConstraint",
  "DomainConstraintElem", "opt_no_inherit", "opt_without_overlaps",
  "opt_column_list", "columnList", "optionalPeriodName",
  "opt_column_and_period_list", "columnElem", "opt_c_include", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem", "OptWhereClause",
  "key_actions", "key_update", "key_delete", "key_action", "OptInherit",
  "OptPartitionSpec", "PartitionSpec", "part_params", "part_elem",
  "table_access_method_clause", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "stats_params", "stats_param", "AlterStatsStmt", "create_as_target",
  "opt_with_data", "CreateMatViewStmt", "create_mv_target", "OptNoLog",
  "RefreshMatViewStmt", "CreateSeqStmt", "AlterSeqStmt", "OptSeqOptList",
  "OptParenthesizedSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "opt_procedural", "CreateTableSpaceStmt",
  "OptTableSpaceOwner", "DropTableSpaceStmt", "CreateExtensionStmt",
  "create_extension_opt_list", "create_extension_opt_item",
  "AlterExtensionStmt", "alter_extension_opt_list",
  "alter_extension_opt_item", "AlterExtensionContentsStmt",
  "CreateFdwStmt", "fdw_option", "fdw_options", "opt_fdw_options",
  "AlterFdwStmt", "create_generic_options", "generic_option_list",
  "alter_generic_options", "alter_generic_option_list",
  "alter_generic_option_elem", "generic_option_elem",
  "generic_option_name", "generic_option_arg", "CreateForeignServerStmt",
  "opt_type", "foreign_server_version", "opt_foreign_server_version",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "am_type", "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "FUNCTION_or_PROCEDURE",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertionStmt",
  "DefineStmt", "definition", "def_list", "def_elem", "def_arg",
  "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "CreateOpFamilyStmt", "AlterOpFamilyStmt", "opclass_drop_list",
  "opclass_drop", "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "object_type_any_name",
  "object_type_name", "drop_type_name", "object_type_name_on_any_name",
  "any_name_list", "any_name", "attrs", "type_name_list", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_text", "SecLabelStmt",
  "opt_provider", "security_label", "FetchStmt", "fetch_args", "from_in",
  "opt_from_in", "GrantStmt", "RevokeStmt", "privileges", "privilege_list",
  "privilege", "parameter_name_list", "parameter_name", "privilege_target",
  "grantee_list", "grantee", "opt_grant_grant_option", "GrantRoleStmt",
  "RevokeRoleStmt", "grant_role_opt_list", "grant_role_opt",
  "grant_role_opt_value", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique",
  "access_method_clause", "index_params", "index_elem_options",
  "index_elem", "opt_include", "index_including_params", "opt_collate",
  "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "opt_createfunc_opt_list", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "ReturnStmt", "opt_routine_body",
  "routine_body_stmt_list", "routine_body_stmt", "transform_type_list",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "operator_with_argtypes_list", "operator_with_argtypes",
  "DoStmt", "dostmt_opt_list", "dostmt_opt_item", "CreateCastStmt",
  "cast_context", "DropCastStmt", "opt_if_exists", "CreateTransformStmt",
  "transform_element_list", "DropTransformStmt", "ReindexStmt",
  "reindex_target_relation", "reindex_target_all",
  "opt_reindex_option_list", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "opt_no",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterTypeStmt",
  "AlterOwnerStmt", "CreatePublicationStmt", "PublicationObjSpec",
  "pub_obj_list", "AlterPublicationStmt", "CreateSubscriptionStmt",
  "AlterSubscriptionStmt", "DropSubscriptionStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "TransactionStmtLegacy", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty",
  "opt_transaction_chain", "ViewStmt", "opt_check_option", "LoadStmt",
  "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "utility_option_list", "analyze_keyword",
  "utility_option_elem", "utility_option_name", "utility_option_arg",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause", "InsertStmt",
  "insert_target", "insert_rest", "override_kind", "insert_column_list",
  "insert_column_item", "opt_on_conflict", "opt_conf_expr",
  "returning_clause", "DeleteStmt", "using_clause", "LockStmt", "opt_lock",
  "lock_type", "opt_nowait", "opt_nowait_or_skip", "UpdateStmt",
  "set_clause_list", "set_clause", "set_target", "set_target_list",
  "MergeStmt", "merge_when_list", "merge_when_clause",
  "merge_when_tgt_matched", "merge_when_tgt_not_matched",
  "opt_merge_when_condition", "merge_update", "merge_delete",
  "merge_insert", "merge_values_clause", "DeclareCursorStmt",
  "cursor_name", "cursor_options", "opt_hold", "SelectStmt",
  "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_materialized", "opt_search_clause", "opt_cycle_clause",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "set_quantifier", "distinct_clause", "opt_all_clause", "opt_sort_clause",
  "sort_clause", "sortby_list", "sortby", "select_limit",
  "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value", "select_fetch_first_value",
  "I_or_F_const", "row_or_rows", "first_or_next", "group_clause",
  "group_by_list", "group_by_item", "empty_grouping_set", "rollup_clause",
  "cube_clause", "grouping_sets_clause", "having_clause",
  "for_locking_clause", "opt_for_locking_clause", "for_locking_items",
  "for_locking_item", "for_locking_strength", "locked_rels_list",
  "values_clause", "from_clause", "from_list", "table_ref", "joined_table",
  "alias_clause", "opt_alias_clause", "opt_alias_clause_for_join_using",
  "func_alias_clause", "join_type", "opt_outer", "join_qual",
  "relation_expr", "extended_relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "json_table",
  "json_table_path_name_opt", "json_table_column_definition_list",
  "json_table_column_definition", "path_opt",
  "json_table_column_path_clause_opt", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "JsonType", "a_expr", "b_expr", "c_expr", "func_application",
  "func_expr", "func_expr_windowless", "func_expr_common_subexpr",
  "xml_root_version", "opt_xml_root_standalone", "xml_attributes",
  "xml_attribute_list", "xml_attribute_el", "document_or_content",
  "xml_indent_option", "xml_whitespace_option", "xmlexists_argument",
  "xml_passing_mech", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "opt_window_exclusion_clause", "row", "explicit_row",
  "implicit_row", "sub_type", "all_Op", "MathOp", "qual_Op", "qual_all_Op",
  "subquery_Op", "expr_list", "func_arg_list", "func_arg_expr",
  "func_arg_list_opt", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "unicode_normal_form", "overlay_list",
  "position_list", "substr_list", "trim_list", "in_expr", "case_expr",
  "when_clause_list", "when_clause", "case_default", "case_arg",
  "columnref", "indirection_el", "opt_slice_bound", "indirection",
  "opt_indirection", "opt_asymmetric", "json_passing_clause_opt",
  "json_arguments", "json_argument", "json_wrapper_behavior",
  "json_behavior", "json_behavior_type", "json_behavior_clause_opt",
  "json_on_error_clause_opt", "json_value_expr", "json_format_clause",
  "json_format_clause_opt", "json_quotes_clause_opt",
  "json_returning_clause_opt", "json_predicate_type_constraint",
  "json_key_uniqueness_constraint_opt", "json_name_and_value_list",
  "json_name_and_value", "json_object_constructor_null_clause_opt",
  "json_array_constructor_null_clause_opt", "json_value_expr_list",
  "json_aggregate_func", "json_array_aggregate_order_by_clause_opt",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "attr_name", "file_name",
  "func_name", "AexprConst", "Iconst", "SignedIconst", "RoleId",
  "RoleSpec", "role_list", "NonReservedWord", "BareColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "bare_label_keyword", "statements", "statement",
  "CreateAsStmt", "$@1", "$@2", "at", "ECPGConnect", "connection_target",
  "opt_database_name", "db_prefix", "server", "opt_server", "server_name",
  "opt_port", "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGDeclareStmt", "ECPGCursorStmt",
  "ECPGExecuteImmediateStmt", "ECPGVarDeclaration",
  "single_vt_declaration", "precision", "opt_scale", "ecpg_interval",
  "ECPGDeclaration", "$@3", "sql_startdeclare", "sql_enddeclare",
  "var_type_declarations", "vt_declarations", "variable_declarations",
  "type_declaration", "$@4", "var_declaration", "$@5", "$@6",
  "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@7", "struct_union_type", "$@8",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@9", "opt_reference", "ECPGVar",
  "$@10", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGCKeywords",
  "all_unreserved_keyword", "ECPGunreserved_interval", "into_list",
  "ecpgstart", "c_args", "coutputvariable", "civarind", "char_civar",
  "civar", "indicator", "cvariable", "ecpg_param", "ecpg_bconst",
  "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,   784,
     785,   786,   787,   788,   789,   790,   791,   792,   793,   794,
     795,   796,   797,   798,   799,   800,   801,   802,   803,   804,
     805,   806,   807,   808,   809,   810,   811,   812,   813,   814,
     815,   816,   817,   818,   819,   820,   821,   822,   823,   824,
     825,   826,   827,   828,   829,   830,   831,   832,   833,   834,
     835,   836,   837,   838,   839,   840,   841,   842,   843,   844,
     845,    60,    62,    61,    43,    45,    42,    47,    37,    94,
     846,    91,    93,    40,    41,    46,    44,    59,    58,   123,
     125
};
# endif

#define YYPACT_NINF -6472

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-6472)))

#define YYTABLE_NINF -3728

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-3728)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -6472,   630, 12173, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, 25030, -6472, -6472, -6472, -6472, -6472,  2751,
    1293,155574,   500,101492,106667,  1559,111267, -6472, 85947,  1711,
   -6472,  1103, -6472, -6472, -6472, -6472, -6472, -6472, -6472,  1393,
    1887, 22866, -6472, -6472,107242,   275, 88251, -6472,107817,    55,
    1297,   162,   300, 22969,108392,103217,  1445,111842,   654,  1058,
   23342,  1887, 42325,112417,  4359, 81906, -6472,102067,  1862,  1145,
  122192,  2071,  1616, 82484,122192,  1631,112992,  1991,  2077,  1938,
  122767,123342,100342,  1618,122192,  2283,  2062, 84795,123917,  2044,
   -6472,113567, -6472,  1616, -6472, 85947, 79590,   228,  1999, -6472,
  124492,122192,  2324,  2008, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,    70, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,  1024,
   -6472,  1550,  1859,  1832,   921,  2092, -6472, 15987, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472,  2361,  2611, -6472, -6472,
   -6472,  2082, -6472,  2125, -6472, -6472, -6472,  2009, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472,  2773,  6715,111267,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472,103792, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472,   320, -6472, -6472, -6472, -6472, -6472,111267,
  111267, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,111267,  2223,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472,  1129,  2496, -6472, -6472, 85947,  2516,
    2516,  2788,  2361,  2328,  2349,  2391,  2399,  2248,  2418,   443,
   -6472, -6472, -6472, -6472, -6472,  2847, 88251,122192,122192,122192,
    2549,122192,  2479,122192,   985, 88251,159140,114142,  2645,  2483,
   74273,125067, -6472, 88251,122192,156595, 88251,122192,122192,125642,
  122192,126217,122192,  2001,108967,122192,  2590,122192,122192,157104,
  126792,  2730, -6472,  3047,   319, -6472,  2481, -6472,   288, -6472,
    1060, -6472,   310,   335,   346, -6472, -6472, -6472,155061,122192,
   25376,  2071,  2847, -6472,  2324,122192,  2747,122192,  2491,127367,
  122192, -6472,122192,  2577,127942,  1048,  1978,159140,  2217, 74867,
    2682,122192,122192,159140,128517,129092,129667,122192,122192, -6472,
   -6472,  2643,122192, -6472,  2802,159649,  2230,  2815,  2992,  2886,
    1449, -6472, -6472,  3068,  2562, -6472, -6472,  3104,111267, -6472,
  109542, -6472, -6472, -6472,   443,  2848, -6472,  2696,  2714,  2723,
   -6472, -6472, -6472, -6472, -6472,162194,  1058, -6472, -6472,  2873,
   88827,  2976, -6472, -6472,130242, 94587,  2717, -6472,  1071, 89403,
  160158,  3089,  2729, 75461,  3124, -6472, 89979, -6472,160667, 90555,
   -6472, -6472, -6472, -6472, -6472,130817, -6472,131392,  2798,  2976,
   -6472, 95163,161176, -6472,  2951,131967,132542,133117,  2847, 13306,
   -6472,  2680,  2829,  2672,  1807,111267,111267,  1581,151968, -6472,
   -6472,  2728, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472,   281,  2488, 83062,  1159, 83640, -6472, -6472,  1160,  1395,
    1597,   281,  3224,  3224,   991,111267, -6472, -6472,  2488, -6472,
    1019,  1239,  2818,  2707,  2707,  2707,  2944,   782, -6472,  2707,
    2876, -6472, -6472, -6472, -6472, -6472,113567, 83062, 83640, -6472,
    2736,   443,  2071,   214,  3202,  2797,155061,  1135,122192, -6472,
   -6472, -6472,  3244,  2811,  3098, -6472,  2805, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472,  3035,  3043,   233,   152,
    2071,   425, -6472,  3184, -6472,  3060, 50673, 50673,  1585,111267,
    2071, 84218,114717,146917,   285,162194,  2071,133692,  2861,  1715,
    3067, -6472, -6472, -6472,   216, -6472,  3342,  2883,  3175,   859,
     319, 70773, -6472, -6472,  2887,  1060,113567, 98042, -6472, -6472,
   -6472, -6472,155061,  3221, 56064,122192,  2882, -6472,  2879,  2882,
    2885,  2893,  1832, -6472,155061,113567,  2072,  2072,  3377,  2072,
    2234,  2387, -6472,  3056, -6472,  3262,  3228,  3246,113567,  2936,
    1887,  2941, -6472, -6472, -6472,  2948, -6472,  2943,  2957, -6472,
    1161,  3269, -6472, -6472, -6472, -6472, -6472,  3361, -6472, -6472,
   -6472, -6472, -6472, -6472,  3473,  3462,156086,156086,  1118,  1250,
     383,   381, -6472, -6472, -6472,  3320, -6472, -6472,  3322,  3117,
  122192, -6472, -6472,122192, -6472,134267, -6472, -6472,  2516,  2948,
    1376,   241,  3158,  3295,  3224,  1755,  2576,  2576, -6472, -6472,
    3039, -6472,  1312, -6472,  1884,  3044,  1993,  3046,  2021,  1458,
   -6472,   973,122192,   373,  3088,115292,  5404,  3050,  3051,  1060,
    3220,   512,  3387,  3433,  7950,   443,115867, -6472, -6472, -6472,
   -6472,122192,122192, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472,  3058,  1748, -6472, -6472,  3057,  3436,  3286,  7365,
    1228,  3394,  3230,  1003,  9520,  3290,  1822,  3443, 13298,  1942,
    3444,  2220,  2599,134842,147492,  3402,  3447,  5240,  2193,  1031,
    3297,  1292,  3394,  3435,  3241,  1003,  3453,  8088,122192,  3074,
   -6472,  3362,  3490,  1545, -6472,   342, -6472, 42905, 56064, 78432,
   -6472,  1060, -6472,  2371, -6472, -6472,154552, -6472,  3143,  3307,
    1502, 88251,  3083,122192,122192, -6472, 95739, 88251, -6472,  3316,
   76055, 88251, -6472, 88251, -6472, -6472,  3448, 95739,122192,122192,
   -6472,122192, -6472, -6472,  3084, -6472, -6472, -6472, -6472, -6472,
    2707,122192,  3548, 95739,  3331,   240,    62,  3586,122192,  3333,
      62,  3132,135417, -6472, -6472,    62, -6472, -6472,122192,122192,
    3094,  1794,  3321,   909,    62,  3336,  3582,  3589,  3346,  3178,
    3347,  2879, -6472,  3549,  3318,  1176,   238,  2503,    62,  3160,
  135992,136567,122192,  3163,122192,  3560, 88251,  3198, 88251, 88251,
  122192,  3480,122192, -6472,  3308,116442, -6472,  3118,  3068, -6472,
   -6472, -6472, -6472,  3039, -6472,  1912, -6472, -6472, -6472, -6472,
   -6472, -6472,  3501, -6472,   301,  3504,  3129,  3506,  2083, -6472,
    3177, -6472,  3177,  3177,  3133,  3133,  3325,  3135,  3514, -6472,
   -6472, -6472, -6472,  2698,  3177,  3133, -6472, 96891, -6472,  2257,
    2263, -6472,   336, -6472,  3638, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472,  3145, -6472,  1417, -6472, -6472,  2412, -6472,
   -6472, -6472, -6472,  3182, -6472,  3522,   339, -6472,  3525, -6472,
    3148,137142, -6472,137717,138292,  3528,   349, -6472,159140,  3531,
     339,  3532,  3148,  3533,   339,  3534,   356,  3536, -6472,  1339,
    3516,  3538,   336,  3540,  2513,  3148, -6472,  3541,   352, -6472,
    3542,   371, -6472,  3543,  3395, -6472, 13882, 13306, -6472, 15684,
    1178, -6472, -6472, -6472, -6472, -6472, -6472, 56064,  1276,  3271,
   -6472, -6472,  2423,  1581,  2488, -6472,111267,  2488,111267,   991,
    2488,111267,  2488,111267,   991,  2488,111267,111267,111267,  2488,
   -6472, -6472,   416,   417, -6472, -6472, -6472, -6472, -6472,111267,
    3172,122192, -6472,122192, -6472, -6472, -6472,104367,159140,104942,
   -6472,122192, -6472,   506,111267, -6472,111267, -6472,  2071, -6472,
    3039, -6472,  2829, 95739,  3672,159140,  3560,  2424, -6472, -6472,
    3560, -6472, -6472,  3560,  3560, -6472, -6472, -6472,  3460,122192,
    3544,104367,159140,  3547, -6472,138867, -6472,162194,  3404,  3180,
   -6472, -6472, -6472, -6472,  2445,  3713,   265,  3714, 56064,  3189,
     265,   265,  3190,  3554, -6472, -6472, -6472,   350,  3193,  3195,
   -6472,   271,   271, -6472,  3200,  3201, -6472,   294,  3204,  3205,
    3729,   295,   311,  3207,  3208,  3211,  3212,  3213,  3214,  3215,
    3217,  3218,  3222,  3223,  3227,  3231,  2698,   265,  3232, 56064,
   -6472,  3233,   271,  3235,  3238,  3239,  3751,  3240, -6472,  3755,
    3245, -6472,   263,   266,  3247,  3249, -6472,  3464, -6472,   312,
    3258,  3263,  3264,  3265,  3266,  3268,  3274,  3279, 56064, 56064,
   56064, -6472, 47678,  1060,  2071, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472,   315, -6472,152485, -6472,  3304, -6472, -6472,
    3482, -6472, -6472, 56064, -6472, -6472,  3649,   794, -6472,   316,
   -6472, -6472,  1060, -6472, -6472,   596, -6472, -6472, -6472, -6472,
   -6472,  3594,  3281,  2480,  2480,   325, -6472,107242,107242, -6472,
   -6472,  1045,  3282, -6472,  2588, -6472, -6472, -6472, -6472, -6472,
   -6472,161685,  3766, -6472,   421,  2071,   342,  2303,  3716,153016,
  153528,  3598,  3598,  3570, -6472, -6472,122192, -6472, -6472,  1060,
     278,  3599,  2443, -6472,  2728, 22284,  2450,  2882,122192,122192,
    3786, -6472, -6472,  2457, -6472,  3291, -6472,  2879, -6472, -6472,
    1832,  1832, 56064,  1832,  1816,  1985, 51272, 56663,  3655,  3524,
     362,  2110,  3659, -6472,  3529,  2234,  2387,113567,122192,113567,
  139442,  3431, 56064, -6472,  2948,  3309,  2377, -6472, 98042,  7082,
    7082,  3616, -6472, -6472,  3717,107242,  3367,156086, -6472, -6472,
  122192, -6472, -6472,117017, -6472, -6472, -6472,  2700,  3302, -6472,
    3319,122192,  3898,  2576,  2576, -6472, -6472,  3311, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472,  2361,122192, -6472,  3312,
    3315,  3313,  3323, -6472, 98042, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472,  3310, -6472, -6472, -6472, -6472, -6472,   443,
    3317, -6472,  3784,  3412,  3417,  3476, 79011, -6472,  3420,  3388,
    3423,  3484, 85947,  3338,  3428,  3429,  3495,  3625, -6472, -6472,
    3438,  3806,  3440,148067, -6472, -6472,  1554, -6472, -6472, -6472,
    1554, -6472,  3364, -6472,  1915,  1733,  1603,  3445,   565,  1540,
    3797, -6472,  1507, -6472, -6472,  3502, -6472, 23690,122192,  3735,
    8167,  3585,   443,  3507, -6472, -6472, -6472,  3653,  3456,122192,
    3458,  3610,   443,   405,148642, -6472, -6472,122192, -6472, -6472,
   -6472, -6472,  9471,  3780, 45905, -6472,  2386,  3466,  3450,  3479,
  122192, 98617,   481,  3593,  3615,  2038,  2586,   904,  3535,122192,
     377,  3622,122192,  3392,  3481,  3483,  3732,  3397,   729,  3840,
    3398, -6472, -6472, -6472,  3800,  3609,  3734,  3779,  8341,  3467,
    3468, 92283, -6472,  3491,   105, 76649,122192,122192,  3494,  3496,
  149217,  9471,  3815,105517,105517,  3498,  3503, 69037,  3837,  2030,
    3508, -6472, -6472, -6472,  2030,  3509,  3513,149792,  9471,  3822,
  122192,  3515,  3519,122192, 96891,   443, -6472,  3893, -6472,   443,
     443,  2166,  3894,  3520,   582,  3684,   601,    62, -6472,  3398,
    3801, -6472,  3521,  3523,  1195, -6472,  3650,122192,  3537,  3539,
     165,  3617,  2071, -6472,  3624, -6472,  3545,  3629,  3546,   127,
    3094, -6472, -6472,    63,  3550,113567,  3660,  3661,   377,   525,
     641,  3398, -6472,  3551,  3552,  3397,  3397,122192,122192,122192,
  122192,122192,   389,  3935,   400,  3553,   550,   112,  3457, -6472,
    2030,157613,  3556, -6472,  2030,122192,   434,   941,  3398,  2054,
   -6472,  2238, -6472, -6472, -6472,   319, -6472, 56064, 56064, 56064,
    3469, -6472,  2937, 22284,   876, -6472,   317, 17913,  3446, -6472,
   -6472, -6472, -6472,122192,155061, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472,122192, -6472,122192,  3770, 95739,  3772,  3696,  3782,
    3783,   443,122192,122192,  3785,  3787,  3789, 95739,  3790,  3793,
    3794,  3700,  3564,   939,  3563,  3487,  3983,  3865,122192, 85947,
   -6472,  1554, -6472, 95739,  3722,  3874, -6472,122192,  3743,   138,
   -6472,  3916,  3567, -6472, -6472,   136,122192,102642,  3094, -6472,
   -6472,  3882,159140,  1096,  3885,  2071,  3562,  3888,  3741,  2071,
  159140,  3791,122192,122192,122192,122192,   230, -6472,157613,  3773,
   -6472,122192,  3774,  3801,  3775,  4024,  1296,  2707,140017,  3900,
   -6472,140592,  3558,122192,  3559,  3559,  4026, 95739,  1509,  3829,
   -6472, -6472,  3561,  3224, -6472,  3118,  3565, -6472, -6472,  2521,
   -6472,  3685, -6472, 88251, -6472, -6472, 88251, -6472, -6472, 95739,
  122192,  3568, -6472,  3569, -6472, -6472, 56064, -6472, -6472, -6472,
    3224, -6472, 95739,  3177,  3177, -6472, -6472,  4037,  3632,  3633,
    3224, -6472,  3224, -6472, 95739, -6472,  3572,  3573,  3224,  3634,
   -6472,  3641,  3224, -6472,  2487, -6472, -6472, 88251, 88251, -6472,
  159140,159140,  3937,   352,  3943,  3636,  3948,  3637, 76649, 76649,
   -6472,   387, 88251, -6472,159140, 88251, -6472,122192, -6472,122192,
   -6472, -6472, -6472, -6472, 95739, 95739, -6472,159140,157613,  3949,
  122192,122192, -6472,122192,122192, -6472,122192,122192, -6472, 14862,
    2340, -6472, 13306, -6472,  2489,  3598, -6472,  2223,141167,  1940,
    1581, -6472,111267, -6472,111267,   991, -6472, -6472,111267, -6472,
  111267,   991, -6472,111267, -6472, -6472, -6472,111267,122192,  4166,
    3577, -6472,   596, -6472,122192,  2507, -6472, -6472,  2520,  2235,
  122192,122192,   978, 88251,122192,  3813,122192, 88251, 88251,122192,
  122192,122192,122192,122192,  3669,  3282,   548, -6472,  1952,   915,
  113567,  3820, -6472, -6472, -6472,  3583, -6472, -6472,  2528,  2324,
    1485,122192, -6472,122192,122192,122192, -6472, -6472,102067,  3941,
     507,104942,122192, -6472, -6472, 12387, 56064, 50074, -6472, -6472,
   22284,  3639, 56064, 56064,  3600,  3224,  3224, -6472,   439, 56064,
   56064, 56064, 47079, 56064, 56064, 51871, 56064, 56064, 56064, 56064,
   56064, 56064,  3224,  3224,  3592, 56064,  5834, 56064, 76649, 56064,
   60257, 44105, 56064, 56064, 48277,  1094,  3200, 56064,  3856, 61455,
   56064,  2303,  3858, 56064,  2303,  5834,  4123,  4123,  1999,  2369,
    9306,  3602,  1060, -6472,  3224,  1448,   423, 95739, 56064, 56064,
   56064, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, 56064, -6472, 85947, -6472,
   -6472, -6472, -6472, -6472, -6472,   913, -6472, -6472, -6472, -6472,
   -6472, -6472,  7778, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472,122192, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, 48876, -6472, -6472, -6472, -6472,  3619, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,  4002,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, 49475, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
    3620, -6472, -6472, 56064, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
    3697, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472,   343, 56064, 56064, 56064,
   56064, 56064, 56064, 56064, 56064, 56064, -6472, 56064,   488, -6472,
   -6472, -6472,  3956,  3649,   106,   603,  3621,  3831,106092, 50673,
    3971, -6472, 42905, -6472,   291,111267, -6472, -6472,  1060,  3971,
   -6472, -6472, -6472, -6472, -6472,  2700,  3630, -6472,  3645, -6472,
   -6472, -6472, -6472, -6472,122192,  3766, -6472, -6472,  3707, -6472,
   -6472, -6472, -6472,   322, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472,  3642, -6472, -6472, -6472, -6472,  3642, -6472, -6472,
    3598,  3640,  3975,  3976,   356,  2361,113567,  2965, 56064,   913,
     333,122192, 56064,  3619,  4002, 56064,  3620, 56064,  3697, -6472,
   56064, -6472,  2529,   289,113567,113567, -6472,  3951, -6472,  3643,
   -6472,  8784,  3951, -6472, -6472, 60856,  3769,  3940,  3866, -6472,
   -6472, -6472,  3646, 22284, 56064, 56064, -6472,  2654, 22284,  2753,
   -6472, -6472, -6472, -6472, -6472, -6472,  1437, -6472,122192,   229,
    3655,  2110,  3706,  1379,  4143,  3712,122192, -6472, 71348,  2533,
    2560, -6472,  2948, -6472, -6472,  2465, -6472,  2540, -6472,  4224,
   -6472,156086, -6472, -6472, -6472,  4166, -6472,  3104, -6472,  3104,
    4246, -6472,111267, -6472, -6472, -6472, -6472,   475, -6472, -6472,
   13306, 13306, -6472, -6472, -6472, -6472, -6472,159140,122192,122192,
    3877, -6472,  4136, -6472, 96891, -6472,  3665, -6472, 96315, 91131,
   -6472, -6472,  1424, -6472,   652,159140, -6472,122192,122192, -6472,
   85947,159140,122192,122192, -6472,159140,  3719,122192,122192, -6472,
   -6472, -6472, -6472, -6472,154040,   150,102067,  3810,100917, -6472,
   -6472,  3670,122192,  3911, -6472, -6472,141742, -6472,  3912,159140,
  122192,122192, 56064,  3914,122192,122192, -6472,   375,  3768,  3778,
   -6472,122192,  3781, 88251,  3683, 95739, 88251, 77243, 88251, 88251,
    4047, 95739,122192,122192,  1691,113567,   509,  1013,  3398,  3929,
   -6472,  1760, -6472,159140, -6472,122192,  3920, -6472, -6472, -6472,
  117592,  4181,  3821, -6472, -6472, -6472,150367, -6472, -6472,  3925,
   -6472,  2538, -6472,159140,159140,122192,  8368,  3701,142317,122192,
     801,  3996,  3945,  3946,  3998,  1556, -6472, -6472, -6472, 95739,
   -6472,122192,118167,122192,122192,  3993,122192,110117,142892,143467,
     155,  1800,  3994,122192,110692,  3995, -6472,  3864,122192, -6472,
   -6472, 86523,159140,122192,   989, 85947, -6472,  3978, -6472,122192,
   -6472,  1358, -6472,122192,  5407,  3942,  3807,  3816,122192,   546,
    1043,  3398,  4126,122192,122192,  3720,  2539,159140,122192, 85947,
   -6472,  3947,   166,159140,122192,117592, -6472,  3950, -6472,113567,
    4058, -6472,  3727,  2707,  2887,  2342,  3727,159140,122192, -6472,
    3727,122192,146917, -6472,159140,  1199, -6472,159140,122192,117592,
   -6472,  3957,  3903,159140,122192, 15172, -6472, -6472, -6472,   443,
   -6472, -6472, -6472, -6472, -6472,122192,122192,   443,122192,122192,
     443,  1856, -6472,159140,122192, -6472, -6472, -6472,  3863,159140,
  122192,122192,   403,122192, -6472,122192,159140,  3776,122192,122192,
   -6472, -6472,122192,  7671,122192,122192,122192,122192,122192,122192,
  159140,122192, -6472, -6472,  1837,   133,  2127,  2240,  1708,122192,
    4078,122192,144042,  2071,159140,122192,122192,  2071,122192, 85947,
    2159, -6472, -6472,  3878, -6472,159140,  1199, -6472,  8750,122192,
  122192,122192,  3832,  3833,   299,  3922, -6472, -6472, -6472,   906,
     906,  3961, -6472, 56064, 56064, 52470,  3746, -6472, -6472, 56064,
    3143, -6472, -6472, -6472,  1204,  4243,  1204,144617,  1204,  1204,
    4059,  3811,  3814,  1204,  1204,  1204,  4041,  1204,  1204,  1204,
  122192,  3953, -6472, -6472,  3953,   893, 56064, 95739,122192, -6472,
    2543, -6472,  3767, -6472, -6472, 85947,122192,   499,  1127,  4135,
    3999, 99192,  2781,  4124,122192,  3824,122192,  4258,  3870,  1758,
   -6472,  2781,122192, -6472,  2706,102067, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472,122192, -6472, -6472,  4125,122192, 64385,  3958,
   -6472,  2071,  3094,  3094,  3094,  3094,  3764,  3094,122192,  3910,
    4153,  2781,  3788,  4154, -6472,  3801,  4155,  4158,122192,  4013,
   99192,  3848,  3830,  4030,  4285,  2707,  2071,  4032,  4017, -6472,
   79011, -6472,  3094,  4299, 46492,  5061,  5237,  4020,  4086, -6472,
   -6472,  4033,  1093,122192,116442, -6472,  3809, -6472,  4148,  4150,
    4173, -6472,   301, -6472,  4307,  2089,  4174, 56064,  2550,  3817,
     336, -6472, -6472,  3823,  3573,  3842,  3843,  3834,  3844, -6472,
    3224, 69612,  3846,  1377,  4073,  3847, -6472,   339, -6472,  3148,
   -6472,122192, -6472,122192,122192,122192,122192,   349, -6472, -6472,
     339,  3148,   339,   356, -6472,  4113,   336,  3148,  3968,  4196,
     352, -6472,   371, -6472,  4062,   356, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472,  4079,  2707,  2521, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472,111267,  3104, -6472,  2555,
   -6472,122192, -6472,  4175,  4176,  4188,  4189,  4193,  3852,  3859,
    3902,122192,  3862,  3852,   443,  3867,  3871, -6472,  3862,  3862,
    3852,  3282,  3282,  3852,  3859,158122,  4341, 85947, -6472, -6472,
    3959,  3869,  4231,  1396, -6472,  1419,   167,  4139, -6472, -6472,
   -6472, -6472, -6472, 95739, -6472,159140,  3919, -6472, -6472, -6472,
    4105,  3881,158122,   356,   302, -6472, 88251,122192, 95739, 88251,
    4127, 88251, 88251, 95739,122192,122192,  2559, -6472,  2390, -6472,
    2397, 56064,   544, -6472, 19107,  2569, 56064,  3880,  3891, -6472,
   -6472, -6472, -6472, -6472, -6472,  3895,  4250, -6472, -6472,  2582,
    2591, 19472,  2636, 95739,  2722,  3924, -6472,  3896,   277,  4117,
    3897,  6124,  3963,  2616,  3908,   328, -6472,  6124,   412,  3907,
    9404,  4070,  3909,  2624,  3913,  3915, -6472,  6965,  7248,  3917,
   19630,  3921,  3926,  3930,  3923, 60257, 60257, 47678,  2931, -6472,
   60257,  3931,  4116,  2627, 18109,  3932,  3934, 19870, 53069, 56064,
   53069, 53069, 19936,  3927,  3936, -6472,  4311, -6472,  2630, 85947,
    4120, 20335,  2633, -6472, 56064, 85947,  8177, 56064, -6472, 56064,
    3938, -6472, -6472,  4222,  4222,  4222,  5834, -6472, -6472,  3966,
   -6472, 60257, 60257, -6472,  3370, 47678, -6472, -6472,  4276, -6472,
   -6472,   614, -6472, -6472, -6472, -6472, -6472,  4088, -6472, -6472,
   -6472,  4168,  2636,  3557, 76649,  3836, 56064,   368, 56064,  3619,
   56064,  4025,  4222,  4222,  4222,   457,   457,   340,   340,   340,
    2120,   603, -6472, -6472, -6472,  3944,  3965,  3831,  3967, 56064,
   -6472,  3992, 71923, -6472,  2609,  2741,122192, 10086, 11335, 11387,
   -6472, -6472, -6472, 63799,  4003,   876, -6472, -6472, -6472,  4003,
    1930,  4246,  2700, -6472,   319,  3224,  1448,154552, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472,113567, 22284, -6472, -6472,
    4214,  3972, -6472, -6472, 56064, -6472, -6472,  1267,  3986,  1389,
     179,  2576,  2576,  2654,   882, -6472, -6472,  4022, -6472, 56064,
   -6472,  2770,  2841, -6472, -6472, -6472, -6472,  3282, -6472,  4240,
   -6472, -6472, -6472, 63799,  4021,  4034,  2160, 68458,  4199, -6472,
  122192, 63799, -6472,122192,   437, -6472,  3987, -6472, -6472, -6472,
   -6472,    28, -6472, -6472, -6472,  3979, -6472,  3973, -6472,  3989,
   -6472, -6472, -6472, -6472,   280,  3984,  3985,  3988,  2170, -6472,
   -6472, -6472, -6472, 91131,  2412, -6472, 96315, -6472, 96315, -6472,
    2412,  4464, -6472, 91131,  2264, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,159140,
  159140,  4217,122192,  4215,  4220, 56064,  1596, -6472,  4372,   356,
   -6472, -6472,  4087, -6472, 22284, -6472, -6472, -6472, -6472, -6472,
  159140,122192, -6472,162194, -6472, -6472, 95739, -6472, -6472,122192,
  122192, -6472, -6472, -6472, 95739, -6472, -6472, -6472,122192,   887,
    4089,  4090,122192, -6472,  1034,  3650,  8853,122192,122192,122192,
    4320, -6472, -6472, -6472, -6472,  4241, -6472,  4377, -6472, 91131,
   -6472,  3148,  1744,  4093,  3398, 56064,  4251, -6472,  1387,122192,
    4011,  4012,  4390,122192,  1381,  4342,  4016, -6472,  4129, -6472,
    4156,   355, -6472, -6472,  4161, -6472, -6472, -6472, -6472,  4394,
     356,  4398,   356,122192,122192,122192,122192,  4163, -6472, -6472,
   -6472, -6472,  4167,  4310, -6472, 85947, 85947, 85947,  2652, -6472,
   -6472,  2071, -6472, -6472, -6472, -6472, -6472, -6472,  4356, -6472,
    2663, -6472,  2182,118742, -6472, -6472, -6472, -6472, -6472,  4403,
  159140,122192,  9002,122192,122192,122192,  4256,  2294,  1506, 95739,
   -6472, 92859, -6472, -6472,  2666, -6472,  4043,122192,  4121,159140,
    4098, -6472, -6472, -6472,  4410,  2707,  4183,105517,  4091,  4091,
    2359, -6472, -6472, -6472, -6472,  4323,  4248, -6472,  1225,  4249,
  159140,  4109, -6472, -6472, -6472, -6472, -6472,  4421,  4137, -6472,
   -6472,  4138,  1088,  3398,  3801, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472,  4164, -6472, -6472, -6472, -6472, -6472,
   -6472,  1944,  1944, -6472, -6472, -6472,  1944,  1848,   529,  1220,
    3398, -6472,  1914,   451,  4144, -6472,  4145, -6472, -6472, -6472,
    4322,  4329,  4330,  4149,  4151,  4206,  4152,  4157,  4208, -6472,
    4159,  4211,  4162,  4212,  4170,  4473,   356, 95739,  4312,  2071,
    4213,  4450,   356, -6472, -6472,  4171, -6472,  4172, -6472,  2670,
    4562,  4566, -6472,122192, -6472,   547,  1223,  3398, -6472,  4179,
   -6472,159140,122192, -6472, -6472, -6472, 56064,  4085,  4096,  4097,
   22284, 22284, 56064, -6472, -6472, 22284,  4095, -6472, -6472, -6472,
   -6472, 95739, -6472,122192,  4396, -6472, -6472,  1204,122192,122192,
   -6472, -6472, -6472,122192, -6472, -6472, -6472,  4397, -6472,   502,
     502, -6472, -6472,  4433,  9844,  4099,   446, -6472, 85947, 73084,
    4332,   574,    62, -6472,162194,122192,162194, -6472,  1127,  4324,
  122192,122192,122192,  4100,  4101, -6472, -6472, -6472, -6472,159140,
     304,159140,  3224, -6472, -6472,  4182, -6472,122192,  2707,  2848,
    4468,  3776, -6472,  4587,  3589,  1096,  2243,   555,  3178,  4527,
    2879,  4110, 56064,   473, -6472, -6472, -6472, -6472, -6472,  1060,
  122192,  3830, -6472, -6472, -6472, -6472,  2071, -6472,  4118,  4111,
   -6472,122192,  4479,122192,122192,122192,111267,  2324,  4128,122192,
    4122, 95739,122192,  2725,  3397,  4620,  4502,  2324,  3848,  4216,
    4506,113567,  2684, -6472,  4146, -6472,  1093, -6472,  2694,   262,
   -6472,  2071,162194, 91707,  4496, -6472,   384,  5237, -6472, -6472,
     384,  1151,122192, -6472, -6472, -6472, -6472,  4366,  2497, -6472,
    4481, -6472,122192, -6472, -6472, 67879, -6472, 95739,  4140, -6472,
    2697, -6472,  2702, -6472, -6472, -6472,  3224, -6472, -6472,  2595,
    2595,  4142, -6472, 70198, -6472,  4165, -6472,  2743, -6472, -6472,
   -6472,   352,  4210,   356,  4219,   356, -6472, -6472, -6472, -6472,
  122192, -6472,122192,157613, -6472, -6472,122192, -6472,  4520,  4508,
   -6472, -6472, -6472, -6472,  4295,  4297,  4300,  4303,  4306,122192,
    3852, -6472,  4160,122192,122192,159140,  1955, -6472, -6472,159140,
     517, -6472,   934, -6472,113567,  4301, -6472, -6472, -6472, -6472,
    4540,  4542, -6472, -6472, -6472,  1615, -6472,104367,   518, -6472,
  159140,  4477,  4478,  4480,  4483,   443,  4494,  4495,  4501,  4503,
    4504, -6472, -6472, -6472,  4195, 20462, 56064, -6472,  4556, 95739,
   -6472, 10178, -6472, -6472, -6472, 56064, -6472, -6472,  4505, -6472,
   -6472,  4265,  4266,  4197,  3924,  4070, -6472,  4427,  4428, 56064,
    4070,  4646,   418, 56064, 56064, 56064, -6472, -6472,  4429,  4430,
   56064,  2636,  2636, 56064, -6472,  4207, 56064, -6472, -6472, -6472,
   -6472,  2535, 56064, -6472, 56064, -6472, -6472, 44705,  4727,  4727,
    4221, 95739, 60257, 60257, 60257, 60257,   366,  3235, 60257, 60257,
   60257, 60257, 60257, 60257, 60257, 60257, 60257, 60257,   617, -6472,
    4422, 56064, 56064, 53668, -6472, -6472, 95739,  4218,  3927,  4225,
    4226, 56064, -6472, -6472, -6472,  2710, 62041,  4227, 85947, -6472,
   56064, 17944,  2711,  4274, 20528,  1060, 10842,  2071, 56064,  2122,
    2977, 56064,  2726, 56064, -6472, -6472, -6472, -6472,  4585, -6472,
   -6472, -6472, -6472, -6472, -6472,  4472,  2636, -6472, -6472, 56064,
    4230,  3664, 60257, 60257,  5872, -6472,  6225, 56064, 47678, -6472,
    3961, -6472, 45305,  4229, 56064,150942, -6472, -6472,  1616,  1616,
    1616,  1616, -6472,122192,122192,122192,  4233, 64971,  4590,  4236,
   63213,119317,  4234,  2335, -6472,119317,119892,119317,119317,  4257,
    1060, 56064,  4586,  4239,  4586, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
    4238, -6472,  4253, -6472, -6472,   342,  4247, -6472, -6472,   280,
   -6472, -6472,  2324, -6472,  4244, -6472,  3986,  2067, -6472, -6472,
   -6472,  1343, -6472,  4337, -6472, -6472, -6472,  4234, 54267,  4408,
   -6472, -6472, -6472,  4308,  2745, -6472, -6472,  4693,  4408, -6472,
    2176, -6472,  2755, 71348,  4021, 56064,  1060,  3224,  4262, -6472,
    3104,  1930, -6472, -6472, -6472, -6472, -6472,  2761,  2326, -6472,
   -6472, 91131, -6472,  4331,  3148,  3148,  1528,  3852,  4615,  1528,
   11156, -6472,  1967,122192, -6472,122192, -6472, -6472, -6472,  4750,
    4318,  4319,  4548, -6472,  3046, -6472, -6472,159140,122192, -6472,
   -6472, -6472,   549,  1472,  3398, -6472,  4348, -6472, -6472,  4581,
  122192, -6472,  4738,  4362,122192, 11283,  4642,  4336, -6472, -6472,
   65557,122192,122192, -6472,122192, -6472,122192,122192,  1967,120467,
   -6472,  4714,  1967,  4384,  4622,  1861,  3397,  2012,  7159, -6472,
    1705, -6472, -6472,  4354, -6472,122192, -6472,122192, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472,  4418, -6472, -6472, -6472, -6472,
   86523, -6472, -6472,122192, -6472, 85947, 73084, 85947, -6472, -6472,
   -6472,122192, -6472,  1974,   551,  1473,  3398, -6472,  4367, -6472,
    4652,  4370,  4371,  4432,  1001,   957,  4378,  4379,  4438,  4284,
    4293,  4294, -6472, 85947, 73679,  4463,122192,  3148,  4304,  4340,
  122192,  4091,121042, -6472,  4309, -6472, -6472,  4091,   281,  2071,
   -6472, -6472,  2071,  3148,  2071,122192,122192,122192,122192,   403,
   -6472, -6472, -6472,  4773,  4405,122192,122192,122192,122192, -6472,
    4368, -6472, -6472, -6472,122192,122192,  4662,   297,  2532,159140,
  122192,122192,159140,122192,122192,122192,122192,122192,122192,122192,
    4531, -6472,  4765,  4687,  2449,  4735,  4395,122192, -6472,122192,
    2071, -6472,  3650,122192,122192,122192,122192, -6472, -6472, -6472,
   -6472, -6472,  3961, -6472,  4316,  4628,  1204, -6472,  4629,  4630,
    4631,  1204, -6472, -6472,    62, -6472,   578,122192, -6472,  2806,
  122192, -6472, -6472, -6472,  4244,  2576,  2576, -6472, -6472, -6472,
   -6472, -6472, -6472,  4325,122192,122192, 60257, -6472,  2256,  1107,
    1649, -6472,  4617,122192,  3464, -6472, -6472, -6472,  1570,122192,
   -6472, -6472, -6472, -6472,  4326, -6472,   142,  4128, -6472,  4651,
   99192,  3148,159140,159140,  3148, -6472, 95739,  4334,  3830, -6472,
     306,  4417, -6472,159140,  1096,145192,  3562,  4374,  4561, 11446,
   63799, 64385,  1944, -6472,  4343,  4338, -6472, -6472,122192,  4324,
  157613,  2767,  3801,  4837,  1477,  2672,  3919, 99767,  4549,  4128,
    4651, -6472,  3397,  4574,  4573, -6472,  2324,122192,  3919,  3830,
    2071,122192,  4336, -6472,  2848, 73084,  2557, -6472, 91131, 56064,
   56064, -6472,  4346, -6472,  4350,  5237, -6472,  4434,  4349,  4842,
   56064, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,  4442,
    4358,122192,122192,  1093,122192,  4879, -6472, -6472,  4360,  4174,
   -6472,  4174, -6472,  4361, -6472, -6472, -6472,  2596,  2361, 70198,
   70198, 70198, 70198, 70198, -6472, -6472,122192, -6472,122192, -6472,
     356, -6472,  4498,   356,122192,  2324,122192,122192,122192,122192,
  122192,  3852,   443,  3871, -6472, -6472,  4716,158122,  4713, -6472,
   85947, -6472, -6472, -6472, -6472, -6472,  2768,122192, -6472, -6472,
   -6472,  4787,  4724,   356,   507,  1232,  1232,  1232,  1232,  4678,
    1232,  1232,  1232,  1232,  1232, -6472, 56064, 22284, -6472,  4369,
   -6472, 22284,  4759,  4665,  4666, -6472, -6472,  4375,  4611,  4613,
   -6472,  4381, 56064,  4070, 20994, -6472, -6472,  4614,  4616, -6472,
    4070,  4070, 20994, -6472, 20994,  4382, 11524, 20715, -6472,  2771,
   56064, -6472,  2043,  2043,  2043,  3530,  4740, -6472,  3171,  2043,
    2043,  2043,   530,   530,   307,   307,   307,  4727,   617, 21302,
   21522, 21542,  4385, -6472, -6472, -6472,  3927, -6472, 57262,   159,
    4859, 61455, -6472, -6472, -6472,  4436,  4437,  4386, -6472, 56064,
   57861,  4393, 96891,  4621, -6472,  2174, 56064, 56064,  3500, -6472,
    6000, 56064, -6472, -6472,  3500,   490, 56064,  3960,  4647, 56064,
   56064,  6646, 11981,  4399, -6472,  2776, 56064, 12055,  4602, -6472,
  122192,122192,122192,122192, -6472, -6472, -6472, 56064,119317,119892,
  119317,119317,  4401, 62627, 67304,  2335,  4402,122192, -6472, -6472,
    4404, 63799,  4708,  4624, -6472, 63799,  4624,  2198,  4624,  4717,
    4510, 72498, -6472, -6472,  4407, -6472, -6472,  4632, -6472,  2386,
   22284,  4887,  4758,  2071,  4758,  1930,   331,  2071, -6472,  4415,
   76649, -6472, -6472, -6472, -6472,  4509, -6472,  4649, 22284, 50673,
   -6472,  2324,  2353,122192,  1060,   810, -6472, 56064,  4435,122192,
   -6472,  4408, 22284, -6472, 13306, -6472, -6472, -6472, -6472,  4497,
    2779, -6472, -6472, -6472, -6472, -6472, -6472, -6472,  4513,102067,
    4778, -6472, -6472,  2033,  4748,   480, -6472,   356, -6472, 95739,
  122192,122192,122192,  3338, -6472, -6472,122192,122192,122192,122192,
   -6472, -6472,159140,122192, -6472, -6472,122192, 56064,  2782, -6472,
    4470,  4884,   413,  4431, -6472,  1967,  1482,  1967, -6472,  1482,
   -6472, -6472,121617, -6472,  4324,   403,  2256,  4768,  4769,  4669,
   -6472,   443, -6472,  4930,  2256,  4672,   403, -6472, -6472, -6472,
   -6472,  2970, -6472, 95739,   356,   356, -6472, -6472, -6472, -6472,
   -6472,  4447, -6472,  4912,  4536,122192,122192,122192,122192,122192,
  159140,122192,122192,  3224,  3224, 95739,  4440, -6472,  3224,  3224,
    4444, -6472,159140,122192,122192, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472,  4537, -6472, 56064,  4910,
   -6472, -6472, -6472, -6472, -6472, 56064, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472,159140,122192,  4538, -6472,
    4541, -6472,  1111, -6472, -6472,122192,122192,122192,122192,  4832,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472,  4831,122192, -6472, -6472,  2071,  2071, 95739,   356,   356,
   -6472, -6472, -6472,  4546, -6472, -6472,  4459,  4776,  1204, -6472,
    1204,  1204,  1204, -6472,  4469, -6472,    62,  4870, -6472,  1967,
    2108,  4822, -6472, 56064, -6472,  1657,  3530, -6472,  4883,  4967,
   -6472, -6472, -6472,  4718,  3776,  2707,  3776, -6472, -6472, 88251,
     485, -6472,  4807,   499, 85947,  4709, 99192,  1914,   388,  4482,
    4612, -6472,  3148,  3148,  4545,122192,  4979, -6472, -6472, -6472,
   -6472, -6472, -6472,159140,  4098, -6472,  4726,  1513,  4846,122192,
   64385, -6472,  4234, -6472, -6472, -6472,  2071, -6472, -6472,  4623,
    3830, -6472,  4864,122192,  4720, 99192,  3919, -6472,  2783, -6472,
   -6472, -6472,  4533,  4965,  3848, -6472,  1914,  4549, -6472, -6472,
    4941,  4591,  4539,  4990, -6472,  4591,  4853,  4725,  4499, -6472,
    4146, -6472,122192, -6472, 22284, 22284,  2071, 97467,   384, 95739,
    4865, -6472, 22284,122192,  1029,  4507,  4674, -6472,  4826,122192,
   -6472,   356,  2786, -6472, -6472, -6472,  4512,  2276,  2276, -6472,
   -6472, -6472,   356,   356, -6472,122192, -6472,  3852,  3852,  3852,
    3852,  3852, -6472,  4728, -6472, -6472, -6472, -6472,  4819, -6472,
  158122, -6472,   356, -6472, -6472, -6472, -6472, -6472, -6472,  1232,
   -6472, -6472, -6472, -6472, -6472, 22284, -6472,122192, -6472, -6472,
   -6472, -6472, -6472, -6472,  3643,  4514, 56064,  1896, -6472, -6472,
    4515,  4517,  4070,  4070, -6472, -6472, 56064, -6472, 12639, 60257,
    4867, -6472, 56064, 56064, 56064, -6472,  4519,  2793,  2794, -6472,
   -6472,   159, -6472,  4859, -6472, -6472, -6472, 13722,  4578, 22284,
    4627,  4523,  1926,  3500,  3500,  6000,  3500, 56064, 56064,  3500,
    3500, 56064, -6472, -6472, -6472, 13917, -6472,  4999,  3961, -6472,
   -6472, -6472, -6472,  4525, -6472, -6472, -6472, -6472, 87099,  4529,
    4120,119317,  4530,122192,  2335, 63799, -6472, -6472,  2713, -6472,
   63799,  4838, -6472, 63799, 88251, -6472,122192,  4534,122192, -6472,
    2072, 56064,  4575, -6472,  4575, -6472,  2576, -6472, -6472, -6472,
   -6472, -6472,  4677,  4535, -6472,111267,   853, -6472,  2160, -6472,
   -6472,  4978, 65557,  4935, 21652, 56064, -6472, -6472, -6472, -6472,
   -6472,158122,  4764,158122,  1967, -6472, -6472, -6472, -6472, -6472,
   -6472,  4543, -6472, -6472, -6472, -6472,  4633, -6472, -6472,   120,
    3820,  1967, -6472, 14254,  4871, 65557, 77837,122192, -6472,122192,
   -6472,145767,  4547,  4755,  4550,  4551, -6472, -6472, -6472, -6472,
    5038,  4923,  4925, -6472, -6472,  4553, -6472, -6472, -6472,  4765,
   -6472, -6472, 73084,159140,122192, -6472,  4637, -6472, -6472, -6472,
   -6472, -6472, -6472, 66729, 76649, -6472,  1001,  4554,  4555,   957,
   -6472, -6472, -6472,122192, 14383,  4557, 15102,  1106,  3820,122192,
  122192,  4560,  4571,  4572,  1949,  1806,  2250,  3852,  4918,122192,
   -6472, -6472, -6472,  4765, -6472, -6472,122192, -6472,  1204, -6472,
   -6472, -6472, -6472, 85947, -6472,  2926,  4469,  2071, 88251,  5072,
    5072, 15296,  4814, -6472, -6472,   203,  4904, -6472,  4653,  4849,
    4653,  4584,122192,  1570,  4592,  2808, -6472,122192,  4594,  4722,
    1620,  1620,122192,122192,122192,  2809,  2324,  3148,  4340,  1096,
    4969, 99192,  5016,  4324,   476, -6472,122192,  5092,111267,  2324,
    4128,122192,  4597,  1276, -6472, 99767,  4820,  4332,122192,  2725,
    4549,  3848,  1796,122192, -6472,  1873, -6472,  2324, -6472,122192,
  113567, 65557,  4957, -6472, 96315, -6472,  2813, -6472, -6472, -6472,
    4679, 16692,  4003,  4729,  4730,  4603,  2428,  4968,122192,  1534,
   -6472,  4618, -6472, -6472, -6472, -6472, -6472, -6472, -6472,122192,
     518, -6472, -6472, -6472, -6472,  4604, -6472,  5100, 56064,  1211,
   -6472, -6472, -6472, -6472, -6472,  4836, -6472,  4626, -6472, -6472,
    2862,  1896, 21743, -6472,  4187, 60257, 22284, 22284, 22284, 56064,
   -6472, 56064, -6472, -6472, -6472, -6472,   178, -6472, -6472,  4949,
    4644,  3500,  3500,  3500, -6472, 56064,   286, 56064, -6472,  2822,
    5108, 59658,  5074, -6472,122192,  2825, -6472, 56064,  4625, -6472,
   -6472, 63799,  2713,  4634,  2828,122192,  2833, 95739, 58460, 22284,
  122192, -6472, -6472, -6472, -6472,  1139,  5044, -6472, -6472, -6472,
    4681,122192,  2838, -6472,   194,  2216,   765, -6472,  5126,  5126,
   22284,  1955,  1528,   393, -6472,122192,  4743, -6472,  4884,  4650,
    3776, -6472,  4654, -6472, -6472,  1117,  3397,122192,  4802, -6472,
    4871,  4871,  4332,  4970, -6472, -6472, 56064,  4692, -6472,  1512,
    3820,122192, 95739, -6472,   217,  5009, -6472, 95739, 95739, -6472,
   -6472, -6472, 56064, -6472,  4749, -6472, -6472, -6472, 56064, 56064,
  162703, -6472, -6472,122192,122192,122192,122192,122192, -6472,   356,
   -6472, -6472,  2845, -6472,151454, -6472, -6472,  3586,  2071,  3586,
    2204, -6472, -6472,  3586,  3586, -6472,  4003, -6472,  5072,  1678,
   -6472, -6472,  4718,  4655, 56064, -6472,  4980, -6472,  1197,  4876,
   -6472,  4656, -6472, 88251,  5183, -6472, 85947,  4128,  4651,122192,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472,  2851,  4324,  5027,  3830,  4539, -6472,122192,  4698,
   -6472, 63799,  4324,  2324,  2672,  3919,  4549,  4128,  4651, -6472,
   -6472, -6472,  4664,  4573,  3848,  2725,  4821, -6472,  4823, -6472,
    5134,  4897,  5137,  3919, -6472,  4336,  2855,122192, -6472, -6472,
    5237, 97467, 95739, -6472, -6472, -6472,  4673,  5075,  4723,  4733,
   -6472, -6472, -6472,  2428, -6472,  1886,  5073,  4731, -6472,  4741,
  122192, -6472, -6472,  2812,  5205,  4324,   356, 56064, 85947, 22284,
   -6472, -6472,  5069, -6472,   363,   318,  2088,  4911,  4690, 56064,
    4187,  2860,  2864,  4752, -6472, -6472, -6472,  3927, 54866, 54866,
   54866,  4691, 21856,  4257, 87099,  4696, -6472, 60257,  2868, -6472,
    3635,122192,  2871, -6472, 22284,122192, -6472, -6472, 56064, -6472,
    2872, -6472,  4697,  1191,  4715, 43505,  4695, -6472, -6472, -6472,
   -6472, -6472, 22284,  4711, -6472,  5214,  5094,  5098,122192, -6472,
    2324, -6472,  4003, 65557, -6472,  4868, -6472,  4995, -6472, -6472,
   56064,  4828,  4830, -6472,  5091, -6472, -6472,122192, -6472,122192,
    4653, 76649,  3986,  1117, -6472,122192,  3776,  3776,  4655, 16372,
   56064, -6472,  4840, -6472, -6472,  2890,  1975, -6472, -6472,  2894,
    2898, 16925,122192,  2899,  2910, -6472,  2911,  3224,  3859,  2250,
    3859, -6472,  3852, -6472, -6472, 85947, -6472, -6472,158631, -6472,
   -6472, -6472,  2071, -6472,  2071,  4976, 80169, 80748,  2071,  2071,
   -6472, -6472, -6472, -6472, -6472,  3801, -6472, 16965,  4841, -6472,
   -6472, -6472,   604, -6472,  4971,  4977, -6472,  4754, -6472,  2915,
   -6472,  1914,  4891,  4324, -6472, -6472,122192,  5252,  5253, -6472,
    1519,122192,  4234, -6472,  4539,  3919, -6472,  3848,  1914,  4549,
    4332, 66143,  4591,  2725,  4573, -6472, -6472,  4981, -6472,  4983,
   -6472,  4762,  5095, -6472,  1965,   384, -6472, -6472, -6472,  1786,
    5117,  5119, -6472, -6472, -6472,  3586, -6472,  2112,  4770,  5145,
   -6472, -6472, -6472, -6472, -6472,122192, -6472, -6472, -6472, -6472,
   -6472,  4811,   338,   376, -6472,  4812, -6472,  4954,  4955,  1896,
    2602, -6472, 22284, -6472, -6472, -6472, 59059,  4927,  1656, 18644,
    5158, -6472,  5158,  5158, -6472,122192,  4985, -6472, -6472,122192,
    3530,  4781, 59658, 85947,  2929, -6472, 93435, -6472,  2945,  2949,
   -6472, 56064,  4785, 56064, -6472, 58460,122192,  4786,  5261,  5262,
    1552, -6472, -6472, -6472, 71348,  5264, 22284,   610,  1766,158122,
    3820,  2954,  4091,  4790, -6472,  3986,  4792,  4653,  4653, -6472,
   -6472, 22284,122192, 88251,  5268, -6472, -6472, -6472, -6472,  3820,
    4882, -6472, -6472,162703, -6472,122192, -6472, -6472,  2958, -6472,
   -6472, -6472, 81327, -6472,  4507, -6472,  4507, -6472, -6472,  2644,
    4908,122192,  1114,  1114,  5206, -6472,  4863, -6472,  4799, -6472,
    5328,  4938,122192, -6472, -6472,  1001,  2324, 99192,  4324, -6472,
    1276,  2725,  4549,  3848, 56064,  2959, -6472,  4884,   413, -6472,
    4573,  4591, -6472, -6472, 65557,  4809,  3464,  5202, -6472, -6472,
   -6472,  2013, 88251, 88251,122192, -6472, -6472, -6472, 56064,  1570,
   -6472, -6472,  4850, -6472,  4851, -6472, -6472,  5039,  5040,  4815,
    1896, -6472,  5311, -6472, -6472, -6472, -6472, -6472,  1601, -6472,
   -6472, -6472, -6472,  5275,  2973, 61455, -6472, -6472, -6472,122192,
    5042,  1619,  5320,  4992,  2978, 58460,  2981, -6472, -6472, -6472,
  122192,122192,122192,  1941,  2162, -6472,  5068,  4961, -6472, -6472,
    5076,   250, -6472,   393, -6472, -6472, -6472, -6472, -6472,122192,
    4849, -6472, -6472,  3820, -6472,122192, -6472,  4833, -6472, -6472,
   -6472,158631, -6472,  4507, -6472, -6472, -6472, -6472,  5341, -6472,
    1124, -6472, -6472, -6472, -6472,122192,  4324,  4440,  4539, -6472,
   -6472,  4573,  3848,  2725, 17564, -6472, 66143,122192,122192,  4591,
   -6472,  2982, 65557,  3830,  4984, -6472,  2017, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472,   999,  4834,  4839, -6472, -6472, 17654,
   88251, -6472, -6472,  4987,  4989, -6472,  5060, 55465,  4994, -6472,
    5056, -6472,  4845, -6472,  4120, -6472, -6472, 60257,  5082, -6472,
   60257,  1619, -6472, 60257,122192, -6472,  4848, -6472, -6472,  2988,
   -6472,  1558,  1590,  2191, -6472, -6472, -6472, -6472, 71348, -6472,
    4906,  2160,  4852,122192, -6472, -6472,  1967,  4431,  4876,  1967,
    1967, -6472, -6472, 56064, -6472, -6472,  2707,  2707,  4324, -6472,
   -6472,  4591,  2725,  4573,  4884, -6472, -6472, -6472, -6472,  5095,
   -6472,  2991,  4591,  4731,  2401, -6472, -6472,  2417,  2893,  4942,
    5210, -6472,  4856,  4966,  4973,  5242, -6472, -6472, -6472,146342,
    5312,  3530, -6472,  3530, -6472,  3530, -6472, 56064, -6472,122192,
  122192, 87675,122192,  4858, -6472,  4916, 56064,  2994,  4861, -6472,
    2997, -6472, -6472, -6472, -6472,  4573,  4591,122192,  3464, -6472,
   65557,  4003,  5243, -6472,  2017,  4991,  4993, 85371, -6472, -6472,
   -6472,   390,  3000, -6472, 94011,122192, 17691, -6472, -6472,  5394,
     327,  5282, -6472,  4926,  3001,   182, -6472,  1967, -6472,  4591,
   -6472, -6472,  3830, -6472, -6472,  1570, -6472,  4915,  4917,  3005,
   -6472, -6472, -6472, -6472, -6472, -6472,  2071,  1896,146342,  5096,
     247,  3008, -6472, 56064, 87675, -6472, -6472,  2160, -6472, -6472,
    4591, 88251,  5230,  5235, -6472, 85371,  2360,  4885, -6472, -6472,
    5084,  2071,  2862,  5084, -6472,   906,  4946,  4945,  4003,  4889,
   88251, 88251, -6472,122192,  4890, -6472,  1896, -6472,  2088,  2862,
    4892,122192,  4926, -6472, 85371, -6472, -6472,  5337,146342, -6472,
    1896,  2088,  2071, -6472, -6472,  3019,  4894,  3024, -6472,  1896,
   -6472,146342, -6472, -6472,  3025, -6472
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    3400,     0,     2,     1,  3835,  3839,  3843,  3844,  3766,  3845,
    3846,  3811,  3812,  3813,  3814,  3815,  3816,  3817,  3818,  3819,
    3820,  3821,  3822,  3824,  3823,  3825,  3826,  3827,  3828,  3829,
    3830,  3831,  3832,  3834,  3833,  3784,  3407,  3783,  3780,  3781,
    2453,  3848,  3836,  3849,  3837,  3838,  3840,  3841,  3810,  3842,
    3850,  3851,  3852,  3847,  3855,  3806,  3807,  3805,  3808,  3809,
    3853,  3854,  3797,  3798,  3799,  3800,  3856,  3408,  3409,  3802,
    3401,  3405,  3470,  3550,  3803,  3804,  3801,  3406,  3796,  3550,
       0,     0,  3602,  3564,     0,     0,     0,  3549,  3526,  3532,
    3655,     0,  3497,  3498,  3494,  3496,  3495,  3499,  3482,  2015,
    1483,   684,  1572,  1571,     0,  1483,     0,   282,     0,  1583,
       0,  1483,   450,  1140,  3424,     0,  3509,     0,     0,     0,
     684,  1483,     0,     0,  1742,     0,  3507,     0,     0,  2015,
       0,     0,  1756,     0,     0,  3508,     0,     0,     0,  1280,
       0,     0,     0,  1483,     0,     0,  1763,     0,     0,     0,
    3511,     0,  3510,  1756,  3651,  3527,     0,  1585,     0,  3506,
       0,     0,     0,     0,     3,    38,    73,    74,    31,    30,
      91,    56,    17,    64,   126,   125,   127,    43,    39,    81,
      26,    28,    40,    44,    66,    68,    33,    57,   103,    65,
      24,    63,    69,    89,    51,    12,    13,    52,    14,    53,
      15,    54,    99,    75,    92,    36,    62,    23,    45,    71,
      72,     5,    47,    79,    11,    58,    59,    61,    84,    85,
      86,   109,    87,   121,    42,   118,    96,    97,   115,    98,
     116,     9,   100,    55,    16,   112,   111,   113,    82,    48,
      83,    70,    90,   110,    27,   114,    18,    19,    21,    22,
      20,    60,    29,    67,    32,    88,   117,   107,   102,   122,
     120,     4,   128,   104,    76,     7,     8,    93,     6,    25,
      50,    10,    35,    34,    49,    41,   124,    37,  1583,    95,
     108,    94,   101,    80,   105,   123,   106,    78,   119,  1718,
    1705,  1765,  1709,  1741,     0,  1721,    46,  1742,   130,   131,
     132,   137,  3404,  3459,  3460,  3461,  3550,  3492,  3493,  3486,
    3502,  3521,  3501,  3514,  3522,  3500,  3528,     0,   134,   136,
     138,   141,   135,   129,   133,   140,   145,   139,   144,   142,
     143,   146,   147,   148,    77,  3477,  3476,     0,  3550,     0,
    3777,  2471,  2472,  2473,  2474,  2475,  2476,  2477,  2478,  2479,
    2480,  2481,  2482,  2483,  2484,  2485,  2487,  2486,  2488,  2489,
    2849,  2490,  2491,  2492,  2789,  2790,  2850,  2791,  2792,  2493,
    2494,  2495,  2496,  2497,  2498,  2499,  2500,  2501,  2793,  2502,
    2503,  2504,  2505,  2506,  2794,  2851,  2507,  2508,  2509,  2510,
    2511,  2512,  2852,  2513,  2514,  2515,  2516,  2517,  2518,  2519,
    2520,  2521,  2853,  2522,  2523,  2460,  2854,  2461,  2524,  2525,
    2526,  2527,  2528,  2795,  2796,  2529,  2530,  2531,  2532,  2533,
    2534,  2535,  2536,  2537,  2538,  2539,  2540,  2541,  2542,  2543,
    2544,  2545,  2546,  2547,  2548,  2549,  2550,  2551,  2552,  2553,
    2554,  2555,  2556,  2557,  2558,  2797,  2559,  2560,  2561,  2562,
    2798,  2563,  2564,  2565,  2566,  2799,  2567,  2568,  2569,  2570,
    2855,  2856,  2571,  2572,  2573,  2574,  2575,  2800,  2801,  2576,
    2577,  2578,  2579,  2580,  2581,  2857,  2582,  2583,  2584,  2585,
    2586,  2587,  2588,  2589,  2590,  2591,  2592,  2593,  2594,  2858,
    2802,  2595,  2596,  2597,  2803,  2804,  2598,  2859,  2860,  2599,
    2861,  2805,  2806,  2807,  2808,  2809,  2810,  2811,  2812,  2813,
    2814,  2815,  2600,  2601,  2602,  2603,  2604,  2605,  2606,  2607,
    2816,  2862,  2608,  2863,  2609,  2610,  2611,  2612,  2613,  2614,
    2615,  2616,  2617,  2618,  2619,  2620,  2621,  2817,  2622,  2623,
    2624,  2625,  2626,  2627,  2818,  2864,  2819,  2628,  2629,  2630,
    2631,  2632,  2633,  2634,  2635,  2820,  2821,  2636,  2637,  2638,
    2865,  2639,  2822,  2640,  2823,  2641,  2642,  2643,  2644,  2645,
    2646,  2647,  2648,  2649,  2650,  2651,  2824,  2866,  2652,  2867,
    2825,  2653,  2654,  2655,  2656,  2657,  2658,  2659,  2660,  2661,
    2662,  2663,  2664,  2665,  2666,  2667,  2826,  2668,  2827,  2671,
    2669,  2670,  2672,  2673,  2674,  2675,  2676,  2677,  2678,  2679,
    2680,  2681,  2682,  2828,  2683,  2684,  2685,  2686,  2687,  2688,
    2689,  2690,  2691,  2692,  2693,  2694,  2695,  2696,  2697,  2698,
    2699,  2700,  2868,  2701,  2702,  2703,  2704,  2705,  2829,  2706,
    2707,  2708,  2709,  2710,  2711,  2712,  2713,  2714,  2715,  2716,
    2717,  2718,  2719,  2462,  2720,  2721,  2830,  2722,  2723,  2869,
    2724,  2725,  2831,  2726,  2727,  2728,  2729,  2730,  2731,  2732,
    2733,  2734,  2735,  2736,  2737,  2738,  2739,  2740,  2741,  2832,
    2742,  2743,  2744,  2745,  2870,  2746,  2747,  2748,  2749,  2750,
    2751,  2752,  2833,  2834,  3424,  2753,  2754,  2835,  2755,  2836,
    2756,  2757,  2758,  2759,  2760,  2761,  2763,  2762,  2764,  2765,
    2766,  2767,  2768,  2769,  2770,  2771,  2772,  2773,  2774,  2837,
    2775,  2871,  2776,  2777,  2778,  2779,  2780,  2781,  2782,  2783,
    2784,  2785,  2786,  2838,  2839,  2840,  2841,  2842,  2843,  2844,
    2845,  2846,  2847,  2848,  2787,  2788,  3442,  2458,  2459,  2466,
    2467,  2468,  3417,  3438,  3444,  3773,  3443,  2465,  3601,     0,
       0,  3672,  3673,  3694,  3674,  3675,  3676,  3695,  3696,  3677,
    3678,  3679,  3680,  3681,  3682,  3683,  3684,  3685,  3697,  3686,
    3687,  3688,  3689,  3690,  3691,  3692,  3693,  3698,  3699,  3748,
    3749,  3750,  3751,  3752,  3754,  3753,  3563,  3721,  3757,  3562,
    3758,  3566,  3759,  3760,  3761,  3762,  3722,  3763,  3565,  3755,
    3718,  3567,  3560,  3561,  3719,  3670,  3671,  2433,  3720,  3717,
    3756,  3445,  3716,  3571,  3570,  1694,  3772,  1695,     0,  3573,
    3700,  3701,  3702,  3703,  3705,  3704,  3706,  2872,  2873,  2874,
    2875,  2876,  2877,  2878,  2879,  2880,  2881,  2882,  2883,  3731,
    2884,  2885,  2886,  3747,  2887,  2888,  3732,  2889,  2890,  2891,
    2892,  2893,  2894,  2895,  2896,  2897,  2898,  2899,  2900,  2901,
    2902,  2903,  2904,  2905,  2906,  2907,  2908,  2909,  2910,  2911,
    2912,  3733,  3734,  2913,  2914,  2915,  2916,  2917,  2918,  2919,
    2920,  2921,  2922,  2923,  2924,  2925,  2926,  2927,  2928,  2929,
    2930,  2931,  2932,  2933,  2934,  2935,  2936,  2937,  3735,  2938,
    2939,  3736,  2940,  2941,  2942,  3737,  2943,  2944,  2945,  2946,
    2947,  3741,  3742,  3743,  3744,  3745,  3746,  3730,  3524,  3707,
    3729,  3738,  3739,  3740,  3534,  3530,  3538,  3533,     0,     0,
       0,     0,  3550,  2004,  2005,  2006,  2003,  2016,  2002,     0,
    3465,  2007,  3513,  1482,  1481,  1496,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   683,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3414,     0,  1493,   159,     0,  3725,  3719,  3728,
       0,  2436,  3720,  3717,  3716,   420,   419,  1582,     0,  1561,
     684,     0,  1496,   449,  1742,     0,     0,     0,     0,     0,
       0,   901,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   151,     0,   153,     0,     0,   474,
     473,     0,     0,  1112,   479,     0,     0,     0,     0,     0,
     674,  3423,  3418,  3428,     0,  3421,  3422,  3716,     0,  3859,
    2669,  3454,  3455,  3857,     0,  2732,  1696,  1694,  3772,     0,
     283,   286,   287,   284,   285,     0,  1252,  1253,  1255,     0,
       0,  1265,   939,   940,     0,     0,     0,   953,     0,     0,
       0,   937,     0,     0,     0,   959,     0,   956,     0,     0,
     960,   957,   934,   958,   941,     0,   933,     0,     0,  1265,
     961,     0,     0,   935,     0,     0,     0,     0,  1496,     0,
    3516,  3517,  2582,  1622,   480,     0,     0,  1742,     0,  1606,
    1607,  1583,  1595,  1608,  1600,  1602,  1601,  1603,  1604,  1599,
    1605,  2473,  1036,  2490,  1036,  2570,  1033,  1034,  1036,  1036,
    1036,  2689,     0,     0,  1008,     0,  1019,  2454,  1036,  2455,
    3773,  1041,  2481,   562,   562,   562,     0,  1040,  1045,   562,
       0,  3512,  1464,  1505,  2435,  1755,     0,  2490,  2570,  1009,
    1463,     0,  2753,  1612,     0,     0,     0,     0,  2708,  1473,
     267,  3714,  2719,  2833,  2753,  3715,   266,   261,   262,  3709,
    3710,  3712,   235,  3713,  3711,  3708,     0,     0,  1040,   562,
       0,  1496,  1471,  1005,  1762,  1760,     0,  2420,     0,     0,
    2500,     0,  2516,  2611,   258,  2701,  2710,  2719,  2833,  2753,
    2786,   214,   224,   219,     0,   276,  2719,  2833,  2753,     0,
    1493,     0,  1722,  1871,  1870,  2429,     0,     0,  3525,  1466,
    1465,  1584,     0,  1587,     0,  2684,  1726,  1729,  1589,  1727,
    1718,     0,     0,  3403,     0,  1594,  1759,  1759,     0,  1759,
       0,  1710,  1718,  1713,  1717,     0,     0,     0,     0,     0,
    1483,     0,  3484,  3521,  3491,  3556,  3488,     0,     0,  3546,
    3542,  3539,  3547,  3548,  3541,  3529,  3471,     0,  3479,  3478,
    3785,  3786,  3603,  3416,  3435,     0,     0,     0,     0,     0,
       0,     0,  3572,  3574,  3576,  3536,  3535,  3531,     0,     0,
       0,  3661,  3662,     0,  3660,     0,  3657,  3659,     0,  3556,
       0,     0,     0,     0,     0,     0,     0,     0,  3462,   668,
    3464,   665,     0,  1467,     0,     0,     0,   964,     0,  1508,
    1097,     0,     0,     0,     0,     0,  1349,     0,  1148,  1149,
       0,  2458,     0,  2581,  1349,     0,     0,  2263,  2274,  2275,
    2276,  2504,  2563,  2271,  2272,  2273,  2265,  2266,  2267,  2268,
    2269,  2270,     0,     0,  1247,  2264,     0,  2581,     0,  1349,
       0,   186,     0,   163,  1349,     0,     0,  2581,     0,     0,
    2581,     0,     0,     0,     0,     0,  2581,     0,     0,     0,
       0,     0,   186,  2616,     0,   163,  2581,     0,     0,     0,
    1487,     0,     0,     0,  1489,  1492,  1479,     0,  2344,     0,
    2345,  2437,  1576,     0,  1575,  1569,  1579,  1574,  1564,     0,
    2429,     0,     0,     0,     0,   947,     0,     0,   937,     0,
       0,     0,   948,     0,   949,   950,     0,     0,     0,     0,
     946,     0,  1477,  1469,     0,  1614,  1616,  1615,  1617,  1613,
     562,     0,     0,     0,  2581,     0,   163,  1547,     0,  2581,
     163,     0,     0,   478,   477,   163,   476,   475,  2504,  2563,
       0,  1139,     0,  1222,   163,  2581,     0,   207,  2581,   743,
    2581,  1589,   152,     0,   687,     0,   855,  2616,   163,     0,
       0,     0,     0,     0,     0,   155,     0,     0,     0,     0,
       0,     0,     0,   673,   684,     0,  3427,  3433,     0,  3425,
    3604,  3860,  3858,  3464,  3559,     0,  3456,  1256,   259,   260,
    1254,   951,  2581,  1181,   158,     0,     0,  2581,   163,  1964,
    1993,  1971,  1993,  1993,  1960,  1960,  2544,  1973,  2581,  1961,
    1962,  1998,  2018,     0,  1993,  1960,  1965,     0,  1963,  2001,
    2001,  1988,   158,   968,  1943,  1944,  1945,  1946,  1974,  1975,
    1947,  1980,  1981,  1985,  1948,  2015,  1951,  3726,  1960,  3727,
    3724,  3723,   952,     0,   938,  2581,   158,  1145,  2581,  2463,
     196,     0,   936,  2504,  2563,  2581,   158,  1249,     0,  2581,
     158,  2581,   192,  2581,   158,  2581,   158,  2581,   688,     0,
       0,  2581,   158,  2581,  2616,   194,   955,  2581,   158,   962,
    2581,   158,  2431,  2581,     0,  1480,     0,     0,  3790,  3794,
       0,  3792,  3787,  3515,  3569,  3568,  3458,     0,  3871,     0,
    1696,  1597,     0,  1742,  1036,  1035,     0,  1036,     0,  3881,
    1036,     0,  1036,     0,  3881,  1036,     0,     0,     0,  1036,
    2456,  2457,     0,     0,  3880,  3876,  3879,  1010,  1020,     0,
    1042,     0,  1050,     0,  1049,  1048,  1047,     0,     0,     0,
    1051,     0,  1875,  1649,     0,  1017,     0,  1015,     0,  1461,
    3464,  1476,     0,     0,     0,     0,   155,     0,  1278,  1275,
     155,  1277,  1276,   155,   155,  1472,   265,   263,     0,     0,
       0,     0,     0,     0,  1478,     0,  1470,     0,     0,     0,
    3779,  3782,  2277,  3778,     0,  2790,  2791,  2792,  2336,     0,
    3721,  2793,  2794,  2851,  2151,  2137,  2146,  2152,  2138,  2140,
    2147,  2795,  2796,  2086,  2797,  2798,  2449,  2799,  2800,  2801,
    2803,  2804,  2805,  2806,  2807,  2808,  2809,  2810,  2811,  2812,
    2813,  2815,  2816,  2142,  2144,  2817,  2818,  2819,  2821,     0,
    2450,  2822,  2823,  2647,  2825,  2826,  2828,  2829,  2148,  2831,
    2832,  2149,  2833,  2834,  2835,  2836,  2448,   522,  2150,  2837,
    2839,  2840,  2841,  2842,  2844,  2845,  2846,  2847,     0,     0,
       0,  2426,     0,  2115,     0,  1952,  1953,  1976,  1977,  1954,
    1982,  1983,  1955,     0,  1956,  2425,  2019,  2222,  2114,  2132,
       0,  2120,  2121,     0,  2113,  2109,  2224,  1745,  2421,     0,
    2110,  2438,  2337,  2452,  2451,  3773,  2347,  2441,  2439,  2440,
    2442,  1745,  2419,     0,     0,     0,   227,     0,     0,  3650,
     278,     0,   279,  2427,  2719,   215,   257,   229,   256,   230,
     228,     0,  2502,   216,     0,     0,   217,     0,     0,     0,
       0,     0,     0,     0,   272,  1468,     0,  1873,  1872,  2430,
     973,     0,     0,  1586,  1583,  2287,     0,  1728,     0,     0,
       0,  1708,  1707,     0,  1591,  1593,  1567,  1589,  1757,  1758,
       0,     0,     0,     0,     0,     0,     0,     0,  1815,  1773,
    1774,  1776,  1812,  1816,  1824,     0,  1714,     0,     0,     0,
    1877,     0,     0,  3402,  3556,  3557,     0,  3551,     0,  3550,
    3550,  3544,  3543,  3540,     0,     0,  3437,     0,  3441,  3439,
       0,  3596,  3599,     0,  3597,  3598,  3600,     0,  3605,  3606,
       0,     0,     0,     0,     0,  3587,  3575,  3582,  3584,  3586,
    3585,  3594,  3590,  3593,  3595,  3537,  3550,     0,  3663,  3669,
    3666,  2518,     0,  3658,     0,  3468,  2009,  2010,  2011,  2012,
    2013,  2014,  3469,     0,  3466,  2008,  3467,   666,   667,     0,
       0,  1494,     0,     0,     0,     0,     0,  1180,     0,     0,
       0,     0,     0,   965,     0,     0,     0,     0,  1516,  1517,
    1518,     0,     0,     0,  1519,  1520,  1508,   269,  1527,  1524,
    1507,  1509,  1522,  1514,     0,     0,     0,     0,     0,     0,
       0,  1539,     0,   200,   201,     0,   700,   684,     0,  2581,
       0,     0,     0,     0,  1190,  1197,  1348,     0,     0,     0,
       0,     0,     0,     0,     0,  1191,  1189,     0,  1192,   271,
    1202,  1229,  1232,     0,     0,  1147,  1150,     0,     0,     0,
       0,     0,  1339,     0,     0,     0,  1339,     0,     0,     0,
    1348,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     294,   296,   309,   375,     0,     0,     0,  2581,  1349,     0,
       0,     0,  1251,     0,     0,     0,     0,     0,     0,     0,
       0,  1232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,   162,   167,     0,     0,     0,     0,  1232,     0,
       0,     0,     0,     0,     0,     0,   649,   664,   652,     0,
       0,     0,     0,     0,   660,     0,     0,   163,   662,   299,
     639,   645,     0,     0,     0,   750,   749,     0,     0,     0,
       0,     0,     0,  1437,     0,  1436,     0,     0,     0,     0,
       0,  1537,  1536,     0,     0,     0,     0,     0,     0,  1339,
       0,   288,   290,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
       0,     0,     0,   167,     0,     0,  1339,     0,   301,     0,
    3472,     0,  1488,  1485,  1486,     0,  1491,     0,     0,     0,
       0,  2123,     0,  2291,  1765,  2289,  1165,  2343,     0,  2340,
    2339,  2434,  2346,  1559,     0,   246,   247,   245,  1577,   248,
    1578,  1573,     0,  1560,     0,     0,     0,     0,     0,     0,
       0,     0,  2504,  2563,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     863,  1508,  1546,     0,     0,     0,   693,     0,  2581,     0,
     165,   902,     0,   853,   479,     0,     0,     0,     0,  1413,
     165,     0,     0,   203,     0,     0,   747,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   854,     0,     0,
     165,     0,  2581,   642,  2581,     0,   562,   562,     0,     0,
     154,   151,     0,     0,     0,     0,     0,     0,     0,     0,
    3431,  3426,  3429,     0,  3419,  3433,     0,  1700,  1699,  1702,
    1701,     0,  1698,     0,   156,   157,     0,  1239,  1264,     0,
       0,     0,  1992,  1979,  1987,  1986,     0,  1969,  1968,  1967,
       0,  1966,     0,  1993,  1993,  1991,  1970,  1943,     0,     0,
       0,  1997,     0,  1995,     0,   929,  1939,  1935,     0,  2004,
    2003,  2002,     0,  1949,  1960,  1957,   954,     0,     0,  1233,
       0,     0,  2581,   158,  2581,     0,  2581,     0,     0,     0,
    1241,   158,     0,  1235,     0,     0,  1237,     0,  1439,     0,
     945,   943,   942,   944,     0,     0,   927,     0,     0,     0,
       0,     0,   922,     0,     0,   924,     0,     0,  3788,     0,
       0,  3791,     0,  3518,     0,  3877,  1618,  3874,     0,     0,
    1742,  1596,     0,  1028,     0,  3881,  3882,  1013,     0,  1023,
       0,  3881,  1011,     0,  1024,  1021,  1022,     0,     0,     0,
    3875,  3764,  3770,  1027,     0,     0,   563,   569,     0,     0,
    2527,  2543,     0,  2571,  2604,  2605,  2657,  2675,  2704,  2710,
    2715,     0,  2746,  2758,     0,  1056,  1094,  1046,   759,     0,
       0,  1659,  1018,  1016,  1462,     0,  1610,  2296,     0,  1742,
       0,     0,  1279,     0,     0,   151,   264,   236,     0,     0,
    1094,     0,  2708,  1475,  1004,   684,     0,     0,  2118,  2119,
    2335,     0,     0,     0,     0,     0,     0,  2117,     0,     0,
       0,     0,  2392,     0,     0,  2392,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2042,     0,     0,  2295,
       0,     0,  2295,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2043,  2024,  2025,  3722,  2115,
    2287,     0,  2116,  2445,     0,  2015,  2277,     0,  2274,  2275,
    2276,  2948,  2949,  2950,  2951,  2952,  2953,  2954,  2955,  2956,
    2957,  2958,  2959,  2960,  2961,  2962,  2963,  2964,     0,  2965,
    2966,  2967,  2968,  2969,  2971,  2970,  2972,  2973,  2974,  2975,
    2976,  2977,  2350,  2979,  2980,  2981,  2982,  2983,  2984,  2985,
    2986,  2987,  2988,  2989,  2990,  2991,  2992,  2993,  2994,  2995,
    2996,  2997,  2998,  2999,  3000,  3001,  3002,  3003,  3004,  3005,
    3006,  3007,  3008,  3009,  3010,  3011,  3012,  3013,  3014,  3015,
    3016,  3017,  3018,  3019,  3020,  3021,  3022,  3023,  3024,  3025,
    3026,  3027,  3028,  3029,  3030,  3031,  3032,  3033,  3034,  3035,
    3036,  3037,  3038,  3039,  3040,  3041,  3042,  3043,  3044,  3045,
    3046,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,
    3056,  3057,  3058,  3059,  3060,  3061,  3062,  3063,  3064,  3065,
    3066,  3067,  3068,  3069,  3070,  3071,  3072,  3073,  3074,  3075,
    3076,  3077,  3078,  3079,  3080,  3081,  3082,  3083,  3084,  3085,
    3086,  3087,  3088,  3089,  3090,  3091,  3092,  3093,  3094,  3095,
    3096,  3097,  3098,  3099,  3100,  3101,  3102,  3103,  3104,  3105,
    3106,  3107,  3108,  3109,  3110,  3111,  3112,  3113,  3114,  3115,
    3116,  3117,  3118,  3119,  3120,  3121,  3122,  3123,  3124,  3125,
    3126,  3127,  3128,  3129,  3130,  3131,  3132,  3133,  3134,  3135,
    2057,  3136,  3137,  3138,  3139,  3140,  3141,  3142,  3143,  3144,
    3145,  3146,  3147,  3148,  3149,  3150,  3151,  3152,  3153,  3154,
    3155,  3156,  3157,  3158,  3159,  3160,  3161,  3162,  3163,  3164,
    3165,  3166,  3167,  3168,  3169,  3170,  3171,  3172,  3173,  3174,
    3175,  3176,  3177,  3178,  3179,  3180,  3181,  3182,  3183,  3184,
    3185,  3186,  3187,  3188,  3189,  3190,  3191,  3192,  3193,  3194,
    3195,  3196,  3197,  3198,  3199,  3200,  3201,  2059,  3202,  3203,
    3204,  3205,  3206,  3207,  3208,  3209,  3210,  3211,  3212,  3213,
    3214,  3215,  3216,  3217,  3218,  3219,  3220,  3221,  3222,  3223,
    3224,  3225,  3226,  3227,  3228,  3229,  3230,  3231,  3232,  3233,
    3234,  3235,  3236,  3237,  3238,  3239,  3240,  3243,  3241,  3242,
    3244,  3245,  3246,  3247,  3248,  3249,  3250,  3251,  3252,  3253,
    3254,  3255,  3256,  3257,  3258,  3259,  3260,  3261,  3262,  3263,
    3264,  3265,  3266,  3267,  3268,  3269,  3270,  3271,  3272,  3273,
    3274,  3275,  3276,  3277,  3278,  3279,  3280,  3281,  3282,  3283,
    3284,  3285,  3286,  3287,  3288,  3289,  3290,  3291,  3292,  3293,
    3294,  3295,  3296,  3297,  3298,  3299,  3301,  3300,  3302,  3303,
    3304,  3305,  3306,  3307,  3308,  3309,  3310,  3311,  3312,  3313,
    3314,  3315,  3316,  3317,  3318,  3319,  3320,  3321,  3322,  3323,
    3324,  3325,  3326,  3327,  3328,  3329,  3330,  3331,  3332,  3333,
    3334,  3335,  3336,  3337,  3338,  3339,  3340,  3341,  3342,  3343,
    3344,  3345,  3346,  3347,  3348,  3349,  3350,  3351,  3352,  3353,
    3354,  3355,  3356,  3358,  3357,  3359,  3360,  3361,  3362,  3363,
    3364,  3365,  3366,  3367,  3368,  3369,  3370,  3371,  3372,  3373,
    3374,  3375,  3376,  3377,  3378,  3379,  3380,  3381,  3382,  3383,
    3384,  3385,  3386,  3387,  3388,  3389,  3390,  3391,  3392,  3393,
    3394,  3395,  3396,  3397,  3398,  3399,     0,  2271,  2272,  2273,
    2265,  2266,  2267,  2268,  2269,  2270,  2281,     0,     0,  2424,
    2470,  2469,     0,  2224,     0,  2039,     0,  2232,     0,     0,
    1828,  1744,     0,  2443,  2338,     0,  3771,  3774,  2111,  1828,
    3647,  3646,  3645,  3644,  3615,     0,  3609,  3610,     0,  3648,
    3649,   280,   281,   277,     0,     0,   232,   231,     0,   254,
     255,   226,   253,     0,   249,   250,   234,  2208,  2207,   233,
     225,   222,   220,   237,   239,   240,   223,   221,   275,   273,
       0,     0,     0,     0,   158,  3550,  1594,  1581,     0,     0,
    2350,     0,  2285,     0,     0,  2283,     0,     0,     0,  1825,
       0,  1730,     0,  1734,  1594,     0,  1590,  1725,  1724,  1766,
    1767,  1131,  1723,  1795,  1796,     0,     0,     0,     0,  1821,
    1819,  1786,  1777,  1785,     0,     0,  1783,     0,  1787,  2019,
    1814,  1712,  1771,  1772,  1775,  1711,     0,  1817,     0,  1662,
    1815,  1776,  1646,     0,  1624,     0,     0,  1878,     0,     0,
       0,  3558,  3556,  3487,  1943,  3550,  3480,  3550,  3545,     0,
    3434,     0,  3415,  3440,  3581,  2728,  3613,     0,  3614,     0,
       0,  3578,     0,  3588,  3591,  3589,  3592,     0,  1943,  3664,
    3767,  3767,  1943,  2017,  3463,  3505,  1495,     0,     0,     0,
    1160,  1162,     0,  1161,     0,  1164,     0,  1173,     0,     0,
    1159,  1178,     0,  1167,  1165,     0,  1535,     0,     0,   966,
       0,     0,     0,     0,  1515,     0,     0,     0,  2746,   268,
    1518,  1523,  1510,  1521,     0,     0,     0,     0,     0,  1096,
    1095,     0,     0,     0,  1542,   554,     0,   377,     0,     0,
       0,     0,     0,     0,     0,     0,   849,   846,     0,     0,
     845,     0,   698,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   723,     0,  1339,     0,   307,     0,
    1199,     0,  1198,     0,  1203,     0,     0,  1200,  1195,  1196,
    2710,  2719,  2753,   270,  1201,  1231,     0,  1230,  1226,     0,
    1142,     0,  1143,     0,     0,     0,     0,     0,     0,     0,
    2555,     0,  2581,     0,     0,   522,   315,   339,   544,     0,
    1338,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   361,     0,     0,   364,
     363,     0,     0,     0,     0,     0,   369,     0,   347,     0,
     348,     0,   368,     0,     0,     0,     0,     0,     0,  1339,
       0,   303,     0,     0,     0,     0,     0,     0,     0,     0,
    1248,     0,   776,     0,     0,  2710,  1227,     0,  1422,     0,
    2745,  1423,  1426,   562,     0,   562,  1428,     0,     0,  1425,
    1427,     0,     0,   189,     0,   184,   188,     0,     0,  2710,
    1228,     0,     0,     0,     0,     0,   647,   648,   663,     0,
     653,   654,   650,   655,   656,     0,     0,     0,     0,     0,
       0,     0,   646,     0,     0,   745,   744,   748,     0,     0,
       0,     0,     0,     0,  1431,     0,     0,  1222,     0,     0,
    1430,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1282,  1281,     0,     0,     0,     0,  1349,     0,
     892,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   763,     0,   762,     0,   185,   190,     0,     0,
       0,     0,     0,     0,     0,     0,   244,  1484,  1490,  1765,
    1765,  1765,  2129,     0,     0,     0,     0,  1764,  2341,  2344,
    1564,  1570,  1563,  1562,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   423,   424,   426,     0,     0,     0,     0,   865,
       0,   868,   871,  1506,   506,     0,     0,   690,   723,     0,
       0,   482,   198,     0,     0,     0,     0,   778,     0,  1222,
    1221,   160,   151,   207,   480,     0,   206,   208,   210,   211,
     212,   209,   213,     0,   742,   746,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,  1898,     0,
       0,   183,     0,     0,   637,   641,     0,  3410,     0,     0,
     482,   605,   388,  2581,     0,   562,     0,  2581,     0,   150,
       0,   852,     0,     0,     0,  1184,  1184,     0,     0,   792,
     791,     0,     0,     0,     0,  3432,     0,  3504,     0,     0,
       0,  1697,   158,  1182,     0,   163,     0,     0,     0,     0,
     158,  1990,  1989,  1940,  1936,     0,     0,     0,     0,   969,
       0,     0,     0,     0,     0,     0,  1958,   158,  1146,   197,
    2464,     0,   931,     0,     0,     0,     0,   158,  1250,   919,
     158,   193,   158,   158,   689,     0,   158,   195,     0,     0,
     158,   963,   158,  2432,     0,   158,  3789,  3795,  3793,  1621,
    3878,  3872,  3873,  2581,   562,  1702,  1598,  1025,  1032,  1014,
    1031,  1030,  1012,  1029,  1026,  3580,     0,     0,  3769,     0,
    1043,     0,   561,     0,     0,     0,     0,     0,  1064,  1065,
       0,     0,  1061,  1066,     0,  1068,  1052,  1054,  1062,  1063,
    1069,  1058,  1057,  1070,  1071,     0,     0,     0,  1083,   757,
       0,     0,     0,     0,  1656,     0,  1654,     0,  1876,  1658,
    1647,  3503,  1611,     0,  1609,     0,   630,  1273,  1272,  1274,
       0,  1040,     0,   158,     0,  1474,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2300,     0,  2301,
       0,     0,  2334,  2330,     0,     0,     0,     0,     0,  2307,
    2308,  2309,  2306,  2310,  2305,     0,     0,  2311,  2304,     0,
       0,  2385,  2402,     0,  2115,  2385,  2413,     0,  2412,  2418,
       0,  2291,  2019,     0,     0,  2409,  2403,     0,  2409,     0,
       0,  2392,     0,     0,     0,     0,  2192,     0,     0,     0,
    2291,  2294,     0,     0,  2829,     0,     0,     0,     0,  2087,
       0,     0,  2258,     0,  2291,     0,     0,     0,     0,     0,
       0,     0,  2287,  2326,     0,   520,     0,  2077,     0,     0,
       0,  2206,     0,  2203,     0,     0,     0,     0,  2347,     0,
       0,  2446,  2020,  2035,  2036,  2037,  2040,  2423,  2023,     0,
    2349,     0,     0,  2021,  2048,     0,  2327,  2073,     0,  2078,
    2063,  2393,  2312,  2313,  2314,  2315,  2080,     0,  2056,  2061,
    2065,     0,  2402,  2044,     0,  2041,     0,  2350,  2286,     0,
    2284,     0,  2032,  2033,  2034,  2026,  2027,  2028,  2029,  2030,
    2031,  2038,  2262,  2260,  2261,     0,     0,  2232,     0,     0,
    2060,     0,     0,  2131,  2574,  2611,     0,  1756,  1756,  1756,
    1743,  1754,  2422,     0,  1893,  1765,  3776,  3775,  2348,  1893,
       0,     0,     0,  2428,     0,     0,  2015,     0,   274,  1874,
     971,   972,   970,  1943,  1566,  1580,  1594,  2288,  1588,  1732,
       0,     0,  1568,  1592,     0,  1129,  1130,     0,  1134,  2829,
    2706,     0,     0,     0,     0,  1788,  1822,     0,  1813,     0,
    1789,  2438,  2439,  1790,  1793,  1794,  1784,  1823,  1660,     0,
    1818,  1716,  1715,     0,  1896,     0,     0,     0,  1638,  1626,
       0,     0,  1879,     0,  1828,  1664,     0,  2347,  1826,  3485,
    3552,  3490,  3520,  3481,  3523,     0,  3436,  3616,  3617,     0,
    3607,  3608,  3577,  3583,  3654,     0,  3768,     0,     0,  1389,
    1283,  1350,  1163,     0,  1960,  1174,     0,  1158,     0,  1157,
    1960,     0,  1175,     0,  1960,  1390,  1284,  1351,   967,  1391,
    1285,  1352,  1392,  1526,  1286,  1525,  1513,  1512,  1511,     0,
       0,     0,     0,     0,     0,     0,     0,   830,  2581,   158,
    1540,  1393,     0,  1287,   376,  1541,  1353,  1545,   848,   847,
       0,     0,  1354,     0,   699,   704,     0,   706,   707,  2504,
    2563,   708,   711,   712,     0,   714,   703,   702,     0,     0,
       0,     0,     0,   720,   722,     0,     0,     0,     0,     0,
       0,  1193,  1194,  1394,  1290,     0,  1355,     0,  1141,     0,
    1291,   199,     0,     0,   295,     0,  2581,   317,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   830,   504,   830,
       0,  1341,   314,   345,     0,   360,   355,   356,   354,  2581,
     158,  2581,   158,     0,     0,     0,     0,     0,   357,   352,
     353,   349,     0,     0,   362,  2476,  2545,  2720,     0,   731,
     733,     0,   738,   365,  1311,   384,   383,   382,     0,   370,
       0,   389,   392,     0,   367,   346,   344,   341,   310,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1243,     0,  1397,  1356,     0,  1378,  1382,     0,     0,     0,
     770,  1400,  1297,  1359,     0,   562,     0,     0,   581,   581,
     562,  1411,  1298,   187,  1328,     0,     0,   172,     0,     0,
       0,     0,   166,   176,  1401,  1299,  1360,     0,     0,  1402,
    1300,     0,     0,   300,   640,   651,   657,  1305,   661,   658,
    1368,   659,  1409,  1301,     0,  1405,  1331,  1363,   402,   625,
     401,  1222,  1222,  1412,  1432,  1302,  1222,     0,  1339,     0,
     289,   291,     0,   155,     0,  1303,     0,  1361,  1404,  1330,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1548,
       0,     0,     0,     0,     0,     0,   158,     0,     0,     0,
    1341,  2581,   158,   890,  1403,     0,  1336,     0,  1376,     0,
       0,     0,   414,     0,  1329,  1339,     0,   302,  1307,     0,
    1370,     0,     0,   242,   241,   243,     0,     0,     0,     0,
    2292,  2293,     0,  2290,  2124,  2343,     0,  1558,   993,   979,
     992,     0,   975,  2543,     0,   978,   980,     0,     0,     0,
     981,   985,   986,     0,   977,   974,   976,     0,   425,     0,
       0,   787,   788,     0,     0,     0,     0,   867,     0,     0,
    1538,     0,   163,   697,     0,     0,     0,   692,   722,   727,
       0,     0,     0,     0,   481,   485,   489,   490,   491,     0,
       0,     0,     0,   177,   164,     0,   908,     0,   562,     0,
     780,  1222,  1415,     0,   207,   202,     0,     0,   743,     0,
    1589,  2805,     0,     0,   620,  2133,   623,  2134,  2135,   622,
       0,   388,   862,   860,   859,   861,   883,   858,     0,  1897,
    1899,     0,     0,     0,     0,     0,     0,     0,   484,     0,
       0,   569,     0,   608,     0,     0,     0,     0,   605,     0,
       0,     0,     0,   879,  3723,   851,     0,  1152,     0,  1170,
    1153,     0,     0,     0,     0,  1207,  1214,  1183,  1208,  1185,
    1214,     0,     0,   793,   797,   796,   800,   798,     0,   794,
     671,  3430,  3424,  1703,  1704,     0,  1240,     0,     0,  1534,
       0,  1532,     0,  1959,  1972,   930,     0,  1999,  2000,  2001,
    2001,     0,  1941,     0,  3861,  3869,  3868,     0,  1984,  1950,
    1234,   158,     0,   158,     0,   158,  1242,  1236,  1238,  1440,
       0,   928,     0,     0,   921,   923,     0,   925,     0,     0,
    3579,  3765,  1044,   564,     0,     0,     0,     0,     0,     0,
    1060,   669,  1067,     0,     0,     0,  1082,  1077,  1079,     0,
    1094,  1088,     0,   756,     0,     0,  1657,  1650,  1652,  1651,
       0,     0,  1648,  2297,   920,     0,   636,     0,  1094,  1085,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1761,  2298,  2299,     0,     0,     0,  2331,     0,     0,
    2168,     0,  2139,  2141,  2154,     0,  2169,  2122,     0,  2384,
    2381,     0,     0,     0,  2385,  2392,  2188,     0,     0,     0,
    2392,     0,  2412,     0,     0,     0,  2183,  2185,     0,     0,
       0,  2402,  2402,     0,  2190,     0,     0,  2170,  2143,  2145,
    2155,     0,     0,  2278,     0,  2158,  2157,     0,  2089,  2090,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2104,  2159,
    2257,     0,     0,     0,  2161,  2160,     0,     0,  2325,     0,
       0,     0,  2166,   521,  2171,     0,     0,     0,     0,  2177,
       0,  2214,     0,     0,     0,  2112,  2288,     0,     0,     0,
       0,     0,     0,     0,  2395,  2396,  2397,  2394,     0,  2079,
    2064,  2082,  2058,  2062,  2066,     0,  2402,  2081,  2084,     0,
       0,  2052,     0,     0,  2050,  2074,  2046,     0,     0,  2075,
       0,  2130,     0,     0,     0,  2235,  2230,  2231,  1756,  1756,
    1756,  1756,  1753,     0,     0,     0,  2814,     0,  2706,  2848,
       0,  1854,  1827,  1829,  1839,  1854,  1861,  1854,  1854,  1891,
    2429,     0,  1798,     0,  1798,  3629,  3631,  3632,  3633,  3634,
    3635,  3637,  3638,  3640,  3641,  3642,  3630,  3636,  3639,  3643,
    3620,  3621,     0,  3611,  3612,   218,     0,   251,   238,  3654,
    1565,  1733,  1742,  1768,     0,  2279,  1134,     0,  1770,  1791,
    1792,     0,  1781,     0,  1820,  1778,  1661,  1645,     0,  1643,
    1630,  1632,  1631,     0,     0,  1633,  2347,     0,  1643,  1625,
       0,  1669,     0,     0,  1896,     0,  1668,     0,  3554,  3473,
       0,     0,  3653,  3656,  3668,  3665,  3483,     0,  1960,  1155,
    1156,     0,  1179,     0,  1099,  1100,     0,  1098,     0,     0,
       0,   553,   556,     0,  1543,     0,  1410,  1327,   701,     0,
       0,     0,     0,   716,   675,   717,   719,     0,     0,   718,
     721,   724,  1339,     0,   308,  1313,     0,  1374,  1187,     0,
       0,  1144,     0,     0,     0,     0,     0,  1115,   543,  1114,
       0,     0,     0,   830,     0,   830,     0,     0,   548,     0,
     503,   500,   340,     0,     0,     0,     0,   163,     0,   319,
     332,   395,   338,     0,   372,     0,   343,     0,   336,   358,
     350,   359,   351,   371,   373,     0,   735,   736,   734,   730,
       0,   737,   739,     0,   386,     0,     0,     0,   404,   366,
     403,     0,  1396,     0,  1339,     0,   304,  1309,     0,  1372,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1377,     0,     0,     0,     0,   775,     0,   772,
       0,   581,     0,  1424,     0,  1421,  1419,   581,     0,     0,
     169,   168,     0,   175,     0,     0,     0,     0,     0,     0,
    1433,  1434,  1435,     0,     0,     0,     0,     0,     0,   408,
       0,   311,   313,   312,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   415,   379,     0,   886,     0,     0,     0,   417,     0,
       0,  1388,     0,     0,     0,     0,     0,  1395,  1292,  2127,
    2128,  2125,  1765,  2342,     0,     0,     0,   990,     0,     0,
       0,     0,   428,   429,   163,   427,   452,     0,   830,     0,
       0,   864,   869,   877,  2647,  2265,  2266,   875,   870,   872,
     874,   873,   876,     0,     0,     0,     0,   525,     0,     0,
       0,   512,     0,     0,   522,   505,   508,   509,     0,     0,
     693,   696,   694,   695,     0,   715,     0,   484,   532,   595,
       0,   179,     0,     0,   180,   178,     0,     0,   388,   777,
       0,   774,  1414,     0,   205,     0,   747,     0,     0,     0,
       0,     0,  1222,   685,     0,   882,   884,   856,     0,   727,
       0,     0,   642,     0,   562,  1622,   630,     0,   597,   484,
     595,   604,     0,     0,   612,   387,     0,     0,   630,   388,
       0,     0,  1115,   878,     0,     0,     0,  1151,     0,     0,
       0,  1204,  1209,  1205,     0,  1184,  1166,     0,  1206,     0,
       0,  1212,  1137,  1186,  1138,  1456,  1457,  1454,  1455,     0,
       0,     0,     0,     0,     0,  3447,  1693,  3457,     0,     0,
    1530,     0,  1978,     0,  1996,  1994,  1937,     0,  3550,     0,
       0,     0,     0,     0,  1942,   932,     0,   915,     0,   917,
     158,   764,     0,   158,     0,     0,     0,     0,     0,     0,
       0,  1059,     0,  1053,  1055,  1080,     0,     0,  1094,  1093,
       0,  1084,  1092,  1090,  1091,  1089,     0,     0,  1655,  1653,
     628,     0,     0,   158,  1094,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2302,     0,  2333,  2329,     0,
    2136,  2303,  2383,  2399,  2401,  2189,  2391,     0,     0,     0,
    2414,     0,     0,  2392,  2352,  2406,  2405,     0,     0,  2404,
    2392,  2392,  2352,  2191,  2352,     0,     0,     0,  2258,     0,
       0,  2088,  2100,  2101,  2102,  2318,     0,  2107,     0,  2097,
    2098,  2099,  2091,  2092,  2093,  2094,  2095,  2096,  2103,  2322,
    2321,     0,     0,  2163,  2164,  2165,  2324,  2172,     0,  2494,
    2215,     0,  2176,  2205,  2204,     0,     0,     0,  2179,     0,
       0,  2201,     0,  2259,  2447,  2022,     0,     0,  2049,  2328,
    2067,     0,  2083,  2085,  2045,  2278,     0,     0,     0,     0,
       0,  2054,     0,     0,  2255,     0,     0,     0,  2237,  2234,
       0,     0,     0,     0,  1747,  1746,  1752,     0,  1854,  1861,
    1854,  1854,     0,     0,  1718,     0,  1839,     0,  1853,  1837,
    1852,     0,     0,  1867,  1865,     0,  1867,     0,  1867,     0,
    1831,     0,  1857,  1833,  1852,  1835,  1841,     0,  1883,  2430,
    1892,     0,  1811,  2124,  1811,     0,     0,     0,  3652,     0,
       0,  1769,  1132,  1133,  1779,     0,  1782,     0,  1894,     0,
    1644,     0,     0,     0,  1635,  1641,  1623,     0,     0,     0,
    1665,  1643,  1666,  3489,     0,  3553,  3618,  3619,  1176,     0,
       0,  1168,  1105,  1106,  1109,  1107,  1104,  1108,     0,     0,
       0,   830,   833,     0,     0,     0,   831,   158,  1288,     0,
       0,     0,     0,   676,  1408,  1289,     0,     0,     0,     0,
    1188,  1342,     0,     0,  1312,   830,     0,     0,     0,   576,
       0,  1128,  1128,   566,   316,   546,   560,   550,   617,   560,
     502,   501,     0,   499,   727,     0,     0,   323,   333,     0,
     328,     0,  1340,     0,     0,     0,     0,   327,   330,   329,
     399,     0,   396,     0,   158,   158,   374,   732,   385,   390,
     391,   394,  1347,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   909,   894,     0,     0,
     910,   911,     0,     0,     0,  1245,  1246,  1244,  1379,  1380,
    1386,  1383,  1381,  1385,  1384,  1387,     0,  1295,     0,     0,
     768,  1343,  1416,  1418,  1417,     0,  1420,   173,   170,   171,
     174,  1344,  1325,  1306,  1369,   626,     0,     0,     0,  1304,
       0,  1362,     0,  1321,  1315,     0,     0,     0,     0,     0,
    1407,  1335,  1367,  1406,  1333,  1365,  1332,  1364,  1334,  1366,
    1326,     0,     0,  1901,   891,     0,     0,     0,   158,   158,
     889,   766,  1308,     0,  1371,  1317,     0,     0,     0,   982,
       0,     0,     0,   984,   433,   453,   163,     0,   786,   850,
       0,     0,   866,     0,   510,     0,   516,   523,     0,     0,
     527,   528,   526,   558,  1222,   562,  1222,   819,   820,     0,
       0,   840,     0,   691,     0,     0,   482,     0,   529,     0,
       0,   486,   182,   181,     0,     0,     0,   781,   785,   783,
     782,   784,   779,     0,   770,   207,  2581,     0,     0,     0,
       0,   624,   618,   621,  1429,   857,     0,  1900,   760,     0,
     388,   638,  3412,     0,     0,   482,   630,  3411,     0,   487,
     492,   493,   506,     0,   605,   596,     0,   597,   606,   607,
       0,   614,  1504,     0,   631,   614,     0,     0,     0,   880,
       0,   881,     0,  1154,  1171,  1172,     0,     0,  1214,     0,
       0,  1216,  1211,     0,     0,   799,   802,   795,   678,     0,
    3420,   158,     0,  1533,  1938,  3862,     0,  3863,  3864,  3865,
    3866,  3867,   158,   158,  1271,     0,   926,  1074,  1075,  1076,
    1073,  1072,   670,     0,  1078,  1037,  1087,   758,     0,   629,
       0,  1038,   158,  1007,   999,  1006,   995,   998,  1000,     0,
    1002,  1003,   997,   994,   996,  2332,  2153,     0,  2398,  2400,
    2187,  2411,  2410,  2186,  2417,     0,     0,  2380,  2408,  2407,
       0,     0,  2392,  2392,  2156,  2167,     0,  2257,  2288,     0,
       0,  2108,     0,     0,     0,  2162,  2838,     0,     0,  2219,
    2220,     0,  2216,  2217,  2212,  2213,  2178,     0,  2635,  2196,
       0,     0,  2211,  2071,  2069,  2068,  2053,     0,     0,  2051,
    2047,     0,  2076,  2221,  2254,  2288,  2223,     0,  1765,  1751,
    1750,  1749,  1748,     0,  1838,  1834,  1836,  1842,     0,  2843,
       0,  1843,  1850,     0,  1830,     0,  1866,  1862,     0,  1863,
       0,     0,  1864,     0,     0,  1832,     0,  1850,     0,  1890,
    1759,     0,  2226,  2444,  2226,  3622,     0,  3625,  3623,  3624,
    3628,   252,  1737,     0,  1780,     0,  3877,  1627,     0,  1628,
    1634,     0,     0,     0,     0,     0,  1670,  1663,  3555,  1169,
    1177,     0,     0,     0,   555,   835,   834,   837,   832,   836,
    1544,     0,   709,   710,   713,  1314,     0,  1375,  1323,     0,
    1659,   545,   318,     0,   571,     0,     0,     0,  1121,   153,
    1120,     0,     0,     0,     0,     0,   498,   497,   506,   326,
       0,     0,     0,   320,   398,     0,   400,   321,   325,   379,
     342,   335,     0,     0,     0,  1310,     0,  1373,  1319,  1346,
    1398,  1293,  1357,     0,     0,   900,     0,     0,     0,     0,
    1399,  1294,  1358,     0,     0,     0,     0,     0,  1659,     0,
       0,     0,     0,     0,     0,     0,     0,  1553,     0,     0,
     378,   888,   887,   379,   416,  1337,     0,  2126,     0,   983,
     988,   989,   987,     0,   422,   430,   433,     0,     0,  1262,
    1262,     0,     0,   507,   524,     0,     0,   511,   616,   575,
     616,     0,     0,     0,     0,     0,   728,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   773,   772,   204,
       0,   482,     0,   727,     0,   885,     0,     0,     0,     0,
     484,     0,     0,  3871,   483,     0,     0,   495,     0,   608,
     597,   605,     0,     0,   627,     0,  1497,     0,   633,     0,
       0,     0,   829,  1210,     0,  1224,     0,  1165,  1135,  1219,
       0,  1742,  1893,     0,     0,     0,     0,   812,     0,   682,
    3446,  3450,  1263,  1531,  3870,   916,   918,   765,  1081,     0,
    1094,  1086,  1001,  2382,  2416,  2351,  2353,     0,     0,  2374,
    2367,  2370,  2368,  2369,  2371,     0,  2366,     0,  2184,  2415,
    2364,  2378,  2317,  2259,  2105,     0,  2320,  2319,  2323,     0,
    2173,     0,  2174,  2218,  2180,  2197,     0,  2181,  2209,     0,
       0,  2072,  2070,  2055,  2256,     0,  2241,     0,  1886,     0,
    1889,     0,     0,  1840,     0,     0,  1844,     0,     0,  1846,
    1848,     0,     0,     0,     0,     0,     0,  2433,     0,  1810,
       0,  1720,  1719,  3627,  3626,     0,  1740,  2280,  1895,  1642,
       0,     0,     0,  1116,     0,     0,  1643,  1672,  1684,  1684,
    1667,  1082,     0,   158,   705,     0,     0,   297,  1128,     0,
    1222,   577,  2647,   578,  1127,  1131,   152,  2664,     0,   559,
     571,   571,   494,     0,   324,   334,     0,   381,   393,     0,
    1659,     0,     0,   898,   907,   907,   895,     0,     0,   912,
    1296,   769,     0,   580,     0,   292,  1322,  1316,     0,     0,
       0,  1555,  1556,     0,     0,     0,     0,     0,  1345,   158,
    1318,   991,     0,   455,   463,   434,   438,  1547,     0,  1547,
       0,   435,   439,  1547,  1547,   432,  1893,   451,  1262,     0,
    1259,  1258,   558,   644,     0,   557,     0,   514,     0,   586,
     513,     0,   841,     0,     0,   726,     0,   484,   595,     0,
     542,   533,   534,   535,   536,   538,   537,   539,   540,   541,
     531,   530,     0,   727,   904,   388,  1504,   767,     0,     0,
     740,     0,   727,     0,  1622,   630,   597,   484,   595,  1619,
     488,   506,     0,   612,   605,   608,     0,   609,     0,   613,
       0,     0,     0,   630,  1557,  1115,     0,     0,   830,  1223,
    1184,     0,     0,  1213,  1217,  1218,     0,     0,     0,     0,
    1266,   806,   807,   801,   803,     0,   814,   818,   677,     0,
       0,   681,   672,     0,  3448,   727,   158,     0,     0,  2365,
    2372,  2373,     0,  2194,     0,     0,  2390,     0,     0,     0,
    2106,     0,     0,  2199,  2198,  2210,  2182,  2236,     0,     0,
       0,     0,  1922,  1891,     0,     0,  1885,     0,     0,  1916,
       0,     0,     0,  1851,  1869,     0,  1847,  1845,     0,  1858,
       0,  1860,  2523,  2801,  2703,     0,  1797,  1799,  1802,  1804,
    1803,  1805,  1801,  2225,  2227,     0,     0,     0,     0,  1731,
       0,  1640,  1893,     0,  1637,     0,  1679,     0,  1671,  1673,
       0,     0,     0,  1101,     0,  1102,  1324,     0,  1122,     0,
     616,     0,  1134,  1131,   565,     0,  1222,  1222,   644,     0,
       0,   337,     0,   305,  1320,     0,     0,   896,   897,     0,
       0,     0,     0,     0,     0,   410,     0,     0,  1549,     0,
    1550,  1551,  1554,   418,   431,     0,   461,   460,     0,   458,
     457,   459,     0,   448,     0,     0,     0,     0,     0,     0,
     421,  1257,  1261,  1260,   515,     0,   517,     0,     0,   572,
     573,   574,     0,   519,   582,   583,   838,     0,   843,     0,
     729,     0,     0,   727,   594,   751,     0,     0,     0,  1498,
       0,     0,   619,   761,  1504,   630,  3413,   605,     0,   597,
     496,     0,   614,   608,   612,   610,   611,     0,  1501,     0,
     632,     0,  1124,   828,     0,  1214,  1225,  1220,  1215,  1460,
       0,     0,   804,   809,   808,  1547,   813,     0,     0,     0,
     680,   679,  3451,  3453,  3452,     0,   755,  1039,  2354,  2355,
    2379,     0,     0,     0,  2358,     0,  2356,     0,     0,  2378,
       0,  2195,  2316,  2202,  2175,  2200,  2789,     0,  2761,     0,
    2253,  2242,  2253,  2253,  2233,     0,  2352,  1884,  1887,     0,
    1919,     0,     0,     0,     0,  1904,     0,  1849,     0,     0,
    1859,     0,     0,     0,  1806,     0,     0,     0,     0,     0,
       0,  1629,  1639,  1117,     0,  1681,  1683,     0,     0,     0,
    1659,     0,   581,     0,  1118,  1134,   568,   616,   616,   331,
     322,   380,     0,     0,     0,   905,   914,   913,   771,  1659,
       0,   406,   405,     0,   409,     0,   456,   466,     0,   464,
     436,   441,     0,   447,   446,   443,   442,   437,   440,     0,
       0,     0,     0,     0,     0,   584,     0,   585,     0,   842,
       0,     0,     0,   753,   903,     0,     0,   482,   727,  1499,
    3871,   608,   597,   605,     0,     0,   599,  1128,  1128,   469,
     612,   614,  1502,  1503,     0,     0,   522,     0,  1136,  1459,
    1458,  1742,     0,     0,     0,   815,   816,   811,     0,     0,
    3449,  2359,     0,  2362,     0,  2363,  2357,  2387,  2389,     0,
    2375,  2376,     0,  2246,  2245,  2244,  2248,  2247,     0,  2240,
    2238,  2239,  1921,     0,     0,     0,  1917,  1918,  1902,     0,
       0,  1906,  1856,  1882,     0,     0,     0,  1800,  2228,  2229,
       0,     0,     0,  1893,     0,  1686,     0,     0,  1674,  1675,
       0,     0,  1676,   158,   298,   570,   830,   579,  1119,     0,
     575,   830,   830,  1659,   899,     0,   293,     0,   411,  1552,
     462,     0,   445,   444,   643,   518,   615,   591,     0,   590,
       0,   588,   587,   839,   844,     0,   727,   893,  1504,   741,
    1620,   612,   605,   608,     0,   598,     0,   153,   153,   614,
     467,     0,     0,   388,     0,  1442,  1742,  1441,  1443,  1451,
    1448,  1450,  1449,  1447,     0,  1269,  1270,   805,   810,     0,
       0,  2360,  2361,     0,     0,  2193,     0,     0,     0,  2250,
       0,  2251,     0,  1888,     0,  1905,  1908,     0,     0,  1914,
       0,  1907,  1909,     0,     0,  1868,     0,  1880,  1808,     0,
    1807,     0,     0,     0,  1636,  1680,  1682,  1677,     0,  1678,
       0,     0,     0,     0,  1687,  1103,   551,   566,   586,   549,
     547,   306,   906,     0,   465,   589,   562,   562,   727,   752,
    1500,   614,   608,   612,  1128,   600,   602,   601,   471,  1124,
    1125,     0,   614,   818,     0,  1452,  1446,  1718,  1705,     0,
       0,   817,     0,     0,     0,     0,  2243,  2249,  2252,     0,
       0,  1912,  1913,  1915,  1910,  1911,  1855,     0,  1809,     0,
       0,     0,     0,  1685,  1691,     0,     0,     0,     0,   830,
       0,   593,   592,   754,   470,   612,   614,   153,   522,  1123,
       0,  1893,     0,  1444,  1742,     0,     0,   823,  2386,  2388,
    2377,  2628,     0,  1923,     0,     0,     0,  1736,  1735,  2805,
       0,     0,  1739,     0,     0,     0,   567,   552,   407,   614,
     468,   603,   388,  1126,  1110,     0,  1445,     0,     0,     0,
     821,   824,   827,   825,   826,  1931,     0,  2380,     0,     0,
    1934,     0,  1881,     0,     0,  1688,  1692,     0,  1689,   472,
     614,     0,     0,     0,   789,     0,     0,     0,  1924,  1925,
    1934,     0,  2364,  1934,  1903,  1765,     0,     0,  1893,     0,
       0,     0,   822,     0,     0,  1920,  2380,  1933,  2390,  2364,
       0,     0,     0,  1111,   823,  1267,  1268,     0,     0,  1928,
    2378,  2390,     0,  1738,  1690,     0,     0,     0,  1926,  2378,
     790,     0,  1929,  1927,     0,  1930
};

  /* YYPGOTO[NTERM-NUM].  */
static const int yypgoto[] =
{
   -6472, -6472,  5198,  -613, -2076, -5687, -1591, -1431, -6472, -6472,
   -1193,    74,  3287, -1408, -6472, -6472, -6472,  -767, -6472, -6472,
   -6472, -6472,  4169, -6472, -3446, -6472, -6472,   121,  4103, -1853,
     110,  3623,  1522, -6472, -1435, -6472, -6472, -1011,   -60, -6472,
    4106,   456, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -1296,  2031, -6472,  2128,  1342, -5361, -6472, -6472, -2022, -4346,
   -6472,   559, -6472,   586, -4605, -6472, -5396, -1173, -6472, -6472,
   -6472,  2022, -6472, -6472, -6472,  1969,  1138,  -511, -6472, -6472,
   -6472, -6472, -6472, -6472,  -986, -6472, -6472, -1300,   -63,  -998,
   -3501, -4893, -6472, -6472,   414,  -552, -2016, -6472,   607, -6472,
     609, -6472, -5391, -6472,  -117, -3284, -2718, -6472, -6472, -6472,
    -522, -2028,  1382, -6472,  1446,  -761,    34, -1081, -1634, -1383,
   -6472, -3631, -2915, -1274, -6472,  -408, -4145, -1380,  -996,  -993,
   -1157, -4915, -5451, -6472, -6472, -1304, -4329, -5809, -6027, -5462,
   -5694,  1394, -6472,  -143,   419, -6472, -4170, -4947,   -61,   395,
   -6472,   -59,   -57, -6472,   411,  -924, -1365, -2108, -6472,  -765,
   -6472, -6472, -6472, -3984, -6472, -6472, -6472,    88, -6472, -6472,
   -6472, -6472,   455, -6472, -6472, -6472, -6472, -6472, -6472, -3634,
    1998,  2000, -6472, -4972, -6472, -1341, -6472,   619, -4017,  1371,
   -6472, -6472,  1132,  4177,   438, -6472, -6472, -6472, -6472, -6472,
   -6472, -2227, -6472, -6472, -6472, -6472,  -121,  -493, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472,   -56, -6472,  1091,   378, -6472,
   -6472,  -805, -6472, -6472, -6472, -6472, -6472, -6472, -1374, -5792,
   -1510, -1480, -6472, -4059, -6472, -6472, -6472,  -466, -6472, -6472,
   -6472, -6472, -6472, -1291, -6472,  1192, -4696, -6472, -6472,   415,
   -6472, -6472, -6472, -6472, -6472, -1134,  -404,  3305, -6472,  -658,
   -6472, -6472, -6472,  -399, -6472, -6472, -6472, -6472, -6472,  -818,
   -1638,  5481,  4596, -1557,  -609, -1288,  -888, -6472, -6472, -6472,
   -3220, -6472, -6472, -4890, -6472,  5471,   149,  -582,   -53, -6472,
    -111,     0,  3939, -6472,  1035, -1631, -3701,   364,  -612, -6472,
   -6472, -6472,   369, -6472, -2463, -6472, -6472, -6472, -6472, -4663,
     -50, -6472, -4943, -5793, -5206, -4780, -1336, -6472, -4902, -5725,
   -4648, -6472,  2034, -6472, -6472,  -879,  -928,  3294, -6472, -1989,
    2392, -1910, -6472, -3103,   447,  1553,  3298, -3769,  -861,  3284,
   -3542, -6472, -1044,  1144, -6472,  -468, -4357, -6472, -6472, -6472,
   -3310,  -727, -6472, -6472,  1578,   629, -6472, -6472, -6472, -6472,
   -1010,  3237,  -934, -6472, -6472,  4570, -6472, -5533, -6472,  4544,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -1970,
    1317, -6472, -1146, -6472, -6472,  2149,   667, -6472, -6472, -6472,
   -6472,  1404,    56, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -1099, -1350, -6472, -6472, -5089, -6472, -6472, -6472, -6472, -6472,
    2626, -1362, -1128,  4416,   591,   -47, -5983, -6472, -6472,  -852,
   -6472,  3627, -6472, -6472, -6472, -6472, -6472,   449,   444, -6472,
   -6472, -6472, -6472, -5098, -6472, -6472, -5578, -6472, -6472,  2130,
   -6472, -6472,  1398,   -69,  3418, -6472, -6472, -6472,   -91, -6472,
   -6472, -1415,  2518, -6472, -2851, -6472,  -915, -6472, -6472, -2395,
     -45, -4923,   -67, -6472, -6472, -5685, -1262,   221, -6472, -6472,
   -4640,   -62, -6472, -6472, -6472, -6472, -5665, -6472,   -55, -6169,
     823, -3829, -6472,   -71, -6472,  -547, -6472, -6472,  -549, -6472,
   -6472, -6472, -4614,   -44,    85,  4023,  1956,   -58,  4466,  -154,
     -97,   -80,   -70,    98,  3777, -6472, -6472, -6472, -5069,  3827,
   -6472,  -102, -1228, -6472, -6472, -1268,  -242,   382,  1687,  -938,
    2502,  3792,  3765, -6472,  1677,  2534, -2900, -2881, -6472,   903,
   -1107,  -965, -6472, -6472, -6472, -6472,   268,  -935,  2514, -6472,
    3771, -6472, -6472, -6472, -2815, -3898, -3885,   925, -4519, -4378,
   -6472,   308,   292, -1774,  -496,   -73, -1964, -1180,  1717, -6472,
   -6472,   931,  -723, -6472, -6472,  -718, -3870,   862, -6472, -5592,
   -3303,   940, -1305, -1076, -6472, -1186, -6472,  -926,   950, -6472,
   -6471, -1330, -6472, -4708,  -670, -2183, -1507, -6472, -6472, -1462,
   18442, -6472, -6472, -6472, 21815, 21966, -6472, -6472, 23831, 26093,
   -6472, -1242, 32086, 11708, -1490, -1487, -1176, 33008, 35361, -2393,
    5417,   -85, -6472, -3527, -3492, -6472, -6472, -6472,  -440,  1010,
     467, -6472, -6472, -5624, -4986, -6472,  2660,  -180, -6472,  -931,
    1779,  -930, -6472, -6472, -6472, -3018, -6083, -3226,  2665, -6472,
   -6472, -6472,  -898, -6472, 34826, -3720, -6472, -1046, -1420, -2090,
    3169, -3304, -2366, -6472, -6472, -6472, -3615, -6472, -6472, -6472,
    -864,  1803, -6472, -6472,  1931, -6472, -6472, -6472, -1334,  2205,
   -1178, -3609,  1809, -5097, -6472,  -660, -4334, -5586, -6472, -6172,
   -5752, -2184, -1312, -3537, -6460, -2468,  1823, -3625, -6472, -2426,
    1901,  1101, -6472, -3213, -6472, -6472, -1167,  2676, -1188, 16343,
    -674, 23538, -1802, -6472,  7307, -4671,   188,   -93,  -857,  6940,
    -974,  -850, -6472,  7610,  9652,  6780, -4196, -6472, -6472, -6472,
     -43, -6472, -6472, -6472, -6472,  5054,  1237, -6472,  4223, -6472,
    2106,  3407, -6472, -6472,  2552,  -969,    30, -6472,  -851, -6472,
     -90, -6472, -6472, -6472, -6472,  1205,   532,   479,  5628, -6472,
   -6472, -6472, -6472, -6472, -6472,  3818, -6472, -6472, -1669, -6472,
   -6472, -6472, -6472, -6472,  5452,  -282, -6472,  4639,  -268, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,  3838,  2571,
   -6472,  4441, -6472, -6472, -6472,    48,  4065, -6472, -6472, -6472,
    -667,  -891,  4455,  4462,  2556, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472,  2565, -6472, -6472,  1804, -2952,  2566, -6472,
   -6472,   927, -6472, -6472,   357, -6472,   929, -6472,  3933, -6472,
   -6472, -6472,   972, -6472, -6472, -6472,  -491, 26937,   -15,   528,
      94,  1529, -6472, 17847,  9058,   -66,  -942, 12744, 31085,   -79,
   -6472,  5446,  2564,  2059, -1161, -6472,  7701,  3330, 33640, -6472,
   -1160,    40,    -2, -1139,  2764,  -741, -1348,  4184,  -775, -2368,
   -6472,  5786, -6472, -4219, -5776, -1204,  -126,  4640, -1366
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   163,   164,  1496,  1501,  2331,  2357,   165,   166,
    2133,  3572,  3425,  4423,  4424,   167,   168,  2129,   169,   170,
     171,   172,  2047,   173,  2303,  3586,   174,  3259,  1232,  1233,
    1234,  3112,  3113,  3517,  3114,  3101,  1867,  2249,  2069,  1197,
    1198,  2028,  2070,   176,   177,  1861,  3093,   178,   179,   180,
    2100,  2192,  2101,  2102,  2041,  5623,  6491,  4209,  3382,  4475,
    4210,  4211,  4930,  4931,  4289,  4959,  5021,  6505,  6506,   181,
    2208,  2209,   182,   183,  3554,  4389,  5074,  6034,  6035,  6295,
    1015,  5646,  5647,  6282,  6283,  6520,  6698,  6699,  3587,  1046,
    4470,  5158,  4414,  5718,  4415,  5719,  4416,  5720,  5513,  5514,
    4920,  4921,  4400,  5105,  5106,  2566,  5659,  5107,  4417,  5678,
    6330,  4418,  3348,  3274,  3275,  6047,  5964,  3621,  2478,  5962,
    6820,  2476,  6230,  6309,  5498,  5499,  4995,  6543,  6544,  6545,
    6841,  5680,  5724,  5725,  6735,  6736,  4473,  5164,  5731,  6094,
    6307,  4167,   185,  4443,  4444,   186,  2325,  4596,  1129,  3624,
    1047,  1130,  3588,   190,  3614,  6536,  3615,  2161,  3439,  5087,
    4572,   191,  1524,  4883,  6119,  6391,  6392,  1114,   192,  2311,
     193,   194,  3567,  4407,   195,  3292,  4114,   196,   197,  4133,
    4134,  4135,   198,  5115,  6055,  2103,  4198,  4199,  4200,  4201,
    4951,   199,  2306,  3595,  3596,   200,   201,   202,  3761,  3762,
     203,  3503,   204,   205,   206,   207,  4989,  5580,  5694,  4240,
    4430,  5131,  5692,   208,  4393,  3589,  3642,  4508,  4509,  6117,
    6383,  6384,  6385,  6595,  6877,  6387,  6597,  6757,  6599,  5669,
    7039,  7040,  6368,  4872,  5476,   210,  5670,  5671,  6549,   211,
    3290,   212,   213,  2280,  3560,  3561,  5088,  3631,  4482,  4483,
    5144,  5145,   214,  4329,   215,  5556,  5557,  1048,  6557,  6497,
     216,   217,  5560,  5561,   218,   219,   220,   221,   222,  1115,
    1459,  1460,  1117,  1628,  1629,  4074,  1572,   223,  3124,   224,
    4369,   225,  1728,  5794,   226,  1154,  1655,  1656,  3590,   228,
    1166,  3781,  1168,  3745,  3746,  2494,  4576,  4577,  5248,   229,
     230,  4580,  4581,  5255,  3758,   231,  2034,  3269,  3270,  5468,
    3591,  1049,  4160,  6212,  5958,  6213,  6746,  6951,  5959,  3998,
    4818,   233,  1050,  2075,  3331,  1596,  1597,  3635,  4488,  3237,
    3238,  2232,  5185,  3240,  4490,  3241,  2007,  3242,  1543,  1544,
    4496,  4497,  4498,  4499,  5181,  5191,  5192,  6111,  6376,  5188,
    2299,  6105,  6106,   234,  2072,  3328,   235,   236,   237,  2112,
    1382,  1606,  1607,   238,  1076,  1077,   239,  6300,   240,  1546,
     241,  6115,   242,   243,  1713,  1714,  1187,   244,   245,  3352,
    4933,   246,  2073,   247,   248,  4234,  4235,  5572,   249,   250,
     251,  3411,  3412,   252,   253,   254,   255,   256,  6867,  6954,
    6955,  6956,  5199,  6751,   257,  1699,   258,   259,   260,   261,
     994,  1424,  1425,  1426,  1343,  3592,  6096,   263,   264,  2029,
    2030,  2031,  2032,  3264,   265,   266,   267,  4520,  4521,   268,
     269,   270,   271,  2283,   272,   273,  6273,   274,   275,  2253,
     276,   277,  1433,  1434,  1435,  1436,  2251,  3986,  1009,  1253,
    1894,  1900,  1904,  1905,  1906,   279,  1132,   280,  1704,  1464,
    1133,  1648,  1134,  3183,  4028,  4833,  4834,  4835,  4838,  5923,
    5440,  1135,  4024,   284,  2501,  3767,  3770,  4020,  1136,  4034,
    4035,  4036,  4842,  1137,  6216,  6217,  6218,  6219,  6471,  6808,
    6809,  6812,  6924,  1138,  1156,  1535,  3650,  1139,  1813,   290,
     291,   292,  1262,  1256,  1257,  3991,  6206,  6459,   294,  3070,
    3960,  1176,  1910,  1216,  1217,  1270,  3527,  3149,  3150,  3174,
    3175,  1919,  1920,  3162,  3166,  3167,  4010,  4004,  3155,  5422,
    6446,  6447,  6448,  6449,  6450,  6451,  5902,  3170,  3171,  1922,
    1923,  1924,  3179,   295,  3964,  4772,  4773,  4774,  5398,  5399,
    6905,  5413,  5409,  5887,  6189,  4775,  1243,  1693,  1931,  5895,
    6907,  4776,  6178,  6179,  6426,  5418,  4782,  4829,  4458,  4459,
    4460,  4777,  6644,  6645,  6901,  6902,  6428,  6429,  4778,  6636,
    7012,  7013,  7046,  7072,  3243,  2387,  1574,  1814,  1575,  2395,
    1815,  2371,  1577,  1816,  1817,  1818,  1580,  1819,  1820,  1821,
    1583,  2363,  1822,  1823,  2381,   950,   951,  1824,  1895,  6430,
    1826,  1827,  1828,  4779,  1829,  5351,  5851,  5837,  3882,  3883,
    3109,  6170,  5347,  4707,  5341,  3063,  3067,  6201,  6453,  6454,
    3953,  4756,  5378,  5868,  6421,  6630,  6631,  6779,  1830,  1831,
    1832,  3945,  3056,  1385,  1833,  5090,  3058,  3873,  3851,  2235,
    3852,  2508,  2529,  3800,  3815,  3816,  3921,  3853,  3861,  3866,
    3874,  3907,  1834,  3802,  3803,  4618,  2531,  1835,  1430,  2238,
    1431,  3078,  3902,  5817,  6135,  6136,  6406,  6407,  6146,  6408,
    6147,  6137,  4629,  4630,  6619,  3827,  3922,  4633,  3835,  3836,
    4651,  4640,  3828,  1836,  4642,  1851,  1837,  1838,  2495,  1244,
    6185,   825,  2240,  1173,  1839,  1840,  1841,  1339,   746,  1599,
    1600,   748,  3059,   809,   810,   997,   924,  3060,     2,    70,
    1140,  4467,  6079,   297,   298,  1052,  1053,  1054,  1526,  1527,
    2341,  2344,  1946,  3202,   752,   753,   826,  5760,  6120,  6394,
    1123,   299,   300,   301,   302,   303,  1340,  2000,   952,    71,
      79,    72,  1296,   337,   338,  3195,   304,   942,   305,  1934,
    1285,  4848,   306,   307,   308,   309,   310,  1120,   311,  1287,
     312,  1288,   313,   314,   315,   316,  1295,   317,  1936,  1937,
    5455,  1938,   318,   319,   812,   813,  1646,   320,   321,  1312,
    2445,  1314,  1675,  1952,  1966,  1967,  1968,   322,   760,   323,
     324,   325,  1958,  1959,   326,  3086,  3087,  3207,  3088,   327,
    4047,  4048,   328,  4800,  4801,  5908,  4802,   329,  3082,   330,
     331,  1247,  4853,   332,   938,   333,  1326,   814,   815,   816,
     999,   928,  1202,   817,  1001,  4202,   930,   818,   819,   820,
    2470,    73,  4055,  2471,  1843,   827,  1844,  3076,  1845,  1846,
    1847,  1848,  1849,  1850,   822,  1302,  1638,  1639,  4056,  1641,
      77,  1642,   334,  4537,  2446,  1676,  3711,  2456,  2457
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      75,  2248,   286,   293,   278,  1925,   282,  2234,  1261,   932,
     184,   283,   187,   175,   188,   288,   189,   209,   285,  1490,
     227,   995,   929,   232,  1282,  1063,   262,  1069,   281,   287,
     296,  1207,  1158,  2160,  1862,  1884,  1383,  1356,  1283,  1911,
    1158,  1913,    74,   932,  2403,  1389,  1183,  2475,  1394,  1271,
    1852,  1246,  3452,  3347,   293,  1131,   929,  3783,  2165,  2013,
    2377,  4166,  1204,  2226,  1537,  3346,  1890,  1889,  1204,  1204,
    4413,  4446,  1384,   925,  3708,  3376,   932,  3834,  1242,   756,
    2383,  4598,  1684,  1685,  1686,  3332,  2308,  1310,  1690,   929,
    2519,  3609,  2367,  2368,  4500,  1344,  3239,  2242,  2393,  4784,
    4563,  1876,  2159,  2376,  4996,  5143,  4447,   925,  4918,  1360,
    4922,  2191,  1056,   811,  3774,  2511,  3359,  1078,  1392,  2513,
    3838,  2218,  2514,  2515,  1612,  4827,  1649,  1167,  1690,  1174,
    5500,  1384,  1414,  3970,   811,  4067,  4069,  4435,  1625,  3521,
     925,  2385,  1208,  5194,  1055,  1062,  4840,  1068,  4889,  5169,
    1969,  1971,   992,  1062,  1988,  1990,  1991,  4294,  1437,  3413,
    3413,  3799,  1313,  3413,  3239,  2399,  1062,  3858,  5431,   824,
    1485,   829,  1974,  3482,  3483,  2410,  1494,  5708,  4946,  2413,
    4948,  2076,   927,  2416,  1338,  2418,  4326,  1265,  1508,   991,
      69,  2426,  1458,  1006,  3664,  1384,  1273,  2432,  5446,  2293,
    2435,  3698,  1066,  5091,  4841,  5822,  5470,  5823,  1896,  5717,
    3249,  3323,  1651,  1274,  1869,  2317,   927,  1610,  2104,  3478,
    1614,  5734,  2213,  1622,  5677,  1538,   286,   293,   278,  5738,
     282,  6145,  5716,  6210,   184,   283,   187,   175,   188,   288,
     189,   209,   285,  2122,   227,  5727,  3510,   232,  2139,   927,
     262,  1196,   281,   287,   296,  3628,  6182,  5412,  1239,  1259,
    5540,  6313,  1889,  1674,  3969,  4013,  5726,  3323,  1231,  4432,
    3196,  3196,  6235,  6098,  1155,  3984,  6091,  4816,  1437,  4715,
    6353,  6059,  1155,  2281,  3323,  6227,  4016,  2286,  4635,  2367,
    2368,  2441,  2290,  3992,  4857,  5153,  5960,  4738,  2462,  1338,
    2394,  2300,  4735,  2383,  6194,  1891,  6196,  6349,  6366,  4852,
    2364,  2365,  2071,  1157,  5217,  2320,  4372,  1530,  4375,  4376,
    2376,  1157,  2375,  4380,  4381,  4382,  6572,  4384,  4385,  4386,
    6090,  6087,  1918,  3413,  3084,  1921,  1437,  1948,  1949, -2001,
    1305, -1993, -2001,  6265,  1640,  2071,  2316, -1960,  1346,  1348,
    2071,   340,  1351,  6559,  5842,  2361,  6310,  3822,  3826,  3829,
    3830,    39,    40,  3839, -3726,  3841,  3842, -2437,  4637,  1301,
   -1973, -1998,  1401, -3726, -3726,  1538,  5796,  5797,  5798,  1411,
    5800,  5801,  5802,  5803,  5804,  4448, -3727, -2018, -1988,  2273,
    4671,    39,    39, -2436,  1961, -3727, -3727,  5410,    39,  5415,
    5416,   340,  1437,    39,  5595,  5687,    38,    39,  1472,  3303,
    1475, -3724,    40,  1477,  1437,  1573,  1338,  1951,  1954,  4648,
   -3724, -3724, -3723,  2587,  1013,  6615, -2854,  1502,  4846,  2468,
    1961, -3723, -3723,  1506,  2354, -2854, -2854,  6275,  6276,  3779,
    6920,  1573,  1631,  3122,  2447,  6762,  3900,  6769,  3606,  1327,
    4924,   340,  5179,   340,  4353,  3129,    38,    39,  6496,  1730,
    1731,  1702,    40,  1878,   993,  3927, -1932,  6303,  2043,  2354,
    6611,  4447,  2354,   340,  7070,  1866,  1251,  4108,  1855,  5741,
    1722,  3900,  2354,  6764,    40,  2354,   340,  2278,  3131,  2354,
      35,   340,  3146,  2295,    37,  6803,    38,    39,  2364,  2365,
    4890,  5688,    40,  4648,  2354,  5189,  3489,  6301,    35,  4637,
    6482,  1420,    37,   340,  2226,    39,  2264,  3492,    38,  2260,
    2354,  6612, -2263,  2265,    40,  2266,  2354,  4316,   758, -2263,
    1342,  4447, -2627,  1723,  1420,  2375,  6413,  3570,  5606,  4447,
    2587,  5675,  5968,  6772,  6418,   340,  6574,  6741,  3469,  4600,
      38,    39,  1384,  1730,  1731,  2242,    40,  6464, -1794,  3948,
    5122,  5957,  1661,  3398,  3575,  4925,  1666,  1667,  1668,  4317,
    3498,  5316,  3129,  5317,  7057,  1011,  1679,  6242,    39,  1879,
    2255,  6729,  1989,  2044,  3350,  6493,  1538,  3942,  5839, -2282,
    6052,  6226,  5689,  4288,  3943,  4018, -2282,  1914,  4089,  3318,
    2105,  2444,  4238,  6440,  4318,  3131,  1007,  2043,  2330,  3928,
    4183,  3099,  6060,  4671,  3929,  1421,   926,  3075,  6247,  3367,
    4590,  1007,  2131,  3461,  3809,  3989,  2134,  7107,  7100,  3671,
       3,  3350,  4403,  3071,  2411,  2582,  4847,  3436,  1421,  6354,
    7114,  7109,  6921,  3351,  4638,  2210,  2132,  3071,  2214,  7071,
     926,  3990,  -163,  3462,  3607,  3368,  1880,  -163,  1008,  3350,
    1329,  6061,  6279,  -163,  3074,  3930,   340,  3495,  1719,  1308,
    1309,  2250,  5938,  1264,  1283,  3350,  4184,  3118,  3119,  3350,
     953,  1422,  4239,   926,  3963,  1916,  2587,  3476,  5022,  3576,
    4090,  5015,  1056,  5080,  3377,  4649,  3350,  3350,  3319,  3350,
    4671,  3350,  3810,   947,  1422,  5840,  4591,  4019,  3399,  3949,
    6419,  6053,  1561,  6859,  2496,  3499,  2524,  1517,  3129,  3123,
    5140,  4724,  2044,  6341,  1055,   954,  2401,  3280,  5318,  6922,
    2279,  2510,  1879,  6465,  3377,  5607,  2279,  2093,  2451, -1794,
    6420,  3571,  2242,  2355,  1423,  5676,  4404,  3100,  2520,  6983,
    4448,  3131,  5123,  1070,  3308,  1683,  4616,  6414,  6675, -1960,
    5091,  3756,  2109,  2110,  6740,  6531,  2581,  1423,  1674,  6083,
    5690,  3756,  3756,  1674,  4890,  -454,  2259,  2499,  2355,  4649,
    3811,  2355,  5686,  3812,   759,  4638,  6672,  2268,  5574,  1062,
    1062,  2355,  7045,   953,  2355,  4926,  4927,  6922,  2355,  6712,
    5108, -2627,  3756,  2276,  6966,  6805,  6304,  3519,  3520,  1880,
    4448,  5927,  3391,  2355,  4109,  2362,  6806,  1703,  4448,  3931,
    2111,  1719,  3377,  5735,  6941,  3457,  4928,  5190,  4628,  2355,
    4354,  1252,  3901,  3608,  2257,  2355,  3419,  1983,   954,  1689,
    3729,  2279, -1960,  2279,  2045,  5691,  5582,  2378,  2379,  2269,
    2378,  2379,  5586,  6923,  5505,  5180,  5507,  6163,  1301,   932,
    3097,  1306,  2440,  3518,  1962,  6940,  2380,  4742, -1993,  2382,
    5412,  3085,  1318,  3700,  2366,  1152,  1153,  1538, -2627,  2291,
    2292,  3671,  6616,  4639,  2500,  5395,  3189,  3795,  3470,  3471,
   -2627, -3726,  1428,  6613, -2437,  6567,  1429,  2370, -1998,  2469,
    1962,  3813,  6763,  1014, -2263,  2329,  4686,  2356,  1689,  6132,
    5969,  1407,  2046, -3727,  2541, -1988,  6996,  1307,  2584,  3072,
   -2436,  5978,  6851,   925,  3739,  3975,  5906,  6614,  7108,  1957,
    7053,  6695,  3676,  3378,  4650,  3490,  3754,  7113, -3724,  3055,
    6765,  1725,  2384,  1468,   293,  2398,  3493,  1465,  2225, -3723,
    3509,  6861,  1466, -2854,  6850,  2409,  1469,  4405,  2431,  1467,
    6570,  3447,  3392,  4859,  3450,  4860,  3526,  6880,  7029,  3944,
    1532, -2282,  3682,  3378,  1261,  1963,  1964,  2434,  3203,  5091,
    3689,  5010,  5011,  6821,  6822,  4725,  5012,  3180,  5134,  1341,
    3181,  5072,  5073,  2401,  2405,  2407,  3194,  1152,  1153,  5247,
    5767,  5768,  5769,  5770,  5771,  6814,  3360,  3580,  3763,  1462,
    5874,  4041,  5876,  5877,  1428,  1336,  1337,  3814,  1429,  5649,
    4804,  1538,  6478,  5939,  6826,  4137,  5300,  5301,  3327,  1538,
    1538,  1926,   927,  2507,  3377,  4054, -1960,  1336,  1337,  4058,
    1653,  3477,  3222,  4843,  6943,  5016,  5305,  6784,  1654,  2279,
    1660,  4406,  1665,  3052,  3053,  3054,  3055,   293,  1669,  3449,
    1071,  3378,  4223,  5053,  5153,  5486,  3496,  5545,  2035,  1963,
    1964,  4726,  2452,  1539,  1078,  2454,  1522,  3327,  2458,  5141,
    2460,  3281,  5141,  2463,  1660,  1665,  3068,  2467,  1301,  3719,
    1062,  2441,  5460,  5648,  3327,  3722,  3497,  5286,  3891,  3479,
    3801,  6340,  4013,  1692,  1341,  3400,  3377,  3379,  3757,  3102,
    6739,  5363,  2500,  2401,  3115,  3115,  1275,    75,  6733,  5645,
    1072,  5132,  4821,  5250,  5247,  3833,  4683,  4684,  4685,  4686,
    5109,  3661,  3662,  6995,    39,  4810,  3377,  1157,  3380,   939,
    3764,   940,  2131,  6713,  1204,  1672,  4885,  3379,  1204,  6807,
    2297,  1672,  1645,  1315,  2401,  6721,  1062,  5067,  6931,    74,
    4727,  3740,  1073,  3381,  1074,  1273,  2132,  5252,  1354,  4391,
    6946,  6947,  6732,  1692,  3261,  5500,  -163,  -163,  3380,  4205,
    1701,  3377,  1274,  2036,  6886,  1941,  3552,  6346,  5921,  6522,
    2197,  6524,  1907, -1706,  1275,  6528,  6529,  3050,  3051,  3052,
    3053,  3054,  3055,  3381,  3375,  1930,  5558,  1276,  1724,  5439,
    1650,  4681,  4682,  4683,  4684,  4685,  4686,  1384,  1856,  4844,
    5758,  1341,  1868,  1539,  1870,  3142,  3995,  5444,  1659,  3302,
    1664,  1481,   925,  2198,  3224,  3379,  6985,  4206,  3091,  3898,
    1678,  3710,  5702,  7061,  3375, -1960,  3622,  6837,  2242,  1301,
    5553,   811,  1157, -1960,  1593,  2366, -1960,  2012, -1960,  1277,
    1268,  4822,  1695,  1697,  5573,  3584,  3380,  6456,    35,  1859,
    6970,    39,    37,  3378,  2128,  4447,  6113, -1706,  4447,  6860,
      39,  6852,  2050,  1672,   336,  1276,  6248,  3310,  4504,  2027,
    1268,  3381,  1658,  4128,  1663,  7067,  5089,  3317,  1688,  3875,
    5660,    39,  3751,  3752,   756,   756,   339,    69,    39,  1973,
    7031, -3445,  3092,  3377,  6936,  5253,  3377,  3996,  6400,  1708,
    3658,  6215,  4157,  2123,  1204,  1204,  1694,  1696,  4066,  1157,
     943,  1157,  3375,  1157,  7099,  2312,  4138,  5559,  6457,  1157,
    1670,  1671,  4159,  3361,  1865,  3378,  5195,  1367,  1873,  3585,
     932,  1972,  4207,  1897,  1368,  1369,  1370,  3362,  6011,  3363,
    4255,  6555,  6183,  2241,  6077,  1157,  1157,  2037,  3765,  1157,
    6563,  1075,  7077,  4655,  5661,  3378,  1997,  1998,  2313,  4505,
    3437,  5554,  6012,  5501,  3440,  3441,  4128,  2202,  1689,  3766,
    5186,  6108,  4129,  2203,  1437,  6089,  4392,  6948,  6566,  3511,
    3069,  2582, -1706,  6552, -1115,  1341,  1146,  1146,   944,  2038,
    1950,  1709,  5934,  5922,   925,  4256,  6580,  1316,  4447,  4224,
    3378,  6565,  6581,  6606,  6551,  3364,  3679,  3899,  2199,  3563,
    1147,  1147,  4886,  6569,  1539,  4363,  5951,  5196,  2124, -2458,
    3691,  3396,  4823,  -186,  2039,  6539,  3741,  3379,  4078,  1942,
    2001, -2566, -2606,  3697,  6568,  3553,  3876,  5254,  3324,  3069,
    1278,  6145,  4668,  4669,  1719,   941,   926,  4688, -1706,  2298,
    3678,  4139,  6838,  3323,  -186,  3688,  1341,  4257,  3380,  6994,
    3796,  3798,  3525,  3370,  3660,  4129,   945,  3805,  1355,   946,
    7001,  6937,  5555,  3819,  3820,  3653,  3540,  6754,  2420,  1965,
    6145,  4225,  2204,  3381,  4215,  3843,  4433,  3452,  4719,  4720,
    1384,  1384,  4356,  1196,  2183,  3863,  5884,  2040,  3677,  3379,
    5888,  3878,  1993,   927,  1670,  1671,  4043,    35,  4043,  3337,
    4208,    37,  1673,  3690,  7030,  3716,  3692,  3696,  1278,  6783,
    2200,  2421,  1953,  1299,  3375,  6114,  5008,  1516,  3849,  3379,
    3380,  1482,  3378,  1157,  4448,  3378,  6839,  4448,  3458,  6474,
   -3445,  1985,  3455,  2131,  1674,  3377,  3377,  7059,  1672,  4025,
    1674,  4368,   828,  2314,  1594,  3381,  6468,  6264,   943,  4132,
    3380,  6723,  6401,   293, -1706,  6840,  3535,  2132,  3484,  3485,
    3486,  3487,  5000,  1710,  3379,  6540,  1533,  3546,  7078,  5793,
    4258,  4974,  2389,  1463,  3742,  3381,  3639,   947,  3748,  3749,
    4907,  1517,  2339,  3564,  4446,  5197,  3375,  4506,  6730,  2017,
    5926,  4586,  2125,    35,  1157,  3380, -3445,    37, -1706,  3640,
    3341, -1706,  4507,  2389,    75,    75,  1711,    75,  1712,  1986,
    1986,  -725,  1146,  5748,  4588,  4489,  3375,  4814,  4447,  4447,
    3381,  1121,  3965,  3541,  3542,  1680,   944,  6056,  1261,  1673,
    1384,  1428,  6869,  6652,  2126,  1429,  1147,  3638,  3618,  3559,
    2002,  6013,  4132,  2018,  6541,  1010,    74,    74,  5018,    74,
     944,  5055,  6874,  6663,  1248,  2315,  2205, -2630,    35,  3654,
    5198,  3375,    37,  3982,  3218,  3619,  2504,  4448,  1518,  2127,
   -2566, -2606,  1573,  3602,  3603,  3604,  3605,  3794,  1283,  1635,
    3286,   944,  2401,  1700,  3669,  2017,  4975,  1987,  1987,  6320,
    3239,  3287,  5434,   948,  3239,  1539,  3379,  2377,  2206,  3379,
    3282,  4259,  1645,  4216,   945,   934,  2422,   946,  3271,  4260,
    2242,  2453,  4261,  2455,  3968,   935,  2459,  3156,  2461,  3343,
    1124,  2464,  2465,  2466,  3695,  1573,  6849,  3380,   945,  3702,
    3380,  2390,  6355,  2207,  2473,  3276, -2566, -2606, -1793,  2018,
    1125,  4026,  1266,  6321,  6888,   926,  6322,  6869,  5462,  2502,
    3712,  2503,  3381,  6323,  2442,  3381,  5091,  2019,  2443,   945,
    6532,  1673,  2390,  3277,  2540,  3157,  3641,  6874,  5260,  5093,
    4809,  3344,  1726,  3127,  3378,  3378,  3738,  1126,  4071,  6897,
    3743,  6324,  2583,  3147,  3148,  3750,  3152,  1311,  3753,  5667,
    5666,  2585,  3701,  3375,    69,    69,  3375,    69,  3705,  4087,
    1274,  1274,  5704,  1274,  6674,  6857,  6858,  3073,   947,   947,
    1267,  5662,  1681,   146,  1146,  5707,  5639,  5096,  2423,  5713,
     936,  5643,  2020,  5089,  1930,   947,  1930,  6889,  1373,  1374,
    1375,  1376,  1377,  1378,  1379,  1380,  1381,  1519,  1147,  1539,
    4587,  6325,  3104,  3106,  6939,  3271,  5714,  1539,  1539,   947,
   -2433,  5571,   151,  2019,  6326,  3618,  6749,   811,   811, -2672,
    2021,  5713,  6389,  4589,  2022,  3272,  6774,  6327,   141,  3620,
    4976,  3288,  3283,  5435,  1520,  3089,  3090,  1420,  5098,  4447,
     947,  3159,  3619,  4447,  1341,  6869,  3978,  3892,  5714,  1341,
    1341,  3345,  4165,   925,  2223,  2565,   158,  4448,  4448,  2023,
    5488,  5547,  4310,   932,  1268,  6874, -2630,  4785,  4311,   160,
    4786,  4787,  4977,  3289,  1204,   756,  2241,  6533,  3260, -1793,
    4128,  4788,  4789,  4790,  4141,  4791,  4792,   926,  3273,  6890,
    4793,  4794,  4795,   161,  2024,  3278,  6993,  2025,  1521,   925,
    1522,   948,  6810,  5261,  1523,   811,  3160,  4978,  3379,  3379,
    5463,  6898,  4027,  6492,  4914,  1204,  6899,  5464,  5668,  6558,
    4017,  6356,  4667,  3200,  5465,  2391,   949,   925,  3284,   937,
    6186,  3775, -2630,  3214,  3216,  6190,  6357,  6360,  6192,  3380,
    3380,  1421,  2346,   138,  1289,  6361,  5663,  4262,  2026,  6042,
    2392,  6900,  2347,  6802,  5101,  6573,  2391,  6818,  4072,  6979,
    4073,  1210,  5466,  1290,  3381,  3381,  2348,  3903,  3442,  1341,
    4154,  1204,  6997,  1291,  5963,   146,  1026,  4312,  1064,  4129,
    2347,  3277,  6811,  4142,  3153,  5467,  1969,  1971,  1204,  1026,
    2024,  6980,  1157,  2025,  2348,  6775,  2056,  1157,  1157,  2027,
    4274,  5102,  5089,  6750,  2027,  3375,  3375,  1422,  1974,  6390,
    5715, -1717,  6950,  1269,   151,  4130,  6138,  5103,  3731,  6130,
    5517,  2401,  1341,  2349, -1717,  3273,  1994,  4165,  4262,  1995,
   -1717,  1853,  1341,  1428,  5019,  1170,   927,  1429,  6328,  6139,
    2224,  6329,  3473,  4796,  6891,  6140,  6071,  5251,  2401,  1175,
    1028,  3715,  6727,  1732,  4541,  5518,  4671,  4131,   158,  6141,
   -3728, -3728, -3728,  1028,  6388,  5263,   953,  4902, -2672,  4273,
    1423,   160,  2113,  -635,  4324,  3206,  4927,    39,  1292, -1717,
    2027,  3213,  3215,  3239,  2027,  5020,  3265,  5472,  3731,  5472,
    4901,  1214,  3456,  3239,  3731,   161,  3452,  5287,  3266,  3154,
    3464,  1908,  5291,  4446,  3759,  6058,  5531,  4300,  1854,  2505,
    3416,   954, -1717,  3420,   162,  1341,  3267,  1157,  4448,  1341,
    1341,  5104,  4448,  3443,  4319,  1875,  3731,  2350,  3444,  6362,
     932,  6168,  1732,  2587, -2672,  4671,  6747,  6358,  4447,  4672,
    4673,  4674,  4347,  3562,  6082,  4903,  2141,  1996,  1293,  2114,
    7033,  4516,  -480,  5519,  5299,  2350,  5935,  5356,  6748,  4525,
    6221,  4313,  6223, -1717,  1181,  3129,  4132,  4250,  6731,  3239,
    1157,  5013,  6377, -1717,  6274,  5473,  4540,  5473,  5275,  6069,
    1157,  4357,  4358,  4359,  4340,  4185,  4546,  2587,  2142,  4547,
    2203,  4548,  4549,  6142,   925,  4551,  4363,  1215,  3131,  4554,
    2351,  4555,  5062,  4314,  4557,  3760,  4797,  1909,  2003,  5312,
    5313,  5314,  5315,  3413,  6169,  5319,  5320,  5321,  5322,  5323,
    5324,  5325,  5326,  5327,  5328,  3156,   146,  1294,  2351,  6550,
    5936,  1341,  1039,  3594,  1040,  5432,  6436,  3599,  4315,  6584,
    7021,  4452,  4453,  4454,  4455,  1039,  4457,  1040,  2298,  5014,
    2004,  4186,  3131,  5474,  2093,  5474,  5232,  5475,  5017,  5475,
    4563,  2294,  4248,  1157,  4249,   151,  2162,  1157,  1157,  6593,
    4798,  4485,  4325,  3157,  1044,  1914,  5402,  -480,  3442,  5367,
    5368,  6180,  4599,  3579,  6048,  2005,  6050,  6038,  5657,  6684,
    4151,  3268,  7086,  4121,  4247,  7089,  6271,  5543,  4118,  4341,
    4122,  4123,  2352,   927,  3581,  5054,  6865,   134,  2163,   158,
     293,   134,  5433,  7076,  1184,  5658,  4447,  2008,  3825,  6594,
    6272,  6039, -1717,  4447,  3611,  5501,    87,  6617,  4447,  1384,
    2352,  4447,    88,    89,  6853,   953,  6601,  3780,  3367,  7055,
    3158,  7058,  2434,  1185,  1538,  2014,  4676,  5429,  6029,  6143,
    6030,  6031,  6032,  4677,  5403,  2009,  6530,  3768,  5501,  2010,
    4447,  6144,  4115,  1916,    99,   162,  6685,    75,  1468,   293,
      75,  1403,  1465,  6562,  3368,  5544,  5403,  1466,  3512,  1157,
     954,  1469,  5165,  -397,  1467,  5290,  4799,  2015,  5404,  3159,
    5295,  5296,  4518,  4447,  2011,  6618,   926,  3107,  7083,  1914,
     141,  4052,  1404,  5405,  5907,  1915,  4150,   146,  7104,    74,
    5404,   146,    74,  -397,  1917,  3733,  1483,  4448,  1484,  4807,
    3513,  3355,  2016,  3356,  2164,  5890,  5406,  1988,  4781,  4088,
      87,  3422,  4677,  3443,  2298,  5402,    88,    89,  3444,  6271,
    3108,  7084,   926,    92,    93,  5246,   151,  6952,  5406,    94,
     151,  3784,  3903,  6942,  3160,  5407,  1652,  6816,    95,   932,
      96,  3645,    97,  6272,  1319,  1320,  3817,  3717,    99,  3718,
     926,  1186,  3897,  3720,  4478,  3721,  5625,  4843,  3723,   116,
    2434,  6466,  3724,  1321,  5447,  2434,  1322,  1916,  3659,  3357,
     158,  5247,  1240,  4320,   158,  6755,  6525,  4254,  3667,  5626,
    3668,  6526,  2131,   160,  5501,    87,  3672,   160,  6467,   122,
    3675,    88,    89,  5403,  1707,  3423,  4436,  2193,    92,    93,
    3426, -1718,  6662,   925,    94,  1213,  2132,   161,  4321,  6756,
     126,   161,  1254,    95, -1718,    96,  6484,    97,  1917,  4447,
   -1718,  4522,  3676,    99,  2168,  1263,  6866,  5404,  -397,  -397,
     162, -1453, -1764,  5408, -1453,  4117,  6527,    69, -1764,  2194,
      69,  4125,  5405,  2195, -3728, -3728, -3728,  4681,  4682,  4683,
    4684,  4685,  4686,  2131,  6915,  5408,  2582,  1323,  4344,  2131,
    1892,    38,   129,   116,  3734,  5406,  2169,    40,  1509, -1718,
      93,  4831,  1903,  3514,  2196,  4448,  3501,  2132,  4874,  6916,
    3507,  1509,  4448,  2132,  4275,  3515,  4322,  4448,    97,  4168,
    4448,  1324,  4278,   122,  5407,  4281,  7060,  3735,  4971,  1286,
   -1528,  2170, -1718,  4126,  2171,  1510, -1529,  4783,  1279,  4447,
    4832,  3736,   927,  5656,   126,  3516,  1871,  6981,  1510,  4448,
   -1764,  4323,  5023,  4678,  4679,  4680,  4681,  4682,  4683,  4684,
    4685,  4686,  1325,  3807,  3808,  1486,   955,  1487,   116,  3095,
    4972,   135,  6982,  1511, -3519,  1146,  3350,  1012,  7088,  3737,
    3844,  3845,  4448, -1718,  2318,  5918,  5135,  1118,  3358,  4936,
    3406,  4938,  2144, -1718,  2428,  7101,   129,  6926,   122,  1147,
    2172, -1764,  6929,  6930,  1311,  4973,    76,  3430,  2319,  1211,
     340,  3671,  3890,  5608,  2145,  4956,  4858,  4856,  2429,   126,
    6381,    40,  5408,  1512,  1317,  5785,    87,  4957,   146,  4291,
   -3474,  4292,    88,    89,  4891,  4296,  1512,  5609,  5970,    92,
      93,  5792,  2173,  1328,  6382,    94,  5976,   926,  6281,  2174,
    6271,  4670,     8,  2175,    95,  6770,    96,   146,    97,    98,
    5530,  6771,   335,  4698,    99,  5815,  2146,   151,  6585,  5151,
    4932,   129,  5820,  5821,  6272,   135,  4276,  2373,  2374,  4279,
    4894,  2378,  2379,  3983,  1330,   757,  4805,  2378,  2379,  4447,
      35,  1334,   933,  3080,    37,   150,   151,  1283,  3081,  4722,
    2380,  4604,  4863,  4606,  4607,  1331,  2382,  2366, -1140,  3250,
    1004,   158,  5221,  5222,  5223,  5202,   152,  4419,  1057,  5089,
    5203,    35,   340,  5402,   160,    37,   933,  4395,  4448,  3912,
    3913,  3914,  3915,    40,   155,  5041,  5504,  6180,  1644,   340,
     158,  5048, -1718,  4753,  5520,  1205,  5527,  1332,   161,   159,
     135,  1205,  1205,   160,  4740,  1333,  2242,    35,  2147,   933,
    6480,    37,  5487,  5709,  5459,  4601,  4966,   162,  4374,  2366,
    7027,  3250,  4447,  6914,  1335,  5742,  5501,   161, -2429,   116,
    5203,  4387,  4255,  1428, -1718,  1683,  2442,  1429,  6495,  4396,
    3707,  3239,  1342,  6499,  6500, -2430,   162, -1718,  1026,   150,
    1428,  5403,  1683, -1718,  1429,  1350,  5262,  2121,  6813,   122,
    1428,  4447,  2138,  1901,  1429,  2243,  2148,  2244,  4448,  4571,
     152,  2149, -1113,  3192,  3193,  4560,  2150,  1428,  4440, -2437,
     126,  1429,  4612,  2176,  5546,  5404,  3140,  4256,   155,  4613,
    1352,  6369,  3451,  4614,  4697,  7003,  4699,  4700,  7004,  4468,
    5405,  1732, -1718,   159,  4671,  2366,  1365,  2012,  4672,  4673,
    4674,  1901,  3523,  3524, -1706,  5138,  1384,  2450,  2512,  2244,
    2244,  2177,  1028,  5406,   150,  2178,  1366,  2152,  3884,  5214,
    5215,  3887,   129,  1418,  6737, -1718,  2527,  3126,   162,  2244,
    6285,  1409,  4420,  1907,  3139,   152,  3140,  1732,  3985,  4257,
    4671,  3144,  5407,  2244,  4672,  4673,  4674,  4570,   102,   103,
    2179,  1907,  1907,   155,  4542,  4042,  4544,  2180,  2144,  4447,
    1419,  3648,  5357,  3649,  1427,  2154,  5928,  1471,   159,  1030,
    2366,  6187,  3250,  3709,  1473,  3140, -1718,  6286,  1478,  4815,
    2145,  3976,  4878,  4593,  1505,  5081, -1718,  4014,  4015,  2155,
    5225,  3730,  5227,  3731,  5229,  4864,  4865,  4758,  4603,  4759,
    1491,   135,  6287,  4608,  3732,  4029,  3731,  1538,  4448,  5721,
    2157,  7034,  3772,  3988,  3773,  2434,   926,  4038,  -634,  3140,
    5728,  6288,  4148,  4230,  4149,  4231,  6289,  4397,  1525,  4398,
    4044,  1513,  2146,  4634,  4523,  4091,  3140,  4094,  1514,  4562,
    5408,  3731,  1515,  4611,  4991,  3140,  3192,  4039,  6290,  4997,
    1528,   932,  6291,  4620,   340,  3140,  6677,  6678,  4602,  2378,
    2379,  2158,  4258, -3454,  2241,  4609,  4626,  6292,  3140,  4489,
    5219,  5220,  5221,  5222,  5223,  4627,  4631,  3140,  4632,   756,
    5765, -3455,  4675,  5873,  4012,  4012, -1788, -1788,  7093,  5110,
    1536,  4448,  3115,  1541,  1039,  1973,  1040,  5501,    75,    75,
    4646,  5524,  4356, -1791, -1791,  4676,  6082, -1140,  4657,  4421,
    3140,  4690,  4136,  3140,  4704,   925,  3140,  4709,  1592,  4710,
    1043,  1545,  1301,  2294,  2147,   150,  1601,  1204,  6834,  4760,
    4448,  4761,  4447,  1608,  6188, -1718,  4949,  1972,  4950,  1619,
      74,    74,  1539,  1538,  1626,  4987,   152,  4954,  3239,  4955,
    4982,  4676,  4983,  3206,  5051,  1647,  4983,  5503,  1266,  1007,
    5506,  4422,  1602,  5509,   155,  5162,  5003,  5163,  5173,  1119,
    5174, -1765,   932,  6293, -1792, -1792,   932, -1765,  5177,   159,
    5178,  5210,  2148,  5211,  1341,    40,  5212,  2149,  3140,  4212,
    1683,  4677,  2150,  4259,  5337,  5348,  5338,  5349,  1870,  1682,
     932,  4260,  1687,  1428,  4261,  6486,  6487,  1429,  3451,  6737,
    5359,  1705,  3140,  4236,  1691,  5501,  4245,  5219,  5220,  5221,
    5222,  5223,  1698,  1204,   927,  5224,  1267,  5128,  6294,  5442,
    1706,  5443,  4011,  4011,  6150,  6151,   925,  4677,  4448,  5448,
     925,  5449,  1716,  2152,  4447,  5458,  5650,  4073,  5651,  4290,
    4447,  5710,  5787,  3731,  2500,  5827,  5830,  3140,  5831, -1765,
    5864,  3968,  3140,  5930,   925,  4073,  5954,  6084,  5955,  6085,
    6123,  1717,  5211,  5111,  1718,  5113,  3676,  6160,  6162,  6161,
    3140,  6632,  6633,  1870,  5256,  1965,  6780,  6781,    69,    69,
    1719,  2154,  6315,  6335,  6316,  3731,  1720,  6370,  4867,  6371,
     932,  1721,  6404,  5530,  6405,  1727,  6423,  1870,  6424,  6433,
   -1765,  2434,  6439,  4236,  5148,  2155,  6154,  6441,  1729,  5148,
    1268,  1874,  6462,  2226,  6463,  5121,  4879,  5124,  1877,  6514,
    2586,  6515,  1157,  2587,  4882,  6554,  2157,  3094,  1057,  6582,
    1881,  6463,  6863,  1882,  6623,   927,  4710,  1893,  6624,   927,
    3140,  1883,  6641,  5501,  6642,  6647,  6650,  2434,  5148,  1341,
    5952,  5183,  1899,  1888,   925,  3129,   932,  1341,  1898,  1901,
    1341,  4333, -3728,   927,  6683,  4337,  3773,  1902,  6686,  4401,
    3773,  4815,  6687,  6690,  3773,  3140,  1912,  2158,  4447,  1927,
    4880,  4881,  3968,  4445,  6691,  6692,  3140,  6693,  3131,  6719,
    1928,  6720,  4678,  4679,  4680,  4681,  4682,  4683,  4684,  4685,
    4686,  4448,  4370,  6788,  4370,  6789,  4370,  4370,  1929,  1932,
    4170,  4370,  4370,  4370,  1935,  4370,  4370,  4370,  1933,  6792,
     925,  2434,  1939,  6793,  1538,  3140,  1538,  1943,  6815,  4979,
    3731,  4981,  6830,  6855,  6831,  6856,  1940,  5755,  4678,  4679,
    4680,  4681,  4682,  4683,  4684,  4685,  4686,  6893,  1944,  5148,
    2586,  1945,  6908,  2587,  3140,  6910,  6949,  3140,  6463,  1269,
    4721,  1947,  6978,   927,  6655,  6999,  5483,  7000,  7025,  4451,
    5443,  7028,  5419,  3140,  7047,  7056,  7048,  3140,  1975,  7064,
    1732,  7065,  7074,  4671,  6789,  3129,  1976,  4672,  4673,  4674,
     947,  5309, -3728,  7110,  4479,  7065,  5264,  1157,  7112,  7115,
    7048,  7048,  5889,  1977,  5892,  1157, -3728,  2586,  1157,  1992,
    2587, -3728,  1538,  4448,  3182,  1999,  3185,  2006,  3131,  4448,
    1157,  2012,  2048,  2074, -3725,  5336,  2077,  5042,  2079,   927,
    2080,  2111,  2115,  2116,  2117,  2128,  2130,  6396,  2140,  4536,
    2143,  2167,  3129,  2184,  2185,  2201,  2211,  2212,   932, -3728,
    2215,  2220,  2222,  2221,  2252,  2254,  2256,  2261,  2272,  2267,
    2275,  4582, -3728,  2277,  2282,  2285,  2287,  2279,  2301,  2296,
    2302,  5064,   933,  1261,  2305,  3131,  5375,  -150,  2304,  2307,
    2309,  5631,  2310,  2321,  7032,  1732,  2328,  2330,  4671,  2333,
    1004,  2337,  4672,  4673,  4674,   972,  2343,  2362,  2353,  1004,
     757,  2358,  2359,  2360,  5521,  2369,  2366,  1004,  2370,   757,
    1004,  2372,   925,  6643,  2586,  2386,  2396,  2587,  2388,  2397,
    3136,  1261,  2400,   757,  2401,  2408,  1301,  2424,  2412,  2414,
    2415,  2417,  6410,  2419,  5065,  2425, -3728,  2427,  2430,  2433,
    2436, -3728,   757,  2437,  2448,  2474,  5142,  4739,   926,  3129,
    2509,  2516,  2525,  2526,  1341,  2518, -3728,  4448,  2521, -1964,
   -1971,   757,  2532,  2533,  5636,  2534,  2535,   757,  2536,  5774,
     932,  4168,  5776,   162,  2538, -1962,   932,  2539,  2540,   757,
    2542,  2543,  3131,  4705,  2544,  2545,  2546,  2547,  2548,  4712,
    2549,  2550, -3728, -3728,  4676,  2551,  2552, -1965, -3728,  1534,
    2553, -1963,  5791,  2565,  2554,  2555,  2557,  6104,  2558,   757,
    5269,  2559,  2560,  2561,  1004,  5852, -3728,  5208,  2562,  1591,
    2563,   927,  2564,  1004,   757,  4763,  4764,  4765,  4531,  4534,
    1004,  2567,   757,  1004,   925,  3062,  2568,  2569,  2570,  2571,
     925,  2572,  3064,  1261,  3098,  1591,   757,  2573,  4445, -3728,
    3136,  5644,  2574,    76,  5366,  3066,  3068,  3069,  3094,  3110,
    1672,  3120,   757,  3125,  3143,  5241,  1915,  3145,  1917,   926,
    3176,  3178,  3188,   926,  3198,  3191,  3199,  3201,  3209,  2144,
    4677,  3212,  3210,  1907,  3223,  3220,  2586,  3217, -3672,  2587,
   -3667,  3225,  3226,  2588,  2589,  2590,  3221,   926,  3227,  4676,
   -3728,  2145,  1157,  3228,  3229, -3728,  3245,  3136,  4445,  3247,
    3246,  3128,  3248,  3250,  3251,  3252,  4445,  5233,  3254,  5279,
     757,  3129, -3728,  3253,  3255,  3256,  3257,  3263,  3130,  3285,
    3291,  3279,  3305,  3309,  3050,  3051,  3052,  3053,  3054,  3055,
    3311,  3312,  3313,   927,  3315,  1539, -3728,  3316,  3329,   927,
    1004,  1004,  3333,  2146,  3131,  3335, -3728,  1205,  3365,   757,
    3334,  1205,  3353,  3354,  3369,  3371,  3374,  3372,  3385,  3373,
    3375,  5311,  3383,  3386,  3384,  3387,  3388,  3397,  3393,  3394,
    3403,   933,  3404,  3407,  3417,  4677,   757,  1341,  1004,  3418,
    3431,  3421,  3438,  3445,  3424,  3427,  5332,   926,   757,  3428,
    3448,  3433,  2093, -3728,  6640,  3434,  3446,  3453,  3463,  3454,
    1732,  4820,  4820,  4671,  3136,  3465,  5940,  4672,  4673,  4674,
    3467,  6065,  3491,  3459,  3529,  3460,  3472,  5721,  4815,  3474,
    3475,  3466,  3468,  3500,  3534,  5857,  3536,  3480,  3481,  3494,
     757,   757,  3505,  3522,  3537,  2147,  3538,  3539,  3550,  3543,
    3551,  3544, -3728,  3545,  3547,  2242,  4815,  3548,  3549,  3555,
    3556,  3557,  3558,   926,  3050,  3051,  3052,  3053,  3054,  3055,
    3565,  3566,  3132,  5980,  5981,  3569,  1021,  3133,  3574,  3582,
    3968,  1539,  3593,  2033,  2164,  3597,   932,   932,   932,  3598,
    3601,  4678,  4679,  4680,  4681,  4682,  4683,  4684,  4685,  4686,
    3134,  2780,  3617,  2148,  3637,  3610,  3613,  3616,  2149, -3728,
   -3728,  3626,  3643,  2150,  3663,  3651,  3665,  3666,  5682,  5683,
    3673,  3050,  3051,  3052,  3053,  3054,  3055,  3674,  3135,  3451,
    3206,  3630,  3634,  4806,  3681,  1157,  3644,  1205,  1205,  3647,
    3683,  3656,  3657,  3670,  3671,  3685,  3699,  3684,  3686,  3726,
     925,   925,   925,  3727,  3744,  3755,  3769,  3771,  3782,  4819,
    4819,  1004,  1004,   933,  2152,  3801,  3846,  6024,  6025,  4952,
     757,  2847,  3879,  3806,  3885,  1004,  2587,  3908,  3889,  3909,
    1591,  1004,  3946,  3926,  6483,  1004,  3136,  1004,  3963,  5570,
    3952,  1591,  3905,  3924,  3951,  3974,  4678,  4679,  4680,  4681,
    4682,  4683,  4684,  4685,  4686,  3910,  3971,  1591,  3972,  3980,
    3981,  1267,  2154,  4006,  3979,  4008, -3728,  4023,  3977,  3994,
    4007,  4030,  4009,  4031,  4676,  3084,  5001,  4045,  3050,  3051,
    3052,  3053,  3054,  3055,  4062,  4063,  2155,  1732,  4092,  4065,
    4671,  4083,  5916,  4095,  4672,  4673,  4674,  4815,  4097,  4100,
    1004,  4105,  1004,  1004,  4110,   926,  4116,  2157,  4124,   927,
     927,   927,  5838,  4728,  4111,  4729,  4140,  4113,  4145,  1871,
    3911,  1875,  2586,  4147,  4155,  2587,  4161,  4162,  4164, -3728,
   -3728, -3728,  3138,  4163,  4174,  4187,  4192,  4193,  4213,   932,
    4219,  4730,  4221,  4220,  4226,  4237,  4229,  5044,  4244,  4246,
    6122,  1591,  3562,  4247,  4284,  4267,  2298,  3129,  2158,  4268,
    4677,  6125,  6126,  4328,  3130,  1268,  4343,  4355,  4351,  4352,
    4364,  4371,  4378,  4377,  4383,  4379,  3912,  3913,  3914,  3915,
    4399,  6131,  4410,  3916,  3917,  4425,  4429,  4456,  4439,  3918,
    3131,  4411,   757,  4388,  4431,  4370,  5155,  4427,  4461,  4450,
    4462,  4464,  4465,   925,  4466,  4469,  3911,  5075,  5075,  4472,
    4474,  4463,  4476,  4477,  4480,  4481,  4486,  5092,  4501,  4502,
      76,    76,  1539,    76,  1539,  4503,  4512,   926,  5172,  5156,
    4513,  1004,  4514,   926,  4515,  4517,  4519,  1995,  3046,  5168,
    5913,  4524,  4527,  4528,  4526,  5207,  4550,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,  3054,  3055,  4552,  4553,  4529,  1341,
    4556,  4558,  3912,  3913,  3914,  3915,  4564,  4565,  4530,  4731,
    4538,  4539,   757,  6036,  5146,  4732,  5684,  5206,  2434,  4566,
    4567,  6104,   102,   103,  4568,  2431,  4569,  1591,  2398,   757,
    4579,  5652,  4584,  4573,  5093,  4583,  4574,  5782,  4585,  4595,
    5094, -3728,  4592,  4597,  4622,  5654,   757,  1689,  3132,  5182,
    1539,   757,   927,  3133,  5095,  4623,  1062,  4625,  4605,  4624,
    4636,  4641,  1004,  4643,  6971,  4628, -2255,  6973,  5373,  4645,
    6975,  1692,  4647,  4653,  3823,  4656,  4703,  4658,  5949,  4659,
    4706,  4663,  5096,  4723,  5097,  3919,  4667,  4356,  1124,  4737,
    4665,  4536,  1384,  3140,  4666,  4689,  4694,  3920,  4695,   289,
    4702,  4747,  4717,  1004,  3135,  1062,  4718,  4748,  1125,  4754,
    4811,  4678,  4679,  4680,  4681,  4682,  4683,  4684,  4685,  4686,
    4781,  4824,  5777,  5778,  5779,  5780,  5781,  4677,  4750,  4817,
    4752,  4826,  1004,  1004,  1004,  4812,  1004,  4837,  4828,  4850,
    4845,  4830,  4851,  5098,  6049,  1126,  4849,  1157,  4854,  3061,
     289,  2442,  4855,  4861,  1261,  4866,  4868,  1004,  4869,  4873,
    6176,  3452,  3136,  4875,  4898,  4887,  4888,  4900,  4899,  4904,
    5125,  4733,  5099,  4906,  4910,  4911,  1261,  4912,  4916,  4917,
    4919,  4935,  6007,  4734,  4934,  4937,  4943,  4923,  1260,   932,
    4944,  4945,  4953,  4961,  4970,   757,  4984,  4986,  3105,  4988,
    4990,  4992,  5343,   757,   757,  1341,  4998,  5004,  4994,  4999,
    5002,  5005,  5009,  5006,  5007,  5026,  5380,  5381,  5382,  5383,
    5024,  5025,  5027,  5028,  5031,  5029,  5034,  5030,  5032,  5036,
    5038,  5040,  6198,  5033,  5043,  5035,  1004,  5047,  5037,  3489,
    1004,  1004,  4445,  3492,  5045,  4445,  5039,  5049,  5050,  5059,
    5066,  5071,  5077,   925,  5100,  5056,  1004,  5063,  3138,  5101,
    5060,  5061,   933,  5079,  5119,  5133,  5114,  5120,  5126,  5130,
    5137,   757,  3710,  2541,  5213,  5354,  6508,  5148,  6510,  6067,
    5150,  4534,  5147,   926,   926,   926,  5160,  1732,  5166,  5167,
    4671,  5157,  5170,  5171,  4672,  4673,  4674,  5187,  5201,  5175,
    5204,  1468,   293,  5209,  5216,  1465,  5102,  5234,   933,  5235,
    1466,  5226,  5858,  5236,  1469,  5237,  5974,  1467,  5238,  1272,
    5228,  5239,  5103,   289,  5240,  5258,  5242,  5259,  5218,  5257,
    1591,  5265,  5266,  5278,  5267,  5292,   933,  5268,  4678,  4679,
    4680,  4681,  4682,  4683,  4684,  4685,  4686,  1205,  5270,  5271,
    2033,   138,  6475,  1157,  2033,  5272,  2527,  5273,  5274,  5283,
    5284,  5285,   927,  5282,  3046,  5288,  5289,  5297,  5298,  5941,
    4671,  5303, -2254, -3728, -3728, -3728,  3050,  3051,  3052,  3053,
    3054,  3055,  5333,   146,  6660,  4445,  5350,  5310,  1205,  5334,
    5335,  5342,  5361,  5362,  5365,  5376,  5387,  5392,  1591,  5393,
    5401,  5417,  5421,  5423,  5425,  6671,  5426,  5430,  6513,  6519,
    5436,  5427,  5439,  5445,  5441,  5454,  5469,  5461,  5479,  5480,
    5481,  5482,   151,  5979,  5489,  5490,  5104,  5492,  5493,  5496,
    5512,   932,  5515,  5516,  6332,  1591,   932,  4159,   932,  2447,
    5533,  5536,  5549,  5548,  1205,  5995,  5550,  5551,  5565,  4212,
    5552,  5541,  6704,  6706,  5562,  5563,  5564,  5566,  5567,  5576,
    5579,  1205,  5596,  5605,   932,  5587,   158,  5578,  1591,  5621,
    1127,  5597,  5585,  5622,  5624,  5602,  4290,  4236,  5522,   160,
    5637,  5627,  5638,  5640,  5641,  5642,   926,  5664,  5653,  5674,
    5679,  6014,  6015,  5693,  6017,   925,  5766,  5685,  5699,  5700,
     925,  4676,   925,   161,  5706,  5712,  6233,  5705,  5723,  5729,
    1283,  5730,  5746,  5747,  5092,  5750,  5751,  6023,  5753,  5759,
    5749,  5754,  1128,  5764,  5761,  6607,  5775,  3756,   925,  5783,
    5789,  5790,  5799,  5806,  5807,   757,  5808,  5809,  5811,  5810,
    5812,  5818,  5575,  5819,  6254,  5813,  5824,  5829,  5841,  5835,
    5846,  1004,  1004,  1004,  5844,  5845,  1341,  5588,  6016,  5850,
    5589,  5867,  5590,  5863,  5878,  5885,  5881,  5883,   757,  6249,
    5898, -2256,  5886,  6020,  5893,  5894,  5900,  5899,  5901,  5912,
    1591,  5915,  5914,  5929,  1341,  5933,  5937,  4677,  5925,  5931,
    5956,  1591,  5957,  5971,  5972,  5453,  5973,  5961,  5975,  5977,
    5982,  5983,  5984,   933,   927,  2033,  5996,  1591,  5630,   927,
    5999,   927,  6005,  6003,  6009,  4445,  4445,  6010,  1384,  6018,
    6255,  6019,  6026,  6027,  4370,  6253,   757,  6037,  6833,  4370,
    6028,  6040,  6033,  6044,   757,  6045,  6046,   927,  6054,  6109,
    6063,  6057,   757,  6697,  4815,  6062,  6064,  6066,  6070,  6072,
    6078,  6076,  6081,  6086,  6088,  6092,  1384,  6093,  6097,  6095,
    6099,  1591,  6101,  6100,  6080,  6116,  6110,  6118,  5732,  6128,
    6298,  6129,  6166,  3731,  6155,  6412,  6124,  1004,  6134,  6148,
    1004,  6149,  6159,  1591,  6165,  1997,  1998,  6167,  6175,  6417,
    1004,  6177,  6181,  6184,  6200,  6191,  1591,  6195,  6205,  6207,
    6211,  6214,  6222,  6229,  1157,  6239,  6243,  6224,  1591,  6225,
    6244,  6238,  6245,  6251,  6240,  6241,  6246,  6257,  6258,  6277,
    6262,  1004,  1004,  6268,   757,   757,  6911,  6912,  5736,  4491,
    6709,   932,  1157,  5092,  6269,  6270,  1004,  5206,   757,  1004,
    6299,  5663,  6305,  6308,  4582,  6927,  1157,  6311,  1591,  1591,
    6319,   757,   757,  2051,  6306,  6314,  6338,  1157,  6318,  6339,
    6343,  6348,  6351,    76,  6367,  6372,    76,  6380,  6398,  6386,
    6397,  6393,  6378,  6379,  6402,  1341,  6425,  4536,  4536,  4536,
    4536,  4536,  6503,  6504,  6415,  6431,  6458,  6460,  6435,  2052,
    6403,  6470,  6485,  6490,  6488,   925,   926,  6438,  4678,  4679,
    4680,  4681,  4682,  4683,  4684,  4685,  4686,  1004,  6416,  6477,
    6496,  1004,  1004,  6479,  6542,  6502,  6538,  6481,  6535,  6548,
    6546,  6556,  6561,  5795,  5795,  5795,  5795,  6571,  5795,  5795,
    5795,  5795,  5795,  1670,  1671,  6575,  6577,  6576,  6578,  6579,
    6588,  6589,  1341,  6590,  6596,  6605,  6600,  6598,  6610,  6620,
    1004,  1004,  2053,  6591,  6621,  6634,  1004,  1004,  6625,  6639,
    6651,  6655,  3818,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  4445,  6656,  6653,  1004,
    4445,  1004,  6657,  1004,  1004,  1004,  1004,  1004,  1004,  2054,
    6665,  1004,  6658,  1004,  1004,  2081,  6659,  1004,  6669,  6664,
    6667,  2082,  6668,  6702,   927,  4491,  6682,  6711,  6234,  6714,
    6236,  1591,  1004,  1004,  1004,  6716,  2186,  6718,  5932,  6722,
    6725,  6726,  6742,  1157,  6743,  6744,  6752,  6745,  6753,  2051,
    1004,  6759,   933,  6758,  4492,  6761,  6766,  6767,  6768,  2055,
    6773,  6778,  6925,  5917,  5919,  5816,  2084,  6785,  6795,  4755,
    6800,  6801,  6649,  6804,  6817,  6819,  6697,  6825,  6827,  2581,
    6835,  6712,  6713,  6843,  6844,  2052,  6845,  4534,  4534,  4534,
    4534,  4534,  6862,  6864,  6881,  6882,  6887,  6883,  6884,  6885,
    6507,  5903,  4290,  2057,  5910,  5911,  6892,  6896,  6904,  6906,
    1157,  6917,  6918,  4290,  1538,  6935,  6933,  6953,  6965,  6919,
    6959,  2187,  6968,  2085,  6963,  6960,  6964,  6967,  6969,  6972,
    2086,  6977,    75,  6984,  2087,  6986,  2059,  7006,  7005,  7007,
    7008,  7010,  7023,  7015,  4843,  7026,  5909,  7009,  2053,  7035,
   -2018,  6673,  7054,  6922,  7037,  7062,  7038,  7063,   926,  7080,
     289,  7069,  2088,   926,  7081,   926,  7071,  7091,  7106,  7085,
    6364,  7092,  7094,  7098,    74,  1281,  7102,  7111,  6374,  4808,
    3506,   141,  2081,  3117,  4301,  2054,  4493,  2182,  2082,  2181,
    6432,   926,  4218,  4929,  5539,  2062,  5532,  1004,  2089,  6521,
    6828,  6432,  4342,  4390,  2063,  6296,  2447,  5042,  5076,  6696,
    2078,  6934,  3326,  6350,  5681,  5528,  2051,  5529,  6043,  6331,
    4908,  6534,  4871,  5965,  6988,  2065,  6928,  6231,  6989,  6717,
    4492,  6715,  6945,  2084,  2066,  2055,  6842,  6074,  4915,  2067,
    5703,  1341,  5733,  5711,  6679,  5673,  4408,  4947,  4409,  5537,
    5136,  1004,  2052,  6068,  5698,  6337,  2166,  5176,  6592,  7002,
    4494,  5757,  2507,  1384,  7105,  7082,  6312,  2507,  2507,  5739,
    5082,  6847,  6256,   289,  1260,   932,  3573,  6498,  2188,  2057,
    6259,  1116,  2091,  6512,  1179,  6794,  1461,  6796,  5243,  6473,
    2085,  5784,  2092,  6998,  3206,  4445,  2068,  2086,  4437,  5786,
    4495,  2087,  2093,  6021,  6022,  5743,  4862,  1004,  2497,  3636,
    3632,  4068,  2059,  7075,  2094,  2053,  4370,  3652,  4370,  4370,
    4370,  5193,    69,  6375,  6586,  3687,  1540,  5046,  4339,  2088,
    5568,  4993,  6868,  1620,  7036,  5763,  1885,  3262,  5762,   925,
    4367,  6987,  3531,  3993,  5920,  6509,  5450,  6511,  1538,  6469,
    6472,  4559,  2054,  2449,  5814,  3141,  2189,   141,  3079,  2096,
    2097,  4813,  2061,  4022,  3172,  2089,  4825,  5424,  6909,  4003,
    6797,  2062,  5904,  3177,  4021,  5396,  6437,  5875,  5389,  5891,
    2063,  6638,  6587,  1157,  6075,  6637,  5451,  5390,  3326,  1157,
    7051,  2190,  3173,  6895,  1157,  6974,  6786,  5391,  7068,  6411,
    5344,  2065,  2055,  3947,  6202,  6798,  4751,  6799,  1272,  3950,
    2066,  3865,  4745,  4617,  4366,  2067,  4743,  6608,  7073,  4652,
    4736,  5993,  5994,  5293,  6103,  3962,  5997,  5998,  1304,  5205,
    4511,  2345,  3646,  4046,  6760,  6824,  4494,  1171,  3197,  1284,
    1643,  6648,  2056,  4040,  1955,  2188,  2057,  2506,   927,  2091,
    1984,  1956,  3190,  4053,  4050,  4803,  4051,  5456,   926,  2092,
    5457,  5428,  5905,  1297,  2099,  4057,  4561,  3083,    78,  2093,
    6209,     0,  2068,  4445,  1677,     0,  4495,  5795,  2058,  2059,
    4445,  2094,  3728,     0,     0,  4445,     0,  7090,  4445,     0,
       0,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    2439,  1004,     0,     0,  6875,  6876,     0,     0,     0,     0,
       0,     0,     0,  1004,     0,     0,  1004,  4445,     0,     0,
    2060,     0,     0,  6507,   141,     0,  2096,  2097,     0,  2061,
       0,     0,     0,     0,     0,  6991,  6992,     0,  2062,     0,
       0,     0,     0,     0,     0,     0,     0,  2063,     0,     0,
    4445,     0,     0,     0,     0,  2064,     0,     0,  2098,     0,
       0,     0,     0,     0,     0,     0,     0,  6990,  2065,     0,
       0,     0,  1004,     0,     0,     0,  1004,  2066,     0,  1004,
       0,  1004,  2067,     0,  1004,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2586,     0,     0,  2587,     0,  1004,
       0,  2588,  2589,  2590,     0,     0,     0,     0,  1004,  1004,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    7024,     0,     0,     0,     0,     0,  6204,  6724,     0,  3129,
       0,  2099,  2586,     0,   932,  2587,  3130,     0,     0,  2068,
       0,     0,     0,     0,     0,   757,     0,  6284,     0,     0,
       0,     0,     0,     0,     0,     0,  6791,     0,     0,     0,
    5092,  1538,  3131,     0,    76,    76,     0,  3129,  6344,     0,
       0,   757,     0,     0, -3728,     0,     0,     0,  1591,     0,
    6208,     0,  1591,  1591,     0,     0,     0,     0,  6336,   757,
       0,     0,     0,     0,   933,   757,  4445,     0,   925,   757,
    3131,  6345,  1341,     0,     0,     0,  4370,  6365,   757,     0,
       0,     0,     0,     0,     0,  6297,     0,     0,     0,  6363,
     286,   293,   278,   757,   282,     0,  1004,     0,   184,   283,
     187,   175,   188,   288,   189,   209,   285,  1004,   227,  1591,
    1004,   232,  1004,  1004,   262,  1591,   281,   287,   296,     0,
       0,     0,     0,     0,     0,     0,     0,   757,     0,     0,
    2586,     0,     0,  2587,     0,     0,  6829,  2588,  2589,  2590,
    1205,     0,  5369,     0,  6203,     0,     0,   757,   757,     0,
    3132,     0,     0,     0,     0,  3133,  4445,     0,  1062,     0,
       0,     0,     0,  1591,     0,  3129,     0,     0,     0,   289,
       0,     0,  3130,     0,     0,     0,     0,   927,  3134,  2780,
       0,     0,     0,     0,     0,   933,   757,     0, -3728,   933,
       0,     0,     0, -3728,     0,     0,     0,     0,  3131,     0,
       0,     0,  7095,  7096,     0,     0,  3135,     0,     0,     0,
       0,   757,     0,   933,     0,     0,     0,   757,     0,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   757,     0,     0,     0,     0,  1205,     0,   757,  4263,
       0,   757,     0,     0, -3728,     0,     0,   757,     0,  2847,
    2528,     0,   926,     0,  2586,     0,     0,  2587,     0,     0,
       0,  2588,  2589,  2590,  3136,     0,  6932,   757,     0,     0,
    2537,     0,     0,   757,     0,     0,     0,     0,     0,  3128,
     757,     0,     0,     0,     0,     0,     0,   932,     0,  3129,
       0,     0,     0,     0,   757,     0,  3130,     0,  1502,  1502,
       0,     0,  3136,     0,     0,     0,  4445,     0,   757,     0,
       0,     0,     0,   933,     0,     0,  3132,     0,     0,   757,
    4263,  3133,  3131,     0,     0,     0,     0,     0,  2579,     0,
       0,     0,  1539,     0,     0,  6564,  6523,  1004,  1004,  1004,
       0,  1261,     0,  1004, -3728, -3728,     0,     0,     0,     0,
       0,   925,     0,     0,     0,  2586,     0,     0,  2587,     0,
    3138,     0,     0,     0,     0,     0,     0,     0,     0,   932,
    1004,  1591,  3135,     0,  1341,     0,     0,     0,     0,   933,
       0,     0,  6609,     0,     0,     0,  4263,     0,     0,  4445,
    3129,     0,     0,     0,  7050,  4263,     0, -3728, -3728,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1004,     0,     0, -3728,     0,     0,     0,     0,
       0,     0,     0,  3131,     0,  4263,  1272,  1272,  4445,  1272,
    3136,     0,     0,   925,     0,     0,     0,     0,  1502,     0,
    3132,     0,     0,     0,  4484,  3133,     0,     0,  1591,     0,
       0,     0,  6661,     0,     0,     0,     0,     0,     0,     0,
     927,     0,     0,     0,     0,     0,  3046,     0,  3134,  2780,
       0,  1004,     0,     0,     0,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,  3054,  3055,     0,     0,   932,     0,     0,     0,
       0,     0,     0,     0,     0,  5370,  3135,     0,     0,  6284,
       0,     0,     0,     0, -3728,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3050,  3051,  3052,  3053,
    3054,  3055,  1157,     0,     0,     0,  3138,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4445,     0,     0,  2847,
       0, -3728,   927,     0,     0,     0, -3728,     0,     0,     0,
     925,     0,     0,     0,  3136,     0,     0,  3137,     0,     0,
       0,     0,     0,     0,     0,     0,  1539,     0,     0,   757,
    6700,   933,  6701,     0,     0,     0,  6707,  6708,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1591,     0,   757,
       0,     0,     0,     0,     0,     0,   757, -3728,     0,     0,
    1004,     0,  1591,  1004,     0,  1004,  1004,  1591,     0,     0,
       0,   926,     0,     0,   932,  1004,     0,     0,     0,     0,
    1004,     0,     0,     0,     0,     0,     0,  6787,     0,     0,
       0,  6602,  3046,     0,     0,     0,     0,  1591,     0,     0,
       0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,
    3138,     0,     0,     0,     0,  3136,     0,     0,     0,   927,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1004,
    1004,  1004,     0,     0,  1004,     0,     0,     0,   925,     0,
       0,     0,  1004,  1004,  1004,  1004,     0,     0,     0,     0,
       0,     0,     0,   933,     0,     0,     0,     0,  1004,   933,
       0,  1004,     0,  1004,     0,     0,     0,     0,     0,  4445,
       0,     0,     0,     0,     0,  1004,  1004,     0,  6848,  1004,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   293,     0,     0,  6870,     0,     0,     0,     0,  6871,
    1004,     0,  1004,  6873,  1004,  6694,  6872,     0,     0,     0,
       0, -3728,     0,     0,     0,     0,  3046,     0,     0,     0,
       0,     0,  6958,  1004,     0,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,  3054,  3055,     0,     0,  2586,  1004,     0,  2587,
       0,     0,  4644,     0,     0,     0,     0,   927,     0,     0,
       0,   757,     0,     0,     0,     0,     0,     0,     0,     0,
      87,     0,     0,     0, -3475,     0,    88,    89,  1004,     0,
       0,  3129,     0,    92,    93,     0,     0,     0, -3728,    94,
       0,  4445,     0,  1004,     0,     0,     0,  4445,    95,     0,
      96,     0,    97,    98,     0,     0,  1298,  1004,    99,     0,
       0,     0,     0,     0,  3131,  1004,   293,     0,     0,  6870,
       0,     0,     0,     0,  6871,     0,     0, -3728,  6873,     0,
       0,  6872,     0,     0,     0,     0,     0,     0,     0,  3050,
    3051,  3052,  3053,  3054,  3055,     0,     0,  1591,     0,  1539,
    1591,     0,  1591,     0,     0,     0,     0,  1591,     0,     0,
       0,     0,     0,     0,   926,     0,     0,     0,     0,     0,
       0,     0,     0,   757,   757,     0,     0,     0,     0,  1004,
       0,   751,     0,     0,     0,     0,  5861,     0,   923,     0,
       0,     0,     0,     0,   757,     0,     0,   757,     0,     0,
    1591,     0,     0,     0,     0,     0,     0,     0,  1591,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   923,   116,     0,     0,     0,     0,     0,     0,
       0,     0, -3728,  1591,     0,  4445,   289, -3728,     0,  1004,
       0,     0,     0,     0,     0,     0,   926,     0,   932,     0,
       0,     0,     0,   122,   293,   923,     0,  6870,     0,     0,
       0,  7042,  6871,     0,     0,     0,  6873,     0,     0,  6872,
       0,     0,     0,     0,   126,     0,     0,     0,     0,   933,
     933,   933,     0,     0,     0,     0,     0,     0, -3728,     0,
       0,     0,     0,     0,     0,   289,     0,     0,     0,     0,
       0,     0,     0,     0,   757,     0,   932,     0,     0,     0,
       0,     0,   925,  1591,     0,  1591,     0,     0,     0,  7042,
       0,     0,     0,   757,     0,  7044,   129,     0,  3824,     0,
       0,     0,     0,     0,     0,   932,     0,     0,  3073,     0,
       0,   747,     0,     0,   757,     0,  3136,     0,  7042,     0,
       0,     0,  3877,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   926,  7066,  2586,     0,  7043,  2587,     0,
     925,     0,  2588,  2589,  2590,     0,     0,     0,     0,     0,
       0,     0,     0,  7044,     0,     0,     0,     0,     0,  7087,
    3128,     0,     0,     0,     0,     0,     0,     0,     0,   925,
    3129,     0,     0,     0,     0,   135,     0,  3130,     0,     0,
       0,  1591,  7044,     0,     0,     0,     0,     0,     0,     0,
    5903,   927,     0,     0,     0,  7043,     0,     0,     0,     0,
       0,     0,     0,  3131,     0,   757,     0,    87,     0,     0,
    1004,     0, -3728,    88,    89,     0,  1004,     0,     0,     0,
      92,    93,     0,     0,  7043,  1591,    94,     0,     0,     0,
       0,     0,     0,     0,     0,    95,     0,    96,     0,    97,
       0,     0,     0,     0,     0,    99,     0,     0,     0,   927,
       0,     0,   933,  1591,     0,     0,     0,     0,   757,     0,
     757,   926,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   757,     0,   757,     0,     0,   927,     0,
       0,     0,     0,  5129,     0,  7041,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1004,     0,     0,   150,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3906,     0,     0,     0, -3728,     0,
     152,  3132,     0,     0,     0,  1591,  3133,     0,     0,     0,
    3050,  3051,  3052,  3053,  3054,  3055,     0,     0,   155,     0,
       0,     0,     0,  7041,     0,     0,   757,  1591,     0,  3134,
    2780,     0,     0,   159,     0,     0,     0,  2144,     0,     0,
     116,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1591,  7041,     0,     0,     0,     0,  3135,     0,  2145,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     122,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5512,     0,   757,     0,     0,
       0,   126,     0,     0,     0,     0,     0,     0,  2586,     0,
    2847,  2587,     0,     0,  3169,  2588,  2589,  2590,     0,   757,
       0,  2146,  5522,   757,     0,  3136,     0,     0,  3137,  3282,
       0,     0,     0,  3128,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3129,   757,     0,     0,     0,     0,     0,
    3130,     0,     0,   129,     0,     0,     0,     0,     0,     0,
    1004,     0,     0,  1591,     0,     0,     0,     0,  5523,  1004,
       0,     0,     0,     0,     0,     0,  3131,     0,     0,     0,
       0,     0,     0,  1004,     0,     0,     0,  1004,  1004,  1004,
    5524,     0,     0,   996,  1004,     0,     0,  1004,     0,     0,
    1004,     0,     0,     0,     0,     0,  1004,     0,  1004,     0,
       0,  1004,     0,  2147,     0,  1591,  1004,  1004,  1004,  1004,
       0,  3138,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,   135,     0,     0,  1004,  1004,  1004,     0,     0,
    1591,     0,     0,     0,     0,  1004,     0,     0,     0,     0,
    1004,     0,   933,     0,  1004,     0,     0,     0,     0,     0,
       0,     0,  1004,     0,     0,  1004,     0,  1004,     0,     0,
       0,  2148,     0,     0,     0,     0,  2149,  2051,     0,     0,
       0,  2150,     0,  1004,     0,     0,  1004,  1004,     0,     0,
       0,  1004,  1004,     0,  3132,     0,  1004,  3451,  1004,  3133,
       0,  5525,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1004,     0,  2052,  1004,   926,     0,     0,     0,     0,
       0,     0,  3134,  2780,     0,  1004,     0,  3046,     0,     0,
       0,     0,  2152,     0,     0,     0,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,  3054,  3055,     0,     0,     0,     0,  4660,
    3135,  4661,     0,     0,     0,     0,   150,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1004,   926,     0,     0,  2053,   152,     0,  3906,
    2154,     0,     0,     0,     0,     0,     0,     0,     0,  1004,
       0,     0,     0,  2847,     0,   155,     0,     0,     0,     0,
       0,     0,   926,     0,  2155,  1591,     0,     0,  3136,     0,
     159,  3137,     0,  2054,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2157,     0,  5526,     0,   289,
    4919,   757,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1004,     0,     0,     0,     0,     0,
       0,     0,     0,  2055,     0,     0,     0,     0,     0,     0,
       0,   749,     0,     0,     0,     0,  2158,     0,   921,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   933,     0,     0,     0,   923,   933,
    1591,   933,     0,  2056,  3138,     0,     0,  2057,     0,     0,
       0,     0,   921,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1358,   751,   933,  1591,     0,
       0,  1199,     0,  1358,     0,   751,  1358,  1199,  1199,  2118,
    2059,     0,  3375,     0,     0,   921,  2081,     0,     0,   751,
       0,     0,  2082,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   754,     0,     0,     0,     0,  2186,   751,     0,
       0,     0,     0,   757,     0,     0,   757,     0,     0,     0,
       0,  2119,     0,     0,     0,   141,     0,   751,     0,     0,
    2061,     0,     0,   751,     0,     0,     0,  2084,     0,  2062,
       0,     0,     0,     0,     0,   751,  1159,     0,  2063,     0,
    3046,     0,     0,     0,  1159,     0,  2120,     0,     0,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,  2065,
       0,     0,     0,     0,  4662,   751,     0,     0,  2066,     0,
    1004,     0,     0,  2067,     0,     0,     0,     0,     0,  1358,
     751,     0,  2187,     0,  2085,     0,  1358,     0,   751,  1358,
       0,  2086,     0,     0,     0,  2087,   757,   757,     0,     0,
    1591,  3900,   751,     0,     0,     0,     0,   757,     0,     0,
       0,     0,     0,     0,  1004,  1004,  1361,     0,   751,     0,
       0,     0,     0,  2088,   757,  1393,     0,     0,     0,     0,
    2068,     0,     0,     0,     0,     0,     0,     0,     0,  1415,
       0,     0,     0,     0,     0,     0,     0,     0,  5740,  1591,
       0,     0,  1591,  1004,  1004,     0,     0, -2978,     0,  2089,
       0,     0,     0,     0,  1004,     0,     0,     0,     0,     0,
       0,     0,  3832,  3832,     0,     0,   751,   747,     0,     0,
       0,     0,     0,   747,     0,     0,     0,  3859,     0,     0,
       0,     0,     0,     0,     0,   747,  3880,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2978,     0,     0,     0,     0,   751,     0,     0,     0,     0,
       0,   757,     0, -2978,   933,     0,     0,     0,     0, -2978,
       0,     0,     0,     0,     0, -2978,     0,   923,     0,  2188,
       0, -2978,   751,  2091, -2978,     0,     0,     0, -2978,     0,
    1004,     0,     0,  2092,   751,  2081,     0,     0,     0,     0,
       0,  2082,     0,  2093,     0,     0,  1004,     0,     0,     0,
       0,     0,     0,     0,     0,  2094,  2083,     0, -2978,     0,
   -2978,     0,     0,     0,  1004,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   751,   751,     0,     0,
       0,     0,     0,     0,     0,     0,  2084,     0,     0,     0,
       0, -2978,  1004,     0,     0,  1004,     0,  4298,     0,     0,
    2096,  2097,     0,  1004,  1004,     0,  1591,     0,     0,     0,
    1004,  1004,     0,     0,     0,  1004,     0,     0,     0,     0,
    1004,     0,     0,  1004,  1004,     0,     0,     0,     0,     0,
    1004,     0,  4299,     0,     0,     0,     0,     0,     0,     0,
       0,  1004, -2978,  2085,     0,     0, -2978,  1004,     0,     0,
    2086,     0, -2978,     0,  2087,  1004,     0,     0,     0,  1004,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2081,     0,     0,     0,     0,     0,  2082,
       0,     0,  2088,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1004,     0,     0,     0,     0,     0,   923,
       0,  1004,     0,     0,     0,  2099,   751,     0,    76,     0,
       0,     0, -2978,     0,     0,     0,     0,  1358,  2089,     0,
       0,  1358,     0,  1358,  2084,     0,     0,     0,     0,     0,
       0,     0,     0,  1591,     0,     0,   747,   747,     0,     0,
       0,     0,     0,     0,     0,     0,   757,  2586,     0,     0,
    2587,  1004,  2081,  1345,  2588,  2589,  2590,     0,  2082,     0,
       0,     0,  1357,     0,     0,     0,     0,  3901,     0,     0,
    1357,     0,  3128,  1357,     0,     0,     0,     0,     0,     0,
       0,  2085,  3129,     0,     0,     0,     0,  1591,  2086,  3130,
       0,     0,  2087,     0,     0,     0,     0,     0,  2090,     0,
       0, -2978,  2091,  2084,   757,     0,     0,     0,     0,  1591,
       0,     0,  2092,  2579,     0,  3131,   757,     0,     0,     0,
    2088,     0,  2093,     0,     0, -2978,     0, -2978, -2978,     0,
       0,     0,  1004,     0,  2094,     0,     0,     0,     0,  1004,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2978,
     757,     0,     0,     0,     0,     0,  2089,     0,     0,     0,
    2085,  2579,     0,     0,     0,     0,     0,  2086,     0,     0,
       0,  2087, -2978,     0, -2978, -2978,  2095,  1345,   751,  2096,
    2097,  1591,     0,     0,     0,  3906,  1357,     0,     0,     0,
       0,     0,     0,  1357,     0,     0,  1357,     0,     0,  2088,
       0,  4749,     0,     0,     0,     0,     0,  1004,     0,     0,
       0,  2098,     0,     0,     0,     0,     0,     0,     0,  4771,
       0,     0,     0,  1004,     0,     0,  2081,     0,   933,     0,
       0,     0,  2082,  3132,     0,  2089,  2188,     0,  3133,     0,
    2091,     0,     0,     0,     0,     0,     0,   757,     0,     0,
    2092,     0,     0,  2081,  1004,     0,     0,     0,   751,  2082,
    2093,  3134,  2780,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2094,     0,     0,   751,     0,  2084,     0,  4771,
       0,     0,     0,  1260,  2099,     0,     0,  4771,     0,  3135,
       0,     0,   751,     0,     0,     0,     0,   751,     0,     0,
       0,  1591,     0,  1591,  2084,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2216,  2188,     0,  2096,  2097,  2091,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2092,
       0,     0,  2847,     0,  2085,     0,     0,     0,   921,  2093,
       0,  2086,     0,     0,   757,  2087,     0,  3136,     0,  2217,
    3137,  2094,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2085,  4005,     0,     0,     0,   749,     0,  2086,     0,
    1004,     0,  2087,  2088,     0,   749,     0,     0,     0,     0,
    1004,     0,     0,  1004,     0,     0,  1004,  1004,  1004,   749,
       0,     0,     0,  3306,     0,     0,  2096,  2097,     0,     0,
    2088,     0,     0,     0,     0,     0,     0,     0,   749,  2089,
       0,  1004,  1004,     0,     0,  1004,     0,     0,     0,     0,
       0,     0,  2099,     0,     0,     0,     0,   749,  3307,     0,
       0,     0,  1004,   749,     0,     0,  2089,     0,     0,  1004,
    1159,   751,     0,  3138,  1004,   749,     0,  1004,  1004,   751,
     751,     0,     0,     0,     0,  1004,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   749,  1004,     0,     0,  1004,
       0,     0,     0,     0,     0,   757,     0,   757,     0,  2090,
     749,     0,     0,  2091,     0,     0,     0,     0,   749,     0,
       0,  2099,     0,  2092,     0,     0,     0,     0,   923,  1004,
       0,     0,   749,  2093,     0,     0,  2188,   751,     0,     0,
    2091,     0,     0,     0,     0,  2094,     0,     0,   749,     0,
    2092,     0,     0,     0,     0,     0,  1591,   757,  1345,     0,
    2093,     0,     0,     0,  1357,     0,     0,  1004,  1357,  3046,
    1357,     0,  2094,     0,   923,  1159,     0,     0,  3047,  3048,
    3049,  3050,  3051,  3052,  3053,  3054,  3055,  3389,     0,     0,
    2096,  2097,     0,  4713,     0,     0,     0,     0,     0,     0,
       0,     0,   923,     0,     0,     0,   749,   933,     0,     0,
       0,     0,  1004,     0,  4153,     0,     0,  2096,  2097,     0,
       0,     0,  3390,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2332,     0,  2334,  2335,     0,     0,     0,
       0,     0,     0,  1199,     0,   749,     0,  1199,     0,  2098,
       0,     0,  1159,     0,  1159,  2081,  1159,     0,     0,     0,
       0,  2082,  1159,     0,     0,     0,     0,   921,     0,     0,
       0,     0,   749,     0,  2586,  1004,     0,  2587,  1591,     0,
       0,  2588,  2589,  2590,   749,     0,     0,     0,  1159,  1159,
       0,     0,  1159,     0,     0,  2099,     0,   747,     0,  3128,
       0,     0,     0,  3995,     0,     0,  2084,     0,     0,  3129,
       0,     0,  1004,     0,     0,     0,  3130,     0,     0,     0,
       0,     0,  2099,     0,     0,     0,   749,   749,     0,  1004,
       0,     0,     0,  1004,     0,  1004,     0,     0,     0,     0,
       0,     0,  3131,   289,     0,     0,     0,     0,     0,  1004,
       0,  1004,     0,   289,     0,  1004,     0,     0,  2081,     0,
       0,  1004,     0,  2085,  2082,  1004,     0,     0,     0,     0,
    2086,  1591,  1004,     0,  2087,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   289,     0,     0,  3996,     0,     0,     0,     0,     0,
       0,   751,  2088,     0,     0,     0,     0,     0,     0,  2084,
       0,     0,     0,     0,     0,     0,     0,   754,   754,     0,
    1004,     0,  1970,  1199,  1199,     0,  1591,     0,     0,     0,
       0,  1591,  1591,     0,   751,     0,  1004,     0,  2089,     0,
       0,     0,  1004,  1004,   757,     0,     0,     0,     0,   921,
       0,     0,     0,     0,     0,     0,   749,     0,   757,     0,
    3132,     0,     0,     0,     0,  3133,  2085,     0,     0,   923,
       0,     0,     0,  2086,     0,     0,  1159,  2087,  1004,     0,
       0,     0,     0,     0,     0,     0,     0,  1004,  3134,  2780,
     933,     0,   751,     0,     0,     0,     0,     0,     0,     0,
     751,     0,     0,     0,     0,  2088,     0,  2081,   751,     0,
       0,     0,     0,  2082,     0,  1004,  3135,     0,  2188,     0,
       0,     0,  2091,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2092,     0,     0,     0,     0,     0,     0,     0,
       0,  2089,  2093,     0,     0,  1591,  1591,  1159,     0,     0,
       0,     0,     0,     0,  2094,     0,     0,     0,  2084,  2847,
       0,  3504,     0,     0,     0,     0,     0,  6604,     0,     0,
       0,  1004,   933,     0,  3136,     0,     0,  3137,     0,     0,
       0,     0,     0,  1004,     0,     0,     0,  1358,  1358,     0,
     751,   751,  1004,  1004,  1004,     0,  4345,     0,  1004,  2096,
    2097,  1004,  1358,     0,   751,  1358,     0,     0,     0,     0,
       0,     0,  1004,     0,     0,  2085,     0,   751,   751,  1004,
       0,  2188,  2086,     0,  2579,  2091,  2087,     0,   749,     0,
       0,  4346,     0,     0,     0,  2092,     0,  1004,     0,     0,
       0,     0,     0,  5388,  1004,  2093,  5394,     0,     0,     0,
       0,     0,  3583,     0,  2088,     0,     0,  2094,     0,     0,
    3600,     0,     0,     0,  1004,     0,     0,     0,  3504,     0,
    3138,     0,     0,  1358,     0,     0,     0,  1358,  1358,     0,
       0,     0,  3859,  3859,     0,     0,     0,  3859,   289,   933,
    2089,     0,   757,     0,     0,     0,     0,     0,     0,  4892,
       0,     0,  2096,  2097,  2099,     0,     0,     0,   749,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   749,     0,     0,  3859,  3859,
       0,     0,     0,     0,  4893,  3997,     0,     0,     0,     0,
       0,     0,   749,     0,     0,  1004,     0,   749,     0,     0,
       0,  3680,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2188,     0,     0,     0,  2091,     0,  3046,     0,  3504,     0,
       0,     0,     0,     0,  2092,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,  3054,  3055,  2093,     0,  2586,     0,   923,  2587,
    1004,     0,     0,  2588,  2589,  2590,  2094,  2099,     0,     0,
       0,     0,     0,     0,     0,     0,  1004,   933,     0,     0,
    1591,  3128,     0,     0,     0,  1004,     0,  1004,     0,  1004,
       0,  3129,     0,     0,     0,     0,     0,     0,  3130,     0,
       0,     0,     0,   757,     0,     0,     0,     0,  4964,     0,
       0,  2096,  2097,     0,     0,     0,     0,  1004,     0,     0,
       0,     0,     0,     0,  3131,     0,     0,   757,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4965,     0,     0,     0,     0,     0,     0,
       0,   749,     0,     0,  2586,     0,     0,  2587,     0,   749,
     749,  2588,  2589,  2590,     0,     0,     0,     0,  1004,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1004,  3128,
       0,     0,     0,     0,     0,     0,  1004,  1004,     0,  3129,
       0,     0,  1004,     0,     0,     0,  3130,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2099,     0,   921,  1004,
       0,     0,  3131,     0,     0,  6903,     0,   749,     0,  1004,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3132,     0,     0,  1159,     0,  3133,     0,     0,
    1159,  1159,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   921,   757,     0,     0,     0,     0,
    3134,  2780,     0,  2051,     0,     0,  4771,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1004,     0,   921,     0,     0,     0,  1004,     0,  3135,     0,
       0,     0,   289,  1199,     0,     0,     0,     0,     0,  2052,
       0,     0,     0,     0,  1004,     0,     0,     0,   754,     0,
       0,  1004,  2051,     0,     0,     0,     0,     0,     0,     0,
    1345,  1004,     0,  1345,  1004,  6903,     0,  1004,     0,     0,
    3132,  2847,     0,     0,  1199,  3133,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3136,     0,  2052,  3137,
       0,     0,     0,     0,     0,     0,     0,  1004,  3134,  2780,
    1159,   289,  2053,     0,  1357,  1357,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1357,
       0,     0,  1357,     0,     0,     0,  3135,     0,     0,     0,
    1199,     0,     0,   750,     0,     0,     0,     0,     0,  2054,
     922,  1004,     0,     0,     0,  1004,     0,  1199,     0,     0,
    1004,  2053,     0,  1159,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1159,  1004,     0,     0,     0,     0,  2847,
       0,   933,     0,     0,   922,     0,     0,     0,  1591,     0,
       0,     0,  3138,     0,  3136,     0,     0,  3137,  2054,  2055,
    1357,     0,     0,  1200,  1357,  1357,     0,     0,     0,  1200,
    1200,     0,     0,     0,     0,     0,     0,   922,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1004,  1004,     0,
       0,   749,     0,     0,     0,  1004,     0,     0,     0,   933,
       0,     0,     0,  2057,     0,     0,     0,     0,  2055,     0,
       0,     0,     0,     0,  1004,  1004,  1159,     0,     0,     0,
    1159,  1159,     0,     0,   749,     0,     0,     0,   933,     0,
       0,     0,     0,     0,     0,     0,  2059,  4771,     0,     0,
       0,  4771,     0,     0,     0,     0,     0,     0,  2056,     0,
    3138,     0,  2057,     0,     0,     0,     0,     0,  3046,   921,
       0,     0,     0,     0,     0,     0,     0,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,  3054,  3055,     0,   289,   289,     0,
    3888,   141,   749,  3325,  2135,  2059,  2061,     0,     0,     0,
     749,     0,     0,     0,  2586,  2062,     0,  2587,   749,     0,
       0,  2588,  2589,  2590,  2063,     0,     0,     0,     0,     0,
       0,     0,  3326,     0,     0,     0,     0,     0,     0,  3128,
       0,     0,     0,     0,     0,  2065,  2136,     0,     0,  3129,
     141,     0,  1159,     0,  2066,  2061,  3130,     0,     0,  2067,
       0,     0,     0,     0,  2062,     0,     0,     0,     0,     0,
       0,   751,     0,  2063,     0,     0,  3046,     0,     0,     0,
       0,  2137,  3131,     0,     0,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,  3054,  3055,  2065,     0,     0,   751,  4654,     0,
     749,   749,     0,  2066,     0,     0,     0,     0,  2067,     0,
       0,     0,     0,     0,   749,   751,  2068,     0,     0,     0,
     923,   751,     0,     0,     0,   751,     0,   749,   749,     0,
       0,     0,     0,     0,   751,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   751,
       0,     0,     0,     0,     0,     0,     0,  3832,     0,     0,
       0,     0,     0,     0,     0,  2068,  1358,     0,  1358,  1358,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3859,
    3859,  3859,  3859,   751,     0,  3859,  3859,  3859,  3859,  3859,
    3859,  3859,  3859,  3859,  3859,     0,     0,     0,     0,     0,
    3132,     0,     0,   751,   751,  3133,     0,     0,     0,     0,
       0,     0,     0,  5340,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3134,  2780,
       0,   747,     0,  1588,     0,     0,     0,     0,     0,     0,
       0,   923,   751,     0,     0,   923,     0,     0,     0,  3859,
    3859,     0,     0,     0,     0,     0,  3135,  4059,     0,  1588,
       0,     0,     0,     0,     0,     0,     0,   751,     0,   923,
       0,     0,     0,   751,     0,  4075,     0,     0,     0,     0,
       0,  4079,     0,     0,     0,  4082,     0,   751,     0,     0,
       0,     0,     0,     0,   751,     0,     0,   751,     0,  2847,
       0,     0,     0,   751,     0,     0,     0,     0,   921,  4101,
       0,     0,     0,     0,  3136,     0,     0,  3137,     0,     0,
       0,     0,     0,   751,     0,     0,     0,     0,     0,   751,
       0,     0,     0,     0,     0,     0,   751,     0,     0,     0,
       0,     0,     0,  4143,     0, -2748,     0,     0,  2586,     0,
     751,  2587,     0,     0,     0,  2588,  2589,  2590,     0,     0,
       0,     0,     0,   747,   751,     0,     0,     0,     0,   923,
       0,     0,     0,  3128,     0,   751,     0,     0,     0,     0,
       0,     0,     0,  3129,     0,     0,     0,     0,     0,     0,
    3130,     0,     0,     0,     0,     0,     0,     0, -2748,     0,
       0,     0,  4203,     0,     0,     0,     0,     0,     0,     0,
    3138, -2748,     0,     0,     0,     0,  3131, -2748,     0,     0,
       0,     0,     0, -2748,     0,     0,     0,  4232,     0, -2748,
       0,     0, -2748,  4241,     0,   923, -2748,     0,     0,     0,
       0,  4771,     0,     0,     0,     0,  4771,  4251,     0,  4771,
       0,     0,     0,     0,   747,     0,     0,  4264,     0,     0,
       0,     0,     0,  4269,     0,     0, -2748,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4282,     0,     0,     0,     0,     0,  4285,
       0,     0,     0,     0,     0,     0,  4293,     0,     0, -2748,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4308,     0,     0,     0,     0,     0,  3046,     0,     0,     0,
       0,     0,     0,     0,  4334,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,  3054,  3055,  3132,   747,     0,     0,  5078,  3133,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2748,     0,     0,     0, -2748,     0,     0,     0,     0,     0,
   -2748,     0,  3134,  2780,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2236,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3135,     0,     0,     0,  1588,     0,     0,     0,     0,     0,
       0,     0,     0,  3859,     0,  1588,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2748,  1588,   289,     0,     0,   751,     0,   923,     0,     0,
       0,     0,     0,  2847,     0,   289,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   751,     0,     0,  3136,     0,
       0,  3137,   751,   289,     0,     0,     0,     0,     0,  1358,
       0,  1358,  1358,     0,     0,     0,     0,   289,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1175,
     922,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1345,     0,     0,  1357,     0,  1357,  1357,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   750, -2748,
       0,     0,     0,     0,     0,  1588,     0,   750,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   750,     0, -2748,     0, -2748, -2748,     0,     0,     0,
       0,     0,     0,     0,  3138,     0,     0,  4771,     0,   923,
     750,     0,     0,     0,     0,   923,     0, -2748,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   750,
       0,     0,     0,     0,     0,   750,     0, -2748,     0,     0,
   -2748, -2748,     0, -2748,     0,  4578,     0,   750,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4594,     0,     0,     0,     0,
       0,     0,  4578,     0,     0,     0,     0,   750,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   750,     0,     0,     0,     0,     0,     0,     0,
     750,     0,     0,     0,     0,     0,     0,   751,  5843,     0,
    3046,  1588,     0,     0,   750,     0,     0,     0,     0,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,     0,
     750,     0,  5280,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4771,     0,   289,
    5880,   749,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   749,   750,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   749,     0,     0,     0,     0,
     921,   749,     0,     0,     0,   749,     0,     0,     0,   751,
     751,     0,     0,     0,   749,  1200,     0,   750,     0,  1200,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   749,
     751,     0,     0,   751,     0,     0,     0,     0,     0,   922,
       0,     0,   754,     0,   750,   996,     0,     0,     0,     0,
       0,  2579,     0,     0,     0,     0,   750,     0,  1970,     0,
       0,     0,  2586,   749,     0,  2587,   289,     0,     0,  2588,
    2589,  2590,     0,     0,     0,     0,  1199,     0,     0,     0,
       0,     0,     0,   749,   749,     0,     0,  3128,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3129,   750,   750,
       0,     0,     0,     0,  3130,  1159,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   923,   923,   923,     0,     0,
       0,   921,   749,     0,     0,   921,     0,     0,     0,     0,
    3131,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     751,     0,     0,     0,     0,     0,     0,   749,     0,   921,
       0,     0,     0,   749,     0,     0,     0,     0,     0,   751,
       0,     0,     0,     0,     0,     0,     0,   749,     0,     0,
       0,     0,  1199,     0,   749,     0,     0,   749,     0,     0,
     751,     0,     0,   749,     0,     0,     0,     0,     0,     0,
    4876,     0,     0,     0,     0,  1200,  1200,     0,     0,     0,
       0,     0,     0,   749,  3244,     0,     0,     0,     0,   749,
       0,     0,     0,     0,     0,     0,   749,     0,     0,     0,
       0,   922,     0,     0,     0,     0,     0,     0,   750,     0,
     749,     0,     0,  1345,     0,     0,  1357,     0,  1357,  1357,
       0,     0,     0,     0,   749,     0,     0,     0,  3132,   921,
       0,     0,     0,  3133,     0,   749,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   751,  3244,     0,     0,     0,  3134,  2780,     0,     0,
    1159,     0,     0,     0,     0,     0,     0,     0,  1159,     0,
       0,  1159,     0,     0,     0,     0,     0,     0,     0,     0,
    4962,     0,     0,  1159,  3135,     0,     0,     0,     0,  1588,
       0,     0,     0,     0,     0,   921,     0,     0,   923,     0,
       0,     0,     0,     0,   751,     0,   751,     0,     0,     0,
       0,     0,   289,     0,     0,     0,     0,     0,     0,   751,
       0,   751,  1588,     0,     0,     0,     0,  2847,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   289,     0,     0,
       0,     0,  3136,     0,     0,  3137,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2586,     0,     0,  2587,
       0,     0,     0,  2588,  2589,  2590,  3859,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     750,  3128,     0,     0,     0,     0,     0,     0,     0,     0,
     996,  3129,   751,     0,     0,     0,     0,     0,  3130,     0,
       0,     0,     0,     0,     0,  2236,  2236,  2236,     0,     0,
       0,  5057,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3131,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1588,     0,     0,     0,  3138,     0,
       0,     0,     0,     0,     0,  1588,     0,     0,     0,     0,
     996,     0,  6957,   751,     0,     0,     0,     0,   996,     0,
     750,  1588,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   751,     0,   750,     0,   751,
       0,     0,     0,  2586,     0,   749,  2587,   921,     0,     0,
    2588,  2589,  2590,     0,   750,     0,     0,     0,     0,   750,
     751,     0,     0,     0,     0,   749,     0,     0,  3128,     0,
       0,     0,   749,     0,     0,  1588,     0,     0,  3129,     0,
       0,     0,     0,     0,     0,  3130,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1588,     0,     0,
       0,     0,  3132,     0,  3046,     0,     0,  3133,     0,     0,
    1588,  3131,     0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
    3054,  3055,  1588,     0,     0,  1159,  5353,     0,     0,     0,
    3134,  2780,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     289,     0,     0,     0,     0,     0,     0,     0,  3135,     0,
       0,     0,  1588,  1588,     0,     0,     0,     0,   923,   921,
       0,     0,     0,  3504,     0,   921,     0,     0,     0,     0,
       0,     0,     0,     0, -2750,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5245,     0,     0,     0,  5249,
       0,  2847,     0,   750,     0,     0,  2586,     0,     0,  2587,
       0,   750,   750,  2588,  2589,  2590,  3136,     0,     0,  3137,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3132,
       0,  3128,     0,     0,  3133,     0, -2767, -2750,     0,     0,
       0,  3129,     0,     0,     0,     0,     0,     0,  3130,     0,
   -2750,     0,  3859,     0,     0,     0, -2750,  3134,  2780,     0,
       0,     0, -2750,     0,     0,     0,     0,   749, -2750,     0,
     922, -2750,     0,     0,  3131, -2750,     0,     0,  3859,   750,
       0,     0,     0,  2236,  2586,  3135,     0,  2587,     0, -2767,
       0,  2588,  2589,  2590,     0,     0,     0,  2236,     0,     0,
    2236,     0, -2767,     0,     0, -2750,     0,     0, -2767,  3128,
       0,     0,  3138,     0, -2767,     0,   922,     0,     0,  3129,
   -2767,     0,     0, -2767,     0,  1588,  3130, -2767,  2847,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2750,     0,
       0,     0,     0,  3136,   922,     0,  3137,   751,     0,     0,
       0,     0,  3131,     0,     0,  1200,     0, -2767,  1159,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   749,
     749,     0,     0,     0,     0,     0,     0,     0,     0, -2750,
   -2767,     0,  3132, -2750,     0,     0,  1200,  3133,     0, -2750,
     749,     0,     0,   749,     0,     0,     0,     0,     0,     0,
     923,     0,     0,     0,     0,   923,     0,   923,  3046,     0,
    3134,  2780,     0,     0,     0,     0,     0,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,  3054,  3055,     0,     0,     0,  3138,
    5471, -2767,     0,   923,     0, -2767,     0,     0,  3135,     0,
       0, -2767,  1200,     0,     0,     0,     0,     0,     0, -2750,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1200,
    3132,     0,     0,     0,     0,  3133,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   921,   921,   921,     0,   751,
       0,  2847,   751,     0,     0,     0,     0,     0,  3134,  2780,
       0,     0,     0,     0,     0,     0,  3136,  5484,     0,  3137,
     749, -2767,     0,     0,     0,     0,     0,     0,  1175,     0,
       0,     0,     0,     0,  3859,     0,  3135,     0,     0,   749,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   750,     0,  3046,     0,     0, -2750,     0,
     749,     0,     0,     0,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,  3054,  3055,     0,     0,     0,     0,  5495,     0,  2847,
    1175,     0, -2750,     0, -2750, -2750,   750,     0,     0,     0,
       0,     0,   751,   751,  3136,     0,     0,  3137,     0,     0,
       0,     0,     0,   751,     0,     0, -2750,     0,     0,     0,
   -2767,     0,  3138,     0,     0,     0,     0,     0,     0,     0,
     751,   922,     0,     0,     0,     0, -2750,     0,     0, -2750,
   -2750,     0, -2750,     0, -2767,     0, -2767, -2767,     0,     0,
       0,     0,     0,     0,   750,     0,     0,     0,     0,     0,
       0,   749,   750,     0,     0,     0,     0,     0, -2767,  5610,
     750,     0,  5613,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2767,     0,
       0, -2767, -2767,     0, -2767,     0,     0,     0,     0,     0,
    3138,     0,     0,     0,     0,     0,     0,     0,   921,     0,
       0,     0,     0,     0,   749,     0,   749,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   751,  3046,   749,
     923,   749,     0,     0,     0,     0,     0,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,  3054,  3055,     0,     0,     0,     0,
    5701,     0,   750,   750,     0,     0,     0,     0,     0,  3859,
       0,  2586,     0,     0,  2587,     0,   750,     0,  2588,  2589,
    2590,     0,     0,  5695,   996,     0,     0,   996,     0,   750,
     750,     0,     0,     0,     0,     0,  3128,     0,     0,     0,
    3504,     0,     0,     0,     0,     0,  3129,     0,     0,     0,
    1159,     0,   749,  3130,     0,     0,  3046,     0,     0,     0,
       0,     0,     0,     0,     0,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,  3054,  3055,     0,     0,     0,     0,  5825,  3131,
    2236,     0,     0,     0,     0,  2586,     0,     0,  2587,     0,
       0,     0,  2588,  2589,  2590,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3128,     0,     0,   749,     0,     0,     0,     0,     0,     0,
    3129,     0,     0,     0,     0,     0,     0,  3130,     4,     0,
       0,     0,     0,     0,     0,   749,     0,  4578,     0,   749,
       0,     0,     0,     0,     0,     0,     0,     5,     0,     0,
       0,     0,  6894,  3131,     0,     0,     0,     6,     7,     0,
     749,     0,     8,     0,     9,    10,     0,   996,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     0,    36,     0,    37,  3132,    38,    39,
       0,     0,  3133,     0,    40,     0,     0,     0,     0,     0,
     922,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   751,     0,     0,  3134,  2780,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4064,     0,     0,     0,  3244,  4070,     0,     0,
       0,     0,     0,  3135,     0,     0,  1159,     0,     0,     0,
       0,     0,    41,     0,  3859,     0,     0,  3859,   921,     0,
    3859,  3132,     0,     0,     0,     0,  3133,     0,     0,     0,
     751,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   751,     0,     0,     0,  2847,     0,     0,  3134,
    2780,     0,     0,  1588,     0,     0,     0,     0,     0,  1588,
       0,  3136,     0,     0,  3137,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   751,  3135,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1588,     0,     0,
       0,     0,    43,     0,     0,     0,     0,     0,     0,     0,
    2847,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3136,    44,     0,  3137,     0,
       0,     0,     0,     0,     0,     0,     0,   996,   996,     0,
       0,     0,     0,     0,   923,     0,     0,  3138,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   751,     0,     0,     0,     0,     0,     0,
    1079,     0,     0,     0,     0,  3786,     0,     0,     0,     0,
    5990,     0,     0,     0,     0,     0,     0,   749,     0,     0,
       0,     0,  6000,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    46,     0,     0,    47,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3138,     0,     0,     0,     0,  1082,  3787,     0,     0,
      48,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1083,     0,     0,     0,     0,     0,     0,
     921,     0,     0,  3046,     0,   921,     0,   921,     0,     0,
     751,  1445,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,
    3055,     0,     0,  2236,     0,  5862,     0,     0,     0,     0,
       0,     0,     0,   921,     0,  3788,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1086,     0,
       0,     0,     0,     0,     0,  1588,     0,  1087,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1088,     0,     0,     0,     0,    49,  3789,  3046,     0,   749,
       0,     0,   749,     0,     0,     0,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,  3054,  3055,     0,     0,  1159,     0,  5866,
       0,     0,     0,  1448,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1159,     0,     0,  3244,    50,
       0,     0,  3244,     0,     0,     0,     0,     0,     0,  1159,
       0,  3790,     0,     0,     0,     0,    51,     0,   996,     0,
    1159,   751,   996,   751,     0,     0,     0,     0,     0,  2586,
       0,    52,  2587,  1092,     0,     0,  2588,  2589,  2590,     0,
    4578,     0,   749,   749,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   749,  3128,     0,     0,     0,     0,     0,
       0,    53,     0,     0,  3129,     0,     0,     0,     0,     0,
     749,  3130,     0,   751,     0,     0,    54,    55,    56,    57,
      58,    59,     0,  1358,    60,    61,    62,    63,     0,    64,
      65,    66,    67,    68,     0,     0,     0,  3131,     0,     0,
       0,     0,     0,  1585,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   972,  3791,     0,     0,  1097,     0,
       0,     0,     0,   923,     0,     0,     0,     0,  1358,  1585,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1588,   931,     0,     0,  1452,     0,     0,  3792,     0,
       0,     0,     0,     0,     0,  1101,  1588,     0,     0,     0,
    1002,  1588,  1102,   750,     0,  1103,     0,   749,     0,     0,
     921,     0,     0,     0,     0,     0,   931,     0,     0,     0,
       0,  4578,     0,  4578,     0,  1104,  1159,     0,     0,   750,
       0,  1588,     0,  1454,     0,  1203,     0,     0,     0,     0,
    1106,  1203,  1203,  1455,     0,     0,     0,   750,  1108,   931,
       0,     0,   922,   750,     0,  3132,     0,   750,     0,     0,
    3133,     0,     0,  3793,     0,     0,   750,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   750,     0,  3134,  2780,     0,     0,     0,     0,     0,
    1113,     0,     0,  1159,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3135,     0,     0,     0,   750,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6051,     0,  1200,     0,
       0,     0,     0,     0,     0,   750,   750,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2847,     0,     0,   996,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3136,
       0,     0,  3137,   922,   750,     0,     0,   922,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   750,
     751,   922,     0,     0,     0,   750,     0,     0,     0,     0,
       0,     0,     0,     0,   751,     0,     0,     0,     0,   750,
       0,     0,     0,     0,  1200,     0,   750,     0,     0,   750,
       0,     0,     0,     0,     0,   750,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   923,     0,     0,     0,
       0,     0,   749,     0,     0,   750,     0,     0,     0,     0,
       0,   750,     0,     0,     0,  3138,     0,     0,   750,     0,
       0,  3244,     0,     0,  4070,     0,  4070,     0,     0,     0,
       0,  3244,   750,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   750,     0,     0,     0,
       0,   922,     0,     0,  1585,     0,     0,   750,     0,     0,
     749,     0,     0,     0,     0,  1585,     0,     0,     0,     0,
       0,     0,   749,     0,  1588,     0,     0,     0,   923,     0,
       0,  1585,  1588,     0,     0,   996,     0,     0,     0,     0,
       0,     0,   996,     0,     0,     0,     0,   996,     0,     0,
     996,  6193,     0,     0,     0,     0,   749,  3244,     0,     0,
       0,     0,     0,     0,     0,     0,  1159,   922,     0,     0,
       0,  3046,  1159,     0,     0,     0,     0,  1159,     0,   996,
    3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,
       0,     0,     0,  6153,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   996,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1585,     0,     0,     0,     0,
       0,     0,     0,     0,   921,     0,     0,  1588,     0,  1588,
       0,     0,     0,     0,     0,   923,     0,     0,   751,     0,
    1357,     0,     0,   749,     0,     0,     0,     0,     0,     0,
       0,     4,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       5,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       6,     7,     0,     0,     0,  1357,     0,     9,    10,     0,
       0,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,     0,     0,     0,    37,
       0,    38,    39,     0,     0,  1588,     0,    40,     0,     0,
       0,     0,     0,  2081,     0,     0,     0,     0,     0,  2082,
     749,     0,     0,     0,     0,     0,  2144,   750,   996,   922,
       0,  1585,     0,     0,  2236,     0,     0,     0,     0,     0,
    2236,     0,     0,   923,     0,     0,     0,   750,  2145,  1588,
       0,     0,     0,     0,   750,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2084,    41,     0,     0,     0,   751,
       0,     0,     0,     0,     0,     0,     0,  4070,     0,     0,
       0,     0,     0,  1358,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   751,     0,     0,     0,     0,     0,     0,
    2146,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   996,     0,
       0,  2085,     0,     0,     0,     0,     0,     0,  2086,     0,
       0,     0,  2087,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    42,     0,     0,     0,     0,  1588,
       0,   922,  1358,  1358,     0,     0,     0,   922,     0,     0,
    2088,   749,     0,   749,     0,    43,     0,     0,     0,     0,
       0,  4070,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    44,
       0,     0,  2147,     0,     0,  1588,  2089,     0,     0,     0,
       0,     0,  3103,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   749,    45,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4578,
       0,   751,     0,     0,     0,     0,     0,     0,     0,     0,
    6547,     0,     0,     0,     0,     0,     0,     0,     0,   750,
    2148,     0,     0,     0,     0,  2149,     0,     0,     0,     0,
    2150,     0,     0,   921,     0,     0,     0,    46,   996,     0,
      47,     0,     0,     0,     0,     0,  2151,     0,     0,     0,
    2091,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2092,     0,     0,    48,     0,     0,     0,  1588,     0,     0,
    2093,     0,   931,  1159,     0,     0,     0,     0,     0,     0,
       0,  2152,  2094,     0,     0,     0,     0,     0,     0,     0,
    1002,     0,     0,     0,     0,     0,     0,     0,     0,  1002,
       0,     0,     0,     0,  1585,     0,     0,  1002,     0,     0,
    1002,     0,     0,     0,     0,     0,     0,     0,     0,  1588,
       0,   996,     0,     0,  2153,     0,     0,  2096,  2097,  2154,
       0,   750,   750,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1588,     0,     0,     0,     0,     0,
       0,     0,   750,  2155,     0,   750,     0,     0,    49,  2156,
     996,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1585,     0,  2157,     0,     0,   923,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2586,     0,     0,  2587,     0,     0,     0,  2588,
    2589,  2590,     0,     0,     0,     0,     0,     0,     0,  1585,
       0,     0,    50,     0,  1002,     0,     0,  3128,     0,  1589,
       0,     0,     0,  1002,     0,  2158,     0,  3129,     0,    51,
    1002,     0,  2099,  1002,  3130,   923,     0,   922,   922,   922,
       0,     0,  1585,     0,    52,  1589,     0,     0,     0,     0,
    1358,  1358,     0,     0,     0,     0,     0,     0,     0,     0,
    3131,     0,   750,     0,   923,     0,     0,     0,   996,     0,
     749,     0,     0,     0,    53,     0,     0,     4,     0,     0,
       0,   750,     0,     0,   749,     0,     0,     0,     0,    54,
      55,    56,    57,    58,    59,     0,     5,    60,    61,  1636,
       0,     0,   750,     0,    66,  1637,     6,     7,     0,  3244,
       0,     0,     0,     9,    10,     0,   921,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,     0,     0,     0,    37,     0,    38,    39,     0,
    1002,  1002,     0,    40,  1585,     0,     0,  1203,     0,     0,
       0,  1203,     0,     0,     0,  1585,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1159,     0,     0,  3132,     0,
    1357,  1585,     0,  3133,     0,     0,     0,  2586,  1002,     0,
    2587,     0,     0,   750,  2588,  2589,  2590,     0,   921,     0,
       0,     0,     0,     0,  4070,     0,  3134,  2780,     0,     0,
       0,    41,  3128,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3129,     0,     0,     0,     0,     0,     0,  3130,
       0,     0,  4070,     0,  3135,  1585,     0,     0,     0,     0,
     922,   996,     0,     0,     0,     0,   750,     0,   750,  1357,
    1357,     0,     0,     0,     0,  3131,     0,  1585,     0,     0,
       0,   750,     0,   750,     0,     0,     0,     0,     0,     0,
    1585,     0,     0,     0,     0,     0,     0,  2847,     0,     0,
       0,     0,  1585,     0,  6603,     0,     0,     0,     0,     0,
      42,     0,  3136,     0,     0,  3137,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    43,     0,     0,     0,   921,     0,     0,   749,     0,
       0,     0,  1585,  1585,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   750,    44,     0,  1203,  1203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   996,     0,     0,     0,     0,     0,   996,
      45,  1002,  1002,   931,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3132,  1588,  1002,     0,  6962,  3133,     0,
    1589,  1002,     0,     0,     0,  1002,     0,  1002,  3138,     0,
       0,  1589,     0,     0,     0,   750,     0,     0,     0,     0,
       0,  3134,  2780,     0,     0,     0,     0,  1589,     0,     0,
       0,     0,     0,    46,     0,     0,    47,   750,     0,     0,
       0,   750,     0,  4070,     0,     0,  3244,     0,     0,  3135,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    48,
       0,     0,   750,   921,     0,     0,     0,     0,     0,     0,
    1002,     0,  1002,  1002,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   749,
       0,     0,  2847,     0,     0,     0,     0,     0,  7020,     0,
       0,     0,     0,     0,     0,  1585,     0,  3136,     0,     0,
    3137,     0,     0,   749,  3046,     0,     0,   996,     0,     0,
       0,  1589,     0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
    3054,  3055,     0,     0,     0,     0,  6164,     0,     0,     0,
       0,     0,     0,     0,  2586,     0,     0,  2587,     0,     0,
       0,  2588,  2589,  2590,    49,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3128,
     922,  7020,     0,     0,     0,     0,     0,     0,  7079,  3129,
       0,     0,     0,     0,     0,     0,  3130,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1357,  1357,     0,
       0,  1002,     0,  3138,     0,     0,     0,     0,    50,     0,
       0,     0,  3131,     0,     0,     0,     0,     0,     0,     0,
    1588,     0,     0,     0,     0,    51,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      52,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   749,     0,     0,     0,     0,     0,  1589,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      53,     0,     0,  2586,     0,     0,  2587,     0,     0,     0,
    2588,  2589,  2590,     0,     0,    54,    55,    56,    57,    58,
      59,     0,  1002,    60,    61,  1636,  2438,     0,  3128,     0,
      66,     0,     0,     0,     0,     0,     0,     0,  3129,  3046,
       0,     0,     0,     0,     0,  3130,     0,     0,  3047,  3048,
    3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,     0,     0,
    3132,  6174,     0,  1002,     0,  3133,     0,     0,     0,     0,
       0,  3131,     0,     0,     0,     0,     0,  1588,     0,   750,
       0,     0,     0,     0,     0,     0,     0,     0,  3134,  2780,
       0,     0,  1002,  1002,  1002,     0,  1002,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3135,  1002,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1588,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   922,     0,     0,     0,     0,   922,     0,   922,
       0,     0,     0,  1588,     0,     0,     0,   921,     0,  2847,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3136,   922,     0,  3137,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3132,
       0,     0,     0,     0,  3133,     0,  1002,     0,     0,     0,
    1002,  1002,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   921,  1002,  3134,  2780,     0,
       0,   750,     0,     0,   750,  1588,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   921,  3135,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3138,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2847,     0,
    1589,     0,     0,     0,     0,     0,   931,     0,     0,     0,
       0,     0,     0,  3136,     0,     0,  3137,  1203,     0,     0,
       0,     0,     0,     0,   750,   750,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   750,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   750,     0,     0,  6107,     0,  1588,  1203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1589,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3046,     0,     0,     0,
       0,     0,     0,     0,     0,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,  3054,  3055,     0,  1589,     0,     0,  6228,  3138,
       0,     0,     0,     0,  1203,     0,     0,     4,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1203,     0,     0,     0,     0,     5,     0,  1589,     0,
       0,     0,     0,     0,     0,     0,     6,     7,     0,   750,
       0,     0,   922,     9,    10,     0,     0,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,     0,     0,     0,    37,     0,    38,    39,     0,
       0,     0,  1585,    40,     0,     0,  1585,  1585,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3046,     0,     0,     0,     0,
       0,  1002,  1002,  1002,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,  3054,  3055,     0,     0,     0,     0,  6261,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1589,    41,     0,  1585,     0,     0,     0,     0,     0,  1585,
       0,  1589,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   931,     0,     0,     0,  1589,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4070,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1585,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      42,  1589,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1002,     0,     0,
    1002,    43,     0,  1589,     0,     0,     0,     0,     0,     0,
    1002,     0,     0,     0,     0,     0,  1589,     0,     0,     0,
       0,     0,     0,     0,     0,    44,     0,     0,  1589,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1002,  1002,     0,   750,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,     0,  1002,     0,     0,  1002,
       0,     0,  4070,     0,     0,     0,     0,     0,  1589,  1589,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2586,     0,     0,  2587,     0,     0,     0,  2588,
    2589,  2590,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   750,    46,     0,     0,    47,  3128,     0,     0,
       0,     0,     0,     0,   750,     0,     0,  3129,     0,     0,
       0,     0,     0,     0,  3130,     0,     0,  1002,     0,    48,
       0,  1002,  1002,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   750,     0,
    3131,     0,     0,     0,     0,  1588,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1585,     0,  2081,     0,     0,
    1002,  1002,     0,  2082,     0,     0,  1002,  1002,     0,     0,
    2144,     0,     0,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,     0,     0,     0,  1002,
       0,  1002,  2145,  1002,  1002,  1002,  1002,  1002,  1002,     0,
    1588,  1002,     0,  1002,  1002,  1588,  1588,  1002,  2084,     0,
       0,     0,     0,     0,    49,     0,   922,     0,     0,     0,
       0,  1589,  1002,  1002,  1002,     0,     0,     0,  1585,     0,
       0,     0,  1585,     0,     0,   750,     0,     0,     0,     0,
    1002,     0,   931,     0,  2146,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3132,     0,
       0,     0,     0,  3133,     0,  2085,  2586,     0,    50,  2587,
       0,     0,  2086,  2588,  2589,  2590,  2087,     0,     0,     0,
       0,     0,     0,     0,     0,    51,  3134,  2780,     0,     0,
       0,  3128,     0,     0,     0,     0,     0,     0,     0,     0,
      52,  3129,     0,     0,  2088,     0,     0,     0,  3130,     0,
       0,     0,     0,     0,  3135,     0,     0,     0,     0,  6107,
    1588,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      53,     0,   750,     0,  3131,     0,  2147,     0,     0,     0,
    2089,     0,     0,     0,     0,    54,    55,    56,    57,    58,
      59,     0,     0,    60,    61,  1636,  3706,  2847,     0,     0,
      66,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1585,  3136,     0,     0,  3137,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1585,  1002,     0,     0,
       0,  1585,     0,     0,  2148,     0,     0,     0,     0,  2149,
       0,     0,     0,     0,  2150,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2151,  1585,     0,     0,  2091,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2092,     0,     0,     0,     0,     0,
       0,  1002,     0,     0,  2093,     0,     0,     0,     0,     0,
       0,     0,  3132,     0,     0,  2152,  2094,  3133,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3138,     0,
       0,     0,     0,   750,     0,   750,     0,     0,     0,     0,
    3134,  2780,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1002,  4271,     0,
       0,  2096,  2097,  2154,     0,     0,     0,     0,  3135,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   750,     0,  2155,     0,     0,
       0,     0,     0,  4272,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2157,     0,
       0,  2847,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3136,     0,     0,  3137,
       0,     0,     0,     0,  3046,   922,     0,     0,     0,     4,
       0,     0,     0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
    3054,  3055,     0,     0,  1588,     0,  6263,     0,     5,  2158,
       0,     0,     0,     0,     0,     0,  2099,     0,     6,     7,
       0,     0,     0,     0,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,     0,    37,     0,    38,
      39,     0,     0,     0,     0,    40,     0,     0,     0,     0,
       0,  1585,  3138,     0,  1585,     0,  1585,     0,     0,     0,
       0,  1585,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
       0,  1002,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1002,     0,     0,  1002,     0,     0,     0,
       0,     0,     0,    41,  1585,     0,     0,     0,     0,     0,
       0,     0,  1585,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1585,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1002,     0,     0,     0,  1002,     0,  3046,  1002,
       0,  1002,     0,     0,  1002,     0,     0,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,  3054,  3055,     0,     0,     0,  1002,
    6302,     0,    42,     0,     0,     0,     0,     0,  1002,  1002,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   750,    43,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   750,  1585,     0,  1585,
       0,     0,     0,     0,     0,     0,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   922,     0,
       0,     0,    45,     0,     0,     0,     0,     0,  1589,     0,
       0,     0,  1589,  1589,     0,     0,     0,     0,     0,     0,
      80,     0,     0,     0,   931,    81,     0,     0,     0,    82,
       0,    83,     0,    84,    85,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    86,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    46,  1002,     0,    47,     0,
      90,    91,     0,     0,     0,  1585,     0,  1002,     0,  1589,
    1002,     0,  1002,  1002,     0,  1589,     0,     0,     0,     0,
     922,    48,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1203,     0,  1588,     0,     0,     0,     0,   100,     0,  1585,
       0,     0,     0,     0,     0,     0,     0,     0,   101,     0,
     102,   103,     0,  1589,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1585,  1280,     0,
       0,  2236,     0,     0,     0,   931,     0,     0,   106,   931,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     107,     0,   108,   109,     0,     0,     0,     0,     0,   110,
       0,   111,     0,   931,     0,     0,    49,     0,     0,     0,
       0,     0,     0,     0,   112,     0,   113,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1203,   922,     0,     0,
     750,   114,     0,   115,     0,     0,   117,     0,     0,  1585,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   118,     0,   119,     0,     0,     0,   120,     0,     0,
      50,  1585,     0,     0,   121,     0,     0,     0,     0,     0,
       0,     0,     0,   123,     0,   124,     0,    51,     0,     0,
       0,     0,   125,     0,     0,  1585,     0,     0,     0,     0,
       0,     0,    52,     0,     0,     0,     0,     0,     0,     0,
     127,     0,     0,   931,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   128,     0,     0,
       0,     0,    53,     0,     0,     0,     0,  1002,  1002,  1002,
       0,     0,     0,  1002,     0,     0,     0,    54,    55,    56,
      57,    58,    59,     0,     0,    60,    61,  1636,     0,     0,
       0,     0,    66,     0,     0,   922,     0,     0,     0,     0,
    1002,  1589,     0,     0,     0,     0,     0,     0,     0,   931,
       0,   130,   131,     0,     0,     0,     0,   132,     0,     0,
       0,   750,     0,     0,     0,     0,     0,  1585,     0,     0,
       0,     0,   133,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1002,     0,     0,   750,     0,     0,     0,     0,
       0,   134,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1589,     0,     0,     0,  1589,  1585,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   136,
       0,  1002,     0,     0,  1585,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   137,     0,     0,     0,     0,   138,
     139,     0,   140,     0,     0,     0,     0,   141,     0,     0,
       0,     0,     0,   142,     0,     0,   143,     0,     0,     0,
       0,     0,     0,   144,     0,     0,     0,     0,     0,     0,
     145,   146,  2586,     0,     0,  2587,     0,     0,   147,  2588,
    2589,  2590,   148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   149,     0,     0,     0,  3128,     0,     0,
       0,     0,     0,   750,     0,     0,     0,  3129,     0,     0,
     151,     0,     0,     0,  3130,     0,     0,     0,     0,     0,
       0,   931,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   153,     0,   154,     0,     0,     0,  1589,     0,     0,
    3131,     0,     0,   156,     0,     0,     0,     0,     0,   157,
    1002,     0,  1589,  1002,   158,  1002,  1002,  1589,     0,     0,
       0,     0,     0,     0,     0,  1002,     0,   160,     0,     0,
    1002,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1589,     0,  1585,
       0,   161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     162,     0,     0,     0,  -149,     0,     0,     0,     0,  1002,
    1002,  1002,     0,     0,  1002,     0,     0,     0,     0,     0,
       0,     0,  1002,  1002,  1002,  1002,     0,     0,     0,     0,
       0,     0,     0,   931,     0,     0,     0,     0,  1002,   931,
       0,  1002,     0,  1002,     0,     0,     0,     0,  3132,     0,
       0,     0,     0,  3133,     0,  1002,  1002,     0,     0,  1002,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   922,
       0,     0,     0,     0,  1585,     0,  3134,  2780,     0,     0,
    1002,     0,  1002,     0,  1002,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1585,  1002,  3135,    80,     0,     0,     0,     0,
      81,     0,     0,     0,    82,     0,    83,  1002,    84,    85,
       0,     0,     0,     0,     0,     0,     0,   922,     0,    86,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    90,    91,  2847,  1002,     0,
       0,     0,     0,     0,     0,     0,   922,     0,     0,     0,
       0,     0,  3136,  1002,     0,  3137,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1002,     0,     0,
       0,     0,     0,     0,     0,  1002,     0,     0,     0,     0,
       0,     0,   100,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   101,     0,   102,   103,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1589,     0,     0,
    1589,     0,  1589,     0,     0,     0,     0,  1589,     0,     0,
       0,     0,     0,   106,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1585,   107,     0,   108,   109,  1002,
       0,     0,     0,     0,   110,     0,   111,     0,  3138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   112,
    1589,   113,     0,     0,     0,     0,     0,     0,  1589,     0,
       0,     0,     0,     0,     0,     0,   114,     0,   115,     0,
       0,   117,     0,  1585,     0,     0,  1585,     0,     0,     0,
       0,     0,     0,  1589,     0,     0,   118,     0,   119,  1002,
       0,     0,   120,     0,     0,     0,     0,     0,     0,  6373,
       0,     0,     0,     0,     0,     0,     0,     0,   123,     0,
     124,     0,     0,     0,     0,     0,     0,   125,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   931,
     931,   931,     0,     0,     0,   127,     0,     0,     0,     0,
       0,     0,     0,     0,  3046,     0,     0,     0,     0,     0,
       0,     0,   128,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
    3054,  3055,     0,  1589,     0,  1589,  6680,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2586,     0,     0,  2587,     0,
       0,     0,  2588,  2589,  2590,     0,   130,   131,     0,     0,
       0,     0,   132,     0,     0,     0,     0,     0,     0,     0,
    3128,     0,     0,     0,     0,     0,     0,   133,     0,     0,
    3129,     0,     0,     0,     0,  2586,     0,  3130,  2587,     0,
       0,     0,  2588,  2589,  2590,     0,   134,     0,     0,     0,
    1585,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3128,  1589,     0,  3131,     0,     0,     0,     0,     0,     0,
    3129,     0,     0,     0,     0,     0,     0,  3130,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1002,     0,     0,     0,   136,     0,  1002,     0,     0,     0,
       0,     0,     0,  3131,     0,  1589,     0,     0,     0,   137,
       0,     0,     0,     0,   138,   139,     0,   140,     0,     0,
       0,     0,   141,     0,     0,  5190,     0,     0,   142,     0,
       0,   143,   931,  1589,     0,     0,     0,     0,   144,     0,
       0,     0,     0,     0,     0,   145,   146,     0,     0,     0,
       0,     0,     0,   147,     0,     0,     0,   148,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   149,     0,
       0,     0,     0,     0,     0,     0,  1002,  1585,     0,     0,
       0,  3132,     0,     0,     0,   151,  3133,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1589,   153,     0,   154,  3134,
    2780,     0,     0,     0,     0,     0,     0,     0,   156,     0,
       0,  3132,     0,     0,   157,     0,  3133,  1589,     0,   158,
       0,  1585,     0,     0,     0,     0,     0,  3135,     0,     0,
       0,     0,   160,     0,     0,     0,     0,     0,     0,  3134,
    2780,  1589,     0,  1585,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   161,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3135,     0,     0,
    2847,     0,     0,     0,     0,   162,     0,     0,     0,  -149,
       0,     0,     0,     0,     0,  3136,     0,     0,  3137,     0,
    1364,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1398,     0,     0,     0,     0,     0,     0,     0,
    2847,     0,     0,  1417,     0,  1585,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3136,     0,     0,  3137,     0,
       0,     0,  1438,     0,     0,     0,     0,     0,  1470,     0,
    1002,     0,     0,  1589,     0,     0,     0,     0,     0,  1002,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1002,     0,     0,     0,  1002,  1002,  1002,
       0,     0,     0,     0,  1002,     0,     0,  1002,     0,     0,
    1002,  3138,     0,     0,     0,     0,  1002,     0,  1002,     0,
       0,  1002,     0,     0,     0,  1589,  1002,  1002,  1002,  1002,
       0,     0,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,     0,     0,     0,  1002,  1002,  1002,     0,     0,
    1589,  3138,     0,     0,     0,  1002,     0,     0,     0,     0,
    1002,     0,   931,     0,  1002,     0,     0,  1585,     0,     0,
       0,     0,  1002,     0,     0,  1002,     0,  1002,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1002,     0,     0,  1002,  1002,     0,     0,
       0,  1002,  1002,     0,     0,     0,  1002,     0,  1002,     0,
       0,     0,     0,     0,     0,     0,     0,  3046,     0,     0,
       0,  1002,     0,     0,  1002,     0,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,  3054,  3055,  1002,     0,     0,     0,  6688,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3046,     0,     0,
       0,     0,     0,     0,     0,     0,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,  3054,  3055,  1863,     0,     0,     0,  6710,
       0,     0,  1002,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1887,     0,     0,     0,     0,  1002,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1589,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2586,     0,     0,  2587,     0,     0,
       0,  2588,  2589,  2590,  1002,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3128,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3129,
       0,     0,     0,     0,     0,     0,  3130,     0,     0,     0,
    1585,     0,     0,     0,   931,     0,     0,     0,     0,   931,
    1589,   931,     0,     0,     0,     0,     0,     0,     0,  2108,
       0,     0,  3131,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   931,  1589,     0,
       0,     0,     0,     0,  2586,     0,     0,  2587,     0,     0,
       0,  2588,  2589,  2590,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3128,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3129,
       0,  2586,     0,     0,  2587,     0,  3130,     0,  2588,  2589,
    2590,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3128,     0,     0,     0,
       0,     0,  3131,     0,     0,     0,  3129,     0,     0,     0,
       0,     0,  1585,  3130,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2289,     0,     0,     0,     0,
    3132,     0,     0,     0,     0,  3133,     0,     0,     0,  3131,
    1002,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2323,  2326,  2327,     0,     0,  3134,  2780,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1589,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1002,  1002,  3135,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1585,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1589,
    3132,     0,  1589,  1002,  1002,  3133,     0,     0,     0,  2847,
       0,     0,     0,     0,  1002,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3136,     0,     0,  3137,  3134,  2780,
       0,     0,     0,  1000,     0,     0,     0,  3132,     0,     0,
    1585,     0,  3133,     0,     0,  1585,  1585,     0,     0,     0,
       0,     0,     0,     0,  1169,     0,  3135,  1172,     0,     0,
       0,  1180,     0,     0,     0,  3134,  2780,  1189,     0,  1209,
       0,  1212,     0,  2586,   931,     0,  2587,     0,  1245,     0,
    2588,  2589,  2590,  1250,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3135,     0,     0,     0,     0,  3128,  2847,
    1002,     0,     0,     0,  2586,     0,     0,  2587,  3129,     0,
    1863,  2588,  2589,  2590,  3136,  3130,  1002,  3137,     0,     0,
    3138,     0,     0,     0,     0,     0,     0,     0,     0,  3128,
       0,     0,     0,     0,  1002,     0,  2847,     0,     0,  3129,
       0,  3131,     0,     0,  1863,     0,  3130,     0,     0,     0,
       0,  3136,     0,     0,  3137,     0,     0,     0,     0,     0,
    1585,     0,  1002,     0,     0,  1002,     0,     0,     0,     0,
       0,     0,  3131,  1002,  1002,     0,  1589,     0,     0,     0,
    1002,  1002,     0,     0,     0,  1002,     0,     0,     0,     0,
    1002,     0,     0,  1002,  1002,     0,     0,     0,     0,     0,
    1002,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3138,  1002,     0,     0,     0,     0,     0,  1002,     0,     0,
       0,     0,     0,     0,     0,  1002,  3046,     0,     0,  1002,
       0,     0,     0,     0,     0,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,  3054,  3055,     0,     0,     0,  3138,  6944,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3132,
       0,     0,     0,  1002,  3133,     0,     0,     0,     0,  2586,
       0,  1002,  2587,     0,     0,     0,  2588,  2589,  2590,     0,
       0,     0,     0,     0,     0,     0,     0,  3134,  2780,     0,
    3132,     0,     0,     0,  3128,  3133,     0,     0,     0,     0,
       0,     0,     0,  1589,  3129,     0,     0,     0,     0,  3121,
       0,  3130,     0,     0,     0,  3135,  3046,     0,  3134,  2780,
       0,  1002,     0,     0,     0,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,  3054,  3055,     0,     0,     0,  3131,  6961,     0,
       0,     0,     0,     0,     0,     0,  3135,     0,     0,     0,
       0,  3184,     0,  3046,     0,     0,     0,  1589,  2847,     0,
       0,     0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,
    3055,     0,     0,  3136,     0,  7052,  3137,     0,     0,  1589,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2847,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1002,     0,  3136,     0,     0,  3137,     0,  1002,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4691,     0,     0,     0,  1585,  5345,  4692,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1589,     0,     0,     0,  3132,     0,     0,     0,     0,
    3133,     0,     0,     0,     0,     0,     0,     0,     0,  3138,
       0,     0,     0,     0,     0,     0,     0,  1002,     0,     0,
       0,     0,     0,  3134,  2780,     0,     0,     0,     0,     0,
       0,     0,     0,  1002,     0,     0,     0,     0,   931,     0,
    3138,     0,     0,  3336,     0,     0,     0,     0,     0,     0,
       0,  3135,  3366,     0,     0,     0,     0,     0,     0,  5346,
       0,     0,     0,     0,  1002,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3402,     0,     0,     0,     0,     0,  3414,  3414,     0,     0,
    3414,     0,     0,     0,  2847,     0,     0,     0,     0,     0,
       0,     0,     0,  3432,     0,     0,  3435,     0,     0,  3136,
       0,  1589,  3137,  1589,     0,  3046,     0,     0,     0,     0,
       0,     0,     0,     0,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,  3054,  3055,     0,     0,  3528,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3046,     0,     0,     0,
       0,     0,     0,     0,     0,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,  3054,  3055,  3488,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3508,     0,
    1002,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1002,     0,     0,  1002,     0,     0,  1002,  1002,  1002,     0,
       0,     0,     0,     0,     0,  4693,  3530,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3533,     0,     0,
       0,  1002,  1002,     0,     0,  1002,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1002,     0,     0,     0,     0,     0,     0,  1002,
       0,     0,     0,     0,  1002,     0,     0,  1002,  1002,  3577,
    3414,     0,     0,     0,     0,  1002,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3612,     0,  1002,     0,     0,  1002,
       0,  3625,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3046,     0,     0,     0,     0,     0,     0,     0,  1002,
    3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1585,     0,  2586,     0,  1589,  2587,     0,     0,
       0,  2588,  2589,  2590,     0,     0,     0,  1002,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3128,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3129,
       0,     0,     0,     0,     0,     0,  3130,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   931,     0,     0,
       0,     0,  1002,     0,     0,     0,     0,     0,     0,     0,
       0,  3714,  3131,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1000,  1347,  1347,     0,     0,  1347,     0,
       0,     0,  1359,     0,  1245,     0,     0,  1386,     0,     0,
    1359,     0,     0,  1359,     0,     0,  1245,     0,  1347,     0,
       0,  1245,     0,  1863,  1863,  1347,     0,  1245,     0,     0,
       0,     0,     0,     0,     0,  1002,     0,     0,  1589,     0,
       0,     0,     0,     0,  3776,     0,  1440,  3778,     0,     0,
       0,     0,  1245,     0,  1347,     0,  1347,     0,     0,  1347,
       0,     0,     0,     0,     0,     0,  1386,     0,     0,     0,
       0,  1497,  1002,  1347,  6776,     0,     0,     0,     0,  1347,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1002,
       0,     0,     0,  1002,     0,  1002,     0,     0,     0,     0,
    3132,     0,     0,     0,     0,  3133,     0,     0,     0,  1002,
       0,  1002,     0,     0,     0,  1002,     0,  1000,     0,     0,
       0,  1002,     0,     0,     0,  1002,  1359,     0,  3134,  2780,
    1386,  1589,  1002,  1359,     0,     0,  1359,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1347,     0,     0,     0,  3135,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1002,     0,     0,     0,     0,     0,  1589,     0,     0,     0,
       0,  1589,  1589,     0,     0,     0,  1002,     0,     0,  2847,
       0,     0,  1002,  1002,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1245,  3136,     0,     0,  3137,     0,     0,
       0,     0,     0,     0,     0,  1715,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1002,     0,
       0,     0,     0,  6777,     0,     0,     0,  1002,     0,     0,
     931,     0,     0,  1842,  1842,     0,     0,     0,     0,  1245,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1002,     0,     0,  1245,     0,
       0,     0,     0,  1245,     0,     0,     0,     0,     0,     0,
       0,  1842,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1245,     0,     0,  1589,  1589,     0,     0,     0,
    3138,     0,     0,     0,     0,  1245,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1002,   931,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1002,     0,     0,     0,     0,     0,     0,
       0,     0,  1002,  1002,  1002,     0,     0,     0,  1002,     0,
       0,  1002,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1002,     0,     0,     0,     0,  2586,     0,  1002,
    2587,     0,     0,     0,  2588,  2589,  2590,     0,     0,     0,
       0,     0,  1245,     0,     0,     0,     0,  1002,     0,     0,
       0,     0,  3128,  1245,  1002,  4619,     0,     0,  1347,  1347,
       0,     0,  3129,     0,     0,     0,  3046,     0,     0,  3130,
       0,     0,     0,     0,  1002,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,  3054,  3055,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3131,     0,     0,     0,   931,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1842,  1842,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1000,     0,
    1347,     0,     0,     0,  1359,     0,     0,  1386,  1359,     0,
    1359,     0,     0,     0,     0,  1347,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1002,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1245,
       0,     0,     0,     0,     0,  1347,  1347,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1245,  1245,  1245,
       0,  1347,     0,  1000,     0,  1000,  1000,     0,     0,     0,
    1002,     0,  2342,  3132,     0,     0,     0,     0,  3133,     0,
       0,     0,     0,     0,     0,     0,  1002,   931,     0,     0,
    1589,     0,     0,     0,     0,  1002,     0,  1002,     0,  1002,
       0,  3134,  2780,     0,     0,     0,     0,     0,     0,     0,
       0,  3961,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1002,     0,  3135,
       0,     0,     0,     0,     0,     0,     0,  3973,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1347,     0,
    1347,  1347,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2847,     0,     0,     0,     0,     0,  1002,     0,
       0,     0,     0,     0,     0,     0,     0,  3136,  1002,     0,
    3137,     0,     0,     0,  1842,     0,  1002,  1002,     0,     0,
       0,     0,  1002,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1863,     0,     0,     0,     0,     0,  1576,  2477,  1002,
    2477,     0,     0,     0,  1245,     0,  1169,     0,     0,  1002,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2586,  1576,     0,  2587,     0,     0,     0,  2588,
    2589,  2590,     0,     0,     0,     0,  2517,     0,  1245,     0,
       0,     0,  2523,     0,     0,     0,     0,  3128,     0,     0,
       0,     0,     0,  3138,     0,  1842,     0,  3129,     0,     0,
       0,     0,     0,     0,  3130,     0,     0,     0,     0,     0,
    1002,     0,     0,     0,     0,     0,  1002,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3131,     0,     0,     0,  1002,     0,  1842,     0,     0,     0,
       0,  1002,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1002,     0,     0,  1002,     0,     0,  1002,     0,     0,
       0,     0,     0,     0,     0,  1842,  1842,  1842,     0,  1842,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1002,     0,     0,
    1842,     0,     0,     0,     0,     0,     0,     0,     0,  3046,
       0,     0,     0,     0,     0,     0,  4172,     0,  3047,  3048,
    3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,     0,     0,
    2586,  4194,     0,  2587,     0,     0,     0,  2588,  2589,  2590,
       0,  1002,     0,     0,     0,  1002,     0,     0,     0,     0,
    1002,  4222,     0,  1245,     0,  3128,     0,     0,  3132,     0,
       0,     0,     0,  3133,  1002,  3129,     0,     0,     0,     0,
       0,   931,  3130,     0,     0,     0,     0,     0,  1589,  1842,
       0,     0,     0,  1842,  1842,     0,  3134,  2780,     0,     0,
       0,     0,     0,     0,  1245,  1245,  1245,  3187,  3131,  1842,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3135,     0,     0,  1002,  1002,     0,
       0,     0,     0,     0,     0,  1002,     0,     0,     0,   931,
       0,     0,     0,     0,     0,     0,     0,  4302,  4303,     0,
       0,     0,     0,     0,  1002,  1002,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2847,   931,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3136,     0,     0,  3137,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1576,     0,
       0,     0,     0,     0,     0,     0,  3132,     0,     0,  1576,
       0,  3133,     0,     0,     0,     0,  3314,     0,     0,     0,
       0,     0,     0,     0,  1347,  1576,     0,     0,     0,  4428,
       0,     0,     0,     0,  3134,  2780,     0,  1245,  3349,     0,
       0,     0,     0,     0,     0,     0,  1245,     0,     0,  1347,
       0,     0,     0,     0,     0,     0,     0,     0,  3138,     0,
    2586,     0,  3135,  2587,     0,     0,     0,  2588,  2589,  2590,
       0,     0,  1386,     0,  1245,     0,     0,     0,     0,     0,
    3415,  3415,     0,     0,  3415,  3128,     0,     0,  4696,     0,
       0,     0,     0,     0,     0,  3129,     0,  1245,     0,     0,
    1245,     0,  3130,     0,     0,  2847,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1576,
    3136,     0,     0,  3137,  1347,     0,  2586,     0,  3131,  2587,
       0,     0,     0,  2588,  2589,  2590,     0,     0,     0,     0,
       0,     0,  1245,     0,  4664,     0,     0,     0,     0,     0,
       0,  3128,     0,     0,  1347,  1347,  1347,  1347,  1245,     0,
       0,  3129,     0,  4628,  3046,     0,     0,     0,  3130,     0,
       0,     0,  1245,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
    3054,  3055,     0,     0,  1842,  1842,  1842,     0,     0,     0,
       0,     0,     0,     0,  3131,     0,     0,     0,     0,     0,
    1245,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1245,     0,     0,     0,     0,  3138,     0,     0,  1347,
    1347,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1347,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3132,     0,     0,     0,
       0,  3133,     0,  1245,  3415,  1576,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1347,
    1347,  1347,  1347,     0,  3134,  2780,     0,     0,  1245,     0,
       0,     0,     0,     0,     0,  1245,     0,     0,  3629,     0,
       0,     0,     0,  4701,     0,     0,     0,     0,     0,     0,
       0,     0,  3135,     0,     0,     0,     0,     0,     0,     0,
    1000,     0,  3132,  1000,     0,     0,     0,  3133,     0,     0,
       0,     0,  3046,  1842,     0,     0,     0,     0,     0,     0,
       0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,
    3134,  2780,     0,     0,     0,  2847,     0,     0,     0,     0,
       0,     0,     0,     0,  1359,  1359,     0,     0,     0,     0,
    3136,     0,     0,  3137,     0,  1386,  1386,     0,  3135,  1359,
       0,     0,  1359,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1347,  1347,     0,
       0,     0,     0,     0,  1347,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1245,     0,     0,     0,  4762,
       0,  2847,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3136,     0,     0,  3137,
       0,  2477,     0,     0,     0,     0,     0,     0,  1347,     0,
    1359,     0,     0,  3747,  1359,  1359,     0,  1245,  1245,     0,
    1347,     0,     0,     0,     0,     0,  3138,  1245,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1245,     0,
       0,  1245,  3629,     0,     0,  1169,     0,     0,  1169,  3785,
       0,     0,     0,  1842,  1842,     0,     0,     0,     0,  1842,
    1842,     0,     0,     0,     0,     0,  1842,  1842,  1842,  1842,
    1842,  1842,  1842,  1842,  1842,  1842,  1842,  1842,  1842,     0,
       0,     0,  1842,     0,  1842,  1386,  1842,  1842,  1842,  1842,
    1842,  1842,  3138,     0,  1842,  2586,  1842,  1842,  2587,     0,
    1842,     0,  2588,  2589,  2590,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1842,  1842,  1842,     0,     0,
    3128,     0,     0,  4708,     0,     0,     0,     0,  1576,     0,
    3129,     0,  3046,  1842,     0,     0,     0,  3130,     0,     0,
       0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3131,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1347,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1576,     0,  3046,     0,
       0,     0,     0,     0,     0,     0,     0,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,  3054,  3055,     0,     0,     0,     0,
       0,     0,  2586,     0,     0,  2587,     0,     0,     0,  2588,
    2589,  2590,     0,  1576,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3128,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3129,     0,     0,
    4985,     0,     0,     0,  3130,     0,  1576,     0,     0,     0,
    3414,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1842,  3132,     0,     0,     0,     0,  3133,     0,  2586,     0,
    3131,  2587,     0,     0,     0,  2588,  2589,  2590,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3134,
    2780,     0,     0,  3128,     0,     0,  5352,     0,     0,     0,
       0,     0,     0,  3129,     0,     0,     0,     0,     0,     0,
    3130,     0,     0,     0,  1842,     0,     0,  3135,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3131,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1576,     0,
    2847,     0,     0,     0,     0,     0,     0,     0,     0,  1576,
    1842,     0,     0,     0,     0,  3136,     0,     0,  3137,     0,
       0,     0,     0,     0,     0,  1576,     0,     0,  3132,     0,
       0,     0,     0,  3133,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5116,  5117,  5118,  3134,  2780,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5127,     0,     0,     0,     0,     0,     0,     0,     0,  1576,
       0,     0,     0,     0,  3135,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3132,  2586,     0,     0,  2587,  3133,
       0,  1576,  2588,  2589,  2590,     0,     0,  5152,  5154,     0,
       0,  3138,  5159,     0,  1576,     0,     0,     0,     0,     0,
    3128,     0,  3134,  2780,     0,     0,  1576,  2847,     0,     0,
    3129,     0,     0,     0,     0,     0,     0,  3130,     0,     0,
       0,     0,  3136,     0,     0,  3137,     0,     0,     0,     0,
    3135,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3131,     0,     0,  1576,  1576,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2847,  1842,  1842,  1842,  1842,  1842,  1842,
    1842,  1842,  1842,     0,  1842,     0,     0,     0,  3136,     0,
       0,  3137,     0,     0,     0,  1245,  1842,  3046,     0,  1842,
       0,     0,     0,     0,     0,     0,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,  3054,  3055,     0,     0,     0,  3138,     0,
    1863,  1245,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5826,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1245,  5276,  1842,     0,     0,  1347,  1842,
       0,  3132,  1842,     0,  1842,     0,  3133,  1842,     0,     0,
       0,  1245,  1245,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1842,     0,  3138,     0,     0,     0,     0,  3134,
    2780,  1842,  1842,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1245,     0,     0,     0,  1576,
       0,     0,     0,  4032,     0,  4037,     0,  3135,     0,     0,
       0,     0,     0,     0,  3046,     0,     0,     0,     0,     0,
       0,     0,     0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
    3054,  3055,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2586,     0,     0,  2587,     0,     0,
    2847,  2588,  2589,  2590,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3136,     0,     0,  3137,  3128,
       0,     0,     0,     0,     0,     0,  5384,  5385,  5386,  3129,
    3046,     0,     0,  1169,     0,  1169,  3130,     0,     0,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,  1842,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1000,     0,  3131,  1359,  1386,  1359,  1359,     0,     0,  1347,
       0,     0,  1245,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3349,     0,     0,     0,     0,
       0,  3138,     0,     0,     0,     0,     0,     0,     0,  4171,
    1245,     0,     0,     0,     0,     0,  4182,     0,     0,     0,
       0,     0,     0,     0,     0,  1245,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1245,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1245,     0,     0,     0,
    3132,     0,     0,     0,     0,  3133,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3134,  2780,
       0,     0,  1347,     0,     0,  1347,     0,  3046,     0,     0,
       0,     0,     0,     0,     0,     0,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,  3054,  3055,     0,  3135,     0,     0,     0,
       0,  1245,  1245,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4327,     0,  4330,  4332,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2847,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1842,  1842,  1842,     0,  3136,     0,  1842,  3137,     0,     0,
       0,     0,  2586,     0,  1347,  2587,     0,     0,     0,  2588,
    2589,  2590,     0,     0,  5816,     0,     0,  1347,     0,     0,
       0,     0,     0,  1842,     0,  1347,     0,  3128,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3129,  3349,     0,
       0,     0,     0,  1245,  3130,     0,     0,     0,     0,  4434,
       0,     0,  1169,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1347,  4449,  5665,     0,     0,     0,
    3131,     0,     0,     0,     0,  4327,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1347,     0,  4471,     0,     0,
    3138,     0,     0,     0,     0,     0,     0,     0,  5697,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2342,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1842,     0,     0,     0,     0,     0,
    3625,     0,     0,     0,     0,     0,     0,     0,  4535,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1347,     0,
    1347,     0,  1347,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5756,     0,     0,     0,  5832,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3132,     0,
       0,     0,     0,  3133,     0,     0,  3046,  3714,  2477,     0,
       0,     0,     0,     0,     0,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,  3054,  3055,     0,     0,  3134,  2780,     0,     0,
       0,     0,  2586,     0,     0,  2587,     0,     0,     0,  2588,
    2589,  2590,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2586,     0,  3135,  2587,     0,  3128,     0,  2588,
    2589,  2590,     0,  1000,  1347,     0,  1359,  3129,  1359,  1359,
       0,  1347,     0,     0,  3130,     0,     0,  3128,  1842,     0,
       0,     0,     0,  1842,     0,     0,     0,  3129,     0,     0,
       0,     0,     0,     0,  3130,     0,     0,  2847,     0,     0,
    3131,     0,     0,     0,     0,     0,  1576,     0,     0,     0,
    1576,  1576,  3136,     0,     0,  3137,     0,     0,     0,     0,
    3131,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1842,  1842,  1842,     0,     0,  1842,     0,     0,
       0,     0,     0,     0,     0,  1842,  1842,  1842,  1842,     0,
       0,     0,     0,  5869,  5870,  5871,  5872,     0,     0,     0,
       0,  1842,  2586,     0,  1842,  2587,  1842,  1576,     0,  2588,
    2589,  2590,     0,  1576,     0,     0,     0,     0,  1842,  1842,
       0,     0,  1842,     0,     0,     0,     0,  3128,     0,     0,
       0,     0,  5834,  5833,     0,     0,     0,  3129,     0,     0,
       0,  1386,     0,  1842,  3130,  1842,     0,  1842,  3138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3132,     0,
       0,  1576,     0,  3133,     0,     0,  1842,     0,     0,  4757,
    3131,     0,     0,  1245,     0,     0,     0,     0,  3132,     0,
    4780,     0,     0,  3133,     0,     0,  3134,  2780,     0,     0,
       0,     0,     0,  2586,     0,     0,  2587,     0,     0,     0,
    2588,  2589,  2590,  1245,     0,     0,  3134,  2780,     0,     0,
       0,  1842,     0,     0,  3135,     0,     0,     0,  3128,     0,
       0,     0,     0,     0,     0,     0,  1842,     0,  3129,     0,
       0,     0,     0,     0,  3135,  3130,     0,     0,     0,     0,
    4780,     0,     0,     0,  4836,     0,     0,  4839,  4780,     0,
    4037,     0,     0,     0,  3046,     0,     0,  2847,     0,     0,
       0,  3131,     0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
    3054,  3055,  3136,     0,     0,  3137,     0,  2847,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3132,     0,
       0,     0,  3136,  3133,     0,  3137,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2586,     0,     0,  2587,
       0,     0,  1842,  2588,  2589,  2590,  3134,  2780,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3128,     0,     0,  6635,     0,  1347,  1347,     0,     0,
       0,  3129,     0,     0,  3135,     0,     0,     0,  3130,     0,
       0,     0,     0,     0,  6409,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3138,  1576,
       0,     0,  1842,     0,  3131,     0,     0,     0,     0,  3132,
    4913,     0,     0,     0,  3133,     0,     0,  2847,  3138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3136,     0,     0,  3137,     0,  3134,  2780,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4960,     0,     0,     0,     0,  3135,     0,     0,     0,     0,
       0,     0,  1576,     0,     0,     0,  1576,     0,     0,     0,
       0,     0,     0,     0,  1245,  6102,     0,     0,     0,     0,
       0,     0,     0,     0,  3415,     0,  6112,     0,     0,     0,
       0,     0,     0,     0,  3046,     0,     0,     0,  2847,     0,
       0,     0,     0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
    3054,  3055,  3132,  3136,  3046,     0,  3137,  3133,  3138,     0,
       0,     0,     0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
    3054,  3055,     0,     0,     0,     0,     0,     0,     0,     0,
    3134,  2780,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3135,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1842,     0,     0,     0,     0,  6215,  1842,
       0,     0,     0,     0,     0,  1576,     0,     0,     0,  3138,
    1347,  2847,     0,     0,     0,     0,     0,     0,     0,     0,
    1576,     0,     0,     0,  3046,  1576,  3136,     0,     0,  3137,
       0,     0,     0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
    3054,  3055,     0,     0,     0,     0,     0,  1245,  1245,  1245,
       0,     0,     0,     0,     0,  1576,     0,     0,     0,     0,
       0,     0,     0,     0,  1245,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1842,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2477,  1245,  1245,     0,     0,     0,  1245,     0,     0,     0,
       0,     0,     0,     0,     0,  3046,     0,     0,  1245,     0,
       0,     0,  3138,     0,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,  3054,  3055,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2586,     0,     0,  2587,     0,     0,
       0,  2588,  2589,  2590,     0,     0,     0,     0,     0,     0,
    4535,     0,     0,     0,     0,     0,     0,     0,     0,  3128,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3129,
    6317,     0,     0,  1347,     0,  1863,  3130,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3747,  5244,     0,     0,  6347,     0,     0,     0,     0,     0,
       0,  1245,  3131,     0,     0,     0,     0,     0,  3046,     0,
       0,     0,     0,     0,  1245,     0,     0,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,  3054,  3055,     0,     0,     0,     0,
       0,     0,     0,  1842,     0,     0,     0,     0,     0,     0,
       0,     0,  1842,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1842,     0,     0,     0,
    1842,  1842,  1842,     0,     0,     0,     0,  1842,     0,     0,
    1842,     0,     0,  1842,     0,  1576,     0,     0,  1576,  1842,
    1576,  1842,     0,     0,  1842,  1576,     0,     0,     0,  1842,
    1842,  1842,  1842,     0,     0,  1842,  1842,  1842,  1842,  1842,
    1842,  1842,  1842,  1842,  1842,     0,     0,     0,  1842,  1842,
    1842,     0,     0,     0,     0,     0,     0,     0,  1842,     0,
    3132,     0,     0,  1842,     0,  3133,     0,  1842,  1576,     0,
       0,     0,     0,     0,     0,  1842,  1576,     0,  1842,     0,
    1842,     0,     0,     0,     0,     0,     0,     0,  3134,  2780,
       0,     0,     0,     0,     0,     0,  1842,     0,     0,  1842,
    1842,  1576,     0,     0,  1842,  1842,     0,     0,     0,  1842,
       0,  1842,  5379,     0,     0,     0,  3135,     0,     0,     0,
    1245,  1245,  1245,     0,  1000,     0,     0,  4780,  5400,     0,
       0,     0,  5400,  5414,  5400,  5400,     0,     0,  1842,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2847,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3136,     0,     0,  3137,     0,     0,
       0,  1576,     0,  1576,     0,  1842,     0,     0,     0,     0,
       0,  6560,     0,     0,     0,     0,     0,     0,     0,     0,
    4037,     0,  1842,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6583,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5502,  2477,  3349,
    3138,  2477,     0,     0,  2477,     0,  5511,     0,     0,  1576,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5535,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1576,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6676,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5584,
       0,  1576,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3046,     0,     0,     0,
       0,     0,     0,     0,     0,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,  3054,  3055,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5628,     0,     0,     0,     0,     0,
    1578,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1576,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1578,  1347,     0,     0,
       0,     0,     0,     0,     0,  1576,     0,     0,     0,     0,
       0,  1347,     0,  1842,     0,     0,     0,     0,     0,     0,
    1245,     0,     0,     0,     0,     0,  5672,     0,     0,  1576,
       0,     0,     0,     0,   956,     0,     0,  3349,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1245,     0,     0,     0,     0,  4780,  4449,     0,
       0,     0,     0,     0,     0,  4327,     0,     0,     0,     0,
       0,     0,     0,     0,  5722,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1245,   957,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1842,  1842,     0,     0,
       0,     0,   958,     0,     0,     0,     0,  1842,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2477,  1245,
     959,  1579,     0,     0,     0,     0,   960,     0,     0,     0,
       0,  1576,  1016,     0,     0,     0,  4535,  4535,  4535,  4535,
    4535,     0,     0,     0,   961,     0,     0,  1579,     0,     0,
    1017,  1245,     0,     0,     0,     0,     0,   962,     0,     0,
       0,     0,     0,     0,     0,     0,   963,     0,     0,     0,
       0,     0,     0,     0,     0,  1018,     0,     0,     0,   964,
       0,     0,     0,  1576,     0,   965,     0,     0,  1019,     0,
       0,     0,   966,  1842,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  -902,     0,     0,  1576,  1842,
       0,     0,   967,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1020,     0,     0,     0,  1842,     0,  1021,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1022,     0,     0,
     968,     0,     0,     0,     0,  1842,     0,     0,  1842,     0,
    1023,     0,     0,     0,     0,     0,  1842,  1842,     0,  1024,
       0,     0,   969,  1842,  1842,     0,     0,     0,  1842,     0,
       0,     0,  1025,  1842,     0,     0,  1842,  1842,     0,     0,
       0,  1026,     0,  1842,     0,  1027,     0,  1245,  1245,  1245,
    1245,     0,     0,     0,  1842,  5400,  5414,  5400,  5400,     0,
    1842,  5400,     0,     0,  5882, -1113,   970,     0,  4780,     0,
       0,     0,  4780,     0,     0,     0,     0,     0,  5897,     0,
       0,  1578,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1578,   971,     0,     0,     0,  1386,     0,     0,
       0,     0,     0,   972,   973,     0,  1842,   974,  1578,     0,
    4836,     0,     0,     0,  1842,  1028,  4037,     0,     0,     0,
       0,     0,     0,  1576,     0,  -635,     0,     0,     0,     0,
       0,     0,     0,     0,   975,     0,  1169,   976,     0,     0,
       0,   977,     0,     0,   978,     0,     0,     0,     0,     0,
       0,   979,     0,     0,   980,     0,     0,     0,     0,     0,
       0,     0,     0,  3349,  1842,     0,     0,     0,     0,  1029,
       0,     0,  1030,     0,   981,     0,     0,     0,     0,  5967,
       0,     0,   982,     0,     0,     0,     0,   983,     0,   984,
       0,     0,   985,     0,     0,     0,  1031,   986,     0,     0,
       0,     0,  1578,     0,     0,     0,     0,   987,     0,     0,
    1032,     0,   988,     0,     0,     0,     0,  -480,  1576,     0,
       0,     0,     0,     0,     0,     0,   989,     0,     0,     0,
       0,     0,  1579,     0,     0,     0,     0,  1033,     0,   990,
       0,     0,     0,  1579,     0,  1842,  1576,  1034,     0,     0,
       0,     0,  1842,     0,  -480,  1079,     0,  1035,     0,  1579,
    1080,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1347,     0,     0,  1036,     0,     0,
       0,     0,     0,     0,     0,  1037,     0,     0,     0,  1347,
       0,     0,  -480,     0,     0,  1038,     0,  1039,  1081,  1040,
    1041,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1082,     0,     0,     0,  1042,     0,     0,     0,     0,
    1842,     0,     0,  1043,     0,     0,  1044,     0,  1083,  1045,
       0,     0,     0,     0,     0,     0,  1000,     0,  1578,     0,
       0,     0,  -480,  3349,     0,     0,  1084,     0,     0,     0,
       0,     0,  2477,  1579,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4449,     0,     0,
    1085,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1347,     0,  4471,  1086,     0,     0,     0,     0,  1576,     0,
       0,     0,  1087,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1088,     0,     0,     0,  1245,
       0,  1089,     0,     0,     0,     0,     0,     0,  1090,     0,
    1245,     0,     0,     0,     0,     0,  6121,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1576,  1091,     0,
    1576,   808,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   808,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1051,  1061,     0,  1067,     0,     0,     0,     0,
       0,  1061,     0,  1842,     0,     0,     0,     0,     0,  1579,
       0,     0,     0,  1842,  1061,     0,  1842,     0,  1092,  1842,
    1842,  1842,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,  1258,
       0,     0,     0,     0,  1842,  1842,     0,     0,  1842,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1093,     0,     0,  1000,     0,     0,  5400,     0,
       0,     0,  4780,     0,     0,  1094,     0,  4780,     0,     0,
    4780,  1000,     0,  4327,     0,  6197,     0,     0,  1842,  1095,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   972,
    1096,     0,     0,  1097,     0,     0,     0,     0,     0,  5502,
       0,     0,  1842,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1079,     0,     0,     0,     0,  3293,     0,
    1098,     0,     0,  1099,  1576,     0,     0,  1100,     0,     0,
    1101,     0,  5502,  1386,  1347,     0,  1347,  1102,  2477,     0,
    1103,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1578,     0,     0,     0,     0,  3294,     0,     0,     0,
    1104,     0,     0,     0,     0,     0,     0,     0,  1105,  1082,
    1359,  1386,     0,     0,     0,  1106,     0,     0,  1107,     0,
       0,     0,     0,  1108,     0,     0,  1083,     0,     0,     0,
       0,  1109,     0,  1110,     0,     0,     0,     0,  1111,     0,
       0,     0,     0,     0,  1445,     0,     0,  1300,     0,     0,
       0,     0,  1112,     0,     0,  1359,     0,     0,     0,  1578,
       0,     0,     0,     0,     0,  1113,     0,     0,  3295,  5672,
       0,     0,     0,     0,  1245,     0,     0,     0,     0,  1245,
       0,  1086,     0,     0,     0,     0,     0,     0,  3349,     0,
    1087,  1576,     0,     0,     0,     0,  1578,     0,  1245,     0,
       0,     0,  5722,  1088,     0,  6352,     0,     0,     0,  3296,
       0,     0,     0,     0,     0,     0,  1347,  1245,  5502,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1578,
       0,     0,     0,     0,     0,     0,  1448,     0,     0,     0,
       0,     0,  1579,     0,     0,  1576,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1842,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1576,     0,     0,
       0,     0,  1842,     0,     0,     0,  1842,     0,  1842,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1842,     0,  1842,     0,  1092,     0,  1842,     0,
       0,     0,     0,     0,  1842,     0,     0,     0,  4780,     0,
    1579,     0,  6197,     0,     0,  1842,     0,  6455,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1576,
    3297,  1578,     0,     0,     0,     0,     0,  1579,     0,     0,
       0,     0,  1578,     0,  2477,     0,     0,     0,     0,     0,
       0,     0,     0,  1842,     0,     0,     0,     0,  1578,     0,
       0,     0,     0,     0,     0,     0,     0,   972,  3298,  1842,
    1579,  1097,     0,     0,     0,  1842,  1842,     0,     0,     0,
    1347,  1347,  1347,  1347,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1452,     0,
       0,  3299,     0,     0,     0,     0,     0,     0,  1101,     0,
       0,  1842,  1578,     0,     0,  1102,     0,     0,  1103,     0,
    1000,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1578,     0,     0,     0,  1104,     0,
       0,     0,     0,     0,     0,  1245,  1454,  1578,  4780,     0,
       0,  1576,     0,  1106,     0,     0,  1455,     0,     0,  1578,
       0,  1108,     0,     0,     0,     0,     0,     0,     0,  3300,
       0,     0,     0,     0,  1245,     0,  3301,     0,     0,     0,
       0,     0,  1579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1051,  1579,     0,     0,     0,     0,     0,  1578,
    1578,     0,     0,  1113,  1842,     0,     0,     0,     0,  1579,
       0,     0,     0,     0,     0,     0,  1842,     0,     0,     0,
       0,     0,     0,     0,     0,  1842,  1842,  1842,     0,     0,
       0,  1000,     0,     0,  1842,     0,     0,     0,  6646,     0,
       0,     0,     0,     0,     0,  1842,     0,     0,     0,     0,
       0,     0,  1842,     0,     0,     0,     0,  1061,  1061,     0,
       0,     0,     0,  1579,     0,  2477,     0,     0,     0,     0,
    5502,     0,     0,     0,     0,     0,     0,  1842,     0,     0,
       0,     0,     0,     0,     0,  1579,  2477,     0,  1386,     0,
       0,     0,  1245,     0,     0,     0,     0,  1842,  1579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1300,     0,     0,     0,
       0,     0,     0,  2477,  2477,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1579,  1579,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1578,  1347,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6738,     0,
       0,     0,     0,     0,  1576,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6121,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1842,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4327,     0,     0,  1842,
       0,     0,     0,     0,     0,     0,     0,  1349,  1842,     0,
    1842,  1353,  1842,  6455,     0,     0,     0,     0,     0,  1388,
       0,  4037,  1390,     0,     0,  1395,  1396,     0,  1399,     0,
    1402,     0,     0,  1408,     0,  1410,     0,     0,     0,     0,
    1359,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1347,     0,     0,     0,  1576,  1439,     0,  2477,
       0,     0,     0,  1579,     0,     0,     0,     0,  1476,     0,
       0,     0,  1480,     0,     0,     0,     0,     0,     0,  1492,
    1493,     0,     0,  1499,  3349,  1503,  1504,     0,     0,     0,
       0,  1842,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5502,     0,     0,     0,     0,  1300,     0,  1061,  1359,
    1359,  6878,     0,     0,     0,  1842,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1548,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1842,     0,     0,     0,  6646,     0,     0,  1576,
       0,     0,  1842,  1616,     0,  1618,     0,  2477,  2477,  6913,
       0,     0,     0,     0,  1632,  1634,     0,     0,     0,     0,
       0,     0,     0,     0,  1061,     0,  2477,     0,     0,     0,
       0,     0,  1347,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1576,     0,     0,     0,     0,  1576,
    1576,     0,     0,  6738,  1347,  1347,     0,     0,     0,  5502,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1000,     0,     0,
       0,     0,     0,     0,  1842,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1842,     0,     0,  1842,     0,     0,
    1842,  6976,     0,     0,     0,     0,     0,  1300,     0,   808,
       0,     0,     0,     0,     0,  4037,     0,     0,     0,     0,
    4836,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1842,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1576,     0,  7014,     0,     0,     0,
       0,     0,     0,     0,  1842,     0,  7017,  7018,  1000,  7022,
       0,     0,     0,  1842,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1347,     0,     0,  5502,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1978,     0,
       0,  1979,  6646,  1982,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2042,     0,     0,     0,     0,  7014,     0,     0,     0,     0,
    1842,  1000,     0,     0,     0,     0,     0,     0,  1000,     0,
       0,     0,     0,     0,     0,     0,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1359,  1359,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  7103,     0,
       0,     0,  1581,     0,     0,  7014,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2219,     0,  7014,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2270,     0,  2271,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2274,
       0,     0,     0,     0,     0,     0,  2284,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    80,     0,     0,     0,     0,    81,     0,
       0,     0,    82,     0,    83,     0,    84,    85,     0,  1578,
       0,     0,     0,  1578,  1578,     0,     0,    86,  2336,     0,
    2338,     0,     0,     0,     0,    87,     0,     0,     0,     0,
       0,    88,    89,    90,    91,     0,     0,     0,    92,    93,
       0,     0,     0,     0,    94,     0,     0,     0,  1576,     0,
       0,     0,     0,    95,     0,    96,     0,    97,    98,     0,
       0,     0,     0,    99,     0,     0,     0,     0,     0,     0,
    1578,     0,     0,     0,     0,     0,  1578,     0,     0,     0,
     100,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   101,     0,   102,   103,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   104,     0,     0,     0,     0,
       0,   105,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   106,     0,     0,  1578,     0,     0,     0,     0,     0,
       0,     0,     0,   107,     0,   108,   109,     0,     0,     0,
       0,     0,   110,     0,   111,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   112,     0,   113,
    1579,     0,     0,     0,  1579,  1579,     0,     0,     0,     0,
       0,     0,     0,     0,   114,     0,   115,     0,   116,   117,
       0,     0,     0,     0,     0, -1742,     0,     0,     0,  2498,
       0,     0,     0,     0,   118,     0,   119,     0,     0,     0,
     120,     0,     0,     0,     0,     0,     0,   121,   122,     0,
       0,     0,     0,     0,     0,     0,   123,     0,   124,     0,
       0,  1579,     0,     0,     0,   125,     0,  1579,     0,   126,
       0,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
       0,     0,     0,   127,     0,     0,     0,     0,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     128,     0,     0,     0,  1581,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1579, -1742,     0,     0,     0,
       0,   129,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   130,   131,     0,     0,     0,     0,
     132,     0,     0,     0,     0,     0,     0,     0, -1742,     0,
       0,     0,  1578,     0,     0,   133,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   134,   808,   808,     0,  1581,     0,
     135,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,  1632,     0,     0,
       0,     0,   136,     0,     0,  1578,     0,     0,     0,  1578,
       0,     0,     0,     0,     0,     0,  1576,   137,     0,     0,
       0,     0,   138,   139,     0,   140,     0,     0,     0,  1079,
     141,     0,     0,     0,  1441,     0,   142,     0,     0,   143,
       0,     0,     0,   808,     0,     0,   144,     0,  3204,     0,
       0,  3204,     0,   145,   146,     0,     0,     0,     0,  3211,
       0,   147,     0,     0,     0,   148,     0,     0,     0,     0,
       0,     0,  1442,     0,     0,  3219,   149,     0,     0,     0,
       0,     0,     0,  1579,   150,  1082,  1443,     0,     0,     0,
       0,     0,     0,   151,  1581,     0,     0,     0,  1444,     0,
       0,     0,  1083,     0,     0,   152,     0,     0,     0,     0,
       0,     0,     0,     0,   153,     0,   154,     0,     0,     0,
    1445,     0,     0,   155,     0,     0,   156,     0,     0, -1742,
       0,     0,   157,     0,     0,     0,     0,   158,   159,     0,
       0,     0,     0,     0,  1446,     0,  3304,     0,  1578,     0,
     160,     0,     0,     0,     0,     0,  1579,  1086,     0,     0,
    1579,     0,     0,  1578,     0,     0,  1087,     0,  1578,     0,
       0,     0,     0,     0,   161,     0,     0,     0,     0,  1088,
       0,     0,     0,     0,     0,  1447,     0,     0,     0,     0,
       0,     0,     0,   162,     0,     0,     0,  -149,  1578,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1448,     0,  3401,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1449,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1579,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1579,     0,  1450,     0,     0,  1579,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1095,     0,     0,     0,     0,     0,  1579,
    3532,     0,     0,   972,  1451,     0,     0,  1097,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1452,  3568,     0,  1453,     0,     0,
       0,  1100,     0,     0,  1101,     0,     0,  1581,     0,     0,
       0,  1102,     0,     0,  1103,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1104,     0,     0,     0,     0,     0,
       0,  3633,  1454,     0,     0,     0,     0,     0,  1578,  1106,
       0,  1578,  1455,  1578,     0,     0,     0,  1108,  1578,     0,
       0,     0,     0,     0,     0,  1456,     0,  1110,  3655,     0,
       0,     0,  1457,     0,     0,  1581,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1113,
       0,  1578,     0,     0,     0,     0,     0,     0,     0,  1578,
       0,     0,  1581,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3693,     0,  3694,     0,     0,
       0,     0,     0,     0,  1578,     0,     0,     0,     0,     0,
       0,  1632,  3703,     0,  3704,  1581,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3725,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1632,     0,
       0,     0,  1632,     0,     0,     0,     0,  1632,     0,  1579,
    1632,     0,  1579,     0,  1579,     0,     0,     0,     0,  1579,
       0,     0,     0,     0,  1578,     0,  1578,     0,     0,     0,
       0,  3777,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1579,     0,     0,     0,     0,  1581,     0,     0,
    1579,     0,     0,     0,     0,     0,     0,     0,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1581,  1579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1578,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1578,     0,     0,     0,
    1581,     0,     0,     0,     0,  1579,     0,  1579,     0,     0,
       0,     0,     0,  1581,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1578,  1581,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1581,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1578,     0,     0,     0,
       0,     0,     0,  1579,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1578,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1578,     0,     0,     0,     0,  1579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1578,     0,     0,  1579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1579,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1579,     0,     0,  1578,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1578,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3966,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1578,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1300,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4060,  4061,     0,     0,
       0,  1578,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4076,  4077,     0,     0,     0,
    4080,  4081,     0,     0,     0,  4084,  4085,     0,     0,  1578,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4096,     0,     0,     0,  4099,     0,     0,     0,  4102,  4103,
       0,     0,  4106,  4107,     0,     0,     0,  1579,     0,  4112,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4127,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4144,     0,     0,     0,     0,  4146,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4152,     0,     0,     0,  4158,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4169,
       0,     0,  4173,     0,  4175,  4178,  4180,     0,     0,     0,
       0,  4188,  4191,     0,     0,     0,     0,     0,     0,     0,
       0,  4204,     0,     0,     0,     0,     0,  4214,     0,     0,
       0,  4217,  1579,     0,     0,     0,     0,     0,     0,     0,
       0,  4227,  4228,     0,     0,     0,  4233,     0,     0,     0,
       0,  1578,  4242,  4243,     0,     0,     0,     0,     0,     0,
    1579,     0,     0,     0,     0,     0,  4252,     0,     0,  4253,
       0,     0,     0,     0,     0,     0,  4265,  4266,     0,     0,
       0,     0,  4270,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4277,     0,     0,  4280,     0,     0,
    1578,     0,  4283,  1578,     0,     0,     0,     0,  4286,  4287,
       0,  1632,     0,  1632,     0,     0,  4295,  1632,     0,     0,
    4297,     0,     0,     0,  4304,  4305,  4306,  4307,     0,  4309,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4335,  4336,     0,  4338,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,  4348,  4349,  4350,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1581,     0,     0,     0,  1581,
    1581,     0,     0,     0,     0,     0,     0,     0,  1201,     0,
       0,     0,     0,     0,  1201,  1201,     0,     0,     0,     0,
       0,     0,  1579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4402,     0,     0,     0,     0,     0,
       0,     0,  4426,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1581,     0,     0,     0,
       0,  4438,  1581,     0,     0,     0,     0,     0,     0,     0,
       0,  1579,     0,     0,  1579,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1578,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1582,     0,
    1581,  4510,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1582,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4543,     0,  4545,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1300,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1632,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1578,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4610,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1578,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1578,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1578,     0,     0,  1579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1581,     0,     0,     0,  1581,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1579,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1579,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1582,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1578,     0,  1582,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1579,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1581,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1581,
       0,     0,     0,     0,  1581,     0,     0,     0,     0,     0,
    1632,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4877,
       0,     0,     0,     0,  1581,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,     0,     0,  4884,     0,     0,     0,
    4884,     0,     0,     0,     0,  4895,  4896,  4897,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4909,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1579,     0,     0,     0,     0,
       0,  4939,  4940,  4941,  4942,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4963,
       0,  4967,  4968,  4969,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1582,  1578,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5052,     0,     0,     0,     0,     0,     0,     0,     0,
    5058,     0,     0,   998,  1581,     0,     0,  1581,     0,  1581,
       0,     0,   998,     0,  1581,     0,     0,     0,     0,     0,
     998,     0,     0,   998,     0,     0,  5068,  5069,     0,  1578,
       0,  5070,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5112,     0,     0,     0,  1581,  1579,     0,
       0,     0,     0,     0,     0,  1581,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,     0,     0,     0,     0,  1632,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5149,
       0,     0,     0,     0,  1061,     0,     0,     0,     0,     0,
    5161,     0,  1578,     0,     0,     0,     0,   998,     0,     0,
       0,     0,  1587,     0,     0,     0,   998,     0,     0,     0,
       0,     0,     0,   998,     0,     0,   998,     0,     0,     0,
    5200,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
    1051,     0,     0,  1061,     0,     0,     0,     0,     0,     0,
    1581,     0,  1581,     0,     0,     0,     0,  1578,     0,     0,
    1579,     0,  1578,  1578,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5230,     0,
    5231,     0,     0,     0,     0,     0,     0,     0,     0,  1582,
       0,     0,     0,     0,     0,     0,     0,  1632,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,   998,     0,     0,     0,  1581,     0,
    1201,     0,     0,  1579,  1201,     0,     0,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1578,     0,     0,
       0,   998,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1581,     0,  1582,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1579,     0,
       0,     0,     0,  1579,  1579,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,     0,     0,     0,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1581,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1581,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1579,     0,
    1201,  1201,     0,     0,     0,     0,     0,     0,  1581,  1582,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,   998,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1582,     0,   998,     0,
       0,     0,     0,  1587,   998,     0,     0,     0,   998,     0,
     998,     0,     0,     0,  1587,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1587,  5477,     0,  5478,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5485,     0,     0,     0,
    1582,     0,     0,     0,     0,     0,     0,     0,  5491,     0,
       0,     0,  5494,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,  1582,   998,  5508,   998,   998,     0,     0,     0,
       0,  1578,     0,     0,     0,  1582,     0,     0,     0,     0,
       0,     0,     0,  5534,     0,     0,     0,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5538,     0,     0,     0,     0,     0,     0,     0,  5542,
       0,     0,  1581,     0,  1587,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1582,  1582,     0,
       0,     0,     0,     0,  5577,     0,     0,  1581,  5581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5591,  5592,  5593,  5594,     0,     0,     0,
       0,     0,     0,  5598,  5599,  5600,  5601,     0,     0,     0,
       0,     0,  5603,  5604,     0,     0,     0,     0,  5611,  5612,
       0,  5614,  5615,  5616,  5617,  5618,  5619,  5620,     0,     0,
       0,     0,     0,     0,   998,     0,     0,  5629,     0,     0,
       0,  5632,  5633,  5634,  5635,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1579,     0,     0,  4884,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5655,     0,     0,     0,     0,     0,     0,
    1587,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,     0,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1581,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5737,
       0,     0,     0,     0,     0,     0,   998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4884,     0,     0,   998,   998,   998,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5772,     0,  5773,     0,     0,     0,
     998,     0,     0,     0,  1632,  1632,  1632,  1632,  1632,     0,
       0,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
       0,     0,     0,     0,     0,  5788,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1581,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1578,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,     0,   998,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1587,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
    1201,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1201,     0,     0,     0,     0,  1581,     0,     0,  1581,
       0,  1587,     0,     0,     0,     0,     0,     0,  5942,  5943,
    5944,     0,     0,     0,  5945,  5946,  5947,  5948,     0,     0,
       0,  5950,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,     0,     0,     0,     0,     0,  1201,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1201,     0,     0,     0,     0,     0,
       0,  1587,     0,  5985,  5986,  5987,  5988,  5989,     0,  5991,
    5992,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6001,  6002,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6008,     0,     0,     0,     0,
       0,     0,     0,  1632,  1632,     0,  1632,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,   998,   998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1581,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1587,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1587,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1587,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6073,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1587,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,     0,   998,     0,     0,  1587,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,  1587,
    1581,     0,     0,  6127,     0,     0,     0,     0,     0,     0,
       0,  1587,     0,     0,     0,     0,     0,  1582,     0,     0,
       0,  1582,  1582,     0,   998,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6133,     0,     0,     0,   998,
       0,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,  1587,  1587,     0,  1581,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1581,     0,  1582,     0,
       0,     0,     0,     0,  1582,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,  1632,     0,     0,   998,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1632,     0,     0,     0,
       0,     0,  1582,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1581,     0,
       0,     0,     0,   998,   998,     0,     0,     0,     0,   998,
     998,     0,     0,     0,     0,     0,   998,   998,   998,   998,
     998,   998,   998,   998,   998,   998,   998,   998,   998,     0,
       0,     0,   998,     0,   998,     0,   998,   998,   998,   998,
     998,   998,     0,     0,   998,     0,   998,   998,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6250,     0,  1587,   998,   998,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6260,     0,   998,     0,     0,     0,  6266,  6267,     0,
       0,     0,     0,     0,     0,     0,     0,  6278,     0,     0,
       0,     0,     0,     0,  6280,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6333,  6334,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6342,     0,  1061,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6359,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,     0,     0,  4884,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6395,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1632,  1582,     0,     0,     0,  1582,     0,     0,
       0,     0,     0,  1632,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,     0,     0,  6461,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6476,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6494,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1581,     0,  1632,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6553,     0,     0,
       0,     0,     0,     0,     0,     0,  1582,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1582,     0,     0,     0,     0,  1582,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1582,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4884,     0,
       0,     0,     0,     0,     0,  1581,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1632,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,   998,   998,   998,   998,   998,
     998,   998,   998,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   998,     0,     0,   998,
       0,     0,     0,     0,     0,  6670,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6689,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,   998,
       0,     0,   998,     0,   998,     0,     0,   998,     0,     0,
       0,     0,     0,  1581,     0,     0,     0,     0,  1581,  1581,
       0,     0,   998,     0,     0,     0,     0,     0,     0,  6728,
       0,   998,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1582,     0,     0,  1582,
       0,  1582,     0,     0,     0,     0,  1582,     0,     0,     0,
       0,  1587,     0,  6782,     0,  1587,  1587,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1581,     0,     0,     0,     0,     0,  1582,
       0,     0,     0,     0,     0,     0,     0,  1582,     0,   998,
    6823,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,  1587,   998,     0,   998,   998,     0,  1587,     0,
       0,     0,  1582,     0,     0,     0,     0,     0,     0,  6836,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6846,     0,     0,  1201,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1587,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1582,     0,  1582,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1201,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6938,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,   998,   998,     0,  1582,     0,   998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1582,   998,  1587,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1582,     0,     0,  1587,     0,     0,
       0,  1587,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1582,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  7097,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1587,     0,  1582,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,  1587,   998,     0,   998,   998,
    1587,     0,     0,     0,     0,     0,     0,     0,   998,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1587,     0,     0,     0,  1582,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1582,
       0,     0,   998,   998,   998,     0,     0,   998,     0,     0,
       0,     0,     0,     0,     0,   998,   998,   998,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,     0,   998,     0,   998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,   998,
       0,     0,   998,     0,     0,  1581,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,   998,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   998,     0,     0,     0,
       0,     0,     0,     0,  1582,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1587,     0,     0,  1587,     0,  1587,     0,     0,     0,     0,
    1587,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1582,
       0,     0,     0,  1587,     0,     0,     0,     0,     0,     0,
       0,  1587,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,  1587,     0,     0,     0,
       0,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1587,     0,  1587,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1582,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1587,     0,     0,     0,  1582,     0,
       0,  1582,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1587,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1587,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1582,     0,     0,     0,     0,
       0,     0,     0,     0,  1587,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,  1587,     0,     0,     0,
       0,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1582,     0,     0,     0,   998,     0,     0,     0,
     998,   998,   998,     0,     0,     0,     0,   998,     0,     0,
     998,     0,     0,   998,     0,     0,     0,     0,     0,   998,
       0,   998,     0,     0,   998,     0,     0,     0,  1587,   998,
     998,   998,   998,     0,     0,   998,   998,   998,   998,   998,
     998,   998,   998,   998,   998,     0,  1582,     0,   998,   998,
     998,     0,     0,  1587,     0,     0,     0,     0,   998,     0,
       0,     0,     0,   998,     0,     0,     0,   998,  1582,     0,
       0,     0,     0,     0,     0,   998,     0,     0,   998,     0,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   998,     0,     0,   998,
     998,     0,     0,     0,   998,   998,     0,     0,     0,   998,
       0,   998,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,     0,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1582,     0,     0,     0,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1587,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1587,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
       0,  1003,     0,  1587,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1582,     0,   998,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1587,     0,     0,  1587,   998,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,     0,     0,
    1590,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1590,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,   998,     0,
       0,     0,     0,     0,     0,     0,   998,   998,     0,  1587,
    1582,     0,     0,   998,   998,     0,     0,     0,   998,     0,
       0,  1003,  1003,   998,     0,     0,   998,   998,     0,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,   998,  1003,
       0,     0,   998,     0,     0,  1582,     0,     0,     0,     0,
    1582,  1582,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   998,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1587,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1582,     0,     0,     0,     0,
    1587,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1587,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,  1003,     0,   998,     0,     0,     0,     0,
       0,     0,   998,     0,     0,     0,  1003,     0,     0,     0,
       0,  1590,  1003,     0,     0,     0,  1003,     0,  1003,     0,
       0,     0,  1590,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1590,     0,
       0,     0,     0,     0,  1587,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,     0,  1003,  1003,     0,   998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1590,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1587,     0,  1587,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,  1582,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,   998,     0,     0,   998,
     998,   998,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1590,     0,
       0,     0,     0,     0,   998,   998,     0,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,     0,
       0,     0,   998,  1003,     0,     0,     0,   998,     0,     0,
     998,   998,     0,     0,     0,     0,     0,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,   998,     0,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   998,  1003,  1003,  1003,     0,  1003,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,  1587,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,     0,
       0,  1003,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,     0,
       0,  1587,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1590,   998,     0,     0,     0,   998,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,  1582,     0,     0,
       0,     0,   998,     0,   998,     0,     0,     0,   998,     0,
       0,     0,     0,     0,   998,     0,     0,     0,   998,     0,
       0,     0,     0,     0,  1587,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1590,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1584,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,  1587,
       0,     0,     0,     0,  1587,  1587,  1590,  1584,     0,   998,
       0,     0,     0,     0,     0,   998,   998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1590,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,  1587,
       0,     0,  1003,  1003,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,     0,     0,     0,
       0,  1590,     0,     0,     0,     0,   998,     0,     0,     0,
       0,     0,  1590,     0,     0,   998,   998,   998,     0,     0,
       0,   998,     0,     0,   998,     0,     0,     0,  1590,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,     0,
       0,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1590,     0,     0,     0,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
       0,  1003,     0,     0,  1590,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,     0,     0,     0,  1590,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1590,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,   998,  1590,
    1590,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1584,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1584,
       0,     0,     0,   998,     0,     0,     0,     0,  1003,     0,
       0,     0,  1003,  1003,     0,     0,     0,     0,     0,   998,
       0,     0,     0,  1587,     0,     0,     0,     0,   998,     0,
     998,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,  1003,     0,     0,     0,     0,  1003,  1003,     0,
     998,     0,     0,     0,  1003,  1003,  1003,  1003,  1003,  1003,
    1003,  1003,  1003,  1003,  1003,  1003,  1003,     0,     0,     0,
    1003,     0,  1003,     0,  1003,  1003,  1003,  1003,  1003,  1003,
       0,     0,  1003,  1584,  1003,  1003,     0,     0,  1003,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,  1590,  1003,  1003,  1003,     0,     0,     0,     0,
       0,   998,     0,     0,     0,     0,     0,     0,     0,   998,
     998,  1003,     0,     0,     0,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   755,   998,   821,   821,     0,   821,     0,     0,     0,
       0,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   821,     0,     0,     0,   821,     0,
       0,     0,     0,     0,   821,   821,     0,   821,     0,     0,
       0,     0,     0,   821,     0,  1160,     0,     0,     0,     0,
       0,     0,     0,  1160,     0,     0,   821,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1584,
       0,     0,     0,   998,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   998,     0,     0,
       0,     0,     0,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,   998,  1003,     0,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,     0,   998,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
       0,  1587,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   821,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,   998,     0,     0,     0,     0,     0,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   998,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1584,  1586,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1586,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,
    1003,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,  1003,     0,     0,
    1584,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1003,     0,     0,     0,  1003,     0,     0,
    1003,     0,  1003,     0,     0,  1003,     0,     0,     0,     0,
    1584,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1590,
       0,     0,     0,  1590,  1590,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   821,     0,     0,     0,     0,     0,
       0,     0,  1584,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,  1584,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
    1590,  1003,     0,  1003,  1003,     0,  1590,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   821,
     821,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1590,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1584,     0,     0,     0,     0,
       0,     0,     0,     0,  1586,     0,     0,     0,  1584,     0,
       0,     0,     0,     0,     0,  1586,     0,     0,   821,     0,
    1584,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1586,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1584,  1584,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1586,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   755,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,  1003,
    1003,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,  1590,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1529,   821,     0,
     821,     0,     0,     0,   755,     0,     0,     0,     0,     0,
       0,  1586,     0,     0,     0,  1590,     0,     0,     0,  1590,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   821,     0,     0,   821,   821,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   755,     0,  1160,     0,  1160,     0,     0,     0,     0,
       0,   755,     0,     0,     0,   821,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1160,  1160,     0,
       0,   755,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1590,   821,
       0,   821,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,     0,  1590,  1003,     0,  1003,  1003,  1590,     0,
       0,     0,     0,     0,     0,     0,  1003,     0,     0,     0,
       0,  1003,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1590,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,  1003,  1003,     0,     0,  1003,   755,   755,     0,     0,
    1960,     0,     0,  1003,  1003,  1003,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
       0,     0,  1003,     0,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1003,  1003,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   755,     0,     0,     0,     0,
       0,  1003,     0,  1003,  1586,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   755,     0,     0,  1003,
       0,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
       0,     0,     0,     0,     0,     0,  1003,     0,     0,  1586,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1590,     0,
       0,  1590,  1586,  1590,     0,     0,     0,     0,  1590,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1590,     0,     0,     0,     0,     0,     0,     0,  1590,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1590,     0,     0,     0,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1586,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1586,     0,     0,     0,     0,   821,     0,   821,     0,
       0,   821,     0,   821,     0,     0,   821,   821,   821,     0,
       0,     0,  2472,     0,  1590,     0,  1590,     0,     0,   821,
    1584,     0,     0,     0,  1584,  1584,     0,     0,     0,     0,
       0,     0,     0,     0,   821,     0,   821,     0,     0,     0,
       0,     0,   821,     0,     0,  1586,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1586,  1584,     0,     0,     0,     0,     0,  1584,     0,     0,
       0,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1590,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1586,  1586,     0,  1584,     0,     0,     0,     0,
       0,  1003,     0,     0,     0,     0,     0,  1003,     0,     0,
       0,     0,     0,     0,     0,     0,  1590,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1590,  3077,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   821,   821,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   755,     0,     0,     0,     0,   755,
     755,     0,     0,     0,     0,     0,     0,  1003,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1590,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1590,     0,
       0,     0,     0,     0,     0,   821,     0,   755,     0,     0,
       0,     0,     0,     0,     0,  1586,     0,  3208,     0,     0,
       0,     0,  1590,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   755,
       0,     0,     0,  1584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   755,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,   755,     0,  1590,     0,     0,     0,     0,     0,
    1003,     0,     0,     0,     0,     0,  1584,     0,     0,     0,
    1584,     0,     0,     0,  1003,     0,     0,     0,  1003,  1003,
    1003,     0,     0,     0,     0,  1003,     0,     0,  1003,     0,
       0,  1003,     0,     0,     0,     0,     0,  1003,     0,  1003,
       0,     0,  1003,     0,     0,     0,  1590,  1003,  1003,  1003,
    1003,     0,     0,  1003,  1003,  1003,  1003,  1003,  1003,  1003,
    1003,  1003,  1003,     0,     0,     0,  1003,  1003,  1003,     0,
       0,  1590,     0,     0,     0,   755,  1003,     0,     0,   755,
     755,  1003,     0,     0,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,  1003,     0,     0,  1003,     0,  1003,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,  1003,  1003,     0,
       0,     0,  1003,  1003,     0,     0,     0,  1003,     0,  1003,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,     0,     0,  1003,     0,     0,     0,  1584,
       0,     0,     0,     0,     0,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,  1584,     0,     0,     0,     0,  1584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   755,     0,     0,     0,     0,     0,     0,     0,  1584,
       0,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1590,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1590,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1590,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   821,     0,   821,     0,     0,     0,   821,     0,
     821,     0,     0,   821,     0,     0,     0,   821,     0,     0,
       0,     0,  3077,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1584,
       0,     0,  1584,     0,  1584,     0,     0,     0,     0,  1584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1584,     0,     0,     0,     0,     0,     0,     0,
    1584,  1590,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,  1584,     0,     0,     0,     0,
       0,     0,  1586,     0,     0,     0,  1586,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1590,     0,     0,  1590,  1003,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1586,     0,     0,     0,     0,     0,  1586,
       0,     0,     0,     0,     0,  1584,     0,  1584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1586,     0,     0,
       0,  1003,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1003,     0,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,  1003,  1003,     0,  1590,     0,     0,
       0,  1003,  1003,     0,     0,     0,  1003,     0,     0,     0,
       0,  1003,     0,     0,  1003,  1003,     0,  1584,     0,     0,
       0,  1003,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,     0,  1003,     0,
       0,     0,     0,     0,     0,  1584,  1003,     0,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1584,     0,     0,
       0,     0,     0,     0,  1590,  1586,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1825,  1825,  1584,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1590,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1586,     0,
    1590,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
       0,  3057,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1584,     0,     0,  2472,     0,
       0,     0,  1590,     0,     0,  3967,     0,     0,     0,     0,
       0,  3057,     0,     0,     0,  3208,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,  1584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1586,  1584,     0,     0,  1003,     0,     0,  2233,  2237,
       0,     0,     0,     0,     0,     0,  1586,     0,     0,     0,
       0,  1586,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1586,  1590,     0,  1590,     0,     0,     0,     0,     0,
       0,   755,     0,     0,     0,     0,     0,  4049,     0,  1960,
       0,     0,   821,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,   755,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,  1003,     0,     0,  1003,  1003,  1003,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,  1003,     0,     0,  1003,  1584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,     0,     0,  1003,     0,     0,  1003,  1003,
       0,     0,     0,     0,     0,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,  1584,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3057,
       0,     0,     0,  3057,     0,     0,     0,  1590,     0,     0,
    1584,  1586,     0,     0,  1586,     0,  1586,     0,  1003,   755,
       0,  1586,     0,     0,     0,     0,     0,   755,     0,     0,
     755,     0,     0,     0,     0,     0,     0,     0,     0,  2530,
       0,     0,   755,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1003,  1586,     0,     0,     0,     0,     0,
       0,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
    2556,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2575,
    2576,  2577,     0,  2580,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1003,     0,     0,  1590,
       0,     0,     0,     0,  3065,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1584,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1586,     0,  1586,
    1003,     0,     0,     0,  1003,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,  1584,  1003,     0,  1584,     0,  1003,     0,     0,     0,
       0,     0,  1003,  3151,     0,     0,  1003,  3163,  3168,     0,
       0,     0,  1590,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,     0,  1586,     0,  1590,     0,     0,
       0,     0,  1590,  1590,     0,     0,     0,  1003,     0,     0,
       0,     0,     0,  1003,  1003,     0,  3057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   821,  2472,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1586,
       0,     0,  3057,     0,   755,     0,  3860,     0,     0,  1003,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
       0,  3057,  3057,  3057,     0,     0,  3057,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1590,  1590,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1586,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
       0,  1586,     0,  1003,  1003,  1003,     0,     0,     0,  1003,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1003,     0,  1586,     0,     0,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1584,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2233,  2233,
    2233,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3208,     0,     0,     0,     0,   755,     0,  1584,
       0,     0,     0,     0,     0,     0,     0,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1584,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1586,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1586,     0,     0,     0,     0,     0,
       0,  1003,     0,  1584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,     0,
       0,  1590,     0,     0,     0,     0,  1003,     0,  1003,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
       0,     0,     0,     0,     0,  1584,     0,  1003,  1003,     0,
       0,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1586,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3057,     0,  3804,     0,     0,     0,     0,     0,     0,
       0,     0,  3821,  3821,  3821,  3821,  3831,  3837,  3821,  3840,
    3821,  3821,     0,     0,     0,     0,  3847,     0,  3848,     0,
    3850,     0,     0,  3864,  3867,  3872,     0,     0,     0,     0,
       0,  3881,     0,     0,  3886,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,     0,     0,     0,  1003,     0,  3893,
    3894,  3895,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1586,  1003,     0,  3896,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,  3057,     0,     0,
       0,     0,  1003,     0,     0,  1003,     0,     0,  1003,  3057,
       0,     0,  1586,     0,  3057,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   755,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,  1003,     0,  1584,     0,
       0,  1003,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1590,
       0,     0,     0,     0,     0,     0,   821,     0,     0,     0,
       0,     0,     0,     0,  3904,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1586,     0,     0,     0,  1003,  1003,
       0,     0,     0,     0,     0,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,   821,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,  1003,     0,  3923,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1586,     0,     0,  1586,     0,     0,     0,
    1584,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3925,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   755,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1584,     0,
       0,     0,     0,  1584,  1584,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1586,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3932,  3933,
    3934,  3935,  3936,  3937,  3938,  3939,  3940,     0,  3941,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1825,     0,     0,  2233,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1586,     0,  3896,
    4049,     0,     0,  3904,     0,     0,  3923,     0,  3925,     0,
       0,  3987,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2576,  2577,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1586,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1586,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   755,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   755,     0,     0,     0,     0,     0,
    3057,     0,     0,     0,     0,  1586,     0,     0,   755,     0,
       0,     0,     0,  4104,     0,     0,     0,  3057,     0,   755,
       0,     0,     0,     0,     0,     0,     0,  3057,     0,     0,
       0,     0,     0,  3057,     0,     0,  3057,     0,     0,     0,
       0,     0,     0,  3057,  3057,     0,  3057,     0,     0,     0,
       0,  3860,  3860,     0,  4687,     0,  3860,     0,     0,     0,
    3057,     0,     0,  3057,     0,     0,     0,     0,  3057,     0,
       0,     0,     0,     0,     0,     0,     0,  3057,     0,     0,
       0,     0,  3057,     0,     0,     0,     0,     0,     0,  3057,
    3057,  3057,  3057,     0,     0,     0,     0,  3860,  3860,     0,
    3057,     0,  1584,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3057,
       0,  3057,     0,     0,     0,     0,     0,  1586,  3057,  3057,
    3057,  3057,  3057,  3057,  3057,  3057,  3057,  3057,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3057,     0,   755,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   755,     0,  4360,  4361,  2233,     0,     0,     0,
    4365,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4394,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3057,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1586,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3208,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1584,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   755,     0,     0,     0,     0,
       0,   755,  4615,     0,     0,     0,   755,  4621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3057,  3057,     0,     0,
       0,  3057,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1586,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2580,     0,
    3057,     0,     0,     0,     0,     0,     0,     0,     0,  3872,
       0,  3872,  3872,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4711,     0,     0,  4714,     0,
    4716,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1586,     0,     0,     0,     0,  1586,  1586,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4741,     0,  4744,
       0,  4746,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3168,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1586,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3057,     0,     0,     0,     0,     0,  3057,     0,     0,
       0,     0,     0,     0,     0,     0,  4870,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4687,  4687,     0,     0,  3860,  3860,
    3860,  3860,     0,     0,  3860,  3860,  3860,  3860,  3860,  3860,
    3860,  3860,  3860,  3860,  4687,     0,  4905,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3057,     0,     0,
    3057,     0,  3057,     0,     0,  4687,  4687,     0,     0,     0,
       0,     0,     0,     0,     0,   821,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3057,  3860,  3860,
    3057,     0,  3057,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   755,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2233,   821,     0,
       0,     0,     0,  2233,     0,     0,     0,     0,     0,     0,
       0,  3057,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3860,     0,   755,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5277,     0,     0,
       0,     0,     0,     0,     0,     0,  5281,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3821,     0,     0,     0,  5294,  3821,  3821,     0,     0,     0,
       0,  3837,     0,     0,  5302,     0,     0,  5304,     0,     0,
       0,     0,  1586,  5306,     0,  5307,     0,     0,     0,     0,
       0,     0,     0,   755,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5329,  5330,  5331,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3881,     0,     0,     0,     0,     0,     0,     0,  5355,
       0,     0,  5358,     0,  5360,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5364,     0,     0,  3057,     0,     0,     0,  3057,  5371,  5372,
       0,     0,     0,     0,     0,  5377,     0,     0,     0,     0,
    3057,     0,     0,     0,     0,     0,     0,     0,  3057,     0,
    3057,     0,  3057,  3057,     0,     0,     0,     0,  4687,  4687,
    4687,  4687,  5420,     0,     0,  4687,  4687,  4687,  4687,  4687,
    4687,  4687,  4687,  4687,  4687,  3057,  3057,  3057,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3057,     0,     0,  3057,     0,  3057,     0,     0,  5438,
    3057,     0,     0,  4687,  4687,     0,     0,  3057,  3057,     0,
       0,     0,     0,  3057,     0,     0,  5452,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3057,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4687,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5744,  5745,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5752,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3057,  3057,     0,     0,     0,     0,     0,     0,  3057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3057,     0,     0,     0,     0,     0,  5805,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3151,  3057,  3860,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5828,     0,  3057,     0,  3057,     0,     0,     0,  3057,
    3057,  3057,  3057,     0,     0,  3057,  3057,     0,     0,     0,
       0,  3057,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5847,  5849,     0,     0,     0,     0,     0,  5853,  5854,     0,
       0,     0,  5855,     0,     0,     0,     0,  5856,     0,     0,
    5859,  5860,     0,     0,     0,     0,     0,  5865,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3821,     0,
    3057,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3057,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1825,     0,     0,     0,     0,     0,     0,     0,  5924,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3057,     0,  3057,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5953,     0,
       0,     0,     0,     0,     0,     0,     0,  3057,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6004,
       0,     0,     0,     0,     0,     0,  6006,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3057,     0,
    4687,  3860,  3057,  3057,  3057,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3057,  3057,  3057,
       0,     0,     0,     0,     0,     0,     0,  3860,     0,     0,
       0,     0,     0,     0,  6041,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3821,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6152,     0,     0,
       0,     0,     0,  6156,  6157,  6158,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6171,  6172,
       0,     0,  6173,     0,     0,  3057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3057,     0,
       0,     0,     0,  3860,     0,     0,  4687,     0,     0,     0,
    3057,     0,  6199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3057,     0,
       0,     0,     0,     0,     0,     0,  6220,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3057,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3057,     0,
       0,     0,     0,     0,     0,  3057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4687,     0,  3860,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3057,     0,     0,     0,     0,     0,     0,  6399,
       0,     0,     0,     0,     0,     0,     0,  3057,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3881,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6422,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6434,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6452,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6489,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6501,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6537,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3057,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3860,     0,     0,  3860,     0,     0,  3860,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3821,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6622,     0,     0,     0,     0,     0,     0,     0,     0,  6629,
    6629,  6629,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4687,     0,  4687,
       0,  4687,     0,     0,     0,     0,  2580,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6666,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3057,     0,     0,     0,     0,     0,     0,     0,
       0,  6681,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6629,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6452,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6854,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6879,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6452,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6629,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     830,   761,   762,   763,   764,   765,   766,   767,  7016,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2233,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   837,   350,   351,   352,   838,   839,
     840,   841,   842,   843,   844,   353,   354,   355,   845,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   846,   369,   370,   371,   372,   373,   374,   375,
     847,   848,   376,   377,   849,   378,   379,   850,   380,   381,
     382,   383,   384,   851,   385,   852,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   853,   854,   396,   397,
     398,   399,   400,   401,   855,   402,   403,   404,   856,   857,
     858,   859,   406,   860,   861,   862,   408,   409,   410,   411,
     800,   412,   413,   414,   415,   863,   416,   864,   417,   418,
     419,   420,   421,   422,   423,   865,   424,   425,   426,   427,
     866,   867,   428,   429,   430,   431,   432,   868,   433,   434,
     435,   436,   869,   437,   438,   439,   440,   870,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   871,   451,
     872,   452,   453,   454,   455,   456,   873,   457,   874,   458,
     459,   460,   875,   461,   462,   463,   464,   465,   876,   466,
     467,   877,   468,   469,   470,   878,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,   879,   480,   481,   482,
     483,   484,   485,   486,   487,   880,   488,   489,   490,   881,
     491,   492,   493,   882,   494,   883,   495,   884,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   885,   886,   519,   520,   521,   522,   523,   887,   524,
     525,   526,   888,   889,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   803,   539,   540,   804,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   890,   558,   559,
     560,   561,   891,   562,   563,   564,   565,   566,   567,   892,
     568,   569,   570,   893,   894,   571,   572,   573,   895,   896,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   897,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   898,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   899,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   900,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,   901,
     648,   649,   650,   651,   652,   902,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   903,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   904,   681,   682,   905,   906,   683,
     684,   685,   686,   687,   688,   689,   690,   907,   691,   692,
     693,   908,   909,   695,   696,   697,   698,   699,   910,   700,
     701,   702,   703,   704,   705,   706,   707,   708,   911,   912,
     709,   710,   711,   712,   713,   913,   914,   714,   715,   716,
     717,   718,   915,   719,   916,   720,   721,   722,   723,   724,
     725,   917,   918,   726,   919,   920,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   807,   744,   745,     0,     0,     0,     0,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,  1119,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,   340,     0,     0,    37,     0,
      38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,  2227,   350,   351,   352,     0,     0,
       0,     0,  1734,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1735,   366,
    1736,  1737,     0,   369,   370,   371,   372,   373,   374,   375,
    1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,   381,
     382,   383,  1742,     0,  1743,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,  1744,
    1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,
     800,   412,  1751,  1752,   415,  1753,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
    2228,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,  1754,   446,   447,   448,   449,  1755,  1756,   451,
       0,   452,   453,   454,  1757,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1758,     0,  1759,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,  1559,  1760,     0,  1761,     0,   496,   497,
     498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,   510,  1771,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,  1772,   521,   522,   523,     0,   524,
     525,   526,  1773,  1774,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1775,   538,   803,   539,   540,   804,
     541,   542,   543,  1776,   545,  1777,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1778,   557,  1779,   558,   559,
     560,   561,  1780,  1781,   563,  1782,   565,   566,   567,     0,
     568,   569,   570,     0,     0,  1783,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1784,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,  1785,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1786,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,  1787,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,  1788,   654,   655,   656,   657,
     658,   659,   660,   661,  1789,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,  1790,   680,     0,   681,   682,  1791,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1792,
    1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,  1797,
     709,   710,   711,   712,   713,  1798,     0,   714,   715,   716,
     717,   718,   806,  1799,  2229,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,
    1806,  1807,   743,   807,   744,   745,     0,  1808,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1809,
    1810,  2230,     0,     0,     0,     0,     0,     0,  1812,  2231,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,   340,     0,     0,    37,     0,
      38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,  1734,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1735,   366,
    1736,  1737,     0,   369,   370,   371,   372,   373,   374,   375,
    1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,   381,
     382,   383,  1742,     0,  1743,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,  1744,
    1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,
     800,   412,  1751,  1752,   415,  1753,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,  1754,   446,   447,   448,   449,  1755,  1756,   451,
       0,   452,   453,   454,  1757,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1758,     0,  1759,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,  1559,  1760,     0,  1761,     0,   496,   497,
     498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,   510,  1771,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,  1772,   521,   522,   523,     0,   524,
     525,   526,  1773,  1774,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1775,   538,   803,   539,   540,   804,
     541,   542,   543,  1776,   545,  1777,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1778,   557,  1779,   558,   559,
     560,   561,  1780,  1781,   563,  1782,   565,   566,   567,     0,
     568,   569,   570,     0,     0,  1783,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1784,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,  1785,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1786,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,  1787,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,   146,
     648,   649,   650,   651,   652,  1788,   654,   655,   656,   657,
     658,   659,   660,   661,  1789,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,  1790,   680,     0,   681,   682,  1791,   151,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1792,
    1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,  1797,
     709,   710,   711,   712,   713,  1798,     0,   714,   715,   716,
     717,   718,  2578,  1799,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,   160,   727,   728,   729,   730,
     731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,
    1806,  1807,   743,   807,   744,   745,     0,  1808,     0,   161,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1809,
    1810,     0,     0,     0,     0,     0,     0,     0,  1812,  6654,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,   340,     0,     0,    37,     0,
      38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,  1734,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1735,   366,
    1736,  1737,     0,   369,   370,   371,   372,   373,   374,   375,
    1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,   381,
     382,   383,  1742,     0,  1743,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,  1744,
    1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,
     800,   412,  1751,  1752,   415,  1753,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,  1754,   446,   447,   448,   449,  1755,  1756,   451,
       0,   452,   453,   454,  1757,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1758,     0,  1759,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,  1559,  1760,     0,  1761,     0,   496,   497,
     498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,   510,  1771,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,  1772,   521,   522,   523,     0,   524,
     525,   526,  1773,  1774,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1775,   538,   803,   539,   540,   804,
     541,   542,   543,  1776,   545,  1777,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1778,   557,  1779,   558,   559,
     560,   561,  1780,  1781,   563,  1782,   565,   566,   567,     0,
     568,   569,   570,     0,     0,  1783,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1784,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,  1785,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1786,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,  1787,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,  1788,   654,   655,   656,   657,
     658,   659,   660,   661,  1789,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,  1790,   680,     0,   681,   682,  1791,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1792,
    1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,  1797,
     709,   710,   711,   712,   713,  1798,     0,   714,   715,   716,
     717,   718,   806,  1799,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,
    1806,  1807,   743,   807,   744,   745,     0,  1808,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1809,
    1810,     0,     0,     0,     0,     0,     0,     0,  1812,  3862,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,   340,     0,     0,    37,     0,
      38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,  1734,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1735,   366,
    1736,  1737,     0,   369,   370,   371,   372,   373,   374,   375,
    1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,   381,
     382,   383,  1742,     0,  1743,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,  1744,
    1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,
     800,   412,  1751,  1752,   415,  1753,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,  1754,   446,   447,   448,   449,  1755,  1756,   451,
       0,   452,   453,   454,  1757,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1758,     0,  1759,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,  1559,  1760,     0,  1761,     0,   496,   497,
     498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,   510,  1771,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,  1772,   521,   522,   523,     0,   524,
     525,   526,  1773,  1774,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1775,   538,   803,   539,   540,   804,
     541,   542,   543,  1776,   545,  1777,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1778,   557,  1779,   558,   559,
     560,   561,  1780,  1781,   563,  1782,   565,   566,   567,     0,
     568,   569,   570,     0,     0,  1783,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1784,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,  1785,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1786,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,  1787,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,  1788,   654,   655,   656,   657,
     658,   659,   660,   661,  1789,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,  1790,   680,     0,   681,   682,  1791,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1792,
    1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,  1797,
     709,   710,   711,   712,   713,  1798,     0,   714,   715,   716,
     717,   718,   806,  1799,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,
    1806,  1807,   743,   807,   744,   745,     0,  1808,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1809,
    1810,     0,     0,     0,     0,     0,     0,     0,  1812,  5308,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,   340,     0,     0,    37,     0,
      38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,  1734,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1735,   366,
    1736,  1737,     0,   369,   370,   371,   372,   373,   374,   375,
    1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,   381,
     382,   383,  1742,     0,  1743,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,  1744,
    1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,
     800,   412,  1751,  1752,   415,  1753,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,  1754,   446,   447,   448,   449,  1755,  1756,   451,
       0,   452,   453,   454,  1757,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1758,     0,  1759,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,  1559,  1760,     0,  1761,     0,   496,   497,
     498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,   510,  1771,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,  1772,   521,   522,   523,     0,   524,
     525,   526,  1773,  1774,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1775,   538,   803,   539,   540,   804,
     541,   542,   543,  1776,   545,  1777,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1778,   557,  1779,   558,   559,
     560,   561,  1780,  1781,   563,  1782,   565,   566,   567,     0,
     568,   569,   570,     0,     0,  1783,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1784,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,  1785,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1786,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,  1787,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,  1788,   654,   655,   656,   657,
     658,   659,   660,   661,  1789,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,  1790,   680,     0,   681,   682,  1791,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1792,
    1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,  1797,
     709,   710,   711,   712,   713,  1798,     0,   714,   715,   716,
     717,   718,   806,  1799,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,
    1806,  1807,   743,   807,   744,   745,     0,  1808,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1809,
    1810,     0,     0,     0,     0,     0,     0,     0,  1812,  5374,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,     0,  1549,   366,
    1550,  1551,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,  1552,  1553,   379,     0,   380,   381,
     382,   383,     0,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,     0,   406,     0,     0,     0,   408,   409,   410,   411,
     800,   412,  1554,  1555,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,     0,   446,   447,   448,   449,     0,     0,   451,
       0,   452,   453,   454,  1557,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
       0,     0,     0,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,  3230,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,  3231,     0,
     491,   492,   493,  1559,  1560,     0,  1561,     0,   496,   497,
     498,   499,   500,  1562,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,     0,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   538,   803,   539,   540,   804,
     541,   542,   543,  1563,   545,  1564,   547,   548,   549,   550,
     551,   552,   553,   554,     0,     0,   557,     0,   558,   559,
     560,   561,     0,     0,   563,  1565,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,  3233,   577,   578,   579,     0,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,     0,   597,     0,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1566,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,     0,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,  3234,   657,
     658,   659,   660,   661,  1568,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,     0,   680,     0,   681,   682,     0,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1569,
    1570,     0,     0,   695,   696,     0,   698,     0,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,     0,  1571,  3235,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   807,   744,   745,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   830,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,  3330,
     770,   771,   772,   773,   774,   775,   831,   776,   777,   778,
     832,     0,   779,   780,   781,   782,   833,   834,   783,   784,
     785,     0,   786,   835,   836,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,     0,  1549,   366,  1550,  1551,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,  1552,  1553,   379,     0,   380,   381,   382,   383,     0,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,     0,     0,     0,   406,
       0,     0,     0,   408,   409,   410,   411,   800,   412,  1554,
    1555,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,  1556,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,     0,
     446,   447,   448,   449,     0,     0,   451,     0,   452,   453,
     454,  1557,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,     0,     0,     0,
     469,   470,     0,   471,   472,   802,   473,   474,   475,   476,
     477,   478,   479,  3230,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,  3231,     0,   491,   492,   493,
    1559,  1560,     0,  1561,     0,   496,   497,   498,   499,   500,
    1562,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,     0,   521,   522,   523,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,   538,   803,   539,   540,   804,   541,   542,   543,
    1563,   545,  1564,   547,   548,   549,   550,   551,   552,   553,
     554,     0,     0,   557,     0,   558,   559,   560,   561,     0,
       0,   563,  1565,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,  3233,
     577,   578,   579,     0,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
       0,   597,     0,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,  1566,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,     0,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,  3234,   657,   658,   659,   660,
     661,  1568,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,     0,
     680,     0,   681,   682,     0,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,  1569,  1570,     0,     0,
     695,   696,     0,   698,     0,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,     0,
    1571,  3235,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     807,   744,   745,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,  4487,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1730,  1731,  1732,
      40,  1733,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,  1734,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1735,   366,  1736,  1737,     0,   369,   370,   371,
     372,   373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,
     379,     0,   380,   381,   382,   383,  1742,     0,  1743,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,
     408,   409,   410,   411,   800,   412,  1751,  1752,   415,  1753,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,  1754,   446,   447,   448,
     449,  1755,  1756,   451,     0,   452,   453,   454,  1757,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1758,     0,  1759,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1559,  1760,     0,
    1761,     0,   496,   497,   498,   499,   500,  1762,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1772,   521,
     522,   523,     0,   524,   525,   526,  1773,  1774,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1775,   538,
     803,   539,   540,   804,   541,   542,   543,  1776,   545,  1777,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1778,
     557,  1779,   558,   559,   560,   561,  1780,  1781,   563,  1782,
     565,   566,   567,     0,   568,   569,   570,     0,     0,  1783,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1784,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,  1785,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1786,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,  3823,   630,   631,   632,   633,   634,   635,
     636,   637,  1787,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,   146,   648,   649,   650,   651,   652,  1788,
     654,   655,   656,   657,   658,   659,   660,   661,  1789,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,  1790,   680,     0,   681,
     682,  1791,   151,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1792,  1793,     0,     0,   695,   696,  1794,
     698,  1795,  1796,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,  1797,   709,   710,   711,   712,   713,  1798,
       0,   714,   715,   716,   717,   718,  2578,  1799,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,   160,
     727,   728,   729,   730,   731,   732,   733,  1800,  1801,  1802,
    1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,
       0,  1808,     0,   161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1809,  1810,     0,     0,     0,     0,     0,
       0,     0,  1812,   830,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,   831,   776,   777,   778,   832,     0,   779,   780,
     781,   782,   833,   834,   783,   784,   785,     0,   786,   835,
     836,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,   340,     0,
       0,    37,     0,    38,    39,     0,  1730,  1731,  1732,    40,
    1733,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,  1734,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1735,   366,  1736,  1737,     0,   369,   370,   371,   372,
     373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,   379,
       0,   380,   381,   382,   383,  1742,     0,  1743,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,
     409,   410,   411,   800,   412,  1751,  1752,   415,  1753,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,  1556,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,  1754,   446,   447,   448,   449,
    1755,  1756,   451,     0,   452,   453,   454,  1757,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,  1758,     0,  1759,   469,   470,     0,   471,
     472,   802,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,  1559,  1760,     0,  1761,
       0,   496,   497,   498,   499,   500,  1762,  1763,  1764,  1765,
    1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,  1772,   521,   522,
     523,     0,   524,   525,   526,  1773,  1774,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,  1775,   538,   803,
     539,   540,   804,   541,   542,   543,  1776,   545,  1777,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1778,   557,
    1779,   558,   559,   560,   561,  1780,  1781,   563,  1782,   565,
     566,   567,     0,   568,   569,   570,     0,     0,  1783,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,  1784,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,  1785,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,  1786,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,  1787,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,   146,   648,   649,   650,   651,   652,  1788,   654,
     655,   656,   657,   658,   659,   660,   661,  1789,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,  1790,   680,     0,   681,   682,
    1791,   151,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,  1792,  1793,     0,     0,   695,   696,  1794,   698,
    1795,  1796,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,  1797,   709,   710,   711,   712,   713,  1798,     0,
     714,   715,   716,   717,   718,  2578,  1799,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,   160,   727,
     728,   729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,
     738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,
    1808,     0,   161,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1809,  1810,     0,     0,     0,     0,     0,     0,
       0,  1812,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,   340,     0,     0,
      37,     0,    38,    39,     0,  1730,  1731,  1732,    40,  1733,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,  1734,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1735,   366,  1736,  1737,  3868,   369,   370,   371,   372,   373,
     374,   375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,
     380,   381,   382,   383,  1742,     0,  1743,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,
     410,   411,   800,   412,  1751,  1752,   415,  1753,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1556,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,  1754,   446,   447,   448,   449,  1755,
    1756,   451,     0,   452,   453,   454,  1757,   456,     0,   457,
       0,   458,   459,   460,  3869,   461,   462,   463,   464,   465,
       0,   466,  1758,     0,  1759,   469,   470,     0,   471,   472,
     802,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,  1559,  1760,     0,  1761,     0,
     496,   497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,
    1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,
     516,   517,   518,     0,  3870,   519,  1772,   521,   522,   523,
       0,   524,   525,   526,  1773,  1774,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,  1775,   538,   803,   539,
     540,   804,   541,   542,   543,  1776,   545,  1777,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1778,   557,  1779,
     558,   559,   560,   561,  1780,  1781,   563,  1782,   565,   566,
     567,     0,   568,   569,   570,     0,     0,  1783,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,  1784,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,  1785,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,  1786,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
    1787,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,  1788,   654,   655,
     656,   657,   658,   659,   660,   661,  1789,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,  1790,   680,     0,   681,   682,  1791,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,  1792,  1793,     0,  3871,   695,   696,  1794,   698,  1795,
    1796,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,  1797,   709,   710,   711,   712,   713,  1798,     0,   714,
     715,   716,   717,   718,   806,  1799,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,
    1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,  1808,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1809,  1810,     0,     0,     0,     0,     0,     0,     0,
    1812,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,    38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349, -2285,   350,   351,   352,     0,
       0,     0, -2285,  1734,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1735,
     366,  1736,  1737,     0,   369,   370,   371,   372,   373,   374,
     375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,
     381,   382,   383,  1742,     0,  1743,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
    1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,
     411,   800,   412,  1751,  1752,   415,  1753,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,  1556,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,  1754,   446,   447,   448,   449,  1755,  1756,
     451,     0,   452,   453,   454,  1757,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,  1758,     0,  1759,   469,   470,     0,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,  1559,  1760,     0,  1761,     0,   496,
     497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,
    1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,  1772,   521,   522,   523,     0,
     524,   525,   526,  1773,  1774,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,  1775,   538,   803,   539,   540,
     804,   541,   542,   543,  1776,   545,  1777,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1778,   557,  1779,   558,
     559,   560,   561,  1780,  1781,   563,  1782,   565,   566,   567,
       0,   568,   569,   570,     0,     0,  1783,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,  1784,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,  1785,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,  1786,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,  1787,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,  1788,   654,   655,   656,
     657,   658,   659,   660,   661,  1789,   663, -2285,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,  1790,   680,     0,   681,   682,  1791,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
    1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
    1797,   709,   710,   711,   712,   713,  1798,     0,   714,   715,
     716,   717,   718,   806,  1799,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,
    1805,  1806,  1807,   743,   807,   744,   745,     0,  1808,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1809,  1810,     0,     0,     0,     0,     0,     0,     0,  1812,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,   340,     0,     0,    37,     0,
      38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349, -2283,   350,   351,   352,     0,     0,
       0, -2283,  1734,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1735,   366,
    1736,  1737,     0,   369,   370,   371,   372,   373,   374,   375,
    1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,   381,
     382,   383,  1742,     0,  1743,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,  1744,
    1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,
     800,   412,  1751,  1752,   415,  1753,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,  1754,   446,   447,   448,   449,  1755,  1756,   451,
       0,   452,   453,   454,  1757,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1758,     0,  1759,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,  1559,  1760,     0,  1761,     0,   496,   497,
     498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,   510,  1771,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,  1772,   521,   522,   523,     0,   524,
     525,   526,  1773,  1774,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1775,   538,   803,   539,   540,   804,
     541,   542,   543,  1776,   545,  1777,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1778,   557,  1779,   558,   559,
     560,   561,  1780,  1781,   563,  1782,   565,   566,   567,     0,
     568,   569,   570,     0,     0,  1783,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1784,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,  1785,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1786,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,  1787,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,  1788,   654,   655,   656,   657,
     658,   659,   660,   661,  1789,   663, -2283,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,  1790,   680,     0,   681,   682,  1791,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1792,
    1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,  1797,
     709,   710,   711,   712,   713,  1798,     0,   714,   715,   716,
     717,   718,   806,  1799,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,
    1806,  1807,   743,   807,   744,   745,     0,  1808,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1809,
    1810,     0,     0,     0,     0,     0,     0,     0,  1812,   830,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
       0,     0,   770,   771,   772,   773,   774,   775,   831,   776,
     777,   778,   832,     0,   779,   780,   781,   782,   833,   834,
     783,   784,   785,     0,   786,   835,   836,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,   340,     0,     0,    37,     0,    38,
      39,     0,  1730,  1731,  1732,    40,  1733,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,  1734,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1735,   366,  1736,
    1737,     0,   369,   370,   371,   372,   373,   374,   375,  1738,
    1739,   376,   377,  1740,  1741,   379,     0,   380,   381,   382,
     383,  1742,     0,  1743,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   798,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,  1744,  1745,
    1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,   800,
     412,  1751,  1752,   415,  1753,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,  1556,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,  1754,   446,   447,   448,   449,  1755,  1756,   451,     0,
     452,   453,   454,  1757,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,  1758,
       0,  1759,   469,   470,     0,   471,   472,   802,   473,   474,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,  1559,  1760,     0,  1761,     0,   496,   497,   498,
     499,   500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,
    1770,   510,  1771,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,  1772,   521,   522,   523,     0,   524,   525,
     526,  1773,  1774,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,  1775,   538,   803,   539,   540,   804,   541,
     542,   543,  1776,   545,  1777,   547,   548,   549,   550,   551,
     552,   553,   554,   555,  1778,   557,  1779,   558,   559,   560,
     561,  1780,  1781,   563,  1782,   565,   566,   567,     0,   568,
     569,   570,     0,     0,  1783,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,  1784,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,  1785,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
    1786,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,   635,   636,   637,  1787,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,     0,   648,
     649,   650,   651,   652,  1788,   654,   655,   656,   657,   658,
     659,   660,   661,  1789,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,  1790,   680,     0,   681,   682,  1791,     0,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,  1792,  1793,
       0,     0,   695,   696,  1794,   698,  1795,  1796,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,  1797,   709,
     710,   711,   712,   713,  1798,     0,   714,   715,   716,   717,
     718,   806,  1799,     0,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,
    1807,   743,   807,   744,   745,     0,  1808,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1809,  1810,
       0,     0,     0,     0,     0,  2527,  3797,  1812,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,   340,     0,     0,    37,     0,    38,    39,
       0,  1730,  1731,  1732,    40,  1733,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
    1734,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1735,   366,  1736,  1737,
       0,   369,   370,   371,   372,   373,   374,   375,  1738,  1739,
     376,   377,  1740,  1741,   379,     0,   380,   381,   382,   383,
    1742,     0,  1743,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,  1744,  1745,  1746,
    1747,  1748,  1749,  1750,   408,   409,   410,   411,   800,   412,
    1751,  1752,   415,  1753,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,  1556,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
    1754,   446,   447,   448,   449,  1755,  1756,   451,     0,   452,
     453,   454,  1757,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,  1758,     0,
    1759,   469,   470,     0,   471,   472,   802,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,  1559,  1760,     0,  1761,     0,   496,   497,   498,   499,
     500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,
     510,  1771,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,  1772,   521,   522,   523,     0,   524,   525,   526,
    1773,  1774,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,  1775,   538,   803,   539,   540,   804,   541,   542,
     543,  1776,   545,  1777,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1778,   557,  1779,   558,   559,   560,   561,
    1780,  1781,   563,  1782,   565,   566,   567,     0,   568,   569,
     570,     0,     0,  1783,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,  1784,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,  1785,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,  1786,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,  1787,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,  1788,   654,   655,   656,   657,   658,   659,
     660,   661,  1789,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
    1790,   680,     0,   681,   682,  1791,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,  1792,  1793,     0,
       0,   695,   696,  1794,   698,  1795,  1796,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,  1797,   709,   710,
     711,   712,   713,  1798,     0,   714,   715,   716,   717,   718,
     806,  1799,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,  1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,
     743,   807,   744,   745,     0,  1808,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1809,  1810,  1811,
       0,     0,     0,     0,     0,     0,  1812,   830,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,   831,   776,   777,   778,
     832,     0,   779,   780,   781,   782,   833,   834,   783,   784,
     785,     0,   786,   835,   836,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,   340,     0,     0,    37,     0,    38,    39,     0,
    1730,  1731,  1732,    40,  1733,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,  3161,   350,   351,   352,     0,     0,     0,     0,  1734,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1735,   366,  1736,  1737,     0,
     369,   370,   371,   372,   373,   374,   375,  1738,  1739,   376,
     377,  1740,  1741,   379,     0,   380,   381,   382,   383,  1742,
       0,  1743,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,  1744,  1745,  1746,  1747,
    1748,  1749,  1750,   408,   409,   410,   411,   800,   412,  1751,
    1752,   415,  1753,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,  1556,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,  1754,
     446,   447,   448,   449,  1755,  1756,   451,     0,   452,   453,
     454,  1757,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,  1758,     0,  1759,
     469,   470,     0,   471,   472,   802,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
    1559,  1760,     0,  1761,     0,   496,   497,   498,   499,   500,
    1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,
    1771,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,  1772,   521,   522,   523,     0,   524,   525,   526,  1773,
    1774,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,  1775,   538,   803,   539,   540,   804,   541,   542,   543,
    1776,   545,  1777,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1778,   557,  1779,   558,   559,   560,   561,  1780,
    1781,   563,  1782,   565,   566,   567,     0,   568,   569,   570,
       0,     0,  1783,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,  1784,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
    1785,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,  1786,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,  1787,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,  1788,   654,   655,   656,   657,   658,   659,   660,
     661,  1789,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,  1790,
     680,     0,   681,   682,  1791,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,  1792,  1793,     0,     0,
     695,   696,  1794,   698,  1795,  1796,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,  1797,   709,   710,   711,
     712,   713,  1798,     0,   714,   715,   716,   717,   718,   806,
    1799,     0,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
    1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,   743,
     807,   744,   745,     0,  1808,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1809,  1810,     0,     0,
       0,     0,     0,     0,     0,  1812,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,   340,     0,     0,    37,     0,    38,    39,     0,  1730,
    1731,  1732,    40,  1733,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,  1734,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1735,   366,  1736,  1737,     0,   369,
     370,   371,   372,   373,   374,   375,  1738,  1739,   376,   377,
    1740,  1741,   379,     0,   380,   381,   382,   383,  1742,     0,
    1743,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,  1744,  1745,  1746,  1747,  1748,
    1749,  1750,   408,   409,   410,   411,   800,   412,  1751,  1752,
     415,  1753,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1556,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,  1754,   446,
     447,   448,   449,  1755,  1756,   451,     0,   452,   453,   454,
    1757,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,  1758,     0,  1759,   469,
     470,     0,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,  1559,
    1760,     0,  1761,     0,   496,   497,   498,   499,   500,  1762,
    1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
    1772,   521,   522,   523,     0,   524,   525,   526,  1773,  1774,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
    1775,   538,   803,   539,   540,   804,   541,   542,   543,  1776,
     545,  1777,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1778,   557,  1779,   558,   559,   560,   561,  1780,  1781,
     563,  1782,   565,   566,   567,     0,   568,   569,   570,     0,
       0,  1783,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,  1784,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,  1785,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1786,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,  3823,   630,   631,   632,   633,
     634,   635,   636,   637,  1787,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,  1788,   654,   655,   656,   657,   658,   659,   660,   661,
    1789,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,  1790,   680,
       0,   681,   682,  1791,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,  1792,  1793,     0,     0,   695,
     696,  1794,   698,  1795,  1796,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,  1797,   709,   710,   711,   712,
     713,  1798,     0,   714,   715,   716,   717,   718,   806,  1799,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,  1800,
    1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,   743,   807,
     744,   745,     0,  1808,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1809,  1810,     0,     0,     0,
       0,     0,     0,     0,  1812,   830,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,     0,   770,   771,
     772,   773,   774,   775,   831,   776,   777,   778,   832,     0,
     779,   780,   781,   782,   833,   834,   783,   784,   785,     0,
     786,   835,   836,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
     340,     0,     0,    37,     0,    38,    39,     0,  1730,  1731,
    1732,    40,  1733,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,  1734,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1735,   366,  1736,  1737,     0,   369,   370,
     371,   372,   373,   374,   375,  1738,  1739,   376,   377,  1740,
    1741,   379,     0,   380,   381,   382,   383,  1742,     0,  1743,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,
    1750,   408,   409,   410,   411,   800,   412,  1751,  1752,   415,
    1753,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,  1556,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,  1754,   446,   447,
     448,   449,  1755,  1756,   451,     0,   452,   453,   454,  1757,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,  1758,     0,  1759,   469,   470,
       0,   471,   472,   802,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,  1559,  1760,
       0,  1761,     0,   496,   497,   498,   499,   500,  1762,  1763,
    1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,  1772,
     521,   522,   523,     0,   524,   525,   526,  1773,  1774,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,  1775,
     538,   803,   539,   540,   804,   541,   542,   543,  1776,   545,
    1777,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1778,   557,  1779,   558,   559,   560,   561,  1780,  1781,   563,
    1782,   565,   566,   567,     0,   568,   569,   570,     0,     0,
    1783,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,  1784,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,  1785,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,  1786,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,  1787,   639,   640,   641,   642,   643,   644,
     645,   646,   805,   647,     0,   648,   649,   650,   651,   652,
    1788,   654,   655,   656,   657,   658,   659,   660,   661,  1789,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,  1790,   680,     0,
     681,   682,  1791,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,  1792,  1793,     0,     0,   695,   696,
    1794,   698,  1795,  1796,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,  1797,   709,   710,   711,   712,   713,
    1798,     0,   714,   715,   716,   717,   718,   806,  1799,  4362,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,  1800,  1801,
    1802,  1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,
     745,     0,  1808,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1809,  1810,     0,     0,     0,     0,
       0,     0,     0,  1812,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1730,  1731,  1732,
      40,  1733,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,  1734,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1735,   366,  1736,  1737,     0,   369,   370,   371,
     372,   373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,
     379,     0,   380,   381,   382,   383,  1742,     0,  1743,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,
     408,   409,   410,   411,   800,   412,  1751,  1752,   415,  1753,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,  1754,   446,   447,   448,
     449,  1755,  1756,   451,     0,   452,   453,   454,  1757,   456,
       0,   457,     0,   458,   459,   460,  3869,   461,   462,   463,
     464,   465,     0,   466,  1758,     0,  1759,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1559,  1760,     0,
    1761,     0,   496,   497,   498,   499,   500,  1762,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1772,   521,
     522,   523,     0,   524,   525,   526,  1773,  1774,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1775,   538,
     803,   539,   540,   804,   541,   542,   543,  1776,   545,  1777,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1778,
     557,  1779,   558,   559,   560,   561,  1780,  1781,   563,  1782,
     565,   566,   567,     0,   568,   569,   570,     0,     0,  1783,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1784,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,  1785,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1786,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,  1787,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,  1788,
     654,   655,   656,   657,   658,   659,   660,   661,  1789,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,  1790,   680,     0,   681,
     682,  1791,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1792,  1793,     0,     0,   695,   696,  1794,
     698,  1795,  1796,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,  1797,   709,   710,   711,   712,   713,  1798,
       0,   714,   715,   716,   717,   718,   806,  1799,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,  1800,  1801,  1802,
    1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,
       0,  1808,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1809,  1810,     0,     0,     0,     0,     0,
       0,     0,  1812,   830,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,   831,   776,   777,   778,   832,     0,   779,   780,
     781,   782,   833,   834,   783,   784,   785,     0,   786,   835,
     836,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,   340,     0,
       0,    37,     0,    38,    39,     0,  1730,  1731,  1732,    40,
    1733,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,  1734,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1735,   366,  1736,  1737,     0,   369,   370,   371,   372,
     373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,   379,
       0,   380,   381,   382,   383,  1742,     0,  1743,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,
     409,   410,   411,   800,   412,  1751,  1752,   415,  1753,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,  1556,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,  1754,   446,   447,   448,   449,
    1755,  1756,   451,     0,   452,   453,   454,  1757,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,  1758,     0,  1759,   469,   470,     0,   471,
     472,   802,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,  1559,  1760,     0,  1761,
       0,   496,   497,   498,   499,   500,  1762,  1763,  1764,  1765,
    1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,  1772,   521,   522,
     523,     0,   524,   525,   526,  1773,  1774,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,  1775,   538,   803,
     539,   540,   804,   541,   542,   543,  1776,   545,  1777,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1778,   557,
    1779,   558,   559,   560,   561,  1780,  1781,   563,  1782,   565,
     566,   567,     0,   568,   569,   570,     0,     0,  1783,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,  1784,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,  1785,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,  1786,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,  1787,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,  1788,   654,
     655,   656,   657,   658,   659,   660,   661,  1789,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,  1790,   680,     0,   681,   682,
    1791,     0,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,  1792,  1793,  3926,     0,   695,   696,  1794,   698,
    1795,  1796,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,  1797,   709,   710,   711,   712,   713,  1798,     0,
     714,   715,   716,   717,   718,   806,  1799,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,
     738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,
    1808,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1809,  1810,     0,     0,     0,     0,     0,     0,
       0,  1812,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,   340,     0,     0,
      37,     0,    38,    39,     0,  1730,  1731,  1732,    40,  1733,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,  1734,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1735,   366,  1736,  1737,     0,   369,   370,   371,   372,   373,
     374,   375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,
     380,   381,   382,   383,  1742,     0,  1743,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
    5437,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,
     410,   411,   800,   412,  1751,  1752,   415,  1753,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1556,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,  1754,   446,   447,   448,   449,  1755,
    1756,   451,     0,   452,   453,   454,  1757,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,  1758,     0,  1759,   469,   470,     0,   471,   472,
     802,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,  1559,  1760,     0,  1761,     0,
     496,   497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,
    1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,  1772,   521,   522,   523,
       0,   524,   525,   526,  1773,  1774,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,  1775,   538,   803,   539,
     540,   804,   541,   542,   543,  1776,   545,  1777,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1778,   557,  1779,
     558,   559,   560,   561,  1780,  1781,   563,  1782,   565,   566,
     567,     0,   568,   569,   570,     0,     0,  1783,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,  1784,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,  1785,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,  1786,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
    1787,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,  1788,   654,   655,
     656,   657,   658,   659,   660,   661,  1789,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,  1790,   680,     0,   681,   682,  1791,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,  1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,
    1796,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,  1797,   709,   710,   711,   712,   713,  1798,     0,   714,
     715,   716,   717,   718,   806,  1799,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,
    1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,  1808,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1809,  1810,     0,     0,     0,     0,     0,     0,     0,
    1812,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,    38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,  1734,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,  6626,  1735,
     366,  1736,  1737,     0,   369,   370,   371,   372,   373,   374,
     375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,
     381,   382,   383,  1742,     0,  1743,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,  6627,
    1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,
     411,   800,   412,  1751,  1752,   415,  1753,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,  1556,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,  1754,   446,   447,   448,   449,  1755,  1756,
     451,     0,   452,   453,   454,  1757,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,  1758,     0,  1759,   469,   470,     0,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,  1559,  1760,     0,  1761,     0,   496,
     497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,
    1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,  1772,   521,   522,   523,     0,
     524,   525,   526,  1773,  1774,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,  1775,   538,   803,   539,   540,
     804,   541,   542,   543,  1776,   545,  1777,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1778,   557,  1779,   558,
     559,   560,   561,  1780,  1781,   563,  1782,   565,   566,   567,
       0,   568,   569,   570,     0,     0,  1783,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,  1784,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,  1785,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,  1786,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,  1787,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,  1788,   654,   655,   656,
     657,   658,   659,   660,   661,  1789,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,  1790,   680,     0,   681,   682,  1791,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
    1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,
     700,   701,   702,   703,   704,  6628,   706,   707,   708,     0,
    1797,   709,   710,   711,   712,   713,  1798,     0,   714,   715,
     716,   717,   718,   806,  1799,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,
    1805,  1806,  1807,   743,   807,   744,   745,     0,  1808,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1809,  1810,     0,     0,     0,     0,     0,     0,     0,  1812,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,   340,     0,     0,    37,     0,
      38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,  1734,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1735,   366,
    1736,  1737,     0,   369,   370,   371,   372,   373,   374,   375,
    1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,   381,
     382,   383,  1742,     0,  1743,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,  6627,  1744,
    1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,
     800,   412,  1751,  1752,   415,  1753,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,  1754,   446,   447,   448,   449,  1755,  1756,   451,
       0,   452,   453,   454,  1757,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1758,     0,  1759,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,  1559,  1760,     0,  1761,     0,   496,   497,
     498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,   510,  1771,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,  1772,   521,   522,   523,     0,   524,
     525,   526,  1773,  1774,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1775,   538,   803,   539,   540,   804,
     541,   542,   543,  1776,   545,  1777,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1778,   557,  1779,   558,   559,
     560,   561,  1780,  1781,   563,  1782,   565,   566,   567,     0,
     568,   569,   570,     0,     0,  1783,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1784,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,  1785,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1786,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,  1787,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,  1788,   654,   655,   656,   657,
     658,   659,   660,   661,  1789,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,  1790,   680,     0,   681,   682,  1791,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1792,
    1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,   700,
     701,   702,   703,   704,  6628,   706,   707,   708,     0,  1797,
     709,   710,   711,   712,   713,  1798,     0,   714,   715,   716,
     717,   718,   806,  1799,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,
    1806,  1807,   743,   807,   744,   745,     0,  1808,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1809,
    1810,     0,     0,     0,     0,     0,     0,     0,  1812,   830,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
       0,     0,   770,   771,   772,   773,   774,   775,   831,   776,
     777,   778,   832,     0,   779,   780,   781,   782,   833,   834,
     783,   784,   785,     0,   786,   835,   836,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,   340,     0,     0,    37,     0,    38,
      39,     0,  1730,  1731,  1732,    40,  1733,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,  1734,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1735,   366,  1736,
    1737,     0,   369,   370,   371,   372,   373,   374,   375,  1738,
    1739,   376,   377,  1740,  1741,   379,     0,   380,   381,   382,
     383,  1742,     0,  1743,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   798,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,  1744,  1745,
    1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,   800,
     412,  1751,  1752,   415,  1753,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,  1556,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,  1754,   446,   447,   448,   449,  1755,  1756,   451,     0,
     452,   453,   454,  1757,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,  1758,
       0,  1759,   469,   470,     0,   471,   472,   802,   473,   474,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,  1559,  1760,     0,  1761,     0,   496,   497,   498,
     499,   500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,
    1770,   510,  1771,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,  1772,   521,   522,   523,     0,   524,   525,
     526,  1773,  1774,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,  1775,   538,   803,   539,   540,   804,   541,
     542,   543,  1776,   545,  1777,   547,   548,   549,   550,   551,
     552,   553,   554,   555,  1778,   557,  1779,   558,   559,   560,
     561,  1780,  1781,   563,  1782,   565,   566,   567,     0,   568,
     569,   570,     0,     0,  1783,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,  1784,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,  1785,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
    1786,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,   635,   636,   637,  1787,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,     0,   648,
     649,   650,   651,   652,  1788,   654,   655,   656,   657,   658,
     659,   660,   661,  1789,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,  1790,   680,     0,   681,   682,  1791,     0,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,  1792,  1793,
       0,     0,   695,   696,  1794,   698,  1795,  1796,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,  1797,   709,
     710,   711,   712,   713,  1798,     0,   714,   715,   716,   717,
     718,   806,  1799,     0,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,
    1807,   743,   807,   744,   745,     0,  1808,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1809,  1810,
       0,     0,     0,     0,     0,     0,     0,  1812,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,   340,     0,     0,    37,     0,    38,    39,
       0,  1730,  1731,  1732,    40,  1733,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
    1734,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1735,   366,  1736,  1737,
       0,   369,   370,   371,   372,   373,   374,   375,  1738,  1739,
     376,   377,  1740,  1741,   379,     0,   380,   381,   382,   383,
    1742,     0,  1743,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,  1744,  1745,  1746,
    1747,  1748,  1749,  1750,   408,   409,   410,   411,   800,   412,
    1751,  1752,   415,  1753,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,  1556,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
    1754,   446,   447,   448,   449,  1755,  1756,   451,     0,   452,
     453,   454,  1757,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,  1758,     0,
    1759,   469,   470,     0,   471,   472,   802,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,  1559,  1760,     0,  1761,     0,   496,   497,   498,   499,
     500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,
     510,  1771,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,  1772,   521,   522,   523,     0,   524,   525,   526,
    1773,  1774,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,  1775,   538,   803,   539,   540,   804,   541,   542,
     543,  1776,   545,  1777,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1778,   557,  1779,   558,   559,   560,   561,
    1780,  1781,   563,  1782,   565,   566,   567,     0,   568,   569,
     570,     0,     0,  1783,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,  1784,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,  1785,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,  1786,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,  1787,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,  1788,   654,   655,   656,   657,   658,   659,
     660,   661,  1789,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
    1790,   680,     0,   681,   682,  1791,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,  1792,  1793,     0,
       0,   695,   696,  1794,   698,  1795,  1796,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,  1797,   709,   710,
     711,   712,   713,  1798,     0,   714,   715,   716,   717,   718,
     806,  1799,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,  1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,
     743,   807,   744,   745,     0,  1808,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3164,  3165,     0,
       0,     0,     0,     0,     0,     0,  1812,   830,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,   831,   776,   777,   778,
     832,     0,   779,   780,   781,   782,   833,   834,   783,   784,
     785,     0,   786,   835,   836,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,   340,     0,     0,    37,     0,    38,    39,     0,
    1730,  1731,  1732,    40,  1733,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,  1734,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1735,   366,  1736,  1737,     0,
     369,   370,   371,   372,   373,   374,   375,  1738,  1739,   376,
     377,  1740,  1741,   379,     0,   380,   381,   382,   383,  1742,
       0,  1743,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,  1744,  1745,  1746,  1747,
    1748,  1749,  1750,   408,   409,   410,   411,   800,   412,  1751,
    1752,   415,  1753,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,  1556,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,  1754,
     446,   447,   448,   449,  1755,  1756,   451,     0,   452,   453,
     454,  1757,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,  1758,     0,  1759,
     469,   470,     0,   471,   472,   802,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
    1559,  1760,     0,  1761,     0,   496,   497,   498,   499,   500,
    1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,
    1771,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,  1772,   521,   522,   523,     0,   524,   525,   526,  1773,
    1774,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,  1775,   538,   803,   539,   540,   804,   541,   542,   543,
    1776,   545,  1777,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1778,   557,  1779,   558,   559,   560,   561,  1780,
    1781,   563,  1782,   565,   566,   567,     0,   568,   569,   570,
       0,     0,  1783,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,  1784,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
    1785,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,  1786,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,  1787,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,  1788,   654,   655,   656,   657,   658,   659,   660,
     661,  1789,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,  1790,
     680,     0,   681,   682,  1791,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,  1792,  1793,     0,     0,
     695,   696,  1794,   698,  1795,  1796,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,  1797,   709,   710,   711,
     712,   713,  1798,     0,   714,   715,   716,   717,   718,   806,
    1799,     0,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,  5836,
    1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,   743,
     807,   744,   745,     0,  1808,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1809,  1810,     0,     0,
       0,     0,     0,     0,     0,  1812,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,   340,     0,     0,    37,     0,    38,    39,     0,  1730,
    1731,  1732,    40,  1733,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,  1734,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1735,   366,  1736,  1737,     0,   369,
     370,   371,   372,   373,   374,   375,  1738,  1739,   376,   377,
    1740,  1741,   379,     0,   380,   381,   382,   383,  1742,     0,
    1743,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,  1744,  1745,  1746,  1747,  1748,
    1749,  1750,   408,   409,   410,   411,   800,   412,  1751,  1752,
     415,  1753,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1556,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,  1754,   446,
     447,   448,   449,  1755,  1756,   451,     0,   452,   453,   454,
    1757,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,  1758,     0,  1759,   469,
     470,     0,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,  1559,
    1760,     0,  1761,     0,   496,   497,   498,   499,   500,  1762,
    1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
    1772,   521,   522,   523,     0,   524,   525,   526,  1773,  1774,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
    1775,   538,   803,   539,   540,   804,   541,   542,   543,  1776,
     545,  1777,   547,   548,   549,   550,   551,   552,   553,  5848,
     555,  1778,   557,  1779,   558,   559,   560,   561,  1780,  1781,
     563,  1782,   565,   566,   567,     0,   568,   569,   570,     0,
       0,  1783,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,  1784,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,  1785,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1786,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,  1787,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,  1788,   654,   655,   656,   657,   658,   659,   660,   661,
    1789,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,  1790,   680,
       0,   681,   682,  1791,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,  1792,  1793,     0,     0,   695,
     696,  1794,   698,  1795,  1796,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,  1797,   709,   710,   711,   712,
     713,  1798,     0,   714,   715,   716,   717,   718,   806,  1799,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,  1800,
    1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,   743,   807,
     744,   745,     0,  1808,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1809,  1810,     0,     0,     0,
       0,     0,     0,     0,  1812,   830,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,     0,   770,   771,
     772,   773,   774,   775,   831,   776,   777,   778,   832,     0,
     779,   780,   781,   782,   833,   834,   783,   784,   785,     0,
     786,   835,   836,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
     340,     0,     0,    37,     0,    38,    39,     0,  1730,  1731,
    1732,    40,  1733,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,  1734,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1735,   366,  1736,  1737,     0,   369,   370,
     371,   372,   373,   374,   375,  1738,  1739,   376,   377,  1740,
    1741,   379,     0,   380,   381,   382,   383,  1742,     0,  1743,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,  6442,     0,  1744,  1745,  1746,  1747,  1748,  1749,
    1750,   408,   409,   410,   411,   800,   412,  1751,  1752,   415,
    1753,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,  1556,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,  1754,   446,   447,
     448,   449,  1755,  1756,   451,     0,   452,   453,   454,  1757,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,  1758,     0,  6443,   469,   470,
       0,   471,   472,   802,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,  1559,  1760,
       0,  1761,     0,   496,   497,   498,   499,   500,  1762,  1763,
    1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,  1772,
     521,   522,   523,     0,   524,   525,   526,  1773,  1774,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,  1775,
     538,   803,   539,   540,   804,   541,   542,   543,  1776,   545,
    1777,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1778,   557,  1779,   558,   559,   560,   561,  1780,  1781,   563,
    1782,   565,   566,   567,     0,   568,   569,   570,     0,     0,
    1783,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,  1784,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,  1785,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,  1786,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
    6444,   636,   637,  1787,   639,   640,   641,   642,   643,   644,
     645,   646,   805,   647,     0,   648,   649,   650,   651,   652,
    1788,   654,   655,   656,   657,   658,   659,   660,   661,  1789,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,  1790,   680,     0,
     681,   682,  1791,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,  1792,  1793,     0,     0,   695,   696,
    1794,   698,  1795,  1796,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,  1797,   709,   710,   711,   712,   713,
    1798,     0,   714,   715,   716,   717,   718,   806,  1799,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,  1800,  1801,
    1802,  1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,
     745,     0,  1808,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1809,  1810,     0,     0,     0,     0,
       0,     0,     0,  6445,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1730,  1731,  1732,
      40,  1733,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,  1734,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363, -3728,  1735,   366,  1736,  1737,     0,   369,   370,   371,
     372,   373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,
     379,     0,   380,   381,   382,   383,  1742,     0,  1743,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,  6627,  1744,  1745,  1746,  1747,  1748,  1749,  1750,
     408,   409,   410,   411,   800,   412,  1751,  1752,   415,  1753,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,  1754,   446,   447,   448,
     449,  1755,  1756,   451,     0,   452,   453,   454,  1757,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1758,     0,  1759,   469,   470,     0,
     471,   472,   802,   473,   474, -3728,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1559,  1760,     0,
    1761,     0,   496,     0,     0,   499,   500,  1762,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1772,   521,
     522, -3728,     0,   524,   525,   526,  1773,  1774,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1775,   538,
     803,   539,   540,   804,   541,   542,   543,  1776,   545,  1777,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1778,
     557,  1779,   558,   559,     0,   561,  1780,  1781,   563,  1782,
     565,   566,   567,     0,   568,   569,   570,     0,     0,  1783,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1784,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,  1785,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1786,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,  1787,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,  1788,
     654,   655,   656,   657,   658, -3728,   660,   661,  1789,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,  1790,   680,     0,   681,
     682,  1791,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1792,  1793,     0,     0,   695,   696,  1794,
     698,  1795,  1796,   700,   701,   702,   703,   704,  6628,   706,
     707,   708,     0,  1797,   709,   710,   711,   712,   713,  1798,
       0,   714,   715,   716,   717,   718,   806,  1799,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,  1800,  1801,  1802,
    1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,
       0, -3728,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1809,  1810,     0,     0,     0,     0,     0,
       0,     0,  1812,   830,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,   831,   776,   777,   778,   832,     0,   779,   780,
     781,   782,   833,   834,   783,   784,   785,     0,   786,   835,
     836,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,   340,     0,
       0,    37,     0,    38,    39,     0,  1730,  1731,  1732,    40,
    1733,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,  1734,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1735,   366,  1736,  1737,     0,   369,   370,   371,   372,
     373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,   379,
       0,   380,   381,   382,   383,  1742,     0,  1743,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,
     409,   410,   411,   800,   412,  1751,  1752,   415,  6427,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,  1556,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,  1754,   446,   447,   448,   449,
    1755,  1756,   451,     0,   452,   453,   454,  1757,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,  1758,     0,  1759,   469,   470,     0,   471,
     472,   802,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,  1559,  1760,     0,  1761,
       0,   496,   497,   498,   499,   500,  1762,  1763,  1764,  1765,
    1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,  1772,   521,   522,
     523,     0,   524,   525,   526,  1773,  1774,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,  1775,   538,   803,
     539,   540,   804,   541,   542,   543,  1776,   545,  1777,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1778,   557,
       0,   558,   559,   560,   561,  1780,  1781,   563,  1782,   565,
     566,   567,     0,   568,   569,   570,     0,     0,  1783,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,  1784,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,  1785,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,  1786,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,  3854,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,  1788,   654,
     655,   656,   657,   658,   659,   660,   661,  1789,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,  1790,   680,     0,   681,   682,
    1791,     0,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,  1792,  1793,     0,     0,   695,   696,  1794,   698,
    1795,  1796,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,  1798,     0,
     714,   715,   716,   717,   718,   806,  1799,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,
     738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3855,  3856,     0,     0,     0,     0,     0,     0,
       0,  3857,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,   340,     0,     0,
      37,     0,    38,    39,     0,  1730,  1731,  1732,    40,  1733,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,  1734,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1735,   366,  1736,  1737,     0,   369,   370,   371,   372,   373,
     374,   375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,
     380,   381,   382,   383,  1742,     0,  1743,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,
     410,   411,   800,   412,  1751,  1752,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1556,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,  1754,   446,   447,   448,   449,  1755,
    1756,   451,     0,   452,   453,   454,  1757,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,  1758,     0,  1759,   469,   470,     0,   471,   472,
     802,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,  1559,  1760,     0,  1761,     0,
     496,   497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,
    1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,  1772,   521,   522,   523,
       0,   524,   525,   526,  1773,  1774,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,  1775,   538,   803,   539,
     540,   804,   541,   542,   543,  1776,   545,  1777,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1778,   557,     0,
     558,   559,   560,   561,  1780,  1781,   563,  1782,   565,   566,
     567,     0,   568,   569,   570,     0,     0,  1783,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,  1784,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,  1785,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,  1786,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
    3854,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,  1788,   654,   655,
     656,   657,   658,   659,   660,   661,  1789,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,  1790,   680,     0,   681,   682,  1791,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,  1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,
    1796,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,  1798,     0,   714,
     715,   716,   717,   718,   806,  1799,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,
    1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3855,  3856,     0,     0,     0,     0,     0,     0,     0,
    3857,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,    38,    39,     0,  1730,  1731,     0,    40,  1733,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,  1734,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1735,
     366,  1736,  1737,     0,   369,   370,   371,   372,   373,   374,
     375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,
     381,   382,   383,  1742,     0,  1743,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
    1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,
     411,   800,   412,  1751,  1752,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,  1556,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,  1754,   446,   447,   448,   449,  1755,  1756,
     451,     0,   452,   453,   454,  1757,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,  1758,     0,  1759,   469,   470,     0,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,  1559,  1760,     0,  1761,     0,   496,
     497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,
    1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,  1772,   521,   522,   523,     0,
     524,   525,   526,  1773,  1774,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,  1775,   538,   803,   539,   540,
     804,   541,   542,   543,  1776,   545,  1777,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1778,   557,     0,   558,
     559,   560,   561,  1780,  1781,   563,  1782,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,  1784,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,  1785,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,  1786,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,  3999,
    4000,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,  1788,   654,   655,   656,
     657,   658,   659,   660,   661,  1789,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,  1790,   680,     0,   681,   682,  1791,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
    1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,  1798,     0,   714,   715,
     716,   717,   718,   806,  1799,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,
    1805,  1806,  1807,   743,   807,   744,   745,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4001,  4002,     0,     0,     0,     0,     0,     0,     0,  3857,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,   340,     0,     0,    37,     0,
      38,    39,     0,  1730,  1731,     0,    40,  1733,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,  1734,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1735,   366,
    1736,  1737,     0,   369,   370,   371,   372,   373,   374,   375,
    1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,   381,
     382,   383,  1742,     0,  1743,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,  1744,
    1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,
     800,   412,  1751,  1752,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,  1754,   446,   447,   448,   449,  1755,  1756,   451,
       0,   452,   453,   454,  1757,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1758,     0,  1759,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,  1559,  1760,     0,  1761,     0,   496,   497,
     498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,   510,  1771,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,  1772,   521,   522,   523,     0,   524,
     525,   526,  1773,  1774,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1775,   538,   803,   539,   540,   804,
     541,   542,   543,  1776,   545,  1777,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1778,   557,     0,   558,   559,
     560,   561,  1780,  1781,   563,  1782,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1784,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,  1785,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1786,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,  3854,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,  1788,   654,   655,   656,   657,
     658,   659,   660,   661,  1789,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,  1790,   680,     0,   681,   682,  1791,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1792,
    1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,  1798,     0,   714,   715,   716,
     717,   718,   806,  1799,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,
    1806,  1807,   743,   807,   744,   745,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,  3857,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,   340,     0,     0,    37,     0,    38,    39,     0,  1730,
    1731,     0,    40,  1733,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,  1734,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1735,   366,  1736,  1737,     0,   369,
    5339,   371,   372,   373,   374,   375,  1738,  1739,   376,   377,
    1740,  1741,   379,     0,   380,   381,   382,   383,  1742,     0,
    1743,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,  1744,  1745,  1746,  1747,  1748,
    1749,  1750,   408,   409,   410,   411,   800,   412,  1751,  1752,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1556,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,  1754,   446,
     447,   448,   449,  1755,  1756,   451,     0,   452,   453,   454,
    1757,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,  1758,     0,  1759,   469,
     470,     0,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,  1559,
    1760,     0,  1761,     0,   496,   497,   498,   499,   500,  1762,
    1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
    1772,   521,   522,   523,     0,   524,   525,   526,  1773,  1774,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
    1775,   538,   803,   539,   540,   804,   541,   542,   543,  1776,
     545,  1777,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1778,   557,     0,   558,   559,   560,   561,  1780,  1781,
     563,  1782,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,  1784,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,  1785,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1786,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,  3854,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,  1788,   654,   655,   656,   657,   658,   659,   660,   661,
    1789,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,  1790,   680,
       0,   681,   682,  1791,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,  1792,  1793,     0,     0,   695,
     696,  1794,   698,  1795,  1796,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,  1798,     0,   714,   715,   716,   717,   718,   806,  1799,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,  1800,
    1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,   743,   807,
     744,   745,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,  3857,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,   340,     0,     0,
      37,     0,    38,    39,     0,  1730,  1731,     0,    40,  1733,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,  1734,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1735,   366,  1736,  1737,     0,   369,   370,   371,   372,   373,
     374,   375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,
     380,   381,   382,   383,  1742,     0,  1743,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,
     410,   411,   800,   412,  1751,  1752,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1556,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,  1754,   446,   447,   448,   449,  1755,
    1756,   451,     0,   452,   453,   454,  1757,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,  1758,     0,  1759,   469,   470,     0,   471,   472,
     802,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,  1559,  1760,     0,  1761,     0,
     496,   497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,
    1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,  1772,   521,   522,   523,
       0,   524,   525,   526,  1773,  1774,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,  1775,   538,   803,   539,
     540,   804,   541,   542,   543,  1776,   545,  1777,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1778,   557,     0,
     558,   559,   560,   561,  1780,  1781,   563,  1782,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,  1784,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,  1785,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,  1786,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
    3854,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,  1788,   654,   655,
     656,   657,   658,   659,   660,   661,  1789,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,  1790,   680,     0,   681,   682,  1791,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,  1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,
    1796,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,  1798,     0,   714,
     715,   716,   717,   718,   806,  1799,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,  5879,
    1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
    3857,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,  1739,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
    1742,     0,  1743,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,  1744,  1745,  1746,
    1747,  1748,  1749,  1750,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,  1755,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,  1758,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,  4441,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,
    4766,  1771,   512,   513,   514,   515,   516,   517,   518,  4767,
       0,   519,  1772,   521,   522,   523,     0,   524,   525,   526,
    1773,  1774,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,  1775,   538,   803,   539,   540,   804,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1778,   557,     0,   558,   559,   560,   561,
       0,  1781,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,  1241,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,  1784,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,  1785,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,   638,  4768,   640,   641,
     642,   643,   644,   645,   646,   805,   647,   146,   648,   649,
     650,   651,   652,  1788,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
    1790,   680,     0,   681,   682,  1791,   151,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,  1794,   698,  1795,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,  1798,     0,   714,   715,   716,   717,   718,
    2578,   719,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,   160,   727,   728,   729,   730,   731,   732,
     733,  1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,
    4769,   807,   744,   745,     0,     0,     0,   161,     0,     0,
       0,     0,     0,     0,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,  4770,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,  1739,   376,   377,   797,   378,
     379,     0,   380,   381,   382,   383,  1742,     0,  1743,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,
     408,   409,   410,   411,   800,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,  1755,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1758,     0,   468,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,   497,   498,   499,   500,  4441,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,  4766,  1771,   512,   513,
     514,   515,   516,   517,   518,  4767,     0,   519,  1772,   521,
     522,   523,     0,   524,   525,   526,  1773,  1774,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1775,   538,
     803,   539,   540,   804,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1778,
     557,     0,   558,   559,   560,   561,     0,  1781,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,  1241,   571,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1784,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,  1785,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,   638,  4768,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,  1788,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,  1790,   680,     0,   681,
     682,  1791,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,  1794,
     698,  1795,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,  1798,
       0,   714,   715,   716,   717,   718,   806,   719,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,  1800,  1801,  1802,
    1803,   738,  1804,  1805,  1806,  1807,  4769,   807,   744,   745,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,  4770,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,  1739,   376,   377,   797,   378,   379,     0,   380,   381,
     382,   383,  1742,     0,  1743,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,  1744,
    1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,
     800,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,  1755,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1758,     0,   468,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,   497,
     498,   499,   500,  4441,  1763,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,   510,  1771,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,  1772,   521,   522,   523,     0,   524,
     525,   526,  1773,  1774,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1775,   538,   803,   539,   540,   804,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1778,   557,     0,   558,   559,
     560,   561,     0,  1781,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1784,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,  1785,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,  1788,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,  1790,   680,     0,   681,   682,  1791,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,   692,
     693,     0,     0,   695,   696,  1794,   698,  1795,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,  1798,     0,   714,   715,   716,
     717,   718,   806,   719,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,
    1806,  1807,   743,   807,   744,   745,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,  4442,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,  1739,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,  1742,     0,
    1743,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,  1744,  1745,  1746,  1747,  1748,
    1749,  1750,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,  1755,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,  1758,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,   497,   498,   499,   500,  4441,
    1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,  4766,  1771,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
    1772,   521,   522,   523,     0,   524,   525,   526,  1773,  1774,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
    1775,   538,   803,   539,   540,   804,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1778,   557,     0,   558,   559,   560,   561,     0,  1781,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,  1784,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,  1785,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,   638,  4768,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,  1788,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,  1790,   680,
       0,   681,   682,  1791,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,  1794,   698,  1795,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,  1798,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,  1800,
    1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,  4769,   807,
     744,   745,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,   162,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,  1739,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,  1742,     0,  1743,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,  1755,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,  1758,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,   497,   498,   499,   500,  4441,  1763,  1764,  1765,  1766,
    1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,  1772,   521,   522,   523,
       0,   524,   525,   526,  1773,  1774,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,  1775,   538,   803,   539,
     540,   804,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1778,   557,     0,
     558,   559,   560,   561,     0,  1781,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,  1784,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,  1785,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,  1788,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,  1790,   680,     0,   681,   682,  1791,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,  1794,   698,  1795,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,  1798,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,
    1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
    5497,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,  1739,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
    1742,     0,  1743,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,  1744,  1745,  1746,
    1747,  1748,  1749,  1750,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,  1755,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,  1758,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,  4441,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,
     510,  1771,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,  1772,   521,   522,   523,     0,   524,   525,   526,
    1773,  1774,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,  1775,   538,   803,   539,   540,   804,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1778,   557,     0,   558,   559,   560,   561,
       0,  1781,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,  1784,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,  1785,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,  1788,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
    1790,   680,     0,   681,   682,  1791,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,  1794,   698,  1795,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,  1798,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,  1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,
     743,   807,   744,   745,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,  6734,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   797,   378,
     379,     0,   380,   381,   382,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,     0,   406,     0,     0,     0,
     408,   409,   410,   411,   800,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     803,   539,   540,   804,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,   697,
     698,   699,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,   806,   719,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   807,   744,   745,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
       0,     0,   770,   771,   772,   773,   774,   775,     0,   776,
     777,   778,  6252,     0,   779,   780,   781,   782,     0,     0,
     783,   784,   785,     0,   786,     0,     0,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,  5397,     0,   353,   354,   355,     0,   356,   357,
     358,   359,     0,   361,   362,   363,   364,   365,     0,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,   797,   378,   379,     0,   380,   381,   382,
     383,   384,     0,     0,     0,   386,   387,   388,   389,   390,
     391,     0,   393,   394,   395,   798,     0,   396,   397,   398,
     399,   400,   401,     0, -1854,   403,   404,     0,     0,     0,
       0,     0,     0,     0,     0,   408,   409,   410,   411,   800,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
       0,     0, -1854,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,   802,   473,   474,
       0,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488, -1854,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,     0,     0,
     499, -1854,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520, -1854,   522,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   803,   539,   540,   804,   541,
     542,   543,   544, -1854,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,     0,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,     0,   578,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631, -1854,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   656,   657,   658,
       0,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,     0,   681,   682,     0,     0,   683,     0,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
       0,     0,   695,   696,   697,   698,   699,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,   806,   719,     0,   720,     0,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   807,   744,   745,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,     0,   776,   777,   778,     0,  1901,   779,
     780,   781,   782,     0,     0,   783,   784,   785,     0,   786,
       0,     0,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,   340,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   797,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   800,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   802,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     803,   539,   540,   804,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,     0,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,   146,   648,   649,   650,   651,   652,     0,
     654,   655,   656,   657,   658,     0,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,   151,   683,     0,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,   697,
     698,   699,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,  2578,   719,     0,   720,
       0,   722,   723,   724,   725,     0,     0,   726,     0,   160,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   807,   744,   745,
       0,     0,     0,   161,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,   162,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,   146,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,   151,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,  2578,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,   160,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,     0,
       0,     0,   161,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,   162,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,  3408,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,  1241,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
    3409,  3410,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
    2279,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,    39,     0,
       0,     0,     0,    40,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,  4532,  4533,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,    39,     0,     0,     0,     0,    40,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,  4533,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,  1886,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,  4033,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,  4755,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   830,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
       0,  5896,   770,   771,   772,   773,   774,   775,   831,   776,
     777,   778,   832,     0,   779,   780,   781,   782,   833,   834,
     783,   784,   785,     0,   786,   835,   836,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,   340,     0,     0,    37,     0,    38,
      39,     0,     0,     0,  1367,    40,     0,     0,     0,     0,
       0,  1368,  1369,  1370,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   837,   350,   351,   352,   838,   839,   840,
     841,   842,   843,   844,   353,   354,   355,   845,   356,   357,
     358,   359,   360,   361,   362,   363,     0,  1549,   366,  1550,
    1551,   846,   369,   370,   371,   372,   373,   374,   375,   847,
     848,   376,   377,  1552,  1553,   379,   850,   380,   381,   382,
     383,     0,   851,   385,   852,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   798,   854,   396,   397,   398,
     399,   400,   401,   855,   402,   403,   404,     0,   857,   858,
     859,   406,   860,   861,   862,   408,   409,   410,   411,   800,
     412,  1554,  1555,   415,   863,   416,   864,   417,   418,   419,
     420,   421,   422,   423,   865,   424,   425,   426,   427,   866,
     867,   428,   429,  1556,   431,   432,   868,   433,   434,   435,
     436,   869,   437,   438,   439,   440,   870,   441,   442,   443,
     444,     0,   446,   447,   448,   449,     0,   871,   451,   872,
     452,   453,   454,  1557,   456,   873,   457,   874,   458,   459,
     460,   875,   461,   462,   463,   464,   465,   876,   466,     0,
     877,     0,   469,   470,   878,   471,   472,   802,   473,   474,
     475,   476,   477,   478,   479,   879,   480,   481,   482,   483,
     484,   485,   486,   487,   880,   488,   489,     0,     0,   491,
     492,   493,  1559,  1560,   883,  1561,   884,   496,   497,   498,
     499,   500,  1562,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   512,   513,   514,   515,   516,   517,   518,
     885,   886,   519,     0,   521,   522,   523,   887,   524,   525,
     526,   888,   889,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   538,   803,   539,   540,   804,   541,
     542,   543,  1563,   545,  1564,   547,   548,   549,   550,   551,
     552,   553,   554,  5083,     0,   557,   890,   558,   559,   560,
     561,   891,     0,   563,  1565,   565,   566,   567,   892,   568,
     569,   570,   893,   894,  5084,   572,   573,   895,   896,   574,
     575,     0,   577,   578,   579,     0,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   897,   593,
     594,   595,     0,   597,     0,   599,   600,   601,   898,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
    1566,   614,   615,   616,   899,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   900,   630,
     631,   632,   633,   634,   635,   636,   637,     0,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,   901,   648,
     649,   650,   651,   652,   902,   654,   655,  3234,   657,   658,
     659,   660,   661,  1568,   663,   903,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,     0,   680,   904,   681,   682,   905,   906,   683,   684,
     685,   686,   687,   688,   689,   690,   907,   691,  1569,  1570,
       0,   909,   695,   696,     0,   698,     0,   910,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,   912,   709,
     710,   711,   712,   713,   913,   914,   714,   715,   716,   717,
     718,     0,  1571,   916,   720,   721,   722,   723,   724,   725,
     917,   918,   726,   919,   920,   727,   728,   729,   730,   731,
     732,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   807,   744,   745,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1373,  1374,  1375,  5085,  5086,
    1378,  1379,  1380,  1381,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,   340,
       0,     0,    37,     0,    38,    39,     0,     0,     0,  1367,
      40,     0,     0,     0,     0,     0,  1368,  1369,  1370,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   837,   350,
     351,   352,   838,   839,   840,   841,   842,   843,   844,   353,
     354,   355,   845,   356,   357,   358,   359,   360,   361,   362,
     363,     0,  1549,   366,  1550,  1551,   846,   369,   370,   371,
     372,   373,   374,   375,   847,   848,   376,   377,  1552,  1553,
     379,   850,   380,   381,   382,   383,     0,   851,   385,   852,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,   854,   396,   397,   398,   399,   400,   401,   855,   402,
     403,   404,     0,   857,   858,   859,   406,   860,   861,   862,
     408,   409,   410,   411,   800,   412,  1554,  1555,   415,   863,
     416,   864,   417,   418,   419,   420,   421,   422,   423,   865,
     424,   425,   426,   427,   866,   867,   428,   429,  1556,   431,
     432,   868,   433,   434,   435,   436,   869,   437,   438,   439,
     440,   870,   441,   442,   443,   444,     0,   446,   447,   448,
     449,     0,   871,   451,   872,   452,   453,   454,  1557,   456,
     873,   457,   874,   458,   459,   460,   875,   461,   462,   463,
     464,   465,   876,   466,     0,   877,     0,   469,   470,   878,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
     879,   480,   481,   482,   483,   484,   485,   486,   487,   880,
     488,   489,     0,     0,   491,   492,   493,  1559,  1560,   883,
    1561,   884,   496,   497,   498,   499,   500,  1562,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   512,   513,
     514,   515,   516,   517,   518,   885,   886,   519,     0,   521,
     522,   523,   887,   524,   525,   526,   888,   889,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   538,
     803,   539,   540,   804,   541,   542,   543,  1563,   545,  1564,
     547,   548,   549,   550,   551,   552,   553,   554,  5569,     0,
     557,   890,   558,   559,   560,   561,   891,     0,   563,  1565,
     565,   566,   567,   892,   568,   569,   570,   893,   894,  5084,
     572,   573,   895,   896,   574,   575,     0,   577,   578,   579,
       0,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   897,   593,   594,   595,     0,   597,     0,
     599,   600,   601,   898,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1566,   614,   615,   616,   899,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   900,   630,   631,   632,   633,   634,   635,
     636,   637,     0,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,   901,   648,   649,   650,   651,   652,   902,
     654,   655,  3234,   657,   658,   659,   660,   661,  1568,   663,
     903,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,     0,   680,   904,   681,
     682,   905,   906,   683,   684,   685,   686,   687,   688,   689,
     690,   907,   691,  1569,  1570,     0,   909,   695,   696,     0,
     698,     0,   910,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,   912,   709,   710,   711,   712,   713,   913,
     914,   714,   715,   716,   717,   718,     0,  1571,   916,   720,
     721,   722,   723,   724,   725,   917,   918,   726,   919,   920,
     727,   728,   729,   730,   731,   732,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   807,   744,   745,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1373,  1374,  1375,  5085,  5086,  1378,  1379,  1380,  1381,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,  1367,     0,     0,     0,     0,     0,     0,
    1368,  1369,  1370,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,  1371,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,  1372,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1373,  1374,  1375,  1376,  1377,  1378,
    1379,  1380,  1381,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,  1367,     0,     0,
       0,     0,     0,     0,  1368,  1369,  1370,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,  1488,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,  1489,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1373,  1374,
    1375,  1376,  1377,  1378,  1379,  1380,  1381,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,  1367,     0,     0,     0,     0,     0,     0,  1368,  1369,
    1370,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,  1603,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,  1604,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,  1605,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1373,  1374,  1375,  1376,  1377,  1378,  1379,  1380,
    1381,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,     0,
     776,   777,   778,     0,     0,   779,   780,   781,   782,     0,
       0,   783,   784,   785,     0,   786,     0,     0,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,  1367,     0,     0,     0,     0,
       0,     0,  1368,  1369,  1370,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,     0,   361,   362,   363,   364,   365,     0,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,   797,   378,   379,     0,   380,  2262,
     382,   383,   384,     0,     0,     0,   386,   387,   388,   389,
     390,   391,     0,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,     0,   403,   404,     0,     0,
       0,     0,     0,     0,     0,     0,   408,   409,   410,   411,
     800,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,  2263,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,     0,     0,     0,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   802,   473,
     474,     0,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,     0,
       0,   499,     0,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,     0,   522,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   803,   539,   540,   804,
     541,   542,   543,   544,     0,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
       0,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,     0,   578,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,     0,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,   656,   657,
     658,     0,   660,   661,   662,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,     0,   681,   682,     0,     0,   683,
       0,   685,   686,   687,   688,   689,   690,     0,   691,   692,
     693,     0,     0,   695,   696,   697,   698,   699,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,   806,   719,     0,   720,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   807,   744,   745,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1373,  1374,  1375,  1376,
    1377,  1378,  1379,  1380,  1381,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,     0,   776,   777,   778,     0,     0,   779,
     780,   781,   782,     0,     0,   783,   784,   785,     0,   786,
       0,     0,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,  1367,
       0,     0,     0,     0,     0,     0,  1368,  1369,  1370,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   797,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   800,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   802,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     803,   539,   540,   804,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,     0,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   656,   657,   658,     0,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,     0,   683,     0,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,   697,
     698,   699,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,   806,   719,     0,   720,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   807,   744,   745,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1373,  1374,  1375,  1376,  1377,  1378,  1379,  1380,  1381,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,  1367,     0,     0,     0,     0,     0,     0,
    1368,  1369,  1370,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,  4119,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,  4120,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1373,  1374,  1375,  1376,  1377,  1378,
    1379,  1380,  1381,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,  1367,     0,     0,
       0,     0,     0,     0,  1368,  1369,  1370,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,  6232,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1373,  1374,
    1375,  1376,  1377,  1378,  1379,  1380,  1381,   830,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,   831,   776,   777,   778,
     832,     0,   779,   780,   781,   782,   833,   834,   783,   784,
     785,     0,   786,   835,   836,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   837,   350,   351,   352,   838,   839,   840,   841,   842,
     843,   844,   353,   354,   355,   845,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   846,
     369,   370,   371,   372,   373,   374,   375,   847,   848,   376,
     377,   849,   378,   379,   850,   380,   381,   382,   383,   384,
     851,   385,   852,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   853,   854,   396,   397,   398,   399,   400,
     401,   855,   402,   403,   404,   856,   857,   858,   859,   406,
     860,   861,   862,   408,   409,   410,   411,   800,   412,   413,
     414,   415,   863,   416,   864,   417,   418,   419,   420,   421,
     422,   423,   865,   424,   425,   426,   427,   866,   867,   428,
     429,   430,   431,   432,   868,   433,   434,   435,   436,   869,
     437,   438,   439,   440,   870,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   871,   451,   872,   452,   453,
     454,   455,   456,   873,   457,   874,   458,   459,   460,   875,
     461,   462,   463,   464,   465,   876,   466,   467,   877,   468,
     469,   470,   878,   471,   472,   802,   473,   474,   475,   476,
     477,   478,   479,   879,   480,   481,   482,   483,   484,   485,
     486,   487,   880,   488,   489,   490,   881,   491,   492,   493,
     882,   494,   883,   495,   884,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   885,   886,
     519,   520,   521,   522,   523,   887,   524,   525,   526,   888,
     889,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   890,   558,   559,   560,   561,   891,
     562,   563,   564,   565,   566,   567,   892,   568,   569,   570,
     893,   894,   571,   572,   573,   895,   896,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   897,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   898,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   899,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   900,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,   901,   648,   649,   650,
     651,   652,   902,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   903,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   904,   681,   682,   905,   906,   683,   684,   685,   686,
     687,   688,   689,   690,   907,   691,   692,   693,   908,   909,
     695,   696,   697,   698,   699,   910,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   911,   912,   709,   710,   711,
     712,   713,   913,   914,   714,   715,   716,   717,   718,   915,
     719,   916,   720,   721,   722,   723,   724,   725,   917,   918,
     726,   919,   920,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,     0,     0,     0,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,  2239,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,     0,  1549,   366,  1550,  1551,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
    1552,  1553,   379,     0,   380,   381,   382,   383,     0,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,     0,   406,     0,
       0,     0,   408,   409,   410,   411,   800,   412,  1554,  1555,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1556,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,     0,   446,
     447,   448,   449,     0,     0,   451,     0,   452,   453,   454,
    1557,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,     0,     0,     0,   469,
     470,     0,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,  3230,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,  3231,     0,   491,   492,   493,  1559,
    1560,     0,  1561,     0,   496,   497,   498,   499,   500,  1562,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
       0,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   538,   803,   539,   540,   804,   541,   542,   543,  1563,
     545,  1564,   547,   548,   549,   550,   551,   552,   553,   554,
       0,     0,   557,     0,   558,   559,   560,   561,     0,     0,
     563,  1565,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,  3232,   574,   575,  3233,   577,
     578,   579,     0,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,     0,
     597,     0,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1566,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,  3234,   657,   658,   659,   660,   661,
    1568,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,     0,   680,
       0,   681,   682,     0,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,  1569,  1570,     0,     0,   695,
     696,     0,   698,     0,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,     0,  1571,
    3235,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   807,
     744,   745,     0,     0,     0,     0,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,  3236,   770,   771,
     772,   773,   774,   775,     0,   776,   777,   778,     0,     0,
     779,   780,   781,   782,     0,     0,   783,   784,   785,     0,
     786,     0,     0,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,     0,   361,
     362,   363,   364,   365,     0,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,   797,
     378,   379,     0,   380,   381,   382,   383,   384,     0,     0,
       0,   386,   387,   388,   389,   390,   391,     0,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
       0,   403,   404,     0,     0,     0,     0,     0,     0,     0,
       0,   408,   409,   410,   411,   800,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,   802,   473,   474,     0,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,     0,     0,   499,     0,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
       0,   522,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   803,   539,   540,   804,   541,   542,   543,   544,     0,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,     0,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,     0,   578,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,     0,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   805,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   656,   657,   658,     0,   660,   661,   662,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,     0,
     681,   682,     0,     0,   683,     0,   685,   686,   687,   688,
     689,   690,     0,   691,   692,   693,     0,     0,   695,   696,
     697,   698,   699,     0,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
       0,     0,   714,   715,   716,   717,   718,   806,   719,     0,
     720,     0,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   807,   744,
     745,     0,     0,     0,     0,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,  1249,   770,   771,   772,
     773,   774,   775,     0,   776,   777,   778,     0,     0,   779,
     780,   781,   782,     0,     0,   783,   784,   785,     0,   786,
       0,     0,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   797,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   800,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   802,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     803,   539,   540,   804,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,     0,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   656,   657,   658,     0,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,     0,   683,     0,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,   697,
     698,   699,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,   806,   719,     0,   720,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   807,   744,   745,
       0,     0,     0,     0,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,  6703,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,     0,
       0,     0,     0,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,  6705,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,     0,     0,
       0,     0,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,  6832,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,    40,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,  1141,   344,
     345,   346,   347,   348,   349,  1142,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,  1143,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,  1144,   455,   456,     0,   457,     0,
     458,  1145,     0,  1146,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,  1147,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,  1148,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,  1149,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,  1150,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
    1151,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,     0,     0,     0,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
    1152,  1153,   770,   771,   772,   773,   774,   775,     0,   776,
     777,   778,     0,     0,   779,   780,   781,   782,     0,     0,
     783,   784,   785,     0,   786,     0,     0,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,   340,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,    40,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,  1141,   344,   345,   346,
     347,   348,   349,  1142,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,     0,  1177,   362,   363,   364,   365,     0,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,   797,   378,   379,     0,   380,   381,   382,
     383,   384,     0,     0,     0,   386,   387,   388,   389,   390,
     391,     0,   393,   394,   395,   798,     0,   396,   397,   398,
     399,   400,   401,     0,     0,   403,   404,     0,     0,     0,
       0,     0,     0,     0,     0,   408,   409,   410,   411,   800,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,  1144,   455,   456,     0,   457,     0,   458,  1178,
       0,  1146,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,   802,   473,   474,
       0,   476,   477,   478,   479,  1147,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,     0,     0,
     499,     0,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,  1148,
       0,     0,   519,   520,     0,   522,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   803,   539,   540,   804,   541,
     542,   543,   544,     0,   546,   547,   548,  1149,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,     0,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,     0,   578,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,  1150,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,  1151,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,     0,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   656,   657,   658,
       0,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,     0,   681,   682,     0,     0,   683,     0,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
       0,     0,   695,   696,   697,   698,   699,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,   806,   719,     0,   720,     0,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   807,   744,   745,     0,     0,     0,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,  1152,  1153,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,   340,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,    40,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,  1657,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,  1146,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,  1147,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,     0,     0,     0,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,  1152,  1153,   770,   771,
     772,   773,   774,   775,     0,   776,   777,   778,     0,     0,
     779,   780,   781,   782,     0,     0,   783,   784,   785,     0,
     786,     0,     0,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
     340,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,    40,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,  1662,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,     0,   361,
     362,   363,   364,   365,     0,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,   797,
     378,   379,     0,   380,   381,   382,   383,   384,     0,     0,
       0,   386,   387,   388,   389,   390,   391,     0,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
       0,   403,   404,     0,     0,     0,     0,     0,     0,     0,
       0,   408,   409,   410,   411,   800,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,     0,  1146,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,   802,   473,   474,     0,   476,   477,   478,
     479,  1147,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,     0,     0,   499,     0,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
       0,   522,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   803,   539,   540,   804,   541,   542,   543,   544,     0,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,     0,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,     0,   578,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,     0,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   805,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   656,   657,   658,     0,   660,   661,   662,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,     0,
     681,   682,     0,     0,   683,     0,   685,   686,   687,   688,
     689,   690,     0,   691,   692,   693,     0,     0,   695,   696,
     697,   698,   699,     0,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
       0,     0,   714,   715,   716,   717,   718,   806,   719,     0,
     720,     0,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   807,   744,
     745,     0,     0,     0,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,  1152,  1153,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,   340,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,   801,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,  1857,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,  1218,
       0,   761,   762,   763,   764,   765,   766,   767,  1219,   768,
     769,  1858,     0,   770,   771,   772,   773,   774,   775,     0,
     776,   777,   778,     0,     0,   779,   780,   781,   782,     0,
       0,   783,   784,   785,     0,   786,     0,     0,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,     0,   361,   362,   363,   364,   365,     0,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,  1220,   377,  1191,   378,   379,     0,   380,   381,
     382,   383,   384,     0,     0,     0,   386,   387,   388,   389,
     390,   391,     0,   393,   394,   395,  1221,     0,  1222,   397,
     398,   399,   400,   401,     0,     0,   403,   404,     0,     0,
       0,     0,     0,     0,     0,     0,   408,   409,   410,   411,
     800,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,     0,     0,     0,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   802,   473,
     474,     0,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,     0,
       0,   499,     0,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,     0,   522,     0,     0,   524,
     525,  1223,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   803,   539,   540,   804,
     541,   542,  1224,   544,     0,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
       0,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,     0,   578,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,     0,  1225,   634,   635,   636,   637,   638,   639,
     640,   641,   642,  1226,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,  1227,     0,   654,   655,   656,   657,
     658,     0,   660,   661,   662,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,     0,   681,   682,     0,     0,   683,
       0,   685,   686,   687,   688,   689,   690,     0,   691,  1228,
     693,     0,     0,  1229,   696,   697,   698,   699,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,  1195,   719,     0,   720,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,  1230,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   807,   744,   745,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,    38,    39,     0,     0,
       0,     0,    40,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     837,   350,   351,   352,   838,   839,   840,   841,   842,   843,
     844,   353,   354,   355,   845,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   846,   369,
     370,   371,   372,   373,   374,   375,   847,   848,   376,   377,
     849,   378,   379,   850,   380,   381,   382,   383,   384,   851,
     385,   852,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   853,   854,   396,   397,   398,   399,   400,   401,
     855,   402,   403,   404,   856,   857,   858,   859,   406,   860,
     861,   862,   408,   409,   410,   411,   800,   412,   413,   414,
     415,   863,   416,   864,   417,   418,   419,   420,   421,   422,
     423,   865,   424,   425,   426,   427,   866,   867,   428,   429,
     430,   431,   432,   868,   433,   434,   435,   436,   869,   437,
     438,   439,   440,   870,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   871,   451,   872,   452,   453,   454,
     455,   456,   873,   457,   874,   458,   459,   460,   875,   461,
     462,   463,   464,   465,   876,   466,   467,   877,   468,   469,
     470,   878,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,   879,   480,   481,   482,   483,   484,   485,   486,
     487,   880,   488,   489,   490,   881,   491,   492,   493,   882,
     494,   883,   495,   884,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   885,   886,   519,
     520,   521,   522,   523,   887,   524,   525,   526,   888,   889,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   890,   558,   559,   560,   561,   891,   562,
     563,   564,   565,   566,   567,   892,   568,   569,   570,   893,
     894,   571,   572,   573,   895,   896,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   897,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   898,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   899,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   900,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,   901,   648,   649,   650,   651,
     652,   902,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   903,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     904,   681,   682,   905,   906,   683,   684,   685,   686,   687,
     688,   689,   690,   907,   691,   692,   693,   908,   909,   695,
     696,   697,   698,   699,   910,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   911,   912,   709,   710,   711,   712,
     713,   913,   914,   714,   715,   716,   717,   718,   915,   719,
     916,   720,   721,   722,   723,   724,   725,   917,   918,   726,
     919,   920,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   837,   350,   351,   352,
     838,   839,   840,   841,   842,   843,   844,   353,   354,   355,
     845,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   846,   369,   370,   371,   372,   373,
     374,   375,   847,   848,   376,   377,   849,   378,   379,   850,
     380,   381,   382,   383,   384,   851,   385,   852,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   853,   854,
     396,   397,   398,   399,   400,   401,   855,   402,   403,   404,
     856,   857,   858,   859,   406,   860,   861,   862,   408,   409,
     410,   411,   800,   412,   413,   414,   415,   863,   416,   864,
     417,   418,   419,   420,   421,   422,   423,   865,   424,   425,
     426,   427,   866,   867,   428,   429,   430,   431,   432,   868,
     433,   434,   435,   436,   869,   437,   438,   439,   440,   870,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     871,   451,   872,   452,   453,   454,   455,   456,   873,   457,
     874,   458,   459,   460,   875,   461,   462,   463,   464,   465,
     876,   466,   467,   877,   468,   469,   470,   878,   471,   472,
     802,   473,   474,   475,   476,   477,   478,   479,   879,   480,
     481,   482,   483,   484,   485,   486,   487,   880,   488,   489,
     490,   881,   491,   492,   493,   882,   494,   883,   495,   884,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   885,   886,   519,   520,   521,   522,   523,
     887,   524,   525,   526,   888,   889,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   890,
     558,   559,   560,   561,   891,   562,   563,   564,   565,   566,
     567,   892,   568,   569,   570,   893,   894,   571,   572,   573,
     895,   896,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   897,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   898,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   899,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   900,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,   901,   648,   649,   650,   651,   652,   902,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   903,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   904,   681,   682,   905,
     906,   683,   684,   685,   686,   687,   688,   689,   690,   907,
     691,   692,   693,   908,   909,   695,   696,   697,   698,   699,
     910,   700,   701,   702,   703,   704,   705,   706,   707,   708,
     911,   912,   709,   710,   711,   712,   713,   913,   914,   714,
     715,   716,   717,   718,   915,   719,   916,   720,   721,   722,
     723,   724,   725,   917,   918,   726,   919,   920,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,  4195,   347,
     348,   349,   837,   350,   351,   352,   838,   839,   840,   841,
     842,   843,   844,   353,   354,   355,   845,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     846,   369,   370,   371,   372,   373,   374,   375,   847,   848,
     376,   377,   849,   378,   379,   850,   380,   381,   382,   383,
     384,   851,   385,   852,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   853,   854,   396,   397,   398,   399,
     400,   401,   855,   402,   403,   404,   856,   857,   858,   859,
     406,   860,   861,   862,   408,   409,   410,   411,   800,   412,
     413,   414,   415,   863,   416,   864,   417,   418,   419,   420,
     421,   422,   423,   865,   424,   425,   426,   427,   866,   867,
     428,   429,   430,  4196,   432,   868,   433,   434,   435,   436,
     869,   437,   438,   439,   440,   870,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   871,   451,   872,   452,
     453,   454,   455,   456,   873,   457,   874,   458,   459,   460,
     875,   461,   462,   463,   464,   465,   876,   466,   467,   877,
     468,   469,   470,   878,   471,   472,   802,   473,   474,   475,
     476,   477,   478,   479,   879,   480,   481,   482,   483,   484,
     485,   486,   487,   880,   488,   489,   490,   881,   491,   492,
     493,   882,   494,   883,   495,   884,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   885,
     886,   519,   520,   521,   522,   523,   887,   524,   525,   526,
     888,   889,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   890,   558,   559,   560,   561,
     891,   562,   563,   564,   565,   566,   567,   892,   568,   569,
     570,   893,   894,   571,   572,   573,   895,   896,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   897,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   898,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   899,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   900,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,   901,   648,   649,
     650,   651,   652,   902,  4197,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   903,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   904,   681,   682,   905,   906,   683,   684,   685,
     686,   687,   688,   689,   690,   907,   691,   692,   693,   908,
     909,   695,   696,   697,   698,   699,   910,   700,   701,   702,
     703,   704,   705,   706,   707,   708,   911,   912,   709,   710,
     711,   712,   713,   913,   914,   714,   715,   716,   717,   718,
     915,   719,   916,   720,   721,   722,   723,   724,   725,   917,
     918,   726,   919,   920,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,  1739,   376,   377,   797,   378,
     379,     0,   380,   381,   382,   383,  1742,     0,  1743,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,
     408,   409,   410,   411,   800,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,  1755,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1758,     0,   468,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,   497,   498,   499,   500,  4441,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1772,   521,
     522,   523,     0,   524,   525,   526,  1773,  1774,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1775,   538,
     803,   539,   540,   804,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1778,
     557,     0,   558,   559,   560,   561,     0,  1781,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1784,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,  1785,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,  1788,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,  1790,   680,     0,   681,
     682,  1791,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,  1794,
     698,  1795,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,  1798,
       0,   714,   715,   716,   717,   718,   806,   719,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,  1800,  1801,  1802,
    1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,   340,     0,     0,    37,     0,
      38,    39,     0,  1730,  1731,     0,    40,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1735,   366,
    1736,  1737,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,  1740,  1741,   379,     0,   380,   381,
     382,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,     0,   406,     0,     0,     0,   408,   409,   410,   411,
     800,   412,  1751,  1752,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,  1756,   451,
       0,   452,   453,   454,  1757,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,  1559,  1760,     0,  1761,     0,   496,   497,
     498,   499,   500,  7019,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   803,   539,   540,   804,
     541,   542,   543,  1776,   545,  1777,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
     560,   561,  1780,   562,   563,  1782,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1786,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,   656,   657,
     658,   659,   660,   661,  1789,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,     0,   681,   682,     0,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1792,
    1793,     0,     0,   695,   696,   697,   698,   699,  1796,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,   806,  1799,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   807,   744,   745,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,     0,   406,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,     0,   406,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  1542,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,     0,
     406,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,  1595,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   797,   378,
     379,     0,   380,   381,   382,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,     0,   406,     0,     0,     0,
     408,   409,   410,   411,   800,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   802,   473,  1609,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     803,   539,   540,   804,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,   697,
     698,   699,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,   806,   719,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   807,   744,   745,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,   797,   378,   379,     0,   380,   381,
     382,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,     0,   406,     0,     0,     0,   408,   409,   410,   411,
     800,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   802,   473,
    1613,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   803,   539,   540,   804,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,     0,   681,   682,     0,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,   692,
     693,     0,     0,   695,   696,   697,   698,   699,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,   806,   719,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   807,   744,   745,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,     0,  1549,   366,  1550,  1551,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
    1552,  1553,   379,     0,   380,   381,   382,   383,     0,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,     0,   406,     0,
       0,     0,   408,   409,   410,   411,   800,   412,  1554,  1555,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1556,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,     0,   446,
     447,   448,   449,     0,     0,   451,     0,   452,   453,   454,
    1557,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,     0,     0,     0,   469,
     470,     0,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,  3230,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,  3231,     0,   491,   492,   493,  1559,
    1560,     0,  1561,     0,   496,   497,   498,   499,   500,  1562,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
       0,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   538,   803,   539,   540,   804,   541,   542,   543,  1563,
     545,  1564,   547,   548,   549,   550,   551,   552,   553,   554,
       0,     0,   557,     0,   558,   559,   560,   561,     0,     0,
     563,  1565,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,  3233,   577,
     578,   579,     0,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,     0,
     597,     0,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1566,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,  3234,   657,   658,   659,   660,   661,
    1568,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,     0,   680,
       0,   681,   682,     0,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,  1569,  1570,     0,     0,   695,
     696,     0,   698,     0,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,     0,  1571,
    3235,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   807,
     744,   745,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,     0,
    1549,   366,  1550,  1551,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,  1552,  1553,   379,     0,
     380,   381,   382,   383,     0,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,     0,   406,     0,     0,     0,   408,   409,
     410,   411,   800,   412,  1554,  1555,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1556,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,     0,   446,   447,   448,   449,     0,
       0,   451,     0,   452,   453,   454,  1557,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,     0,     0,     0,   469,   470,     0,   471,   472,
     802,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
       0,     0,   491,   492,   493,  1559,  1560,     0,  1561,     0,
     496,   497,   498,   499,   500,  1562,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,     0,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   538,   803,   539,
     540,   804,   541,   542,   543,  1563,   545,  1564,   547,   548,
     549,   550,   551,   552,   553,   554,     0,     0,   557,     0,
     558,   559,   560,   561,  3316,     0,   563,  1565,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,     0,   577,   578,   579,     0,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,     0,   597,     0,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,  1566,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
       0,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
    3234,   657,   658,   659,   660,   661,  1568,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,     0,   680,     0,   681,   682,     0,
    5184,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,  1569,  1570,     0,     0,   695,   696,     0,   698,     0,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,     0,  1571,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   807,   744,   745,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,     0,  1549,   366,  1550,  1551,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,  1552,  1553,   379,     0,   380,   381,   382,   383,
       0,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,     0,
     406,     0,     0,     0,   408,   409,   410,   411,   800,   412,
    1554,  1555,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,  1556,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
       0,   446,   447,   448,   449,     0,     0,   451,     0,   452,
     453,   454,  1557,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,     0,     0,
       0,   469,   470,     0,   471,   472,   802,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,     0,     0,   491,   492,
     493,  1559,  1560,     0,  1561,     0,   496,   497,   498,   499,
     500,  1562,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,     0,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   538,   803,   539,   540,   804,   541,   542,
     543,  1563,   545,  1564,   547,   548,   549,   550,   551,   552,
     553,   554,  3395,     0,   557,     0,   558,   559,   560,   561,
       0,     0,   563,  1565,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
       0,   577,   578,   579,     0,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,     0,   597,     0,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,  1566,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,     0,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,  1567,   657,   658,   659,
     660,   661,  1568,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
       0,   680,     0,   681,   682,     0,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,  1569,  1570,     0,
       0,   695,   696,     0,   698,     0,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
       0,  1571,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   807,   744,   745,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,     0,  1549,   366,  1550,  1551,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,  1552,  1553,
     379,     0,   380,   381,   382,   383,     0,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,     0,   406,     0,     0,     0,
     408,   409,   410,   411,   800,   412,  1554,  1555,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,     0,   446,   447,   448,
     449,     0,     0,   451,     0,   452,   453,   454,  1557,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,     0,     0,     0,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,     0,     0,   491,   492,   493,  1559,  1560,     0,
    1561,     0,   496,   497,   498,   499,   500,  1562,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,     0,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   538,
     803,   539,   540,   804,   541,   542,   543,  1563,   545,  1564,
     547,   548,   549,   550,   551,   552,   553,   554,  4980,     0,
     557,     0,   558,   559,   560,   561,     0,     0,   563,  1565,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,     0,   577,   578,   579,
       0,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,     0,   597,     0,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1566,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,     0,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,  1567,   657,   658,   659,   660,   661,  1568,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,     0,   680,     0,   681,
     682,     0,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1569,  1570,     0,     0,   695,   696,     0,
     698,     0,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,     0,  1571,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   807,   744,   745,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,     0,  1549,   366,
    1550,  1551,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,  1552,  1553,   379,     0,   380,   381,
     382,   383,     0,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,     0,   406,     0,     0,     0,   408,   409,   410,   411,
     800,   412,  1554,  1555,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,     0,   446,   447,   448,   449,     0,     0,   451,
       0,   452,   453,   454,  1557,   456,  6790,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
       0,     0,     0,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,     0,     0,
     491,   492,   493,  1559,  1560,     0,  1561,     0,   496,   497,
     498,   499,   500,  1562,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,     0,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   538,   803,   539,   540,   804,
     541,   542,   543,  1563,   545,  1564,   547,   548,   549,   550,
     551,   552,   553,   554,     0,     0,   557,     0,   558,   559,
     560,   561,     0,     0,   563,  1565,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,     0,   577,   578,   579,     0,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,     0,   597,     0,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1566,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,     0,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,  1567,   657,
     658,   659,   660,   661,  1568,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,     0,   680,     0,   681,   682,     0,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1569,
    1570,     0,     0,   695,   696,     0,   698,     0,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,     0,  1571,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   807,   744,   745,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,     0,  1549,   366,  1550,  1551,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
    1552,  1553,   379,     0,   380,   381,   382,   383,     0,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,     0,   406,     0,
       0,     0,   408,   409,   410,   411,   800,   412,  1554,  1555,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1556,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,     0,   446,
     447,   448,   449,     0,     0,   451,     0,   452,   453,   454,
    1557,   456,  7049,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,     0,     0,     0,   469,
     470,     0,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,     0,     0,   491,   492,   493,  1559,
    1560,     0,  1561,     0,   496,   497,   498,   499,   500,  1562,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
       0,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   538,   803,   539,   540,   804,   541,   542,   543,  1563,
     545,  1564,   547,   548,   549,   550,   551,   552,   553,   554,
       0,     0,   557,     0,   558,   559,   560,   561,     0,     0,
     563,  1565,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,     0,   577,
     578,   579,     0,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,     0,
     597,     0,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1566,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,  1567,   657,   658,   659,   660,   661,
    1568,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,     0,   680,
       0,   681,   682,     0,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,  1569,  1570,     0,     0,   695,
     696,     0,   698,     0,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,     0,  1571,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   807,
     744,   745,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,     0,
    1549,   366,  1550,  1551,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,  1552,  1553,   379,     0,
     380,   381,   382,   383,     0,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,     0,   406,     0,     0,     0,   408,   409,
     410,   411,   800,   412,  1554,  1555,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1556,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,     0,   446,   447,   448,   449,     0,
       0,   451,     0,   452,   453,   454,  1557,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,     0,     0,     0,   469,   470,     0,   471,   472,
     802,   473,  1558,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
       0,     0,   491,   492,   493,  1559,  1560,     0,  1561,     0,
     496,   497,   498,   499,   500,  1562,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,     0,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   538,   803,   539,
     540,   804,   541,   542,   543,  1563,   545,  1564,   547,   548,
     549,   550,   551,   552,   553,   554,     0,     0,   557,     0,
     558,   559,   560,   561,     0,     0,   563,  1565,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,     0,   577,   578,   579,     0,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,     0,   597,     0,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,  1566,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
       0,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
    1567,   657,   658,   659,   660,   661,  1568,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,     0,   680,     0,   681,   682,     0,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,  1569,  1570,     0,     0,   695,   696,     0,   698,     0,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,     0,  1571,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   807,   744,   745,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,     0,  1549,   366,  1550,  1551,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,  1552,  1553,   379,     0,   380,   381,   382,   383,
       0,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,     0,
     406,     0,     0,     0,   408,   409,   410,   411,   800,   412,
    1554,  1555,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,  1556,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
       0,   446,   447,   448,   449,     0,     0,   451,     0,   452,
     453,   454,  1557,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,     0,     0,
       0,   469,   470,     0,   471,   472,   802,   473,  1621,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,     0,     0,   491,   492,
     493,  1559,  1560,     0,  1561,     0,   496,   497,   498,   499,
     500,  1562,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,     0,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   538,   803,   539,   540,   804,   541,   542,
     543,  1563,   545,  1564,   547,   548,   549,   550,   551,   552,
     553,   554,     0,     0,   557,     0,   558,   559,   560,   561,
       0,     0,   563,  1565,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
       0,   577,   578,   579,     0,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,     0,   597,     0,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,  1566,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,     0,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,  1567,   657,   658,   659,
     660,   661,  1568,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
       0,   680,     0,   681,   682,     0,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,  1569,  1570,     0,
       0,   695,   696,     0,   698,     0,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
       0,  1571,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   807,   744,   745,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,     0,  1549,   366,  1550,  1551,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,  1552,  1553,
     379,     0,   380,   381,   382,   383,     0,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,     0,   406,     0,     0,     0,
     408,   409,   410,   411,   800,   412,  1554,  1555,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,     0,   446,   447,   448,
     449,     0,     0,   451,     0,   452,   453,   454,  1557,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,     0,     0,     0,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,     0,     0,   491,   492,   493,  1559,  1560,     0,
    1561,     0,   496,   497,   498,   499,   500,  1562,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,     0,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   538,
     803,   539,   540,   804,   541,   542,   543,  1563,   545,  1564,
     547,   548,   549,   550,   551,   552,   553,   554,     0,     0,
     557,     0,   558,   559,   560,   561,     0,     0,   563,  1565,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,     0,   577,   578,   579,
       0,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,     0,   597,     0,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1566,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,     0,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,  1567,   657,   658,   659,   660,   661,  1568,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,     0,   680,     0,   681,
     682,     0,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1569,  1570,     0,     0,   695,   696,     0,
     698,     0,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,     0,  1571,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   807,   744,   745,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,     0,  1549,   366,
    1550,  1551,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,  1552,  1553,   379,     0,   380,   381,
     382,   383,     0,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,     0,   406,     0,     0,     0,   408,   409,   410,   411,
     800,   412,  1554,  1555,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,     0,   446,   447,   448,   449,     0,     0,   451,
       0,   452,   453,   454,  1557,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
       0,     0,     0,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,     0,     0,
     491,   492,   493,  1559,  1560,     0,  1561,     0,   496,   497,
     498,   499,   500,  1562,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,     0,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   538,   803,   539,   540,   804,
     541,   542,   543,  1563,   545,  1564,   547,   548,   549,   550,
     551,   552,   553,   554,     0,     0,   557,     0,   558,   559,
     560,   561,     0,     0,   563,  1565,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,     0,   577,   578,   579,     0,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,     0,   597,     0,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1566,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,     0,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,  3234,   657,
     658,   659,   660,   661,  1568,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,     0,   680,     0,   681,   682,     0,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1569,
    1570,     0,     0,   695,   696,     0,   698,     0,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,     0,  1571,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   807,   744,   745,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,     0,  1549,   366,  1550,  1551,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
    1552,  1553,   379,     0,   380,   381,   382,   383,     0,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,     0,   406,     0,
       0,     0,   408,   409,   410,   411,   800,   412,  1554,  1555,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1556,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,     0,   446,
     447,   448,   449,     0,     0,   451,     0,   452,   453,   454,
    1557,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,     0,     0,     0,   469,
     470,     0,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,     0,     0,   491,   492,   493,  1559,
    1560,     0,  1561,     0,   496,   497,   498,   499,   500,  1562,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
       0,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   538,   803,   539,   540,   804,   541,   542,   543,  1563,
     545,  1564,   547,   548,   549,   550,   551,   552,   553,   554,
       0,     0,   557,     0,   558,   559,   560,   561,     0,     0,
     563,  1565,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,     0,   577,
     578,   579,     0,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,     0,
     597,     0,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1566,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,     0,   657,   658,   659,   660,   661,
    1568,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,     0,   680,
       0,   681,   682,     0,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,  1569,  1570,     0,     0,   695,
     696,     0,   698,     0,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,     0,  1571,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   807,
     744,   745,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,     0,
       0,   366,     0,     0,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,     0,     0,   379,     0,
     380,   381,   382,   383,     0,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,     0,   406,     0,     0,     0,   408,   409,
     410,   411,   800,   412,     0,     0,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,     0,   446,   447,   448,   449,     0,
       0,   451,     0,   452,   453,   454,     0,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,     0,     0,     0,   469,   470,     0,   471,   472,
     802,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
       0,     0,   491,   492,   493,     0,     0,     0,     0,     0,
     496,   497,   498,   499,   500,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,     0,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   538,   803,   539,
     540,   804,   541,   542,   543,     0,   545,     0,   547,   548,
     549,   550,   551,   552,   553,   554,     0,     0,   557,     0,
     558,   559,   560,   561,     0,     0,   563,     0,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,     0,   577,   578,   579,     0,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,     0,   597,     0,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,     0,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
       0,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
       0,   657,   658,   659,   660,   661,     0,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,     0,   680,     0,   681,   682,     0,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,     0,     0,     0,     0,   695,   696,     0,   698,     0,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,     0,     0,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   837,   350,   351,   352,   838,   839,   840,   841,   842,
     843,   844,   353,   354,   355,   845,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   846,
     369,   370,   371,   372,   373,   374,   375,   847,   848,   376,
     377,     0,   378,   379,   850,   380,   381,   382,   383,   384,
     851,   385,   852,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   853,   854,   396,   397,   398,   399,   400,
     401,   855,   402,   403,   404,     0,   857,   858,   859,   406,
     860,   861,   862,   408,   409,   410,   411,     0,   412,   413,
     414,   415,   863,   416,   864,   417,   418,   419,   420,   421,
     422,   423,   865,   424,   425,   426,   427,   866,   867,   428,
     429,   430,   431,   432,   868,   433,   434,   435,   436,   869,
     437,   438,   439,   440,   870,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   871,   451,   872,   452,   453,
     454,   455,   456,   873,   457,   874,   458,   459,   460,   875,
     461,   462,   463,   464,   465,   876,   466,   467,   877,   468,
     469,   470,   878,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   879,   480,   481,   482,   483,   484,   485,
     486,   487,   880,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   883,   495,   884,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   885,   886,
     519,   520,   521,   522,   523,   887,   524,   525,   526,   888,
     889,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   890,   558,   559,   560,   561,   891,
     562,   563,   564,   565,   566,   567,   892,   568,   569,   570,
     893,   894,   571,   572,   573,   895,   896,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   897,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   898,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   899,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   900,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,     0,   647,   901,   648,   649,   650,
     651,   652,   902,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   903,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   904,   681,   682,   905,   906,   683,   684,   685,   686,
     687,   688,   689,   690,   907,   691,   692,   693,     0,   909,
     695,   696,   697,   698,   699,   910,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,   912,   709,   710,   711,
     712,   713,   913,   914,   714,   715,   716,   717,   718,     0,
     719,   916,   720,   721,   722,   723,   724,   725,   917,   918,
     726,   919,   920,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
       0,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,  3337,
     380,   381,   382,   383,   384,     0,     0,  3338,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,  3339,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
    3340,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
    3341,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  3342,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,  3343,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,  3344,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,  3345,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,  3337,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,  3339,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,  3340,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,  3341,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,  4412,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,  3343,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,  3344,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,  3345,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,  3337,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,  3339,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
    3340,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
    3341,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,  3343,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,  3344,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,  3345,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,  1161,   350,  1162,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,  1163,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,  1206,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,  1164,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,  1165,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,  1161,   350,  1162,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,  1163,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
    4093,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,  1164,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,  1165,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,   340,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   796,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,   799,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,   801,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,  1161,   350,  1162,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,  1163,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,  1164,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,  1165,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,  3578,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,  3408,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,  1241,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,  3409,  3410,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
    1058,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,   340,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,  1059,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,  1060,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,   340,     0,     0,    37,     0,     0,    39,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,  1303,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,  2479,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,  2480,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,  2481,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
    2482,   458,   459,     0,     0,     0,  2483,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
    2484,  2485,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,  2486,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,  2487,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,  2488,   637,
     638,   639,   640,   641,   642,  2489,   644,   645,   646,   805,
     647,     0,  2490,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
    2491,   683,     0,  2492,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,  2493,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,  1162,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,  1163,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,  1164,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,  1165,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,  3408,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,  1241,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
    3409,  3410,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,  2468,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,   340,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,  3954,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,  3955,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,  3205,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,  3956,   683,     0,   685,   686,
    3957,   688,  3958,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,  3959,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,   340,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   823,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,   340,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,   801,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,   340,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,  1005,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,   340,     0,     0,    37,     0,     0,    39,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,  1405,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  1406,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,  1241,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,   340,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,  1531,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,  4176,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,  4177,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,  4189,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,  4190,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,   340,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,   340,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,  1065,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,   340,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,  1122,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,   340,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
    1182,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,  1241,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,  1362,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,  1363,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,  1860,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,  2049,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,  1241,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,  2106,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  2107,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,  2340,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
    2468,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
    3205,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,    39,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,    40,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,  4958,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,  5397,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
    5411,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,  5510,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,  5583,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,  5966,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,  1188,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,  1190,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,  1191,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,     0,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,  1192,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,  1193,   693,     0,     0,
    1194,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,  1195,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,  1235,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,  1191,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,     0,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,  1236,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,  1237,   693,     0,     0,  1238,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,  1195,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
    1255,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  1387,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,  1397,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  1400,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,  1416,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  1474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,  1479,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  1495,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,  1498,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  1500,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,  1547,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  1615,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,  1617,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  1627,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,  1630,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  1633,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
    1871,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,  1220,
     377,  1191,   378,  1872,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,     0,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,  1224,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
    1225,   634,   635,   636,   637,   638,   639,   640,   641,   642,
    1226,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,  1864,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,  1228,   693,     0,     0,
    1229,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,  1195,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,  1230,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,  1980,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,  1981,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,  1190,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,  1191,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,     0,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,  1195,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  2288,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,  2322,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  2324,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,  2402,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  2404,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,  2406,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,  2522,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
    3186,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,     0,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  3623,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,  3627,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  3713,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,  4098,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  4156,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,  4179,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,  4181,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,  4331,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,  4373,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,  5696,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
    6237,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,  7011,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,  1220,   377,  1191,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,     0,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,  1224,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,  1225,   634,   635,   636,   637,
     638,   639,   640,   641,   642,  1226,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,  1864,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,  1228,   693,     0,     0,  1229,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,  1195,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,  1230,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,  1191,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,     0,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,  1195,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,  1220,   377,  1191,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,     0,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,  1224,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,  1225,   634,   635,   636,   637,
     638,   639,   640,   641,   642,  1226,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,  1864,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,  3258,   686,   687,   688,   689,   690,     0,
     691,  1228,   693,     0,     0,  1229,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,  1195,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,  1230,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,  1220,
     377,  1191,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,     0,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,  1224,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
    1225,   634,   635,   636,   637,   638,   639,   640,   641,   642,
    3320,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,  3321,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,  1228,   693,     0,     0,
    3322,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,  1195,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,  1230,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,  1220,   377,  1191,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,     0,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,  1224,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,  1225,   634,   635,   636,   637,
     638,   639,   640,   641,   642,  3405,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,  3321,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,  1228,   693,     0,     0,  3322,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,  1195,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,  1230,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,  1220,
     377,  1191,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,     0,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,  1224,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
    1225,   634,   635,   636,   637,   638,   639,   640,   641,   642,
    3429,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,  3321,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,  1228,   693,     0,     0,
    3322,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,  1195,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,  1230,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,  1220,   377,  1191,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,     0,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,  1224,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,  1225,   634,   635,   636,   637,
     638,   639,   640,   641,   642,  1226,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,  3321,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,  1228,   693,     0,     0,  3322,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,  1195,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,  1230,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
       0,   470,     0,   471,   472,   802,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,     0,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,    35,   340,     0,     0,    37,     0,    38,
      39,     0,     0,     0,     0,    40,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,     0,   378,   379,     0,   380,   381,   382,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,     0,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,     0,     0,
       0,   406,     0,     0,     0,   408,   409,   410,   411,     0,
     412,   413,   414,   415,  6516,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,  2245,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,  2246,     0,   571,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,     0,   681,   682,     0,     0,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
       0,     0,   695,   696,   697,   698,   699,  2247,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,     0,   719,     0,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,     0,   744,   745,     0,     0,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,  1336,  1337,
    6517,     0,     0,     0,     0,     0,     0,  6518,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,   102,   103,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,     0,   378,   379,
       0,   380,   381,   382,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,     0,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,     0,     0,     0,   406,     0,     0,     0,   408,
     409,   410,   411,     0,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
       0,   647,   146,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,   151,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   158,   719,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,   160,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,     0,   744,   745,  1432,
       0,     0,   161,     0,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,  2586,     0,     0,  2587,     0,
       0,   162,  2588,  2589,  2590,  2591,  2592,  2593,  2594,  2595,
    2596,  2597,  2598,  2599,  2600,  2601,  2602,  2603,  2604,  2605,
    2606,  2607,     0,  2608,  2609,  2610,  2611,  2612,  2613,  2614,
    2615,  2616,  2617,  2618,  2619,  2620,  2621,  2622,  2623,  2624,
    2625,  2626,  2627,  2628,  2629,  2630,  2631,  2632,  2633,  2634,
    2635,  2636,  2637,  2638,     0,     0,  2639,  2640,  2641,  2642,
    2643,  2644,  2645,  2646,  2647,  2648,  2649,  2650,  2651,  2652,
    2653,  2654,  2655,  2656,  2657,  2658,  2659,  2660,  2661,  2662,
    2663,  2664,  2665,  2666,     0,  2667,  2668,  2669,  2670,  2671,
    2672,  2673,  2674,  2675,  2676,  2677,  2678,  2679,  2680,  2681,
       0,  2682,  2683,  2684,  2685,  2686,  2687,  2688,  2689,  2690,
    2691,  2692,  2693,  2694,  2695,  2696,  2697,  2698,  2699,  2700,
    2701,  2702,  2703,  2704,  2705,  2706,  2707,  2708,  2709,  2710,
    2711,  2712,  2713,  2714,  2715,  2716,  2717,     0,  2718,  2719,
    2720,  2721,  2722,  2723,  2724,  2725,  2726,  2727,  2728,  2729,
       0,     0,  2730,  2731,  2732,  2733,     0,  2734,  2735,  2736,
    2737,  2738,     0,  2739,  2740,  2741,  2742,  2743,     0,  2744,
    2745,     0,  2746,  2747,  2748,     0,  2749,  2750,     0,  2751,
    2752,  2753,  2754,  2755,  2756,  2757,  2758,  2759,  2760,  2761,
    2762,  2763,  2764,  2765,  2766,  2767,  2768,  2769,  2770,  2771,
    2772,  2773,  2774,  2775,  2776,     0,  2777,     0,  2778,  2779,
    2780,  2781,  2782,  2783,  2784,  2785,  2786,  2787,  2788,  2789,
    2790,  2791,  2792,  2793,  2794,  2795,  2796,  2797,  2798,  2799,
    2800,  2801,  2802,  2803,  2804,  2805,  2806,  2807,     0,  2808,
    2809,  2810,  2811,  2812,  2813,  2814,  2815,  2816,  2817,  2818,
    2819,  2820,  2821,  2822,  2823,  2824,     0,  2825,  2826,     0,
    2827,  2828,  2829,  2830,  2831,  2832,  2833,  2834,  2835,  2836,
    2837,  2838,  2839,  2840,  2841,  2842,  2843,  2844,  2845,  2846,
    2847,  2848,  2849,  2850,  2851,  2852,  2853,  2854,  2855,     0,
    2856,  2857,  2858,     0,  2859,  2860,  2861,  2862,  2863,     0,
    2864,  2865,  2866,  2867,     0,     0,  2868,  2869,  2870,  2871,
    2872,  2873,  2874,  2875,  2876,  2877,  2878,  2879,  2880,  2881,
    2882,  2883,  2884,  2885,  2886,     0,  2887,  2888,  2889,  2890,
    2891,  2892,  2893,  2894,  2895,  2896,  2897,  2898,  2899,  2900,
    2901,  2902,  2903,  2904,  2905,  2906,  2907,  2908,  2909,  2910,
    2911,  2912,  2913,  2914,  2915,  2916,  2917,  2918,  2919,     0,
    2920,  2921,  2922,  2923,  2924,  2925,  2926,  2927,  2928,  2929,
    2930,  2931,  2932,  2933,  2934,  2935,  2936,     0,  2937,  2938,
    2939,  2940,  2941,  2942,  2943,  2944,  2945,  2946,  2947,  2948,
    2949,  2950,  2951,  2952,  2953,  2954,  2955,  2956,  2957,  2958,
    2959,  2960,  2961,  2962,  2963,  2964,  2965,  2966,  2967,  2968,
    2969,  2970,  2971,  2972,  2973,  2974,  2975,  2976,  2977,  2978,
    2979,  2980,  2981,  2982,  2983,  2984,  2985,  2986,  2987,  2988,
    2989,     0,  2990,  2991,  2992,  2993,  2994,  2995,  2996,  2997,
    2998,  2999,  3000,  3001,  3002,  3003,  3004,  3005,     0,  3006,
    3007,  3008,  3009,  3010,  3011,  3012,  3013,  3014,  3015,  3016,
    3017,  3018,  3019,  3020,  3021,     0,  3022,  3023,  3024,  3025,
    3026,  3027,     0,  3028,     0,     0,     0,     0,  3029,  3030,
    3031,  3032,  3033,  3034,  3035,  3036,  3037,  3038,  3039,  3040,
    3041,  3042,  3043,     0,  3044,  3045,     0,  3046,     0,     0,
       0,     0,     0,     0,     0,     0,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,  3054,  3055,    35,   340,     0,     0,    37,
       0,    38,    39,     0,     0,     0,     0,    40,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,     0,   378,   379,     0,   380,
     381,   382,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,     0,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
       0,     0,     0,   406,     0,     0,     0,   408,   409,   410,
     411,     0,   412,   413,   414,   415,  3111,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,  2245,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,  2246,     0,   571,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,     0,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,  2247,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,     0,   719,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,     0,   744,   745,    35,   340,     0,
       0,    37,     0,    38,    39,     0,     0,     0,     0,    40,
    1336,  1337,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,     0,   378,   379,
       0,   380,   381,   382,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,     0,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,     0,     0,     0,   406,     0,     0,     0,   408,
     409,   410,   411,     0,   412,   413,   414,   415,  3116,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,  2245,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,  2246,     0,   571,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
       0,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,  2247,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,     0,   719,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,     0,   744,   745,    35,
     340,     0,     0,    37,     0,    38,    39,     0,     0,     0,
       0,    40,  1336,  1337,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,     0,
     378,   379,     0,   380,   381,   382,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,     0,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,     0,     0,     0,   406,     0,     0,
       0,   408,   409,   410,   411,     0,   412,   413,   414,   415,
    4086,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,  2245,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,  2246,     0,
     571,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,     0,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,     0,
     681,   682,     0,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,   692,   693,     0,     0,   695,   696,
     697,   698,   699,  2247,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
       0,     0,   714,   715,   716,   717,   718,     0,   719,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,     0,   744,
     745,    35,   340,     0,     0,    37,     0,    38,    39,     0,
       0,     0,     0,    40,  1336,  1337,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,     0,   378,   379,     0,   380,   381,   382,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,     0,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,     0,     0,     0,   406,
       0,     0,     0,   408,   409,   410,   411,     0,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,  2245,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
    2246,     0,   571,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,     0,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,  2247,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,     0,
     719,     0,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
      35,   744,   745,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1336,  1337,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,   102,   103,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
       0,   378,   379,     0,   380,   381,   382,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,     0,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,     0,   406,     0,
       0,     0,   408,   409,   410,   411,     0,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   540,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,     0,   719,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,     0,
     744,   745,  1432,    35,   340,     0,     0,    37,     0,     0,
      39,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,     0,   378,   379,     0,   380,   381,   382,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,     0,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,     0,     0,
     405,   406,     0,     0,   407,   408,   409,   410,   411,     0,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,   647,     0,   648,
     649,   650,   651,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,     0,   681,   682,     0,     0,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
     694,     0,   695,   696,   697,   698,   699,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,     0,   719,     0,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,     0,   744,   745,    35,   340,     0,     0,    37,
       0,     0,    39,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,     0,   378,   379,     0,   380,
     381,   382,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,     0,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
       0,     0,   405,   406,     0,     0,   407,   408,   409,   410,
     411,     0,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,     0,   647,
       0,   648,   649,   650,   651,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,     0,   719,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,    35,   744,   745,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,  1391,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,     0,   378,   379,     0,   380,   381,
     382,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,     0,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,   405,   406,     0,     0,   407,   408,   409,   410,   411,
       0,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   540,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,     0,   647,     0,
     648,   649,   650,   651,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,     0,   681,   682,     0,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,   692,
     693,     0,     0,   695,   696,   697,   698,   699,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,     0,   719,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,    35,   744,   745,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,  1412,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,     0,   378,   379,     0,   380,   381,   382,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,     0,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,     0,     0,
     405,   406,     0,     0,   407,   408,   409,   410,   411,     0,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,  1413,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,   647,     0,   648,
     649,   650,   651,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,     0,   681,   682,     0,     0,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
       0,     0,   695,   696,   697,   698,   699,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,     0,   719,     0,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,    35,   744,   745,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,     0,   378,   379,     0,   380,   381,   382,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,     0,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,   405,
     406,     0,     0,   407,   408,   409,   410,   411,     0,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   540,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,     0,   647,     0,   648,   649,
     650,   651,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,  3502,     0,   714,   715,   716,   717,   718,
       0,   719,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,    35,   744,   745,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,     0,   378,   379,     0,   380,   381,   382,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,     0,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,     0,     0,   405,   406,
       0,     0,   407,   408,   409,   410,   411,     0,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,   467,  4575,   468,
     469,   470,     0,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,     0,   647,     0,   648,   649,   650,
     651,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,     0,
     719,     0,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
      35,   744,   745,     0,    37,     0,     0,    39,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
       0,   378,   379,     0,   380,   381,   382,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,     0,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,     0,   406,     0,
       0,     0,   408,   409,   410,   411,     0,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,  2245,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   540,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,  2246,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,  2247,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,     0,   719,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,    35,
     744,   745,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,     0,
     378,   379,     0,   380,   381,   382,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,     0,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,     0,     0,   405,   406,     0,     0,
     407,   408,   409,   410,   411,     0,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,     0,   647,     0,   648,   649,   650,   651,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,     0,
     681,   682,     0,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,   692,   693,     0,     0,   695,   696,
     697,   698,   699,     0,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
       0,     0,   714,   715,   716,   717,   718,     0,   719,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,    35,   744,
     745,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,     0,   378,
     379,     0,   380,   381,   382,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
       0,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,   405,   406,     0,     0,   407,
     408,   409,   410,   411,     0,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,  1507,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,     0,   647,     0,   648,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,   697,
     698,   699,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,     0,   719,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,    35,   744,   745,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,     0,   378,   379,
       0,   380,   381,   382,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,     0,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,     0,     0,   405,   406,     0,     0,   407,   408,
     409,   410,   411,     0,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,     0,   473,  1598,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
       0,   647,     0,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,     0,   719,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,    35,   744,   745,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,     0,   378,   379,     0,
     380,   381,   382,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,     0,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,   405,   406,     0,     0,   407,   408,   409,
     410,   411,     0,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,  1611,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,     0,
     647,     0,   648,   649,   650,   651,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,     0,   719,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,    35,   744,   745,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,     0,   378,   379,     0,   380,
     381,   382,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,     0,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
       0,     0,   405,   406,     0,     0,   407,   408,   409,   410,
     411,     0,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,  1623,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,  1624,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,     0,   647,
       0,   648,   649,   650,   651,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,     0,   719,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,    35,   744,   745,     0,    37,     0,
       0,    39,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,     0,   378,   379,     0,   380,   381,
     382,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,     0,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,     0,   406,     0,     0,     0,   408,   409,   410,   411,
       0,   412,   413,   414,   415,  3096,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   540,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,     0,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,     0,   681,   682,     0,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,   692,
     693,     0,     0,   695,   696,   697,   698,   699,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,     0,   719,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,    35,   744,   745,     0,    37,     0,     0,
      39,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,     0,   378,   379,     0,   380,   381,   382,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,     0,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,     0,     0,
       0,   406,     0,     0,     0,   408,   409,   410,   411,     0,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,     0,   681,   682,     0,     0,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
       0,     0,   695,   696,   697,   698,   699,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,     0,   719,     0,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,    35,   744,   745,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,     0,   378,   379,     0,   380,   381,   382,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,     0,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,     0,
     406,     0,     0,     0,   408,   409,   410,   411,     0,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   540,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,     0,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
       0,   719,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,     0,   744,   745
};

static const yytype_int16 yycheck[] =
{
       2,  1436,    73,    73,    73,  1273,    73,  1427,   162,    88,
      73,    73,    73,    73,    73,    73,    73,    73,    73,  1029,
      73,   106,    88,    73,   306,   115,    73,   117,    73,    73,
      73,   142,   125,  1398,  1222,  1239,   970,   965,   306,  1267,
     133,  1269,     2,   122,  1601,   973,   136,  1681,   976,   291,
    1217,   153,  2160,  2081,   124,   124,   122,  2520,  1399,  1347,
    1567,  3345,   141,  1425,  1075,  2081,  1246,  1245,   147,   148,
    3571,  3598,   970,    88,  2442,  2097,   155,  2545,   151,    81,
    1570,  3782,  1163,  1164,  1165,  2074,  1501,   828,  1169,   155,
    1721,  2318,  1554,  1555,  3636,   956,  2006,  1431,  1585,  3969,
    3731,  1229,  1398,  1565,  4249,  4451,  3598,   122,  4167,   966,
    4169,  1407,   114,    83,  2509,  1706,  2086,   119,   975,  1710,
    2546,  1417,  1713,  1714,  1098,  4023,  1124,   127,  1209,   131,
    4910,  1029,   989,  3085,   104,  3238,  3239,  3583,  1112,  2229,
     155,  1572,   142,  4500,   114,   115,  4031,   117,  4132,  4478,
    1311,  1311,   104,   123,  1330,  1331,  1332,  3467,  1008,  2123,
    2124,  2527,   829,  2127,  2074,  1596,   136,  2560,  4816,    84,
    1027,    86,  1311,  2195,  2196,  1606,  1033,  5149,  4195,  1610,
    4197,  1359,    88,  1614,   949,  1616,  3489,   278,  1045,   101,
       2,  1622,  1010,   108,  2377,  1093,   293,  1628,  4838,  1490,
    1631,  2428,   117,  4399,  4033,  5302,  4869,  5304,  1254,  5156,
    2012,  2064,  1127,   293,  1225,  1506,   122,  1096,  1364,  2189,
    1099,  5168,  1415,  1111,  5117,  1075,   297,   297,   297,  5172,
     297,  5817,  5155,  5918,   297,   297,   297,   297,   297,   297,
     297,   297,   297,  1389,   297,  5160,  2216,   297,  1394,   155,
     297,   141,   297,   297,   297,  2331,  5880,  4776,   148,   161,
    4956,  6053,  1440,  1154,  3079,  3165,  5159,  2120,   147,  3579,
    1939,  1940,  5959,  5735,   125,  3126,  5727,  3997,  1128,  3888,
    6089,  5677,   133,  1476,  2137,  5950,  3167,  1480,  3825,  1751,
    1752,  1639,  1485,  3144,  4063,  4465,  5502,  3922,  1664,  1064,
    1588,  1494,  3917,  1793,  5896,  1247,  5898,  6083,  6101,    29,
    1552,  1553,  1356,   125,  4533,  1508,  3536,  1058,  3538,  3539,
    1782,   133,  1564,  3543,  3544,  3545,  6353,  3547,  3548,  3549,
    5726,  5722,  1270,  2297,     9,  1270,  1186,  1306,  1307,    76,
      20,    76,    76,  6008,  1119,  1389,   108,    76,   957,   958,
    1394,    70,   961,  6336,  5340,  1548,  6050,  2541,  2542,  2543,
    2544,    76,    81,  2547,    76,  2549,  2550,    76,    91,   339,
      76,    76,   981,    85,    86,  1225,  5266,  5267,  5268,   988,
    5270,  5271,  5272,  5273,  5274,  3598,    76,    76,    76,  1470,
      83,    76,    76,    76,    13,    85,    86,  4775,    76,  4777,
    4778,    70,  1252,    76,  5009,    99,    75,    76,  1017,  2047,
    1019,    76,    81,  1022,  1264,  1085,  1181,  1308,  1309,    91,
      85,    86,    76,    83,   124,   107,    76,  1036,  4037,    13,
      13,    85,    86,  1042,   133,    85,    86,  6015,  6016,  2515,
     190,  1111,  1116,   165,  1648,   107,   113,  6619,   218,   940,
      95,    70,   190,    70,   155,   115,    75,    76,   241,    78,
      79,   247,    81,   247,   189,   122,    76,   264,    95,   133,
     107,  3963,   133,    70,   227,   190,   248,   102,  1219,  5175,
     247,   113,   133,   107,    81,   133,    70,   247,   148,   133,
      69,    70,  1907,  1491,    73,  6664,    75,    76,  1740,  1741,
    4134,   195,    81,    91,   133,   121,   117,  6040,    69,    91,
    6235,   192,    73,    70,  1876,    76,  1450,   117,    75,  1447,
     133,   158,    99,  1451,    81,  1453,   133,   394,    28,   106,
     105,  4023,   247,   381,   192,  1777,   358,   399,   241,  4031,
      83,   399,  5514,  6626,   258,    70,  6355,  6574,   421,   247,
      75,    76,  1450,    78,    79,  1889,    81,   363,   379,   453,
     256,   148,  1144,   458,   428,   210,  1148,  1149,  1150,   436,
     458,   205,   115,   207,   392,   413,  1158,  5968,    76,   516,
    1441,  6564,   341,   210,   150,  6250,  1436,    99,   429,    99,
     105,   471,   286,   190,   106,   366,   106,   235,   448,   194,
    1365,  1647,   436,  6195,   471,   148,   551,    95,   157,   266,
     455,   190,   224,    83,   271,   296,    88,    21,  5979,   242,
     453,   551,   560,   458,   185,   336,  1393,  7098,  7088,   601,
       0,   150,   133,  1837,  1608,  1813,   608,  2144,   296,  6090,
    7111,  7101,   392,   162,   367,  1412,   584,  1851,  1415,   402,
     122,   362,    70,   488,   424,   278,   593,    75,   603,   150,
     942,   273,  6023,    81,  1842,   322,    70,   117,   605,   759,
     760,  1436,   192,   603,   942,   150,   521,  1881,  1882,   150,
     518,   362,   516,   155,   247,   323,    83,   162,   237,   553,
     540,   162,   694,   247,    93,   367,   150,   150,   293,   150,
      83,   150,   263,   462,   362,   546,   539,   478,   603,   603,
     424,   226,   291,  6740,  1688,   603,  1727,   162,   115,   441,
     247,   107,   210,   247,   694,   563,   606,   162,   362,   547,
     603,  1705,   516,   539,    93,   438,   603,   382,  1653,   560,
     454,   603,  2076,   442,   425,   603,   247,   326,  1722,  6918,
    3963,   148,   448,    99,  2050,   603,   212,   579,  6483,   107,
    4956,   254,  1371,  1372,  6573,  6298,  1812,   425,  1659,  5716,
     464,   254,   254,  1664,  4408,   197,  1446,   271,   442,   367,
     341,   442,  5128,   344,   284,   367,  6480,  1457,  4984,   759,
     760,   442,   402,   518,   442,   440,   441,   547,   442,   195,
     226,   516,   254,  1473,  6887,   195,   603,  2227,  2228,   593,
    4023,  5451,  2108,   442,   439,   550,   206,   603,  4031,   476,
     603,   605,    93,  5169,  6851,  2166,   471,   443,   581,   442,
     531,   603,   499,   603,  1443,   442,  2127,  1328,   563,   606,
    2474,   603,   190,   603,   471,   539,  4991,   584,   585,  1458,
     584,   585,  4997,   603,  4913,   593,  4915,  5843,   828,   938,
    1871,   541,  1637,  2225,   483,  6848,   603,   499,   603,   603,
    5389,   546,   938,  2430,   603,   594,   595,  1727,   593,  1488,
    1489,   601,   564,   606,   606,  4770,  1932,  2525,  2179,  2180,
     605,   603,   601,   530,   603,  6346,   605,   603,   603,   483,
     483,   462,   564,   603,   481,  1514,   599,   606,   606,  5799,
    5515,   984,   539,   603,   603,   603,  6943,   597,   603,   603,
     603,  5526,  6731,   938,  2481,   603,   595,   564,  7100,   546,
     603,  6509,  2394,   332,   606,   546,  2493,  7109,   603,   599,
     564,   516,   606,  1014,  1014,   606,   546,  1014,   606,   603,
     516,  6744,  1014,   603,  6730,   606,  1014,   458,   606,  1014,
    6351,  2154,  2108,  4066,  2157,  4068,  2234,  6759,  6995,   481,
    1060,   481,  2403,   332,  1128,   594,   595,   606,  1947,  5175,
    2411,  4291,  4292,  6677,  6678,   371,  4296,  1925,  4434,   949,
    1925,   489,   490,   606,  1603,  1604,  1938,   594,   595,   606,
    5219,  5220,  5221,  5222,  5223,  6670,   102,  2298,    93,  1011,
    5388,  3194,  5390,  5391,   601,   594,   595,   578,   605,  5078,
    3972,  1871,  6228,   543,  6689,   516,  4651,  4652,  2072,  1879,
    1880,  1273,   938,  1703,    93,  3218,   384,   594,   595,  3222,
    1131,   516,  1984,   606,  6853,   516,  4661,  6639,  1141,   603,
    1143,   552,  1145,   596,   597,   598,   599,  1127,  1151,   458,
     406,   332,   516,   516,  5234,   516,   516,   516,    95,   594,
     595,   457,  1654,  1075,  1076,  1657,   521,  2121,  1660,   606,
    1662,   516,   606,  1665,  1177,  1178,   292,  1669,  1058,  2455,
    1060,  2439,  4861,  5077,  2138,  2461,   546,  4634,  2585,   458,
     556,  6073,  4002,  1176,  1064,  2115,    93,   506,   560,  1874,
    6572,  4736,   606,   606,  1879,  1880,   195,  1119,  6569,   541,
     466,  4431,  4003,   606,   606,  2545,   596,   597,   598,   599,
     556,  2373,  2374,  6942,    76,  3986,    93,   949,   537,    36,
     225,    38,   560,   539,  1223,   292,   259,   506,  1227,   539,
     241,   292,  1122,    24,   606,  6551,  1126,  4377,  6823,  1119,
     546,   183,   508,   562,   510,  1262,   584,   233,   183,   276,
    6857,  6858,  6568,  1246,  2026,  5955,   594,   595,   537,   190,
    1182,    93,  1262,   210,  6770,    24,   247,  6080,   378,  6287,
     159,  6289,  1265,   169,   195,  6293,  6294,   594,   595,   596,
     597,   598,   599,   562,   603,  1278,   249,   286,  1210,   444,
    1125,   594,   595,   596,   597,   598,   599,  2115,  1220,  4034,
    5204,  1181,  1224,  1225,  1226,  1899,   109,  4836,  1143,  2047,
    1145,   183,  1247,   202,  1999,   506,  6921,   248,   193,   326,
    1155,  2445,  5140,  7035,   603,   593,  2327,   133,  2582,  1219,
     249,  1221,  1064,   601,   183,   603,   604,   605,   606,   338,
     384,   379,  1177,  1178,  4984,   169,   537,   128,    69,  1221,
    6894,    76,    73,   332,   271,  4767,   247,   253,  4770,  6741,
      76,  6732,  1355,   292,    79,   286,  5982,  2052,   195,  1349,
     384,   562,  1143,   259,  1145,  7047,  4399,  2062,   516,   205,
     193,    76,  2490,  2491,  1306,  1307,    13,  1119,    76,  1311,
    6997,   292,   267,    93,   190,   381,    93,   200,   107,   184,
    2366,   556,  3338,    95,  1403,  1404,  1177,  1178,  3238,  1141,
     185,  1143,   603,  1145,  7086,   159,  3306,   380,   199,  1151,
    1152,  1153,   541,   439,  1223,   332,   195,    80,  1227,   253,
    1429,  1311,   363,  1255,    87,    88,    89,   453,   247,   455,
     161,  6333,  5881,  1429,  5710,  1177,  1178,   394,   453,  1181,
    6342,   313,  7057,  3841,   267,   332,  1336,  1337,   202,   286,
    2145,   380,   271,  4910,  2149,  2150,   259,    95,   606,   474,
    4493,  5748,   358,   101,  2244,  5724,   503,  6859,  6345,   458,
     606,  2579,   378,  6318,   603,  1365,   247,   247,   263,   436,
     292,   276,  5471,   603,  1429,   216,  6363,   288,  4910,  3389,
     332,  6344,  6365,  6395,  6317,   521,  2400,   514,   397,  2281,
     271,   271,   545,  6348,  1436,  3525,  5495,   286,   210,   436,
    2414,  2111,   560,   440,   471,   248,   468,   506,  3250,   288,
     138,   292,   292,  2427,  6347,   516,   362,   523,  2067,   606,
     539,  7047,  3855,  3856,   605,   362,   938,  3860,   444,   560,
    2398,   458,   358,  3326,   471,  2409,  1436,   278,   537,  6941,
    2526,  2527,   606,  2092,  2372,   358,   341,  2533,   503,   344,
    6952,   367,   491,  2539,  2540,  2356,  2261,  6595,   159,  1311,
    7086,   458,   210,   562,   146,  2551,  3582,  3615,  3901,  3902,
    2408,  2409,   606,  1403,  1404,  2561,  5401,   544,  2397,   506,
    5405,  2567,  1334,  1429,  1336,  1337,  3195,    69,  3197,   142,
     541,    73,   541,  2412,  6996,  2450,  2415,  2425,   539,  6636,
     509,   202,   292,   338,   603,   516,   458,    98,  2558,   506,
     537,   503,   332,  1365,  4767,   332,   442,  4770,  2167,  6222,
     541,   185,   367,   560,  2455,    93,    93,  7029,   292,   190,
    2461,   367,    13,   397,   503,   562,  6216,   471,   185,   545,
     537,  6553,   371,  1653,   560,   471,  2256,   584,  2197,  2198,
    2199,  2200,   367,   458,   506,   398,  1064,  2267,  7060,   367,
     401,    95,   185,  1012,  2483,   562,    97,   462,  2487,  2488,
     223,   162,  1524,  2283,  5141,   464,   603,   524,  6565,   161,
    5449,   225,   394,    69,  1436,   537,   607,    73,   604,   120,
     243,   607,   539,   185,  1636,  1637,   501,  1639,   503,   263,
     263,   607,   247,  5185,   225,  3634,   603,   380,  5140,  5141,
     562,   122,  3072,  2262,  2263,   416,   263,  5674,  1812,   541,
    2558,   601,  6751,   472,   436,   605,   271,  2337,   372,  2278,
     358,   560,   545,   215,   477,   378,  1636,  1637,   458,  1639,
     263,   458,  6751,  6463,   155,   509,   394,   292,    69,  2359,
     539,   603,    73,  3124,  1976,   399,  1698,  4910,   249,   471,
     541,   541,  2372,  2312,  2313,  2314,  2315,  2525,  1976,  1118,
     203,   263,   606,  1181,  2384,   161,   210,   341,   341,    99,
    3630,   214,   379,   578,  3634,  1727,   506,  3234,   436,   506,
     190,   532,  1702,   375,   341,    24,   397,   344,   142,   540,
    3074,  1656,   543,  1658,  3078,    34,  1661,   310,  1663,   362,
     169,  1666,  1667,  1668,  2424,  2425,  6728,   537,   341,  2433,
     537,   344,  6091,   471,  1679,   162,   607,   607,   379,   215,
     189,   392,   222,   153,   173,  1247,   156,  6866,   250,  1694,
    2447,  1696,   562,   163,   606,   562,  5982,   329,   610,   341,
     112,   541,   344,   190,   603,   358,   287,  6866,   183,   142,
    3983,   414,  1211,  1894,   332,   332,  2480,   226,   384,   190,
    2484,   191,  1814,  1910,  1911,  2489,  1913,   541,  2492,   249,
    5104,  1823,  2431,   603,  1636,  1637,   603,  1639,  2437,  3264,
    1910,  1911,  5142,  1913,  6482,  6737,  6738,  1839,   462,   462,
     290,   192,   603,   464,   247,  5148,  5066,   190,   509,   372,
     139,  5071,   394,  4956,  1927,   462,  1929,   256,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   418,   271,  1871,
     474,   251,  1874,  1875,  6846,   142,   399,  1879,  1880,   462,
     378,  4984,   503,   329,   264,   372,   100,  1857,  1858,   292,
     432,   372,   358,   474,   436,   162,   240,   277,   440,   603,
     394,   394,   362,   560,   455,  1857,  1858,   192,   251,  5401,
     462,   474,   399,  5405,  1874,  7004,  3120,  2587,   399,  1879,
    1880,   534,   541,  1938,   379,   369,   547,  5140,  5141,   471,
     458,   458,    95,  2012,   384,  7004,   541,     7,   101,   560,
      10,    11,   436,   436,  2023,  1947,  2012,   269,   394,   560,
     259,    21,    22,    23,   194,    25,    26,  1429,   362,   358,
      30,    31,    32,   584,   506,   362,  6938,   509,   519,  1984,
     521,   578,   206,   358,   525,  1945,   539,   471,   506,   506,
     452,   362,   603,   471,   603,  2064,   367,   459,   418,  6335,
    3178,   195,   603,  1945,   466,   578,   603,  2012,   458,   288,
    5885,   516,   607,  1963,  1964,  5890,   210,   134,  5893,   537,
     537,   296,  1533,   432,     5,   142,   367,  3425,   560,   362,
     603,   402,   110,   471,   367,  6354,   578,  6675,   604,   471,
     606,   413,   504,    24,   562,   562,   124,  2646,   182,  1999,
    3336,  2120,  6944,    34,   562,   464,   252,   210,   603,   358,
     110,   190,   286,   293,   238,   527,  3217,  3217,  2137,   252,
     506,   471,  1874,   509,   124,   409,   358,  1879,  1880,  2129,
    3435,   414,  5175,   287,  2134,   603,   603,   362,  3217,   545,
     603,   222,  6862,   533,   503,   394,   190,   430,   606,  5790,
     229,   606,  2052,   181,   235,   362,   341,   541,  3506,   344,
     241,   516,  2062,   601,   190,   243,  2012,   605,   488,   213,
     565,   491,  2185,   183,   513,   219,   603,  4580,   606,   503,
     326,   181,   603,    80,  3681,   264,    83,   436,   547,   233,
      87,    88,    89,   326,  6118,  4598,   518,   393,   541,  3435,
     425,   560,   394,   336,   436,  1957,   441,    76,   139,   290,
    2210,  1963,  1964,  4063,  2214,   241,   241,   192,   606,   192,
    4149,    99,  2164,  4073,   606,   584,  4274,  4635,   253,   353,
    2172,    99,  4640,  5700,   222,  5676,   471,  3473,   593,  1700,
    2124,   563,   323,  2127,   603,  2145,   271,  1999,  5401,  2149,
    2150,   534,  5405,   337,  3485,   480,   606,   285,   342,   326,
    2279,   275,    80,    83,   607,    83,   241,   411,  5700,    87,
      88,    89,  3508,  2279,  5715,   471,   394,   462,   209,   471,
    7000,  3652,   428,   362,  4650,   285,   193,   105,  6585,  3660,
    5931,   394,  5933,   374,   603,   115,   545,  3415,  6567,  4149,
    2052,   393,  6112,   384,   438,   280,  3677,   280,  4614,  5695,
    2062,  3519,  3520,  3521,    95,   455,  3687,    83,   436,  3690,
     101,  3692,  3693,   367,  2279,  3696,  4356,   205,   148,  3700,
     358,  3702,  4362,   436,  3705,   323,   346,   205,   394,  4672,
    4673,  4674,  4675,  4247,   358,  4678,  4679,  4680,  4681,  4682,
    4683,  4684,  4685,  4686,  4687,   310,   464,   288,   358,  6316,
     267,  2261,   508,  2305,   510,   238,  6191,  2309,   471,  6368,
    6981,  3602,  3603,  3604,  3605,   508,  3607,   510,   560,   471,
     436,   521,   148,   358,   382,   358,  4553,   362,  4298,   362,
    5961,   537,  3413,  2145,  3415,   503,   394,  2149,  2150,   453,
     410,  3632,  3488,   358,   537,   235,   170,   553,   182,  4742,
    4743,  5878,  3783,  2297,  5664,   471,  5666,   249,   102,   384,
    3334,   446,  7070,  3297,   606,  7073,   560,   393,  3296,   210,
    3298,  3299,   460,  2279,  2300,  4345,   363,   364,   436,   547,
    2450,   364,   315,  7054,   393,   129,  5878,   394,  2542,   503,
     584,   283,   533,  5885,  2320,  5922,    35,   309,  5890,  3297,
     460,  5893,    41,    42,  6733,   518,  6390,  2518,   242,  7023,
     425,  7025,   606,   336,  3264,   394,   294,  4812,  5638,   523,
    5640,  5641,  5642,   380,   248,   432,  6296,  2500,  5955,   436,
    5922,   535,  3293,   323,    73,   603,   461,  2439,  2509,  2509,
    2442,   440,  2509,  6341,   278,   471,   248,  2509,   394,  2261,
     563,  2509,  4474,   441,  2509,  4639,   526,   436,   282,   474,
    4644,  4645,  3655,  5955,   471,   377,  1938,   164,   108,   235,
     440,  3212,   471,   297,  5426,   241,  3333,   464,  7092,  2439,
     282,   464,  2442,   471,   374,   250,   508,  5700,   510,  3976,
     436,   453,   471,   455,   552,   297,   320,  3673,   557,  3264,
      35,   471,   380,   337,   560,   170,    41,    42,   342,   560,
     207,   151,  1984,    48,    49,   560,   503,  6863,   320,    54,
     503,  2521,  3131,  6852,   539,   349,  1128,  6672,    63,  2608,
      65,  2343,    67,   584,    18,    19,  2538,  2452,    73,  2454,
    2012,   603,  2608,  2458,  3625,  2460,    97,   606,  2463,   188,
     606,   335,  2467,    37,   378,   606,    40,   323,  2370,   521,
     547,   606,   518,   436,   547,   453,   362,  3424,  2380,   120,
    2382,   367,   560,   560,  6101,    35,  2388,   560,   362,   218,
    2392,    41,    42,   248,  1186,  2129,  3584,   394,    48,    49,
    2134,   222,  6462,  2608,    54,   312,   584,   584,   471,   487,
     239,   584,   603,    63,   235,    65,  6237,    67,   374,  6101,
     241,  3657,  4074,    73,   394,   607,   603,   282,   606,   607,
     603,   604,   235,   447,   607,  3295,   422,  2439,   241,   436,
    2442,  3301,   297,   440,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   560,   482,   447,  3824,   131,  3505,   560,
    1252,    75,   291,   188,   419,   320,   436,    81,   428,   290,
      49,   501,  1264,   425,   471,  5878,  2210,   584,  4099,   507,
    2214,   428,  5885,   584,  3439,   437,   436,  5890,    67,  3349,
    5893,   165,  3447,   218,   349,  3450,  7032,   452,   394,   607,
     607,   471,   323,  3302,    95,   465,   607,  3965,   606,  6191,
     540,   466,  2608,  5096,   239,   467,   118,   516,   465,  5922,
     323,   471,  4303,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   206,  2535,  2536,   508,   100,   510,   188,   141,
     436,   370,   541,   503,   609,   247,   150,   111,  7072,   504,
    2552,  2553,  5955,   374,   241,   392,   503,   121,   162,  4180,
    2121,  4182,   108,   384,   241,  7089,   291,  6816,   218,   271,
     161,   374,  6821,  6822,   541,   471,     2,  2138,   265,   143,
      70,   601,  2584,   241,   130,   593,  4064,   607,   265,   239,
     352,    81,   447,   553,   288,  5248,    35,   605,   464,  3463,
      39,  3465,    41,    42,  4135,  3469,   553,   265,  5516,    48,
      49,  5264,   203,    15,   376,    54,  5524,  2279,  6028,   210,
     560,  3857,    39,   214,    63,   213,    65,   464,    67,    68,
    4928,   219,    71,  3869,    73,  5293,   182,   503,  6370,  4463,
    4171,   291,  5300,  5301,   584,   370,  3445,   139,   140,  3448,
    4136,   584,   585,  3125,   516,    81,  3974,   584,   585,  6341,
      69,   603,    88,   373,    73,   494,   503,  3125,   378,  3905,
     603,  3789,   598,  3791,  3792,   516,   603,   603,   162,   605,
     106,   547,   596,   597,   598,   378,   515,    96,   114,  5982,
     383,    69,    70,   170,   560,    73,   122,  3557,  6101,   354,
     355,   356,   357,    81,   533,  4326,  4912,  6424,    69,    70,
     547,  4332,   533,  3949,  4926,   141,  4928,   516,   584,   548,
     370,   147,   148,   560,  3924,   516,  4250,    69,   274,   155,
    6230,    73,  4892,  5150,   598,  3786,  4222,   603,  3537,   603,
    6989,   605,  6424,  6803,   516,   378,  6463,   584,   596,   188,
     383,  3550,   161,   601,   222,   603,   606,   605,  6252,  3558,
     610,  4861,   105,  6257,  6258,   596,   603,   235,   252,   494,
     601,   248,   603,   241,   605,   416,  4597,  1389,  6669,   218,
     601,  6463,  1394,   604,   605,   604,   332,   606,  6191,  3744,
     515,   337,   276,   606,   607,  3726,   342,   601,  3597,   603,
     239,   605,   602,   394,  4964,   282,   606,   216,   533,   602,
     521,  6104,   358,   606,  3868,   604,  3870,  3871,   607,  3618,
     297,    80,   290,   548,    83,   603,   371,   605,    87,    88,
      89,   604,    85,    86,   607,  4440,  3924,   604,   604,   606,
     606,   432,   326,   320,   494,   436,   553,   393,  2571,  4529,
    4530,  2574,   291,   313,  6571,   323,   601,   604,   603,   606,
     124,   461,   271,  3126,   604,   515,   606,    80,  3127,   278,
      83,   604,   349,   606,    87,    88,    89,  3741,   103,   104,
     471,  3144,  3145,   533,  3683,   610,  3685,   478,   108,  6571,
      33,   560,   105,   562,   603,   441,  5454,   340,   548,   383,
     603,   378,   605,   604,   603,   606,   374,   171,   521,  3997,
     130,  3103,  4113,  3773,   461,  4396,   384,   453,   454,   465,
    4541,   604,  4543,   606,  4545,  4089,  4090,   508,  3788,   510,
     438,   370,   196,  3793,   604,  3183,   606,  3977,  6341,  5157,
     486,  7001,   604,   604,   606,   606,  2608,   604,   336,   606,
    5162,   215,   604,   604,   606,   606,   220,   604,    80,   606,
     610,   336,   182,  3823,   604,  3266,   606,  3268,   166,   604,
     447,   606,   276,   604,  4245,   606,   606,   607,   242,  4250,
     608,  3250,   246,   604,    70,   606,  6486,  6487,  3787,   584,
     585,   537,   401,   487,  3250,  3794,   604,   261,   606,  5178,
     594,   595,   596,   597,   598,   604,   560,   606,   562,  3201,
     604,   487,   271,  5387,  3164,  3165,   453,   454,  7078,  4402,
     487,  6424,  3977,   340,   508,  3217,   510,  6744,  3220,  3221,
     604,   251,   606,   453,   454,   294,  6727,   521,   604,   448,
     606,   604,  3305,   606,   604,  3250,   606,   604,   521,   606,
     534,   265,  3212,   537,   274,   494,   157,  3326,   604,   508,
    6463,   510,  6744,   129,   541,   533,   604,  3217,   606,   461,
    3220,  3221,  3264,  4113,   313,  4239,   515,   604,  5178,   606,
     604,   294,   606,  3085,   604,   603,   606,  4911,   222,   551,
    4914,   500,   553,  4917,   533,   560,  4260,   562,   604,   609,
     606,   235,  3371,   367,   453,   454,  3375,   241,   604,   548,
     606,   604,   332,   606,  3264,    81,   604,   337,   606,  3375,
     603,   380,   342,   532,   604,   604,   606,   606,  3320,   501,
    3399,   540,   378,   601,   543,  6240,  6241,   605,   358,  6856,
     604,   129,   606,  3399,   458,  6862,  3409,   594,   595,   596,
     597,   598,   606,  3422,  3250,   602,   290,  4428,   422,   604,
     553,   606,  3164,  3165,  5822,  5823,  3371,   380,  6571,   604,
    3375,   606,   118,   393,  6856,   604,   560,   606,   562,  3462,
    6862,   604,   604,   606,   606,   604,   205,   606,   207,   323,
     604,  4715,   606,   604,  3399,   606,   604,   604,   606,   606,
     604,   580,   606,  4404,   296,  4406,  4858,   604,   604,   606,
     606,  6419,  6420,  3405,  4584,  3217,  6632,  6633,  3220,  3221,
     605,   441,   604,   604,   606,   606,   381,   604,  4092,   606,
    3499,   378,   560,  5531,   562,   241,   604,  3429,   606,   604,
     374,   606,   604,  3499,   606,   465,  5829,   604,   378,   606,
     384,   580,   604,  4805,   606,  4419,  4116,  4421,   381,   604,
      80,   606,  3264,    83,  4124,   604,   486,   606,   694,   604,
     118,   606,  6746,   580,   604,  3371,   606,   246,   604,  3375,
     606,   296,   604,  7000,   606,   604,   604,   606,   606,  3439,
    5496,  4492,   603,   596,  3499,   115,  3565,  3447,   606,   604,
    3450,  3493,   122,  3399,   604,  3497,   606,   604,   604,  3565,
     606,  4399,   604,   604,   606,   606,   129,   537,  7000,   247,
    4119,  4120,  4846,  3598,   604,   604,   606,   606,   148,   604,
     292,   606,   591,   592,   593,   594,   595,   596,   597,   598,
     599,  6744,  3534,   604,  3536,   606,  3538,  3539,   292,   603,
    3352,  3543,  3544,  3545,   596,  3547,  3548,  3549,   607,   604,
    3565,   606,   609,   604,  4404,   606,  4406,   288,   604,  4229,
     606,  4231,   604,   604,   606,   606,   609,  5201,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   604,   217,   606,
      80,   108,   604,    83,   606,   604,   604,   606,   606,   533,
     220,   129,   604,  3499,   606,   604,  4884,   606,   604,  3601,
     606,   604,  4780,   606,   604,   604,   606,   606,   288,   604,
      80,   606,   604,    83,   606,   115,   294,    87,    88,    89,
     462,  4667,   122,   604,  3626,   606,  4600,  3439,   604,   604,
     606,   606,  5406,   516,  5408,  3447,   266,    80,  3450,   344,
      83,   271,  4492,  6856,  1927,   606,  1929,   603,   148,  6862,
    3462,   605,   564,   603,   603,  4701,   436,  4327,   271,  3565,
     227,   603,   605,   227,   378,   271,   436,  6130,   378,  3671,
     227,   227,   115,   271,   227,   378,   241,   436,  3757,   122,
     227,   607,   192,   321,   541,   378,   603,   371,   604,   241,
     142,  3757,   322,   362,   108,   362,   564,   603,   362,   378,
     118,  4371,   938,  3857,   526,   148,  4752,   118,   362,   362,
     161,  5052,   394,   553,  6998,    80,   553,   157,    83,   521,
     956,   241,    87,    88,    89,   417,   608,   550,   227,   965,
     966,   227,   603,   227,  4927,   410,   603,   973,   603,   975,
     976,   227,  3757,   108,    80,   107,   564,    83,   603,   227,
     380,  3905,   227,   989,   606,   227,  3726,   241,   227,   227,
     227,   227,  6155,   227,  4373,   227,   266,   227,   227,   227,
     227,   271,  1008,   378,   503,   603,  4450,   220,  3250,   115,
     108,   321,   378,   603,  3744,   241,   122,  7000,   241,    76,
      76,  1027,   603,   603,  5062,   241,   603,  1033,   603,  5230,
    3879,  4471,  5233,   603,   603,    76,  3885,   603,   603,  1045,
     603,   603,   148,  3879,   603,   603,   603,   603,   603,  3885,
     603,   603,   322,   266,   294,   603,   603,    76,   271,  1065,
     603,    76,  5263,   369,   603,   603,   603,  5747,   603,  1075,
    4605,   603,   603,   603,  1080,  5352,   476,  4517,   603,  1085,
     603,  3757,   603,  1089,  1090,  3957,  3958,  3959,  3670,  3671,
    1096,   603,  1098,  1099,  3879,   561,   603,   603,   603,   603,
    3885,   603,   390,  4027,   108,  1111,  1112,   603,  3963,   322,
     380,  5074,   603,  1119,   220,   236,   292,   606,   606,   173,
     292,   321,  1128,   294,   108,  4569,   241,   606,   374,  3371,
     241,   372,   471,  3375,   288,   596,   189,   540,   606,   108,
     380,    13,   593,  3986,   604,   603,    80,   606,   603,    83,
     607,   604,   138,    87,    88,    89,   603,  3399,   516,   294,
     266,   130,  3744,   516,   458,   271,   516,   380,  4023,   516,
     552,   105,   458,   605,   516,   516,  4031,  4556,   323,  4619,
    1186,   115,   582,   458,   516,   149,   516,   593,   122,   162,
     458,   516,   227,   378,   594,   595,   596,   597,   598,   599,
     463,   318,   516,  3879,   516,  3977,   476,   367,   198,  3885,
    1216,  1217,   516,   182,   148,   506,   322,  1223,   453,  1225,
     540,  1227,   399,   378,   372,   603,   264,   516,   198,   516,
     603,  4671,   162,   394,   606,   271,   227,   516,   541,   541,
     516,  1247,   516,   198,   516,   380,  1252,  3977,  1254,   516,
     198,   184,   129,   129,   516,   516,  4696,  3499,  1264,   516,
     346,   516,   382,   476,  6427,   516,   516,   516,   421,   516,
      80,  4001,  4002,    83,   380,   421,  5477,    87,    88,    89,
     421,  5685,   117,   516,   608,   516,   506,  6085,  4956,   399,
     399,   516,   516,   606,   294,   105,   294,   516,   516,   516,
    1306,  1307,   516,   604,   378,   274,   294,   294,   378,   294,
     516,   294,   582,   294,   294,  5419,  4984,   294,   294,   526,
     603,   108,   227,  3565,   594,   595,   596,   597,   598,   599,
     378,   227,   266,  5534,  5535,   362,   190,   271,   541,   227,
    5444,  4113,   227,  1349,   552,   227,  4195,  4196,  4197,   378,
     329,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     294,   295,   108,   332,   108,   362,   362,   362,   337,   582,
     476,   241,   313,   342,   107,   460,   514,   514,  5122,  5123,
     516,   594,   595,   596,   597,   598,   599,   516,   322,   358,
    3972,   603,   603,  3975,   227,  3977,   605,  1403,  1404,   604,
     227,   603,   603,   601,   601,   227,   227,   541,   541,    13,
    4195,  4196,  4197,   606,   371,   516,   366,   604,   247,  4001,
    4002,  1427,  1428,  1429,   393,   556,   604,  5628,  5629,  4201,
    1436,   365,   346,   603,   346,  1441,    83,   205,   606,   207,
    1446,  1447,   256,   516,  6236,  1451,   380,  1453,   247,  4984,
     389,  1457,   603,   603,   603,   518,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   233,   606,  1473,   593,   264,
     264,   290,   441,   474,   604,   379,   582,   541,   606,   606,
     310,   108,   606,   541,   294,     9,  4258,    33,   594,   595,
     596,   597,   598,   599,   387,   129,   465,    80,   458,   604,
      83,   552,  5439,   603,    87,    88,    89,  5175,   367,   367,
    1516,   367,  1518,  1519,   516,  3757,   603,   486,   241,  4195,
    4196,  4197,  5338,   205,   516,   207,   367,   516,   378,   118,
     298,   480,    80,   378,   603,    83,   310,   362,   310,    87,
      88,    89,   476,   367,   321,   321,   321,   453,   340,  4398,
     378,   233,   506,   516,   198,   378,   606,  4329,   378,   271,
    5761,  1567,  4398,   606,   471,   378,   560,   115,   537,   436,
     380,  5772,  5773,   265,   122,   384,   468,   425,   516,   516,
     604,   108,   541,   294,   313,   541,   354,   355,   356,   357,
     593,  5792,   227,   361,   362,   241,   108,   603,   243,   367,
     148,   372,  1608,   420,   504,  4377,  4466,   553,   468,   421,
     227,   227,   227,  4398,   226,   372,   298,  4389,  4390,   541,
     560,   603,   362,   108,   362,   378,    97,  4399,   378,   313,
    1636,  1637,  4404,  1639,  4406,   372,   597,  3879,  4481,  4467,
     262,  1647,   262,  3885,   241,   108,   242,   344,   582,  4477,
    5430,   604,   580,   580,   601,  4515,   313,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   468,   241,   604,  4399,
     378,   362,   354,   355,   356,   357,   271,   271,   604,   361,
     604,   604,  1688,  5646,  4456,   367,  5126,  4515,   606,   271,
     271,  6371,   103,   104,   271,   606,   564,  1703,   606,  1705,
     129,  5080,   603,   606,   142,   516,   605,  5242,   247,   560,
     148,   294,   343,   378,   604,  5094,  1722,   606,   266,  4491,
    4492,  1727,  4398,   271,   162,   604,  4466,   247,   371,   604,
     604,   384,  1738,   606,  6897,   581,   390,  6900,  4750,   546,
    6903,  4584,   604,   606,   444,   606,   205,   604,  5492,   604,
     400,   604,   190,   247,   192,   523,   603,   606,   169,   361,
     604,  4533,  5430,   606,   604,   604,   604,   535,   604,    73,
     604,   516,   604,  1779,   322,  4515,   580,   603,   189,   557,
     336,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     557,   539,  5236,  5237,  5238,  5239,  5240,   380,   603,   583,
     603,   331,  1808,  1809,  1810,   603,  1812,   378,   557,   606,
     593,   547,   593,   251,  5665,   226,   607,  4399,   604,  1825,
     124,   606,   604,   129,  4748,   378,   381,  1833,   378,   227,
    5868,  6709,   380,   516,   284,   516,   516,   230,   367,   516,
    4422,   523,   280,   362,   603,   603,  4770,   227,   276,   603,
     491,   227,  5596,   535,   463,   227,   463,   471,   162,  4708,
     463,   321,   276,   230,   378,  1871,   593,   516,  1874,   541,
     230,   458,  4708,  1879,  1880,  4605,   323,   538,   557,   401,
     401,   230,   488,   516,   516,   333,  4758,  4759,  4760,  4761,
     516,   516,   333,   333,   458,   516,   458,   516,   516,   458,
     458,   198,  5900,   516,   362,   516,  1912,   227,   516,   117,
    1916,  1917,  4767,   117,   471,  4770,   516,   516,   516,   604,
     294,   294,   259,  4708,   362,   516,  1932,   602,   476,   367,
     604,   604,  1938,   604,   604,   118,   382,   606,   526,   241,
     183,  1947,  5916,   603,  4526,  4717,  6273,   606,  6275,  5693,
     241,  4533,   604,  4195,  4196,  4197,   604,    80,   108,   227,
      83,   603,   516,   227,    87,    88,    89,   241,   372,   593,
     259,  4812,  4812,   603,   602,  4812,   414,   227,  1984,   241,
    4812,   541,   105,   458,  4812,   458,  5521,  4812,   458,   293,
     541,   458,   430,   297,   458,   225,   606,   225,   603,   468,
    2006,   294,   294,   217,   294,   129,  2012,   294,   591,   592,
     593,   594,   595,   596,   597,   598,   599,  2023,   294,   294,
    2026,   432,  6223,  4605,  2030,   294,   601,   294,   294,   534,
     534,   604,  4708,   298,   582,   378,   378,   378,   378,  5479,
      83,   604,   390,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   604,   464,  6458,  4910,   552,   606,  2064,   604,
     604,   604,   247,   361,   604,   606,   603,   247,  2074,   603,
     606,   584,   256,   604,   606,  6479,   593,   603,  6279,  6284,
     513,   604,   444,   160,   546,   593,   241,   526,   108,   541,
     541,   313,   503,  5533,   516,   284,   534,   129,   506,   227,
     156,  4950,   488,   251,  6062,  2111,  4955,   541,  4957,  6083,
     526,   463,   230,   516,  2120,  5555,   516,   516,   604,  4955,
     458,  4957,  6526,  6527,   516,   516,   458,   604,   604,   436,
     560,  2137,   129,   241,  4983,  4998,   547,   603,  2144,   378,
     551,   506,   603,   148,   227,   547,  5009,  4983,   183,   560,
     604,   526,   294,   294,   294,   294,  4398,   310,   603,   603,
     279,  5605,  5606,   516,  5608,  4950,  5218,   603,   564,   378,
    4955,   294,  4957,   584,   606,   108,  5956,   604,   399,   375,
    5218,   378,   606,   603,  4956,   606,   114,  5627,   516,    80,
     526,   603,   603,   602,   604,  6396,   468,   254,  4983,   253,
     183,   247,   294,   604,   215,  2211,   311,   311,   367,   604,
     367,   367,  4984,   367,  5994,   604,   604,   247,   129,   604,
     604,  2227,  2228,  2229,   558,   558,  4956,  4999,  5607,   606,
    5002,   399,  5004,   604,   603,   297,   604,   603,  2244,  5983,
     603,   390,   388,  5622,   297,   505,   129,   385,   260,   604,
    2256,   372,   513,   526,  4984,   247,   278,   380,   593,   516,
     560,  2267,   148,   265,   265,  4847,   367,   606,   108,   367,
     593,   129,   506,  2279,  4950,  2281,   606,  2283,  5050,  4955,
     606,  4957,   142,   516,   516,  5140,  5141,   516,  5956,   227,
    5994,   230,   516,   604,  5066,  5993,  2302,   197,  6702,  5071,
     294,   249,   603,   190,  2310,   108,   358,  4983,   271,  5749,
     468,   372,  2318,  6518,  5982,   603,   541,   108,   362,   243,
     226,   468,   372,   560,   129,   154,  5994,   506,   108,   560,
     247,  2337,   603,   378,  5713,   431,   241,   281,  5166,   381,
    6038,   292,   485,   606,   247,  6161,   604,  2353,   604,   604,
    2356,   604,   603,  2359,   546,  5085,  5086,   604,   129,  6175,
    2366,   606,   603,   603,   559,   297,  2372,   603,   461,   604,
     162,   206,   378,   272,  4956,   390,   108,   604,  2384,   516,
     227,   604,   227,   516,   604,   604,   603,   603,   603,   241,
     603,  2397,  2398,   603,  2400,  2401,  6800,  6801,  5170,   108,
    6535,  5250,  4984,  5175,   603,   603,  2412,  5235,  2414,  2415,
     108,   367,   278,   334,  5250,  6819,  4998,   603,  2424,  2425,
     468,  2427,  2428,   132,   541,   603,   227,  5009,   604,   183,
     108,   604,   382,  2439,   247,   526,  2442,   604,   108,   241,
     606,   593,   483,   483,   378,  5175,   108,  5219,  5220,  5221,
    5222,  5223,  6268,  6269,   275,   151,   182,   546,   603,   168,
     604,   105,   430,   541,   264,  5250,  4708,   603,   591,   592,
     593,   594,   595,   596,   597,   598,   599,  2483,   604,   506,
     241,  2487,  2488,   603,   378,   506,   276,   603,   603,    76,
     604,   234,   564,  5265,  5266,  5267,  5268,   603,  5270,  5271,
    5272,  5273,  5274,  5085,  5086,   454,   142,   454,   381,   142,
     607,   206,  5242,   560,   211,    80,   545,   556,   219,   378,
    2526,  2527,   231,   560,   604,   604,  2532,  2533,   546,   603,
     603,   606,  2538,  2539,  2540,  2541,  2542,  2543,  2544,  2545,
    2546,  2547,  2548,  2549,  2550,  2551,  5401,   606,   603,  2555,
    5405,  2557,   108,  2559,  2560,  2561,  2562,  2563,  2564,   268,
     335,  2567,   238,  2569,  2570,    95,   238,  2573,   247,   471,
     512,   101,   512,   367,  5250,   108,   506,   506,  5957,   378,
    5959,  2587,  2588,  2589,  2590,   378,   116,   603,  5469,   468,
     108,   108,   381,  5175,   381,   603,   249,   272,   249,   132,
    2606,   226,  2608,   603,   313,   564,   564,   423,   423,   318,
     453,   223,  6813,  5441,  5442,   400,   146,   606,   603,   603,
     129,   129,  6438,   129,   604,   603,  6831,   129,   516,  6445,
     492,   195,   539,   604,    76,   168,   468,  5219,  5220,  5221,
    5222,  5223,   603,   211,   564,   564,   105,   378,   378,   604,
    6270,  5423,  5515,   362,  5426,  5427,   151,   385,   108,   437,
    5242,   363,   471,  5526,  6284,    94,   603,   453,   378,   363,
     606,   201,   386,   203,   457,   606,   457,   453,   603,   367,
     210,   603,  5454,   547,   214,   603,   395,   247,   516,   603,
     494,   219,   546,   151,   606,   604,  5426,   494,   231,   226,
      76,  6481,   190,   547,   483,   560,   483,   560,  4950,   249,
    1014,   385,   242,  4955,   249,  4957,   402,   541,   151,   604,
    6099,   546,   603,   603,  5454,   297,   604,   603,  6111,  3977,
    2213,   440,    95,  1880,  3473,   268,   445,  1404,   101,  1403,
    6184,  4983,  3384,  4171,  4955,   454,  4930,  2753,   278,  6284,
    6693,  6195,  3500,  3554,   463,  6036,  6730,  6197,  4390,  6515,
    1361,  6831,   471,  6085,  5120,  4928,   132,  4928,  5655,  6061,
    4158,  6302,  4096,  5509,  6927,   484,  6820,  5955,  6928,  6545,
     313,  6544,  6856,   146,   493,   318,  6713,  5700,  4164,   498,
    5141,  5521,  5167,  5152,  6488,  5110,  3568,  4196,  3568,  4950,
    4438,  2807,   168,  5694,  5136,  6068,  1399,  4486,  6383,  6953,
     519,  5203,  6252,  6481,  7094,  7065,  6052,  6257,  6258,  5174,
    4398,  6725,  5996,  1127,  1128,  5674,  2291,  6255,   358,   362,
    5999,   120,   362,  6277,   133,  6651,  1010,  6653,  4573,  6221,
     203,  5247,   372,  6949,  5426,  5700,   555,   210,  3584,  5250,
     559,   214,   382,  5625,  5626,  5178,  4073,  2863,  1689,  2335,
    2332,  3239,   395,  7053,   394,   231,  5638,  2353,  5640,  5641,
    5642,  4497,  5454,  6111,  6371,  2408,  1076,  4330,  3499,   242,
    4983,  4247,  6751,  1109,  7004,  5211,  1240,  2030,  5209,  5674,
    3530,  6923,  2244,  3145,  5443,  6274,  4843,  6276,  6518,  6216,
    6219,  3715,   268,  1650,  5292,  1898,   436,   440,  1851,   439,
     440,  3994,   445,  3181,  1919,   278,  4009,  4784,  6795,  3155,
    6655,   454,  5424,  1922,  3180,  4770,  6192,  5389,  4767,  5407,
     463,  6424,  6372,  5515,  5706,  6423,  4844,  4767,   471,  5521,
    7015,   471,  1920,  6789,  5526,  6901,  6642,  4767,  7048,  6159,
    4710,   484,   318,  3063,  5904,  6656,  3947,  6657,  1262,  3064,
     493,  2562,  3929,  3802,  3529,   498,  3927,  6397,  7050,  3838,
    3917,  5553,  5554,  4642,  5746,  3069,  5558,  5559,   694,  4512,
    3644,  1528,  2345,  3201,  6605,  6683,   519,   129,  1940,   307,
    1121,  6435,   358,  3192,  1309,   358,   362,  1702,  5674,   362,
    1329,  1309,  1934,  3217,  3209,  3971,  3210,  4850,  5250,   372,
    4851,  4809,  5425,   337,   544,  3221,  3727,  1854,     2,   382,
    5916,    -1,   555,  5878,  1154,    -1,   559,  5799,   394,   395,
    5885,   394,  2472,    -1,    -1,  5890,    -1,  7075,  5893,    -1,
      -1,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,
    1636,  3057,    -1,    -1,  6752,  6753,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3069,    -1,    -1,  3072,  5922,    -1,    -1,
     436,    -1,    -1,  6693,   440,    -1,   439,   440,    -1,   445,
      -1,    -1,    -1,    -1,    -1,  6936,  6937,    -1,   454,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,
    5955,    -1,    -1,    -1,    -1,   471,    -1,    -1,   471,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6933,   484,    -1,
      -1,    -1,  3128,    -1,    -1,    -1,  3132,   493,    -1,  3135,
      -1,  3137,   498,    -1,  3140,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,  3155,
      -1,    87,    88,    89,    -1,    -1,    -1,    -1,  3164,  3165,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6986,    -1,    -1,    -1,    -1,    -1,  5906,  6556,    -1,   115,
      -1,   544,    80,    -1,  6033,    83,   122,    -1,    -1,   555,
      -1,    -1,    -1,    -1,    -1,  3201,    -1,  6033,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6646,    -1,    -1,    -1,
    5982,  6831,   148,    -1,  3220,  3221,    -1,   115,  6078,    -1,
      -1,  3227,    -1,    -1,   122,    -1,    -1,    -1,  3234,    -1,
    5915,    -1,  3238,  3239,    -1,    -1,    -1,    -1,  6066,  3245,
      -1,    -1,    -1,    -1,  3250,  3251,  6101,    -1,  6033,  3255,
     148,  6079,  5982,    -1,    -1,    -1,  6028,  6100,  3264,    -1,
      -1,    -1,    -1,    -1,    -1,  6037,    -1,    -1,    -1,  6097,
    6111,  6111,  6111,  3279,  6111,    -1,  3282,    -1,  6111,  6111,
    6111,  6111,  6111,  6111,  6111,  6111,  6111,  3293,  6111,  3295,
    3296,  6111,  3298,  3299,  6111,  3301,  6111,  6111,  6111,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3313,    -1,    -1,
      80,    -1,    -1,    83,    -1,    -1,  6695,    87,    88,    89,
    3326,    -1,   220,    -1,  5906,    -1,    -1,  3333,  3334,    -1,
     266,    -1,    -1,    -1,    -1,   271,  6191,    -1,  6078,    -1,
      -1,    -1,    -1,  3349,    -1,   115,    -1,    -1,    -1,  1653,
      -1,    -1,   122,    -1,    -1,    -1,    -1,  6033,   294,   295,
      -1,    -1,    -1,    -1,    -1,  3371,  3372,    -1,   266,  3375,
      -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,   148,    -1,
      -1,    -1,  7080,  7081,    -1,    -1,   322,    -1,    -1,    -1,
      -1,  3397,    -1,  3399,    -1,    -1,    -1,  3403,    -1,    -1,
    5982,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3417,    -1,    -1,    -1,    -1,  3422,    -1,  3424,  3425,
      -1,  3427,    -1,    -1,   322,    -1,    -1,  3433,    -1,   365,
    1734,    -1,  5674,    -1,    80,    -1,    -1,    83,    -1,    -1,
      -1,    87,    88,    89,   380,    -1,  6825,  3453,    -1,    -1,
    1754,    -1,    -1,  3459,    -1,    -1,    -1,    -1,    -1,   105,
    3466,    -1,    -1,    -1,    -1,    -1,    -1,  6316,    -1,   115,
      -1,    -1,    -1,    -1,  3480,    -1,   122,    -1,  6857,  6858,
      -1,    -1,   380,    -1,    -1,    -1,  6341,    -1,  3494,    -1,
      -1,    -1,    -1,  3499,    -1,    -1,   266,    -1,    -1,  3505,
    3506,   271,   148,    -1,    -1,    -1,    -1,    -1,  1812,    -1,
      -1,    -1,  6284,    -1,    -1,  6343,  6288,  3523,  3524,  3525,
      -1,  6445,    -1,  3529,   294,   295,    -1,    -1,    -1,    -1,
      -1,  6316,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,
     476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6398,
    3556,  3557,   322,    -1,  6284,    -1,    -1,    -1,    -1,  3565,
      -1,    -1,  6398,    -1,    -1,    -1,  3572,    -1,    -1,  6424,
     115,    -1,    -1,    -1,  7014,  3581,    -1,   122,   476,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3598,    -1,    -1,   365,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   148,    -1,  3611,  1910,  1911,  6463,  1913,
     380,    -1,    -1,  6398,    -1,    -1,    -1,    -1,  6997,    -1,
     266,    -1,    -1,    -1,  3630,   271,    -1,    -1,  3634,    -1,
      -1,    -1,  6460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6316,    -1,    -1,    -1,    -1,    -1,   582,    -1,   294,   295,
      -1,  3657,    -1,    -1,    -1,   591,   592,   593,   594,   595,
     596,   597,   598,   599,    -1,    -1,  6515,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   220,   322,    -1,    -1,  6515,
      -1,    -1,    -1,    -1,   582,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   594,   595,   596,   597,
     598,   599,  6284,    -1,    -1,    -1,   476,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6571,    -1,    -1,   365,
      -1,   266,  6398,    -1,    -1,    -1,   271,    -1,    -1,    -1,
    6515,    -1,    -1,    -1,   380,    -1,    -1,   383,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6518,    -1,    -1,  3755,
    6522,  3757,  6524,    -1,    -1,    -1,  6528,  6529,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3773,    -1,  3775,
      -1,    -1,    -1,    -1,    -1,    -1,  3782,   322,    -1,    -1,
    3786,    -1,  3788,  3789,    -1,  3791,  3792,  3793,    -1,    -1,
      -1,  6033,    -1,    -1,  6643,  3801,    -1,    -1,    -1,    -1,
    3806,    -1,    -1,    -1,    -1,    -1,    -1,  6643,    -1,    -1,
      -1,  6393,   582,    -1,    -1,    -1,    -1,  3823,    -1,    -1,
      -1,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     476,    -1,    -1,    -1,    -1,   380,    -1,    -1,    -1,  6515,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3855,
    3856,  3857,    -1,    -1,  3860,    -1,    -1,    -1,  6643,    -1,
      -1,    -1,  3868,  3869,  3870,  3871,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3879,    -1,    -1,    -1,    -1,  3884,  3885,
      -1,  3887,    -1,  3889,    -1,    -1,    -1,    -1,    -1,  6744,
      -1,    -1,    -1,    -1,    -1,  3901,  3902,    -1,  6726,  3905,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6751,    -1,    -1,  6751,    -1,    -1,    -1,    -1,  6751,
    3926,    -1,  3928,  6751,  3930,  6507,  6751,    -1,    -1,    -1,
      -1,   476,    -1,    -1,    -1,    -1,   582,    -1,    -1,    -1,
      -1,    -1,  6866,  3949,    -1,   591,   592,   593,   594,   595,
     596,   597,   598,   599,    -1,    -1,    80,  3963,    -1,    83,
      -1,    -1,   608,    -1,    -1,    -1,    -1,  6643,    -1,    -1,
      -1,  3977,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    -1,    -1,    39,    -1,    41,    42,  3994,    -1,
      -1,   115,    -1,    48,    49,    -1,    -1,    -1,   122,    54,
      -1,  6856,    -1,  4009,    -1,    -1,    -1,  6862,    63,    -1,
      65,    -1,    67,    68,    -1,    -1,    71,  4023,    73,    -1,
      -1,    -1,    -1,    -1,   148,  4031,  6866,    -1,    -1,  6866,
      -1,    -1,    -1,    -1,  6866,    -1,    -1,   582,  6866,    -1,
      -1,  6866,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,
     595,   596,   597,   598,   599,    -1,    -1,  4063,    -1,  6831,
    4066,    -1,  4068,    -1,    -1,    -1,    -1,  4073,    -1,    -1,
      -1,    -1,    -1,    -1,  6316,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4089,  4090,    -1,    -1,    -1,    -1,  4095,
      -1,    81,    -1,    -1,    -1,    -1,   220,    -1,    88,    -1,
      -1,    -1,    -1,    -1,  4110,    -1,    -1,  4113,    -1,    -1,
    4116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4124,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   122,   188,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   266,  4149,    -1,  7000,  2450,   271,    -1,  4155,
      -1,    -1,    -1,    -1,    -1,    -1,  6398,    -1,  7007,    -1,
      -1,    -1,    -1,   218,  7004,   155,    -1,  7004,    -1,    -1,
      -1,  7007,  7004,    -1,    -1,    -1,  7004,    -1,    -1,  7004,
      -1,    -1,    -1,    -1,   239,    -1,    -1,    -1,    -1,  4195,
    4196,  4197,    -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,
      -1,    -1,    -1,    -1,    -1,  2509,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4220,    -1,  7065,    -1,    -1,    -1,
      -1,    -1,  7007,  4229,    -1,  4231,    -1,    -1,    -1,  7065,
      -1,    -1,    -1,  4239,    -1,  7007,   291,    -1,  2542,    -1,
      -1,    -1,    -1,    -1,    -1,  7094,    -1,    -1,  7020,    -1,
      -1,    81,    -1,    -1,  4260,    -1,   380,    -1,  7094,    -1,
      -1,    -1,  2566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6515,  7046,    80,    -1,  7007,    83,    -1,
    7065,    -1,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  7065,    -1,    -1,    -1,    -1,    -1,  7071,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  7094,
     115,    -1,    -1,    -1,    -1,   370,    -1,   122,    -1,    -1,
      -1,  4327,  7094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    7102,  7007,    -1,    -1,    -1,  7065,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   148,    -1,  4351,    -1,    35,    -1,    -1,
    4356,    -1,   476,    41,    42,    -1,  4362,    -1,    -1,    -1,
      48,    49,    -1,    -1,  7094,  4371,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      -1,    -1,    -1,    -1,    -1,    73,    -1,    -1,    -1,  7065,
      -1,    -1,  4398,  4399,    -1,    -1,    -1,    -1,  4404,    -1,
    4406,  6643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4419,    -1,  4421,    -1,    -1,  7094,    -1,
      -1,    -1,    -1,  4429,    -1,  7007,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4442,    -1,    -1,   494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2758,    -1,    -1,    -1,   582,    -1,
     515,   266,    -1,    -1,    -1,  4471,   271,    -1,    -1,    -1,
     594,   595,   596,   597,   598,   599,    -1,    -1,   533,    -1,
      -1,    -1,    -1,  7065,    -1,    -1,  4492,  4493,    -1,   294,
     295,    -1,    -1,   548,    -1,    -1,    -1,   108,    -1,    -1,
     188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4517,  7094,    -1,    -1,    -1,    -1,   322,    -1,   130,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   156,    -1,  4553,    -1,    -1,
      -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,
     365,    83,    -1,    -1,  1917,    87,    88,    89,    -1,  4575,
      -1,   182,   183,  4579,    -1,   380,    -1,    -1,   383,   190,
      -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,  4600,    -1,    -1,    -1,    -1,    -1,
     122,    -1,    -1,   291,    -1,    -1,    -1,    -1,    -1,    -1,
    4616,    -1,    -1,  4619,    -1,    -1,    -1,    -1,   229,  4625,
      -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,
      -1,    -1,    -1,  4639,    -1,    -1,    -1,  4643,  4644,  4645,
     251,    -1,    -1,   106,  4650,    -1,    -1,  4653,    -1,    -1,
    4656,    -1,    -1,    -1,    -1,    -1,  4662,    -1,  4664,    -1,
      -1,  4667,    -1,   274,    -1,  4671,  4672,  4673,  4674,  4675,
      -1,   476,  4678,  4679,  4680,  4681,  4682,  4683,  4684,  4685,
    4686,  4687,   370,    -1,    -1,  4691,  4692,  4693,    -1,    -1,
    4696,    -1,    -1,    -1,    -1,  4701,    -1,    -1,    -1,    -1,
    4706,    -1,  4708,    -1,  4710,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4718,    -1,    -1,  4721,    -1,  4723,    -1,    -1,
      -1,   332,    -1,    -1,    -1,    -1,   337,   132,    -1,    -1,
      -1,   342,    -1,  4739,    -1,    -1,  4742,  4743,    -1,    -1,
      -1,  4747,  4748,    -1,   266,    -1,  4752,   358,  4754,   271,
      -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4767,    -1,   168,  4770,  7007,    -1,    -1,    -1,    -1,
      -1,    -1,   294,   295,    -1,  4781,    -1,   582,    -1,    -1,
      -1,    -1,   393,    -1,    -1,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,    -1,    -1,    -1,    -1,   604,
     322,   606,    -1,    -1,    -1,    -1,   494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4828,  7065,    -1,    -1,   231,   515,    -1,  3133,
     441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4845,
      -1,    -1,    -1,   365,    -1,   533,    -1,    -1,    -1,    -1,
      -1,    -1,  7094,    -1,   465,  4861,    -1,    -1,   380,    -1,
     548,   383,    -1,   268,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   486,    -1,   488,    -1,  3183,
     491,  4887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4910,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    81,    -1,    -1,    -1,    -1,   537,    -1,    88,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4950,    -1,    -1,    -1,   938,  4955,
    4956,  4957,    -1,   358,   476,    -1,    -1,   362,    -1,    -1,
      -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   965,   966,  4983,  4984,    -1,
      -1,   141,    -1,   973,    -1,   975,   976,   147,   148,   394,
     395,    -1,   603,    -1,    -1,   155,    95,    -1,    -1,   989,
      -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    81,    -1,    -1,    -1,    -1,   116,  1008,    -1,
      -1,    -1,    -1,  5029,    -1,    -1,  5032,    -1,    -1,    -1,
      -1,   436,    -1,    -1,    -1,   440,    -1,  1027,    -1,    -1,
     445,    -1,    -1,  1033,    -1,    -1,    -1,   146,    -1,   454,
      -1,    -1,    -1,    -1,    -1,  1045,   125,    -1,   463,    -1,
     582,    -1,    -1,    -1,   133,    -1,   471,    -1,    -1,   591,
     592,   593,   594,   595,   596,   597,   598,   599,    -1,   484,
      -1,    -1,    -1,    -1,   606,  1075,    -1,    -1,   493,    -1,
    5096,    -1,    -1,   498,    -1,    -1,    -1,    -1,    -1,  1089,
    1090,    -1,   201,    -1,   203,    -1,  1096,    -1,  1098,  1099,
      -1,   210,    -1,    -1,    -1,   214,  5122,  5123,    -1,    -1,
    5126,   113,  1112,    -1,    -1,    -1,    -1,  5133,    -1,    -1,
      -1,    -1,    -1,    -1,  5140,  5141,   966,    -1,  1128,    -1,
      -1,    -1,    -1,   242,  5150,   975,    -1,    -1,    -1,    -1,
     555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   989,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5174,  5175,
      -1,    -1,  5178,  5179,  5180,    -1,    -1,   169,    -1,   278,
      -1,    -1,    -1,    -1,  5190,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2545,  2546,    -1,    -1,  1186,  1027,    -1,    -1,
      -1,    -1,    -1,  1033,    -1,    -1,    -1,  2560,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1045,  2569,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     222,    -1,    -1,    -1,    -1,  1225,    -1,    -1,    -1,    -1,
      -1,  5247,    -1,   235,  5250,    -1,    -1,    -1,    -1,   241,
      -1,    -1,    -1,    -1,    -1,   247,    -1,  1247,    -1,   358,
      -1,   253,  1252,   362,   256,    -1,    -1,    -1,   260,    -1,
    5276,    -1,    -1,   372,  1264,    95,    -1,    -1,    -1,    -1,
      -1,   101,    -1,   382,    -1,    -1,  5292,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   394,   116,    -1,   290,    -1,
     292,    -1,    -1,    -1,  5310,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1306,  1307,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,
      -1,   323,  5338,    -1,    -1,  5341,    -1,   436,    -1,    -1,
     439,   440,    -1,  5349,  5350,    -1,  5352,    -1,    -1,    -1,
    5356,  5357,    -1,    -1,    -1,  5361,    -1,    -1,    -1,    -1,
    5366,    -1,    -1,  5369,  5370,    -1,    -1,    -1,    -1,    -1,
    5376,    -1,   471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5387,   374,   203,    -1,    -1,   378,  5393,    -1,    -1,
     210,    -1,   384,    -1,   214,  5401,    -1,    -1,    -1,  5405,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    95,    -1,    -1,    -1,    -1,    -1,   101,
      -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5439,    -1,    -1,    -1,    -1,    -1,  1429,
      -1,  5447,    -1,    -1,    -1,   544,  1436,    -1,  5454,    -1,
      -1,    -1,   444,    -1,    -1,    -1,    -1,  1447,   278,    -1,
      -1,  1451,    -1,  1453,   146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5479,    -1,    -1,  1306,  1307,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5492,    80,    -1,    -1,
      83,  5497,    95,   956,    87,    88,    89,    -1,   101,    -1,
      -1,    -1,   965,    -1,    -1,    -1,    -1,   499,    -1,    -1,
     973,    -1,   105,   976,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   203,   115,    -1,    -1,    -1,    -1,  5533,   210,   122,
      -1,    -1,   214,    -1,    -1,    -1,    -1,    -1,   358,    -1,
      -1,   533,   362,   146,  5550,    -1,    -1,    -1,    -1,  5555,
      -1,    -1,   372,  3857,    -1,   148,  5562,    -1,    -1,    -1,
     242,    -1,   382,    -1,    -1,   557,    -1,   559,   560,    -1,
      -1,    -1,  5578,    -1,   394,    -1,    -1,    -1,    -1,  5585,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   581,
    5596,    -1,    -1,    -1,    -1,    -1,   278,    -1,    -1,    -1,
     203,  3905,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,
      -1,   214,   604,    -1,   606,   607,   436,  1080,  1608,   439,
     440,  5627,    -1,    -1,    -1,  3929,  1089,    -1,    -1,    -1,
      -1,    -1,    -1,  1096,    -1,    -1,  1099,    -1,    -1,   242,
      -1,  3945,    -1,    -1,    -1,    -1,    -1,  5653,    -1,    -1,
      -1,   471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3963,
      -1,    -1,    -1,  5669,    -1,    -1,    95,    -1,  5674,    -1,
      -1,    -1,   101,   266,    -1,   278,   358,    -1,   271,    -1,
     362,    -1,    -1,    -1,    -1,    -1,    -1,  5693,    -1,    -1,
     372,    -1,    -1,    95,  5700,    -1,    -1,    -1,  1688,   101,
     382,   294,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   394,    -1,    -1,  1705,    -1,   146,    -1,  4023,
      -1,    -1,    -1,  4027,   544,    -1,    -1,  4031,    -1,   322,
      -1,    -1,  1722,    -1,    -1,    -1,    -1,  1727,    -1,    -1,
      -1,  5747,    -1,  5749,   146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   436,   358,    -1,   439,   440,   362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,
      -1,    -1,   365,    -1,   203,    -1,    -1,    -1,   938,   382,
      -1,   210,    -1,    -1,  5790,   214,    -1,   380,    -1,   471,
     383,   394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   203,  3155,    -1,    -1,    -1,   966,    -1,   210,    -1,
    5816,    -1,   214,   242,    -1,   975,    -1,    -1,    -1,    -1,
    5826,    -1,    -1,  5829,    -1,    -1,  5832,  5833,  5834,   989,
      -1,    -1,    -1,   436,    -1,    -1,   439,   440,    -1,    -1,
     242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1008,   278,
      -1,  5857,  5858,    -1,    -1,  5861,    -1,    -1,    -1,    -1,
      -1,    -1,   544,    -1,    -1,    -1,    -1,  1027,   471,    -1,
      -1,    -1,  5878,  1033,    -1,    -1,   278,    -1,    -1,  5885,
     949,  1871,    -1,   476,  5890,  1045,    -1,  5893,  5894,  1879,
    1880,    -1,    -1,    -1,    -1,  5901,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1075,  5922,    -1,    -1,  5925,
      -1,    -1,    -1,    -1,    -1,  5931,    -1,  5933,    -1,   358,
    1090,    -1,    -1,   362,    -1,    -1,    -1,    -1,  1098,    -1,
      -1,   544,    -1,   372,    -1,    -1,    -1,    -1,  1938,  5955,
      -1,    -1,  1112,   382,    -1,    -1,   358,  1947,    -1,    -1,
     362,    -1,    -1,    -1,    -1,   394,    -1,    -1,  1128,    -1,
     372,    -1,    -1,    -1,    -1,    -1,  5982,  5983,  1441,    -1,
     382,    -1,    -1,    -1,  1447,    -1,    -1,  5993,  1451,   582,
    1453,    -1,   394,    -1,  1984,  1064,    -1,    -1,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   436,    -1,    -1,
     439,   440,    -1,   606,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2012,    -1,    -1,    -1,  1186,  6033,    -1,    -1,
      -1,    -1,  6038,    -1,   436,    -1,    -1,   439,   440,    -1,
      -1,    -1,   471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1516,    -1,  1518,  1519,    -1,    -1,    -1,
      -1,    -1,    -1,  1223,    -1,  1225,    -1,  1227,    -1,   471,
      -1,    -1,  1141,    -1,  1143,    95,  1145,    -1,    -1,    -1,
      -1,   101,  1151,    -1,    -1,    -1,    -1,  1247,    -1,    -1,
      -1,    -1,  1252,    -1,    80,  6101,    -1,    83,  6104,    -1,
      -1,    87,    88,    89,  1264,    -1,    -1,    -1,  1177,  1178,
      -1,    -1,  1181,    -1,    -1,   544,    -1,  1947,    -1,   105,
      -1,    -1,    -1,   109,    -1,    -1,   146,    -1,    -1,   115,
      -1,    -1,  6138,    -1,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,   544,    -1,    -1,    -1,  1306,  1307,    -1,  6155,
      -1,    -1,    -1,  6159,    -1,  6161,    -1,    -1,    -1,    -1,
      -1,    -1,   148,  4467,    -1,    -1,    -1,    -1,    -1,  6175,
      -1,  6177,    -1,  4477,    -1,  6181,    -1,    -1,    95,    -1,
      -1,  6187,    -1,   203,   101,  6191,    -1,    -1,    -1,    -1,
     210,  6197,  6198,    -1,   214,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4515,    -1,    -1,   200,    -1,    -1,    -1,    -1,    -1,
      -1,  2211,   242,    -1,    -1,    -1,    -1,    -1,    -1,   146,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1306,  1307,    -1,
    6246,    -1,  1311,  1403,  1404,    -1,  6252,    -1,    -1,    -1,
      -1,  6257,  6258,    -1,  2244,    -1,  6262,    -1,   278,    -1,
      -1,    -1,  6268,  6269,  6270,    -1,    -1,    -1,    -1,  1429,
      -1,    -1,    -1,    -1,    -1,    -1,  1436,    -1,  6284,    -1,
     266,    -1,    -1,    -1,    -1,   271,   203,    -1,    -1,  2279,
      -1,    -1,    -1,   210,    -1,    -1,  1365,   214,  6304,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6313,   294,   295,
    6316,    -1,  2302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2310,    -1,    -1,    -1,    -1,   242,    -1,    95,  2318,    -1,
      -1,    -1,    -1,   101,    -1,  6341,   322,    -1,   358,    -1,
      -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   278,   382,    -1,    -1,  6371,  6372,  1436,    -1,    -1,
      -1,    -1,    -1,    -1,   394,    -1,    -1,    -1,   146,   365,
      -1,  2211,    -1,    -1,    -1,    -1,    -1,  6393,    -1,    -1,
      -1,  6397,  6398,    -1,   380,    -1,    -1,   383,    -1,    -1,
      -1,    -1,    -1,  6409,    -1,    -1,    -1,  2397,  2398,    -1,
    2400,  2401,  6418,  6419,  6420,    -1,   436,    -1,  6424,   439,
     440,  6427,  2412,    -1,  2414,  2415,    -1,    -1,    -1,    -1,
      -1,    -1,  6438,    -1,    -1,   203,    -1,  2427,  2428,  6445,
      -1,   358,   210,    -1,  4748,   362,   214,    -1,  1608,    -1,
      -1,   471,    -1,    -1,    -1,   372,    -1,  6463,    -1,    -1,
      -1,    -1,    -1,  4767,  6470,   382,  4770,    -1,    -1,    -1,
      -1,    -1,  2302,    -1,   242,    -1,    -1,   394,    -1,    -1,
    2310,    -1,    -1,    -1,  6490,    -1,    -1,    -1,  2318,    -1,
     476,    -1,    -1,  2483,    -1,    -1,    -1,  2487,  2488,    -1,
      -1,    -1,  3855,  3856,    -1,    -1,    -1,  3860,  4812,  6515,
     278,    -1,  6518,    -1,    -1,    -1,    -1,    -1,    -1,   436,
      -1,    -1,   439,   440,   544,    -1,    -1,    -1,  1688,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1705,    -1,    -1,  3901,  3902,
      -1,    -1,    -1,    -1,   471,   541,    -1,    -1,    -1,    -1,
      -1,    -1,  1722,    -1,    -1,  6571,    -1,  1727,    -1,    -1,
      -1,  2401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     358,    -1,    -1,    -1,   362,    -1,   582,    -1,  2428,    -1,
      -1,    -1,    -1,    -1,   372,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   382,    -1,    80,    -1,  2608,    83,
    6626,    -1,    -1,    87,    88,    89,   394,   544,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6642,  6643,    -1,    -1,
    6646,   105,    -1,    -1,    -1,  6651,    -1,  6653,    -1,  6655,
      -1,   115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,  6669,    -1,    -1,    -1,    -1,   436,    -1,
      -1,   439,   440,    -1,    -1,    -1,    -1,  6683,    -1,    -1,
      -1,    -1,    -1,    -1,   148,    -1,    -1,  6693,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   471,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1871,    -1,    -1,    80,    -1,    -1,    83,    -1,  1879,
    1880,    87,    88,    89,    -1,    -1,    -1,    -1,  6734,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6744,   105,
      -1,    -1,    -1,    -1,    -1,    -1,  6752,  6753,    -1,   115,
      -1,    -1,  6758,    -1,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   544,    -1,  1938,  6785,
      -1,    -1,   148,    -1,    -1,  6791,    -1,  1947,    -1,  6795,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   266,    -1,    -1,  1874,    -1,   271,    -1,    -1,
    1879,  1880,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1984,  6831,    -1,    -1,    -1,    -1,
     294,   295,    -1,   132,    -1,    -1,  5140,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6856,    -1,  2012,    -1,    -1,    -1,  6862,    -1,   322,    -1,
      -1,    -1,  5166,  2023,    -1,    -1,    -1,    -1,    -1,   168,
      -1,    -1,    -1,    -1,  6880,    -1,    -1,    -1,  1947,    -1,
      -1,  6887,   132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2353,  6897,    -1,  2356,  6900,  6901,    -1,  6903,    -1,    -1,
     266,   365,    -1,    -1,  2064,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,   168,   383,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6933,   294,   295,
    1999,  5235,   231,    -1,  2397,  2398,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2412,
      -1,    -1,  2415,    -1,    -1,    -1,   322,    -1,    -1,    -1,
    2120,    -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,   268,
      88,  6977,    -1,    -1,    -1,  6981,    -1,  2137,    -1,    -1,
    6986,   231,    -1,  2052,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2062,  7000,    -1,    -1,    -1,    -1,   365,
      -1,  7007,    -1,    -1,   122,    -1,    -1,    -1,  7014,    -1,
      -1,    -1,   476,    -1,   380,    -1,    -1,   383,   268,   318,
    2483,    -1,    -1,   141,  2487,  2488,    -1,    -1,    -1,   147,
     148,    -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  7053,  7054,    -1,
      -1,  2211,    -1,    -1,    -1,  7061,    -1,    -1,    -1,  7065,
      -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,   318,    -1,
      -1,    -1,    -1,    -1,  7080,  7081,  2145,    -1,    -1,    -1,
    2149,  2150,    -1,    -1,  2244,    -1,    -1,    -1,  7094,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   395,  5401,    -1,    -1,
      -1,  5405,    -1,    -1,    -1,    -1,    -1,    -1,   358,    -1,
     476,    -1,   362,    -1,    -1,    -1,    -1,    -1,   582,  2279,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,    -1,  5441,  5442,    -1,
     604,   440,  2302,   442,   394,   395,   445,    -1,    -1,    -1,
    2310,    -1,    -1,    -1,    80,   454,    -1,    83,  2318,    -1,
      -1,    87,    88,    89,   463,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   471,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,    -1,    -1,   484,   436,    -1,    -1,   115,
     440,    -1,  2261,    -1,   493,   445,   122,    -1,    -1,   498,
      -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,    -1,
      -1,  3201,    -1,   463,    -1,    -1,   582,    -1,    -1,    -1,
      -1,   471,   148,    -1,    -1,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   484,    -1,    -1,  3227,   604,    -1,
    2400,  2401,    -1,   493,    -1,    -1,    -1,    -1,   498,    -1,
      -1,    -1,    -1,    -1,  2414,  3245,   555,    -1,    -1,    -1,
    3250,  3251,    -1,    -1,    -1,  3255,    -1,  2427,  2428,    -1,
      -1,    -1,    -1,    -1,  3264,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3279,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4650,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   555,  3296,    -1,  3298,  3299,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4672,
    4673,  4674,  4675,  3313,    -1,  4678,  4679,  4680,  4681,  4682,
    4683,  4684,  4685,  4686,  4687,    -1,    -1,    -1,    -1,    -1,
     266,    -1,    -1,  3333,  3334,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4706,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,
      -1,  3201,    -1,  1085,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3371,  3372,    -1,    -1,  3375,    -1,    -1,    -1,  4742,
    4743,    -1,    -1,    -1,    -1,    -1,   322,  3227,    -1,  1111,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3397,    -1,  3399,
      -1,    -1,    -1,  3403,    -1,  3245,    -1,    -1,    -1,    -1,
      -1,  3251,    -1,    -1,    -1,  3255,    -1,  3417,    -1,    -1,
      -1,    -1,    -1,    -1,  3424,    -1,    -1,  3427,    -1,   365,
      -1,    -1,    -1,  3433,    -1,    -1,    -1,    -1,  2608,  3279,
      -1,    -1,    -1,    -1,   380,    -1,    -1,   383,    -1,    -1,
      -1,    -1,    -1,  3453,    -1,    -1,    -1,    -1,    -1,  3459,
      -1,    -1,    -1,    -1,    -1,    -1,  3466,    -1,    -1,    -1,
      -1,    -1,    -1,  3313,    -1,   169,    -1,    -1,    80,    -1,
    3480,    83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,
      -1,    -1,    -1,  3333,  3494,    -1,    -1,    -1,    -1,  3499,
      -1,    -1,    -1,   105,    -1,  3505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,    -1,    -1,
     122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,
      -1,    -1,  3372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     476,   235,    -1,    -1,    -1,    -1,   148,   241,    -1,    -1,
      -1,    -1,    -1,   247,    -1,    -1,    -1,  3397,    -1,   253,
      -1,    -1,   256,  3403,    -1,  3565,   260,    -1,    -1,    -1,
      -1,  5885,    -1,    -1,    -1,    -1,  5890,  3417,    -1,  5893,
      -1,    -1,    -1,    -1,  3424,    -1,    -1,  3427,    -1,    -1,
      -1,    -1,    -1,  3433,    -1,    -1,   290,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3453,    -1,    -1,    -1,    -1,    -1,  3459,
      -1,    -1,    -1,    -1,    -1,    -1,  3466,    -1,    -1,   323,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3480,    -1,    -1,    -1,    -1,    -1,   582,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3494,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   266,  3505,    -1,    -1,   604,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     374,    -1,    -1,    -1,   378,    -1,    -1,    -1,    -1,    -1,
     384,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1427,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     322,    -1,    -1,    -1,  1446,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5096,    -1,  1457,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     444,  1473,  6066,    -1,    -1,  3755,    -1,  3757,    -1,    -1,
      -1,    -1,    -1,   365,    -1,  6079,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3775,    -1,    -1,   380,    -1,
      -1,   383,  3782,  6097,    -1,    -1,    -1,    -1,    -1,  3789,
      -1,  3791,  3792,    -1,    -1,    -1,    -1,  6111,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,
     938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3293,    -1,    -1,  3296,    -1,  3298,  3299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   966,   533,
      -1,    -1,    -1,    -1,    -1,  1567,    -1,   975,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   989,    -1,   557,    -1,   559,   560,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   476,    -1,    -1,  6191,    -1,  3879,
    1008,    -1,    -1,    -1,    -1,  3885,    -1,   581,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1027,
      -1,    -1,    -1,    -1,    -1,  1033,    -1,   601,    -1,    -1,
     604,   605,    -1,   607,    -1,  3755,    -1,  1045,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3775,    -1,    -1,    -1,    -1,
      -1,    -1,  3782,    -1,    -1,    -1,    -1,  1075,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1090,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1098,    -1,    -1,    -1,    -1,    -1,    -1,  3977,  5341,    -1,
     582,  1703,    -1,    -1,  1112,    -1,    -1,    -1,    -1,   591,
     592,   593,   594,   595,   596,   597,   598,   599,    -1,    -1,
    1128,    -1,   604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6341,    -1,  6343,
    5393,  3201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3227,  1186,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3245,    -1,    -1,    -1,    -1,
    3250,  3251,    -1,    -1,    -1,  3255,    -1,    -1,    -1,  4089,
    4090,    -1,    -1,    -1,  3264,  1223,    -1,  1225,    -1,  1227,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3279,
    4110,    -1,    -1,  4113,    -1,    -1,    -1,    -1,    -1,  1247,
      -1,    -1,  3201,    -1,  1252,  3598,    -1,    -1,    -1,    -1,
      -1,  6445,    -1,    -1,    -1,    -1,  1264,    -1,  3217,    -1,
      -1,    -1,    80,  3313,    -1,    83,  6460,    -1,    -1,    87,
      88,    89,    -1,    -1,    -1,    -1,  3326,    -1,    -1,    -1,
      -1,    -1,    -1,  3333,  3334,    -1,    -1,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,  1306,  1307,
      -1,    -1,    -1,    -1,   122,  3264,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4195,  4196,  4197,    -1,    -1,
      -1,  3371,  3372,    -1,    -1,  3375,    -1,    -1,    -1,    -1,
     148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4220,    -1,    -1,    -1,    -1,    -1,    -1,  3397,    -1,  3399,
      -1,    -1,    -1,  3403,    -1,    -1,    -1,    -1,    -1,  4239,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3417,    -1,    -1,
      -1,    -1,  3422,    -1,  3424,    -1,    -1,  3427,    -1,    -1,
    4260,    -1,    -1,  3433,    -1,    -1,    -1,    -1,    -1,    -1,
    4110,    -1,    -1,    -1,    -1,  1403,  1404,    -1,    -1,    -1,
      -1,    -1,    -1,  3453,  2006,    -1,    -1,    -1,    -1,  3459,
      -1,    -1,    -1,    -1,    -1,    -1,  3466,    -1,    -1,    -1,
      -1,  1429,    -1,    -1,    -1,    -1,    -1,    -1,  1436,    -1,
    3480,    -1,    -1,  3786,    -1,    -1,  3789,    -1,  3791,  3792,
      -1,    -1,    -1,    -1,  3494,    -1,    -1,    -1,   266,  3499,
      -1,    -1,    -1,   271,    -1,  3505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4351,  2074,    -1,    -1,    -1,   294,   295,    -1,    -1,
    3439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3447,    -1,
      -1,  3450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4220,    -1,    -1,  3462,   322,    -1,    -1,    -1,    -1,  2111,
      -1,    -1,    -1,    -1,    -1,  3565,    -1,    -1,  4398,    -1,
      -1,    -1,    -1,    -1,  4404,    -1,  4406,    -1,    -1,    -1,
      -1,    -1,  6726,    -1,    -1,    -1,    -1,    -1,    -1,  4419,
      -1,  4421,  2144,    -1,    -1,    -1,    -1,   365,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6751,    -1,    -1,
      -1,    -1,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    83,
      -1,    -1,    -1,    87,    88,    89,  5829,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1608,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3963,   115,  4492,    -1,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,    -1,  2227,  2228,  2229,    -1,    -1,
      -1,  4351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2256,    -1,    -1,    -1,   476,    -1,
      -1,    -1,    -1,    -1,    -1,  2267,    -1,    -1,    -1,    -1,
    4023,    -1,  6866,  4553,    -1,    -1,    -1,    -1,  4031,    -1,
    1688,  2283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4575,    -1,  1705,    -1,  4579,
      -1,    -1,    -1,    80,    -1,  3755,    83,  3757,    -1,    -1,
      87,    88,    89,    -1,  1722,    -1,    -1,    -1,    -1,  1727,
    4600,    -1,    -1,    -1,    -1,  3775,    -1,    -1,   105,    -1,
      -1,    -1,  3782,    -1,    -1,  2337,    -1,    -1,   115,    -1,
      -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2359,    -1,    -1,
      -1,    -1,   266,    -1,   582,    -1,    -1,   271,    -1,    -1,
    2372,   148,    -1,   591,   592,   593,   594,   595,   596,   597,
     598,   599,  2384,    -1,    -1,  3744,   604,    -1,    -1,    -1,
     294,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    7004,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,
      -1,    -1,  2424,  2425,    -1,    -1,    -1,    -1,  4708,  3879,
      -1,    -1,    -1,  4553,    -1,  3885,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4575,    -1,    -1,    -1,  4579,
      -1,   365,    -1,  1871,    -1,    -1,    80,    -1,    -1,    83,
      -1,  1879,  1880,    87,    88,    89,   380,    -1,    -1,   383,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,
      -1,   105,    -1,    -1,   271,    -1,   169,   222,    -1,    -1,
      -1,   115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,
     235,    -1,  6155,    -1,    -1,    -1,   241,   294,   295,    -1,
      -1,    -1,   247,    -1,    -1,    -1,    -1,  3977,   253,    -1,
    1938,   256,    -1,    -1,   148,   260,    -1,    -1,  6181,  1947,
      -1,    -1,    -1,  2545,    80,   322,    -1,    83,    -1,   222,
      -1,    87,    88,    89,    -1,    -1,    -1,  2559,    -1,    -1,
    2562,    -1,   235,    -1,    -1,   290,    -1,    -1,   241,   105,
      -1,    -1,   476,    -1,   247,    -1,  1984,    -1,    -1,   115,
     253,    -1,    -1,   256,    -1,  2587,   122,   260,   365,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,
      -1,    -1,    -1,   380,  2012,    -1,   383,  4887,    -1,    -1,
      -1,    -1,   148,    -1,    -1,  2023,    -1,   290,  3977,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4089,
    4090,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   374,
     323,    -1,   266,   378,    -1,    -1,  2064,   271,    -1,   384,
    4110,    -1,    -1,  4113,    -1,    -1,    -1,    -1,    -1,    -1,
    4950,    -1,    -1,    -1,    -1,  4955,    -1,  4957,   582,    -1,
     294,   295,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,    -1,    -1,    -1,   476,
     604,   374,    -1,  4983,    -1,   378,    -1,    -1,   322,    -1,
      -1,   384,  2120,    -1,    -1,    -1,    -1,    -1,    -1,   444,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2137,
     266,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4195,  4196,  4197,    -1,  5029,
      -1,   365,  5032,    -1,    -1,    -1,    -1,    -1,   294,   295,
      -1,    -1,    -1,    -1,    -1,    -1,   380,  4887,    -1,   383,
    4220,   444,    -1,    -1,    -1,    -1,    -1,    -1,   503,    -1,
      -1,    -1,    -1,    -1,  6427,    -1,   322,    -1,    -1,  4239,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2211,    -1,   582,    -1,    -1,   533,    -1,
    4260,    -1,    -1,    -1,   591,   592,   593,   594,   595,   596,
     597,   598,   599,    -1,    -1,    -1,    -1,   604,    -1,   365,
     503,    -1,   557,    -1,   559,   560,  2244,    -1,    -1,    -1,
      -1,    -1,  5122,  5123,   380,    -1,    -1,   383,    -1,    -1,
      -1,    -1,    -1,  5133,    -1,    -1,   581,    -1,    -1,    -1,
     533,    -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5150,  2279,    -1,    -1,    -1,    -1,   601,    -1,    -1,   604,
     605,    -1,   607,    -1,   557,    -1,   559,   560,    -1,    -1,
      -1,    -1,    -1,    -1,  2302,    -1,    -1,    -1,    -1,    -1,
      -1,  4351,  2310,    -1,    -1,    -1,    -1,    -1,   581,  5029,
    2318,    -1,  5032,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   601,    -1,
      -1,   604,   605,    -1,   607,    -1,    -1,    -1,    -1,    -1,
     476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4398,    -1,
      -1,    -1,    -1,    -1,  4404,    -1,  4406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5247,   582,  4419,
    5250,  4421,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,    -1,    -1,    -1,    -1,
     604,    -1,  2400,  2401,    -1,    -1,    -1,    -1,    -1,  6642,
      -1,    80,    -1,    -1,    83,    -1,  2414,    -1,    87,    88,
      89,    -1,    -1,  5133,  4767,    -1,    -1,  4770,    -1,  2427,
    2428,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,
    5150,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,
    4399,    -1,  4492,   122,    -1,    -1,   582,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,
     596,   597,   598,   599,    -1,    -1,    -1,    -1,   604,   148,
    3072,    -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,
      -1,    -1,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,  4553,    -1,    -1,    -1,    -1,    -1,    -1,
     115,    -1,    -1,    -1,    -1,    -1,    -1,   122,     5,    -1,
      -1,    -1,    -1,    -1,    -1,  4575,    -1,  5247,    -1,  4579,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,
      -1,    -1,  6785,   148,    -1,    -1,    -1,    34,    35,    -1,
    4600,    -1,    39,    -1,    41,    42,    -1,  4910,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    -1,    71,    -1,    73,   266,    75,    76,
      -1,    -1,   271,    -1,    81,    -1,    -1,    -1,    -1,    -1,
    2608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5492,    -1,    -1,   294,   295,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3234,    -1,    -1,    -1,  3238,  3239,    -1,    -1,
      -1,    -1,    -1,   322,    -1,    -1,  4605,    -1,    -1,    -1,
      -1,    -1,   139,    -1,  6897,    -1,    -1,  6900,  4708,    -1,
    6903,   266,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,
    5550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5562,    -1,    -1,    -1,   365,    -1,    -1,   294,
     295,    -1,    -1,  3295,    -1,    -1,    -1,    -1,    -1,  3301,
      -1,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5596,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3349,    -1,    -1,
      -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   380,   263,    -1,   383,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5140,  5141,    -1,
      -1,    -1,    -1,    -1,  5674,    -1,    -1,   476,    -1,    -1,
      -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5693,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    -1,    -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,
    5550,    -1,    -1,    -1,    -1,    -1,    -1,  4887,    -1,    -1,
      -1,    -1,  5562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   341,    -1,    -1,   344,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   476,    -1,    -1,    -1,    -1,   149,   150,    -1,    -1,
     367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   166,    -1,    -1,    -1,    -1,    -1,    -1,
    4950,    -1,    -1,   582,    -1,  4955,    -1,  4957,    -1,    -1,
    5790,   184,   591,   592,   593,   594,   595,   596,   597,   598,
     599,    -1,    -1,  3525,    -1,   604,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4983,    -1,   208,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,
      -1,    -1,    -1,    -1,    -1,  3557,    -1,   230,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,    -1,   462,   249,   582,    -1,  5029,
      -1,    -1,  5032,    -1,    -1,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,    -1,    -1,  4956,    -1,   604,
      -1,    -1,    -1,   276,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4984,    -1,    -1,  3630,   516,
      -1,    -1,  3634,    -1,    -1,    -1,    -1,    -1,    -1,  4998,
      -1,   314,    -1,    -1,    -1,    -1,   533,    -1,  5401,    -1,
    5009,  5931,  5405,  5933,    -1,    -1,    -1,    -1,    -1,    80,
      -1,   548,    83,   336,    -1,    -1,    87,    88,    89,    -1,
    5790,    -1,  5122,  5123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5133,   105,    -1,    -1,    -1,    -1,    -1,
      -1,   578,    -1,    -1,   115,    -1,    -1,    -1,    -1,    -1,
    5150,   122,    -1,  5983,    -1,    -1,   593,   594,   595,   596,
     597,   598,    -1,  5993,   601,   602,   603,   604,    -1,   606,
     607,   608,   609,   610,    -1,    -1,    -1,   148,    -1,    -1,
      -1,    -1,    -1,  1085,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,   418,    -1,    -1,   421,    -1,
      -1,    -1,    -1,  6033,    -1,    -1,    -1,    -1,  6038,  1111,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3773,    88,    -1,    -1,   448,    -1,    -1,   451,    -1,
      -1,    -1,    -1,    -1,    -1,   458,  3788,    -1,    -1,    -1,
     106,  3793,   465,  3201,    -1,   468,    -1,  5247,    -1,    -1,
    5250,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,
      -1,  5931,    -1,  5933,    -1,   488,  5175,    -1,    -1,  3227,
      -1,  3823,    -1,   496,    -1,   141,    -1,    -1,    -1,    -1,
     503,   147,   148,   506,    -1,    -1,    -1,  3245,   511,   155,
      -1,    -1,  3250,  3251,    -1,   266,    -1,  3255,    -1,    -1,
     271,    -1,    -1,   526,    -1,    -1,  3264,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3279,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,
     553,    -1,    -1,  5242,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   322,    -1,    -1,    -1,  3313,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5669,    -1,  3326,    -1,
      -1,    -1,    -1,    -1,    -1,  3333,  3334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   365,    -1,    -1,  5700,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,
      -1,    -1,   383,  3371,  3372,    -1,    -1,  3375,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3397,
    6270,  3399,    -1,    -1,    -1,  3403,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6284,    -1,    -1,    -1,    -1,  3417,
      -1,    -1,    -1,    -1,  3422,    -1,  3424,    -1,    -1,  3427,
      -1,    -1,    -1,    -1,    -1,  3433,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6316,    -1,    -1,    -1,
      -1,    -1,  5492,    -1,    -1,  3453,    -1,    -1,    -1,    -1,
      -1,  3459,    -1,    -1,    -1,   476,    -1,    -1,  3466,    -1,
      -1,  4063,    -1,    -1,  4066,    -1,  4068,    -1,    -1,    -1,
      -1,  4073,  3480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3494,    -1,    -1,    -1,
      -1,  3499,    -1,    -1,  1446,    -1,    -1,  3505,    -1,    -1,
    5550,    -1,    -1,    -1,    -1,  1457,    -1,    -1,    -1,    -1,
      -1,    -1,  5562,    -1,  4116,    -1,    -1,    -1,  6398,    -1,
      -1,  1473,  4124,    -1,    -1,  5878,    -1,    -1,    -1,    -1,
      -1,    -1,  5885,    -1,    -1,    -1,    -1,  5890,    -1,    -1,
    5893,  5894,    -1,    -1,    -1,    -1,  5596,  4149,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5515,  3565,    -1,    -1,
      -1,   582,  5521,    -1,    -1,    -1,    -1,  5526,    -1,  5922,
     591,   592,   593,   594,   595,   596,   597,   598,   599,    -1,
      -1,    -1,    -1,   604,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5955,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1567,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5674,    -1,    -1,  4229,    -1,  4231,
      -1,    -1,    -1,    -1,    -1,  6515,    -1,    -1,  6518,    -1,
    5993,    -1,    -1,  5693,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      34,    35,    -1,    -1,    -1,  6038,    -1,    41,    42,    -1,
      -1,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    75,    76,    -1,    -1,  4327,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    95,    -1,    -1,    -1,    -1,    -1,   101,
    5790,    -1,    -1,    -1,    -1,    -1,   108,  3755,  6101,  3757,
      -1,  1703,    -1,    -1,  4356,    -1,    -1,    -1,    -1,    -1,
    4362,    -1,    -1,  6643,    -1,    -1,    -1,  3775,   130,  4371,
      -1,    -1,    -1,    -1,  3782,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   146,   139,    -1,    -1,    -1,  6669,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4399,    -1,    -1,
      -1,    -1,    -1,  6683,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6693,    -1,    -1,    -1,    -1,    -1,    -1,
     182,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6191,    -1,
      -1,   203,    -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,
      -1,    -1,   214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   218,    -1,    -1,    -1,    -1,  4471,
      -1,  3879,  6752,  6753,    -1,    -1,    -1,  3885,    -1,    -1,
     242,  5931,    -1,  5933,    -1,   239,    -1,    -1,    -1,    -1,
      -1,  4493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,
      -1,    -1,   274,    -1,    -1,  4517,   278,    -1,    -1,    -1,
      -1,    -1,  1874,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5983,   288,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6669,
      -1,  6831,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3977,
     332,    -1,    -1,    -1,    -1,   337,    -1,    -1,    -1,    -1,
     342,    -1,    -1,  6033,    -1,    -1,    -1,   341,  6341,    -1,
     344,    -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,    -1,
     362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     372,    -1,    -1,   367,    -1,    -1,    -1,  4619,    -1,    -1,
     382,    -1,   938,  5982,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   393,   394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     956,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   965,
      -1,    -1,    -1,    -1,  2006,    -1,    -1,   973,    -1,    -1,
     976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4671,
      -1,  6424,    -1,    -1,   436,    -1,    -1,   439,   440,   441,
      -1,  4089,  4090,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4696,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4110,   465,    -1,  4113,    -1,    -1,   462,   471,
    6463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2074,    -1,   486,    -1,    -1,  7007,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2111,
      -1,    -1,   516,    -1,  1080,    -1,    -1,   105,    -1,  1085,
      -1,    -1,    -1,  1089,    -1,   537,    -1,   115,    -1,   533,
    1096,    -1,   544,  1099,   122,  7065,    -1,  4195,  4196,  4197,
      -1,    -1,  2144,    -1,   548,  1111,    -1,    -1,    -1,    -1,
    7080,  7081,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     148,    -1,  4220,    -1,  7094,    -1,    -1,    -1,  6571,    -1,
    6270,    -1,    -1,    -1,   578,    -1,    -1,     5,    -1,    -1,
      -1,  4239,    -1,    -1,  6284,    -1,    -1,    -1,    -1,   593,
     594,   595,   596,   597,   598,    -1,    24,   601,   602,   603,
      -1,    -1,  4260,    -1,   608,   609,    34,    35,    -1,  4861,
      -1,    -1,    -1,    41,    42,    -1,  6316,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    75,    76,    -1,
    1216,  1217,    -1,    81,  2256,    -1,    -1,  1223,    -1,    -1,
      -1,  1227,    -1,    -1,    -1,  2267,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6284,    -1,    -1,   266,    -1,
    6683,  2283,    -1,   271,    -1,    -1,    -1,    80,  1254,    -1,
      83,    -1,    -1,  4351,    87,    88,    89,    -1,  6398,    -1,
      -1,    -1,    -1,    -1,  4956,    -1,   294,   295,    -1,    -1,
      -1,   139,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,    -1,    -1,    -1,   122,
      -1,    -1,  4984,    -1,   322,  2337,    -1,    -1,    -1,    -1,
    4398,  6744,    -1,    -1,    -1,    -1,  4404,    -1,  4406,  6752,
    6753,    -1,    -1,    -1,    -1,   148,    -1,  2359,    -1,    -1,
      -1,  4419,    -1,  4421,    -1,    -1,    -1,    -1,    -1,    -1,
    2372,    -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,
      -1,    -1,  2384,    -1,  6393,    -1,    -1,    -1,    -1,    -1,
     218,    -1,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   239,    -1,    -1,    -1,  6515,    -1,    -1,  6518,    -1,
      -1,    -1,  2424,  2425,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4492,   263,    -1,  1403,  1404,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6856,    -1,    -1,    -1,    -1,    -1,  6862,
     288,  1427,  1428,  1429,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   266,  5126,  1441,    -1,  6880,   271,    -1,
    1446,  1447,    -1,    -1,    -1,  1451,    -1,  1453,   476,    -1,
      -1,  1457,    -1,    -1,    -1,  4553,    -1,    -1,    -1,    -1,
      -1,   294,   295,    -1,    -1,    -1,    -1,  1473,    -1,    -1,
      -1,    -1,    -1,   341,    -1,    -1,   344,  4575,    -1,    -1,
      -1,  4579,    -1,  5175,    -1,    -1,  5178,    -1,    -1,   322,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,
      -1,    -1,  4600,  6643,    -1,    -1,    -1,    -1,    -1,    -1,
    1516,    -1,  1518,  1519,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6669,
      -1,    -1,   365,    -1,    -1,    -1,    -1,    -1,  6981,    -1,
      -1,    -1,    -1,    -1,    -1,  2587,    -1,   380,    -1,    -1,
     383,    -1,    -1,  6693,   582,    -1,    -1,  7000,    -1,    -1,
      -1,  1567,    -1,   591,   592,   593,   594,   595,   596,   597,
     598,   599,    -1,    -1,    -1,    -1,   604,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,
      -1,    87,    88,    89,   462,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
    4708,  7054,    -1,    -1,    -1,    -1,    -1,    -1,  7061,   115,
      -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  7080,  7081,    -1,
      -1,  1647,    -1,   476,    -1,    -1,    -1,    -1,   516,    -1,
      -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5352,    -1,    -1,    -1,    -1,   533,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6831,    -1,    -1,    -1,    -1,    -1,  1703,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     578,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,    -1,
      87,    88,    89,    -1,    -1,   593,   594,   595,   596,   597,
     598,    -1,  1738,   601,   602,   603,   604,    -1,   105,    -1,
     608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,   582,
      -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,   591,   592,
     593,   594,   595,   596,   597,   598,   599,    -1,    -1,    -1,
     266,   604,    -1,  1779,    -1,   271,    -1,    -1,    -1,    -1,
      -1,   148,    -1,    -1,    -1,    -1,    -1,  5479,    -1,  4887,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,
      -1,    -1,  1808,  1809,  1810,    -1,  1812,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   322,  1833,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5533,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4950,    -1,    -1,    -1,    -1,  4955,    -1,  4957,
      -1,    -1,    -1,  5555,    -1,    -1,    -1,  7007,    -1,   365,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   380,  4983,    -1,   383,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,
      -1,    -1,    -1,    -1,   271,    -1,  1912,    -1,    -1,    -1,
    1916,  1917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  7065,  1932,   294,   295,    -1,
      -1,  5029,    -1,    -1,  5032,  5627,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  7094,   322,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,
    2006,    -1,    -1,    -1,    -1,    -1,  2012,    -1,    -1,    -1,
      -1,    -1,    -1,   380,    -1,    -1,   383,  2023,    -1,    -1,
      -1,    -1,    -1,    -1,  5122,  5123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5133,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5150,    -1,    -1,  5747,    -1,  5749,  2064,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2074,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   582,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,
     596,   597,   598,   599,    -1,  2111,    -1,    -1,   604,   476,
      -1,    -1,    -1,    -1,  2120,    -1,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2137,    -1,    -1,    -1,    -1,    24,    -1,  2144,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    34,    35,    -1,  5247,
      -1,    -1,  5250,    41,    42,    -1,    -1,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    75,    76,    -1,
      -1,    -1,  3234,    81,    -1,    -1,  3238,  3239,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   582,    -1,    -1,    -1,    -1,
      -1,  2227,  2228,  2229,   591,   592,   593,   594,   595,   596,
     597,   598,   599,    -1,    -1,    -1,    -1,   604,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2256,   139,    -1,  3295,    -1,    -1,    -1,    -1,    -1,  3301,
      -1,  2267,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2279,    -1,    -1,    -1,  2283,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5982,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3349,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     218,  2337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2353,    -1,    -1,
    2356,   239,    -1,  2359,    -1,    -1,    -1,    -1,    -1,    -1,
    2366,    -1,    -1,    -1,    -1,    -1,  2372,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   263,    -1,    -1,  2384,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2397,  2398,    -1,  5492,    -1,    -1,    -1,    -1,    -1,
     288,    -1,    -1,    -1,    -1,    -1,  2412,    -1,    -1,  2415,
      -1,    -1,  6104,    -1,    -1,    -1,    -1,    -1,  2424,  2425,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5550,   341,    -1,    -1,   344,   105,    -1,    -1,
      -1,    -1,    -1,    -1,  5562,    -1,    -1,   115,    -1,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,  2483,    -1,   367,
      -1,  2487,  2488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5596,    -1,
     148,    -1,    -1,    -1,    -1,  6197,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3557,    -1,    95,    -1,    -1,
    2526,  2527,    -1,   101,    -1,    -1,  2532,  2533,    -1,    -1,
     108,    -1,    -1,  2539,  2540,  2541,  2542,  2543,  2544,  2545,
    2546,  2547,  2548,  2549,  2550,  2551,    -1,    -1,    -1,  2555,
      -1,  2557,   130,  2559,  2560,  2561,  2562,  2563,  2564,    -1,
    6252,  2567,    -1,  2569,  2570,  6257,  6258,  2573,   146,    -1,
      -1,    -1,    -1,    -1,   462,    -1,  5674,    -1,    -1,    -1,
      -1,  2587,  2588,  2589,  2590,    -1,    -1,    -1,  3630,    -1,
      -1,    -1,  3634,    -1,    -1,  5693,    -1,    -1,    -1,    -1,
    2606,    -1,  2608,    -1,   182,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,
      -1,    -1,    -1,   271,    -1,   203,    80,    -1,   516,    83,
      -1,    -1,   210,    87,    88,    89,   214,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   294,   295,    -1,    -1,
      -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     548,   115,    -1,    -1,   242,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,  6371,
    6372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     578,    -1,  5790,    -1,   148,    -1,   274,    -1,    -1,    -1,
     278,    -1,    -1,    -1,    -1,   593,   594,   595,   596,   597,
     598,    -1,    -1,   601,   602,   603,   604,   365,    -1,    -1,
     608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3773,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3788,  2753,    -1,    -1,
      -1,  3793,    -1,    -1,   332,    -1,    -1,    -1,    -1,   337,
      -1,    -1,    -1,    -1,   342,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     358,  3823,    -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,
      -1,  2807,    -1,    -1,   382,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   266,    -1,    -1,   393,   394,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   476,    -1,
      -1,    -1,    -1,  5931,    -1,  5933,    -1,    -1,    -1,    -1,
     294,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2863,   436,    -1,
      -1,   439,   440,   441,    -1,    -1,    -1,    -1,   322,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5983,    -1,   465,    -1,    -1,
      -1,    -1,    -1,   471,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   486,    -1,
      -1,   365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,   383,
      -1,    -1,    -1,    -1,   582,  6033,    -1,    -1,    -1,     5,
      -1,    -1,    -1,   591,   592,   593,   594,   595,   596,   597,
     598,   599,    -1,    -1,  6646,    -1,   604,    -1,    24,   537,
      -1,    -1,    -1,    -1,    -1,    -1,   544,    -1,    34,    35,
      -1,    -1,    -1,    -1,    -1,    41,    42,    -1,    -1,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    75,
      76,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,
      -1,  4063,   476,    -1,  4066,    -1,  4068,    -1,    -1,    -1,
      -1,  4073,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,
      -1,  3057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3069,    -1,    -1,  3072,    -1,    -1,    -1,
      -1,    -1,    -1,   139,  4116,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4149,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3128,    -1,    -1,    -1,  3132,    -1,   582,  3135,
      -1,  3137,    -1,    -1,  3140,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,    -1,    -1,    -1,  3155,
     604,    -1,   218,    -1,    -1,    -1,    -1,    -1,  3164,  3165,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6270,   239,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6284,  4229,    -1,  4231,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6316,    -1,
      -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,  3234,    -1,
      -1,    -1,  3238,  3239,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,  3250,     8,    -1,    -1,    -1,    12,
      -1,    14,    -1,    16,    17,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    27,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   341,  3282,    -1,   344,    -1,
      43,    44,    -1,    -1,    -1,  4327,    -1,  3293,    -1,  3295,
    3296,    -1,  3298,  3299,    -1,  3301,    -1,    -1,    -1,    -1,
    6398,   367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3326,    -1,  7014,    -1,    -1,    -1,    -1,    90,    -1,  4371,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   101,    -1,
     103,   104,    -1,  3349,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4399,   121,    -1,
      -1,  7053,    -1,    -1,    -1,  3371,    -1,    -1,   131,  3375,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,   145,   146,    -1,    -1,    -1,    -1,    -1,   152,
      -1,   154,    -1,  3399,    -1,    -1,   462,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   167,    -1,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3422,  6515,    -1,    -1,
    6518,   184,    -1,   186,    -1,    -1,   189,    -1,    -1,  4471,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,   206,    -1,    -1,    -1,   210,    -1,    -1,
     516,  4493,    -1,    -1,   217,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   226,    -1,   228,    -1,   533,    -1,    -1,
      -1,    -1,   235,    -1,    -1,  4517,    -1,    -1,    -1,    -1,
      -1,    -1,   548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     253,    -1,    -1,  3499,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,    -1,    -1,
      -1,    -1,   578,    -1,    -1,    -1,    -1,  3523,  3524,  3525,
      -1,    -1,    -1,  3529,    -1,    -1,    -1,   593,   594,   595,
     596,   597,   598,    -1,    -1,   601,   602,   603,    -1,    -1,
      -1,    -1,   608,    -1,    -1,  6643,    -1,    -1,    -1,    -1,
    3556,  3557,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3565,
      -1,   324,   325,    -1,    -1,    -1,    -1,   330,    -1,    -1,
      -1,  6669,    -1,    -1,    -1,    -1,    -1,  4619,    -1,    -1,
      -1,    -1,   345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3598,    -1,    -1,  6693,    -1,    -1,    -1,    -1,
      -1,   364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3630,    -1,    -1,    -1,  3634,  4671,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,
      -1,  3657,    -1,    -1,  4696,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,    -1,    -1,    -1,    -1,   432,
     433,    -1,   435,    -1,    -1,    -1,    -1,   440,    -1,    -1,
      -1,    -1,    -1,   446,    -1,    -1,   449,    -1,    -1,    -1,
      -1,    -1,    -1,   456,    -1,    -1,    -1,    -1,    -1,    -1,
     463,   464,    80,    -1,    -1,    83,    -1,    -1,   471,    87,
      88,    89,   475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   486,    -1,    -1,    -1,   105,    -1,    -1,
      -1,    -1,    -1,  6831,    -1,    -1,    -1,   115,    -1,    -1,
     503,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
      -1,  3757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   524,    -1,   526,    -1,    -1,    -1,  3773,    -1,    -1,
     148,    -1,    -1,   536,    -1,    -1,    -1,    -1,    -1,   542,
    3786,    -1,  3788,  3789,   547,  3791,  3792,  3793,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3801,    -1,   560,    -1,    -1,
    3806,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3823,    -1,  4861,
      -1,   584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     603,    -1,    -1,    -1,   607,    -1,    -1,    -1,    -1,  3855,
    3856,  3857,    -1,    -1,  3860,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3868,  3869,  3870,  3871,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3879,    -1,    -1,    -1,    -1,  3884,  3885,
      -1,  3887,    -1,  3889,    -1,    -1,    -1,    -1,   266,    -1,
      -1,    -1,    -1,   271,    -1,  3901,  3902,    -1,    -1,  3905,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  7007,
      -1,    -1,    -1,    -1,  4956,    -1,   294,   295,    -1,    -1,
    3926,    -1,  3928,    -1,  3930,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4984,  3949,   322,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    12,    -1,    14,  3963,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  7065,    -1,    27,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    43,    44,   365,  3994,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  7094,    -1,    -1,    -1,
      -1,    -1,   380,  4009,    -1,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4023,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4031,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   101,    -1,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4063,    -1,    -1,
    4066,    -1,  4068,    -1,    -1,    -1,    -1,  4073,    -1,    -1,
      -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5126,   143,    -1,   145,   146,  4095,
      -1,    -1,    -1,    -1,   152,    -1,   154,    -1,   476,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,
    4116,   169,    -1,    -1,    -1,    -1,    -1,    -1,  4124,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   184,    -1,   186,    -1,
      -1,   189,    -1,  5175,    -1,    -1,  5178,    -1,    -1,    -1,
      -1,    -1,    -1,  4149,    -1,    -1,   204,    -1,   206,  4155,
      -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,    -1,   217,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   226,    -1,
     228,    -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4195,
    4196,  4197,    -1,    -1,    -1,   253,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   582,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   270,   591,   592,   593,   594,   595,   596,   597,
     598,   599,    -1,  4229,    -1,  4231,   604,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,
      -1,    -1,    87,    88,    89,    -1,   324,   325,    -1,    -1,
      -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,    -1,    -1,    -1,    -1,   345,    -1,    -1,
     115,    -1,    -1,    -1,    -1,    80,    -1,   122,    83,    -1,
      -1,    -1,    87,    88,    89,    -1,   364,    -1,    -1,    -1,
    5352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,  4327,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
     115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4356,    -1,    -1,    -1,   412,    -1,  4362,    -1,    -1,    -1,
      -1,    -1,    -1,   148,    -1,  4371,    -1,    -1,    -1,   427,
      -1,    -1,    -1,    -1,   432,   433,    -1,   435,    -1,    -1,
      -1,    -1,   440,    -1,    -1,   443,    -1,    -1,   446,    -1,
      -1,   449,  4398,  4399,    -1,    -1,    -1,    -1,   456,    -1,
      -1,    -1,    -1,    -1,    -1,   463,   464,    -1,    -1,    -1,
      -1,    -1,    -1,   471,    -1,    -1,    -1,   475,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   486,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4442,  5479,    -1,    -1,
      -1,   266,    -1,    -1,    -1,   503,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4471,   524,    -1,   526,   294,
     295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   536,    -1,
      -1,   266,    -1,    -1,   542,    -1,   271,  4493,    -1,   547,
      -1,  5533,    -1,    -1,    -1,    -1,    -1,   322,    -1,    -1,
      -1,    -1,   560,    -1,    -1,    -1,    -1,    -1,    -1,   294,
     295,  4517,    -1,  5555,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   584,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,    -1,
     365,    -1,    -1,    -1,    -1,   603,    -1,    -1,    -1,   607,
      -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,   383,    -1,
     967,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   979,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     365,    -1,    -1,   990,    -1,  5627,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,   383,    -1,
      -1,    -1,  1009,    -1,    -1,    -1,    -1,    -1,  1015,    -1,
    4616,    -1,    -1,  4619,    -1,    -1,    -1,    -1,    -1,  4625,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4639,    -1,    -1,    -1,  4643,  4644,  4645,
      -1,    -1,    -1,    -1,  4650,    -1,    -1,  4653,    -1,    -1,
    4656,   476,    -1,    -1,    -1,    -1,  4662,    -1,  4664,    -1,
      -1,  4667,    -1,    -1,    -1,  4671,  4672,  4673,  4674,  4675,
      -1,    -1,  4678,  4679,  4680,  4681,  4682,  4683,  4684,  4685,
    4686,  4687,    -1,    -1,    -1,  4691,  4692,  4693,    -1,    -1,
    4696,   476,    -1,    -1,    -1,  4701,    -1,    -1,    -1,    -1,
    4706,    -1,  4708,    -1,  4710,    -1,    -1,  5749,    -1,    -1,
      -1,    -1,  4718,    -1,    -1,  4721,    -1,  4723,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4739,    -1,    -1,  4742,  4743,    -1,    -1,
      -1,  4747,  4748,    -1,    -1,    -1,  4752,    -1,  4754,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   582,    -1,    -1,
      -1,  4767,    -1,    -1,  4770,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,  4781,    -1,    -1,    -1,   604,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   582,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,  1222,    -1,    -1,    -1,   604,
      -1,    -1,  4828,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1241,    -1,    -1,    -1,    -1,  4845,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4861,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,
      -1,    87,    88,    89,  4910,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,
    5982,    -1,    -1,    -1,  4950,    -1,    -1,    -1,    -1,  4955,
    4956,  4957,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1366,
      -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4983,  4984,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,
      -1,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    80,    -1,    -1,    83,    -1,   122,    -1,    87,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,
      -1,    -1,   148,    -1,    -1,    -1,   115,    -1,    -1,    -1,
      -1,    -1,  6104,   122,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1482,    -1,    -1,    -1,    -1,
     266,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,   148,
    5096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1510,  1511,  1512,    -1,    -1,   294,   295,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5140,  5141,   322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6197,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5175,
     266,    -1,  5178,  5179,  5180,   271,    -1,    -1,    -1,   365,
      -1,    -1,    -1,    -1,  5190,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   380,    -1,    -1,   383,   294,   295,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   266,    -1,    -1,
    6252,    -1,   271,    -1,    -1,  6257,  6258,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   127,    -1,   322,   130,    -1,    -1,
      -1,   134,    -1,    -1,    -1,   294,   295,   140,    -1,   142,
      -1,   144,    -1,    80,  5250,    -1,    83,    -1,   151,    -1,
      87,    88,    89,   156,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,   105,   365,
    5276,    -1,    -1,    -1,    80,    -1,    -1,    83,   115,    -1,
    1687,    87,    88,    89,   380,   122,  5292,   383,    -1,    -1,
     476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,    -1,  5310,    -1,   365,    -1,    -1,   115,
      -1,   148,    -1,    -1,  1721,    -1,   122,    -1,    -1,    -1,
      -1,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,
    6372,    -1,  5338,    -1,    -1,  5341,    -1,    -1,    -1,    -1,
      -1,    -1,   148,  5349,  5350,    -1,  5352,    -1,    -1,    -1,
    5356,  5357,    -1,    -1,    -1,  5361,    -1,    -1,    -1,    -1,
    5366,    -1,    -1,  5369,  5370,    -1,    -1,    -1,    -1,    -1,
    5376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     476,  5387,    -1,    -1,    -1,    -1,    -1,  5393,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5401,   582,    -1,    -1,  5405,
      -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,
     596,   597,   598,   599,    -1,    -1,    -1,   476,   604,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,
      -1,    -1,    -1,  5439,   271,    -1,    -1,    -1,    -1,    80,
      -1,  5447,    83,    -1,    -1,    -1,    87,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,
     266,    -1,    -1,    -1,   105,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5479,   115,    -1,    -1,    -1,    -1,  1886,
      -1,   122,    -1,    -1,    -1,   322,   582,    -1,   294,   295,
      -1,  5497,    -1,    -1,    -1,   591,   592,   593,   594,   595,
     596,   597,   598,   599,    -1,    -1,    -1,   148,   604,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,
      -1,  1928,    -1,   582,    -1,    -1,    -1,  5533,   365,    -1,
      -1,    -1,   591,   592,   593,   594,   595,   596,   597,   598,
     599,    -1,    -1,   380,    -1,   604,   383,    -1,    -1,  5555,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5578,    -1,   380,    -1,    -1,   383,    -1,  5585,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     241,    -1,    -1,    -1,  6646,   411,   247,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5627,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   476,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5653,    -1,    -1,
      -1,    -1,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5669,    -1,    -1,    -1,    -1,  5674,    -1,
     476,    -1,    -1,  2080,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   322,  2089,    -1,    -1,    -1,    -1,    -1,    -1,   495,
      -1,    -1,    -1,    -1,  5700,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2117,    -1,    -1,    -1,    -1,    -1,  2123,  2124,    -1,    -1,
    2127,    -1,    -1,    -1,   365,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2140,    -1,    -1,  2143,    -1,    -1,   380,
      -1,  5747,   383,  5749,    -1,   582,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,   596,
     597,   598,   599,    -1,    -1,   602,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   582,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,
     596,   597,   598,   599,  2201,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2215,    -1,
    5816,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5826,    -1,    -1,  5829,    -1,    -1,  5832,  5833,  5834,    -1,
      -1,    -1,    -1,    -1,    -1,   476,  2243,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2254,    -1,    -1,
      -1,  5857,  5858,    -1,    -1,  5861,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5878,    -1,    -1,    -1,    -1,    -1,    -1,  5885,
      -1,    -1,    -1,    -1,  5890,    -1,    -1,  5893,  5894,  2296,
    2297,    -1,    -1,    -1,    -1,  5901,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2321,    -1,  5922,    -1,    -1,  5925,
      -1,  2328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5955,
     591,   592,   593,   594,   595,   596,   597,   598,   599,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  7014,    -1,    80,    -1,  5982,    83,    -1,    -1,
      -1,    87,    88,    89,    -1,    -1,    -1,  5993,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6033,    -1,    -1,
      -1,    -1,  6038,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2448,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   956,   957,   958,    -1,    -1,   961,    -1,
      -1,    -1,   965,    -1,   967,    -1,    -1,   970,    -1,    -1,
     973,    -1,    -1,   976,    -1,    -1,   979,    -1,   981,    -1,
      -1,   984,    -1,  2490,  2491,   988,    -1,   990,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6101,    -1,    -1,  6104,    -1,
      -1,    -1,    -1,    -1,  2511,    -1,  1009,  2514,    -1,    -1,
      -1,    -1,  1015,    -1,  1017,    -1,  1019,    -1,    -1,  1022,
      -1,    -1,    -1,    -1,    -1,    -1,  1029,    -1,    -1,    -1,
      -1,  1034,  6138,  1036,   240,    -1,    -1,    -1,    -1,  1042,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6155,
      -1,    -1,    -1,  6159,    -1,  6161,    -1,    -1,    -1,    -1,
     266,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,  6175,
      -1,  6177,    -1,    -1,    -1,  6181,    -1,  1080,    -1,    -1,
      -1,  6187,    -1,    -1,    -1,  6191,  1089,    -1,   294,   295,
    1093,  6197,  6198,  1096,    -1,    -1,  1099,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1115,    -1,    -1,    -1,   322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6246,    -1,    -1,    -1,    -1,    -1,  6252,    -1,    -1,    -1,
      -1,  6257,  6258,    -1,    -1,    -1,  6262,    -1,    -1,   365,
      -1,    -1,  6268,  6269,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1176,   380,    -1,    -1,   383,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1188,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6304,    -1,
      -1,    -1,    -1,   409,    -1,    -1,    -1,  6313,    -1,    -1,
    6316,    -1,    -1,  1216,  1217,    -1,    -1,    -1,    -1,  1222,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6341,    -1,    -1,  1241,    -1,
      -1,    -1,    -1,  1246,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1265,    -1,    -1,  6371,  6372,    -1,    -1,    -1,
     476,    -1,    -1,    -1,    -1,  1278,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6397,  6398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6409,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6418,  6419,  6420,    -1,    -1,    -1,  6424,    -1,
      -1,  6427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6438,    -1,    -1,    -1,    -1,    80,    -1,  6445,
      83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,    -1,
      -1,    -1,  1355,    -1,    -1,    -1,    -1,  6463,    -1,    -1,
      -1,    -1,   105,  1366,  6470,   108,    -1,    -1,  1371,  1372,
      -1,    -1,   115,    -1,    -1,    -1,   582,    -1,    -1,   122,
      -1,    -1,    -1,    -1,  6490,   591,   592,   593,   594,   595,
     596,   597,   598,   599,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,  6515,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1427,  1428,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1441,    -1,
    1443,    -1,    -1,    -1,  1447,    -1,    -1,  1450,  1451,    -1,
    1453,    -1,    -1,    -1,    -1,  1458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6571,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1482,
      -1,    -1,    -1,    -1,    -1,  1488,  1489,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1510,  1511,  1512,
      -1,  1514,    -1,  1516,    -1,  1518,  1519,    -1,    -1,    -1,
    6626,    -1,  1525,   266,    -1,    -1,    -1,    -1,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6642,  6643,    -1,    -1,
    6646,    -1,    -1,    -1,    -1,  6651,    -1,  6653,    -1,  6655,
      -1,   294,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3068,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6683,    -1,   322,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3094,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1601,    -1,
    1603,  1604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   365,    -1,    -1,    -1,    -1,    -1,  6734,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,  6744,    -1,
     383,    -1,    -1,    -1,  1647,    -1,  6752,  6753,    -1,    -1,
      -1,    -1,  6758,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3178,    -1,    -1,    -1,    -1,    -1,  1085,  1681,  6785,
    1683,    -1,    -1,    -1,  1687,    -1,  1689,    -1,    -1,  6795,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,  1111,    -1,    83,    -1,    -1,    -1,    87,
      88,    89,    -1,    -1,    -1,    -1,  1719,    -1,  1721,    -1,
      -1,    -1,  1725,    -1,    -1,    -1,    -1,   105,    -1,    -1,
      -1,    -1,    -1,   476,    -1,  1738,    -1,   115,    -1,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
    6856,    -1,    -1,    -1,    -1,    -1,  6862,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     148,    -1,    -1,    -1,  6880,    -1,  1779,    -1,    -1,    -1,
      -1,  6887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6897,    -1,    -1,  6900,    -1,    -1,  6903,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1808,  1809,  1810,    -1,  1812,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6933,    -1,    -1,
    1833,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   582,
      -1,    -1,    -1,    -1,    -1,    -1,  3353,    -1,   591,   592,
     593,   594,   595,   596,   597,   598,   599,    -1,    -1,    -1,
      80,  3368,    -1,    83,    -1,    -1,    -1,    87,    88,    89,
      -1,  6977,    -1,    -1,    -1,  6981,    -1,    -1,    -1,    -1,
    6986,  3388,    -1,  1886,    -1,   105,    -1,    -1,   266,    -1,
      -1,    -1,    -1,   271,  7000,   115,    -1,    -1,    -1,    -1,
      -1,  7007,   122,    -1,    -1,    -1,    -1,    -1,  7014,  1912,
      -1,    -1,    -1,  1916,  1917,    -1,   294,   295,    -1,    -1,
      -1,    -1,    -1,    -1,  1927,  1928,  1929,  1930,   148,  1932,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   322,    -1,    -1,  7053,  7054,    -1,
      -1,    -1,    -1,    -1,    -1,  7061,    -1,    -1,    -1,  7065,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3474,  3475,    -1,
      -1,    -1,    -1,    -1,  7080,  7081,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,  7094,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1446,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,    -1,  1457,
      -1,   271,    -1,    -1,    -1,    -1,  2059,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2067,  1473,    -1,    -1,    -1,  3576,
      -1,    -1,    -1,    -1,   294,   295,    -1,  2080,  2081,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2089,    -1,    -1,  2092,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   476,    -1,
      80,    -1,   322,    83,    -1,    -1,    -1,    87,    88,    89,
      -1,    -1,  2115,    -1,  2117,    -1,    -1,    -1,    -1,    -1,
    2123,  2124,    -1,    -1,  2127,   105,    -1,    -1,   108,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,  2140,    -1,    -1,
    2143,    -1,   122,    -1,    -1,   365,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1567,
     380,    -1,    -1,   383,  2167,    -1,    80,    -1,   148,    83,
      -1,    -1,    -1,    87,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,  2185,    -1,   404,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,    -1,  2197,  2198,  2199,  2200,  2201,    -1,
      -1,   115,    -1,   581,   582,    -1,    -1,    -1,   122,    -1,
      -1,    -1,  2215,   591,   592,   593,   594,   595,   596,   597,
     598,   599,    -1,    -1,  2227,  2228,  2229,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,
    2243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2254,    -1,    -1,    -1,    -1,   476,    -1,    -1,  2262,
    2263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2278,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,
      -1,   271,    -1,  2296,  2297,  1703,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2312,
    2313,  2314,  2315,    -1,   294,   295,    -1,    -1,  2321,    -1,
      -1,    -1,    -1,    -1,    -1,  2328,    -1,    -1,  2331,    -1,
      -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2353,    -1,   266,  2356,    -1,    -1,    -1,   271,    -1,    -1,
      -1,    -1,   582,  2366,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     294,   295,    -1,    -1,    -1,   365,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2397,  2398,    -1,    -1,    -1,    -1,
     380,    -1,    -1,   383,    -1,  2408,  2409,    -1,   322,  2412,
      -1,    -1,  2415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2430,  2431,    -1,
      -1,    -1,    -1,    -1,  2437,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2448,    -1,    -1,    -1,  3956,
      -1,   365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,   383,
      -1,  2474,    -1,    -1,    -1,    -1,    -1,    -1,  2481,    -1,
    2483,    -1,    -1,  2486,  2487,  2488,    -1,  2490,  2491,    -1,
    2493,    -1,    -1,    -1,    -1,    -1,   476,  2500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2511,    -1,
      -1,  2514,  2515,    -1,    -1,  2518,    -1,    -1,  2521,  2522,
      -1,    -1,    -1,  2526,  2527,    -1,    -1,    -1,    -1,  2532,
    2533,    -1,    -1,    -1,    -1,    -1,  2539,  2540,  2541,  2542,
    2543,  2544,  2545,  2546,  2547,  2548,  2549,  2550,  2551,    -1,
      -1,    -1,  2555,    -1,  2557,  2558,  2559,  2560,  2561,  2562,
    2563,  2564,   476,    -1,  2567,    80,  2569,  2570,    83,    -1,
    2573,    -1,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2588,  2589,  2590,    -1,    -1,
     105,    -1,    -1,   108,    -1,    -1,    -1,    -1,  2006,    -1,
     115,    -1,   582,  2606,    -1,    -1,    -1,   122,    -1,    -1,
      -1,   591,   592,   593,   594,   595,   596,   597,   598,   599,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2646,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2074,    -1,   582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,
      88,    89,    -1,  2111,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
    4237,    -1,    -1,    -1,   122,    -1,  2144,    -1,    -1,    -1,
    4247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2753,   266,    -1,    -1,    -1,    -1,   271,    -1,    80,    -1,
     148,    83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,
     295,    -1,    -1,   105,    -1,    -1,   108,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,    -1,    -1,
     122,    -1,    -1,    -1,  2807,    -1,    -1,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2256,    -1,
     365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2267,
    2863,    -1,    -1,    -1,    -1,   380,    -1,    -1,   383,    -1,
      -1,    -1,    -1,    -1,    -1,  2283,    -1,    -1,   266,    -1,
      -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4410,  4411,  4412,   294,   295,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2337,
      -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   266,    80,    -1,    -1,    83,   271,
      -1,  2359,    87,    88,    89,    -1,    -1,  4464,  4465,    -1,
      -1,   476,  4469,    -1,  2372,    -1,    -1,    -1,    -1,    -1,
     105,    -1,   294,   295,    -1,    -1,  2384,   365,    -1,    -1,
     115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,
     322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   148,    -1,    -1,  2424,  2425,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   365,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,  3054,  3055,    -1,  3057,    -1,    -1,    -1,   380,    -1,
      -1,   383,    -1,    -1,    -1,  3068,  3069,   582,    -1,  3072,
      -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,    -1,    -1,    -1,   476,    -1,
    4597,  3094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3126,   512,  3128,    -1,    -1,  3131,  3132,
      -1,   266,  3135,    -1,  3137,    -1,   271,  3140,    -1,    -1,
      -1,  3144,  3145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3155,    -1,   476,    -1,    -1,    -1,    -1,   294,
     295,  3164,  3165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3178,    -1,    -1,    -1,  2587,
      -1,    -1,    -1,  3186,    -1,  3188,    -1,   322,    -1,    -1,
      -1,    -1,    -1,    -1,   582,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   591,   592,   593,   594,   595,   596,   597,
     598,   599,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,
     365,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,   383,   105,
      -1,    -1,    -1,    -1,    -1,    -1,  4763,  4764,  4765,   115,
     582,    -1,    -1,  3266,    -1,  3268,   122,    -1,    -1,   591,
     592,   593,   594,   595,   596,   597,   598,   599,    -1,  3282,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3293,    -1,   148,  3296,  3297,  3298,  3299,    -1,    -1,  3302,
      -1,    -1,  3305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3338,    -1,    -1,    -1,    -1,
      -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3352,
    3353,    -1,    -1,    -1,    -1,    -1,  3359,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3368,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3388,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3409,    -1,    -1,    -1,
     266,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,
      -1,    -1,  3445,    -1,    -1,  3448,    -1,   582,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,    -1,   322,    -1,    -1,    -1,
      -1,  3474,  3475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3489,    -1,  3491,  3492,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3523,  3524,  3525,    -1,   380,    -1,  3529,   383,    -1,    -1,
      -1,    -1,    80,    -1,  3537,    83,    -1,    -1,    -1,    87,
      88,    89,    -1,    -1,   400,    -1,    -1,  3550,    -1,    -1,
      -1,    -1,    -1,  3556,    -1,  3558,    -1,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,  3571,    -1,
      -1,    -1,    -1,  3576,   122,    -1,    -1,    -1,    -1,  3582,
      -1,    -1,  3585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3597,  3598,  5103,    -1,    -1,    -1,
     148,    -1,    -1,    -1,    -1,  3608,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3618,    -1,  3620,    -1,    -1,
     476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5135,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3644,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3657,    -1,    -1,    -1,    -1,    -1,
    5167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3671,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3681,    -1,
    3683,    -1,  3685,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5202,    -1,    -1,    -1,   247,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,
      -1,    -1,    -1,   271,    -1,    -1,   582,  5234,  3731,    -1,
      -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,
     596,   597,   598,   599,    -1,    -1,   294,   295,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    -1,   322,    83,    -1,   105,    -1,    87,
      88,    89,    -1,  3786,  3787,    -1,  3789,   115,  3791,  3792,
      -1,  3794,    -1,    -1,   122,    -1,    -1,   105,  3801,    -1,
      -1,    -1,    -1,  3806,    -1,    -1,    -1,   115,    -1,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,   365,    -1,    -1,
     148,    -1,    -1,    -1,    -1,    -1,  3234,    -1,    -1,    -1,
    3238,  3239,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,
     148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3855,  3856,  3857,    -1,    -1,  3860,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3868,  3869,  3870,  3871,    -1,
      -1,    -1,    -1,  5380,  5381,  5382,  5383,    -1,    -1,    -1,
      -1,  3884,    80,    -1,  3887,    83,  3889,  3295,    -1,    87,
      88,    89,    -1,  3301,    -1,    -1,    -1,    -1,  3901,  3902,
      -1,    -1,  3905,    -1,    -1,    -1,    -1,   105,    -1,    -1,
      -1,    -1,   220,   241,    -1,    -1,    -1,   115,    -1,    -1,
      -1,  3924,    -1,  3926,   122,  3928,    -1,  3930,   476,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,
      -1,  3349,    -1,   271,    -1,    -1,  3949,    -1,    -1,  3952,
     148,    -1,    -1,  3956,    -1,    -1,    -1,    -1,   266,    -1,
    3963,    -1,    -1,   271,    -1,    -1,   294,   295,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,    -1,
      87,    88,    89,  3986,    -1,    -1,   294,   295,    -1,    -1,
      -1,  3994,    -1,    -1,   322,    -1,    -1,    -1,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4009,    -1,   115,    -1,
      -1,    -1,    -1,    -1,   322,   122,    -1,    -1,    -1,    -1,
    4023,    -1,    -1,    -1,  4027,    -1,    -1,  4030,  4031,    -1,
    4033,    -1,    -1,    -1,   582,    -1,    -1,   365,    -1,    -1,
      -1,   148,    -1,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   380,    -1,    -1,   383,    -1,   365,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,
      -1,    -1,   380,   271,    -1,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    83,
      -1,    -1,  4095,    87,    88,    89,   294,   295,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,    -1,   108,    -1,  4119,  4120,    -1,    -1,
      -1,   115,    -1,    -1,   322,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,   241,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   476,  3557,
      -1,    -1,  4155,    -1,   148,    -1,    -1,    -1,    -1,   266,
    4163,    -1,    -1,    -1,   271,    -1,    -1,   365,   476,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   380,    -1,    -1,   383,    -1,   294,   295,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4213,    -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,
      -1,    -1,  3630,    -1,    -1,    -1,  3634,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4237,  5742,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4247,    -1,  5753,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   582,    -1,    -1,    -1,   365,    -1,
      -1,    -1,    -1,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   266,   380,   582,    -1,   383,   271,   476,    -1,
      -1,    -1,    -1,   591,   592,   593,   594,   595,   596,   597,
     598,   599,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     294,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4356,    -1,    -1,    -1,    -1,   556,  4362,
      -1,    -1,    -1,    -1,    -1,  3773,    -1,    -1,    -1,   476,
    4373,   365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3788,    -1,    -1,    -1,   582,  3793,   380,    -1,    -1,   383,
      -1,    -1,    -1,   591,   592,   593,   594,   595,   596,   597,
     598,   599,    -1,    -1,    -1,    -1,    -1,  4410,  4411,  4412,
      -1,    -1,    -1,    -1,    -1,  3823,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4442,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4463,  4464,  4465,    -1,    -1,    -1,  4469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   582,    -1,    -1,  4481,    -1,
      -1,    -1,   476,    -1,   591,   592,   593,   594,   595,   596,
     597,   598,   599,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,
      -1,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
    4533,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
    6057,    -1,    -1,  4556,    -1,  6062,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4573,  4574,    -1,    -1,  6081,    -1,    -1,    -1,    -1,    -1,
      -1,  4584,   148,    -1,    -1,    -1,    -1,    -1,   582,    -1,
      -1,    -1,    -1,    -1,  4597,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4616,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4625,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4639,    -1,    -1,    -1,
    4643,  4644,  4645,    -1,    -1,    -1,    -1,  4650,    -1,    -1,
    4653,    -1,    -1,  4656,    -1,  4063,    -1,    -1,  4066,  4662,
    4068,  4664,    -1,    -1,  4667,  4073,    -1,    -1,    -1,  4672,
    4673,  4674,  4675,    -1,    -1,  4678,  4679,  4680,  4681,  4682,
    4683,  4684,  4685,  4686,  4687,    -1,    -1,    -1,  4691,  4692,
    4693,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4701,    -1,
     266,    -1,    -1,  4706,    -1,   271,    -1,  4710,  4116,    -1,
      -1,    -1,    -1,    -1,    -1,  4718,  4124,    -1,  4721,    -1,
    4723,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,
      -1,    -1,    -1,    -1,    -1,    -1,  4739,    -1,    -1,  4742,
    4743,  4149,    -1,    -1,  4747,  4748,    -1,    -1,    -1,  4752,
      -1,  4754,  4755,    -1,    -1,    -1,   322,    -1,    -1,    -1,
    4763,  4764,  4765,    -1,  4767,    -1,    -1,  4770,  4771,    -1,
      -1,    -1,  4775,  4776,  4777,  4778,    -1,    -1,  4781,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   380,    -1,    -1,   383,    -1,    -1,
      -1,  4229,    -1,  4231,    -1,  4828,    -1,    -1,    -1,    -1,
      -1,  6338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4843,    -1,  4845,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4910,  4911,  4912,
     476,  4914,    -1,    -1,  4917,    -1,  4919,    -1,    -1,  4327,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4937,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4371,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6485,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4992,
      -1,  4399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   582,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,
     596,   597,   598,   599,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5047,    -1,    -1,    -1,    -1,    -1,
    1085,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4471,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1111,  5080,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4493,    -1,    -1,    -1,    -1,
      -1,  5094,    -1,  5096,    -1,    -1,    -1,    -1,    -1,    -1,
    5103,    -1,    -1,    -1,    -1,    -1,  5109,    -1,    -1,  4517,
      -1,    -1,    -1,    -1,    98,    -1,    -1,  5120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5135,    -1,    -1,    -1,    -1,  5140,  5141,    -1,
      -1,    -1,    -1,    -1,    -1,  5148,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5157,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5167,   149,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5179,  5180,    -1,    -1,
      -1,    -1,   166,    -1,    -1,    -1,    -1,  5190,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5201,  5202,
     184,  1085,    -1,    -1,    -1,    -1,   190,    -1,    -1,    -1,
      -1,  4619,    93,    -1,    -1,    -1,  5219,  5220,  5221,  5222,
    5223,    -1,    -1,    -1,   208,    -1,    -1,  1111,    -1,    -1,
     111,  5234,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   136,    -1,    -1,    -1,   243,
      -1,    -1,    -1,  4671,    -1,   249,    -1,    -1,   149,    -1,
      -1,    -1,   256,  5276,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,  4696,  5292,
      -1,    -1,   276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   184,    -1,    -1,    -1,  5310,    -1,   190,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   208,    -1,    -1,
     314,    -1,    -1,    -1,    -1,  5338,    -1,    -1,  5341,    -1,
     221,    -1,    -1,    -1,    -1,    -1,  5349,  5350,    -1,   230,
      -1,    -1,   336,  5356,  5357,    -1,    -1,    -1,  5361,    -1,
      -1,    -1,   243,  5366,    -1,    -1,  5369,  5370,    -1,    -1,
      -1,   252,    -1,  5376,    -1,   256,    -1,  5380,  5381,  5382,
    5383,    -1,    -1,    -1,  5387,  5388,  5389,  5390,  5391,    -1,
    5393,  5394,    -1,    -1,  5397,   276,   380,    -1,  5401,    -1,
      -1,    -1,  5405,    -1,    -1,    -1,    -1,    -1,  5411,    -1,
      -1,  1446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1457,   407,    -1,    -1,    -1,  5430,    -1,    -1,
      -1,    -1,    -1,   417,   418,    -1,  5439,   421,  1473,    -1,
    5443,    -1,    -1,    -1,  5447,   326,  5449,    -1,    -1,    -1,
      -1,    -1,    -1,  4861,    -1,   336,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,  5469,   451,    -1,    -1,
      -1,   455,    -1,    -1,   458,    -1,    -1,    -1,    -1,    -1,
      -1,   465,    -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5496,  5497,    -1,    -1,    -1,    -1,   380,
      -1,    -1,   383,    -1,   488,    -1,    -1,    -1,    -1,  5512,
      -1,    -1,   496,    -1,    -1,    -1,    -1,   501,    -1,   503,
      -1,    -1,   506,    -1,    -1,    -1,   407,   511,    -1,    -1,
      -1,    -1,  1567,    -1,    -1,    -1,    -1,   521,    -1,    -1,
     421,    -1,   526,    -1,    -1,    -1,    -1,   428,  4956,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   540,    -1,    -1,    -1,
      -1,    -1,  1446,    -1,    -1,    -1,    -1,   448,    -1,   553,
      -1,    -1,    -1,  1457,    -1,  5578,  4984,   458,    -1,    -1,
      -1,    -1,  5585,    -1,   465,    93,    -1,   468,    -1,  1473,
      98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5607,    -1,    -1,   488,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   496,    -1,    -1,    -1,  5622,
      -1,    -1,   503,    -1,    -1,   506,    -1,   508,   136,   510,
     511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   149,    -1,    -1,    -1,   526,    -1,    -1,    -1,    -1,
    5653,    -1,    -1,   534,    -1,    -1,   537,    -1,   166,   540,
      -1,    -1,    -1,    -1,    -1,    -1,  5669,    -1,  1703,    -1,
      -1,    -1,   553,  5676,    -1,    -1,   184,    -1,    -1,    -1,
      -1,    -1,  5685,  1567,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5700,    -1,    -1,
     208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5713,    -1,  5715,   221,    -1,    -1,    -1,    -1,  5126,    -1,
      -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,  5742,
      -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,
    5753,    -1,    -1,    -1,    -1,    -1,  5759,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5175,   276,    -1,
    5178,    83,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   114,   115,    -1,   117,    -1,    -1,    -1,    -1,
      -1,   123,    -1,  5816,    -1,    -1,    -1,    -1,    -1,  1703,
      -1,    -1,    -1,  5826,   136,    -1,  5829,    -1,   336,  5832,
    5833,  5834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,   161,
      -1,    -1,    -1,    -1,  5857,  5858,    -1,    -1,  5861,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   380,    -1,    -1,  5878,    -1,    -1,  5881,    -1,
      -1,    -1,  5885,    -1,    -1,   393,    -1,  5890,    -1,    -1,
    5893,  5894,    -1,  5896,    -1,  5898,    -1,    -1,  5901,   407,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,
     418,    -1,    -1,   421,    -1,    -1,    -1,    -1,    -1,  5922,
      -1,    -1,  5925,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    -1,    -1,    -1,    -1,    98,    -1,
     448,    -1,    -1,   451,  5352,    -1,    -1,   455,    -1,    -1,
     458,    -1,  5955,  5956,  5957,    -1,  5959,   465,  5961,    -1,
     468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2006,    -1,    -1,    -1,    -1,   136,    -1,    -1,    -1,
     488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   496,   149,
    5993,  5994,    -1,    -1,    -1,   503,    -1,    -1,   506,    -1,
      -1,    -1,    -1,   511,    -1,    -1,   166,    -1,    -1,    -1,
      -1,   519,    -1,   521,    -1,    -1,    -1,    -1,   526,    -1,
      -1,    -1,    -1,    -1,   184,    -1,    -1,   339,    -1,    -1,
      -1,    -1,   540,    -1,    -1,  6038,    -1,    -1,    -1,  2074,
      -1,    -1,    -1,    -1,    -1,   553,    -1,    -1,   208,  6052,
      -1,    -1,    -1,    -1,  6057,    -1,    -1,    -1,    -1,  6062,
      -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,  6071,    -1,
     230,  5479,    -1,    -1,    -1,    -1,  2111,    -1,  6081,    -1,
      -1,    -1,  6085,   243,    -1,  6088,    -1,    -1,    -1,   249,
      -1,    -1,    -1,    -1,    -1,    -1,  6099,  6100,  6101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2144,
      -1,    -1,    -1,    -1,    -1,    -1,   276,    -1,    -1,    -1,
      -1,    -1,  2006,    -1,    -1,  5533,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6138,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5555,    -1,    -1,
      -1,    -1,  6155,    -1,    -1,    -1,  6159,    -1,  6161,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6175,    -1,  6177,    -1,   336,    -1,  6181,    -1,
      -1,    -1,    -1,    -1,  6187,    -1,    -1,    -1,  6191,    -1,
    2074,    -1,  6195,    -1,    -1,  6198,    -1,  6200,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5627,
     380,  2256,    -1,    -1,    -1,    -1,    -1,  2111,    -1,    -1,
      -1,    -1,  2267,    -1,  6237,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6246,    -1,    -1,    -1,    -1,  2283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,  6262,
    2144,   421,    -1,    -1,    -1,  6268,  6269,    -1,    -1,    -1,
    6273,  6274,  6275,  6276,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,
      -1,   451,    -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,
      -1,  6304,  2337,    -1,    -1,   465,    -1,    -1,   468,    -1,
    6313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2359,    -1,    -1,    -1,   488,    -1,
      -1,    -1,    -1,    -1,    -1,  6338,   496,  2372,  6341,    -1,
      -1,  5749,    -1,   503,    -1,    -1,   506,    -1,    -1,  2384,
      -1,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   519,
      -1,    -1,    -1,    -1,  6367,    -1,   526,    -1,    -1,    -1,
      -1,    -1,  2256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   694,  2267,    -1,    -1,    -1,    -1,    -1,  2424,
    2425,    -1,    -1,   553,  6397,    -1,    -1,    -1,    -1,  2283,
      -1,    -1,    -1,    -1,    -1,    -1,  6409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6418,  6419,  6420,    -1,    -1,
      -1,  6424,    -1,    -1,  6427,    -1,    -1,    -1,  6431,    -1,
      -1,    -1,    -1,    -1,    -1,  6438,    -1,    -1,    -1,    -1,
      -1,    -1,  6445,    -1,    -1,    -1,    -1,   759,   760,    -1,
      -1,    -1,    -1,  2337,    -1,  6458,    -1,    -1,    -1,    -1,
    6463,    -1,    -1,    -1,    -1,    -1,    -1,  6470,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2359,  6479,    -1,  6481,    -1,
      -1,    -1,  6485,    -1,    -1,    -1,    -1,  6490,  2372,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   828,    -1,    -1,    -1,
      -1,    -1,    -1,  6526,  6527,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2424,  2425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2587,  6556,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6571,    -1,
      -1,    -1,    -1,    -1,  5982,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6626,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6639,    -1,    -1,  6642,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   959,  6651,    -1,
    6653,   963,  6655,  6656,    -1,    -1,    -1,    -1,    -1,   971,
      -1,  6664,   974,    -1,    -1,   977,   978,    -1,   980,    -1,
     982,    -1,    -1,   985,    -1,   987,    -1,    -1,    -1,    -1,
    6683,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6695,    -1,    -1,    -1,  6104,  1009,    -1,  6702,
      -1,    -1,    -1,  2587,    -1,    -1,    -1,    -1,  1020,    -1,
      -1,    -1,  1024,    -1,    -1,    -1,    -1,    -1,    -1,  1031,
    1032,    -1,    -1,  1035,  6727,  1037,  1038,    -1,    -1,    -1,
      -1,  6734,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6744,    -1,    -1,    -1,    -1,  1058,    -1,  1060,  6752,
    6753,  6754,    -1,    -1,    -1,  6758,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1084,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6785,    -1,    -1,    -1,  6789,    -1,    -1,  6197,
      -1,    -1,  6795,  1105,    -1,  1107,    -1,  6800,  6801,  6802,
      -1,    -1,    -1,    -1,  1116,  1117,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1126,    -1,  6819,    -1,    -1,    -1,
      -1,    -1,  6825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6252,    -1,    -1,    -1,    -1,  6257,
    6258,    -1,    -1,  6856,  6857,  6858,    -1,    -1,    -1,  6862,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6880,    -1,    -1,
      -1,    -1,    -1,    -1,  6887,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6897,    -1,    -1,  6900,    -1,    -1,
    6903,  6904,    -1,    -1,    -1,    -1,    -1,  1219,    -1,  1221,
      -1,    -1,    -1,    -1,    -1,  6918,    -1,    -1,    -1,    -1,
    6923,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6933,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1255,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6372,    -1,  6969,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6977,    -1,  6979,  6980,  6981,  6982,
      -1,    -1,    -1,  6986,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6997,    -1,    -1,  7000,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1320,    -1,
      -1,  1323,  7015,  1325,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1352,    -1,    -1,    -1,    -1,  7048,    -1,    -1,    -1,    -1,
    7053,  7054,    -1,    -1,    -1,    -1,    -1,    -1,  7061,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1085,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  7080,  7081,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  7091,    -1,
      -1,    -1,  1111,    -1,    -1,  7098,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1418,    -1,  7111,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1444,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1459,    -1,  1461,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1471,
      -1,    -1,    -1,    -1,    -1,    -1,  1478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    -1,    12,    -1,    14,    -1,    16,    17,    -1,  3234,
      -1,    -1,    -1,  3238,  3239,    -1,    -1,    27,  1520,    -1,
    1522,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,
      -1,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,  6646,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    -1,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
    3295,    -1,    -1,    -1,    -1,    -1,  3301,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   101,    -1,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,
      -1,   121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   131,    -1,    -1,  3349,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   143,    -1,   145,   146,    -1,    -1,    -1,
      -1,    -1,   152,    -1,   154,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,   169,
    3234,    -1,    -1,    -1,  3238,  3239,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   184,    -1,   186,    -1,   188,   189,
      -1,    -1,    -1,    -1,    -1,   195,    -1,    -1,    -1,  1691,
      -1,    -1,    -1,    -1,   204,    -1,   206,    -1,    -1,    -1,
     210,    -1,    -1,    -1,    -1,    -1,    -1,   217,   218,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,    -1,
      -1,  3295,    -1,    -1,    -1,   235,    -1,  3301,    -1,   239,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1446,    -1,    -1,
      -1,    -1,    -1,   253,    -1,    -1,    -1,    -1,  1457,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     270,    -1,    -1,    -1,  1473,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3349,   286,    -1,    -1,    -1,
      -1,   291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   324,   325,    -1,    -1,    -1,    -1,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,    -1,
      -1,    -1,  3557,    -1,    -1,   345,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   364,  1857,  1858,    -1,  1567,    -1,
     370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1898,  1899,    -1,    -1,
      -1,    -1,   412,    -1,    -1,  3630,    -1,    -1,    -1,  3634,
      -1,    -1,    -1,    -1,    -1,    -1,  7014,   427,    -1,    -1,
      -1,    -1,   432,   433,    -1,   435,    -1,    -1,    -1,    93,
     440,    -1,    -1,    -1,    98,    -1,   446,    -1,    -1,   449,
      -1,    -1,    -1,  1945,    -1,    -1,   456,    -1,  1950,    -1,
      -1,  1953,    -1,   463,   464,    -1,    -1,    -1,    -1,  1961,
      -1,   471,    -1,    -1,    -1,   475,    -1,    -1,    -1,    -1,
      -1,    -1,   136,    -1,    -1,  1977,   486,    -1,    -1,    -1,
      -1,    -1,    -1,  3557,   494,   149,   150,    -1,    -1,    -1,
      -1,    -1,    -1,   503,  1703,    -1,    -1,    -1,   162,    -1,
      -1,    -1,   166,    -1,    -1,   515,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   524,    -1,   526,    -1,    -1,    -1,
     184,    -1,    -1,   533,    -1,    -1,   536,    -1,    -1,   539,
      -1,    -1,   542,    -1,    -1,    -1,    -1,   547,   548,    -1,
      -1,    -1,    -1,    -1,   208,    -1,  2048,    -1,  3773,    -1,
     560,    -1,    -1,    -1,    -1,    -1,  3630,   221,    -1,    -1,
    3634,    -1,    -1,  3788,    -1,    -1,   230,    -1,  3793,    -1,
      -1,    -1,    -1,    -1,   584,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   603,    -1,    -1,    -1,   607,  3823,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   276,    -1,  2116,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3773,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3788,    -1,   380,    -1,    -1,  3793,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   407,    -1,    -1,    -1,    -1,    -1,  3823,
    2252,    -1,    -1,   417,   418,    -1,    -1,   421,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,  2287,    -1,   451,    -1,    -1,
      -1,   455,    -1,    -1,   458,    -1,    -1,  2006,    -1,    -1,
      -1,   465,    -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   488,    -1,    -1,    -1,    -1,    -1,
      -1,  2333,   496,    -1,    -1,    -1,    -1,    -1,  4063,   503,
      -1,  4066,   506,  4068,    -1,    -1,    -1,   511,  4073,    -1,
      -1,    -1,    -1,    -1,    -1,   519,    -1,   521,  2360,    -1,
      -1,    -1,   526,    -1,    -1,  2074,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   553,
      -1,  4116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4124,
      -1,    -1,  2111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2417,    -1,  2419,    -1,    -1,
      -1,    -1,    -1,    -1,  4149,    -1,    -1,    -1,    -1,    -1,
      -1,  2433,  2434,    -1,  2436,  2144,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2468,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2480,    -1,
      -1,    -1,  2484,    -1,    -1,    -1,    -1,  2489,    -1,  4063,
    2492,    -1,  4066,    -1,  4068,    -1,    -1,    -1,    -1,  4073,
      -1,    -1,    -1,    -1,  4229,    -1,  4231,    -1,    -1,    -1,
      -1,  2513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4116,    -1,    -1,    -1,    -1,  2256,    -1,    -1,
    4124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2267,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2283,  4149,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2337,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4371,    -1,    -1,    -1,
    2359,    -1,    -1,    -1,    -1,  4229,    -1,  4231,    -1,    -1,
      -1,    -1,    -1,  2372,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4399,  2384,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2424,  2425,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4471,    -1,    -1,    -1,
      -1,    -1,    -1,  4327,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4493,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4517,    -1,    -1,    -1,    -1,  4371,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4399,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2587,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4619,    -1,    -1,  4471,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4493,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4517,    -1,    -1,  4671,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4619,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3075,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4671,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4861,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3228,  3229,    -1,    -1,
      -1,  4956,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3247,  3248,    -1,    -1,    -1,
    3252,  3253,    -1,    -1,    -1,  3257,  3258,    -1,    -1,  4984,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3272,    -1,    -1,    -1,  3276,    -1,    -1,    -1,  3280,  3281,
      -1,    -1,  3284,  3285,    -1,    -1,    -1,  4861,    -1,  3291,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3315,    -1,    -1,    -1,    -1,  3320,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3335,    -1,    -1,    -1,  3339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3351,
      -1,    -1,  3354,    -1,  3356,  3357,  3358,    -1,    -1,    -1,
      -1,  3363,  3364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3373,    -1,    -1,    -1,    -1,    -1,  3379,    -1,    -1,
      -1,  3383,  4956,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3393,  3394,    -1,    -1,    -1,  3398,    -1,    -1,    -1,
      -1,  5126,  3404,  3405,    -1,    -1,    -1,    -1,    -1,    -1,
    4984,    -1,    -1,    -1,    -1,    -1,  3418,    -1,    -1,  3421,
      -1,    -1,    -1,    -1,    -1,    -1,  3428,  3429,    -1,    -1,
      -1,    -1,  3434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3446,    -1,    -1,  3449,    -1,    -1,
    5175,    -1,  3454,  5178,    -1,    -1,    -1,    -1,  3460,  3461,
      -1,  3463,    -1,  3465,    -1,    -1,  3468,  3469,    -1,    -1,
    3472,    -1,    -1,    -1,  3476,  3477,  3478,  3479,    -1,  3481,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3495,  3496,    -1,  3498,    -1,    -1,    -1,
      -1,    -1,    -1,   106,    -1,    -1,    -1,  3509,  3510,  3511,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3234,    -1,    -1,    -1,  3238,
    3239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,
      -1,    -1,    -1,    -1,   147,   148,    -1,    -1,    -1,    -1,
      -1,    -1,  5126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3566,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3574,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3295,    -1,    -1,    -1,
      -1,  3593,  3301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5175,    -1,    -1,  5178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5352,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1085,    -1,
    3349,  3643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1111,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3684,    -1,  3686,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3726,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3741,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5479,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5352,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3795,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5533,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3557,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5627,    -1,    -1,  5479,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3630,    -1,    -1,    -1,  3634,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5533,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1446,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5749,    -1,  1473,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5627,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3773,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3788,
      -1,    -1,    -1,    -1,  3793,    -1,    -1,    -1,    -1,    -1,
    4092,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4111,
      -1,    -1,    -1,    -1,  3823,    -1,    -1,    -1,    -1,    -1,
    1567,    -1,    -1,    -1,    -1,    -1,  4128,    -1,    -1,    -1,
    4132,    -1,    -1,    -1,    -1,  4137,  4138,  4139,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4159,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5749,    -1,    -1,    -1,    -1,
      -1,  4183,  4184,  4185,  4186,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4221,
      -1,  4223,  4224,  4225,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1703,  5982,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4352,    -1,    -1,   956,  4063,    -1,    -1,  4066,    -1,  4068,
      -1,    -1,   965,    -1,  4073,    -1,    -1,    -1,    -1,    -1,
     973,    -1,    -1,   976,    -1,    -1,  4378,  4379,    -1,  6104,
      -1,  4383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4405,    -1,    -1,    -1,  4116,  5982,    -1,
      -1,    -1,    -1,    -1,    -1,  4124,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4450,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4461,
      -1,    -1,    -1,    -1,  4466,    -1,    -1,    -1,    -1,    -1,
    4472,    -1,  6197,    -1,    -1,    -1,    -1,  1080,    -1,    -1,
      -1,    -1,  1085,    -1,    -1,    -1,  1089,    -1,    -1,    -1,
      -1,    -1,    -1,  1096,    -1,    -1,  1099,    -1,    -1,    -1,
    4502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1111,    -1,
    4512,    -1,    -1,  4515,    -1,    -1,    -1,    -1,    -1,    -1,
    4229,    -1,  4231,    -1,    -1,    -1,    -1,  6252,    -1,    -1,
    6104,    -1,  6257,  6258,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4550,    -1,
    4552,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2006,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4569,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1216,  1217,    -1,    -1,    -1,  4327,    -1,
    1223,    -1,    -1,  6197,  1227,    -1,    -1,  2074,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6372,    -1,    -1,
      -1,  1254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4371,    -1,  2111,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6252,    -1,
      -1,    -1,    -1,  6257,  6258,    -1,    -1,    -1,    -1,    -1,
    4399,    -1,    -1,    -1,    -1,    -1,    -1,  2144,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4493,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6372,    -1,
    1403,  1404,    -1,    -1,    -1,    -1,    -1,    -1,  4517,  2256,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2267,    -1,    -1,    -1,  1427,  1428,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2283,    -1,  1441,    -1,
      -1,    -1,    -1,  1446,  1447,    -1,    -1,    -1,  1451,    -1,
    1453,    -1,    -1,    -1,  1457,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1473,  4873,    -1,  4875,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4888,    -1,    -1,    -1,
    2337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4900,    -1,
      -1,    -1,  4904,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4619,    -1,  2359,  1516,  4916,  1518,  1519,    -1,    -1,    -1,
      -1,  6646,    -1,    -1,    -1,  2372,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4935,    -1,    -1,    -1,  2384,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4953,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4961,
      -1,    -1,  4671,    -1,  1567,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2424,  2425,    -1,
      -1,    -1,    -1,    -1,  4986,    -1,    -1,  4696,  4990,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5005,  5006,  5007,  5008,    -1,    -1,    -1,
      -1,    -1,    -1,  5015,  5016,  5017,  5018,    -1,    -1,    -1,
      -1,    -1,  5024,  5025,    -1,    -1,    -1,    -1,  5030,  5031,
      -1,  5033,  5034,  5035,  5036,  5037,  5038,  5039,    -1,    -1,
      -1,    -1,    -1,    -1,  1647,    -1,    -1,  5049,    -1,    -1,
      -1,  5053,  5054,  5055,  5056,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6646,    -1,    -1,  5077,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5095,    -1,    -1,    -1,    -1,    -1,    -1,
    1703,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1738,    -1,    -1,    -1,    -1,
    2587,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4861,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5171,
      -1,    -1,    -1,    -1,    -1,    -1,  1779,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5204,    -1,    -1,  1808,  1809,  1810,    -1,  1812,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5226,    -1,  5228,    -1,    -1,    -1,
    1833,    -1,    -1,    -1,  5236,  5237,  5238,  5239,  5240,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4956,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5257,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4984,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  7014,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1912,
      -1,    -1,    -1,  1916,  1917,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1932,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2006,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5126,    -1,    -1,
    2023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    7014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2064,    -1,    -1,    -1,    -1,  5175,    -1,    -1,  5178,
      -1,  2074,    -1,    -1,    -1,    -1,    -1,    -1,  5480,  5481,
    5482,    -1,    -1,    -1,  5486,  5487,  5488,  5489,    -1,    -1,
      -1,  5493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2111,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2137,    -1,    -1,    -1,    -1,    -1,
      -1,  2144,    -1,  5545,  5546,  5547,  5548,  5549,    -1,  5551,
    5552,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5563,  5564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5597,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5605,  5606,    -1,  5608,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2227,  2228,  2229,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5352,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2256,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2267,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5699,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2353,    -1,    -1,  2356,    -1,    -1,  2359,    -1,    -1,    -1,
      -1,    -1,    -1,  2366,    -1,    -1,    -1,    -1,    -1,  2372,
    5479,    -1,    -1,  5775,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2384,    -1,    -1,    -1,    -1,    -1,  3234,    -1,    -1,
      -1,  3238,  3239,    -1,  2397,  2398,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5807,    -1,    -1,    -1,  2412,
      -1,    -1,  2415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2424,  2425,    -1,  5533,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5555,    -1,  3295,    -1,
      -1,    -1,    -1,    -1,  3301,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2483,  5883,    -1,    -1,  2487,  2488,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5898,    -1,    -1,    -1,
      -1,    -1,  3349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5627,    -1,
      -1,    -1,    -1,  2526,  2527,    -1,    -1,    -1,    -1,  2532,
    2533,    -1,    -1,    -1,    -1,    -1,  2539,  2540,  2541,  2542,
    2543,  2544,  2545,  2546,  2547,  2548,  2549,  2550,  2551,    -1,
      -1,    -1,  2555,    -1,  2557,    -1,  2559,  2560,  2561,  2562,
    2563,  2564,    -1,    -1,  2567,    -1,  2569,  2570,    -1,    -1,
    2573,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5984,    -1,  2587,  2588,  2589,  2590,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6003,    -1,  2606,    -1,    -1,    -1,  6009,  6010,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6019,    -1,    -1,
      -1,    -1,    -1,    -1,  6026,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5749,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6063,  6064,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6076,    -1,  6078,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6093,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3557,    -1,    -1,    -1,    -1,    -1,  6118,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6129,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6184,  3630,    -1,    -1,    -1,  3634,    -1,    -1,
      -1,    -1,    -1,  6195,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2807,    -1,    -1,    -1,    -1,  6211,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6225,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6251,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2863,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5982,    -1,  6277,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6319,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3773,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3788,    -1,    -1,    -1,    -1,  3793,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3823,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6390,    -1,
      -1,    -1,    -1,    -1,    -1,  6104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6435,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,  3054,  3055,    -1,  3057,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3069,    -1,    -1,  3072,
      -1,    -1,    -1,    -1,    -1,  6477,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6197,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3128,    -1,    -1,    -1,  3132,
      -1,    -1,  3135,    -1,  3137,    -1,    -1,  3140,    -1,    -1,
      -1,    -1,    -1,  6252,    -1,    -1,    -1,    -1,  6257,  6258,
      -1,    -1,  3155,    -1,    -1,    -1,    -1,    -1,    -1,  6561,
      -1,  3164,  3165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4063,    -1,    -1,  4066,
      -1,  4068,    -1,    -1,    -1,    -1,  4073,    -1,    -1,    -1,
      -1,  3234,    -1,  6635,    -1,  3238,  3239,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6372,    -1,    -1,    -1,    -1,    -1,  4116,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4124,    -1,  3282,
    6682,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3293,    -1,  3295,  3296,    -1,  3298,  3299,    -1,  3301,    -1,
      -1,    -1,  4149,    -1,    -1,    -1,    -1,    -1,    -1,  6711,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6722,    -1,    -1,  3326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3349,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4229,    -1,  4231,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3422,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6845,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3523,  3524,  3525,    -1,  4371,    -1,  3529,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6646,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4399,  3556,  3557,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3598,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4471,    -1,    -1,  3630,    -1,    -1,
      -1,  3634,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4493,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3657,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4517,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  7083,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3773,    -1,  4619,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3786,    -1,  3788,  3789,    -1,  3791,  3792,
    3793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3801,    -1,
      -1,    -1,    -1,  3806,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3823,    -1,    -1,    -1,  4671,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4696,
      -1,    -1,  3855,  3856,  3857,    -1,    -1,  3860,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3868,  3869,  3870,  3871,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3884,    -1,    -1,  3887,    -1,  3889,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3901,  3902,
      -1,    -1,  3905,    -1,    -1,  7014,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3926,    -1,  3928,    -1,  3930,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3949,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3963,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4009,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4861,    -1,    -1,    -1,    -1,    -1,
    4023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4031,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4063,    -1,    -1,  4066,    -1,  4068,    -1,    -1,    -1,    -1,
    4073,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4095,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4956,
      -1,    -1,    -1,  4116,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4984,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4149,    -1,    -1,    -1,
      -1,    -1,  4155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4229,    -1,  4231,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5126,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4327,    -1,    -1,    -1,  5175,    -1,
      -1,  5178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4356,    -1,    -1,    -1,    -1,    -1,  4362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4371,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4399,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4442,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4471,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5352,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4517,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4616,    -1,    -1,  4619,    -1,    -1,    -1,
      -1,    -1,  4625,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5479,    -1,    -1,    -1,  4639,    -1,    -1,    -1,
    4643,  4644,  4645,    -1,    -1,    -1,    -1,  4650,    -1,    -1,
    4653,    -1,    -1,  4656,    -1,    -1,    -1,    -1,    -1,  4662,
      -1,  4664,    -1,    -1,  4667,    -1,    -1,    -1,  4671,  4672,
    4673,  4674,  4675,    -1,    -1,  4678,  4679,  4680,  4681,  4682,
    4683,  4684,  4685,  4686,  4687,    -1,  5533,    -1,  4691,  4692,
    4693,    -1,    -1,  4696,    -1,    -1,    -1,    -1,  4701,    -1,
      -1,    -1,    -1,  4706,    -1,    -1,    -1,  4710,  5555,    -1,
      -1,    -1,    -1,    -1,    -1,  4718,    -1,    -1,  4721,    -1,
    4723,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4739,    -1,    -1,  4742,
    4743,    -1,    -1,    -1,  4747,  4748,    -1,    -1,    -1,  4752,
      -1,  4754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4767,    -1,    -1,  4770,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4781,    -1,
    5627,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4828,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4845,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4861,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5749,    -1,    -1,    -1,    -1,  4910,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4956,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4984,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5096,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   956,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     965,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   973,    -1,
      -1,   976,    -1,  5126,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5982,    -1,  5140,  5141,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5175,    -1,    -1,  5178,  5179,  5180,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5190,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1080,    -1,    -1,    -1,    -1,
    1085,    -1,    -1,    -1,  1089,    -1,    -1,    -1,    -1,    -1,
      -1,  1096,    -1,    -1,  1099,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1111,  6104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5276,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5292,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5310,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5338,    -1,    -1,  5341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5349,  5350,    -1,  5352,
    6197,    -1,    -1,  5356,  5357,    -1,    -1,    -1,  5361,    -1,
      -1,  1216,  1217,  5366,    -1,    -1,  5369,  5370,    -1,    -1,
      -1,    -1,    -1,  5376,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5387,    -1,    -1,    -1,    -1,    -1,
    5393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5401,  1254,
      -1,    -1,  5405,    -1,    -1,  6252,    -1,    -1,    -1,    -1,
    6257,  6258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5439,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5447,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5479,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6372,    -1,    -1,    -1,    -1,
    5533,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1427,  1428,    -1,  5578,    -1,    -1,    -1,    -1,
      -1,    -1,  5585,    -1,    -1,    -1,  1441,    -1,    -1,    -1,
      -1,  1446,  1447,    -1,    -1,    -1,  1451,    -1,  1453,    -1,
      -1,    -1,  1457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1473,    -1,
      -1,    -1,    -1,    -1,  5627,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5653,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1516,    -1,  1518,  1519,    -1,  5669,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5700,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5747,    -1,  5749,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1647,    -1,    -1,    -1,    -1,    -1,    -1,  6646,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5816,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5826,    -1,    -1,  5829,    -1,    -1,  5832,
    5833,  5834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1703,    -1,
      -1,    -1,    -1,    -1,  5857,  5858,    -1,    -1,  5861,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5878,    -1,    -1,    -1,    -1,
      -1,    -1,  5885,  1738,    -1,    -1,    -1,  5890,    -1,    -1,
    5893,  5894,    -1,    -1,    -1,    -1,    -1,    -1,  5901,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5922,
      -1,    -1,  5925,    -1,  1779,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5955,  1808,  1809,  1810,    -1,  1812,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1833,  5982,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6038,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1912,    -1,    -1,
      -1,  1916,  1917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1932,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6101,    -1,
      -1,  6104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6138,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2006,  6155,    -1,    -1,    -1,  6159,    -1,  6161,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  7014,    -1,    -1,
      -1,    -1,  6175,    -1,  6177,    -1,    -1,    -1,  6181,    -1,
      -1,    -1,    -1,    -1,  6187,    -1,    -1,    -1,  6191,    -1,
      -1,    -1,    -1,    -1,  6197,  6198,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2074,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1085,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6246,    -1,    -1,    -1,    -1,    -1,  6252,
      -1,    -1,    -1,    -1,  6257,  6258,  2111,  1111,    -1,  6262,
      -1,    -1,    -1,    -1,    -1,  6268,  6269,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6304,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6371,  6372,
      -1,    -1,  2227,  2228,  2229,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6397,    -1,    -1,    -1,    -1,    -1,
      -1,  2256,    -1,    -1,    -1,    -1,  6409,    -1,    -1,    -1,
      -1,    -1,  2267,    -1,    -1,  6418,  6419,  6420,    -1,    -1,
      -1,  6424,    -1,    -1,  6427,    -1,    -1,    -1,  2283,    -1,
      -1,    -1,    -1,    -1,    -1,  6438,    -1,    -1,    -1,    -1,
      -1,    -1,  6445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6463,    -1,    -1,    -1,    -1,    -1,    -1,  6470,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2337,    -1,    -1,    -1,    -1,  6490,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2353,    -1,
      -1,  2356,    -1,    -1,  2359,    -1,    -1,    -1,    -1,    -1,
      -1,  2366,    -1,    -1,    -1,    -1,    -1,  2372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2384,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2397,  2398,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2412,    -1,    -1,
    2415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6571,  2424,
    2425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1457,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1473,
      -1,    -1,    -1,  6626,    -1,    -1,    -1,    -1,  2483,    -1,
      -1,    -1,  2487,  2488,    -1,    -1,    -1,    -1,    -1,  6642,
      -1,    -1,    -1,  6646,    -1,    -1,    -1,    -1,  6651,    -1,
    6653,    -1,  6655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2526,  2527,    -1,    -1,    -1,    -1,  2532,  2533,    -1,
    6683,    -1,    -1,    -1,  2539,  2540,  2541,  2542,  2543,  2544,
    2545,  2546,  2547,  2548,  2549,  2550,  2551,    -1,    -1,    -1,
    2555,    -1,  2557,    -1,  2559,  2560,  2561,  2562,  2563,  2564,
      -1,    -1,  2567,  1567,  2569,  2570,    -1,    -1,  2573,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6734,  2587,  2588,  2589,  2590,    -1,    -1,    -1,    -1,
      -1,  6744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6752,
    6753,  2606,    -1,    -1,    -1,  6758,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    81,  6785,    83,    84,    -1,    86,    -1,    -1,    -1,
      -1,    -1,  6795,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   104,    -1,    -1,    -1,   108,    -1,
      -1,    -1,    -1,    -1,   114,   115,    -1,   117,    -1,    -1,
      -1,    -1,    -1,   123,    -1,   125,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   133,    -1,    -1,   136,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1703,
      -1,    -1,    -1,  6856,    -1,    -1,    -1,    -1,    -1,  6862,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6880,    -1,    -1,
      -1,    -1,    -1,    -1,  6887,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6897,    -1,    -1,  6900,  2753,    -1,
    6903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6933,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2807,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6977,    -1,    -1,    -1,  6981,    -1,
      -1,    -1,    -1,  6986,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  7000,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2863,    -1,
      -1,  7014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   339,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    7053,  7054,    -1,    -1,    -1,    -1,    -1,    -1,  7061,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  7080,  7081,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2006,  1085,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1111,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,
    3055,    -1,  3057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3069,    -1,    -1,  3072,    -1,    -1,
    2074,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2111,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3128,    -1,    -1,    -1,  3132,    -1,    -1,
    3135,    -1,  3137,    -1,    -1,  3140,    -1,    -1,    -1,    -1,
    2144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3164,
    3165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3234,
      -1,    -1,    -1,  3238,  3239,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   694,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2267,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3282,    -1,  2283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3293,    -1,
    3295,  3296,    -1,  3298,  3299,    -1,  3301,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   759,
     760,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2337,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3349,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2359,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1446,    -1,    -1,    -1,  2372,    -1,
      -1,    -1,    -1,    -1,    -1,  1457,    -1,    -1,   828,    -1,
    2384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2424,  2425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1567,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   949,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3523,  3524,
    3525,    -1,    -1,    -1,  3529,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3556,  3557,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2587,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3598,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1057,  1058,    -1,
    1060,    -1,    -1,    -1,  1064,    -1,    -1,    -1,    -1,    -1,
      -1,  1703,    -1,    -1,    -1,  3630,    -1,    -1,    -1,  3634,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3657,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1122,    -1,    -1,  1125,  1126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1141,    -1,  1143,    -1,  1145,    -1,    -1,    -1,    -1,
      -1,  1151,    -1,    -1,    -1,  1155,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1177,  1178,    -1,
      -1,  1181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3773,  1219,
      -1,  1221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3786,    -1,  3788,  3789,    -1,  3791,  3792,  3793,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3801,    -1,    -1,    -1,
      -1,  3806,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3823,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3855,  3856,  3857,    -1,    -1,  3860,  1306,  1307,    -1,    -1,
    1310,    -1,    -1,  3868,  3869,  3870,  3871,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3884,
      -1,    -1,  3887,    -1,  3889,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3901,  3902,    -1,    -1,
    3905,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1365,    -1,    -1,    -1,    -1,
      -1,  3926,    -1,  3928,  2006,  3930,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3949,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3963,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1436,    -1,    -1,  3994,
      -1,    -1,  2074,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4009,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4023,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4031,    -1,    -1,  2111,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4063,    -1,
      -1,  4066,  2144,  4068,    -1,    -1,    -1,    -1,  4073,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4095,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4124,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4149,    -1,    -1,    -1,    -1,    -1,
    4155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2256,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2267,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2283,    -1,    -1,    -1,    -1,  1656,    -1,  1658,    -1,
      -1,  1661,    -1,  1663,    -1,    -1,  1666,  1667,  1668,    -1,
      -1,    -1,  1672,    -1,  4229,    -1,  4231,    -1,    -1,  1679,
    3234,    -1,    -1,    -1,  3238,  3239,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1694,    -1,  1696,    -1,    -1,    -1,
      -1,    -1,  1702,    -1,    -1,  2337,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2359,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2372,  3295,    -1,    -1,    -1,    -1,    -1,  3301,    -1,    -1,
      -1,    -1,  2384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2424,  2425,    -1,  3349,    -1,    -1,    -1,    -1,
      -1,  4356,    -1,    -1,    -1,    -1,    -1,  4362,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4371,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4399,  1845,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1857,  1858,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1874,    -1,    -1,    -1,    -1,  1879,
    1880,    -1,    -1,    -1,    -1,    -1,    -1,  4442,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4471,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4493,    -1,
      -1,    -1,    -1,    -1,    -1,  1945,    -1,  1947,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2587,    -1,  1957,    -1,    -1,
      -1,    -1,  4517,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1999,
      -1,    -1,    -1,  3557,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2052,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4616,  2062,    -1,  4619,    -1,    -1,    -1,    -1,    -1,
    4625,    -1,    -1,    -1,    -1,    -1,  3630,    -1,    -1,    -1,
    3634,    -1,    -1,    -1,  4639,    -1,    -1,    -1,  4643,  4644,
    4645,    -1,    -1,    -1,    -1,  4650,    -1,    -1,  4653,    -1,
      -1,  4656,    -1,    -1,    -1,    -1,    -1,  4662,    -1,  4664,
      -1,    -1,  4667,    -1,    -1,    -1,  4671,  4672,  4673,  4674,
    4675,    -1,    -1,  4678,  4679,  4680,  4681,  4682,  4683,  4684,
    4685,  4686,  4687,    -1,    -1,    -1,  4691,  4692,  4693,    -1,
      -1,  4696,    -1,    -1,    -1,  2145,  4701,    -1,    -1,  2149,
    2150,  4706,    -1,    -1,    -1,  4710,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4718,    -1,    -1,  4721,    -1,  4723,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4739,    -1,    -1,  4742,  4743,    -1,
      -1,    -1,  4747,  4748,    -1,    -1,    -1,  4752,    -1,  4754,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4767,    -1,    -1,  4770,    -1,    -1,    -1,  3773,
      -1,    -1,    -1,    -1,    -1,    -1,  4781,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3788,    -1,    -1,    -1,    -1,  3793,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3823,
      -1,    -1,    -1,  4828,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4845,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4861,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4910,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4956,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4984,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2452,    -1,  2454,    -1,    -1,    -1,  2458,    -1,
    2460,    -1,    -1,  2463,    -1,    -1,    -1,  2467,    -1,    -1,
      -1,    -1,  2472,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4063,
      -1,    -1,  4066,    -1,  4068,    -1,    -1,    -1,    -1,  4073,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4124,  5126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5140,  5141,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4149,    -1,    -1,    -1,    -1,
      -1,    -1,  3234,    -1,    -1,    -1,  3238,  3239,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5175,    -1,    -1,  5178,  5179,  5180,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5190,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3295,    -1,    -1,    -1,    -1,    -1,  3301,
      -1,    -1,    -1,    -1,    -1,  4229,    -1,  4231,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3349,    -1,    -1,
      -1,  5276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5310,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4327,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5338,    -1,    -1,  5341,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5349,  5350,    -1,  5352,    -1,    -1,
      -1,  5356,  5357,    -1,    -1,    -1,  5361,    -1,    -1,    -1,
      -1,  5366,    -1,    -1,  5369,  5370,    -1,  4371,    -1,    -1,
      -1,  5376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5387,    -1,    -1,    -1,    -1,    -1,  5393,    -1,
      -1,    -1,    -1,    -1,    -1,  4399,  5401,    -1,    -1,    -1,
    5405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5439,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4471,    -1,    -1,
      -1,    -1,    -1,    -1,  5479,  3557,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1216,  1217,  4493,
      -1,    -1,  5497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4517,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5533,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3630,    -1,
    5555,    -1,  3634,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5578,    -1,    -1,    -1,    -1,    -1,    -1,
    5585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4619,    -1,    -1,  3068,    -1,
      -1,    -1,  5627,    -1,    -1,  3075,    -1,    -1,    -1,    -1,
      -1,  1895,    -1,    -1,    -1,  3085,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5653,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5669,    -1,    -1,  4671,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3773,  4696,    -1,    -1,  5700,    -1,    -1,  1427,  1428,
      -1,    -1,    -1,    -1,    -1,    -1,  3788,    -1,    -1,    -1,
      -1,  3793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3823,  5747,    -1,  5749,    -1,    -1,    -1,    -1,    -1,
      -1,  3201,    -1,    -1,    -1,    -1,    -1,  3207,    -1,  3209,
      -1,    -1,  3212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5816,    -1,    -1,  3264,    -1,    -1,    -1,    -1,    -1,
      -1,  5826,    -1,    -1,  5829,    -1,    -1,  5832,  5833,  5834,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5857,  5858,    -1,    -1,  5861,  4861,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5878,    -1,    -1,    -1,    -1,    -1,    -1,
    5885,    -1,    -1,    -1,    -1,  5890,    -1,    -1,  5893,  5894,
      -1,    -1,    -1,    -1,    -1,    -1,  5901,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5922,    -1,    -1,
    5925,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5955,    -1,  4956,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2233,
      -1,    -1,    -1,  2237,    -1,    -1,    -1,  5982,    -1,    -1,
    4984,  4063,    -1,    -1,  4066,    -1,  4068,    -1,  5993,  3439,
      -1,  4073,    -1,    -1,    -1,    -1,    -1,  3447,    -1,    -1,
    3450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1738,
      -1,    -1,  3462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6038,  4116,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4149,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1808,
    1809,  1810,    -1,  1812,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6101,    -1,    -1,  6104,
      -1,    -1,    -1,    -1,  1833,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6138,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4229,    -1,  4231,
    6155,    -1,    -1,    -1,  6159,    -1,  6161,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6175,  5175,  6177,    -1,  5178,    -1,  6181,    -1,    -1,    -1,
      -1,    -1,  6187,  1912,    -1,    -1,  6191,  1916,  1917,    -1,
      -1,    -1,  6197,  6198,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6246,    -1,    -1,    -1,  4327,    -1,  6252,    -1,    -1,
      -1,    -1,  6257,  6258,    -1,    -1,    -1,  6262,    -1,    -1,
      -1,    -1,    -1,  6268,  6269,    -1,  2530,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3726,  3727,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4371,
      -1,    -1,  2556,    -1,  3744,    -1,  2560,    -1,    -1,  6304,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6313,    -1,
      -1,  2575,  2576,  2577,    -1,    -1,  2580,  4399,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6341,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5352,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6371,  6372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4471,
      -1,    -1,  6397,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6409,    -1,    -1,    -1,    -1,    -1,
      -1,  4493,    -1,  6418,  6419,  6420,    -1,    -1,    -1,  6424,
      -1,    -1,  6427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6438,    -1,  4517,    -1,    -1,    -1,    -1,
    6445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6463,    -1,
      -1,    -1,    -1,    -1,    -1,  6470,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5479,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6490,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2227,  2228,
    2229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3972,    -1,    -1,    -1,    -1,  3977,    -1,  5533,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4619,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6571,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4671,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4696,    -1,    -1,    -1,    -1,    -1,
      -1,  6626,    -1,  5627,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6642,    -1,    -1,
      -1,  6646,    -1,    -1,    -1,    -1,  6651,    -1,  6653,    -1,
    6655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6683,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6734,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6744,
      -1,    -1,    -1,    -1,    -1,  5749,    -1,  6752,  6753,    -1,
      -1,    -1,    -1,  6758,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4861,
    6785,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6795,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3065,    -1,  2532,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2541,  2542,  2543,  2544,  2545,  2546,  2547,  2548,
    2549,  2550,    -1,    -1,    -1,    -1,  2555,    -1,  2557,    -1,
    2559,    -1,    -1,  2562,  2563,  2564,    -1,    -1,    -1,    -1,
      -1,  2570,    -1,    -1,  2573,    -1,    -1,    -1,    -1,    -1,
      -1,  6856,    -1,    -1,    -1,    -1,    -1,  6862,    -1,  2588,
    2589,  2590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4956,  6880,    -1,  2606,    -1,    -1,
      -1,    -1,  6887,    -1,    -1,    -1,    -1,  3151,    -1,    -1,
      -1,    -1,  6897,    -1,    -1,  6900,    -1,    -1,  6903,  3163,
      -1,    -1,  4984,    -1,  3168,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6933,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4399,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6977,    -1,    -1,    -1,  6981,    -1,  5982,    -1,
      -1,  6986,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  7000,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  7014,
      -1,    -1,    -1,    -1,    -1,    -1,  4466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2753,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5126,    -1,    -1,    -1,  7053,  7054,
      -1,    -1,    -1,    -1,    -1,    -1,  7061,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4515,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  7080,  7081,    -1,  2807,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5175,    -1,    -1,  5178,    -1,    -1,    -1,
    6104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2863,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4605,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6197,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6252,    -1,
      -1,    -1,    -1,  6257,  6258,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3047,  3048,
    3049,  3050,  3051,  3052,  3053,  3054,  3055,    -1,  3057,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3069,    -1,    -1,  3072,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6372,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5479,    -1,  3128,
    4850,    -1,    -1,  3132,    -1,    -1,  3135,    -1,  3137,    -1,
      -1,  3140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3164,  3165,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5533,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5555,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4956,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4984,    -1,    -1,    -1,    -1,    -1,
    3804,    -1,    -1,    -1,    -1,  5627,    -1,    -1,  4998,    -1,
      -1,    -1,    -1,  3282,    -1,    -1,    -1,  3821,    -1,  5009,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3831,    -1,    -1,
      -1,    -1,    -1,  3837,    -1,    -1,  3840,    -1,    -1,    -1,
      -1,    -1,    -1,  3847,  3848,    -1,  3850,    -1,    -1,    -1,
      -1,  3855,  3856,    -1,  3858,    -1,  3860,    -1,    -1,    -1,
    3864,    -1,    -1,  3867,    -1,    -1,    -1,    -1,  3872,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3881,    -1,    -1,
      -1,    -1,  3886,    -1,    -1,    -1,    -1,    -1,    -1,  3893,
    3894,  3895,  3896,    -1,    -1,    -1,    -1,  3901,  3902,    -1,
    3904,    -1,  6646,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3923,
      -1,  3925,    -1,    -1,    -1,    -1,    -1,  5749,  3932,  3933,
    3934,  3935,  3936,  3937,  3938,  3939,  3940,  3941,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3987,    -1,  5175,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5242,    -1,  3523,  3524,  3525,    -1,    -1,    -1,
    3529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3556,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5982,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5426,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    7014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5515,    -1,    -1,    -1,    -1,
      -1,  5521,  3801,    -1,    -1,    -1,  5526,  3806,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4360,  4361,    -1,    -1,
      -1,  4365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6197,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3857,    -1,
    4394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3868,
      -1,  3870,  3871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3884,    -1,    -1,  3887,    -1,
    3889,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6252,    -1,    -1,    -1,    -1,  6257,  6258,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3926,    -1,  3928,
      -1,  3930,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3994,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4009,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4615,    -1,    -1,    -1,    -1,    -1,  4621,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4095,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4668,  4669,    -1,    -1,  4672,  4673,
    4674,  4675,    -1,    -1,  4678,  4679,  4680,  4681,  4682,  4683,
    4684,  4685,  4686,  4687,  4688,    -1,  4155,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4711,    -1,    -1,
    4714,    -1,  4716,    -1,    -1,  4719,  4720,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5915,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4741,  4742,  4743,
    4744,    -1,  4746,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5982,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6646,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4870,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4356,  6078,    -1,
      -1,    -1,    -1,  4362,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4905,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4442,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5096,    -1,  6284,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5139,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4616,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4625,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4639,    -1,    -1,    -1,  4643,  4644,  4645,    -1,    -1,    -1,
      -1,  4650,    -1,    -1,  4653,    -1,    -1,  4656,    -1,    -1,
      -1,    -1,  7014,  4662,    -1,  4664,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6393,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4691,  4692,  4693,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4710,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4718,
      -1,    -1,  4721,    -1,  4723,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4739,    -1,    -1,  5277,    -1,    -1,    -1,  5281,  4747,  4748,
      -1,    -1,    -1,    -1,    -1,  4754,    -1,    -1,    -1,    -1,
    5294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5302,    -1,
    5304,    -1,  5306,  5307,    -1,    -1,    -1,    -1,  5312,  5313,
    5314,  5315,  4781,    -1,    -1,  5319,  5320,  5321,  5322,  5323,
    5324,  5325,  5326,  5327,  5328,  5329,  5330,  5331,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5355,    -1,    -1,  5358,    -1,  5360,    -1,    -1,  4828,
    5364,    -1,    -1,  5367,  5368,    -1,    -1,  5371,  5372,    -1,
      -1,    -1,    -1,  5377,    -1,    -1,  4845,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5420,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5438,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5452,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5656,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5179,  5180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5744,  5745,    -1,    -1,    -1,    -1,    -1,    -1,  5752,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5805,    -1,    -1,    -1,    -1,    -1,  5276,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5292,  5828,  5829,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5310,    -1,  5847,    -1,  5849,    -1,    -1,    -1,  5853,
    5854,  5855,  5856,    -1,    -1,  5859,  5860,    -1,    -1,    -1,
      -1,  5865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5349,  5350,    -1,    -1,    -1,    -1,    -1,  5356,  5357,    -1,
      -1,    -1,  5361,    -1,    -1,    -1,    -1,  5366,    -1,    -1,
    5369,  5370,    -1,    -1,    -1,    -1,    -1,  5376,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5387,    -1,
    5924,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5953,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5447,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6004,    -1,  6006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5497,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6041,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5578,
      -1,    -1,    -1,    -1,    -1,    -1,  5585,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6152,    -1,
    6154,  6155,  6156,  6157,  6158,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6171,  6172,  6173,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6181,    -1,    -1,
      -1,    -1,    -1,    -1,  5653,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6199,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6220,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5816,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5826,    -1,    -1,
      -1,    -1,    -1,  5832,  5833,  5834,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5857,  5858,
      -1,    -1,  5861,    -1,    -1,  6399,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6410,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6422,    -1,
      -1,    -1,    -1,  6427,    -1,    -1,  6430,    -1,    -1,    -1,
    6434,    -1,  5901,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6452,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5925,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6489,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6501,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6537,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6622,    -1,
      -1,    -1,    -1,    -1,    -1,  6629,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6640,    -1,  6642,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6666,    -1,    -1,    -1,    -1,    -1,    -1,  6138,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6681,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6159,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6177,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6187,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6198,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6246,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6262,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6304,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6879,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6897,    -1,    -1,  6900,    -1,    -1,  6903,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6397,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6418,
    6419,  6420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6971,    -1,  6973,
      -1,  6975,    -1,    -1,    -1,    -1,  6445,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  7016,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6626,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6655,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6734,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6758,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6795,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6887,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,  6977,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  7053,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,   609,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
     205,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,   534,
     535,   536,   537,   538,   539,   540,    -1,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,    -1,   582,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,
     595,   596,    -1,    -1,    -1,    -1,    -1,    -1,   603,   604,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,   534,
     535,   536,   537,   538,   539,   540,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,    -1,   582,    -1,   584,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,
     595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,   604,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,   534,
     535,   536,   537,   538,   539,   540,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,    -1,   582,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,
     595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,   604,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,   534,
     535,   536,   537,   538,   539,   540,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,    -1,   582,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,
     595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,   604,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,   534,
     535,   536,   537,   538,   539,   540,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,    -1,   582,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,
     595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,   604,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
      -1,    -1,    -1,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,    -1,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,    -1,   361,    -1,   363,   364,
     365,   366,    -1,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,    -1,   409,    -1,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,    -1,   498,    -1,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,    -1,   521,    -1,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,    -1,   548,   549,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   578,   579,   580,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,   604,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,    -1,    -1,    -1,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,    -1,   320,   321,   322,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,    -1,   361,    -1,   363,   364,   365,   366,    -1,
      -1,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
      -1,   409,    -1,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,    -1,
     498,    -1,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,    -1,   521,    -1,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,    -1,
     548,   549,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     578,   579,   580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,   604,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,   534,   535,   536,   537,   538,   539,   540,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,   582,    -1,   584,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   603,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,   534,   535,   536,   537,   538,   539,   540,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,    -1,
     582,    -1,   584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   603,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,   534,   535,   536,   537,   538,   539,   540,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,    -1,   582,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     603,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,   106,   107,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
     534,   535,   536,   537,   538,   539,   540,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,   582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,   106,   107,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,   534,
     535,   536,   537,   538,   539,   540,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,    -1,   582,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,
     595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,   288,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,   534,   535,
     536,   537,   538,   539,   540,    -1,   542,   543,   544,   545,
     546,   547,   548,    -1,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,    -1,   582,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,   595,
      -1,    -1,    -1,    -1,    -1,   601,   602,   603,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,   534,   535,   536,
     537,   538,   539,   540,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,    -1,   582,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,   595,   596,
      -1,    -1,    -1,    -1,    -1,    -1,   603,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,   534,   535,   536,   537,
     538,   539,   540,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,    -1,   582,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   594,   595,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   603,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,   534,   535,   536,   537,   538,
     539,   540,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   594,   595,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   603,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,   534,   535,   536,   537,   538,   539,
     540,    -1,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   603,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,   534,   535,   536,   537,   538,   539,   540,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   603,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,   516,    -1,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,   534,   535,   536,   537,   538,   539,   540,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,    -1,
     582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   603,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,   534,   535,   536,   537,   538,   539,   540,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,    -1,   582,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     603,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
     534,   535,   536,   537,   538,   539,   540,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,   582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,   534,
     535,   536,   537,   538,   539,   540,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,    -1,   582,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,
     595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,   288,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,   534,   535,
     536,   537,   538,   539,   540,    -1,   542,   543,   544,   545,
     546,   547,   548,    -1,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,    -1,   582,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,   595,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,   534,   535,   536,
     537,   538,   539,   540,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,    -1,   582,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,   595,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   603,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,   534,   535,   536,   537,
     538,   539,   540,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,    -1,   582,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   594,   595,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   603,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,   534,   535,   536,   537,   538,
     539,   540,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   594,   595,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   603,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,   534,   535,   536,   537,   538,   539,
     540,    -1,   542,   543,   544,   545,   546,   547,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   603,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,   534,   535,   536,   537,   538,   539,   540,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   603,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,   540,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   603,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,   540,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     603,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    -1,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,   540,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    -1,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,   540,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,   603,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    -1,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,   540,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,   603,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    78,    79,    -1,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,   540,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
     603,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,   379,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,   540,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,    -1,    -1,    -1,   584,    -1,    -1,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,   603,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,   379,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,   540,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,   603,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,   540,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,   603,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,   540,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,   603,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,   540,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
     603,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,   540,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,   603,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,   603,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,   108,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,    -1,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
      -1,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,   547,   548,    -1,   550,    -1,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,   604,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,    -1,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,   503,   504,    -1,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
      -1,   552,   553,   554,   555,    -1,    -1,   558,    -1,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,    -1,    -1,   584,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,   603,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,   503,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,    -1,
      -1,    -1,   584,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,   603,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,   379,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
     503,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
     603,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    76,    -1,
      -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,   602,   603,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    76,    -1,    -1,    -1,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,   603,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,   603,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,   603,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,   603,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,   603,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    -1,    -1,    -1,    80,    81,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,    -1,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,    -1,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,    -1,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
      -1,   517,   518,   519,    -1,   521,    -1,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,    -1,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   578,   579,   580,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    -1,    -1,    80,
      81,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,    -1,    -1,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,    -1,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,    -1,   517,   518,   519,    -1,
     521,    -1,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,    -1,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,   579,   580,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,    -1,   389,    -1,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,    -1,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,    -1,    -1,   504,
      -1,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,    -1,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,    -1,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,    -1,   504,    -1,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
      -1,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,   596,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,    -1,    -1,    -1,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
      -1,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,    -1,   361,    -1,   363,   364,   365,   366,    -1,    -1,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,    -1,
     409,    -1,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,    -1,   498,
      -1,   500,   501,    -1,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,    -1,   521,    -1,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,    -1,   548,
     549,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,
     579,   580,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,   596,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
      -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,    -1,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,    -1,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,    -1,    -1,   504,    -1,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,    -1,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
      -1,    -1,   542,   543,   544,   545,   546,   547,   548,    -1,
     550,    -1,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,   596,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,    -1,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,    -1,   504,    -1,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
      -1,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,   596,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,   596,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,   596,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,   247,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
     594,   595,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
      -1,   247,    -1,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,    -1,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
      -1,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,   547,   548,    -1,   550,    -1,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,   594,   595,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,   247,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,   594,   595,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
      -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,    -1,   247,    -1,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,    -1,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,    -1,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,    -1,    -1,   504,    -1,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,    -1,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
      -1,    -1,   542,   543,   544,   545,   546,   547,   548,    -1,
     550,    -1,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,   594,   595,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,   516,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     4,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,   593,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,    -1,   389,    -1,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,    -1,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,    -1,    -1,   504,
      -1,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,    -1,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    75,    76,    -1,    -1,
      -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,   540,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,
     177,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,    -1,    -1,    -1,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
      -1,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,    -1,   361,    -1,   363,   364,   365,   366,    -1,    -1,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,    -1,
     409,    -1,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,    -1,   498,
      -1,   500,   501,    -1,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,    -1,   521,    -1,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,    -1,   548,
     549,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,
     579,   580,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,    -1,    -1,    -1,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,    -1,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,    -1,   361,    -1,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,    -1,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,    -1,   409,    -1,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,    -1,   498,    -1,   500,   501,    -1,
     503,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,    -1,   521,    -1,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,    -1,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   578,   579,   580,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,
     177,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,    -1,    -1,
      -1,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,    -1,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,    -1,   363,   364,   365,   366,
      -1,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
      -1,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,    -1,   409,    -1,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
      -1,   498,    -1,   500,   501,    -1,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,    -1,   521,    -1,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
      -1,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   578,   579,   580,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,    -1,    -1,    -1,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,    -1,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,    -1,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,    -1,   363,   364,   365,   366,    -1,    -1,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,    -1,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,    -1,   409,    -1,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,    -1,   498,    -1,   500,
     501,    -1,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,    -1,
     521,    -1,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,    -1,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,   579,   580,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,    -1,   234,
      -1,   236,   237,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
      -1,    -1,    -1,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,    -1,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,    -1,   361,    -1,   363,   364,
     365,   366,    -1,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,    -1,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,    -1,   409,    -1,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,    -1,   498,    -1,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,    -1,   521,    -1,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,    -1,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   578,   579,   580,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,    -1,   234,    -1,   236,   237,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,    -1,    -1,    -1,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,    -1,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
      -1,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,    -1,   361,    -1,   363,   364,   365,   366,    -1,    -1,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,    -1,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,    -1,
     409,    -1,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,    -1,   498,
      -1,   500,   501,    -1,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,    -1,   521,    -1,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,    -1,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,
     579,   580,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,    -1,    -1,    -1,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,    -1,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,    -1,   361,    -1,
     363,   364,   365,   366,    -1,    -1,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,    -1,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,    -1,   409,    -1,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,    -1,   498,    -1,   500,   501,    -1,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,    -1,   521,    -1,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,    -1,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   578,   579,   580,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,
     177,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,    -1,    -1,
      -1,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,    -1,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,    -1,   361,    -1,   363,   364,   365,   366,
      -1,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
      -1,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,    -1,   409,    -1,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
      -1,   498,    -1,   500,   501,    -1,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,    -1,   521,    -1,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
      -1,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   578,   579,   580,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,    -1,    -1,    -1,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,    -1,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,    -1,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,    -1,
     361,    -1,   363,   364,   365,   366,    -1,    -1,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,    -1,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,    -1,   409,    -1,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,    -1,   498,    -1,   500,
     501,    -1,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,    -1,
     521,    -1,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,    -1,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,   579,   580,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
      -1,    -1,    -1,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,    -1,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,    -1,   361,    -1,   363,   364,
     365,   366,    -1,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,    -1,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,    -1,   409,    -1,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,    -1,   498,    -1,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,    -1,   521,    -1,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,    -1,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   578,   579,   580,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,    -1,    -1,    -1,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,    -1,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
      -1,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,    -1,   361,    -1,   363,   364,   365,   366,    -1,    -1,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,    -1,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,    -1,
     409,    -1,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,    -1,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,    -1,   498,
      -1,   500,   501,    -1,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,    -1,   521,    -1,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,    -1,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,
     579,   580,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
      -1,   124,    -1,    -1,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,    -1,    -1,   141,    -1,
     143,   144,   145,   146,    -1,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,    -1,    -1,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
      -1,   234,    -1,   236,   237,   238,    -1,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,    -1,    -1,    -1,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,    -1,    -1,    -1,
     293,   294,   295,   296,   297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,    -1,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,    -1,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,    -1,   361,    -1,
     363,   364,   365,   366,    -1,    -1,   369,    -1,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,    -1,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,    -1,   409,    -1,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
      -1,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,    -1,   498,    -1,   500,   501,    -1,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,    -1,    -1,    -1,    -1,   518,   519,    -1,   521,    -1,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,    -1,    -1,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,    -1,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,    -1,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
      -1,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,    -1,    -1,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,   534,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,   322,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,   534,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,   534,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,   173,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,   177,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,   379,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,   503,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    76,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
     503,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,   379,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
     503,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,   503,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    76,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,   379,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,   540,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,   540,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,   379,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,   379,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    72,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    76,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
     108,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,   177,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,    -1,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,    -1,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,    -1,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,    -1,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
     108,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,    -1,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,    -1,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,    -1,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,    -1,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,    -1,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,    -1,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,    -1,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
      -1,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,    -1,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,    -1,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,    -1,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,    -1,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,
      -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,    -1,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,    -1,   548,    -1,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,    -1,   579,   580,    -1,    -1,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,   594,   595,
     596,    -1,    -1,    -1,    -1,    -1,    -1,   603,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,    -1,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,    -1,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,    -1,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,   464,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,    -1,   579,   580,   581,
      -1,    -1,   584,    -1,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,
      -1,   603,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,    -1,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,    -1,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,   387,   388,    -1,    -1,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,    -1,   551,   552,   553,   554,
     555,   556,    -1,   558,    -1,    -1,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,    -1,   579,   580,    -1,   582,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    -1,    -1,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,    -1,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,    -1,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
      -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,    -1,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,    -1,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,    -1,   579,   580,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    -1,    -1,    -1,    81,
     594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,    -1,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,    -1,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,    -1,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,    -1,   548,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,    -1,   579,   580,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    -1,    -1,
      -1,    81,   594,   595,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,    -1,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,    -1,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
      -1,    -1,   542,   543,   544,   545,   546,    -1,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,    -1,   579,
     580,    69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,
      -1,    -1,    -1,    81,   594,   595,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,    -1,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,    -1,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,
      -1,    -1,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,    -1,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,    -1,
     548,    -1,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
      69,   579,   580,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   594,   595,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
      -1,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,    -1,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,    -1,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,    -1,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,    -1,
     579,   580,   581,    69,    70,    -1,    -1,    73,    -1,    -1,
      76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,    -1,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,    -1,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,
     176,   177,    -1,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,    -1,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
     516,    -1,   518,   519,   520,   521,   522,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,    -1,   548,    -1,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,    -1,   579,   580,    69,    70,    -1,    -1,    73,
      -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,    -1,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,    -1,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
      -1,    -1,   176,   177,    -1,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,    -1,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,    -1,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,    69,   579,   580,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,    -1,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,   176,   177,    -1,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,    -1,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,    -1,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,    69,   579,   580,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,    -1,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,    -1,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,
     176,   177,    -1,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,    -1,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,    -1,   548,    -1,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,    69,   579,   580,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,    -1,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,    -1,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,   176,
     177,    -1,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,    -1,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,   540,    -1,   542,   543,   544,   545,   546,
      -1,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,    69,   579,   580,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,    -1,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,    -1,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,    -1,    -1,   176,   177,
      -1,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,    -1,   261,   262,    -1,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,    -1,
     548,    -1,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
      69,   579,   580,    -1,    73,    -1,    -1,    76,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
      -1,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,    -1,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,    -1,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,    -1,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,    69,
     579,   580,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,    -1,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,    -1,    -1,   176,   177,    -1,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,    -1,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,    -1,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
      -1,    -1,   542,   543,   544,   545,   546,    -1,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,    69,   579,
     580,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,    -1,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
      -1,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,   176,   177,    -1,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,    -1,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,    -1,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,    69,   579,   580,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,    -1,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,    -1,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,    -1,    -1,   176,   177,    -1,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,    -1,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,    -1,   548,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,    69,   579,   580,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,    -1,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,    -1,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,   176,   177,    -1,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
      -1,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,    -1,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,    69,   579,   580,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,    -1,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,    -1,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
      -1,    -1,   176,   177,    -1,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,    -1,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,    -1,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,    69,   579,   580,    -1,    73,    -1,
      -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,    -1,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,    -1,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,    -1,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,    69,   579,   580,    -1,    73,    -1,    -1,
      76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,    -1,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,    -1,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,
      -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,    -1,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,    -1,   548,    -1,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,    69,   579,   580,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,    -1,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,    -1,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,
     177,    -1,    -1,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,    -1,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
      -1,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,    -1,   579,   580
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   612,  1329,     0,     5,    24,    34,    35,    39,    41,
      42,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    71,    73,    75,    76,
      81,   139,   218,   239,   263,   288,   341,   344,   367,   462,
     516,   533,   548,   578,   593,   594,   595,   596,   597,   598,
     601,   602,   603,   604,   606,   607,   608,   609,   610,  1317,
    1330,  1360,  1362,  1452,  1462,  1463,  1465,  1471,  1472,  1361,
       3,     8,    12,    14,    16,    17,    27,    35,    41,    42,
      43,    44,    48,    49,    54,    63,    65,    67,    68,    73,
      90,   101,   103,   104,   115,   121,   131,   143,   145,   146,
     152,   154,   167,   169,   184,   186,   188,   189,   204,   206,
     210,   217,   218,   226,   228,   235,   239,   253,   270,   291,
     324,   325,   330,   345,   364,   370,   412,   427,   432,   433,
     435,   440,   446,   449,   456,   463,   464,   471,   475,   486,
     494,   503,   515,   524,   526,   533,   536,   542,   547,   548,
     560,   584,   603,   613,   614,   619,   620,   626,   627,   629,
     630,   631,   632,   634,   637,   649,   654,   655,   658,   659,
     660,   680,   683,   684,   699,   753,   756,   759,   762,   763,
     764,   772,   779,   781,   782,   785,   788,   789,   793,   802,
     806,   807,   808,   811,   813,   814,   815,   816,   824,   826,
     846,   850,   852,   853,   863,   865,   871,   872,   875,   876,
     877,   878,   879,   888,   890,   892,   895,   899,   900,   910,
     911,   916,   921,   932,   964,   967,   968,   969,   974,   977,
     979,   981,   983,   984,   988,   989,   992,   994,   995,   999,
    1000,  1001,  1004,  1005,  1006,  1007,  1008,  1015,  1017,  1018,
    1019,  1020,  1026,  1028,  1029,  1035,  1036,  1037,  1040,  1041,
    1042,  1043,  1045,  1046,  1048,  1049,  1051,  1052,  1054,  1066,
    1068,  1071,  1073,  1082,  1084,  1089,  1094,  1104,  1108,  1109,
    1110,  1111,  1112,  1113,  1119,  1154,  1331,  1334,  1335,  1352,
    1353,  1354,  1355,  1356,  1367,  1369,  1373,  1374,  1375,  1376,
    1377,  1379,  1381,  1383,  1384,  1385,  1386,  1388,  1393,  1394,
    1398,  1399,  1408,  1410,  1411,  1412,  1415,  1420,  1423,  1428,
    1430,  1431,  1434,  1436,  1473,    71,  1356,  1364,  1365,    13,
      70,    90,    91,    92,    93,    94,    95,    96,    97,    98,
     100,   101,   102,   110,   111,   112,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   128,
     129,   130,   131,   132,   133,   134,   137,   138,   140,   141,
     143,   144,   145,   146,   147,   149,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   163,   164,   165,   166,
     167,   168,   170,   171,   172,   176,   177,   180,   181,   182,
     183,   184,   186,   187,   188,   189,   191,   193,   194,   195,
     196,   197,   198,   199,   201,   202,   203,   204,   207,   208,
     209,   210,   211,   213,   214,   215,   216,   218,   219,   220,
     221,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   234,   236,   237,   238,   239,   240,   242,   244,   245,
     246,   248,   249,   250,   251,   252,   254,   255,   257,   258,
     259,   261,   262,   264,   265,   266,   267,   268,   269,   270,
     272,   273,   274,   275,   276,   277,   278,   279,   281,   282,
     283,   285,   286,   287,   289,   291,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   318,
     319,   320,   321,   322,   324,   325,   326,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   342,
     343,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   363,   364,
     365,   366,   368,   369,   370,   371,   372,   373,   375,   376,
     377,   380,   381,   382,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   463,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   500,   501,   504,   505,   506,   507,   508,   509,   510,
     511,   513,   514,   515,   516,   518,   519,   520,   521,   522,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   535,
     536,   537,   538,   539,   542,   543,   544,   545,   546,   548,
     550,   551,   552,   553,   554,   555,   558,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   579,   580,  1319,  1320,  1322,  1324,
    1325,  1326,  1345,  1346,  1457,  1459,  1463,  1465,    28,   284,
    1409,     6,     7,     8,     9,    10,    11,    12,    14,    15,
      18,    19,    20,    21,    22,    23,    25,    26,    27,    30,
      31,    32,    33,    36,    37,    38,    40,    43,    44,    48,
      49,    54,    63,    65,    67,    68,    99,   139,   161,   173,
     185,   190,   263,   341,   344,   462,   547,   578,  1312,  1324,
    1325,  1347,  1395,  1396,  1438,  1439,  1440,  1444,  1448,  1449,
    1450,  1459,  1465,    99,  1105,  1312,  1347,  1456,    13,  1105,
       5,    24,    28,    34,    35,    41,    42,    99,   103,   104,
     105,   106,   107,   108,   109,   113,   127,   135,   136,   139,
     142,   148,   150,   161,   162,   169,   173,   174,   175,   176,
     178,   179,   180,   190,   192,   200,   205,   206,   212,   217,
     222,   233,   235,   241,   243,   247,   253,   256,   260,   271,
     280,   284,   288,   290,   292,   316,   317,   323,   327,   328,
     362,   367,   374,   378,   379,   383,   384,   404,   414,   430,
     444,   464,   470,   481,   499,   502,   503,   512,   516,   517,
     523,   533,   534,   540,   541,   547,   549,   556,   557,   559,
     560,  1324,  1325,  1326,  1327,  1439,  1440,  1441,  1442,  1446,
    1447,  1448,  1450,  1465,    24,    34,   139,   288,  1435,    36,
      38,   362,  1368,   185,   263,   341,   344,   462,   578,   603,
    1216,  1217,  1359,   518,   563,  1021,    98,   149,   166,   184,
     190,   208,   221,   230,   243,   249,   256,   276,   314,   336,
     380,   407,   417,   418,   421,   448,   451,   455,   458,   465,
     468,   488,   496,   501,   503,   506,   511,   521,   526,   540,
     553,   778,  1396,   189,  1021,  1222,  1315,  1326,  1438,  1441,
    1444,  1445,  1448,  1449,  1465,    99,  1105,   551,   603,  1059,
     378,   413,  1021,   124,   603,   691,    93,   111,   136,   149,
     184,   190,   208,   221,   230,   243,   252,   256,   326,   380,
     383,   407,   421,   448,   458,   468,   488,   496,   506,   508,
     510,   511,   526,   534,   537,   540,   700,   761,   868,   922,
     933,  1312,  1336,  1337,  1338,  1347,  1463,  1465,    13,    99,
     412,  1312,  1347,  1351,   603,   487,  1105,  1312,  1347,  1351,
      99,   406,   466,   508,   510,   313,   975,   976,  1463,    93,
      98,   136,   149,   166,   184,   208,   221,   230,   243,   249,
     256,   276,   336,   380,   393,   407,   418,   421,   448,   451,
     455,   458,   465,   468,   488,   496,   503,   506,   511,   519,
     521,   526,   540,   553,   778,   880,   882,   883,  1021,   609,
    1378,  1442,   267,  1351,   169,   189,   226,   551,   603,   759,
     762,  1054,  1067,  1071,  1073,  1082,  1089,  1094,  1104,  1108,
    1331,    92,    99,   119,   238,   245,   247,   271,   315,   353,
     415,   434,   594,   595,   896,   897,  1105,  1317,  1318,  1457,
    1459,    99,   101,   169,   430,   464,   901,   902,   903,  1444,
     243,  1359,  1444,  1314,  1463,   503,  1122,   119,   245,   896,
    1444,   603,   518,  1351,   393,   336,   603,   987,   456,  1444,
      99,   139,   469,   514,   518,   547,   641,   650,   651,  1324,
    1325,  1438,  1443,  1448,  1450,  1465,   253,   901,   902,  1444,
     413,  1021,  1444,   312,    99,   205,  1124,  1125,     4,    13,
     137,   161,   163,   326,   347,   448,   458,   469,   514,   518,
     566,   638,   639,   640,   641,    99,   469,   514,   518,   641,
     518,   379,  1166,  1167,  1310,  1444,  1122,  1432,  1442,   596,
    1444,   248,   603,  1060,   603,   428,  1114,  1115,  1312,  1114,
    1109,  1110,  1113,   607,   603,  1059,   222,   290,   384,   533,
    1126,  1127,  1109,  1111,  1112,   195,   286,   338,   539,   606,
     121,   613,  1376,  1379,  1375,  1371,   607,  1380,  1382,     5,
      24,    34,   139,   209,   288,  1387,  1363,  1452,    71,  1356,
    1312,  1347,  1466,   190,  1336,    20,   541,   597,  1351,  1351,
    1466,   541,  1400,  1401,  1402,    24,   288,   288,  1446,    18,
      19,    37,    40,   131,   165,   206,  1437,  1437,    15,  1376,
     516,   516,   516,   516,   603,   516,   594,   595,   770,  1318,
    1357,  1462,   105,  1025,   949,  1315,   885,  1444,   885,  1312,
     416,   885,   521,  1312,   183,   503,   937,  1315,  1326,  1444,
    1319,  1320,    99,   265,  1310,   371,   553,    80,    87,    88,
      89,   144,   234,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   971,   973,  1253,  1254,  1444,   265,  1312,   937,
    1312,    99,  1319,  1320,   937,  1312,  1312,   265,  1310,  1312,
     265,   885,  1312,   440,   471,    99,   265,  1166,  1312,   461,
    1312,   885,    99,   333,  1319,  1320,   265,  1310,   313,    33,
     192,   296,   362,   425,  1022,  1023,  1024,   603,   601,   605,
    1279,  1281,   581,  1053,  1054,  1055,  1056,  1322,  1310,  1312,
    1444,    98,   136,   150,   162,   184,   208,   249,   276,   314,
     380,   418,   448,   451,   496,   506,   519,   526,   880,   881,
     882,   883,  1463,  1025,  1070,  1073,  1082,  1089,  1094,  1108,
    1310,   340,   885,   603,   265,   885,  1312,   885,   521,   265,
    1312,   183,   503,   508,   510,  1319,   508,   510,   144,   234,
     971,   438,  1312,  1312,  1319,   265,   615,  1444,   265,  1312,
     265,   616,   885,  1312,  1312,   461,   885,   333,  1319,   428,
     465,   503,   553,   336,   166,   276,    98,   162,   249,   418,
     455,   519,   521,   525,   773,    80,  1339,  1340,   608,  1459,
    1466,    99,  1351,  1357,  1465,  1106,   487,   648,  1322,  1463,
     976,   340,   265,   949,   950,   265,   980,   265,  1312,   123,
     125,   126,   139,   140,   187,   188,   209,   239,   265,   288,
     289,   291,   298,   348,   350,   370,   426,   473,   479,   514,
     515,   548,   887,  1195,  1197,  1199,  1201,  1203,  1205,  1206,
    1207,  1209,  1210,  1211,  1213,  1214,  1218,  1438,  1445,  1448,
    1449,  1465,   521,   183,   503,   265,   936,   937,   265,  1320,
    1321,   157,   553,   144,   234,   265,   972,   973,   129,   265,
     936,   265,  1321,   265,   936,   265,  1312,   265,  1312,   461,
     980,   265,   887,   265,   333,  1321,   313,   265,   884,   885,
     265,  1311,  1312,   265,  1312,  1025,   603,   609,  1467,  1468,
    1469,  1470,  1472,  1378,    69,  1347,  1397,   603,  1072,   700,
    1105,  1067,  1053,  1059,  1318,   897,   898,    99,   897,  1105,
    1318,   898,    99,   897,  1105,  1318,   898,   898,   898,  1318,
    1317,  1317,   292,   541,  1402,  1403,  1476,  1478,  1105,   898,
     416,   603,   501,   603,   728,   728,   728,   378,   516,   606,
     728,   458,  1166,  1168,   897,  1105,   897,  1105,   606,  1016,
    1357,  1463,   247,   603,  1069,   129,   553,  1053,   184,   276,
     458,   501,   503,   985,   986,  1444,   118,   580,   296,   605,
     381,   378,   247,   381,  1463,   516,  1025,   241,   893,   378,
      78,    79,    80,    82,   107,   123,   125,   126,   135,   136,
     139,   140,   147,   149,   174,   175,   176,   177,   178,   179,
     180,   187,   188,   190,   227,   232,   233,   239,   255,   257,
     289,   291,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   308,   319,   327,   328,   339,   348,   350,   360,   362,
     367,   368,   370,   380,   391,   408,   426,   453,   470,   479,
     497,   502,   514,   515,   520,   522,   523,   534,   540,   548,
     568,   569,   570,   571,   573,   574,   575,   576,   582,   594,
     595,   596,   603,  1109,  1198,  1201,  1204,  1205,  1206,  1208,
    1209,  1210,  1213,  1214,  1218,  1219,  1221,  1222,  1223,  1225,
    1249,  1250,  1251,  1255,  1273,  1278,  1304,  1307,  1308,  1315,
    1316,  1317,  1444,  1455,  1457,  1459,  1460,  1461,  1462,  1463,
    1464,  1306,  1307,   516,   593,  1466,  1463,   516,   593,  1396,
      99,   656,  1309,  1310,   469,   638,   190,   647,  1463,   648,
    1463,   118,   141,   638,   580,   480,  1023,   381,   247,   516,
     593,   118,   580,   296,  1476,  1024,   603,  1310,   596,  1281,
    1168,  1447,  1053,   246,  1061,  1219,  1258,  1114,   606,   603,
    1062,   604,   604,  1053,  1063,  1064,  1065,  1166,    99,   205,
    1123,  1123,   129,  1123,   235,   241,   323,   374,  1130,  1132,
    1133,  1148,  1150,  1151,  1152,  1126,  1127,   247,   292,   292,
    1166,  1169,   603,   607,  1370,   596,  1389,  1390,  1392,   609,
     609,    24,   288,   288,   217,   108,  1343,   129,  1346,  1346,
     292,  1402,  1404,   292,  1402,  1403,  1404,   546,  1413,  1414,
    1459,    13,   483,   594,   595,  1317,  1405,  1406,  1407,  1455,
    1457,  1461,  1462,  1463,  1464,   288,   294,   516,  1312,  1312,
       6,   165,  1312,  1437,  1392,   185,   263,   341,  1217,   341,
    1217,  1217,   344,  1317,   341,   344,   462,  1462,  1462,   606,
    1358,   138,   358,   394,   436,   471,   603,   947,   394,   432,
     436,   471,   605,   886,   394,   436,   471,   161,   215,   329,
     394,   432,   436,   471,   506,   509,   560,   649,   652,  1030,
    1031,  1032,  1033,  1465,   917,    95,   210,   394,   436,   471,
     544,   665,  1312,    95,   210,   471,   539,   633,   564,   265,
    1166,   132,   168,   231,   268,   318,   358,   362,   394,   395,
     436,   445,   454,   463,   471,   484,   493,   498,   555,   649,
     653,   953,   965,   993,   603,   934,  1281,   436,   633,   271,
     227,    95,   101,   116,   146,   203,   210,   214,   242,   278,
     358,   362,   372,   382,   394,   436,   439,   440,   471,   544,
     661,   663,   664,   796,   993,   770,    99,   265,  1310,   885,
     885,   603,   970,   394,   471,   605,   227,   378,   394,   436,
     471,   965,   993,    95,   210,   394,   436,   471,   271,   628,
     436,   560,   584,   621,   628,   394,   436,   471,   965,   993,
     378,   394,   436,   227,   108,   130,   182,   274,   332,   337,
     342,   358,   393,   436,   441,   465,   471,   486,   537,   661,
     767,   768,   394,   436,   552,   796,   804,   227,   394,   436,
     471,    95,   161,   203,   210,   214,   394,   432,   436,   471,
     478,   651,   639,   641,   271,   227,   116,   201,   358,   436,
     471,   661,   662,   394,   436,   440,   471,   159,   202,   397,
     509,   378,    95,   101,   210,   394,   436,   471,   681,   682,
     628,   241,   436,   621,   628,   227,   436,   471,   661,  1312,
     607,   321,   192,   379,   565,   606,  1022,    99,   205,   549,
     596,   604,   942,  1219,  1259,  1260,  1445,  1219,  1280,   596,
    1313,  1446,  1279,   604,   606,   233,   378,   523,   645,   648,
     770,  1057,   541,  1050,   378,   949,   603,   885,  1312,  1195,
     937,   371,   144,   234,   973,   937,   937,   241,  1195,   885,
    1312,  1312,   604,   728,  1312,   142,  1195,   362,   247,   603,
     854,   621,   108,  1044,  1312,   362,   621,   564,   265,  1310,
     621,   885,   885,   854,   537,   700,   378,   241,   560,   961,
     621,   362,   118,   635,   362,   526,   803,   362,  1062,   161,
     394,   780,   159,   202,   397,   509,   108,   854,   241,   265,
     621,   553,   265,  1310,   265,   757,  1310,  1310,   553,   885,
     157,   617,  1315,   521,  1315,  1315,  1312,   241,  1312,   778,
      72,  1341,  1444,   608,  1342,  1339,  1358,   110,   124,   181,
     285,   358,   460,   227,   133,   442,   606,   618,   227,   603,
     227,   621,   550,  1212,  1212,  1212,   603,  1200,  1200,   410,
     603,  1202,   227,   139,   140,  1212,  1200,  1197,   584,   585,
     603,  1215,   603,  1215,   606,   618,   107,  1196,   603,   185,
     344,   578,   603,  1216,   886,  1200,   564,   227,   606,   618,
     227,   606,   265,   884,   265,   885,   265,   885,   227,   606,
     618,  1321,   227,   618,   227,   227,   618,   227,   618,   227,
     159,   202,   397,   509,   241,   227,   618,   227,   241,   265,
     227,   606,   618,   227,   606,   618,   227,   378,   604,  1468,
    1469,  1467,   606,   610,  1258,  1401,  1475,  1476,   503,  1106,
     604,  1067,   898,  1105,   898,  1105,  1478,  1479,   898,  1105,
     898,  1105,  1479,   898,  1105,  1105,  1105,   898,    13,   483,
    1451,  1454,  1459,  1105,   603,   729,   732,  1444,   729,    99,
     184,   208,   243,   249,   313,   314,   396,   418,   451,   458,
     465,   503,   506,   526,   906,  1309,  1321,   903,  1312,   271,
     606,  1085,  1105,  1105,  1463,  1358,  1397,  1195,  1262,   108,
    1321,   617,   604,   617,   617,   617,   321,  1444,   241,   906,
    1321,   241,   456,  1444,   648,   378,   603,   601,  1109,  1263,
    1219,  1277,   603,   603,   241,   603,   603,  1109,   603,   603,
     603,   603,   603,   603,   603,   603,   603,   603,   603,   603,
     603,   603,   603,   603,   603,   603,  1219,   603,   603,   603,
     603,   603,   603,   603,   603,   369,   716,   603,   603,   603,
     603,   603,   603,   603,   603,  1219,  1219,  1219,   547,  1109,
    1219,  1258,  1281,  1463,   603,  1463,    80,    83,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     237,   238,   239,   240,   242,   243,   244,   245,   246,   248,
     249,   250,   251,   252,   254,   255,   257,   258,   259,   261,
     262,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   291,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   342,   343,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   375,   376,   377,   379,
     380,   381,   382,   383,   385,   386,   387,   388,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   551,   552,   553,   554,   555,   556,   558,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   579,   580,   582,   591,   592,   593,
     594,   595,   596,   597,   598,   599,  1253,  1255,  1257,  1323,
    1328,  1465,   561,  1236,   390,  1219,   236,  1237,   292,   606,
    1120,  1476,   603,  1463,  1281,    21,  1458,  1459,  1282,  1120,
     373,   378,  1429,  1429,     9,   546,  1416,  1417,  1419,  1396,
    1396,   193,   267,   657,   606,   141,   190,   648,   108,   190,
     326,   646,   770,  1214,  1463,  1465,  1463,   164,   207,  1231,
     173,   190,   642,   643,   645,   770,   190,   642,  1476,  1476,
     321,  1310,   165,   441,   889,   294,   604,  1059,   105,   115,
     122,   148,   266,   271,   294,   322,   380,   383,   476,   604,
     606,  1115,  1311,   108,   604,   606,  1062,  1111,  1111,  1128,
    1129,  1219,  1111,   238,   353,  1139,   310,   358,   425,   474,
     539,    99,  1134,  1219,   594,   595,  1135,  1136,  1219,  1221,
    1148,  1149,  1133,  1132,  1130,  1131,   241,  1151,   372,  1153,
    1130,  1148,  1169,  1074,  1310,  1169,   108,  1444,   471,  1258,
    1389,   596,   606,   607,  1447,  1366,  1369,  1366,   288,   189,
    1396,   540,  1344,  1346,  1312,   483,  1317,  1418,  1459,   606,
     593,  1312,    13,  1317,  1462,  1317,  1462,   606,  1376,  1312,
     603,   603,  1447,   604,   770,   604,   138,   516,   516,   458,
     271,   283,   384,   387,   473,   549,   596,   940,   941,   942,
     944,   946,   948,  1195,  1445,   516,   552,   516,   458,  1313,
     605,   516,   516,   458,   323,   516,   149,   516,   506,   638,
     394,  1030,  1032,   593,  1034,   241,   253,   271,   446,   918,
     919,   142,   162,   362,   724,   725,   162,   190,   362,   516,
     162,   516,   190,   362,   458,   162,   203,   214,   394,   436,
     851,   458,   786,    98,   136,   208,   249,   380,   418,   451,
     519,   526,   880,   881,  1312,   227,   436,   471,   661,   378,
     770,   463,   318,   516,  1444,   516,   367,   770,   194,   293,
     458,   469,   518,   640,   885,   442,   471,   953,   966,   198,
     604,   935,   940,   516,   540,   506,  1310,   142,   150,   162,
     223,   243,   265,   362,   414,   534,   707,   722,   723,  1444,
     150,   162,   990,   399,   378,   453,   455,   521,   162,   990,
     102,   439,   453,   455,   521,   453,  1310,   242,   278,   372,
     885,   603,   516,   516,   264,   603,   669,    93,   332,   506,
     537,   562,   669,   162,   606,   198,   394,   271,   227,   436,
     471,   661,   993,   541,   541,   359,  1195,   516,   458,   603,
     971,  1312,  1310,   516,   516,   458,   966,   198,   177,   503,
     504,  1002,  1003,  1167,  1310,  1444,  1003,   516,   516,   854,
    1003,   184,   471,   652,   516,   623,   652,   516,   516,   458,
     966,   198,  1310,   516,   516,  1310,  1197,   770,   129,   769,
     770,   770,   182,   337,   342,   129,   516,   621,   346,   458,
     621,   358,   768,   516,   516,   367,  1463,   796,   885,   516,
     516,   458,   488,   421,  1463,   421,   516,   421,   516,   421,
     854,   854,   506,  1166,   399,   399,   162,   516,   990,   458,
     516,   516,   669,   669,   885,   885,   885,   885,  1310,   117,
     546,   117,   117,   546,   516,   117,   516,   546,   458,   603,
     606,   652,   540,   812,  1320,   516,   623,   652,  1310,   516,
     990,   458,   394,   436,   425,   437,   467,   644,  1022,  1259,
    1259,  1260,   604,    85,    86,   606,  1126,  1127,   602,   608,
    1310,  1055,  1312,  1310,   294,  1195,   294,   378,   294,   294,
     770,   885,   885,   294,   294,   294,  1195,   294,   294,   294,
     378,   516,   247,   516,   685,   526,   603,   108,   227,   885,
     855,   856,  1446,  1030,  1195,   378,   227,   783,  1312,   362,
     399,   603,   622,   868,   541,   428,   553,  1310,    99,  1003,
     854,   622,   227,  1320,   169,   253,   636,   699,   763,   826,
     899,   921,  1026,   227,  1463,   804,   805,   227,   378,  1463,
    1320,   329,   885,   885,   885,   885,   218,   424,   603,   812,
     362,   622,  1310,   362,   765,   767,   362,   108,   372,   399,
     603,   728,   728,   265,   760,  1310,   241,   265,   615,  1444,
     603,   858,   947,  1312,   603,   938,   938,   108,  1195,    97,
     120,   287,   827,   313,   605,  1317,  1342,   604,   560,   562,
    1107,   460,   950,   949,  1195,  1312,   603,   603,  1258,  1317,
     887,  1212,  1212,   107,  1196,   514,   514,  1317,  1317,  1195,
     601,   601,  1317,   516,   516,  1317,  1200,   936,   937,  1321,
    1320,   227,   618,   227,   541,   227,   541,   972,   973,   618,
     936,  1321,   936,  1312,  1312,  1195,   887,  1321,   812,   227,
     884,   885,  1311,  1312,  1312,   885,   604,   610,  1470,   604,
    1476,  1477,  1401,   265,  1310,   181,  1067,  1105,  1105,  1479,
    1105,  1105,  1479,  1105,  1105,  1312,    13,   606,  1458,   729,
     604,   606,   604,   250,   419,   452,   466,   504,  1311,   884,
     183,   468,   936,  1311,   371,   904,   905,  1444,   936,   936,
    1311,  1309,  1309,  1311,   884,   516,   254,   560,   915,   222,
     323,   809,   810,    93,   225,   453,   474,  1086,  1166,   366,
    1087,   604,   604,   606,  1070,   516,  1310,  1312,  1310,   615,
     901,   902,   247,   915,   902,  1444,    98,   150,   208,   249,
     314,   418,   451,   526,   880,   881,  1258,   602,  1258,  1263,
    1264,   556,  1274,  1275,  1219,  1258,   603,  1317,  1317,   185,
     263,   341,   344,   462,   578,  1265,  1266,  1463,  1465,  1258,
    1258,  1219,  1292,   444,  1109,  1110,  1292,  1296,  1303,  1292,
    1292,  1219,  1221,  1259,  1296,  1299,  1300,  1219,  1300,  1292,
    1219,  1292,  1292,  1258,  1317,  1317,   604,  1219,  1219,   971,
    1219,  1259,  1261,  1268,   453,   594,   595,   603,  1220,  1221,
    1255,  1269,   604,  1258,  1219,  1261,  1270,  1219,   127,   247,
     317,   517,  1219,  1258,  1271,   205,   362,  1109,  1258,   346,
    1221,  1219,  1229,  1230,  1231,   346,  1219,  1231,   604,   606,
    1317,  1216,  1195,  1219,  1219,  1219,  1219,  1446,   326,   514,
     113,   499,  1283,   885,  1219,   603,  1109,  1272,   205,   207,
     233,   298,   354,   355,   356,   357,   361,   362,   367,   523,
     535,  1267,  1297,  1219,   603,  1219,   516,   122,   266,   271,
     322,   476,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,
    1219,  1219,    99,   106,   481,  1252,   256,  1237,   453,   603,
    1249,   603,   389,  1241,   252,   326,   503,   508,   510,   537,
    1121,  1310,  1308,   247,  1155,  1259,  1312,  1459,  1279,  1155,
    1418,   606,   593,  1310,   518,   603,  1463,   606,  1476,   604,
     264,   264,   618,  1376,  1065,  1054,  1058,  1219,   604,   336,
     362,  1116,  1065,  1063,   606,   109,   200,   541,   930,   453,
     454,   594,   595,  1136,  1138,  1221,   474,   310,   379,   606,
    1137,  1317,  1462,  1137,   453,   454,  1138,  1309,   366,   478,
    1088,  1149,  1131,   541,  1083,   190,   392,   603,  1075,  1108,
     108,   541,  1444,   603,  1090,  1091,  1092,  1444,   604,   607,
    1390,  1196,   610,  1369,   610,    33,  1345,  1421,  1422,  1459,
    1414,  1419,  1466,  1405,  1196,  1453,  1469,  1453,  1196,  1320,
    1312,  1312,   387,   129,  1445,   604,   942,   944,   941,   944,
    1445,   384,   604,   606,   886,  1320,  1312,  1312,  1313,  1320,
    1312,  1312,  1320,   552,  1312,  1312,   190,   645,   770,   448,
     540,   901,   458,   253,   901,   603,  1312,   367,   265,  1312,
     367,  1320,  1312,  1312,  1219,   367,  1312,  1312,   102,   439,
     516,   516,  1312,   516,   787,   949,   603,  1195,   937,   144,
     234,   973,   937,   937,   241,  1195,   885,  1312,   259,   358,
     394,   436,   545,   790,   791,   792,  1166,   516,   990,   458,
     367,   194,   293,  1320,  1312,   378,  1312,   378,   604,   606,
    1319,  1321,  1312,   436,   661,   603,   265,   707,  1312,   541,
     923,   310,   362,   367,   310,   541,   716,   752,  1195,  1312,
    1317,  1444,  1310,  1312,   321,  1312,    99,   540,  1312,   265,
    1312,   265,  1444,   455,   521,   455,   521,   321,  1312,    99,
     540,  1312,   321,   453,  1310,    95,   210,   471,   797,   798,
     799,   800,  1446,  1320,  1312,   190,   248,   363,   541,   668,
     671,   672,  1446,   340,  1312,   146,   375,  1312,   664,   378,
     516,   506,  1310,   516,   990,   458,   198,  1312,  1312,   606,
     604,   606,  1320,  1312,   996,   997,  1446,   378,   436,   516,
     820,  1320,  1312,  1312,   378,  1166,   271,   606,   728,   728,
    1281,  1320,  1312,  1312,  1319,   161,   216,   278,   401,   532,
     540,   543,   624,  1465,  1320,  1312,  1312,   378,   436,  1320,
    1312,   436,   471,   661,   767,   770,   885,  1312,   770,   885,
    1312,   770,  1320,  1312,   471,  1320,  1312,  1312,   190,   675,
    1318,  1311,  1311,  1320,   961,  1312,  1311,  1312,   436,   471,
     661,   662,  1310,  1310,  1312,  1312,  1312,  1312,  1320,  1312,
      95,   101,   210,   394,   436,   471,   394,   436,   471,   854,
     436,   471,   436,   471,   436,   993,  1181,  1444,   265,   864,
    1444,   265,  1444,  1463,  1320,  1312,  1312,  1463,  1312,   996,
      95,   210,   682,   468,  1319,   436,   471,   661,  1312,  1312,
    1312,   516,   516,   155,   531,   425,   606,  1126,  1126,  1126,
    1219,  1219,   549,  1260,   604,  1219,  1280,  1050,   367,   891,
    1463,   108,   891,   208,   885,   891,   891,   294,   541,   541,
     891,   891,   891,   313,   891,   891,   891,   885,   420,   686,
     686,   276,   503,   825,  1219,  1195,   885,   604,   606,   593,
     713,  1446,  1312,   133,   247,   458,   552,   784,   791,   792,
     227,   372,   322,   701,   703,   705,   707,   719,   722,    96,
     271,   448,   500,   624,   625,   241,  1312,   553,  1310,   108,
     821,   504,   961,   615,  1444,   635,   700,   933,  1312,   243,
     885,   298,   603,   754,   755,  1222,  1224,  1225,  1304,  1444,
     421,  1463,   854,   854,   854,   854,   603,   854,  1179,  1180,
    1181,   468,   227,   603,   227,   227,   226,  1332,   885,   372,
     701,  1444,   541,   747,   560,   670,   362,   108,   728,  1463,
     362,   378,   859,   860,  1465,   854,    97,   604,   939,   940,
     945,   108,   313,   445,   519,   559,   951,   952,   953,   954,
     951,   378,   313,   372,   195,   286,   524,   539,   828,   829,
    1312,  1341,   597,   262,   262,   241,   618,   108,   621,   242,
    1038,  1039,  1258,   604,   604,   618,   601,   580,   580,   604,
     604,  1317,   602,   603,  1317,  1444,  1463,  1474,   604,   604,
     618,   884,   885,  1312,   885,  1312,   618,   618,   618,   618,
     313,   618,   468,   241,   618,   618,   378,   618,   362,  1107,
    1466,  1454,   604,   732,   271,   271,   271,   271,   271,   564,
    1311,   770,   771,   606,   605,   256,   907,   908,  1320,   129,
     912,   913,  1446,   516,   603,   247,   225,   474,   225,   474,
     453,   539,   343,  1195,  1320,   560,   758,   378,   907,   618,
     247,   949,   885,  1195,   937,   371,   937,   937,  1195,   885,
    1312,   604,   602,   602,   606,  1219,   212,  1275,  1276,   108,
     604,  1219,   604,   604,   604,   247,   604,   604,   581,  1293,
    1294,   560,   562,  1298,  1195,  1294,   604,    91,   367,   606,
    1302,   384,  1305,   606,   608,   546,   604,   604,    91,   367,
     606,  1301,  1301,   606,   604,  1296,   606,   604,   604,   604,
     604,   606,   606,   604,   404,   604,   604,   603,  1220,  1220,
    1258,    83,    87,    88,    89,   271,   294,   380,   591,   592,
     593,   594,   595,   596,   597,   598,   599,  1255,  1220,   604,
     604,   241,   247,   476,   604,   604,   108,  1271,  1258,  1271,
    1271,   247,   604,   205,   604,  1446,   400,  1234,   108,   604,
     606,  1219,  1446,   606,  1219,  1282,  1219,   604,   580,  1220,
    1220,   220,  1258,   247,   107,   371,   457,   546,   205,   207,
     233,   361,   367,   523,   535,  1267,  1297,   361,  1298,   220,
     971,  1219,   499,  1283,  1219,  1272,  1219,   516,   603,  1109,
     603,  1241,   603,  1258,   557,   603,  1242,  1444,   508,   510,
     508,   510,  1310,  1122,  1122,  1122,   307,   316,   454,   577,
     603,  1109,  1156,  1157,  1158,  1166,  1172,  1182,  1189,  1224,
    1444,   557,  1177,  1126,  1177,     7,    10,    11,    21,    22,
      23,    25,    26,    30,    31,    32,   183,   346,   410,   526,
    1424,  1425,  1427,  1417,  1418,  1023,  1317,  1216,   643,  1196,
    1065,   336,   603,  1129,   380,  1253,  1256,   583,   931,  1317,
    1462,  1138,   379,   560,   539,  1135,   331,  1156,   557,  1178,
     547,   501,   540,  1076,  1077,  1078,  1444,   378,  1079,  1444,
    1157,  1092,  1093,   606,  1155,   593,  1282,   608,  1372,   607,
     606,   593,    29,  1433,   604,   604,   607,   948,   886,   944,
     944,   129,   946,   598,  1321,  1321,   378,  1311,   381,   378,
    1219,   725,   844,   227,   618,   516,  1320,  1312,   648,  1195,
     885,   885,  1195,   774,  1312,   259,   545,   516,   516,   774,
     790,   796,   436,   471,   661,  1312,  1312,  1312,   284,   367,
     230,   940,   393,   471,   516,  1219,   362,   223,   723,  1312,
     603,   603,   227,  1444,   603,   752,   276,   603,   844,   491,
     711,   712,   844,   471,    95,   210,   440,   441,   471,   665,
     673,   674,   796,   991,   463,   227,   618,   227,   618,  1312,
    1312,  1312,  1312,   463,   463,   321,   799,   800,   799,   604,
     606,   801,  1463,   276,   604,   606,   593,   605,   190,   676,
    1444,   230,  1320,  1312,   436,   471,   661,  1312,  1312,  1312,
     378,   394,   436,   471,    95,   210,   394,   436,   471,  1195,
     359,  1195,   604,   606,   593,  1310,   516,  1321,   541,   817,
     230,   728,   458,  1002,   557,   737,   737,   728,   323,   401,
     367,  1463,   401,  1321,   538,   230,   516,   516,   458,   488,
     961,   961,   961,   393,   471,   162,   516,   990,   458,   190,
     241,   677,   237,   617,   516,   516,   333,   333,   333,   516,
     516,   458,   516,   516,   458,   516,   458,   516,   458,   516,
     198,   618,  1195,   362,  1463,   471,   991,   227,   618,   516,
     516,   604,  1312,   516,   990,   458,   516,  1320,  1312,   604,
     604,   604,  1260,   602,  1195,   885,   294,   891,  1312,  1312,
    1312,   294,   489,   490,   687,  1463,   687,   259,   604,   604,
     247,   854,   856,   359,   380,   594,   595,   770,   857,   944,
    1256,  1327,  1463,   142,   148,   162,   190,   192,   251,   280,
     362,   367,   414,   430,   534,   714,   715,   718,   226,   556,
     621,   648,  1312,   648,   382,   794,  1310,  1310,  1310,   604,
     606,  1321,   256,   448,  1321,  1317,   526,  1310,   728,  1465,
     241,   822,   961,   118,   635,   503,   803,   183,  1062,  1219,
     247,   606,  1311,   670,   861,   862,  1463,   604,   606,  1312,
     241,   729,  1310,   757,  1310,  1351,  1108,   603,   702,  1310,
     604,  1312,   560,   562,   748,   669,   108,   227,  1108,   747,
     516,   227,  1166,   604,   606,   593,   828,   604,   606,   190,
     593,   955,  1463,   648,   503,   943,   944,   241,   960,   121,
     443,   956,   957,   954,   957,   195,   286,   464,   539,  1013,
    1312,   372,   378,   383,   259,  1337,  1108,  1351,  1195,   603,
     604,   606,   604,  1317,  1215,  1215,   602,  1474,   603,   594,
     595,   596,   597,   598,   602,   618,   541,   618,   541,   618,
    1312,  1312,   812,   885,   227,   241,   458,   458,   458,   458,
     458,  1311,   606,   905,  1444,  1320,   560,   606,   909,  1320,
     606,   915,   233,   381,   523,   914,  1168,   468,   225,   225,
     183,   358,   906,   915,  1321,   294,   294,   294,   294,   770,
     294,   294,   294,   294,   294,  1263,   512,  1219,   217,  1195,
     604,  1219,   298,   534,   534,   604,  1294,  1296,   378,   378,
    1292,  1296,   129,  1302,  1219,  1292,  1292,   378,   378,  1300,
    1298,  1298,  1219,   604,  1219,  1267,  1219,  1219,   604,  1258,
     606,  1195,  1220,  1220,  1220,  1220,   205,   207,   362,  1220,
    1220,  1220,  1220,  1220,  1220,  1220,  1220,  1220,  1220,  1219,
    1219,  1219,  1195,   604,   604,   604,  1258,   604,   606,   129,
    1221,  1235,   604,  1446,  1230,   411,   495,  1233,   604,   606,
     552,  1226,   108,   604,  1463,  1219,   105,   105,  1219,   604,
    1219,   247,   361,  1298,  1219,   604,   220,  1220,  1220,   220,
     220,  1219,  1219,  1127,   604,  1258,   606,  1219,  1243,  1444,
    1122,  1122,  1122,  1122,  1310,  1310,  1310,   603,  1109,  1172,
    1182,  1189,   247,   603,  1109,  1157,  1158,   108,  1159,  1160,
    1444,   606,   170,   248,   282,   297,   320,   349,   447,  1163,
    1160,   108,  1159,  1162,  1444,  1160,  1160,   584,  1176,  1281,
    1219,   256,  1140,   604,  1140,   606,   593,   604,  1433,  1070,
     603,   931,   238,   315,   379,   560,   513,   173,  1219,   444,
    1081,   546,   604,   606,  1282,   160,  1081,   378,   604,   606,
    1091,  1178,  1219,  1317,   593,  1391,  1422,  1427,   604,   598,
     948,   526,   250,   452,   459,   466,   504,   527,   920,   241,
     920,   604,   192,   280,   358,   362,   845,  1312,  1312,   108,
     541,   541,   313,   886,  1320,  1312,   516,   990,   458,   516,
     284,  1312,   129,   506,  1312,   604,   227,   603,   735,   736,
     926,  1224,  1444,   729,   707,   844,   729,   844,  1312,   729,
     190,  1444,   156,   709,   710,   488,   251,   229,   264,   362,
     669,   621,   183,   229,   251,   362,   488,   669,   709,   711,
     768,   471,   674,   526,  1312,  1444,   463,   798,  1312,   672,
     857,  1446,  1312,   393,   471,   516,   990,   458,   516,   230,
     516,   516,   458,   249,   380,   491,   866,   867,   249,   380,
     873,   874,   516,   516,   458,   604,   604,   604,   997,   359,
     770,   944,   998,  1256,  1327,  1463,   436,  1312,   603,   560,
     818,  1312,   737,   177,  1444,   603,   737,  1318,  1463,  1463,
    1463,  1312,  1312,  1312,  1312,   675,   129,   506,  1312,  1312,
    1312,  1312,   547,  1312,  1312,   241,   241,   438,   241,   265,
    1320,  1312,  1312,  1320,  1312,  1312,  1312,  1312,  1312,  1312,
    1312,   378,   148,   666,   227,    97,   120,   526,  1444,  1312,
    1463,   796,  1312,  1312,  1312,  1312,  1126,   604,   294,   891,
     294,   294,   294,   891,   621,   541,   692,   693,   774,   844,
     560,   562,   885,   603,   885,  1312,  1220,   102,   129,   717,
     193,   267,   192,   367,   310,  1310,   716,   249,   418,   840,
     847,   848,  1444,   783,   603,   399,   603,   702,   720,   279,
     742,   705,  1321,  1321,  1195,   603,   670,    99,   195,   286,
     464,   539,   823,   516,   819,  1320,   265,  1310,   805,   564,
     378,   604,  1156,   755,   961,   604,   606,  1181,   794,   812,
     604,   765,   108,   372,   399,   603,  1072,   758,   704,   706,
     708,   722,  1444,   399,   743,   744,   702,   742,   669,   375,
     378,   749,  1108,   760,   758,   670,  1463,  1312,   923,   860,
    1465,   857,   378,   945,  1219,  1219,   606,   603,   951,   526,
     606,   114,  1219,   516,   603,   729,  1310,   829,   774,    80,
    1348,   604,  1038,  1039,   602,   604,  1376,  1474,  1474,  1474,
    1474,  1474,  1312,  1312,   618,   468,   618,  1311,  1311,  1311,
    1311,  1311,   770,   253,   908,   915,   913,   604,  1312,   183,
     247,   618,   915,   367,   894,  1463,   894,   894,   894,   294,
     894,   894,   894,   894,   894,  1219,   604,   215,   311,   311,
     604,   367,   367,   604,  1128,  1296,   400,  1284,   367,   367,
    1296,  1296,  1284,  1284,   604,   604,   247,   604,  1219,   247,
     205,   207,   247,   241,   220,   604,   567,  1228,  1258,   429,
     546,   129,  1235,  1221,   558,   558,   604,  1219,   358,  1219,
     606,  1227,  1197,  1219,  1219,  1219,  1219,   105,   105,  1219,
    1219,   220,   604,   604,   604,  1219,   604,   399,  1244,  1310,
    1310,  1310,  1310,  1292,  1160,  1162,  1160,  1160,   603,   572,
    1221,   604,  1444,   603,  1157,   297,   388,  1164,  1157,  1164,
     297,  1163,  1164,   297,   505,  1170,   603,  1444,   603,   385,
     129,   260,  1147,  1463,  1147,  1425,   595,  1418,  1426,  1462,
    1463,  1463,   604,   971,   513,   372,  1307,  1108,   392,  1108,
    1078,   378,   603,  1080,  1219,   593,  1092,  1081,  1470,   526,
     604,   516,   901,   247,   844,   193,   267,   278,   192,   543,
     618,  1195,  1312,  1312,  1312,  1312,  1312,  1312,  1312,  1321,
    1312,   844,   707,  1219,   604,   606,   560,   148,   925,   929,
     925,   606,   730,   562,   727,   727,   190,  1444,   794,   675,
     717,   265,   265,   367,   770,   108,   717,   367,   675,  1195,
     618,   618,   593,   129,   506,  1312,  1312,  1312,  1312,  1312,
    1320,  1312,  1312,  1317,  1317,  1195,   606,  1317,  1317,   606,
    1320,  1312,  1312,   516,  1219,   142,  1219,  1321,  1312,   516,
     516,   247,   271,   560,  1311,  1311,   885,  1311,   227,   230,
     885,  1463,  1463,  1195,   618,   618,   516,   604,   294,   891,
     891,   891,   891,   603,   688,   689,   621,   197,   249,   283,
     249,  1219,   362,   715,   190,   108,   358,   726,   961,   728,
     961,  1315,   105,   226,   271,   795,   799,   372,   701,   677,
     224,   273,   603,   468,   541,   729,   108,  1321,   817,   635,
     362,   603,   243,  1312,   754,  1463,   468,   670,   226,  1333,
     885,   372,   701,   758,   604,   606,   560,   713,   129,   747,
     677,   743,   154,   506,   750,   560,  1027,   108,   750,   247,
     378,   603,  1310,  1463,   942,   962,   963,  1445,   957,  1195,
     241,   958,  1310,   247,   516,   982,   431,   830,   281,   775,
    1349,  1444,   618,   604,   604,   618,   618,  1312,   381,   292,
     907,   618,   894,  1312,   604,  1285,  1286,  1292,   190,   213,
     219,   233,   367,   523,   535,  1288,  1289,  1291,   604,   604,
    1296,  1296,  1219,   604,  1220,   247,  1219,  1219,  1219,   603,
     604,   606,   604,  1235,   604,   546,   485,   604,   275,   358,
    1232,  1219,  1219,  1219,   604,   129,  1126,   606,  1173,  1174,
    1224,   603,  1234,  1159,   603,  1311,  1157,   378,   541,  1165,
    1157,   297,  1157,  1315,  1180,   603,  1180,  1444,  1123,  1219,
     559,  1238,  1238,  1317,  1462,   461,  1117,   604,  1105,  1477,
    1076,   162,   924,   926,   206,   556,  1095,  1096,  1097,  1098,
    1219,   907,   378,   907,   604,   516,   471,  1087,   604,   272,
     733,   736,   380,   971,   885,   616,   885,   403,   604,   390,
     604,   604,   713,   108,   227,   227,   603,   666,   857,  1321,
    1312,   516,   603,   937,   971,   973,   867,   603,   603,   874,
    1312,   604,   603,   604,   471,  1087,  1312,  1312,   603,   603,
     603,   560,   584,  1047,   438,  1047,  1047,   241,  1312,   666,
    1312,   891,   694,   695,  1446,   124,   171,   196,   215,   220,
     242,   246,   261,   367,   422,   690,   688,  1463,   937,   108,
     978,   978,   604,   264,   603,   278,   541,   751,   334,   734,
     751,   603,   848,   840,   603,   604,   606,  1310,   604,   468,
      99,   153,   156,   163,   191,   251,   264,   277,   488,   491,
     721,   721,  1309,  1312,  1312,   604,  1108,   818,   227,   183,
     794,   247,  1312,   108,  1351,  1108,   702,  1310,   604,  1475,
     706,   382,  1444,   748,   743,   747,   195,   210,   411,  1312,
     134,   142,   326,  1108,   885,  1166,   924,   247,   843,   944,
     604,   606,   526,   217,   614,   956,   959,  1177,   483,   483,
     604,   352,   376,   831,   832,   833,   241,   836,   774,   358,
     545,   776,   777,   593,  1350,  1312,   915,   606,   108,  1219,
     107,   371,   378,   604,   560,   562,  1287,  1288,  1290,   241,
    1220,  1229,  1258,   358,   579,   275,   604,  1258,   258,   424,
     454,  1245,  1219,   604,   606,   108,  1175,   190,  1187,  1188,
    1220,   151,  1311,   604,  1219,   603,  1157,  1165,   603,   604,
    1180,   604,   172,   257,   450,   603,  1141,  1142,  1143,  1144,
    1145,  1146,  1219,  1239,  1240,  1444,   128,   199,   182,  1118,
     546,  1312,   604,   606,   363,   539,   335,   362,  1081,  1096,
     105,  1099,  1099,   909,   920,   618,  1312,   506,   925,   603,
     961,   603,   930,   669,   732,   430,   733,   733,   264,  1219,
     541,   667,   471,  1087,  1312,  1262,   241,   870,   870,  1262,
    1262,  1219,   506,  1258,  1258,   678,   679,  1322,   884,   885,
     884,   885,  1311,   618,   604,   606,   190,   596,   603,   645,
     696,   770,  1044,  1463,  1044,   362,   367,   422,  1044,  1044,
    1177,   978,   112,   269,   726,   603,   766,  1219,   276,   248,
     398,   477,   378,   738,   739,   740,   604,  1315,    76,   849,
     799,   702,   742,  1312,   604,   794,   234,   869,   670,  1027,
    1310,   564,  1156,   794,  1108,  1072,   758,   743,   702,   742,
     713,   603,   749,   747,   748,   454,   454,   142,   381,   142,
     758,   923,   604,  1310,   844,   951,   962,  1195,   607,   206,
     560,   560,   832,   453,   503,   834,   211,   837,   556,   839,
     545,   774,  1317,  1457,  1465,    80,   794,   618,  1286,  1446,
     219,   107,   158,   530,   564,   107,   564,   309,   377,  1295,
     378,   604,  1219,   604,   604,   546,   122,   173,   529,  1219,
    1246,  1247,  1246,  1246,   604,   108,  1190,  1176,  1173,   603,
    1220,   604,   606,   108,  1183,  1184,  1444,   604,  1311,  1258,
     604,   603,   472,   603,   604,   606,   606,   108,   238,   238,
     729,  1108,  1177,   926,   471,   335,  1219,   512,   512,   247,
    1312,   729,   751,   971,   931,   930,  1310,   961,   961,   766,
     604,  1219,   506,   604,   384,   461,   604,   604,   604,  1312,
     604,   604,   604,   606,  1317,  1047,   695,   645,   697,   698,
    1463,  1463,   367,   596,   729,   596,   729,  1463,  1463,   767,
     604,   506,   195,   539,   378,   740,   378,   739,   603,   604,
     606,   677,   468,   794,   885,   108,   108,   603,  1312,  1027,
     758,   747,   677,   743,   603,   745,   746,  1224,  1444,   750,
     748,   749,   381,   381,   603,   272,   927,   241,   957,   100,
     287,  1014,   249,   249,  1044,   453,   487,   838,   603,   226,
    1349,   564,   107,   564,   107,   564,   564,   423,   423,  1290,
     213,   219,  1247,   453,   240,   409,   240,   409,   223,  1248,
    1248,  1248,  1312,  1284,  1180,   606,  1188,  1446,   604,   606,
     241,  1195,   604,   604,  1258,   603,  1258,  1142,  1240,  1242,
     129,   129,   471,  1090,   129,   195,   206,   539,  1100,  1101,
     206,   286,  1102,   907,  1087,   604,   737,   604,   931,   603,
     731,   751,   751,  1312,   937,   129,  1087,   516,   678,   885,
     604,   606,   596,   729,   604,   492,  1312,   133,   358,   442,
     471,   741,   741,   604,    76,   468,  1312,   866,  1108,   794,
    1475,   748,   743,   747,  1219,   604,   606,   929,   929,   749,
     750,   924,   603,   716,   211,   363,   603,  1009,  1011,  1015,
    1073,  1082,  1089,  1108,  1119,   937,   937,   835,  1444,  1219,
     840,   564,   564,   378,   378,   604,  1288,   105,   173,   256,
     358,   513,   151,   604,  1221,  1184,   385,   190,   362,   367,
     402,  1185,  1186,  1465,   108,  1161,   437,  1171,   604,  1141,
     604,   729,   729,  1444,  1177,   482,   507,   363,   471,   363,
     190,   392,   547,   603,  1103,   618,   844,   729,   734,   844,
     844,  1087,   885,   603,   698,    94,   190,   367,  1312,   794,
    1027,   749,   747,   748,   604,   746,   616,   616,   750,   604,
     926,   928,   670,   453,  1010,  1011,  1012,  1109,  1110,   606,
     606,   604,  1315,   457,   457,   378,  1247,   453,   386,   603,
    1234,  1220,   367,  1220,  1186,  1220,  1444,   603,   604,   471,
     471,   516,   541,  1090,   547,  1076,   603,  1077,   730,   738,
    1258,   728,   728,   794,   750,   748,   749,   929,   927,   604,
     606,   750,   839,   604,   607,   516,   247,   603,   494,   494,
     219,   351,  1191,  1192,  1444,   151,  1219,  1444,  1444,   298,
    1315,  1316,  1444,   546,  1258,   604,   604,   844,   604,   749,
     750,   616,   716,   926,  1177,   226,  1012,   483,   483,   841,
     842,  1317,  1446,  1462,  1463,   402,  1193,   604,   606,   241,
    1195,  1183,   604,   603,   190,  1103,   604,   392,  1103,   750,
     670,   840,   560,   560,   604,   606,  1463,  1291,  1192,   385,
     227,   402,  1194,  1293,   604,  1259,  1316,  1076,   750,  1315,
     249,   249,   842,   108,   151,   604,  1194,  1463,  1287,  1194,
    1126,   541,   546,  1177,   603,   937,   937,  1312,   603,  1291,
    1295,  1287,   604,  1444,  1103,   841,   151,  1191,  1290,  1295,
     604,   603,   604,  1290,  1191,   604
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   611,   612,   613,   613,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     615,   615,   616,   616,   617,   617,   618,   618,   618,   619,
     620,   621,   621,   621,   622,   622,   623,   623,   624,   624,
     624,   624,   624,   624,   624,   624,   624,   625,   625,   625,
     625,   625,   625,   626,   627,   627,   628,   628,   629,   629,
     629,   629,   630,   630,   630,   630,   630,   630,   631,   632,
     633,   633,   634,   634,   634,   634,   635,   635,   636,   636,
     636,   636,   636,   636,   637,   637,   637,   638,   638,   638,
     639,   639,   639,   639,   640,   640,   640,   640,   640,   640,
     640,   640,   640,   640,   640,   641,   641,   642,   642,   643,
     643,   644,   644,   644,   644,   645,   645,   645,   645,   646,
     646,   646,   646,   646,   646,   646,   647,   647,   647,   648,
     648,   649,   650,   650,   650,   650,   651,   651,   652,   652,
     653,   653,   654,   654,   654,   654,   654,   655,   656,   656,
     657,   657,   658,   659,   659,   659,   659,   659,   660,   660,
     660,   660,   660,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   660,   660,   660,   660,   661,
     661,   662,   662,   662,   663,   664,   664,   664,   664,   664,
     664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   664,   664,   664,   664,   664,   665,   665,   666,   666,
     667,   667,   668,   668,   668,   668,   669,   670,   670,   671,
     671,   672,   672,   672,   672,   673,   673,   674,   674,   674,
     674,   675,   675,   676,   676,   677,   677,   677,   677,   678,
     679,   679,   680,   681,   681,   682,   682,   682,   682,   683,
     683,   684,   684,   685,   685,   686,   686,   687,   687,   687,
     688,   688,   689,   689,   690,   690,   690,   690,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   691,
     691,   692,   692,   693,   693,   694,   694,   695,   696,   696,
     696,   696,   696,   696,   697,   697,   698,   699,   699,   699,
     699,   699,   699,   700,   700,   700,   700,   700,   700,   700,
     700,   701,   701,   702,   702,   703,   703,   704,   704,   705,
     705,   705,   706,   706,   707,   708,   708,   709,   709,   710,
     710,   711,   711,   712,   712,   713,   713,   714,   714,   714,
     714,   715,   715,   715,   715,   715,   715,   715,   715,   715,
     716,   716,   716,   717,   717,   718,   718,   718,   718,   719,
     720,   720,   720,   721,   721,   721,   721,   721,   721,   721,
     721,   721,   721,   722,   722,   723,   723,   723,   723,   723,
     723,   723,   723,   724,   724,   725,   725,   726,   726,   727,
     727,   728,   728,   729,   729,   730,   730,   731,   731,   732,
     733,   733,   734,   734,   734,   734,   735,   735,   736,   736,
     737,   737,   738,   738,   738,   738,   738,   739,   740,   741,
     741,   741,   741,   741,   742,   742,   743,   743,   744,   745,
     745,   746,   746,   746,   747,   747,   748,   748,   748,   749,
     749,   749,   749,   750,   750,   751,   751,   752,   753,   753,
     754,   754,   755,   755,   755,   756,   756,   757,   758,   758,
     758,   759,   759,   760,   761,   761,   762,   763,   763,   764,
     764,   765,   765,   766,   766,   767,   767,   768,   768,   768,
     768,   768,   768,   768,   768,   768,   768,   768,   768,   768,
     768,   768,   768,   769,   769,   770,   770,   770,   770,   771,
     771,   772,   772,   773,   773,   774,   774,   775,   775,   776,
     776,   777,   777,   778,   778,   779,   780,   780,   781,   781,
     782,   782,   783,   783,   784,   784,   784,   784,   785,   786,
     786,   787,   788,   788,   788,   788,   788,   788,   788,   788,
     788,   788,   788,   788,   788,   789,   790,   790,   790,   790,
     791,   791,   792,   792,   793,   793,   794,   794,   795,   795,
     796,   797,   797,   798,   798,   798,   798,   799,   800,   801,
     802,   802,   803,   803,   804,   804,   805,   805,   806,   806,
     806,   807,   807,   807,   807,   808,   809,   809,   810,   810,
     811,   811,   812,   812,   813,   813,   814,   815,   816,   817,
     817,   818,   818,   819,   819,   820,   820,   821,   821,   822,
     822,   823,   823,   823,   823,   823,   824,   825,   825,   826,
     826,   827,   827,   827,   828,   828,   829,   829,   829,   829,
     829,   830,   830,   831,   831,   832,   833,   833,   834,   834,
     835,   836,   836,   837,   837,   838,   838,   839,   839,   840,
     840,   841,   841,   841,   842,   842,   842,   842,   843,   843,
     844,   844,   845,   845,   845,   845,   845,   845,   846,   846,
     847,   847,   848,   849,   849,   850,   851,   851,   851,   851,
     852,   853,   853,   853,   853,   853,   853,   853,   853,   853,
     853,   853,   853,   853,   853,   853,   853,   854,   855,   855,
     856,   856,   857,   857,   857,   857,   857,   857,   858,   859,
     859,   860,   861,   861,   862,   862,   863,   863,   863,   863,
     863,   864,   864,   865,   866,   866,   867,   867,   867,   867,
     867,   868,   868,   869,   869,   870,   870,   870,   871,   872,
     872,   873,   873,   874,   874,   875,   875,   876,   876,   877,
     878,   879,   879,   879,   879,   879,   879,   879,   879,   879,
     879,   879,   879,   880,   880,   880,   880,   880,   880,   880,
     880,   880,   880,   880,   880,   880,   881,   881,   881,   881,
     881,   882,   882,   882,   882,   882,   882,   882,   882,   883,
     883,   883,   884,   884,   885,   885,   886,   886,   887,   887,
     888,   889,   889,   889,   890,   890,   890,   890,   890,   890,
     890,   890,   890,   890,   890,   890,   890,   890,   890,   890,
     890,   890,   891,   891,   892,   892,   892,   892,   892,   892,
     892,   892,   892,   892,   893,   893,   894,   894,   895,   895,
     895,   895,   895,   895,   895,   895,   895,   895,   895,   896,
     896,   896,   896,   896,   896,   896,   896,   896,   896,   896,
     896,   896,   896,   897,   897,   898,   898,   899,   900,   900,
     901,   901,   901,   901,   901,   902,   902,   903,   903,   903,
     903,   903,   904,   904,   905,   905,   906,   906,   906,   906,
     906,   906,   906,   906,   906,   906,   906,   906,   906,   906,
     906,   906,   906,   906,   906,   906,   906,   907,   907,   908,
     908,   909,   909,   910,   910,   911,   911,   912,   912,   913,
     914,   914,   914,   915,   915,   916,   917,   917,   918,   918,
     918,   919,   919,   919,   920,   920,   920,   920,   920,   920,
     921,   921,   922,   922,   923,   923,   924,   924,   925,   925,
     926,   926,   926,   927,   927,   928,   928,   929,   929,   930,
     930,   930,   931,   931,   931,   932,   932,   932,   932,   933,
     933,   934,   934,   935,   935,   936,   936,   937,   937,   937,
     937,   938,   938,   939,   939,   940,   940,   940,   940,   940,
     941,   941,   941,   941,   941,   942,   943,   944,   944,   944,
     945,   945,   945,   946,   947,   947,   947,   947,   948,   948,
     949,   950,   950,   951,   951,   952,   952,   953,   953,   953,
     953,   953,   953,   953,   953,   953,   953,   953,   953,   953,
     953,   953,   953,   953,   954,   954,   954,   954,   954,   955,
     955,   956,   957,   957,   957,   958,   958,   959,   959,   960,
     960,   961,   961,   962,   963,   963,   964,   964,   964,   965,
     965,   966,   966,   967,   967,   967,   967,   967,   967,   968,
     968,   969,   969,   970,   970,   970,   970,   971,   971,   972,
     972,   973,   974,   975,   975,   976,   976,   977,   977,   977,
     978,   978,   978,   979,   980,   980,   981,   982,   982,   982,
     982,   983,   984,   984,   984,   985,   985,   986,   986,   987,
     987,   988,   988,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   990,   990,
     991,   991,   992,   992,   992,   992,   992,   992,   993,   993,
     994,   994,   994,   994,   994,   994,   994,   994,   994,   994,
     994,   994,   994,   994,   994,   994,   994,   994,   994,   994,
     994,   994,   994,   994,   994,   994,   994,   995,   996,   996,
     997,   997,   997,   998,   998,   998,   998,   998,   999,  1000,
    1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,
    1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,
    1000,  1000,  1000,  1001,  1001,  1001,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1003,  1003,  1004,  1004,  1004,  1004,  1005,
    1006,  1006,  1006,  1006,  1006,  1006,  1006,  1006,  1006,  1007,
    1007,  1008,  1009,  1009,  1009,  1010,  1010,  1011,  1011,  1011,
    1011,  1011,  1012,  1012,  1013,  1013,  1013,  1013,  1014,  1014,
    1014,  1015,  1016,  1016,  1017,  1018,  1018,  1019,  1019,  1019,
    1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1020,
    1020,  1021,  1021,  1021,  1022,  1022,  1022,  1022,  1022,  1023,
    1023,  1023,  1024,  1024,  1025,  1025,  1025,  1026,  1026,  1026,
    1026,  1027,  1027,  1027,  1027,  1028,  1029,  1030,  1030,  1031,
    1031,  1032,  1032,  1032,  1033,  1033,  1033,  1033,  1033,  1033,
    1033,  1034,  1034,  1035,  1035,  1035,  1035,  1036,  1037,  1037,
    1037,  1037,  1038,  1038,  1039,  1040,  1041,  1041,  1042,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1044,  1044,  1045,  1046,
    1046,  1046,  1046,  1046,  1046,  1047,  1047,  1048,  1049,  1049,
    1049,  1049,  1049,  1050,  1050,  1051,  1051,  1052,  1052,  1053,
    1053,  1054,  1054,  1055,  1056,  1056,  1056,  1057,  1057,  1057,
    1058,  1058,  1059,  1059,  1060,  1060,  1061,  1061,  1062,  1062,
    1063,  1064,  1064,  1065,  1065,  1066,  1066,  1066,  1066,  1067,
    1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1068,
    1068,  1069,  1069,  1070,  1070,  1070,  1070,  1070,  1071,  1071,
    1071,  1072,  1072,  1073,  1074,  1074,  1075,  1075,  1075,  1075,
    1075,  1076,  1076,  1077,  1077,  1078,  1079,  1079,  1079,  1080,
    1080,  1080,  1081,  1081,  1082,  1083,  1083,  1084,  1085,  1085,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1087,  1087,
    1088,  1088,  1088,  1089,  1090,  1090,  1091,  1091,  1092,  1093,
    1093,  1094,  1095,  1095,  1096,  1096,  1096,  1096,  1096,  1097,
    1097,  1098,  1098,  1099,  1099,  1100,  1101,  1102,  1102,  1102,
    1102,  1102,  1103,  1104,  1105,  1105,  1106,  1106,  1106,  1106,
    1106,  1106,  1107,  1107,  1107,  1108,  1108,  1109,  1109,  1110,
    1110,  1110,  1110,  1110,  1110,  1110,  1110,  1111,  1111,  1112,
    1112,  1112,  1112,  1112,  1112,  1112,  1113,  1113,  1113,  1114,
    1114,  1115,  1116,  1116,  1116,  1117,  1117,  1117,  1118,  1118,
    1118,  1119,  1119,  1120,  1120,  1120,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1122,  1122,  1123,  1123,  1123,
    1124,  1124,  1125,  1125,  1126,  1126,  1127,  1128,  1128,  1129,
    1129,  1130,  1130,  1130,  1130,  1131,  1131,  1132,  1132,  1132,
    1132,  1132,  1132,  1133,  1133,  1134,  1134,  1135,  1136,  1136,
    1136,  1137,  1137,  1138,  1138,  1139,  1139,  1140,  1140,  1141,
    1141,  1142,  1142,  1142,  1142,  1142,  1143,  1144,  1145,  1146,
    1147,  1147,  1148,  1148,  1149,  1149,  1150,  1150,  1151,  1152,
    1152,  1152,  1152,  1153,  1153,  1154,  1154,  1155,  1155,  1156,
    1156,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,  1157,  1158,  1158,  1158,  1158,  1158,  1158,  1159,
    1159,  1159,  1159,  1160,  1160,  1161,  1161,  1162,  1162,  1162,
    1162,  1162,  1163,  1163,  1163,  1163,  1164,  1164,  1165,  1165,
    1166,  1166,  1167,  1167,  1167,  1168,  1168,  1169,  1169,  1169,
    1170,  1171,  1171,  1172,  1172,  1173,  1174,  1174,  1175,  1175,
    1176,  1176,  1177,  1177,  1178,  1178,  1178,  1179,  1179,  1180,
    1180,  1181,  1182,  1182,  1183,  1183,  1184,  1184,  1184,  1185,
    1185,  1186,  1186,  1186,  1186,  1186,  1187,  1187,  1188,  1188,
    1189,  1190,  1190,  1191,  1191,  1192,  1192,  1192,  1192,  1192,
    1192,  1193,  1193,  1194,  1194,  1195,  1195,  1195,  1195,  1195,
    1195,  1196,  1196,  1196,  1197,  1197,  1197,  1197,  1197,  1197,
    1197,  1197,  1198,  1198,  1198,  1198,  1198,  1199,  1199,  1200,
    1200,  1201,  1201,  1201,  1201,  1201,  1201,  1201,  1201,  1201,
    1201,  1201,  1202,  1202,  1203,  1203,  1204,  1204,  1205,  1206,
    1207,  1207,  1208,  1208,  1209,  1210,  1211,  1211,  1211,  1211,
    1211,  1211,  1212,  1212,  1213,  1213,  1213,  1213,  1214,  1215,
    1215,  1215,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,
    1216,  1216,  1216,  1216,  1216,  1216,  1217,  1217,  1218,  1219,
    1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,
    1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,
    1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,
    1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,
    1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,
    1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,
    1219,  1219,  1219,  1219,  1219,  1219,  1219,  1220,  1220,  1220,
    1220,  1220,  1220,  1220,  1220,  1220,  1220,  1220,  1220,  1220,
    1220,  1220,  1220,  1220,  1220,  1220,  1220,  1220,  1220,  1221,
    1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,
    1221,  1221,  1221,  1222,  1222,  1222,  1222,  1222,  1222,  1222,
    1223,  1223,  1223,  1224,  1224,  1224,  1225,  1225,  1225,  1225,
    1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,
    1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,
    1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,
    1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,
    1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,
    1225,  1225,  1225,  1225,  1225,  1225,  1226,  1226,  1227,  1227,
    1227,  1227,  1228,  1229,  1229,  1230,  1230,  1231,  1231,  1232,
    1232,  1232,  1233,  1233,  1233,  1234,  1234,  1234,  1234,  1235,
    1235,  1236,  1236,  1237,  1237,  1238,  1238,  1239,  1239,  1240,
    1241,  1241,  1241,  1242,  1243,  1243,  1244,  1244,  1245,  1245,
    1245,  1245,  1246,  1246,  1247,  1247,  1247,  1247,  1247,  1248,
    1248,  1248,  1248,  1248,  1249,  1249,  1249,  1250,  1250,  1251,
    1252,  1252,  1252,  1253,  1253,  1254,  1254,  1254,  1254,  1254,
    1254,  1254,  1254,  1254,  1254,  1254,  1254,  1255,  1255,  1256,
    1256,  1257,  1257,  1257,  1257,  1257,  1257,  1258,  1258,  1259,
    1259,  1260,  1260,  1260,  1261,  1261,  1262,  1262,  1263,  1263,
    1263,  1264,  1264,  1265,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1267,  1267,  1267,  1267,  1268,  1268,  1269,  1270,
    1270,  1270,  1270,  1270,  1271,  1271,  1271,  1272,  1272,  1273,
    1274,  1274,  1275,  1276,  1276,  1277,  1277,  1278,  1278,  1279,
    1279,  1279,  1279,  1280,  1280,  1281,  1281,  1282,  1282,  1283,
    1283,  1284,  1284,  1285,  1285,  1286,  1287,  1287,  1287,  1287,
    1287,  1287,  1287,  1287,  1287,  1288,  1288,  1289,  1289,  1289,
    1289,  1289,  1289,  1289,  1289,  1290,  1290,  1290,  1290,  1291,
    1291,  1292,  1293,  1293,  1294,  1294,  1295,  1295,  1295,  1295,
    1295,  1296,  1296,  1297,  1297,  1297,  1297,  1297,  1298,  1298,
    1298,  1298,  1298,  1299,  1299,  1300,  1300,  1301,  1301,  1301,
    1302,  1302,  1302,  1303,  1303,  1304,  1304,  1305,  1305,  1306,
    1306,  1307,  1307,  1308,  1308,  1308,  1308,  1309,  1309,  1310,
    1310,  1311,  1311,  1312,  1313,  1314,  1315,  1315,  1316,  1316,
    1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,
    1316,  1316,  1316,  1317,  1318,  1318,  1318,  1318,  1319,  1320,
    1320,  1320,  1320,  1321,  1321,  1322,  1322,  1322,  1322,  1323,
    1323,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,
    1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,
    1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,
    1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,
    1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,
    1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,
    1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,
    1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1329,  1329,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1332,  1331,  1333,  1331,  1334,  1335,  1335,  1335,  1335,  1336,
    1336,  1336,  1336,  1337,  1337,  1338,  1339,  1340,  1340,  1341,
    1341,  1341,  1342,  1342,  1343,  1343,  1344,  1344,  1345,  1345,
    1345,  1345,  1346,  1346,  1346,  1347,  1348,  1348,  1349,  1349,
    1350,  1350,  1350,  1350,  1351,  1351,  1352,  1353,  1354,  1355,
    1356,  1356,  1357,  1358,  1358,  1359,  1359,  1359,  1359,  1359,
    1361,  1360,  1362,  1363,  1364,  1364,  1365,  1365,  1365,  1365,
    1366,  1366,  1368,  1367,  1370,  1369,  1371,  1369,  1369,  1372,
    1372,  1373,  1373,  1373,  1374,  1374,  1374,  1374,  1375,  1375,
    1376,  1376,  1376,  1376,  1376,  1376,  1376,  1376,  1376,  1376,
    1376,  1376,  1376,  1376,  1376,  1377,  1377,  1377,  1378,  1380,
    1379,  1381,  1382,  1381,  1383,  1383,  1384,  1384,  1385,  1385,
    1386,  1386,  1386,  1386,  1386,  1386,  1386,  1386,  1386,  1387,
    1387,  1387,  1387,  1387,  1387,  1387,  1387,  1387,  1387,  1388,
    1388,  1389,  1389,  1390,  1391,  1391,  1392,  1392,  1392,  1393,
    1394,  1395,  1395,  1395,  1395,  1396,  1396,  1396,  1397,  1397,
    1398,  1398,  1399,  1400,  1400,  1401,  1401,  1402,  1402,  1403,
    1403,  1404,  1405,  1405,  1406,  1406,  1406,  1407,  1407,  1407,
    1407,  1407,  1407,  1407,  1407,  1407,  1408,  1408,  1408,  1408,
    1408,  1409,  1409,  1410,  1411,  1412,  1413,  1413,  1414,  1415,
    1416,  1416,  1417,  1418,  1418,  1419,  1420,  1421,  1421,  1422,
    1423,  1424,  1424,  1425,  1426,  1426,  1426,  1426,  1426,  1427,
    1427,  1427,  1427,  1427,  1427,  1427,  1427,  1427,  1427,  1427,
    1427,  1427,  1427,  1427,  1428,  1428,  1429,  1429,  1430,  1430,
    1430,  1432,  1431,  1433,  1433,  1435,  1434,  1436,  1436,  1436,
    1437,  1437,  1437,  1437,  1437,  1437,  1437,  1437,  1437,  1437,
    1438,  1438,  1439,  1439,  1439,  1439,  1439,  1439,  1439,  1439,
    1439,  1439,  1439,  1439,  1439,  1439,  1439,  1439,  1439,  1439,
    1439,  1439,  1439,  1439,  1440,  1440,  1440,  1440,  1440,  1440,
    1441,  1441,  1441,  1441,  1441,  1441,  1441,  1442,  1443,  1443,
    1443,  1443,  1443,  1443,  1443,  1443,  1444,  1444,  1444,  1444,
    1444,  1444,  1444,  1445,  1445,  1445,  1445,  1445,  1445,  1446,
    1446,  1446,  1446,  1446,  1446,  1446,  1446,  1446,  1446,  1446,
    1447,  1447,  1447,  1447,  1447,  1447,  1447,  1447,  1448,  1448,
    1448,  1448,  1448,  1448,  1448,  1449,  1449,  1449,  1450,  1450,
    1450,  1450,  1450,  1450,  1451,  1451,  1452,  1453,  1453,  1454,
    1454,  1455,  1456,  1457,  1458,  1458,  1458,  1459,  1460,  1461,
    1462,  1463,  1464,  1465,  1465,  1466,  1466,  1467,  1467,  1467,
    1468,  1468,  1469,  1469,  1470,  1470,  1471,  1471,  1471,  1471,
    1471,  1472,  1472,  1472,  1472,  1472,  1472,  1472,  1472,  1472,
    1472,  1472,  1472,  1472,  1472,  1472,  1472,  1472,  1472,  1472,
    1472,  1472,  1472,  1472,  1472,  1472,  1472,  1472,  1472,  1472,
    1472,  1472,  1472,  1472,  1472,  1472,  1472,  1472,  1472,  1472,
    1472,  1472,  1472,  1472,  1472,  1472,  1472,  1472,  1472,  1472,
    1472,  1472,  1472,  1472,  1472,  1472,  1472,  1473,  1473,  1473,
    1473,  1474,  1474,  1474,  1474,  1474,  1474,  1474,  1474,  1474,
    1474,  1475,  1475,  1475,  1475,  1476,  1476,  1477,  1477,  1478,
    1478,  1479,  1479
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       1,     0,     1,     0,     1,     0,     1,     1,     0,     2,
       5,     1,     1,     0,     2,     0,     2,     0,     2,     2,
       3,     3,     1,     3,     3,     2,     1,     1,     2,     2,
       2,     3,     3,     5,     5,     5,     0,     3,     5,     5,
       5,     5,     3,     5,     3,     5,     3,     5,     5,     6,
       1,     1,     6,     4,     9,     7,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     1,     3,     3,     2,     2,     2,
       2,     3,     3,     3,     3,     1,     3,     1,     3,     1,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     5,     1,     1,     1,     1,     1,     0,     1,
       1,     2,     1,     2,     3,     2,     1,     1,     2,     1,
       2,     1,     3,     4,     5,     4,     2,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     4,     6,
       4,     6,    10,    13,     4,     6,     4,    10,    13,     4,
       6,     4,     6,     5,     7,    11,    14,     5,     7,     1,
       3,     4,     4,     4,     3,     2,     5,     3,     6,     4,
       6,     6,     9,     5,     7,     6,     6,     5,     5,     5,
       5,     9,     4,     5,     7,     6,     4,     8,     4,     2,
       4,     3,     6,     4,     3,     3,     3,     2,     2,     3,
       4,     4,     3,     3,     3,     3,     3,     3,     4,     4,
       3,     2,     3,     2,     2,     3,     4,     3,     2,     2,
       3,     4,     4,     4,     5,     1,     3,     2,     2,     0,
       2,     0,     1,     1,     1,     3,     3,     2,     0,     1,
       3,     3,     1,     5,     3,     1,     2,     1,     3,     2,
       3,     1,     1,     1,     1,     6,     6,    10,     1,     2,
       1,     3,     4,     1,     3,     4,     6,     4,     8,     2,
       2,    11,     9,     1,     1,     1,     0,     1,     1,     1,
       1,     3,     2,     0,     1,     1,     3,     3,     1,     1,
       3,     3,     3,     3,     4,     4,     3,     3,     2,     1,
       0,     3,     0,     1,     0,     1,     3,     2,     1,     1,
       1,     1,     3,     0,     1,     3,     1,    13,    16,    12,
      15,    14,    17,     1,     1,     2,     2,     2,     2,     1,
       0,     1,     0,     3,     0,     1,     3,     1,     3,     1,
       1,     1,     1,     1,     6,     2,     4,     2,     2,     1,
       0,     2,     2,     1,     0,     2,     0,     3,     1,     1,
       2,     3,     1,     4,     4,     5,     2,     5,     7,     5,
       2,     3,     0,     1,     2,     1,     2,     2,     2,     3,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     5,     4,    10,     3,    10,
       4,    10,    12,     3,     1,     5,     3,     2,     0,     2,
       0,     3,     0,     1,     3,     3,     0,     4,     0,     1,
       4,     0,     2,     2,     2,     0,     1,     3,     3,     6,
       4,     0,     1,     1,     2,     2,     0,     3,     3,     2,
       1,     1,     3,     3,     4,     0,     1,     0,     6,     1,
       3,     3,     3,     5,     2,     0,     2,     2,     0,     3,
       4,     4,     0,     2,     0,     4,     0,     3,     8,    11,
       1,     3,     1,     1,     3,     6,     8,     6,     2,     3,
       0,     8,    11,     5,     1,     0,     6,     5,     8,     4,
       6,     1,     0,     3,     0,     1,     2,     2,     2,     1,
       2,     3,     1,     2,     2,     2,     2,     3,     3,     3,
       1,     3,     1,     1,     0,     1,     2,     2,     1,     1,
       3,     6,    10,     1,     0,     1,     2,     2,     0,     2,
       2,     1,     0,     1,     0,     7,     2,     0,     3,     5,
       5,     8,     2,     0,     2,     2,     2,     1,     5,     2,
       0,     2,     6,     6,     6,    10,     6,     6,     6,     9,
       9,     6,     6,     9,     6,     7,     2,     2,     2,     2,
       1,     2,     1,     0,     7,     6,     4,     0,     1,     3,
       4,     1,     3,     1,     2,     2,     2,     2,     1,     1,
      10,    13,     2,     0,     2,     2,     1,     0,     5,     4,
       4,    11,    14,    12,    15,    11,     2,     1,     4,     0,
       8,    11,     1,     1,     7,     9,     8,    10,     8,     4,
       0,     5,     0,     2,     0,     2,     0,     2,     0,     2,
       0,     1,     1,     1,     1,     1,     8,     1,     1,    17,
      21,     1,     1,     2,     1,     3,     1,     1,     1,     3,
       1,     2,     0,     1,     2,     4,     1,     1,     1,     1,
       1,     3,     0,     1,     0,     1,     1,     4,     0,     1,
       1,     1,     3,     0,     1,     1,     1,     1,     2,     0,
       0,     2,     2,     1,     2,     2,     2,     2,    11,    13,
       1,     3,     5,     1,     3,     5,     1,     2,     2,     1,
       8,     6,     5,     4,     4,     3,     7,     8,     6,     6,
       6,     6,     6,     4,     7,     5,     8,     3,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       3,     3,     1,     0,     1,     3,     7,     9,     9,     8,
       6,     3,     0,    13,     1,     3,     4,     4,     3,     6,
       2,     1,     0,     2,     0,     2,     4,     0,     6,     8,
       8,     1,     3,     5,     5,     7,     9,     7,     9,     5,
       6,     6,     4,     6,     4,     6,     8,     4,     6,     4,
       6,     5,     7,     1,     1,     1,     2,     1,     2,     1,
       1,     1,     3,     3,     3,     3,     1,     1,     1,     1,
       1,     2,     2,     1,     3,     2,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     2,     2,     3,     1,     3,
       5,     2,     2,     0,     6,     6,     6,     6,     6,     6,
       6,     6,     8,     9,     8,     6,     6,     9,     9,     9,
       7,    10,     1,     1,     8,     8,     8,     8,     8,     8,
       8,     9,     8,     8,     2,     0,     1,     1,     2,     2,
       3,     4,     5,     4,     5,     3,     4,     3,     4,     1,
       2,     3,     3,     3,     3,     4,     4,     3,     3,     4,
       4,     4,     4,     1,     1,     1,     0,     8,     8,    11,
       1,     1,     2,     4,     5,     1,     3,     2,     2,     2,
       2,     2,     1,     3,     1,     3,     1,     2,     2,     4,
       3,     2,     2,     2,     2,     2,     2,     3,     2,     2,
       2,     2,     5,     5,     5,     5,     5,     1,     3,     1,
       2,     3,     0,     5,     7,     6,     9,     3,     1,     2,
       1,     1,     1,     3,     0,     5,     2,     0,     3,     3,
       3,     7,     7,    10,     1,     1,     1,     1,     1,     1,
      16,    19,     1,     0,     2,     0,     1,     3,     4,     5,
       2,     2,     4,     4,     0,     1,     3,     2,     0,     1,
       1,     0,     2,     2,     0,     9,    12,     7,     7,     2,
       0,     3,     2,     1,     3,     1,     3,     2,     1,     1,
       2,     3,     2,     1,     3,     3,     3,     2,     2,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     4,     5,
       1,     3,     3,     1,     3,     3,     5,     6,     1,     3,
       2,     1,     3,     1,     0,     1,     2,     4,     5,     1,
       1,     1,     1,     3,     3,     2,     2,     1,     2,     2,
       2,     2,     1,     2,     2,     2,     2,     1,     1,     1,
       3,     2,     1,     4,     0,     3,     0,     1,     1,     3,
       5,     2,     0,     2,     1,     3,     5,     5,     5,     1,
       2,     1,     0,     4,     6,     4,     6,     4,     6,     4,
       6,     4,     6,     3,     5,     5,     5,     1,     3,     1,
       3,     2,     2,     1,     2,     1,     2,    11,    10,    10,
       2,     2,     0,     9,     2,     0,    10,    11,    11,     5,
       5,     8,     5,     5,     5,     1,     1,     1,     1,     3,
       0,     5,     5,     6,     6,     6,     6,     6,     8,     8,
       6,     6,     7,     9,     9,     8,    10,     6,     6,     6,
       6,     6,     6,     6,     8,     6,     8,     6,     8,     7,
       9,     6,     8,     7,     9,     8,    10,     8,    10,     9,
      11,     8,    10,     9,    11,     8,     8,     7,     6,     6,
       6,     6,     8,     8,     8,     8,     6,     9,     1,     0,
       2,     0,     8,     8,     8,    10,     9,     8,     1,     0,
       6,     6,     6,     6,     6,     6,     6,     9,     9,     6,
       6,     6,     8,     6,     8,     8,     8,     8,     6,     8,
       6,     8,     7,     9,     7,     9,     6,     7,     1,     3,
       3,     3,     1,     1,     1,     1,     1,     1,     7,     6,
       6,     6,     6,     6,     6,     7,     7,     6,     9,     9,
       6,     6,     6,     6,     6,     6,     8,     8,     8,     6,
       7,     6,     6,     4,     7,     6,     4,     4,     4,     3,
       4,     3,     1,     1,     3,     5,     5,     5,     5,     8,
       5,     5,     6,     7,     7,     7,     4,     4,     5,     4,
       6,    13,     1,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     1,
       0,     3,     2,     0,     2,     2,     2,     3,     3,     3,
       3,     2,     3,     2,     5,     4,     3,     3,     3,     3,
       3,     1,     1,     0,     3,     2,     2,     1,     2,     1,
       3,     2,     1,     0,     2,     3,     0,     9,    11,    12,
      14,     3,     4,     4,     0,     2,     5,     1,     0,     1,
       2,     3,     3,     3,     1,     2,     1,     1,     1,     1,
       1,     1,     0,     5,     4,     6,     6,     4,     3,     5,
       7,     9,     1,     3,     1,     5,     4,     4,     6,     4,
       6,     6,     5,     7,     9,     6,     1,     0,     6,    11,
      11,    11,    13,     9,    11,     1,     1,    10,     6,     4,
       4,     2,     5,     2,     0,     6,     5,     3,     5,     1,
       3,     1,     1,     2,     1,     1,     1,     1,     1,     0,
       1,     0,     1,     0,     1,     0,     1,     0,     3,     0,
       2,     1,     3,     1,     0,     2,     4,     3,     5,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     5,
       4,     3,     0,     1,     1,     1,     1,     1,     4,    10,
      13,     3,     0,     7,     1,     3,     1,     4,     4,     7,
       2,     1,     1,     1,     3,     2,     8,     5,     0,     4,
       3,     0,     3,     0,     7,     2,     0,     5,     3,     0,
       2,     2,     2,     3,     1,     3,     1,     2,     1,     0,
       1,     2,     0,     8,     1,     3,     3,     5,     2,     1,
       3,    10,     1,     2,     4,     4,     4,     5,     5,     2,
       5,     3,     5,     2,     0,     3,     1,     2,     5,     5,
       8,     3,     4,     7,     1,     1,     0,     3,     2,     2,
       2,     2,     0,     2,     2,     1,     1,     3,     3,     1,
       2,     4,     4,     2,     3,     5,     5,     1,     1,     9,
       9,     1,     2,     4,     4,     4,     2,     2,     3,     1,
       3,     9,     1,     2,     0,     7,     7,     0,    10,     6,
       0,     1,     0,     2,     1,     0,     3,     3,     4,     4,
       4,     4,     3,     2,     1,     1,     0,     1,     1,     0,
       1,     5,     1,     0,     1,     0,     3,     1,     3,     4,
       3,     2,     2,     1,     1,     1,     0,     2,     4,     5,
       6,     4,     5,     2,     3,     1,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     4,     0,     1,
       3,     1,     1,     1,     1,     1,     2,     4,     4,     5,
       2,     0,     1,     3,     1,     0,     1,     2,     3,     2,
       4,     2,     3,     2,     0,     4,     5,     2,     0,     1,
       3,     2,     3,     2,     3,     2,     3,     2,     3,     1,
       4,     2,     3,     3,     4,     5,     4,     5,     4,     5,
       2,     4,     1,     1,     0,     2,     0,     1,     4,     5,
       4,     0,     2,     2,     2,     1,     1,     0,     5,     2,
       1,     1,     2,     2,     4,     1,     3,     1,     2,     3,
       6,     4,     0,     2,     6,     2,     1,     3,     4,     0,
       2,     0,     2,     0,     2,     4,     0,     1,     0,     1,
       3,     3,     7,    12,     1,     3,     2,     3,     3,     1,
       2,     2,     2,     2,     1,     2,     1,     3,     3,     2,
      13,     2,     0,     1,     3,     3,     6,     7,     5,     7,
       9,     1,     0,     2,     0,     2,     3,     5,     6,     2,
       3,     3,     4,     0,     1,     1,     1,     1,     1,     2,
       4,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       0,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     1,     3,     0,     1,     1,     1,     1,     5,     2,
       1,     1,     1,     1,     4,     1,     2,     2,     1,     3,
       3,     2,     1,     0,     5,     2,     5,     2,     1,     3,
       3,     0,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     3,     3,     3,     3,     0,     1,     4,     1,     1,
       3,     3,     5,     3,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       3,     3,     2,     2,     3,     5,     4,     6,     3,     5,
       4,     6,     4,     6,     5,     7,     3,     2,     4,     2,
       3,     3,     4,     3,     4,     3,     4,     5,     6,     6,
       7,     6,     7,     3,     4,     4,     6,     3,     3,     4,
       3,     4,     4,     5,     4,     5,     1,     1,     3,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     5,     6,     3,     4,     1,
       1,     2,     4,     1,     1,     1,     2,     2,     2,     2,
       1,     1,     4,     3,     5,     6,     8,     6,     6,     4,
       4,     3,     1,     1,     1,     1,     5,     1,     1,     4,
       1,     4,     1,     4,     1,     4,     1,     1,     1,     1,
       1,     1,     1,     6,     4,     4,     6,     4,     4,     4,
       4,     4,     6,     5,     5,     5,     4,     6,     4,     4,
       4,     4,     5,     7,     7,     9,     5,     4,     6,     5,
       7,     7,     8,     4,     7,     4,     6,     6,     4,     5,
       4,     5,     3,    11,     8,     9,     2,     3,     3,     3,
       4,     0,     4,     1,     3,     3,     1,     1,     1,     1,
       2,     0,     2,     2,     0,     2,     3,     3,     4,     2,
       2,     5,     0,     5,     0,     2,     0,     1,     3,     3,
       2,     2,     0,     6,     1,     0,     3,     0,     3,     3,
       3,     0,     1,     4,     2,     2,     2,     2,     2,     3,
       2,     2,     3,     0,     4,     3,     5,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     1,
       4,     1,     4,     1,     2,     1,     2,     1,     3,     1,
       3,     1,     3,     3,     1,     0,     1,     3,     3,     3,
       2,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     7,     5,     3,     5,
       5,     3,     3,     5,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     0,     1,     2,     0,     2,     1,
       0,     2,     0,     1,     3,     3,     2,     3,     2,     3,
       4,     4,     3,     3,     0,     2,     1,     1,     1,     1,
       1,     1,     2,     2,     1,     3,     3,     6,     0,     3,
       0,     2,     4,     2,     1,     0,     5,     2,     5,     2,
       0,     3,     0,     1,     2,     2,     2,     2,     3,     2,
       3,     2,     0,     1,     3,     3,     3,     3,     3,     0,
       3,     3,     0,     1,     3,     7,     7,     3,     0,     1,
       0,     1,     3,     3,     2,     1,     1,     1,     3,     1,
       2,     1,     3,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     2,     6,     2,     3,     5,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       0,     2,     4,     3,     2,     1,     1,     1,     1,     1,
       0,     8,     0,    11,     2,     5,     3,     2,     2,     3,
       7,     1,     1,     1,     0,     2,     2,     1,     0,     1,
       3,     1,     2,     0,     2,     0,     2,     0,     1,     3,
       4,     3,     1,     1,     1,     1,     2,     0,     2,     4,
       0,     2,     2,     2,     1,     1,     3,     7,     3,     1,
       1,     1,     1,     2,     0,     1,     3,     3,     3,     3,
       0,     4,     5,     5,     0,     1,     1,     1,     2,     2,
       1,     2,     0,     7,     0,     5,     0,     4,     2,     2,
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     5,     5,     5,     1,     1,     1,     1,
       1,     1,     2,     2,     1,     3,     2,     2,     3,     0,
       5,     1,     0,     5,     2,     2,     1,     1,     1,     2,
       2,     3,     1,     2,     2,     3,     3,     4,     2,     1,
       2,     1,     1,     2,     2,     3,     1,     1,     1,     1,
       0,     1,     3,     5,     0,     2,     0,     1,     2,     3,
       2,     1,     1,     1,     0,     1,     1,     1,     1,     1,
       2,     2,     3,     0,     1,     2,     1,     4,     3,     4,
       3,     2,     1,     3,     1,     1,     1,     1,     2,     2,
       1,     2,     2,     1,     1,     1,     4,     4,     4,     4,
       4,     1,     0,     3,     3,     4,     1,     3,     3,     4,
       1,     3,     3,     1,     1,     1,     6,     1,     3,     3,
       6,     1,     3,     3,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     4,     1,     1,     4,     4,
       3,     0,     7,     1,     0,     0,     7,     3,     4,     3,
       1,     1,     1,     2,     3,     5,     2,     2,     5,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     0,     1,     2,
       1,     2,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     3,
       1,     2,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     3,     2,
       3,     1,     3,     3,     3,     3,     3,     3,     1,     1,
       4,     0,     2,     2,     1,     2,     1,     0,     1,     1,
       1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 4:
#line 819 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yylsp[0]));
		whenever_action(2);
	}
#line 39069 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 828 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39075 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 830 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39081 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 832 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39087 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 834 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39093 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 836 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39099 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 838 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39105 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 840 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39111 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 842 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39117 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 844 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39123 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 846 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39129 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 848 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39135 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 850 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39141 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 852 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39147 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 854 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39153 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 856 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39159 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 858 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39165 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 860 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39171 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 862 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39177 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 864 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39183 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 866 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39189 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 868 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39195 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 870 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39201 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 872 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39207 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 874 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39213 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 876 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39219 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 878 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39225 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 880 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39231 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 882 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39237 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 884 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39243 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 886 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39249 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 888 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39255 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 890 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39261 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 892 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39267 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 894 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39273 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 896 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39279 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 898 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yylsp[0]) + strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				break;
			}
		}

		output_statement((yylsp[0]), 0, ECPGst_normal);
	}
#line 39300 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 915 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39306 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 917 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39312 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 919 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39318 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 921 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39324 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 923 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39330 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 925 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39336 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 927 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39342 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 929 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39348 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 931 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39354 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 933 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39360 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 935 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39366 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 937 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39372 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 939 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39378 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 941 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39384 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 943 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39390 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 945 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39396 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 947 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39402 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 949 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39408 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 951 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39414 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 953 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39420 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 955 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39426 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 957 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39432 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 959 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39438 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 961 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39444 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 963 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39450 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 965 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39456 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 967 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39462 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 969 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39468 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 971 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39474 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 973 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39480 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 975 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39486 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 977 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39492 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 979 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39498 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 981 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39504 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 983 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39510 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 985 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39516 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 987 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yylsp[0]));
	}
#line 39524 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 991 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yylsp[0]), (strncmp((yylsp[0]), "ECPGset_var", strlen("ECPGset_var")) == 0) ? 4 : 0);
	}
#line 39532 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 995 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39538 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 997 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 1, ECPGst_prepnormal); }
#line 39544 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 999 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 1, ECPGst_normal); }
#line 39550 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1001 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39556 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1003 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39562 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1005 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39568 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1007 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39574 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1009 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39580 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1011 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39586 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1013 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39592 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1015 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39598 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1017 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39604 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1019 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39610 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1021 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39616 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1023 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39622 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1025 "preproc.y" /* yacc.c:1646  */
    {
		check_declared_list((yyvsp[0].exec).name);
		if ((yyvsp[0].exec).type == NULL || strlen((yyvsp[0].exec).type) == 0)
			output_statement((yyvsp[0].exec).name, 1, ECPGst_execute);
		else
		{
			if ((yyvsp[0].exec).name[0] != '"')
				/* case of char_variable */
				add_variable_to_tail(&argsinsert, find_variable((yyvsp[0].exec).name), &no_indicator);
			else
			{
				/* case of ecpg_ident or CSTRING */
				char		length[32];
				char	   *str;

				/* Remove double quotes from name */
				str = loc_strdup((yyvsp[0].exec).name + 1);
				str[strlen(str) - 1] = '\0';
				snprintf(length, sizeof(length), "%zu", strlen(str));
				add_variable_to_tail(&argsinsert, new_variable(str, ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
			}
			output_statement(cat_str(3, "execute", "$0", (yyvsp[0].exec).type), 0, ECPGst_exec_with_exprlist);
		}
	}
#line 39651 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1050 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39657 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1052 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 1, ECPGst_normal); }
#line 39663 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1054 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39669 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1056 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39675 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1058 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39681 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1060 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39687 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1062 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 1, ECPGst_prepnormal); }
#line 39693 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1064 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39699 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1066 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39705 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1068 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39711 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1070 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39717 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1072 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39723 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1074 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39729 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1076 "preproc.y" /* yacc.c:1646  */
    {
		check_declared_list((yyvsp[0].prep).name);
		if ((yyvsp[0].prep).type == NULL)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else if (strlen((yyvsp[0].prep).type) == 0)
		{
			char	   *stmt = cat_str(3, "\"", (yyvsp[0].prep).stmt, "\"");

			output_prepare_statement((yyvsp[0].prep).name, stmt);
		}
		else
		{
			if ((yyvsp[0].prep).name[0] != '"')
				/* case of char_variable */
				add_variable_to_tail(&argsinsert, find_variable((yyvsp[0].prep).name), &no_indicator);
			else
			{
				char		length[32];
				char	   *str;

				/* Remove double quotes from name */
				str = loc_strdup((yyvsp[0].prep).name + 1);
				str[strlen(str) - 1] = '\0';
				snprintf(length, sizeof(length), "%zu", strlen(str));
				add_variable_to_tail(&argsinsert, new_variable(str, ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
			}
			output_statement(cat_str(5, "prepare", "$0", (yyvsp[0].prep).type, "as", (yyvsp[0].prep).stmt), 0, ECPGst_prepare);
		}
	}
#line 39763 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1106 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39769 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1108 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39775 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1110 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39781 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1112 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39787 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1114 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39793 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1116 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39799 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1118 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39805 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1120 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39811 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1122 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39817 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1124 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39823 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1126 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 1, ECPGst_prepnormal); }
#line 39829 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1128 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yylsp[0]));
		whenever_action(2);
	}
#line 39838 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1133 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39844 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1135 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39850 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1137 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 1, ECPGst_prepnormal); }
#line 39856 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1139 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39862 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1141 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39868 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1143 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39874 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1145 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39880 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1147 "preproc.y" /* yacc.c:1646  */
    { output_statement((yylsp[0]), 0, ECPGst_normal); }
#line 39886 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1149 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "ECPGallocate_desc(__LINE__, %s);", (yylsp[0]));
		whenever_action(0);
	}
#line 39895 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1154 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yylsp[0]), autocommit);
		reset_variables();
		whenever_action(2);
	}
#line 39908 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1163 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yylsp[0]), 0);
	}
#line 39916 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1167 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yylsp[0]), (strncmp((yylsp[0]), "ECPGset_var", strlen("ECPGset_var")) == 0) ? 4 : 0);
	}
#line 39924 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1171 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "ECPGdeallocate_desc(__LINE__, %s);", (yylsp[0]));
		whenever_action(0);
	}
#line 39933 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1176 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yylsp[0]), 0);
	}
#line 39941 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1180 "preproc.y" /* yacc.c:1646  */
    {
		check_declared_list((yyvsp[0].describe).stmt_name);

		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %d, %s, %s,", compat, (yyvsp[0].describe).input, connection ? connection : "NULL", (yyvsp[0].describe).stmt_name);
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();
	}
#line 39955 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1190 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yylsp[0]) ? (yylsp[0]) : "\"CURRENT\"");
		whenever_action(2);
	}
#line 39968 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1199 "preproc.y" /* yacc.c:1646  */
    {
		output_statement((yylsp[0]), 0, ECPGst_exec_immediate);
	}
#line 39976 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1203 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yylsp[0]), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yylsp[0])[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yylsp[0]) + 1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yylsp[0]));

		whenever_action(2);
	}
#line 39993 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1216 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
	}
#line 40002 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1221 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yylsp[0]), connection);
		output_get_descr_header((yylsp[0]));
	}
#line 40011 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1226 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yylsp[0]), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(ptr->command, 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 40026 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1237 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yylsp[0]), connection ? connection : "NULL");
		whenever_action(2);
	}
#line 40035 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1242 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yylsp[0]));
		whenever_action(2);
	}
#line 40047 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1250 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
	}
#line 40056 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1255 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yylsp[0]), connection);
		output_set_descr_header((yylsp[0]));
	}
#line 40065 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1260 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yylsp[0]));
		output_line_number();
	}
#line 40077 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1268 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yylsp[0]), 0);
	}
#line 40088 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1275 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yylsp[0]), 0);
	}
#line 40099 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1344 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
}
#line 40107 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1467 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
}
#line 40115 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1495 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yylsp[0])[0] == '$')
			(yyloc) = "$0";
}
#line 40124 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1579 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
	}
#line 40132 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 1841 "preproc.y" /* yacc.c:1646  */
    {
		const char *cursor_marker = (yylsp[0])[0] == ':' ? "$0" : (yylsp[0]);
		struct cursor *ptr = NULL;

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp((yylsp[0]), ptr->name) == 0)
			{
				if (ptr->connection)
					connection = mm_strdup(ptr->connection);
				break;
			}
		}
		(yyloc) = cat2_str("close", cursor_marker);
	}
#line 40152 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 1862 "preproc.y" /* yacc.c:1646  */
    { 
		if (strcmp((yylsp[-5]), "from") == 0 &&
			(strcmp((yylsp[-4]), "stdin") == 0 || strcmp((yylsp[-4]), "stdout") == 0))
			mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");
}
#line 40162 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 2219 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
}
#line 40170 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 2545 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
}
#line 40178 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 2974 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
}
#line 40186 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 3061 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
}
#line 40194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 3313 "preproc.y" /* yacc.c:1646  */
    {
		const char *cursor_marker = (yylsp[-1])[0] == ':' ? "$0" : (yylsp[-1]);
		struct cursor *ptr = add_additional_variables((yylsp[-1]), false);

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);

		(yyloc) = cat_str(2, "fetch forward", cursor_marker);
	}
#line 40208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 3323 "preproc.y" /* yacc.c:1646  */
    {
		const char *cursor_marker = (yylsp[-1])[0] == ':' ? "$0" : (yylsp[-1]);
		struct cursor *ptr = add_additional_variables((yylsp[-1]), false);

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);

		(yyloc) = cat_str(2, "fetch forward from", cursor_marker);
	}
#line 40222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 3333 "preproc.y" /* yacc.c:1646  */
    {
		const char *cursor_marker = (yylsp[-1])[0] == ':' ? "$0" : (yylsp[-1]);
		struct cursor *ptr = add_additional_variables((yylsp[-1]), false);

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);

		(yyloc) = cat_str(2, "fetch backward", cursor_marker);
	}
#line 40236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 3343 "preproc.y" /* yacc.c:1646  */
    {
		const char *cursor_marker = (yylsp[-1])[0] == ':' ? "$0" : (yylsp[-1]);
		struct cursor *ptr = add_additional_variables((yylsp[-1]), false);

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);

		(yyloc) = cat_str(2, "fetch backward from", cursor_marker);
	}
#line 40250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 3353 "preproc.y" /* yacc.c:1646  */
    {
		const char *cursor_marker = (yylsp[0])[0] == ':' ? "$0" : (yylsp[0]);
		struct cursor *ptr = add_additional_variables((yylsp[0]), false);

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);

		(yyloc) = cat_str(2, "move forward", cursor_marker);
	}
#line 40264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 3363 "preproc.y" /* yacc.c:1646  */
    {
		const char *cursor_marker = (yylsp[0])[0] == ':' ? "$0" : (yylsp[0]);
		struct cursor *ptr = add_additional_variables((yylsp[0]), false);

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);

		(yyloc) = cat_str(2, "move forward from", cursor_marker);
	}
#line 40278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 3373 "preproc.y" /* yacc.c:1646  */
    {
		const char *cursor_marker = (yylsp[0])[0] == ':' ? "$0" : (yylsp[0]);
		struct cursor *ptr = add_additional_variables((yylsp[0]), false);

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);

		(yyloc) = cat_str(2, "move backward", cursor_marker);
	}
#line 40292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 3383 "preproc.y" /* yacc.c:1646  */
    {
		const char *cursor_marker = (yylsp[0])[0] == ':' ? "$0" : (yylsp[0]);
		struct cursor *ptr = add_additional_variables((yylsp[0]), false);

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);

		(yyloc) = cat_str(2, "move backward from", cursor_marker);
	}
#line 40306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 3397 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yylsp[0]), false);

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);
		if ((yylsp[0])[0] == ':')
			(yyloc) = "$0";
}
#line 40319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 3406 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yylsp[0]), false);

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);
		if ((yylsp[0])[0] == ':')
			(yyloc) = cat2_str((yylsp[-1]), "$0");
}
#line 40332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 3415 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yylsp[0]), false);

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);
		if ((yylsp[0])[0] == ':')
			(yyloc) = cat_str(3, (yylsp[-2]), (yylsp[-1]), "$0");
}
#line 40345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 3424 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yylsp[0]), false);

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);
		if ((yylsp[0])[0] == ':')
			(yyloc) = cat_str(3, (yylsp[-2]), (yylsp[-1]), "$0");
}
#line 40358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 3433 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yylsp[0]), false);

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);
		if ((yylsp[0])[0] == ':')
			(yyloc) = cat_str(3, (yylsp[-2]), (yylsp[-1]), "$0");
}
#line 40371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 3442 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yylsp[0]), false);

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);
		if ((yylsp[0])[0] == ':')
			(yyloc) = cat_str(3, (yylsp[-2]), (yylsp[-1]), "$0");
}
#line 40384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 3451 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yylsp[0]), false);
		bool	replace = false;

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);
		if ((yylsp[0])[0] == ':')
		{
			(yylsp[0]) = "$0";
			replace = true;
		}
		if ((yylsp[-2])[0] == '$')
		{
			(yylsp[-2]) = "$0";
			replace = true;
		}
		if (replace)
			(yyloc) = cat_str(4, (yylsp[-3]), (yylsp[-2]), (yylsp[-1]), (yylsp[0]));
}
#line 40408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 3471 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yylsp[0]), false);
		bool	replace = false;

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);
		if ((yylsp[0])[0] == ':')
		{
			(yylsp[0]) = "$0";
			replace = true;
		}
		if ((yylsp[-2])[0] == '$')
		{
			(yylsp[-2]) = "$0";
			replace = true;
		}
		if (replace)
			(yyloc) = cat_str(4, (yylsp[-3]), (yylsp[-2]), (yylsp[-1]), (yylsp[0]));
}
#line 40432 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 3491 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yylsp[0]), false);
		bool	replace = false;

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);
		if ((yylsp[0])[0] == ':')
		{
			(yylsp[0]) = "$0";
			replace = true;
		}
		if ((yylsp[-2])[0] == '$')
		{
			(yylsp[-2]) = "$0";
			replace = true;
		}
		if (replace)
			(yyloc) = cat_str(3, (yylsp[-2]), (yylsp[-1]), (yylsp[0]));
}
#line 40456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 3511 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yylsp[0]), false);

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);
		if ((yylsp[0])[0] == ':')
			(yyloc) = cat_str(3, (yylsp[-2]), (yylsp[-1]), "$0");
}
#line 40469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 3520 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yylsp[0]), false);
		bool	replace = false;

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);
		if ((yylsp[0])[0] == ':')
		{
			(yylsp[0]) = "$0";
			replace = true;
		}
		if ((yylsp[-2])[0] == '$')
		{
			(yylsp[-2]) = "$0";
			replace = true;
		}
		if (replace)
			(yyloc) = cat_str(4, (yylsp[-3]), (yylsp[-2]), (yylsp[-1]), (yylsp[0]));
}
#line 40493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 3540 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yylsp[0]), false);

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);
		if ((yylsp[0])[0] == ':')
			(yyloc) = cat_str(4, (yylsp[-3]), (yylsp[-2]), (yylsp[-1]), "$0");
}
#line 40506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 3549 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yylsp[0]), false);
		bool	replace = false;

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);
		if ((yylsp[0])[0] == ':')
		{
			(yylsp[0]) = "$0";
			replace = true;
		}
		if ((yylsp[-2])[0] == '$')
		{
			(yylsp[-2]) = "$0";
			replace = true;
		}
		if (replace)
			(yyloc) = cat_str(4, (yylsp[-3]), (yylsp[-2]), (yylsp[-1]), (yylsp[0]));
}
#line 40530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 3569 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yylsp[0]), false);

		if (ptr->connection)
			connection = mm_strdup(ptr->connection);
		if ((yylsp[0])[0] == ':')
			(yyloc) = cat_str(4, (yylsp[-3]), (yylsp[-2]), (yylsp[-1]), "$0");
}
#line 40543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 4837 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = (yyvsp[0].exec).name;
	}
#line 40551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 4845 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yylsp[-3]);
		(yyval.prep).type = (yylsp[-2]);
		(yyval.prep).stmt = (yylsp[0]);
	}
#line 40561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 4851 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yylsp[-2]);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yylsp[0]);
	}
#line 40571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 4876 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.exec).name = (yylsp[-2]);
		(yyval.exec).type = (yylsp[-1]);
	}
#line 40580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 4881 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.exec).name = (yyloc);
	}
#line 40588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 4885 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.exec).name = (yyloc);
	}
#line 40596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 5093 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr,
				   *this;
		const char *cursor_marker = (yylsp[-5])[0] == ':' ? "$0" : (yylsp[-5]);
		char	   *comment,
				   *c1,
				   *c2;
		int			(*strcmp_fn) (const char *, const char *) = (((yylsp[-5])[0] == ':' || (yylsp[-5])[0] == '"') ? strcmp : pg_strcasecmp);

		if (INFORMIX_MODE && pg_strcasecmp((yylsp[-5]), "database") == 0)
			mmfatal(PARSE_ERROR, "\"database\" cannot be used as cursor name in INFORMIX mode");

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yylsp[-5]), ptr->name) == 0)
			{
				if ((yylsp[-5])[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yylsp[-5]) + 1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yylsp[-5]));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = mm_strdup((yylsp[-5]));
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection ? mm_strdup(connection) : NULL;
		this->opened = false;
		this->command = mm_strdup(cat_str(7, "declare", cursor_marker, (yylsp[-4]), "cursor", (yylsp[-2]), "for", (yylsp[0])));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = loc_strdup(this->command);
		while ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, "/*", c1, "*/");

		(yyloc) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 40650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 5148 "preproc.y" /* yacc.c:1646  */
    {
		char	   *curname = loc_alloc(strlen((yylsp[0])) + 2);

		sprintf(curname, ":%s", (yylsp[0]));
		(yyloc) = curname;
	}
#line 40661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 5169 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyloc) = "with hold";
		else
			(yyloc) = "";
	}
#line 40672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 5268 "preproc.y" /* yacc.c:1646  */
    {
		FoundInto = 1;
		(yyloc) = cat2_str("into", (yylsp[0]));
	}
#line 40681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 5273 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = "";
	}
#line 40689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 5358 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
	}
#line 40697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 5662 "preproc.y" /* yacc.c:1646  */
    {
		const char *cursor_marker = (yylsp[0])[0] == ':' ? "$0" : (yylsp[0]);

		(yyloc) = cat_str(2, "where current of", cursor_marker);
	}
#line 40707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 5775 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = cat2_str((yylsp[-1]), (yyvsp[0].index).str);
	}
#line 40715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 5779 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = cat_str(3, "setof", (yylsp[-1]), (yyvsp[0].index).str);
	}
#line 40723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 5791 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = "0";
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = "0";
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, "[]");
	}
#line 40737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 5801 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = (yylsp[-1]);
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = (yylsp[-1]);
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, "[", (yylsp[-1]), "]");
	}
#line 40751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 5811 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = "-1";
		(yyval.index).index2 = "-1";
		(yyval.index).str = "";
	}
#line 40761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 6042 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
}
#line 40769 "preproc.c" /* yacc.c:1646  */
    break;

  case 3401:
#line 7811 "preproc.y" /* yacc.c:1646  */
    {
		/* Reclaim local storage used while processing statement */
		reclaim_local_storage();
		/* Clean up now-dangling location pointer */
		(yyloc) = "";
	}
#line 40780 "preproc.c" /* yacc.c:1646  */
    break;

  case 3402:
#line 7820 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			free(connection);
		connection = NULL;
	}
#line 40790 "preproc.c" /* yacc.c:1646  */
    break;

  case 3403:
#line 7826 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			free(connection);
		connection = NULL;
	}
#line 40800 "preproc.c" /* yacc.c:1646  */
    break;

  case 3404:
#line 7832 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "%s", (yyloc));
		output_line_number();
	}
#line 40809 "preproc.c" /* yacc.c:1646  */
    break;

  case 3406:
#line 7838 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "%s", (yyloc));
	}
#line 40817 "preproc.c" /* yacc.c:1646  */
    break;

  case 3407:
#line 7842 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "%s", (yyloc));
	}
#line 40825 "preproc.c" /* yacc.c:1646  */
    break;

  case 3408:
#line 7846 "preproc.y" /* yacc.c:1646  */
    {
		braces_open++;
		fputs("{", base_yyout);
	}
#line 40834 "preproc.c" /* yacc.c:1646  */
    break;

  case 3409:
#line 7851 "preproc.y" /* yacc.c:1646  */
    {
		if (braces_open > 0)
		{
			remove_typedefs(braces_open);
			remove_variables(braces_open);
			if (--braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
		}
		fputs("}", base_yyout);
	}
#line 40852 "preproc.c" /* yacc.c:1646  */
    break;

  case 3410:
#line 7867 "preproc.y" /* yacc.c:1646  */
    {
		FoundInto = 0;
	}
#line 40860 "preproc.c" /* yacc.c:1646  */
    break;

  case 3411:
#line 7870 "preproc.y" /* yacc.c:1646  */
    {
		if (FoundInto == 1)
			mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");
	}
#line 40869 "preproc.c" /* yacc.c:1646  */
    break;

  case 3412:
#line 7875 "preproc.y" /* yacc.c:1646  */
    {
		FoundInto = 0;
	}
#line 40877 "preproc.c" /* yacc.c:1646  */
    break;

  case 3413:
#line 7878 "preproc.y" /* yacc.c:1646  */
    {
		if (FoundInto == 1)
			mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");
	}
#line 40886 "preproc.c" /* yacc.c:1646  */
    break;

  case 3414:
#line 7885 "preproc.y" /* yacc.c:1646  */
    {
		connection = mm_strdup((yylsp[0]));

		/*
		 * Do we have a variable as connection target?  Remove the variable
		 * from the variable list or else it will be used twice.
		 */
		if (argsinsert != NULL)
			argsinsert = NULL;
	}
#line 40901 "preproc.c" /* yacc.c:1646  */
    break;

  case 3415:
#line 7901 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = cat_str(5, (yylsp[-2]), ",", (yylsp[0]), ",", (yylsp[-1]));
	}
#line 40909 "preproc.c" /* yacc.c:1646  */
    break;

  case 3416:
#line 7905 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = "NULL, NULL, NULL, \"DEFAULT\"";
	}
#line 40917 "preproc.c" /* yacc.c:1646  */
    break;

  case 3417:
#line 7910 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = cat_str(3, "NULL,", (yylsp[0]), ", NULL");
	}
#line 40925 "preproc.c" /* yacc.c:1646  */
    break;

  case 3418:
#line 7914 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = cat2_str((yylsp[0]), ", NULL, NULL, NULL");
	}
#line 40933 "preproc.c" /* yacc.c:1646  */
    break;

  case 3419:
#line 7920 "preproc.y" /* yacc.c:1646  */
    {
		/* old style: dbname[@server][:port] */
		if (strlen((yylsp[-1])) > 0 && *((yylsp[-1])) != '@')
			mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yylsp[-1]));

		/* C strings need to be handled differently */
		if ((yylsp[-2])[0] == '\"')
			(yyloc) = (yylsp[-2]);
		else
			(yyloc) = make3_str("\"", make3_str((yylsp[-2]), (yylsp[-1]), (yylsp[0])), "\"");
	}
#line 40949 "preproc.c" /* yacc.c:1646  */
    break;

  case 3420:
#line 7932 "preproc.y" /* yacc.c:1646  */
    {
		/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
		if (strncmp((yylsp[-6]), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yylsp[-6]), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
			mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

		if (strncmp((yylsp[-4]), "//", strlen("//")) != 0)
			mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yylsp[-4]));

		if (strncmp((yylsp[-6]), "unix", strlen("unix")) == 0 &&
			strncmp((yylsp[-4]) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
			strncmp((yylsp[-4]) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
			mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yylsp[-4]) + strlen("//"));

		(yyloc) = make3_str(make3_str("\"", (yylsp[-6]), ":"), (yylsp[-4]), make3_str(make3_str((yylsp[-3]), "/", (yylsp[-1])), (yylsp[0]), "\""));
	}
#line 40969 "preproc.c" /* yacc.c:1646  */
    break;

  case 3422:
#line 7949 "preproc.y" /* yacc.c:1646  */
    {
		/*
		 * We can only process double quoted strings not single quoted ones,
		 * so we change the quotes. Note that the rule for ecpg_sconst adds
		 * these single quotes.
		 */
		char   *str = loc_strdup((yylsp[0]));

		str[0] = '\"';
		str[strlen(str) - 1] = '\"';
		(yyloc) = str;
	}
#line 40986 "preproc.c" /* yacc.c:1646  */
    break;

  case 3425:
#line 7968 "preproc.y" /* yacc.c:1646  */
    {
		if (strcmp((yylsp[0]), "postgresql") != 0 && strcmp((yylsp[0]), "postgres") != 0)
			mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yylsp[0]));

		if (strcmp((yylsp[-1]), "tcp") != 0 && strcmp((yylsp[-1]), "unix") != 0)
			mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yylsp[-1]));

		(yyloc) = make3_str((yylsp[-1]), ":", (yylsp[0]));
	}
#line 41000 "preproc.c" /* yacc.c:1646  */
    break;

  case 3426:
#line 7980 "preproc.y" /* yacc.c:1646  */
    {
		if (strcmp((yylsp[-1]), "@") != 0 && strcmp((yylsp[-1]), "//") != 0)
			mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yylsp[-1]));

		(yyloc) = make2_str((yylsp[-1]), (yylsp[0]));
	}
#line 41011 "preproc.c" /* yacc.c:1646  */
    break;

  case 3432:
#line 7998 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = make2_str(":", (yylsp[0]));
	}
#line 41019 "preproc.c" /* yacc.c:1646  */
    break;

  case 3434:
#line 8005 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = (yylsp[0]);
	}
#line 41027 "preproc.c" /* yacc.c:1646  */
    break;

  case 3435:
#line 8009 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = "NULL";
	}
#line 41035 "preproc.c" /* yacc.c:1646  */
    break;

  case 3436:
#line 8015 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = (yylsp[0]);
	}
#line 41043 "preproc.c" /* yacc.c:1646  */
    break;

  case 3437:
#line 8019 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = "NULL, NULL";
	}
#line 41051 "preproc.c" /* yacc.c:1646  */
    break;

  case 3438:
#line 8025 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = cat2_str((yylsp[0]), ", NULL");
	}
#line 41059 "preproc.c" /* yacc.c:1646  */
    break;

  case 3439:
#line 8029 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = cat_str(3, (yylsp[-2]), ",", (yylsp[0]));
	}
#line 41067 "preproc.c" /* yacc.c:1646  */
    break;

  case 3440:
#line 8033 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = cat_str(3, (yylsp[-3]), ",", (yylsp[0]));
	}
#line 41075 "preproc.c" /* yacc.c:1646  */
    break;

  case 3441:
#line 8037 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = cat_str(3, (yylsp[-2]), ",", (yylsp[0]));
	}
#line 41083 "preproc.c" /* yacc.c:1646  */
    break;

  case 3442:
#line 8043 "preproc.y" /* yacc.c:1646  */
    {
		if ((yylsp[0])[0] == '\"')
			(yyloc) = (yylsp[0]);
		else
			(yyloc) = make3_str("\"", (yylsp[0]), "\"");
	}
#line 41094 "preproc.c" /* yacc.c:1646  */
    break;

  case 3443:
#line 8050 "preproc.y" /* yacc.c:1646  */
    {
		if ((yylsp[0])[0] == '\"')
			(yyloc) = (yylsp[0]);
		else
			(yyloc) = make3_str("\"", (yylsp[0]), "\"");
	}
#line 41105 "preproc.c" /* yacc.c:1646  */
    break;

  case 3444:
#line 8057 "preproc.y" /* yacc.c:1646  */
    {
		enum ECPGttype type = argsinsert->variable->type->type;

		/* if array see what's inside */
		if (type == ECPGt_array)
			type = argsinsert->variable->type->u.element->type;

		/* handle varchars */
		if (type == ECPGt_varchar)
			(yyloc) = make2_str(argsinsert->variable->name, ".arr");
		else
			(yyloc) = argsinsert->variable->name;
	}
#line 41123 "preproc.c" /* yacc.c:1646  */
    break;

  case 3445:
#line 8073 "preproc.y" /* yacc.c:1646  */
    {
		/* check if we have a string variable */
		struct variable *p = find_variable((yylsp[0]));
		enum ECPGttype type = p->type->type;

		/* If we have just one character this is not a string */
		if (atol(p->type->size) == 1)
			mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
		else
		{
			/* if array see what's inside */
			if (type == ECPGt_array)
				type = p->type->u.element->type;

			switch (type)
			{
				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					(yyloc) = (yylsp[0]);
					break;
				case ECPGt_varchar:
					(yyloc) = make2_str((yylsp[0]), ".arr");
					break;
				default:
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
					(yyloc) = (yylsp[0]);
					break;
			}
		}
	}
#line 41159 "preproc.c" /* yacc.c:1646  */
    break;

  case 3446:
#line 8107 "preproc.y" /* yacc.c:1646  */
    {
		if (strlen((yylsp[-1])) == 0)
			mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

		if (strcmp((yylsp[-1]), "?") != 0)
			mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yylsp[-1]));

		(yyloc) = make2_str("?", (yylsp[0]));
	}
#line 41173 "preproc.c" /* yacc.c:1646  */
    break;

  case 3448:
#line 8120 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = make2_str((yylsp[-1]), (yylsp[0]));
	}
#line 41181 "preproc.c" /* yacc.c:1646  */
    break;

  case 3449:
#line 8124 "preproc.y" /* yacc.c:1646  */
    {
		if (strlen((yylsp[-1])) == 0)
			mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

		if (strcmp((yylsp[-1]), "&") != 0)
			mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yylsp[-1]));

		(yyloc) = make3_str(make2_str((yylsp[-3]), (yylsp[-2])), (yylsp[-1]), (yylsp[0]));
	}
#line 41195 "preproc.c" /* yacc.c:1646  */
    break;

  case 3451:
#line 8137 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = make2_str("=", (yylsp[0]));
	}
#line 41203 "preproc.c" /* yacc.c:1646  */
    break;

  case 3452:
#line 8141 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = make2_str("=", (yylsp[0]));
	}
#line 41211 "preproc.c" /* yacc.c:1646  */
    break;

  case 3453:
#line 8145 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = make2_str("=", (yylsp[0]));
	}
#line 41219 "preproc.c" /* yacc.c:1646  */
    break;

  case 3454:
#line 8151 "preproc.y" /* yacc.c:1646  */
    {
		size_t		slen = strlen((yylsp[0]));

		if ((yylsp[0])[0] == '\"' && (yylsp[0])[slen - 1] == '\"')	/* already quoted? */
			(yyloc) = (yylsp[0]);
		else					/* not quoted => convert to lowercase */
		{
			char	   *str = loc_alloc(slen + 3);

			str[0] = '\"';
			for (size_t i = 0; i < slen; i++)
				str[i + 1] = tolower((unsigned char) (yylsp[0])[i]);
			str[slen + 1] = '\"';
			str[slen + 2] = '\0';
			(yyloc) = str;
		}
	}
#line 41241 "preproc.c" /* yacc.c:1646  */
    break;

  case 3456:
#line 8175 "preproc.y" /* yacc.c:1646  */
    {
		struct declared_list *ptr;

		/* Check whether the declared name has been defined or not */
		for (ptr = g_declared_list; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp((yylsp[-1]), ptr->name) == 0)
			{
				/* re-definition is not allowed */
				mmerror(PARSE_ERROR, ET_ERROR, "name \"%s\" is already declared", ptr->name);
			}
		}

		/* Add a new declared name into the g_declared_list */
		ptr = (struct declared_list *) mm_alloc(sizeof(struct declared_list));
		if (ptr)
		{
			/* initial definition */
			ptr->name = mm_strdup((yylsp[-1]));
			if (connection)
				ptr->connection = mm_strdup(connection);
			else
				ptr->connection = NULL;

			ptr->next = g_declared_list;
			g_declared_list = ptr;
		}

		(yyloc) = cat_str(3, "/* declare ", (yylsp[-1]), " as an SQL identifier */");
	}
#line 41276 "preproc.c" /* yacc.c:1646  */
    break;

  case 3457:
#line 8212 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr,
				   *this;
		const char *cursor_marker = (yylsp[-5])[0] == ':' ? "$0" : (yylsp[-5]);
		int			(*strcmp_fn) (const char *, const char *) = (((yylsp[-5])[0] == ':' || (yylsp[-5])[0] == '"') ? strcmp : pg_strcasecmp);
		struct variable *thisquery = (struct variable *) mm_alloc(sizeof(struct variable));
		char	   *comment;
		char	   *con;

		if (INFORMIX_MODE && pg_strcasecmp((yylsp[-5]), "database") == 0)
			mmfatal(PARSE_ERROR, "\"database\" cannot be used as cursor name in INFORMIX mode");

		check_declared_list((yylsp[0]));
		con = connection ? connection : "NULL";
		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yylsp[-5]), ptr->name) == 0)
			{
				/* re-definition is a bug */
				if ((yylsp[-5])[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yylsp[-5]) + 1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yylsp[-5]));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		/* initial definition */
		this->next = cur;
		this->name = mm_strdup((yylsp[-5]));
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection ? mm_strdup(connection) : NULL;
		this->opened = false;
		this->command = mm_strdup(cat_str(6, "declare", cursor_marker, (yylsp[-4]), "cursor", (yylsp[-2]), "for $1"));
		this->argsresult = NULL;
		this->argsresult_oos = NULL;

		thisquery->type = &ecpg_query;
		thisquery->brace_level = 0;
		thisquery->next = NULL;
		thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yylsp[0])));
		sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yylsp[0]));

		this->argsinsert = NULL;
		this->argsinsert_oos = NULL;
		if ((yylsp[-5])[0] == ':')
		{
			struct variable *var = find_variable((yylsp[-5]) + 1);

			remove_variable_from_list(&argsinsert, var);
			add_variable_to_head(&(this->argsinsert), var, &no_indicator);
		}
		add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

		cur = this;

		comment = cat_str(3, "/*", this->command, "*/");

		(yyloc) = cat_str(2, adjust_outofscope_cursor_vars(this),
					 comment);
	}
#line 41343 "preproc.c" /* yacc.c:1646  */
    break;

  case 3458:
#line 8277 "preproc.y" /* yacc.c:1646  */
    {
		/*
		 * execute immediate means prepare the statement and immediately
		 * execute it
		 */
		(yyloc) = (yylsp[0]);
	}
#line 41355 "preproc.c" /* yacc.c:1646  */
    break;

  case 3463:
#line 8299 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = (yylsp[0]);
	}
#line 41363 "preproc.c" /* yacc.c:1646  */
    break;

  case 3470:
#line 8316 "preproc.y" /* yacc.c:1646  */
    {
		fputs("/* exec sql begin declare section */", base_yyout);
	}
#line 41371 "preproc.c" /* yacc.c:1646  */
    break;

  case 3471:
#line 8320 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "%s/* exec sql end declare section */", (yylsp[-1]));
		output_line_number();
	}
#line 41380 "preproc.c" /* yacc.c:1646  */
    break;

  case 3472:
#line 8327 "preproc.y" /* yacc.c:1646  */
    {
	}
#line 41387 "preproc.c" /* yacc.c:1646  */
    break;

  case 3473:
#line 8332 "preproc.y" /* yacc.c:1646  */
    {
	}
#line 41394 "preproc.c" /* yacc.c:1646  */
    break;

  case 3482:
#line 8351 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 41404 "preproc.c" /* yacc.c:1646  */
    break;

  case 3483:
#line 8357 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yylsp[-2]), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yylsp[-3]) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yylsp[-3]) ? "*" : "", (yylsp[-2]), (yyvsp[-1].index).str);
		output_line_number();
		(yyloc) = "";
	}
#line 41416 "preproc.c" /* yacc.c:1646  */
    break;

  case 3484:
#line 8368 "preproc.y" /* yacc.c:1646  */
    {
		actual_type[struct_level].type_storage = mm_strdup((yylsp[-1]));
		actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
		actual_type[struct_level].type_str = mm_strdup((yyvsp[0].type).type_str);
		actual_type[struct_level].type_dimension = mm_strdup((yyvsp[0].type).type_dimension);
		actual_type[struct_level].type_index = mm_strdup((yyvsp[0].type).type_index);
		actual_type[struct_level].type_sizeof =
			(yyvsp[0].type).type_sizeof ? mm_strdup((yyvsp[0].type).type_sizeof) : NULL;

		actual_startline[struct_level] = hashline_number();
	}
#line 41432 "preproc.c" /* yacc.c:1646  */
    break;

  case 3485:
#line 8380 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = cat_str(5, actual_startline[struct_level], (yylsp[-4]), (yyvsp[-3].type).type_str, (yylsp[-1]), ";\n");
	}
#line 41440 "preproc.c" /* yacc.c:1646  */
    break;

  case 3486:
#line 8384 "preproc.y" /* yacc.c:1646  */
    {
		actual_type[struct_level].type_storage = mm_strdup("");
		actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
		actual_type[struct_level].type_str = mm_strdup((yyvsp[0].type).type_str);
		actual_type[struct_level].type_dimension = mm_strdup((yyvsp[0].type).type_dimension);
		actual_type[struct_level].type_index = mm_strdup((yyvsp[0].type).type_index);
		actual_type[struct_level].type_sizeof =
			(yyvsp[0].type).type_sizeof ? mm_strdup((yyvsp[0].type).type_sizeof) : NULL;

		actual_startline[struct_level] = hashline_number();
	}
#line 41456 "preproc.c" /* yacc.c:1646  */
    break;

  case 3487:
#line 8396 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yylsp[-1]), ";\n");
	}
#line 41464 "preproc.c" /* yacc.c:1646  */
    break;

  case 3500:
#line 8422 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.type).type_enum = (yyvsp[0].type_enum);
		(yyval.type).type_str = loc_strdup(ecpg_type_name((yyvsp[0].type_enum)));
		(yyval.type).type_dimension = "-1";
		(yyval.type).type_index = "-1";
		(yyval.type).type_sizeof = NULL;
	}
#line 41476 "preproc.c" /* yacc.c:1646  */
    break;

  case 3501:
#line 8430 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.type).type_str = loc_strdup((yylsp[0]));
		(yyval.type).type_dimension = "-1";
		(yyval.type).type_index = "-1";

		if (strncmp((yylsp[0]), "struct", sizeof("struct") - 1) == 0)
		{
			(yyval.type).type_enum = ECPGt_struct;
			(yyval.type).type_sizeof = ECPGstruct_sizeof;
		}
		else
		{
			(yyval.type).type_enum = ECPGt_union;
			(yyval.type).type_sizeof = NULL;
		}
	}
#line 41497 "preproc.c" /* yacc.c:1646  */
    break;

  case 3502:
#line 8447 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.type).type_str = loc_strdup((yylsp[0]));
		(yyval.type).type_enum = ECPGt_int;
		(yyval.type).type_dimension = "-1";
		(yyval.type).type_index = "-1";
		(yyval.type).type_sizeof = NULL;
	}
#line 41509 "preproc.c" /* yacc.c:1646  */
    break;

  case 3503:
#line 8455 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.type).type_enum = ECPGt_numeric;
		(yyval.type).type_str = "numeric";
		(yyval.type).type_dimension = "-1";
		(yyval.type).type_index = "-1";
		(yyval.type).type_sizeof = NULL;
	}
#line 41521 "preproc.c" /* yacc.c:1646  */
    break;

  case 3504:
#line 8463 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.type).type_enum = ECPGt_decimal;
		(yyval.type).type_str = "decimal";
		(yyval.type).type_dimension = "-1";
		(yyval.type).type_index = "-1";
		(yyval.type).type_sizeof = NULL;
	}
#line 41533 "preproc.c" /* yacc.c:1646  */
    break;

  case 3505:
#line 8471 "preproc.y" /* yacc.c:1646  */
    {
		/*
		 * In C parsing mode, NUMERIC and DECIMAL are not keywords, so they
		 * will show up here as a plain identifier, and we need this duplicate
		 * code to recognize them.
		 */
		if (strcmp((yylsp[-4]), "numeric") == 0)
		{
			(yyval.type).type_enum = ECPGt_numeric;
			(yyval.type).type_str = "numeric";
		}
		else if (strcmp((yylsp[-4]), "decimal") == 0)
		{
			(yyval.type).type_enum = ECPGt_decimal;
			(yyval.type).type_str = "decimal";
		}
		else
		{
			mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
			(yyval.type).type_enum = ECPGt_numeric;
			(yyval.type).type_str = "numeric";
		}

		(yyval.type).type_dimension = "-1";
		(yyval.type).type_index = "-1";
		(yyval.type).type_sizeof = NULL;
	}
#line 41565 "preproc.c" /* yacc.c:1646  */
    break;

  case 3506:
#line 8499 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.type).type_enum = ECPGt_varchar;
		(yyval.type).type_str = "";	/* "varchar"; */
		(yyval.type).type_dimension = "-1";
		(yyval.type).type_index = "-1";
		(yyval.type).type_sizeof = NULL;
	}
#line 41577 "preproc.c" /* yacc.c:1646  */
    break;

  case 3507:
#line 8507 "preproc.y" /* yacc.c:1646  */
    {
		/* Note: DOUBLE is handled in simple_type */
		(yyval.type).type_enum = ECPGt_float;
		(yyval.type).type_str = "float";
		(yyval.type).type_dimension = "-1";
		(yyval.type).type_index = "-1";
		(yyval.type).type_sizeof = NULL;
	}
#line 41590 "preproc.c" /* yacc.c:1646  */
    break;

  case 3508:
#line 8516 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.type).type_enum = ECPGt_numeric;
		(yyval.type).type_str = "numeric";
		(yyval.type).type_dimension = "-1";
		(yyval.type).type_index = "-1";
		(yyval.type).type_sizeof = NULL;
	}
#line 41602 "preproc.c" /* yacc.c:1646  */
    break;

  case 3509:
#line 8524 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.type).type_enum = ECPGt_decimal;
		(yyval.type).type_str = "decimal";
		(yyval.type).type_dimension = "-1";
		(yyval.type).type_index = "-1";
		(yyval.type).type_sizeof = NULL;
	}
#line 41614 "preproc.c" /* yacc.c:1646  */
    break;

  case 3510:
#line 8532 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.type).type_enum = ECPGt_timestamp;
		(yyval.type).type_str = "timestamp";
		(yyval.type).type_dimension = "-1";
		(yyval.type).type_index = "-1";
		(yyval.type).type_sizeof = NULL;
	}
#line 41626 "preproc.c" /* yacc.c:1646  */
    break;

  case 3511:
#line 8540 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			/* In Informix mode, "string" is automatically a typedef */
			(yyval.type).type_enum = ECPGt_string;
			(yyval.type).type_str = "char";
			(yyval.type).type_dimension = "-1";
			(yyval.type).type_index = "-1";
			(yyval.type).type_sizeof = NULL;
		}
		else
		{
			/* Otherwise, legal only if user typedef'ed it */
			struct typedefs *this = get_typedef("string", false);

			(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar || this->type->type_enum == ECPGt_bytea) ? mm_strdup("") : mm_strdup(this->name);
			(yyval.type).type_enum = this->type->type_enum;
			(yyval.type).type_dimension = this->type->type_dimension;
			(yyval.type).type_index = this->type->type_index;
			if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
				(yyval.type).type_sizeof = this->type->type_sizeof;
			else
				(yyval.type).type_sizeof = cat_str(3, "sizeof(", this->name, ")");

			struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
		}
	}
#line 41658 "preproc.c" /* yacc.c:1646  */
    break;

  case 3512:
#line 8568 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.type).type_enum = ECPGt_interval;
		(yyval.type).type_str = "interval";
		(yyval.type).type_dimension = "-1";
		(yyval.type).type_index = "-1";
		(yyval.type).type_sizeof = NULL;
	}
#line 41670 "preproc.c" /* yacc.c:1646  */
    break;

  case 3513:
#line 8576 "preproc.y" /* yacc.c:1646  */
    {
		/*
		 * In C parsing mode, the above SQL type names are not keywords, so
		 * they will show up here as a plain identifier, and we need this
		 * duplicate code to recognize them.
		 *
		 * Note that we also handle the type names bytea, date, and datetime
		 * here, but not above because those are not currently SQL keywords.
		 * If they ever become so, they must gain duplicate productions above.
		 */
		if (strlen((yylsp[0])) != 0 && strcmp((yylsp[-1]), "datetime") != 0 && strcmp((yylsp[-1]), "interval") != 0)
			mmerror(PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

		if (strcmp((yylsp[-1]), "varchar") == 0)
		{
			(yyval.type).type_enum = ECPGt_varchar;
			(yyval.type).type_str = "";	/* "varchar"; */
			(yyval.type).type_dimension = "-1";
			(yyval.type).type_index = "-1";
			(yyval.type).type_sizeof = NULL;
		}
		else if (strcmp((yylsp[-1]), "bytea") == 0)
		{
			(yyval.type).type_enum = ECPGt_bytea;
			(yyval.type).type_str = "";
			(yyval.type).type_dimension = "-1";
			(yyval.type).type_index = "-1";
			(yyval.type).type_sizeof = NULL;
		}
		else if (strcmp((yylsp[-1]), "float") == 0)
		{
			(yyval.type).type_enum = ECPGt_float;
			(yyval.type).type_str = "float";
			(yyval.type).type_dimension = "-1";
			(yyval.type).type_index = "-1";
			(yyval.type).type_sizeof = NULL;
		}
		else if (strcmp((yylsp[-1]), "double") == 0)
		{
			(yyval.type).type_enum = ECPGt_double;
			(yyval.type).type_str = "double";
			(yyval.type).type_dimension = "-1";
			(yyval.type).type_index = "-1";
			(yyval.type).type_sizeof = NULL;
		}
		else if (strcmp((yylsp[-1]), "numeric") == 0)
		{
			(yyval.type).type_enum = ECPGt_numeric;
			(yyval.type).type_str = "numeric";
			(yyval.type).type_dimension = "-1";
			(yyval.type).type_index = "-1";
			(yyval.type).type_sizeof = NULL;
		}
		else if (strcmp((yylsp[-1]), "decimal") == 0)
		{
			(yyval.type).type_enum = ECPGt_decimal;
			(yyval.type).type_str = "decimal";
			(yyval.type).type_dimension = "-1";
			(yyval.type).type_index = "-1";
			(yyval.type).type_sizeof = NULL;
		}
		else if (strcmp((yylsp[-1]), "date") == 0)
		{
			(yyval.type).type_enum = ECPGt_date;
			(yyval.type).type_str = "date";
			(yyval.type).type_dimension = "-1";
			(yyval.type).type_index = "-1";
			(yyval.type).type_sizeof = NULL;
		}
		else if (strcmp((yylsp[-1]), "timestamp") == 0)
		{
			(yyval.type).type_enum = ECPGt_timestamp;
			(yyval.type).type_str = "timestamp";
			(yyval.type).type_dimension = "-1";
			(yyval.type).type_index = "-1";
			(yyval.type).type_sizeof = NULL;
		}
		else if (strcmp((yylsp[-1]), "interval") == 0)
		{
			(yyval.type).type_enum = ECPGt_interval;
			(yyval.type).type_str = "interval";
			(yyval.type).type_dimension = "-1";
			(yyval.type).type_index = "-1";
			(yyval.type).type_sizeof = NULL;
		}
		else if (strcmp((yylsp[-1]), "datetime") == 0)
		{
			(yyval.type).type_enum = ECPGt_timestamp;
			(yyval.type).type_str = "timestamp";
			(yyval.type).type_dimension = "-1";
			(yyval.type).type_index = "-1";
			(yyval.type).type_sizeof = NULL;
		}
		else if ((strcmp((yylsp[-1]), "string") == 0) && INFORMIX_MODE)
		{
			(yyval.type).type_enum = ECPGt_string;
			(yyval.type).type_str = "char";
			(yyval.type).type_dimension = "-1";
			(yyval.type).type_index = "-1";
			(yyval.type).type_sizeof = NULL;
		}
		else
		{
			/* Otherwise, it must be a user-defined typedef name */
			struct typedefs *this = get_typedef((yylsp[-1]), false);

			(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar || this->type->type_enum == ECPGt_bytea) ? mm_strdup("") : mm_strdup(this->name);
			(yyval.type).type_enum = this->type->type_enum;
			(yyval.type).type_dimension = this->type->type_dimension;
			(yyval.type).type_index = this->type->type_index;
			if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
				(yyval.type).type_sizeof = this->type->type_sizeof;
			else
				(yyval.type).type_sizeof = cat_str(3, "sizeof(", this->name, ")");

			struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
		}
	}
#line 41793 "preproc.c" /* yacc.c:1646  */
    break;

  case 3514:
#line 8695 "preproc.y" /* yacc.c:1646  */
    {
		/* this is for named structs/unions */
		char	   *name;
		struct typedefs *this;
		bool		forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

		name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
		/* Do we have a forward definition? */
		if (!forward)
		{
			/* No */

			this = get_typedef(name, false);
			(yyval.type).type_str = this->name;
			(yyval.type).type_enum = this->type->type_enum;
			(yyval.type).type_dimension = this->type->type_dimension;
			(yyval.type).type_index = this->type->type_index;
			(yyval.type).type_sizeof = this->type->type_sizeof;
			struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
		}
		else
		{
			(yyval.type).type_str = name;
			(yyval.type).type_enum = ECPGt_long;
			(yyval.type).type_dimension = "-1";
			(yyval.type).type_index = "-1";
			(yyval.type).type_sizeof = "";
			struct_member_list[struct_level] = NULL;
		}
	}
#line 41828 "preproc.c" /* yacc.c:1646  */
    break;

  case 3519:
#line 8736 "preproc.y" /* yacc.c:1646  */
    {
		struct_member_list[struct_level++] = NULL;
		if (struct_level >= STRUCT_DEPTH)
			mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
	}
#line 41839 "preproc.c" /* yacc.c:1646  */
    break;

  case 3520:
#line 8743 "preproc.y" /* yacc.c:1646  */
    {
		struct typedefs *ptr,
				   *this;
		struct this_type su_type;

		ECPGfree_struct_member(struct_member_list[struct_level]);
		struct_member_list[struct_level] = NULL;
		struct_level--;
		if (strcmp((yyvsp[-4].struct_union).su, "struct") == 0)
			su_type.type_enum = ECPGt_struct;
		else
			su_type.type_enum = ECPGt_union;
		su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
		free(forward_name);
		forward_name = NULL;

		/*
		 * This is essentially a typedef but needs the keyword struct/union as
		 * well. So we create the typedef for each struct definition with
		 * symbol
		 */
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(su_type.type_str, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
		}

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = mm_strdup(su_type.type_str);
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = su_type.type_enum;
		this->type->type_str = mm_strdup(su_type.type_str);
		this->type->type_dimension = mm_strdup("-1");	/* dimension of array */
		this->type->type_index = mm_strdup("-1");	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = struct_member_list[struct_level];

		types = this;
		(yyloc) = cat_str(4, su_type.type_str, "{", (yylsp[-1]), "}");
	}
#line 41889 "preproc.c" /* yacc.c:1646  */
    break;

  case 3522:
#line 8792 "preproc.y" /* yacc.c:1646  */
    {
		struct_member_list[struct_level++] = NULL;
		if (struct_level >= STRUCT_DEPTH)
			mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
	}
#line 41899 "preproc.c" /* yacc.c:1646  */
    break;

  case 3523:
#line 8798 "preproc.y" /* yacc.c:1646  */
    {
		ECPGfree_struct_member(struct_member_list[struct_level]);
		struct_member_list[struct_level] = NULL;
		struct_level--;
		(yyloc) = cat_str(4, (yylsp[-4]), "{", (yylsp[-1]), "}");
	}
#line 41910 "preproc.c" /* yacc.c:1646  */
    break;

  case 3524:
#line 8807 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.struct_union).su = "struct";
		(yyval.struct_union).symbol = (yylsp[0]);
		ECPGstruct_sizeof = mm_strdup(cat_str(3, "sizeof(",
											  cat2_str((yyval.struct_union).su, (yyval.struct_union).symbol),
											  ")"));
	}
#line 41922 "preproc.c" /* yacc.c:1646  */
    break;

  case 3525:
#line 8815 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.struct_union).su = "union";
		(yyval.struct_union).symbol = (yylsp[0]);
	}
#line 41931 "preproc.c" /* yacc.c:1646  */
    break;

  case 3526:
#line 8822 "preproc.y" /* yacc.c:1646  */
    {
		ECPGstruct_sizeof = mm_strdup("");	/* This must not be NULL to
											 * distinguish from simple types. */
		(yyloc) = "struct";
	}
#line 41941 "preproc.c" /* yacc.c:1646  */
    break;

  case 3527:
#line 8828 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = "union";
	}
#line 41949 "preproc.c" /* yacc.c:1646  */
    break;

  case 3529:
#line 8834 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = (yyvsp[0].type_enum); }
#line 41955 "preproc.c" /* yacc.c:1646  */
    break;

  case 3530:
#line 8837 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 41961 "preproc.c" /* yacc.c:1646  */
    break;

  case 3531:
#line 8838 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 41967 "preproc.c" /* yacc.c:1646  */
    break;

  case 3532:
#line 8839 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 41973 "preproc.c" /* yacc.c:1646  */
    break;

  case 3533:
#line 8840 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 41979 "preproc.c" /* yacc.c:1646  */
    break;

  case 3534:
#line 8841 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 41985 "preproc.c" /* yacc.c:1646  */
    break;

  case 3535:
#line 8842 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 41991 "preproc.c" /* yacc.c:1646  */
    break;

  case 3536:
#line 8843 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long_long; }
#line 41997 "preproc.c" /* yacc.c:1646  */
    break;

  case 3537:
#line 8844 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long_long; }
#line 42003 "preproc.c" /* yacc.c:1646  */
    break;

  case 3538:
#line 8845 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 42009 "preproc.c" /* yacc.c:1646  */
    break;

  case 3539:
#line 8848 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 42015 "preproc.c" /* yacc.c:1646  */
    break;

  case 3540:
#line 8849 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 42021 "preproc.c" /* yacc.c:1646  */
    break;

  case 3541:
#line 8850 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 42027 "preproc.c" /* yacc.c:1646  */
    break;

  case 3542:
#line 8851 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 42033 "preproc.c" /* yacc.c:1646  */
    break;

  case 3543:
#line 8852 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 42039 "preproc.c" /* yacc.c:1646  */
    break;

  case 3544:
#line 8853 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long_long; }
#line 42045 "preproc.c" /* yacc.c:1646  */
    break;

  case 3545:
#line 8854 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long_long; }
#line 42051 "preproc.c" /* yacc.c:1646  */
    break;

  case 3546:
#line 8855 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 42057 "preproc.c" /* yacc.c:1646  */
    break;

  case 3547:
#line 8856 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 42063 "preproc.c" /* yacc.c:1646  */
    break;

  case 3548:
#line 8857 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 42069 "preproc.c" /* yacc.c:1646  */
    break;

  case 3552:
#line 8866 "preproc.y" /* yacc.c:1646  */
    {
		if (actual_type[struct_level].type_enum == ECPGt_varchar || actual_type[struct_level].type_enum == ECPGt_bytea)
			(yyloc) = cat_str(4, (yylsp[-2]), ";", actual_type[struct_level].type_storage, (yylsp[0]));
		else
			(yyloc) = cat_str(3, (yylsp[-2]), ",", (yylsp[0]));
	}
#line 42080 "preproc.c" /* yacc.c:1646  */
    break;

  case 3553:
#line 8875 "preproc.y" /* yacc.c:1646  */
    {
		struct ECPGtype *type;
		const char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
		const char *length = (yyvsp[-2].index).index2; /* length of string */
		char	   *dim_str;
		char		vcn[32];
		int		   *varlen_type_counter;
		char	   *struct_name;

		adjust_array(actual_type[struct_level].type_enum,
					 &dimension, &length,
					 actual_type[struct_level].type_dimension,
					 actual_type[struct_level].type_index,
					 strlen((yylsp[-4])), false);
		switch (actual_type[struct_level].type_enum)
		{
			case ECPGt_struct:
			case ECPGt_union:
				if (atoi(dimension) < 0)
					type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
				else
					type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

				(yyloc) = cat_str(5, (yylsp[-4]), (yylsp[-3]), (yyvsp[-2].index).str, (yylsp[-1]), (yylsp[0]));
				break;

			case ECPGt_varchar:
			case ECPGt_bytea:
				if (actual_type[struct_level].type_enum == ECPGt_varchar)
				{
					varlen_type_counter = &varchar_counter;
					struct_name = " struct varchar_";
				}
				else
				{
					varlen_type_counter = &bytea_counter;
					struct_name = " struct bytea_";
				}
				if (atoi(dimension) < 0)
					type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, *varlen_type_counter);
				else
					type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, *varlen_type_counter), dimension);

				if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
					dim_str = "";
				else
					dim_str = cat_str(3, "[", dimension, "]");

				/*
				 * cannot check for atoi <= 0 because a defined constant will
				 * yield 0 here as well
				 */
				if (atoi(length) < 0 || strcmp(length, "0") == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

				/*
				 * make sure varchar struct name is unique by adding a unique
				 * counter to its definition
				 */
				snprintf(vcn, sizeof(vcn), "%d", *varlen_type_counter);
				if (strcmp(dimension, "0") == 0)
					(yyloc) = cat_str(7, make2_str(struct_name, vcn), " { int len; char arr[", length, "]; } *", (yylsp[-3]), (yylsp[-1]), (yylsp[0]));
				else
					(yyloc) = cat_str(8, make2_str(struct_name, vcn), " { int len; char arr[", length, "]; } ", (yylsp[-3]), dim_str, (yylsp[-1]), (yylsp[0]));
				(*varlen_type_counter)++;
				break;

			case ECPGt_char:
			case ECPGt_unsigned_char:
			case ECPGt_string:
				if (atoi(dimension) == -1)
				{
					int			i = strlen((yylsp[0]));

					if (atoi(length) == -1 && i > 0)	/* char <var>[] =
														 * "string" */
					{
						/*
						 * if we have an initializer but no string size set,
						 * let's use the initializer's length
						 */
						char   *buf = loc_alloc(32);

						snprintf(buf, 32, "sizeof(%s)", (yylsp[0]) + 2);
						length = buf;
					}
					type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
				}
				else
					type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

				(yyloc) = cat_str(5, (yylsp[-4]), (yylsp[-3]), (yyvsp[-2].index).str, (yylsp[-1]), (yylsp[0]));
				break;

			default:
				if (atoi(dimension) < 0)
					type = ECPGmake_simple_type(actual_type[struct_level].type_enum, "1", 0);
				else
					type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, "1", 0), dimension);

				(yyloc) = cat_str(5, (yylsp[-4]), (yylsp[-3]), (yyvsp[-2].index).str, (yylsp[-1]), (yylsp[0]));
				break;
		}

		if (struct_level == 0)
			new_variable((yylsp[-3]), type, braces_open);
		else
			ECPGmake_struct_member((yylsp[-3]), type, &(struct_member_list[struct_level - 1]));
	}
#line 42194 "preproc.c" /* yacc.c:1646  */
    break;

  case 3555:
#line 8988 "preproc.y" /* yacc.c:1646  */
    {
		initializer = 1;
	}
#line 42202 "preproc.c" /* yacc.c:1646  */
    break;

  case 3558:
#line 8996 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = "**";
	}
#line 42210 "preproc.c" /* yacc.c:1646  */
    break;

  case 3559:
#line 9005 "preproc.y" /* yacc.c:1646  */
    {
		/* this is only supported for compatibility */
		(yyloc) = cat_str(3, "/* declare statement", (yylsp[0]), "*/");
	}
#line 42219 "preproc.c" /* yacc.c:1646  */
    break;

  case 3560:
#line 9014 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = (yylsp[0]);
	}
#line 42227 "preproc.c" /* yacc.c:1646  */
    break;

  case 3562:
#line 9021 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = "\"CURRENT\"";
	}
#line 42235 "preproc.c" /* yacc.c:1646  */
    break;

  case 3563:
#line 9025 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = "\"ALL\"";
	}
#line 42243 "preproc.c" /* yacc.c:1646  */
    break;

  case 3564:
#line 9029 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = "\"CURRENT\"";
	}
#line 42251 "preproc.c" /* yacc.c:1646  */
    break;

  case 3565:
#line 9035 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = make3_str("\"", (yylsp[0]), "\"");
	}
#line 42259 "preproc.c" /* yacc.c:1646  */
    break;

  case 3566:
#line 9039 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = "\"DEFAULT\"";
	}
#line 42267 "preproc.c" /* yacc.c:1646  */
    break;

  case 3569:
#line 9047 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = make3_str("\"", (yylsp[0]), "\"");
	}
#line 42275 "preproc.c" /* yacc.c:1646  */
    break;

  case 3570:
#line 9057 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = (yylsp[0]);
	}
#line 42283 "preproc.c" /* yacc.c:1646  */
    break;

  case 3571:
#line 9061 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = "all";
	}
#line 42291 "preproc.c" /* yacc.c:1646  */
    break;

  case 3572:
#line 9070 "preproc.y" /* yacc.c:1646  */
    {
		if ((yylsp[-1])[0] == ':')
			remove_variable_from_list(&argsinsert, find_variable((yylsp[-1]) + 1));
		(yyloc) = (yylsp[-1]);
	}
#line 42301 "preproc.c" /* yacc.c:1646  */
    break;

  case 3575:
#line 9082 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = "";
	}
#line 42309 "preproc.c" /* yacc.c:1646  */
    break;

  case 3577:
#line 9089 "preproc.y" /* yacc.c:1646  */
    {
		add_variable_to_head(&argsinsert, descriptor_variable((yylsp[0]), 0), &no_indicator);
		(yyloc) = "";
	}
#line 42318 "preproc.c" /* yacc.c:1646  */
    break;

  case 3578:
#line 9094 "preproc.y" /* yacc.c:1646  */
    {
		add_variable_to_head(&argsinsert, sqlda_variable((yylsp[0])), &no_indicator);
		(yyloc) = "";
	}
#line 42327 "preproc.c" /* yacc.c:1646  */
    break;

  case 3579:
#line 9101 "preproc.y" /* yacc.c:1646  */
    {
		add_variable_to_head(&argsresult, descriptor_variable((yylsp[0]), 1), &no_indicator);
		(yyloc) = "";
	}
#line 42336 "preproc.c" /* yacc.c:1646  */
    break;

  case 3580:
#line 9106 "preproc.y" /* yacc.c:1646  */
    {
		add_variable_to_head(&argsresult, sqlda_variable((yylsp[0])), &no_indicator);
		(yyloc) = "";
	}
#line 42345 "preproc.c" /* yacc.c:1646  */
    break;

  case 3581:
#line 9113 "preproc.y" /* yacc.c:1646  */
    {
		add_variable_to_head(&argsresult, sqlda_variable((yylsp[0])), &no_indicator);
		(yyloc) = "";
	}
#line 42354 "preproc.c" /* yacc.c:1646  */
    break;

  case 3584:
#line 9123 "preproc.y" /* yacc.c:1646  */
    {
		char		length[32];

		snprintf(length, sizeof(length), "%zu", strlen((yylsp[0])));
		add_variable_to_head(&argsinsert, new_variable((yylsp[0]), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
	}
#line 42365 "preproc.c" /* yacc.c:1646  */
    break;

  case 3585:
#line 9130 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = "";
	}
#line 42373 "preproc.c" /* yacc.c:1646  */
    break;

  case 3586:
#line 9134 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = "";
	}
#line 42381 "preproc.c" /* yacc.c:1646  */
    break;

  case 3596:
#line 9154 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.describe).input = 1;
		(yyval.describe).stmt_name = (yylsp[-1]);
	}
#line 42390 "preproc.c" /* yacc.c:1646  */
    break;

  case 3597:
#line 9159 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.describe).input = 0;
		(yyval.describe).stmt_name = (yylsp[-1]);
	}
#line 42405 "preproc.c" /* yacc.c:1646  */
    break;

  case 3598:
#line 9170 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.describe).input = 0;
		(yyval.describe).stmt_name = (yylsp[-1]);
	}
#line 42414 "preproc.c" /* yacc.c:1646  */
    break;

  case 3599:
#line 9175 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.describe).input = 1;
		(yyval.describe).stmt_name = (yylsp[-1]);
	}
#line 42423 "preproc.c" /* yacc.c:1646  */
    break;

  case 3600:
#line 9180 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.describe).input = 0;
		(yyval.describe).stmt_name = (yylsp[-1]);
	}
#line 42432 "preproc.c" /* yacc.c:1646  */
    break;

  case 3603:
#line 9200 "preproc.y" /* yacc.c:1646  */
    {
		add_descriptor((yylsp[0]), connection);
		(yyloc) = (yylsp[0]);
	}
#line 42441 "preproc.c" /* yacc.c:1646  */
    break;

  case 3604:
#line 9211 "preproc.y" /* yacc.c:1646  */
    {
		drop_descriptor((yylsp[0]), connection);
		(yyloc) = (yylsp[0]);
	}
#line 42450 "preproc.c" /* yacc.c:1646  */
    break;

  case 3605:
#line 9222 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = (yylsp[-1]);
	}
#line 42458 "preproc.c" /* yacc.c:1646  */
    break;

  case 3608:
#line 9232 "preproc.y" /* yacc.c:1646  */
    {
		push_assignment((yylsp[-2]), (yyvsp[0].dtype_enum));
	}
#line 42466 "preproc.c" /* yacc.c:1646  */
    break;

  case 3609:
#line 9238 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = (yylsp[-1]);
	}
#line 42474 "preproc.c" /* yacc.c:1646  */
    break;

  case 3612:
#line 9248 "preproc.y" /* yacc.c:1646  */
    {
		push_assignment((yylsp[0]), (yyvsp[-2].dtype_enum));
	}
#line 42482 "preproc.c" /* yacc.c:1646  */
    break;

  case 3613:
#line 9254 "preproc.y" /* yacc.c:1646  */
    {
		char		length[32];

		snprintf(length, sizeof(length), "%zu", strlen((yylsp[0])));
		new_variable((yylsp[0]), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
	}
#line 42493 "preproc.c" /* yacc.c:1646  */
    break;

  case 3615:
#line 9264 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.dtype_enum) = ECPGd_count;
	}
#line 42501 "preproc.c" /* yacc.c:1646  */
    break;

  case 3616:
#line 9274 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.descriptor).str = (yylsp[-1]);
		(yyval.descriptor).name = (yylsp[-3]);
	}
#line 42510 "preproc.c" /* yacc.c:1646  */
    break;

  case 3619:
#line 9285 "preproc.y" /* yacc.c:1646  */
    {
		push_assignment((yylsp[-2]), (yyvsp[0].dtype_enum));
	}
#line 42518 "preproc.c" /* yacc.c:1646  */
    break;

  case 3620:
#line 9291 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.descriptor).str = (yylsp[-1]);
		(yyval.descriptor).name = (yylsp[-3]);
	}
#line 42527 "preproc.c" /* yacc.c:1646  */
    break;

  case 3623:
#line 9302 "preproc.y" /* yacc.c:1646  */
    {
		push_assignment((yylsp[0]), (yyvsp[-2].dtype_enum));
	}
#line 42535 "preproc.c" /* yacc.c:1646  */
    break;

  case 3624:
#line 9308 "preproc.y" /* yacc.c:1646  */
    {
		char		length[32];

		snprintf(length, sizeof(length), "%zu", strlen((yylsp[0])));
		new_variable((yylsp[0]), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
	}
#line 42546 "preproc.c" /* yacc.c:1646  */
    break;

  case 3626:
#line 9316 "preproc.y" /* yacc.c:1646  */
    {
		char		length[32];
		char	   *var = cat2_str("-", (yylsp[0]));

		snprintf(length, sizeof(length), "%zu", strlen(var));
		new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
		(yyloc) = var;
	}
#line 42559 "preproc.c" /* yacc.c:1646  */
    break;

  case 3627:
#line 9325 "preproc.y" /* yacc.c:1646  */
    {
		char		length[32];
		char	   *var = cat2_str("-", (yylsp[0]));

		snprintf(length, sizeof(length), "%zu", strlen(var));
		new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
		(yyloc) = var;
	}
#line 42572 "preproc.c" /* yacc.c:1646  */
    break;

  case 3628:
#line 9334 "preproc.y" /* yacc.c:1646  */
    {
		char		length[32];
		char	   *var;

		/* Strip single quotes from ecpg_sconst */
		var = loc_strdup((yylsp[0]) + 1);
		var[strlen(var) - 1] = '\0';
		snprintf(length, sizeof(length), "%zu", strlen(var));
		new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
		(yyloc) = var;
	}
#line 42588 "preproc.c" /* yacc.c:1646  */
    break;

  case 3629:
#line 9347 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 42594 "preproc.c" /* yacc.c:1646  */
    break;

  case 3630:
#line 9348 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 42600 "preproc.c" /* yacc.c:1646  */
    break;

  case 3631:
#line 9349 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 42606 "preproc.c" /* yacc.c:1646  */
    break;

  case 3632:
#line 9350 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 42612 "preproc.c" /* yacc.c:1646  */
    break;

  case 3633:
#line 9351 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 42618 "preproc.c" /* yacc.c:1646  */
    break;

  case 3634:
#line 9352 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 42624 "preproc.c" /* yacc.c:1646  */
    break;

  case 3635:
#line 9353 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 42630 "preproc.c" /* yacc.c:1646  */
    break;

  case 3636:
#line 9354 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 42636 "preproc.c" /* yacc.c:1646  */
    break;

  case 3637:
#line 9355 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 42642 "preproc.c" /* yacc.c:1646  */
    break;

  case 3638:
#line 9356 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 42648 "preproc.c" /* yacc.c:1646  */
    break;

  case 3639:
#line 9357 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 42654 "preproc.c" /* yacc.c:1646  */
    break;

  case 3640:
#line 9358 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 42660 "preproc.c" /* yacc.c:1646  */
    break;

  case 3641:
#line 9359 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 42666 "preproc.c" /* yacc.c:1646  */
    break;

  case 3642:
#line 9360 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 42672 "preproc.c" /* yacc.c:1646  */
    break;

  case 3643:
#line 9361 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 42678 "preproc.c" /* yacc.c:1646  */
    break;

  case 3644:
#line 9369 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = (yylsp[0]);
	}
#line 42686 "preproc.c" /* yacc.c:1646  */
    break;

  case 3645:
#line 9373 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = (yylsp[0]);
	}
#line 42694 "preproc.c" /* yacc.c:1646  */
    break;

  case 3648:
#line 9387 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = (yylsp[0]);
	}
#line 42702 "preproc.c" /* yacc.c:1646  */
    break;

  case 3649:
#line 9391 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = (yylsp[0]);
	}
#line 42710 "preproc.c" /* yacc.c:1646  */
    break;

  case 3650:
#line 9395 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = (yylsp[0]);
	}
#line 42718 "preproc.c" /* yacc.c:1646  */
    break;

  case 3651:
#line 9404 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 42728 "preproc.c" /* yacc.c:1646  */
    break;

  case 3652:
#line 9410 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yylsp[-4]), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yylsp[0]) ? 1 : 0);

		if (auto_create_c == false)
			(yyloc) = cat_str(7, "/* exec sql type", (yylsp[-4]), "is", (yyvsp[-2].type).type_str, (yyvsp[-1].index).str, (yylsp[0]), "*/");
		else
			(yyloc) = cat_str(6, "typedef ", (yyvsp[-2].type).type_str, *(yylsp[0]) ? "*" : "", (yylsp[-4]), (yyvsp[-1].index).str, ";");
	}
#line 42741 "preproc.c" /* yacc.c:1646  */
    break;

  case 3655:
#line 9428 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 42751 "preproc.c" /* yacc.c:1646  */
    break;

  case 3656:
#line 9434 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *p = find_variable((yylsp[-4]));
		const char *dimension = (yyvsp[-1].index).index1;
		const char *length = (yyvsp[-1].index).index2;
		struct ECPGtype *type;

		if			(((yyvsp[-2].type).type_enum == ECPGt_struct ||
					  (yyvsp[-2].type).type_enum == ECPGt_union) &&
					 initializer == 1)
			mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
		else
		{
			adjust_array((yyvsp[-2].type).type_enum, &dimension, &length,
						 (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yylsp[0]) ? 1 : 0, false);

			switch ((yyvsp[-2].type).type_enum)
			{
					case ECPGt_struct:
					case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
					break;

					case ECPGt_varchar:
					case ECPGt_bytea:
					if (atoi(dimension) == -1)
						type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
					break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
					if (atoi(dimension) == -1)
						type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
					break;

					default:
					if (atoi(length) >= 0)
						mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, "1", 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, "1", 0), dimension);
					break;
			}

			ECPGfree_type(p->type);
			p->type = type;
		}

					(yyloc) = cat_str(7, "/* exec sql var", (yylsp[-4]), "is", (yyvsp[-2].type).type_str, (yyvsp[-1].index).str, (yylsp[0]), "*/");
	}
#line 42815 "preproc.c" /* yacc.c:1646  */
    break;

  case 3657:
#line 9500 "preproc.y" /* yacc.c:1646  */
    {
		when_error.code = (yyvsp[0].action).code;
		when_error.command = (yyvsp[0].action).command ? mm_strdup((yyvsp[0].action).command) : NULL;
		(yyloc) = cat_str(3, "/* exec sql whenever sqlerror ", (yyvsp[0].action).str, "; */");
	}
#line 42825 "preproc.c" /* yacc.c:1646  */
    break;

  case 3658:
#line 9506 "preproc.y" /* yacc.c:1646  */
    {
		when_nf.code = (yyvsp[0].action).code;
		when_nf.command = (yyvsp[0].action).command ? mm_strdup((yyvsp[0].action).command) : NULL;
		(yyloc) = cat_str(3, "/* exec sql whenever not found ", (yyvsp[0].action).str, "; */");
	}
#line 42835 "preproc.c" /* yacc.c:1646  */
    break;

  case 3659:
#line 9512 "preproc.y" /* yacc.c:1646  */
    {
		when_warn.code = (yyvsp[0].action).code;
		when_warn.command = (yyvsp[0].action).command ? mm_strdup((yyvsp[0].action).command) : NULL;
		(yyloc) = cat_str(3, "/* exec sql whenever sql_warning ", (yyvsp[0].action).str, "; */");
	}
#line 42845 "preproc.c" /* yacc.c:1646  */
    break;

  case 3660:
#line 9520 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.action).code = W_NOTHING;
		(yyval.action).command = NULL;
		(yyval.action).str = "continue";
	}
#line 42855 "preproc.c" /* yacc.c:1646  */
    break;

  case 3661:
#line 9526 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.action).code = W_SQLPRINT;
		(yyval.action).command = NULL;
		(yyval.action).str = "sqlprint";
	}
#line 42865 "preproc.c" /* yacc.c:1646  */
    break;

  case 3662:
#line 9532 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.action).code = W_STOP;
		(yyval.action).command = NULL;
		(yyval.action).str = "stop";
	}
#line 42875 "preproc.c" /* yacc.c:1646  */
    break;

  case 3663:
#line 9538 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.action).code = W_GOTO;
		(yyval.action).command = loc_strdup((yylsp[0]));
		(yyval.action).str = cat2_str("goto ", (yylsp[0]));
	}
#line 42885 "preproc.c" /* yacc.c:1646  */
    break;

  case 3664:
#line 9544 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.action).code = W_GOTO;
		(yyval.action).command = loc_strdup((yylsp[0]));
		(yyval.action).str = cat2_str("goto ", (yylsp[0]));
	}
#line 42895 "preproc.c" /* yacc.c:1646  */
    break;

  case 3665:
#line 9550 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.action).code = W_DO;
		(yyval.action).command = cat_str(4, (yylsp[-3]), "(", (yylsp[-1]), ")");
		(yyval.action).str = cat2_str("do", (yyval.action).command);
	}
#line 42905 "preproc.c" /* yacc.c:1646  */
    break;

  case 3666:
#line 9556 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.action).code = W_BREAK;
		(yyval.action).command = NULL;
		(yyval.action).str = "break";
	}
#line 42915 "preproc.c" /* yacc.c:1646  */
    break;

  case 3667:
#line 9562 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.action).code = W_CONTINUE;
		(yyval.action).command = NULL;
		(yyval.action).str = "continue";
	}
#line 42925 "preproc.c" /* yacc.c:1646  */
    break;

  case 3668:
#line 9568 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.action).code = W_DO;
		(yyval.action).command = cat_str(4, (yylsp[-3]), "(", (yylsp[-1]), ")");
		(yyval.action).str = cat2_str("call", (yyval.action).command);
	}
#line 42935 "preproc.c" /* yacc.c:1646  */
    break;

  case 3669:
#line 9574 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.action).code = W_DO;
		(yyval.action).command = cat2_str((yylsp[0]), "()");
		(yyval.action).str = cat2_str("call", (yyval.action).command);
	}
#line 42945 "preproc.c" /* yacc.c:1646  */
    break;

  case 3766:
#line 9738 "preproc.y" /* yacc.c:1646  */
    {
		reset_variables();
		pacounter = 1;
		(yyloc) = "";
	}
#line 42955 "preproc.c" /* yacc.c:1646  */
    break;

  case 3769:
#line 9750 "preproc.y" /* yacc.c:1646  */
    {
		add_variable_to_head(&argsresult, find_variable((yylsp[-1])), find_variable((yylsp[0])));
	}
#line 42963 "preproc.c" /* yacc.c:1646  */
    break;

  case 3770:
#line 9754 "preproc.y" /* yacc.c:1646  */
    {
		add_variable_to_head(&argsresult, find_variable((yylsp[0])), &no_indicator);
	}
#line 42971 "preproc.c" /* yacc.c:1646  */
    break;

  case 3771:
#line 9761 "preproc.y" /* yacc.c:1646  */
    {
		if (find_variable((yylsp[0]))->type->type == ECPGt_array)
			mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

		add_variable_to_head(&argsinsert, find_variable((yylsp[-1])), find_variable((yylsp[0])));
		(yyloc) = create_questionmarks((yylsp[-1]), false);
	}
#line 42983 "preproc.c" /* yacc.c:1646  */
    break;

  case 3772:
#line 9771 "preproc.y" /* yacc.c:1646  */
    {
		char	   *ptr = strstr((yylsp[0]), ".arr");

		if (ptr)				/* varchar, we need the struct name here, not
								 * the struct element */
			*ptr = '\0';
		add_variable_to_head(&argsinsert, find_variable((yylsp[0])), &no_indicator);
	}
#line 42996 "preproc.c" /* yacc.c:1646  */
    break;

  case 3773:
#line 9782 "preproc.y" /* yacc.c:1646  */
    {
		add_variable_to_head(&argsinsert, find_variable((yylsp[0])), &no_indicator);
		(yyloc) = create_questionmarks((yylsp[0]), false);
	}
#line 43005 "preproc.c" /* yacc.c:1646  */
    break;

  case 3774:
#line 9789 "preproc.y" /* yacc.c:1646  */
    {
		check_indicator((find_variable((yylsp[0])))->type);
	}
#line 43013 "preproc.c" /* yacc.c:1646  */
    break;

  case 3775:
#line 9793 "preproc.y" /* yacc.c:1646  */
    {
		check_indicator((find_variable((yylsp[0])))->type);
		(yyloc) = (yylsp[0]);
	}
#line 43022 "preproc.c" /* yacc.c:1646  */
    break;

  case 3776:
#line 9798 "preproc.y" /* yacc.c:1646  */
    {
		check_indicator((find_variable((yylsp[0])))->type);
		(yyloc) = (yylsp[0]);
	}
#line 43031 "preproc.c" /* yacc.c:1646  */
    break;

  case 3777:
#line 9805 "preproc.y" /* yacc.c:1646  */
    {
		/*
		 * As long as multidimensional arrays are not implemented we have to
		 * check for those here
		 */
		const char *ptr = (yylsp[0]);
		int			brace_open = 0,
					brace = false;

		for (; *ptr; ptr++)
		{
			switch (*ptr)
			{
				case '[':
					if (brace)
						mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
					brace_open++;
					break;
				case ']':
					brace_open--;
					if (brace_open == 0)
						brace = true;
					break;
				case '\t':
				case ' ':
					break;
				default:
					if (brace_open == 0)
						brace = false;
					break;
			}
		}
	}
#line 43069 "preproc.c" /* yacc.c:1646  */
    break;

  case 3784:
#line 9857 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = make3_str("\"", (yylsp[0]), "\"");
	}
#line 43077 "preproc.c" /* yacc.c:1646  */
    break;

  case 3785:
#line 9863 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = make3_str("\"", (yylsp[0]), "\"");
	}
#line 43085 "preproc.c" /* yacc.c:1646  */
    break;

  case 3786:
#line 9867 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = make3_str("(", (yylsp[0]), ")");
	}
#line 43093 "preproc.c" /* yacc.c:1646  */
    break;

  case 3788:
#line 9878 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = "()";
	}
#line 43101 "preproc.c" /* yacc.c:1646  */
    break;

  case 3810:
#line 9916 "preproc.y" /* yacc.c:1646  */
    { (yyloc) = "NULL"; }
#line 43107 "preproc.c" /* yacc.c:1646  */
    break;

  case 3857:
#line 9966 "preproc.y" /* yacc.c:1646  */
    {
		check_declared_list((yylsp[0]));
		(yyloc) = (yylsp[0]);
	}
#line 43116 "preproc.c" /* yacc.c:1646  */
    break;

  case 3858:
#line 9971 "preproc.y" /* yacc.c:1646  */
    {
		check_declared_list((yylsp[0]));
		(yyloc) = (yylsp[0]);
	}
#line 43125 "preproc.c" /* yacc.c:1646  */
    break;

  case 3859:
#line 9976 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = "all";
	}
#line 43133 "preproc.c" /* yacc.c:1646  */
    break;

  case 3860:
#line 9980 "preproc.y" /* yacc.c:1646  */
    {
		(yyloc) = "all";
	}
#line 43141 "preproc.c" /* yacc.c:1646  */
    break;

  case 3870:
#line 9995 "preproc.y" /* yacc.c:1646  */
    {
		if (pg_strcasecmp((yylsp[-3]), "sizeof") != 0)
			mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
		else
			(yyloc) = cat_str(4, (yylsp[-3]), "(", (yyvsp[-1].type).type_str, ")");
	}
#line 43152 "preproc.c" /* yacc.c:1646  */
    break;

  case 3875:
#line 10010 "preproc.y" /* yacc.c:1646  */
    {
		/* always suppress this from the constructed string */
		(yyloc) = "";
	}
#line 43161 "preproc.c" /* yacc.c:1646  */
    break;

  case 3880:
#line 10023 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
	}
#line 43173 "preproc.c" /* yacc.c:1646  */
    break;


#line 43177 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 10036 "preproc.y" /* yacc.c:1906  */


void
base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void
parser_init(void)
{
	/*
	 * This function is empty. It only exists for compatibility with the
	 * backend parser right now.
	 */
}
